if jit and jit.off then
    jit.off() 
end 
-- for CCLuaEngine traceback
function __G__TRACKBACK__(msg)
    print("----------------------------------------")
	print(msg)
	local level = 1
	while true do 
		local info = debug.getinfo(level, "Sl")
		if not info then break end
		if info.what ~= "C" then
			print(string.format("[%s]:%d",info.source, info.currentline))
		end
		level = level + 1
	end
    print("----------------------------------------")
end

local function setAppPaths()
	local platformId = cc.Application:getInstance():getTargetPlatform()
	local en, bigver, className, params = nil, nil, "", nil

	local function isAndroid()
		return platformId == cc.PLATFORM_OS_ANDROID
	end
	local function isIOS()
		return platformId == cc.PLATFORM_OS_IPHONE or platformId == cc.PLATFORM_OS_IPAD or platformId == cc.PLATFORM_OS_MAC
	end
	local function luaCall( params )
		if en ~= nil then
        	local ok,ret = en.callStaticMethod( className, "luaCall", params )
        	if ok then
        		if isAndroid() then
        			return ret
    			elseif isIOS() then
    				return ret.data
    			end
        	end
		end
		return nil
	end

	if isAndroid() then
        en = require("luaj") 
        className = "org.cocos2dx.lua.Cocos2dxActivity"
        params = {"13"}
	elseif isIOS() then
        en = require("luaoc")
        className = "KYPlatform"
        params = {data = "13"}
	end
	bigver = luaCall(params) or "0.1"
	local pathVer = string.gsub(bigver, "%.", "_")
	print("#bigVersion", bigver, pathVer)
	local msg = MessageManager:createManager()
	if msg ~= nil and msg.setVersion ~= nil then
		msg:setVersion(pathVer)
	end
	return bigver
end

local function main()
    
    collectgarbage("setpause", 100)
    collectgarbage("setstepmul", 5000)
    collectgarbage("collect")

    gameRestart()

    cc.Director:getInstance():setDisplayStats(false)
end

function gameRestart()
	local verCode = setAppPaths()

	require "src/GameScene"

    local gameScene = GameScene:new(verCode)

	if cc.Director:getInstance():getRunningScene() then
		cc.Director:getInstance():replaceScene(gameScene)
	else
		cc.Director:getInstance():runWithScene(gameScene)
	end 
end

xpcall(main, __G__TRACKBACK__)