UpdateView = class("UpdateView",function(_, bg,config)
	local self = cc.Layer:create()
    self:retain()
	self._size = cc.Director:getInstance():getVisibleSize()

	self._bg = bg
	self._bg:setAnchorPoint( cc.p( 0.5, 0.5 ) )
	self._bg:setPosition( self._size.width / 2.0, self._size.height / 2.0 ) 
    self:addChild(bg, 1)
    
    self.blackBg    = nil
    self.loadingBar = nil
    self.loadingImg = nil
    self.iconImg    = nil
    self.tipLabel   = nil
    self.trunkType = config.trunkType
    self.platform = config.sources
    print(string.format("#platform:%s, trunkType:%s", self.platform, self.trunkType))

	return self
end)

function UpdateView:ctor()
	self.blackBg = ccui.ImageView:create()
    self.blackBg:retain()
    self.blackBg:loadTexture("res/GameUI"..self.trunkType.."/outPic/baggage_cd_mask.png")
    self.blackBg:setColor(cc.c3b(0,0,0))
    self.blackBg:setAnchorPoint( cc.p( 0.5, 0.5 ) )
    self.blackBg:setPosition( self._size.width / 2.0, self._size.height / 2.0 )  
    self.blackBg:setScale9Enabled(true)
    self.blackBg:setCapInsets(cc.rect(35,35,1,1))
    self.blackBg:setSize(cc.size(2000, 1000))
    self:addChild(self.blackBg, 0)
    self.loadingBar = ccui.LoadingBar:create()
    self.loadingBar:retain()
    self.loadingBar:setTag(0)
    self.loadingBar:setName("loadingBar")
    self.loadingBar:loadTexture("res/GameUI"..self.trunkType.."/outPic/ui_bar16.png")
    self.loadingBar:setAnchorPoint( cc.p( 0.5, 0.5 ) )
    self.loadingBar:setPosition( self._size.width / 2.0, 67 )  
    self.loadingBar:setScale9Enabled(true)
    self.loadingBar:setCapInsets(cc.rect(12,12,1,1))
    self.loadingBar:setSize(cc.size(711,24))

    self.tipLabel = cc.LabelTTF:create()
    self.tipLabel:retain()
    self.tipLabel:setFontName("Microsoft YaHei")
    self.tipLabel:setFontSize(20)
    self.tipLabel:setAnchorPoint( cc.p( 0.5, 0.5 ) )
    self.tipLabel:setPosition( self.loadingBar:getPositionX(), self.loadingBar:getPositionY() + 56 + (self._size.height - 640) / 2.0 )
    self.tipLabel:enableShadow( cc.size(3, -2), 255, 0 )

    self.loadingImg = ccui.ImageView:create()
    self.loadingImg:retain()
    self.loadingImg:setAnchorPoint( cc.p( 0.5, 0.5 ) )
    self.loadingImg:setScale9Enabled(true)
    self.loadingImg:setCapInsets(cc.rect(63,24,1,1))
    self.loadingImg:setSize(cc.size(810, 48))
    self.loadingImg:setPosition( self.loadingBar:getPositionX(), self.loadingBar:getPositionY() + 6 )
    self.loadingImg:loadTexture("res/GameUI"..self.trunkType.."/outPic/ui_bar17.png")

    self.iconImg = ccui.ImageView:create()
    self.iconImg:retain()
    self.iconImg:setAnchorPoint( cc.p( 0.5, 0.5 ) )
    self.iconImg:loadTexture("res/image/platForm/"..self.platform.."/logo.png")
    local height = self.iconImg:getContentSize().height
    self.iconImg:setPosition( self._size.width / 2.0, self._size.height -  height / 2.0 - 30 )  
    self:showProgress()
end

function UpdateView:showProgress()
    if self.loadingBar ~= nil and self.loadingBar:getParent() == nil then
        self:addChild(self.loadingBar, 6)
    end
    if self.tipLabel ~= nil and self.tipLabel:getParent() == nil then
        self:addChild(self.tipLabel, 3)
    end
    if self.loadingImg ~= nil and self.loadingImg:getParent() == nil then
        self:addChild(self.loadingImg, 4)
    end
    if self.iconImg ~= nil and self.iconImg:getParent() == nil then
        self:addChild(self.iconImg, 5)
    end
end

function UpdateView:hideProgress()
    if self.loadingBar ~= nil then
        self.loadingBar:removeFromParent(false)
    end
    if self.tipLabel ~= nil then
        self.tipLabel:removeFromParent(false)
    end
end

function UpdateView:setProgress(value)
    self.loadingBar:setPercent(value)
end

function UpdateView:addProgress(value) 
    local tmpP = self.loadingBar:getPercent() + value
    if(tmpP > 100)then tmpP = 100 end
    self:setProgress(tmpP)
end

function UpdateView:setTips(value) 
	self.tipLabel:setString(value)
end
 
function UpdateView:dispose()
	if(self._bg:getParent() ~= nil)then
        self._bg:removeFromParent(false)
    end 
    self._bg = nil

    if self.tipLabel ~= nil then
		self.tipLabel:release()
		self.tipLabel = nil
    end

	if self.loadingBar ~= nil then
		self.loadingBar:release()
    	self.loadingBar = nil
	end

    if self.iconImg ~= nil then
        self.iconImg:release()
        self.iconImg = nil
    end

	if self.loadingImg ~= nil then
		self.loadingImg:release()
		self.loadingImg = nil
	end
	
    if(self:getParent() ~= nil)then
        self:removeFromParent(false)
    end 
    self:release()
end
