function clone(object)
local lookup_table = {}
local function _copy(object)
if type(object) ~= "table" then
return object
elseif lookup_table[object] then
return lookup_table[object]
end
local new_table = {}
lookup_table[object] = new_table
for key, value in pairs(object) do
new_table[_copy(key)] = _copy(value)
end
return setmetatable(new_table, getmetatable(object))
end
return _copy(object)
end
--Create an class.
function class(classname, super)
local superType = type(super)
local cls
if superType ~= "function" and superType ~= "table" then
superType = nil
super = nil
end
if superType == "function" or (super and super.__ctype == 1) then
-- inherited from native C++ Object
cls = {}
if superType == "table" then
-- copy fields from super
for k,v in pairs(super) do cls[k] = v end
cls.__create = super.__create
cls.super    = super
else
cls.__create = super
end
cls.ctor    = function() end
cls.__cname = classname
cls.__ctype = 1
function cls.new(...)
local instance = cls.__create(...)
-- copy fields from class to native object
for k,v in pairs(cls) do instance[k] = v end
instance.class = cls
instance:ctor(...)
return instance
end
else
-- inherited from Lua Object
if super then
cls = clone(super)
cls.super = super
else
cls = {ctor = function() end}
end
cls.__cname = classname
cls.__ctype = 2 -- lua
cls.__index = cls
function cls.new(...)
local instance = setmetatable({}, cls)
instance.class = cls
instance:ctor(...)
return instance
end
end
return cls
end
function schedule(node, callback, delay)
local delay = cc.DelayTime:create(delay)
local sequence = cc.Sequence:create(delay, cc.CallFunc:create(callback))
local action = cc.RepeatForever:create(sequence)
node:runAction(action)
return action
end
function performWithDelay(node, callback, delay)
local delay = cc.DelayTime:create(delay)
local sequence = cc.Sequence:create(delay, cc.CallFunc:create(callback))
node:runAction(sequence)
return sequence
end
EventDispatcher = class("EventDispatcher",function()
local ed = {}
--map<int,vector<FunctionData>>
ed._listeners = {}
return ed
end)
--param type:string,listener:function
function EventDispatcher:addEventListener(type,listener,target)
local tmp = self:getListener(type,listener,target)
if(tmp == nil)then
if(self._listeners[type] == nil) then
self._listeners[type] = {}
end
local fd = FunctionData:new(listener,target)
table.insert(self._listeners[type],fd)
else
tmp.removeFlag = false
end
-- if(self:hasListener(type,listener,target) == -1) then
--   if(self._listeners[type] == nil) then
--     self._listeners[type] = {}
--   end
--   local fd = FunctionData:new(listener,target)
--   table.insert(self._listeners[type],fd)
-- end
end
--param type:string,listener:function
function EventDispatcher:removeEventListener(type,listener,target)
if self._listeners == nil then return end
local list = self._listeners[type]
if(list ~= nil) then
local len = table.getn(list)
for i = 1,len,1 do
if(list[i].func == listener and list[i].target == target) then
-- table.remove(list,i)
list[i].removeFlag = true
break
end
end
end
end
--param evt:BaseEvent
function EventDispatcher:dispatchEvent(evt)
if self._listeners == nil then return end
local event = evt.type
local list = self._listeners[event]
if(list ~= nil) then
local len = table.getn(list)
for i = len,1,-1 do
if(list[i].removeFlag == false)then
local fd = list[i]
fd.func(fd.target,evt)
if(evt.stopImmediately == true) then
break
end
else
table.remove(list,i)
end
end
end
end
function EventDispatcher:getListener(type,listener,target)
local list = self._listeners[type]
if(list ~= nil) then
local len = table.getn(list)
for i = 1,len,1 do
if(list[i].func == listener and list[i].target == target) then
return list[i]
end
end
end
return nil
end
function EventDispatcher:hasListener(type,listener,target)
local list = self._listeners[type]
if(list ~= nil) then
local len = table.getn(list)
for i = 1,len,1 do
if(list[i].func == listener and list[i].target == target) then
return i
end
end
end
return -1
end
function EventDispatcher:dispose()
self._listeners = nil
end
CommonMessageAdder = class("CommonMessageAdder",function()
local cm = {}
cm._lastSendHeartBeatTime = 0
return cm
end)
function CommonMessageAdder:add()
--activity
self.activityMessage = ActivityMessageHandler:new()
--arena
self.arenaHandler = ArenaMessageReceiver:new()
--chat
self.chatHandler = ChatMessageHandler:new()
--copy
self.copyMessage = CopyMessageHandler:new()
--date
self.systemDateHandler = SystemDateMessageHandler:new()
--friend
self.friendMessage = FriendMessageHandler:new()
self.gmHandler = GMMessageHandler:new()
--goods
self.goodsMessage = GoodsMessageHandler:new()
--league
self.leagueHander = LeagueMessageReceiver:new()
--infoQuery
self.infoQueryHandler = InfoQueryMessageHandler:new()
--notice
self.noticeHandler = PlayerNoticeMessageHandler:new()
self.scenewordHandler = SceneWordShowMessageHandler:new()
self.warTimeHandler = WarTimeMessageHandler:new()
self.broadcastQuitMapMessageHandler = BroadcastQuitMapMessageHandler:new()
--open
self.openSelfInfoMessageHandler = OpenSelfInfoMessageHandler:new()
--pet
self.petUpdate = PetUpdateMessageHandler:new()
self.fiveEquipUpdate = FiveEquipUpdateMessageHandler:new()
--partner
self.partnerMessageHander = PartnerMessageHandler:new(self.partnerModule)
--player
self.updateSelfMessage = UpdateSelfMessageHandler:new()
--全民探宝
self.tanbaoInfo = TanBaoInfoMessageHandler:new()
--shop
self.shopDiscount = ShopDiscountMessageHandler:new()
--task
self.taskUpdate = TaskUpdateMessageHandler:new()
--title
self.titleInfo = PlayerTitleMessageHandler:new()
--vip
self.vipInfo = VipInfoMessageHandler:new()
--welfare
self.welfareHandler = WelfareMessageReceiver:new()
self.wuhunUpdate = WuhunInfoUpdateMessageHandler:new()
self.xiaoFeiHuanHua = XiaoFeiHuanHuaMessageHandler:new()
self.accountLostConnect = AccountLostConnectMessageHandler:new()
self.activeCode = ActiveCodeMessageHandler:new()
self.skillInit = SkillInitMessageHandler:new()
self.goodsUpdate = GoodsUpdateMessageHandler:new()
self.payInfo = PayInfoMessageHandler:new()
self.letterUpdate = LetterUpdateMessageHandler:new()
self.moneyUpdateHandler = MoneyInfoUpdateMessageHandler:new()
self.systemMess = SystemMessMessageHandler:new()
--一锤
self.yichui = YiChuiMessageHandler:new()
--帮战
self.bangzhan = BangZhanMessageHandler:new()
--跨服boss
self.crossBoss = CorssBossInfoMessageHandler:new()
--天空幻境
self.skyDreamLand = SkyDreamLandInfoMessageHandler:new()
--佩饰
self.peishi = PeiShiUpdateMessageHandler:new()
--烟花
self.yanhua = YanhuaMessageHandler:new()
self.ronglu = RongLuInfoUpdateMessageHandler:new()
end
function CommonMessageAdder:start()
globalManager.tickManager:addTick(self.tick,self)
end
function CommonMessageAdder:tick(deltaTime,tickCount)
local currentTime = globalData.systemDateInfo:getSystemTime()
if(currentTime - self._lastSendHeartBeatTime > 30000)then
self:sendHeartBeat()
self._lastSendHeartBeatTime = currentTime
end
end
--技能学习
function CommonMessageAdder:sendSkillLearn(id,count)
print("发送升级技能")
self.skillInit.isShowTip = true
if(count == nil) then count = 1 end
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.SKILL_LEARN)
messOut:writeInt(id)
messOut:writeShort(count)
globalManager.messageManager:send(messOut)
end
--发送心跳包
function CommonMessageAdder:sendHeartBeat()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.ACCOUNT_HEARTBEAT)
globalManager.messageManager:send(messOut)
end
--获取背包数据
function CommonMessageAdder:sendUpdateInfo()
--bag,mail,friend,task,group,enthral,skill,pet,buff,title,gift,vip,mounts,lingmai
--1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1 低位到高位
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.QUERY_SELF_OTHER)
messOut:writeInt(2147483647)
globalManager.messageManager:send(messOut)
end
--物品信息查询
function CommonMessageAdder:goodsQuery(userId,goodsId)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.GOODS_QUERY)
messOut:writeNumber(userId)
messOut:writeNumber(goodsId)
globalManager.messageManager:send(messOut)
end
-- 物品购买
-- int,int,bool
function CommonMessageAdder:goodsBuy(shopId,buyCount,isUse)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.GOODS_BUY)
if(isUse == nil)then isUse = false end
messOut:writeInt(shopId)
messOut:writeInt(buyCount)
messOut:writeBoolean(isUse)
globalManager.messageManager:send(messOut)
end
--物品兑换
--int
function CommonMessageAdder:goodsExchange(exchangeId,count)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.GOODS_EXCHANGE)
messOut:writeInt(exchangeId)
messOut:writeByte(count)
globalManager.messageManager:send(messOut)
end
-- 物品出售
function CommonMessageAdder:goodsSell(position,count)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.GOODS_SELL)
messOut:writeInt(position)
messOut:writeInt(count)
globalManager.messageManager:send(messOut)
end
--物品使用
function CommonMessageAdder:goodsUse(position)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.GOODS_USE)
messOut:writeInt(position)
globalManager.messageManager:send(messOut)
end
--祝福卡使用
function CommonMessageAdder:useBless(id)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.BLESS_USE)
messOut:writeByte(id)
globalManager.messageManager:send(messOut)
end
--物品批量使用
function CommonMessageAdder:goodsBatchUse(position,count)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.GOODS_BATCH_USE)
messOut:writeInt(position)
messOut:writeInt(count)
globalManager.messageManager:send(messOut)
end
--物品移动
-- type :  1:背包   21：仓库
function CommonMessageAdder:goodsMove(fromPlace,toPlace,count)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.GOODS_MOVE)
messOut:writeInt(fromPlace)
messOut:writeInt(toPlace)
messOut:writeInt(count)
globalManager.messageManager:send(messOut)
end
function CommonMessageAdder:goodsFusion(place)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.GOODS_FUSION)
messOut:writeInt(place)
globalManager.messageManager:send(messOut)
end
--物品拆分
function CommonMessageAdder:goodsSplit(position,splitCount)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.GOODS_SPLIT)
messOut:writeInt(position)
messOut:writeInt(splitCount)
globalManager.messageManager:send(messOut)
end
-- 聊天信息
function CommonMessageAdder:chatSend(chatType,content,userNick,userId,isBuy)
if(userNick == nil)then userNick = "" end
if(userId == nil)then userId = 0 end
if(isBuy == nil)then isBuy = 0 end
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.CHAT)
messOut:writeByte(chatType)
messOut:writeByte(isBuy)
messOut:writeString(userNick)
messOut:writeNumber(userId)
messOut:writeString(content)
globalManager.messageManager:send(messOut)
end
--获取副本霸主信息missionId: 0表示所有关卡,1:只有玩家名字，2：详细玩家数据
function CommonMessageAdder:sendCopyKingInfo(copyId,missionId,type)
if(type == nil)then
type = 1
end
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.COPY_KING_INFO)
messOut:writeInt(copyId)
messOut:writeInt(missionId)
messOut:writeByte(type)
globalManager.messageManager:send(messOut)
end
--接受任务
function CommonMessageAdder:sendAcceptTask(taskId)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.TASK_ACCEPT)
messOut:writeInt(taskId)
globalManager.messageManager:send(messOut)
end
--取消任务
function CommonMessageAdder:sendCancelTask(taskId)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.TASK_CANCEL)
messOut:writeInt(taskId)
globalManager.messageManager:send(messOut)
end
--提交任务
function CommonMessageAdder:sendSubmitTask(taskId)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.TASK_SUBMIT)
messOut:writeInt(taskId)
globalManager.messageManager:send(messOut)
end
--客户端完成
function CommonMessageAdder:sendClient(taskId,count)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.TASK_CLIENT)
messOut:writeInt(taskId)
messOut:writeByte(count)
globalManager.messageManager:send(messOut)
end
--立即完成任务
function CommonMessageAdder:sendZhenYaoQuickFinsih(value)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.TASK_QUICK_FINISH)
messOut:writeInt(value)
globalManager.messageManager:send(messOut)
end
--刷镇妖任务
function CommonMessageAdder:sendZhenyaoReflesh(value)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.TASK_ZHENYAO_REFRESH)
messOut:writeByte(value)
globalManager.messageManager:send(messOut)
end
--获取商城优惠列表
--1:优惠商城  2：神秘商城
function CommonMessageAdder:sendShopDiscount(type)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.SHOP_DISCOUNT)
messOut:writeByte(type)
globalManager.messageManager:send(messOut)
end
--商城优惠列表购买
function CommonMessageAdder:sendShopDiscountBuy(type,shopId,count)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.SHOP_DISCOUNT_BUY)
messOut:writeByte(type)
messOut:writeInt(shopId)
messOut:writeInt(count)
globalManager.messageManager:send(messOut)
end
--商城优惠列表更新
function CommonMessageAdder:sendShopDiscountUpdate(shopId)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.SHOP_DISCOUNT_UPDATE)
messOut:writeInt(shopId)
globalManager.messageManager:send(messOut)
end
--添加好友
--param addTag  1:好友  2：黑名单 3：仇人
function CommonMessageAdder:sendAddFriend(serverId,nick,addTag)
local messOut = globalManager.messageManager:getMessageOut(globalData.  allStaticTypes.messageType.FRIEND_UPDATE)
local flag = 0
if(addTag == 1)then
flag = globalManager.bit:dleft(1,15)
elseif(addTag == 2)then
flag = globalManager.bit:dleft(1,13)
elseif(addTag == 3)then
flag = globalManager.bit:dleft(1,12)
end
messOut:writeShort(serverId)
messOut:writeString(nick)
messOut:writeInt(flag)
globalManager.messageManager:send(messOut)
end
--同意好友添加
--param flag 是否同意添加好友
function CommonMessageAdder:sendAcceptFriend(userId,flag)
local messOut = globalManager.messageManager:getMessageOut(globalData.  allStaticTypes.messageType.FRIEND_ACCEPT)
messOut:writeNumber(userId)
messOut:writeBoolean(flag)
globalManager.messageManager:send(messOut)
end
--好友删除
--好友：1<<14
--黑名单: 1<<13
--仇人：1<<12
--附近：本地数据删除
function CommonMessageAdder:sendDeleteFriend(userId,friendType)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.FRIEND_DELETE)
messOut:writeNumber(userId)
messOut:writeInt(friendType)
globalManager.messageManager:send(messOut)
end
--物品兑换信息更新
function CommonMessageAdder:sendGetExchangeList()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.GOODS_EXCHANGE_LIST)
globalManager.messageManager:send(messOut)
end
--开始扫荡
function CommonMessageAdder:sendCopySweep(copyId,missionId,times)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.COPY_SD_START)
messOut:writeInt(copyId)
messOut:writeInt(missionId)
messOut:writeByte(times)
globalManager.messageManager:send(messOut)
end
--获取扫荡信息
function CommonMessageAdder:sendCopySweepInfo()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.COPY_SD_INFO)
globalManager.messageManager:send(messOut)
end
--获取扫荡奖励
function CommonMessageAdder:sendCopySweepAward(copyId)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.COPY_SD_AWARD)
messOut:writeInt(copyId)
globalManager.messageManager:send(messOut)
end
function CommonMessageAdder:sendCopyEntrust(copyId,missionId)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.COPY_SD_ENTRUST)
messOut:writeInt(copyId)
messOut:writeInt(missionId or 0)
globalManager.messageManager:send(messOut)
end
--西行星星奖励
function CommonMessageAdder:sendXiXingStarAward(awardId)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.XIXING_STAR_AWARD)
messOut:writeShort(awardId)
globalManager.messageManager:send(messOut)
end
--激活妖精
function CommonMessageAdder:sendActivePet()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.XIAOFEI_JIHUO)
messOut:writeByte(globalData.allStaticTypes.petXiaofeiType.CHONGWU)
globalManager.messageManager:send(messOut)
print("激活妖精")
end
--激活坐骑
function CommonMessageAdder:sendActiveRider()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.XIAOFEI_JIHUO)
messOut:writeByte(globalData.allStaticTypes.petXiaofeiType.ZUOQI)
globalManager.messageManager:send(messOut)
print("激活坐骑")
end
--激活足迹
function CommonMessageAdder:sendActiveGod()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.XIAOFEI_JIHUO)
messOut:writeByte(globalData.allStaticTypes.petXiaofeiType.SHENBING)
globalManager.messageManager:send(messOut)
print("激活足迹")
end
--激活羽翼
function CommonMessageAdder:sendActiveWing()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.XIAOFEI_JIHUO)
messOut:writeByte(globalData.allStaticTypes.petXiaofeiType.CHIBANG)
globalManager.messageManager:send(messOut)
print("激活羽翼")
end
--激活仙灵
function CommonMessageAdder:sendActiveSprite()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.XIAOFEI_JIHUO)
messOut:writeByte(globalData.allStaticTypes.petXiaofeiType.JINGLING)
globalManager.messageManager:send(messOut)
print("激活仙灵")
end
--激活法阵
function CommonMessageAdder:sendActiveFazhen()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.XIAOFEI_JIHUO)
messOut:writeByte(globalData.allStaticTypes.petXiaofeiType.FAZHEN)
globalManager.messageManager:send(messOut)
print("激活法阵")
end
--激活龙魂
function CommonMessageAdder:sendActiveLonghun()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.XIAOFEI_JIHUO)
messOut:writeByte(globalData.allStaticTypes.petXiaofeiType.LONGHUN)
globalManager.messageManager:send(messOut)
print("激活龙魂")
end
--用户信息查询
function CommonMessageAdder:infoQuery(userId,type)
globalManager.tipsManager.queryUserId = userId
globalManager.tipsManager.queryUserType = type
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.INFO_QUERY)
messOut:writeNumber(userId)
globalManager.messageManager:send(messOut)
end
--申请入帮
function CommonMessageAdder:leagueApply(leagueId)
table.insert(globalData.leagueInfo.hasApplyList,leagueId)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.LEAGUE_REQUEST)
messOut:writeNumber(leagueId)
globalManager.messageManager:send(messOut)
end
--帮派信息查询
function CommonMessageAdder:getLeagueInfo()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.LEAGUE_INFO)
globalManager.messageManager:send(messOut)
end
--领取激活码奖历
function CommonMessageAdder:sendActiveCode(code)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.ACTIVE_CODE)
messOut:writeString(code)
globalManager.messageManager:send(messOut)
end
--领取特权激活码奖历
function CommonMessageAdder:sendPrivilegeCode(code)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.PRIVILEGE_AWARD)
messOut:writeString(code)
globalManager.messageManager:send(messOut)
end
--领取特权每日奖励
function CommonMessageAdder:sendPrivilegeDayAward()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.PRIVILEGE_INFO)
messOut:writeByte(2)
globalManager.messageManager:send(messOut)
end
--发送bug
function CommonMessageAdder:sendGMBug(type,content)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.GM_MESSAGE)
messOut:writeByte(type)
messOut:writeString(content)
globalManager.messageManager:send(messOut)
end
--领取开服活动奖励
function CommonMessageAdder:getOpenAward(id)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.ACTIVE_OS_AWARD)
messOut:writeInt(id)
globalManager.messageManager:send(messOut)
end
--炼狱信息
function CommonMessageAdder:sendCopyMissionResetCount(id)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.COPY_MISSION_RESET_COUNT)
messOut:writeInt(id)
globalManager.messageManager:send(messOut)
end
--获取登录天数奖励
function CommonMessageAdder:getDayAwardInfo()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.DAY_AWARD_INFO)
globalManager.messageManager:send(messOut)
end
--获取签到天数奖励
function CommonMessageAdder:getMonthAwardInfo()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.MONTH_AWARD_INFO)
globalManager.messageManager:send(messOut)
end
--升级妖精技能
function CommonMessageAdder:updatePetSkill(id,level)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.PET_SKILLUPDATE)
messOut:writeInt(id)
messOut:writeByte(level)
globalManager.messageManager:send(messOut)
end
--升级消费系统技能
function CommonMessageAdder:updateXiaofeiSkill(type,id,level)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.XIAOFEI_SKILLUP)
messOut:writeByte(type)
messOut:writeInt(id)
messOut:writeByte(level)
globalManager.messageManager:send(messOut)
end
--领取等级礼包奖励
function CommonMessageAdder:senderWelfareLevel(level)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.PP_LEVEL_AWARD_FETCH)
messOut:writeShort(level)
globalManager.messageManager:send(messOut)
end
--开服活动获取排行数据
function CommonMessageAdder:sendGetRank(type)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.ACTIVE_OS_RANK)
messOut:writeShort(type)
globalManager.messageManager:send(messOut)
end
--开服活动获取全服品阶数据
function CommonMessageAdder:sendGetStage(type)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.ACTIVE_OS_STAGE)
messOut:writeShort(type)
globalManager.messageManager:send(messOut)
end
--开服活动获取充值人数
function CommonMessageAdder:sendGetPeople()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.ACTIVE_OS_TOTAL_PAY)
globalManager.messageManager:send(messOut)
end
--换称号
function CommonMessageAdder:sendTitleChange(type,titleId)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.PLAYER_CHOOSE_TITLE)
messOut:writeByte(type)
messOut:writeInt(titleId)
globalManager.messageManager:send(messOut)
end
--付费物品打开
function CommonMessageAdder:sendPayItem(id,count)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.ITEM_PAY_BOX)
messOut:writeNumber(id)
if(count == nil) then
messOut:writeShort(1)
else
messOut:writeShort(count)
end
globalManager.messageManager:send(messOut)
end
--一锤信息
function CommonMessageAdder:yichuiInfo()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.YCDY_INFO)
globalManager.messageManager:send(messOut)
end
--一锤阶段奖
function CommonMessageAdder:yichuiGetAward(id)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.YCDY_AWARD)
messOut:writeByte(id)
globalManager.messageManager:send(messOut)
end
--帮战信息
function CommonMessageAdder:sendBangZhanInfo()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.CLUB_WAR_INFO)
globalManager.messageManager:send(messOut)
end
--帮战玩家排行
function CommonMessageAdder:sendBangZhanRank()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.CLUB_WAR_RANK)
globalManager.messageManager:send(messOut)
end
--帮战帮派排行
function CommonMessageAdder:sendBangZhanClubs()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.CLUB_WAR_CLUBS)
globalManager.messageManager:send(messOut)
end
--帮战提交
function CommonMessageAdder:bangZhanSubmit(npcId)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.CLUB_WAR_SUBMIT)
messOut:writeInt(npcId)
globalManager.messageManager:send(messOut)
end
--帮战同意帮主召集
function CommonMessageAdder:sendMember(x,y)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.CLUB_WAR_MEMBERS)
messOut:writeInt(x)
messOut:writeInt(y)
globalManager.messageManager:send(messOut)
end
--帮战报名
function CommonMessageAdder:sendApplicant()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.CLUB_WAR_APPLICANT)
globalManager.messageManager:send(messOut)
end
--获取帮战报名人数
function CommonMessageAdder:sendApplicantNum()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.CLUB_WAR_APPLICANT_NUM)
globalManager.messageManager:send(messOut)
end
--获取帮战排行榜信息
function CommonMessageAdder:getClubRankInfo(page,num)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.CLUB_WAR_PERSON_RANK)
messOut:writeByte(page)
messOut:writeByte(num)
globalManager.messageManager:send(messOut)
end
function CommonMessageAdder:getWuhunInfo()
globalManager.messageManager:send(globalData.allStaticTypes.messageType.WUHUN_INFO)
end
function CommonMessageAdder:changeHuanhua(type,huanhua)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.XIAOFEI_HUANHUA)
messOut:writeByte(type)
messOut:writeByte(huanhua)
globalManager.messageManager:send(messOut)
end
--化型请求
function CommonMessageAdder:changeHuaXing(type,value)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.XIAOFEI_HUAXING)
messOut:writeByte(type)
messOut:writeByte(value)
globalManager.messageManager:send(messOut)
end
--天赋
function CommonMessageAdder:promtTalentLevel(type,index,level)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.RIDER_TALENTUPDATE)
messOut:writeByte(type)
messOut:writeByte(index)
messOut:writeByte(level)
globalManager.messageManager:send(messOut)
end
--竞技场数据请求
function CommonMessageAdder:sendArenaInfo(type)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.ARENA_INFO)
messOut:writeByte(type)
globalManager.messageManager:send(messOut)
end
--竞技场请求排名
--sign：0表示请求自己前5名，1表示请求前5名
function CommonMessageAdder:sendArenaRank(sign,type)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.ARENA_RANK)
messOut:writeByte(type)
messOut:writeByte(sign)
globalManager.messageManager:send(messOut)
end
--竞技场CD时间加速
function CommonMessageAdder:sendCDSpeedup(type)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.ARENA_SPEED)
messOut:writeByte(type)
globalManager.messageManager:send(messOut)
end
--竞技场增加挑战次数
function CommonMessageAdder:sendAddTime(type)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.ARENA_ADD_TIME)
messOut:writeByte(type)
globalManager.messageManager:send(messOut)
end
--竞技场激励自己
function CommonMessageAdder:sendActive(type)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.ARENA_ACTIVE)
messOut:writeByte(type)
globalManager.messageManager:send(messOut)
end
--竞技场领取奖励
function CommonMessageAdder:sendAward(type)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.ARENA_AWARD)
messOut:writeByte(type)
globalManager.messageManager:send(messOut)
end
--竞技场开始挑战
function CommonMessageAdder:sendFight(rank,userId,type)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.ARENA_FIGHT)
messOut:writeByte(type)
messOut:writeNumber(userId)
messOut:writeInt(rank)
globalManager.messageManager:send(messOut)
end
--月卡信息请求
function CommonMessageAdder:getMonthInfo(type)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.MONTH_CARD_INFO)
messOut:writeByte(type)
globalManager.messageManager:send(messOut)
end
--获取BOSS状态
function CommonMessageAdder:sendBossUpdate()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.BOSS_UPDATE)
globalManager.messageManager:send(messOut)
end
--WORLDBOSSVIP请求
function CommonMessageAdder:getWorldBossVipInfo()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.COPY_WORLDBOSSVIP)
globalManager.messageManager:send(messOut)
end
--宝藏副本翻牌
function CommonMessageAdder:findTreasureOpenCard(position)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.COPY_FINDTREASURE_OPENCARD)
messOut:writeByte(position)
globalManager.messageManager:send(messOut)
end
function CommonMessageAdder:findTreasureNext()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.COPY_FINDTREASURE_ENTER)
globalManager.messageManager:send(messOut)
end
function CommonMessageAdder:findTreasureSaoDang()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.COPY_FINDTREASURE_SAODAND)
globalManager.messageManager:send(messOut)
end
--宝藏副本信息
function CommonMessageAdder:findTreasureInfo()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.COPY_FINDTREASURE_INFO)
globalManager.messageManager:send(messOut)
end
--双11活动4信息
function CommonMessageAdder:doubleElevenFourInfor()
-- body
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.DOUBLE_ELEVEN_FOUR_INFOR)
globalManager.messageManager:send(messOut)
end
--双11活动4翻卡
function CommonMessageAdder:doubleElevenOpenCard(position)
-- body
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.DOUBLE_ELEVEN_OPENCARD)
messOut:writeByte(position)
globalManager.messageManager:send(messOut)
end
--邮件发送
function CommonMessageAdder:sendGiveGoldToFriend(serverId,golds,friendName)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.LETTER_SEND)
messOut:writeShort(serverId)
messOut:writeInt(golds)
messOut:writeString(friendName)
globalManager.messageManager:send(messOut)
end
--获取帮派请求成员列表
function CommonMessageAdder:getRequestList()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.LEAGUE_REQUEST_LIST)
globalManager.messageManager:send(messOut)
end
--获取群雄争霸排行榜信息
function CommonMessageAdder:getRankInfo(page)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.STARCRAFT_RANK_INFO)
messOut:writeByte(page)
globalManager.messageManager:send(messOut)
end
--获取群雄争霸副本数据
function CommonMessageAdder:getStarcraftCopyInfo()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.STARCRAFT_INFO)
globalManager.messageManager:send(messOut)
end
--发送群雄争霸取消匹配
function CommonMessageAdder:sendQuitMatch()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.STARCRAFT_QUIT_MATCH)
globalManager.messageManager:send(messOut)
end
--发送群雄争霸进行匹配
function CommonMessageAdder:sendMatching()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.STARCRAFT_MATCHING)
globalManager.messageManager:send(messOut)
end
--发送群雄争霸准备区时间
function CommonMessageAdder:sendReadZoneTime()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.STARCRAFT_READYZONE_TIME)
globalManager.messageManager:send(messOut)
end
--发送经验回购信息
function CommonMessageAdder:sendExpInfo()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.WELFARE_EXP_INFO)
globalManager.messageManager:send(messOut)
end
--发送经验回购
function CommonMessageAdder:sendExpBuy()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.WELFARE_EXP_BUY)
globalManager.messageManager:send(messOut)
end
--发送成就领取
function CommonMessageAdder:sendAchievementFetch(id,type)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.ACHIEVEMENT_FETCH)
messOut:writeByte(id)
messOut:writeByte(type)
globalManager.messageManager:send(messOut)
end
function CommonMessageAdder:sendConsumenGet(type,id)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.CONSUMENGIFTGET)
messOut:writeByte(type)
messOut:writeByte(id)
globalManager.messageManager:send(messOut)
end
function CommonMessageAdder:sendCrossBossAllInfo()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.ALLCROSSBOSS_HURT_INFO)
globalManager.messageManager:send(messOut)
end
--获取猎魂BOSS可付费挑战次数
function CommonMessageAdder:getVipBossChargeBattleTimes()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.VIP_BOSS_CHARGE_BATTLE_TIME)
globalManager.messageManager:send(messOut)
end
function CommonMessageAdder:sendCrossBossHurtInfo(bossId)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.CROSSBOSS_HURT_INFO)
messOut:writeInt(bossId)
globalManager.messageManager:send(messOut)
end
function CommonMessageAdder:sendVipWeekAward(level)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.VIP_WEEK_AWARD)
messOut:writeByte(level)
globalManager.messageManager:send(messOut)
end
--时装
function CommonMessageAdder:sendGetFashionInfo()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.FASHION_INFO)
globalManager.messageManager:send(messOut)
end
function CommonMessageAdder:sendFashionState(templateId,type)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.FASHION_STATE)
messOut:writeInt(templateId)
messOut:writeByte(type)
globalManager.messageManager:send(messOut)
end
function CommonMessageAdder:sendFashionActive(templateId)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.FASHION_ACTIVE)
messOut:writeInt(templateId)
globalManager.messageManager:send(messOut)
end
function CommonMessageAdder:sendFashionStarUp(templateId,level)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.FASHION_STARUP)
messOut:writeInt(templateId)
messOut:writeShort(level)
globalManager.messageManager:send(messOut)
end
--帮派boss
function CommonMessageAdder:sendLeagueBossInfoList()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.CLUBCOPY_BOSS_HP)
globalManager.messageManager:send(messOut)
end
--神秘商店付费刷新
function CommonMessageAdder:sendShenmiUpdate()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.SHENMI_SHOP_REFRESH)
globalManager.messageManager:send(messOut)
end
--神秘商店购买
function CommonMessageAdder:sendShenmiBuy(shopId)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.SHENMI_SHOP_BUY)
messOut:writeInt(shopId)
globalManager.messageManager:send(messOut)
end
--神秘商店更新请求
function CommonMessageAdder:sendShenmiUpdateInfo()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.SHENMI_SHOP_UPDATE)
globalManager.messageManager:send(messOut)
end
--vip商店付费刷新
function CommonMessageAdder:sendVipMallUpdate()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.VIP_MALL_REFRESH)
globalManager.messageManager:send(messOut)
end
--vip商店购买
function CommonMessageAdder:sendVipMallBuy(shopId)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.VIP_MALL_BUY)
messOut:writeInt(shopId)
globalManager.messageManager:send(messOut)
end
--vip商店更新请求
function CommonMessageAdder:sendVipMallUpdateInfo()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.VIP_MALL_UPDATE)
globalManager.messageManager:send(messOut)
end
--成长计划购买
function CommonMessageAdder:sendGrowUpBuy()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.GROWUPPROJECT_BUY)
globalManager.messageManager:send(messOut)
end
--成长计划领取
function CommonMessageAdder:sendGrowUpPlane(id)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.GROWUPPROJECT_PLAN)
messOut:writeByte(id)
globalManager.messageManager:send(messOut)
end
--天空幻境获取信息
function CommonMessageAdder:sendSkyDreamLand()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.SKYDREAMLAND_INFO)
globalManager.messageManager:send(messOut)
end
--进入天空幻境
function CommonMessageAdder:sendSkyDreamLandEnter(mapId)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.SKYDREAMLAND_ENTER)
messOut:writeNumber(mapId)
globalManager.messageManager:send(messOut)
end
--天空幻境购买时间
function CommonMessageAdder:sendSkyDreamLandBuy()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.SKYDREAMLAND_BUY)
globalManager.messageManager:send(messOut)
end
--天空幻境副本数据请求
function CommonMessageAdder:sendSkyDreamLandInfo()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.SKYDREAMLAND_COPYINFO)
globalManager.messageManager:send(messOut)
end
--寻宝转盘抽奖
function CommonMessageAdder:sendXunBaoPick()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.ZHUANPAN_XUNBAO_PICK)
globalManager.messageManager:send(messOut)
end
--寻宝转盘抽奖获得物品
function CommonMessageAdder:sendXunBaoGet()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.ZHUANPAN_XUNBAO_GET)
globalManager.messageManager:send(messOut)
end
--合服活动领奖
function CommonMessageAdder:sendCombinedActiveGet(type,condition)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.COMBINEDACTIVE_GET)
messOut:writeByte(type)
messOut:writeShort(condition)
globalManager.messageManager:send(messOut)
end
--发送群雄争霸重进副本
-- function CommonMessageAdder:sendRestEnter()
--     local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.STARCRAFT_REST_ENTER)
--     globalManager.messageManager:send(messOut)
-- end
--发送群雄争霸获得个人信息
-- function CommonMessageAdder:sendGetSelfInfo()
--     local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.STARCRAFT_SELFINFO)
--     globalManager.messageManager:send(messOut)
-- end
--精炼装备
function CommonMessageAdder:jingLianEquip(goodsId)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.JINGLIAN_INFO)
messOut:writeNumber(goodsId)
globalManager.messageManager:send(messOut)
end
--获取3v3队伍角色信息
function CommonMessageAdder:sendGetPlayerInfo3V3()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.SELF_INFO_3V3)
globalManager.messageManager:send(messOut)
end
--化形进化
function CommonMessageAdder:sendEvolutionInfo(templateId,type)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.XIAOFEI_JINGHUA)
messOut:writeInt(templateId)
messOut:writeShort(type)
globalManager.messageManager:send(messOut)
end
--选择技能方案x
function CommonMessageAdder:sendChooseSkillPlan(oldPlanIndex,newPlanIndex)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.CHOOSE_SKILL_PLAN)
messOut:writeByte(oldPlanIndex)
messOut:writeByte(newPlanIndex)
globalManager.messageManager:send(messOut)
end
--改变技能方案里面的技能
function CommonMessageAdder:sendChangeSkillPlan(type,templateId,fromIndex,toIndex,planIndex)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.CHANGE_SKILL_OF_PLAN)
messOut:writeByte(type)
messOut:writeInt(templateId)
messOut:writeShort(fromIndex)
messOut:writeShort(toIndex)
messOut:writeByte(planIndex)
globalManager.messageManager:send(messOut)
end
--时间同步出错
function CommonMessageAdder:sendTimeError(clientTime,serverTime)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.SYS_TIMEERROR)
messOut:writeInt(clientTime)
messOut:writeInt(serverTime)
globalManager.messageManager:send(messOut)
end
--双11秒杀信息
function CommonMessageAdder:sendDoubleElevenOneInfo(id)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.DOUBLE_ELEVEN_ONE_INFO)
messOut:writeByte(id)
globalManager.messageManager:send(messOut)
end
--双11秒杀购买
function CommonMessageAdder:sendDoubleElevenOneBuy(id)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.DOUBLE_ELEVEN_ONE_BUY)
messOut:writeByte(id)
globalManager.messageManager:send(messOut)
end
--双11限时折扣购买
function CommonMessageAdder:sendDoubleElevenThreeBuy(id)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.DOUBLE_ELEVEN_THREE_BUY)
messOut:writeInt(id)
globalManager.messageManager:send(messOut)
end
--双11限时团购购买
function CommonMessageAdder:sendDoubleElevenTwoBuy(id,pos)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.DOUBLE_ELEVEN_TWO_BUY)
messOut:writeByte(id)
messOut:writeByte(pos)
globalManager.messageManager:send(messOut)
end
--双11限时团购信息
function CommonMessageAdder:sendDoubleElevenTwoInfo()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.DOUBLE_ELEVEN_TWO_INFO)
globalManager.messageManager:send(messOut)
end
--获取好友家园信息
function CommonMessageAdder:sendGetFriendHomeInfo(userId)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.HOME_INFO_FRIEND)
messOut:writeNumber(userId)
globalManager.messageManager:send(messOut)
end
--请求邀请码
function CommonMessageAdder:sendGetInviteCode()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.INVITE_CODE_GET)
globalManager.messageManager:send(messOut)
end
--使用邀请码
function CommonMessageAdder:sendUseInviteCode(code)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.INVITE_CODE_USE)
messOut:writeString(code)
globalManager.messageManager:send(messOut)
end
--发送邀请码奖励
function CommonMessageAdder:sendGetInviteCodeAward(codeId)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.INVITE_CODE_AWARD)
messOut:writeShort(codeId)
globalManager.messageManager:send(messOut)
end
--发送排行榜数据请求
function CommonMessageAdder:sendNewRankInfo(type,page,count)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.RANK_INFO)
messOut:writeByte(type)
messOut:writeByte(page)
messOut:writeByte(count)
globalManager.messageManager:send(messOut)
end
--购买种子
function CommonMessageAdder:farmBuySeed(landId,seedId)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.FARM_BUY_SEED)
messOut:writeByte(landId)
messOut:writeInt(seedId)
globalManager.messageManager:send(messOut)
end
--发送佩饰升级
function CommonMessageAdder:sendPeiShiUpgrad(id)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.PEISHI_UPGRAD)
messOut:writeByte(id)
globalManager.messageManager:send(messOut)
end
--桃园信息
function CommonMessageAdder:sendTaoYuanInfo()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.TAOYUAN_INFO)
globalManager.messageManager:send(messOut)
end
--伙伴技能升級
function CommonMessageAdder:sendPartnerSkillUp(partnerId,skillId)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.PARTNER_SKILLUP)
messOut:writeNumber(partnerId)
messOut:writeShort(skillId)
globalManager.messageManager:send(messOut)
end
--三打白骨精 开始匹配
function CommonMessageAdder:sendSanDaMatching()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.SANDA_MATCHING)
globalManager.messageManager:send(messOut)
end
--三打白骨精 取消匹配
function CommonMessageAdder:sendCancelSanDaMatching()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.SANDA_CANEL_MATCH)
globalManager.messageManager:send(messOut)
end
--请求七大模块达标人数
function CommonMessageAdder:sendOpenStageNum()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.ACTIVE_OS_STAGENUM)
globalManager.messageManager:send(messOut)
end
--仙皇争霸退出匹配
function CommonMessageAdder:sendQuitMatch1v1()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.ARENA_QUIT_MATCH)
globalManager.messageManager:send(messOut)
end
--熔炉升级
function CommonMessageAdder:sendRongLuUpgrade(goodsList)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.RONGLU_INFO)
local len = #goodsList
messOut:writeShort(len)
for i = 1, len do
messOut:writeNumber(goodsList[i][1])
messOut:writeShort(goodsList[i][2])
end
globalManager.messageManager:send(messOut)
end
--整理背包
function CommonMessageAdder:sendAttachReceive()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.ITEM_ARRANGE)
globalManager.messageManager:send(messOut)
end
--整理特殊道具背包
function CommonMessageAdder:sendAttachReceive2()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.ITEM_FIVEEQUIP_ARRANGE)
globalManager.messageManager:send(messOut)
end
--扩展包下载奖励 1:请求扩展包奖励信息 2:发送领奖
function CommonMessageAdder:sendLoadPlusInfo(state)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.LOADPLUSAWARDINFO)
messOut:writeByte(state)
globalManager.messageManager:send(messOut)
end
--宠物化形请求
function CommonMessageAdder:sendPetHuaXing(stage)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.PET_HUAXING)
messOut:writeShort(stage)
globalManager.messageManager:send(messOut)
end
--宠物进化请求
function CommonMessageAdder:sendPetJinHua(stage)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.PET_JINHUA)
messOut:writeInt(stage)
globalManager.messageManager:send(messOut)
end
function CommonMessageAdder:sendFilmTicketInfo()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.FILM_TICKET_INFO)
globalManager.messageManager:send(messOut)
end
function CommonMessageAdder:sendUseVipCard(goodsId,count,type)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.VIP_CARD_USE)
messOut:writeNumber(goodsId)
messOut:writeShort(count)
messOut:writeByte(type)
globalManager.messageManager:send(messOut)
end
function CommonMessageAdder:sendFilmTicketNumsInfo()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.FILM_TICKET_NUM_INFO)
globalManager.messageManager:send(messOut)
end
--金猴活动提交物品
function CommonMessageAdder:newYearGive()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.NEW_YEAR_GIVE)
globalManager.messageManager:send(messOut)
end
--金猴活动获取进度
function CommonMessageAdder:newYearPercent()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.NEW_YEAR_GET_PERCENT)
globalManager.messageManager:send(messOut)
end
--新年愿望信息
function CommonMessageAdder:newYearWishInfo()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.NEW_YEAR_WISH_INFO)
globalManager.messageManager:send(messOut)
end
--随机奖励物品
function CommonMessageAdder:newYearRandomGoods(type)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.NEW_YEAR_AWARD)
messOut:writeByte(type)
globalManager.messageManager:send(messOut)
end
--许愿确认选择
function CommonMessageAdder:newYearOK(table)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.NEW_YEAR_CHOICE)
messOut:writeByte(#table)
for k,v in pairs(table) do
messOut:writeByte(v)
end
globalManager.messageManager:send(messOut)
end
--红包信息请求
function CommonMessageAdder:sendReadPacketInfo(type,moneyType)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.RED_PACKET_INFO)
--Type = 1帮派，2全服
--MoneyType =  1是200 2是500 3是1000
messOut:writeByte(type)
messOut:writeByte(moneyType)
globalManager.messageManager:send(messOut)
end
--红包积分请求
function CommonMessageAdder:sendReadPacketScore()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.RED_PACKET_SCORE)
globalManager.messageManager:send(messOut)
end
--红包领取
function CommonMessageAdder:sendReadPacketGet(userId,clubId)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.RED_PACKET_GET)
messOut:writeNumber(userId)
messOut:writeNumber(clubId)
globalManager.messageManager:send(messOut)
end
--元宵集福
function CommonMessageAdder:sendJiFuAwardGet(index)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.JIFU_INFO)
messOut:writeByte(index)
globalManager.messageManager:send(messOut)
end
--元宵答题信息
function CommonMessageAdder:sendYuanXiaoDaTiInfo()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.YUANXIAO_DATI_INFO)
globalManager.messageManager:send(messOut)
end
--元宵答题开始
function CommonMessageAdder:sendYuanXiaoDaTiStart()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.YUANXIAO_DATI_START)
globalManager.messageManager:send(messOut)
end
--元宵答题 1 对， 0 错， 2 SKIP_TYPE 跳过
function CommonMessageAdder:sendYuanXiaoDaTiAnswer(type)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.YUANXIAO_DATI_ANSWER)
messOut:writeByte(type)
globalManager.messageManager:send(messOut)
end
--发送进入副本
function CommonMessageAdder:sendEnterCopyCommon(copyId,mission)
if(mission == nil)then
mission = 1
end
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.ENTER_COPY)
messOut:writeInt(copyId)
messOut:writeByte(mission)
globalManager.messageManager:send(messOut)
end
function CommonMessageAdder:activePartner(templateId)  --伙伴激活
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.PARTNER_ACTIVE)
messOut:writeInt(templateId)
globalManager.messageManager:send(messOut)
end
--##globalData.allStaticTypes.moduleType
ModuleType = class("ModuleType",function()
local mt = {}
--启动模块
mt.startLib = 1
--场景
mt.scene = 2
--主界面
mt.main_menu = 3
--背包
mt.bag = 4
--聊天
mt.chat = 5
--邮件
mt.letter = 6
--商城
mt.shop = 7
--技能
mt.skill = 8
--设置
mt.setting = 9
--好友
mt.friend = 10
--GM面板
mt.gm = 11
--角色
mt.role = 14
--炼器
mt.furnace = 15
--  --日常
--  mt.daily = 16
--消费系统
mt.xiaofei = 17
--排行榜
mt.rank = 23
--帮派
mt.league = 24
--活动
mt.matter = 25
--福利
mt.welfare = 26
--活跃度
mt.activity = 27
--开服活动
mt.open = 29
--仙缘
mt.xianYuan = 32
--开服运营活动
mt.operateActive = 33
--合服活动
mt.combinedActive = 34
--结义
mt.oath = 35
--双11
mt.doubleEleven = 37
--家园
mt.home = 38
--伙伴
mt.partner = 39
--战力提升
mt.fightUp = 40
return mt
end)
Alert = class("Alert", function(self)
local temp = globalManager.ccCreator:newJsonWidget("alertPanel")
temp._background = temp:getChildByName("background")
temp._btn1 = temp:getChildByName("nomalBtn1")
temp._btn2 = temp:getChildByName("nomalBtn2")
temp._btnLabel1 = temp._btn1:getChildByName("btnLabel")
temp._btnLabel2 = temp._btn2:getChildByName("btnLabel")
temp._checkBox = temp:getChildByName("checkBox")
temp._checkBox:setSelectedState(false)
temp._checkLabel = temp._checkBox:getChildByName("checkLabel")
temp._richLabel = globalManager.ccCreator:newRichLabel2(nil,390)
temp._richLabel:setPosition(globalManager.ccCreator:newPoint(37,284))
temp:addChild(temp._richLabel,9)
temp._executor = nil
temp._callBack1 = nil
temp._callBack2 = nil
temp._showType = nil
temp._text = ""
temp._oldCount = 0
temp._count = 0
temp._panelType = 1
temp._type = 0
temp:getChildByName("titleLabel_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("ArenaAlertPanel.text1"))
temp._checkLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("StageReturnPanel.text10"))
return temp
end)
function Alert:ctor()
self:initEvent()
end
function Alert:initEvent()
local btnClickHandler1 = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
globalData.alert_executor = self._executor
globalData.alert_callBack = self._callBack1
--点击确定才会保存不再提示记录
if(self._showType ~= nil) then
if(self._checkBox ~= nil)then
if(self._checkBox:getSelectedState()) then
globalManager.noAlertUtils:setNotShow(self._showType)
end
end
end
self:close()
if(globalData.alert_executor ~= nil and globalData.alert_callBack ~= nil) then
globalData.alert_callBack(globalData.alert_executor)
end
end
end
local btnClickHandler2 = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
globalData.alert_executor = self._executor
globalData.alert_callBack = self._callBack2
self:close()
if(globalData.alert_executor ~= nil and globalData.alert_callBack ~= nil) then
globalData.alert_callBack(globalData.alert_executor)
end
end
end
self._btn1:addTouchEventListener(btnClickHandler1)
self._btn2:addTouchEventListener(btnClickHandler2)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_closeOtherPanel,self.close,self)
end
function Alert:removeEvent()
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.scene_closeOtherPanel,self.close,self)
end
--type:类型，1：确定，2:确定（倒计时），取消，3：是，否  4.无按钮 5.确定，取消（倒计时）
--content:显示内容
--showType:为nil则非今日不再提示面板
--count:倒计时时间，默认0
--executor:调用函数对象
function Alert:show(type,content,showType,count,executor,callback1,callback2)
self._showType = showType
self._type = type
if(showType ~= nil) then
self:setType(1)
self._checkBox:setSelectedState(false)
if(not globalManager.noAlertUtils:getIsShow(showType)) then
globalData.alert_executor = executor
globalData.alert_callBack = callback1
self:close()
if(globalData.alert_executor ~= nil and globalData.alert_callBack ~= nil) then
globalData.alert_callBack(globalData.alert_executor)
end
return
end
else
self:setType(0)
end
self._executor = executor
self._callBack1 = callback1
self._callBack2 = callback2
self._richLabel:setText(content)
self._richLabel:setPositionY(255)
if(type == 4) then
self._btn1:setEnabled(false)
self._btn2:setEnabled(false)
elseif(type == 1) then
self._btnLabel1:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel1"))
self._btn1:setPositionX(235)
self._btn2:setEnabled(false)
else
self._btn1:setPositionX(365)
self._btn2:setEnabled(true)
if(type == 2 or type == 5) then
self._btnLabel1:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel1"))
self._btnLabel2:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel2"))
elseif(type == 3) then
self._btnLabel1:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel3"))
self._btnLabel2:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel4"))
end
end
if(count ~= nil and count > 0) then
self._count = count
self._oldCount = count
if(type == 1 or type == 2) then
self._text = globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel1")
self._btnLabel1:setText(self._text..self._oldCount)
elseif(type == 5) then
self._text = globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel2")
self._btnLabel2:setText(self._text..self._oldCount)
end
globalManager.tickManager:addTick(self.tick,self)
end
globalData.uiClickContainer:addItem(self,true,true)
end
function Alert:setType(type)
if(self._panelType == type) then return end
self._panelType = type
if(type == 0) then
self._background:setSize(globalManager.ccCreator:newSize(470,300))
self._btn1:setPositionY(111)
self._btn2:setPositionY(111)
self._checkBox:setEnabled(false)
self._checkLabel:setEnabled(false)
elseif(type == 1)then
self._background:setSize(globalManager.ccCreator:newSize(470,359))
self._btn1:setPositionY(66)
self._btn2:setPositionY(66)
self._checkBox:setEnabled(true)
self._checkLabel:setEnabled(true)
end
end
function Alert:tick(delta, tickCount)
self._count = self._count - delta --*0.001
if(self._oldCount ~= math.ceil(self._count)) then
self._oldCount = math.ceil(self._count)
if(self._oldCount > 0) then
if(self._type == 1 or self._type == 2) then
self._btnLabel1:setText(self._text..self._oldCount)
elseif(self._type == 5) then
self._btnLabel2:setText(self._text..self._oldCount)
end
else
globalData.alert_executor = self._executor
if(self._type == 1 or self._type == 2) then
globalData.alert_callBack = self._callBack1
elseif(self._type == 5) then
globalData.alert_callBack = self._callBack2
end
self:close()
if(globalData.alert_executor ~= nil and globalData.alert_callBack ~= nil) then
globalData.alert_callBack(globalData.alert_executor)
end
end
end
end
function Alert:hideFormClickContainer()
end
function Alert:close()
self:removeEvent()
globalManager.tickManager:removeTick(self.tick,self)
if(self._richLabel ~= nil)then
self._richLabel:dispose()
self._richLabel = nil
end
self._background = nil
self._btn1 = nil
self._btn2 = nil
self._btnLabel1 = nil
self._btnLabel2 = nil
self._checkBox = nil
self._checkLabel = nil
self._text = nil
self._executor = nil
self._callBack1 = nil
self._callBack2 = nil
globalData.uiClickContainer:close(self)
globalManager.ccCreator:release(self)
end
PopupWindowView = class("PopupWindowView", function(self,list,callback,executor)
local temp = globalManager.ccCreator:newJsonWidget("popupWindowView")
temp._infoList = list
temp._executor = executor
temp._callBack = callback
temp._okBtn = temp:getChildByName("know_btn")
temp.advert_img = temp:getChildByName("advert_img")
temp._okBtn:getChildByName("btnName_label"):setText(globalManager.yuyanbaoManager:getYuyanbao("popupWindowView.text1"))
temp._acvertPath = nil
return temp
end)
function PopupWindowView:ctor()
self:initEvent()
self:initView()
globalData.uiClickContainer:addItem(self,true,true)
end
function PopupWindowView:initEvent()
local okClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self:showNext()
end
end
self._okBtn:addTouchEventListener(okClickHandler)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_reConnect,self.dispose,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_closeOtherPanel,self.dispose,self)
end
function PopupWindowView:removeEvent()
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.scene_reConnect,self.dispose,self)
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.scene_closeOtherPanel,self.dispose,self)
end
function PopupWindowView:initView()
self:showNext()
end
function PopupWindowView:showNext()
if(#self._infoList > 0)then
local info = table.remove(self._infoList,1)
if(self._acvertPath ~= nil)then
globalManager.sourceCacheManager:removeQuote(self._acvertPath)
self._acvertPath = nil
end
self._acvertPath = globalManager.pathManager:getUISource("outPic/advertImg_"..info.type..".png")
globalManager.sourceCacheManager:setImage(self.advert_img,self._acvertPath,globalData.allStaticTypes.sourceStaticType.clearImmediately)
else
if self._executor ~= nil and self._callBack ~= nil then
self._callBack(self._executor)
end
self:dispose()
end
end
function PopupWindowView:dispose()
self:removeEvent()
globalData.uiClickContainer:close(self)
self._okBtn = nil
self._executor = nil
self._callBack = nil
if(self._acvertPath ~= nil)then
globalManager.sourceCacheManager:removeQuote(self._acvertPath)
self._acvertPath = nil
end
self.advert_img = nil
globalManager.ccCreator:release(self)
end
--在资源中对应的串
CharacterAnimaInfo = class("CharacterAnimaInfo",function(self,animaType,dirFrameCount,sourceValue,frames,directTypes,doRepeat,replaceSame,unreplaceList,timePerFrame)
local ca = {}
ca.animaType = animaType
ca.sourceValue = sourceValue
--帧{{},{},{},{}}衣服，五器，坐骑，翅膀
ca.frames = frames
ca.directTypes = directTypes
ca.doRepeat = doRepeat
ca.replaceSame = replaceSame
ca.unreplaceList = unreplaceList
--单个方向帧数
ca.dirFrameCount = dirFrameCount
ca.timePerFrame = timePerFrame--每帧播几次
--图层列表，分职业  1:衣服, 2:武器, 3:坐骑, 4:翅膀   靠前数字在最下层
ca.careerLayers = {
{3, 1, 2, 4}, _,        --左上
{3, 1, 2, 4}, _, _,     --右上
{3, 4, 2, 1}, _,        --左下
{3, 4, 2, 1}            --右下
}
return ca
end)
function CharacterAnimaInfo:getFrameByIndex(index,dir)
local result = {}
local layerCount = table.getn(self.frames)
for i = 1,layerCount,1 do
if(self.frames[i] == nil)then
table.insert(result,-1)
else
table.insert(result,self.frames[i][index + self:getDirOffset(i, dir)])
end
end
return result
end
function CharacterAnimaInfo:getDirOffset(layer,dir)
if(self.directTypes[layer] == globalData.allStaticTypes.directType.countOne)then
return 0
elseif(self.directTypes[layer] == globalData.allStaticTypes.directType.countThree)then
if(dir == globalData.allStaticTypes.directType.top)then
return self.dirFrameCount * 2
elseif(dir == globalData.allStaticTypes.directType.bottom)then
return 0
else
return self.dirFrameCount
end
elseif(self.directTypes[layer] == globalData.allStaticTypes.directType.countTwo) then
if(dir == globalData.allStaticTypes.directType.leftTop or
dir == globalData.allStaticTypes.directType.rightTop) then
return self.dirFrameCount
end
end
return 0
end
--animaInfo:CharacterAnimaInfo
function CharacterAnimaInfo:canReplace(animaInfo)
for k,v in pairs(self.unreplaceList) do
if(v == animaInfo)then
return false
end
end
return (animaInfo.animaType ~= self.animaType) or self.replaceSame
end
--sourceType:npc,player
CharacterInfo = class("CharacterInfo",function(self,sourceType)
local ci = EventDispatcher:new()
ci._styleList = {}--形象数据列表   1衣服 2武器 3坐骑 4翅膀 5足迹 6仙灵 7变身BUFF 8时装武饰 9时装背饰 10时装光环 11法阵 12龙魂 14足迹
ci._defaultAmina = nil
ci._defaultCloth = nil
ci._sourceType = sourceType
ci._npcStyleTmp = nil
ci._monsterStyleTmp = nil
ci._petStyleTmp = nil
ci._collectStyleTmp = nil
ci._playerStyleTmp = {}
ci._figureInfo = nil
ci.__eventDispose = ci.dispose
ci.showDefaultCloth = true
ci.buffChangeId = 0 --buff变身的ID  为0的时候无变身
ci.buffChangeType = 0 --buff变身的类型 0：怪物  1：伙伴
ci.hideWing = false--是否隐藏翅膀
ci.career = 0
ci.sex = 0
return ci
end)
function CharacterInfo:getIsHorse()
return false
end
--param index:int value:int
function CharacterInfo:setStyleBin(index,value)
self._styleList[index] = value
self._playerStyleTmp[index] = nil
self._npcStyleTmp = nil
self._monsterStyleTmp = nil
self._petStyleTmp = nil
self._collectStyleTmp = nil
end
--return Vector.<int>
function CharacterInfo:getStyleBin()
return self._styleList;
end
function CharacterInfo:clearStyleBin()
self._styleList = {}
self._playerStyleTmp = {}
end
function CharacterInfo:getFazhenId()
if(self._styleList == nil) then
return 0
end
if(self._styleList[11] == nil)then
return 0
end
return self._styleList[11]
end
function CharacterInfo:getFootId()
if(self._styleList == nil) then
return 0
end
if(self._styleList[14] == nil)then
return 0
end
return self._styleList[14]
end
function CharacterInfo:getLongHunId()
if(self._styleList == nil) then
return 0
end
if(self._styleList[12] == nil)then
return 0
end
return self._styleList[12]
end
--手动变身
function CharacterInfo:forceChange()
if(self._styleList ~= nil)then
self.buffChangeId = tonumber(globalData.characterChangePath)
self.buffChangeType = globalData.allTemplates.monsterTemplateList:getMonster(globalData.characterChangePath).characterType
self._monsterStyleTmp = nil
self:updateStyleBin()
end
end
function CharacterInfo:getSprite()
if(self._styleList ~= nil)then
if(self._styleList[6] ~= nil and self._styleList[6] > 0)then
return tonumber(globalData.allTemplates.xiaofeiTemplateList:getTemplate(globalData.allStaticTypes.petXiaofeiType.JINGLING,self._styleList[6]):getPicPath())
end
return -1
end
return -1
end
function CharacterInfo:updateStyleBin()
self._defaultAmina = nil
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_style))
end
--加载地址 showDefaultCloth是否显示默认衣服，人物造型默认显示
function CharacterInfo:getPaths()
local result = {}
local picPaths = {}
--衣服
local styleId = self._styleList[1]
local path = ""
if(self._sourceType ~= globalData.allStaticTypes.sourceStaticType.player) then
table.insert(result,globalManager.pathManager:getCharacterPath(self._sourceType,styleId))
table.insert(picPaths,styleId)
else
if(self.buffChangeId ~= 0)then
styleId = globalData.allTemplates.monsterTemplateList:getMonster(self.buffChangeId):getPicPath()
if(self.buffChangeType == 0) then
path = globalManager.pathManager:getCharacterPath(globalData.allStaticTypes.sourceStaticType.monster,styleId)
elseif(self.buffChangeType == 1) then
local partner = globalData.allTemplates.partnerTemplateList:getTemplate(tonumber(styleId))
styleId = partner:getPicPath()
path = globalManager.pathManager:getCharacterPath(globalData.allStaticTypes.sourceStaticType.pet,styleId)
end
table.insert(result, path)
table.insert(picPaths,tostring(styleId))
--变身后不显示武器坐骑和翅膀
table.insert(result,"")
table.insert(picPaths,"")
table.insert(result,"")
table.insert(picPaths,"")
table.insert(result,"")
table.insert(picPaths,"")
else
--衣服
local fashionId = self._styleList[8]
if(fashionId ~= nil and fashionId > 0) then
local pic = globalData.allTemplates.goodsTemplateList:getTemplate(fashionId):getPicPath()
path = globalManager.pathManager:getCharacterPath(self._sourceType,pic)
table.insert(result, path)
table.insert(picPaths,pic)
else
styleId = self._styleList[1]
if(styleId ~= nil or self.showDefaultCloth) then
local defc = self:getDefaultClothPath()
path = globalManager.pathManager:getCharacterPath(self._sourceType,defc)
table.insert(result, path)
table.insert(picPaths,defc)
else
table.insert(result, "")
table.insert(picPaths,"")
end
end
--武器
styleId = 0
path = ""
if(self._styleList[5] ~= nil)then styleId = self._styleList[5] end
if(styleId > 0)then
local pic = tostring(tonumber(globalData.allTemplates.xiaofeiTemplateList:getTemplate(globalData.allStaticTypes.petXiaofeiType.SHENBING,styleId):getPicPath()) + globalData.allStaticTypes.careerType:getCareer(self.career))
--品阶就是ID
path = globalManager.pathManager:getCharacterPath(self._sourceType,pic)
table.insert(result, path)
table.insert(picPaths,pic)
else
if(self._styleList[2] ~= nil)then styleId = self._styleList[2] end
if(styleId > 0)then
local pic = globalData.allTemplates.goodsTemplateList:getTemplate(styleId):getPicPath()
path = globalManager.pathManager:getCharacterPath(self._sourceType,pic)
table.insert(result, path)
table.insert(picPaths,pic)
else
table.insert(result,"")
table.insert(picPaths,"")
end
end
--坐骑
path = ""
styleId = 0
if(self._styleList[3] ~= nil)then styleId = self._styleList[3] end
if(styleId > 0)then
if(self.showDefaultCloth and self:getIsHorse() == false)then
table.insert(result,path)
table.insert(picPaths,"")
else
local pic = globalData.allTemplates.xiaofeiTemplateList:getTemplate(globalData.allStaticTypes.petXiaofeiType.ZUOQI,styleId):getPicPath()
path = globalManager.pathManager:getCharacterPath(self._sourceType, pic)
table.insert(result, path)
table.insert(picPaths,pic)
end
else
table.insert(result,path)
table.insert(picPaths,"")
end
--翅膀
if(self.hideWing == false)then
path = ""
styleId = 0
if(self._styleList[4] ~= nil)then styleId = self._styleList[4] end
if(styleId > 0)then
local pic = globalData.allTemplates.xiaofeiTemplateList:getTemplate(globalData.allStaticTypes.petXiaofeiType.CHIBANG,styleId):getPicPath()
path = globalManager.pathManager:getCharacterPath(self._sourceType, pic)
table.insert(result,path)
table.insert(picPaths,pic)
else
table.insert(result,path)
table.insert(picPaths,"")
end
else
table.insert(result,path)
table.insert(picPaths,"")
end
end
end
return result,picPaths
end
function CharacterInfo:getRiderHeight()
-- if(self:getFigurePlayerInfo() ~= nil)then
--     if(self._styleList[3] ~= nil and self._styleList[3] > 0 and self:getFigurePlayerInfo():getIsHorse() == true)then
--         return globalData.allTemplates.xiaofeiTemplateList:getTemplate(globalData.allStaticTypes.petXiaofeiType.ZUOQI,self._styleList[3]):getPicHeight()
--     end
-- end
return 150
end
function CharacterInfo:getSourceType()
return self._sourceType
end
-- picPath
function CharacterInfo:getSourceTypeValue(picPath,actionValue)
if(self._sourceType == globalData.allStaticTypes.sourceStaticType.monster or (self.buffChangeId > 0 and self.buffChangeType == 0))then
if(self._monsterStyleTmp == nil)then
self._monsterStyleTmp = "8_"..picPath.."_"
end
return self._monsterStyleTmp .. actionValue.."_"
elseif(self._sourceType == globalData.allStaticTypes.sourceStaticType.pet or (self.buffChangeId > 0 and self.buffChangeType == 1))then
if(self._petStyleTmp == nil)then
self._petStyleTmp = "4_"..picPath.."_"
end
return self._petStyleTmp..actionValue.."_"
elseif(self._sourceType == globalData.allStaticTypes.sourceStaticType.npc)then
if(self._npcStyleTmp == nil)then
self._npcStyleTmp = "3_"..picPath.."_"
end
return self._npcStyleTmp
elseif(self._sourceType == globalData.allStaticTypes.sourceStaticType.collect)then
if(self._collectStyleTmp == nil)then
self._collectStyleTmp = "5_"..picPath.."_"
end
return self._collectStyleTmp
elseif(self._sourceType == globalData.allStaticTypes.sourceStaticType.player)then
return "1_" .. picPath .. "_" .. actionValue .. "_"
end
return nil
end
function CharacterInfo:setCareer(career)
self.career = career
if(career == 1) then
self.sex = 1
else
self.sex = 2
end
end
function CharacterInfo:getDefaultClothPath()
if(self._defaultCloth == nil)then
if(self.sex == 1)then
self._defaultCloth = "110800"
elseif(self.sex == 2)then
self._defaultCloth = "120800"
end
end
if(self.sex == 0) then
print("error:获取形象时职业或性别为0!",self.sex)
end
return self._defaultCloth
end
function CharacterInfo:setDefaultAnima(anima)
self._defaultAmina = anima
end
function CharacterInfo:getDefaultAnima()
if(self._defaultAmina == nil)then
self._defaultAmina = globalData.allStaticTypes.animaInfoList.stand1
-- if(self:getFigurePlayerInfo() ~= nil)then
--     if(self._styleList[3] ~= nil and self._styleList[3] > 0 and self:getFigurePlayerInfo():getIsHorse() == true)then
--         self._defaultAmina = globalData.allStaticTypes.animaInfoList.stand2
--     end
-- end
end
return self._defaultAmina
end
function CharacterInfo:dispose()
self:__eventDispose()
self._styleList = nil
self._figureInfo = nil
self._defaultAmina = nil
self._defaultCloth = nil
self._npcStyleTmp = nil
self._monsterStyleTmp = nil
self._playerStyleTmp = nil
self._petStyleTmp = nil
self._collectStyleTmp = nil
self.__eventDispose = nil
end
PlayerCharacterInfo = class("PlayerCharacterInfo", function(_, sourceType)
local self = CharacterInfo:new(sourceType)
self.isHorse = false
self._characterInfoDispose = self.dispose
self._characterInfoGetRiderHeight = self.getRiderHeight
self._characterInfoGetDefaultAnima = self.getDefaultAnima
return self
end)
function PlayerCharacterInfo:getIsHorse()
return self.isHorse
end
function PlayerCharacterInfo:getRiderHeight()
if(self._styleList[3] ~= nil and self._styleList[3] > 0 and self:getIsHorse() == true)then
return globalData.allTemplates.xiaofeiTemplateList:getTemplate(globalData.allStaticTypes.petXiaofeiType.ZUOQI,self._styleList[3]):getPicHeight()
end
return self:_characterInfoGetRiderHeight()
end
function PlayerCharacterInfo:getDefaultAnima()
if(self._defaultAmina == nil)then
self._defaultAmina = globalData.allStaticTypes.animaInfoList.stand1
if(self._styleList[3] ~= nil and self._styleList[3] > 0 and self:getIsHorse() == true)then
self._defaultAmina = globalData.allStaticTypes.animaInfoList.stand2
end
end
return self:_characterInfoGetDefaultAnima()
end
function PlayerCharacterInfo:dispose()
self:_characterInfoDispose()
self._characterInfoDispose = nil
self._characterInfoGetRiderHeight = nil
self._characterInfoGetDefaultAnima = nil
self.isHorse = false
end
ActivityIconItem = class("ActivityIconItem", function(_, info)
local self = globalManager.ccCreator:newWidget()
self.icon = globalManager.ccCreator:newImageView()
self.icon:setPositionY(-2)
self.icon:setTouchEnabled(true)
self:addChild(self.icon)
self.txtTime = CountDownLabel:new(nil,5,16,globalData.allStaticTypes.colorType.COLORGREEN,0)
self.txtTime:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[1])
self.txtTime:setPositionY(-44)
self:addChild(self.txtTime)
self.info = info
self.effect = nil
self._path = nil
return self
end)
function ActivityIconItem:ctor()
self:setInfo(self.info)
self:initEvent()
end
function ActivityIconItem:initEvent()
local function btnClickHandler(sender, eventType)
if (eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(globalData.copyInfo.currentCopyId > 0) then globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("ActivityIconItem.text1")) return end
if(self.info.id == 22)then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.arenaTab,globalData.allStaticTypes.panelTabType.starcraft)
elseif(self.info.id == 25)then
if(globalData.selfPlayerInfo.level >= globalData.newModuleLevelConfig.chaosLevel)then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.arenaTab,globalData.allStaticTypes.panelTabType.chaos)
end
elseif(self.info.id == 29)then
if(globalData.selfPlayerInfo.level >= globalData.newModuleLevelConfig.arenaXHLevel)then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.arenaTab,globalData.allStaticTypes.panelTabType.arenaXH)
end
else
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tabDaily,globalData.allStaticTypes.panelTabType.matter)
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_selectMatterItem,globalManager.gameDispatcher,self.info.id))
end
end
end
self.icon:addTouchEventListener(btnClickHandler)
end
function ActivityIconItem:removeEvent()
end
function ActivityIconItem:setInfo(info)
--图标, 倒计时
local function countComplete()
globalData.activityIcons:remove(self.info.id)
end
self.icon:loadTexture(info.res, 1)
local currentTime = globalData.systemDateInfo:getSystemTime()
if info.timeType == 0 then 	--即将开始
self.txtTime:setText(globalData.systemDateInfo:secondsToDateString7(info.timeEnd % globalData.systemDateInfo.secondsOfDay)..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel5"))
self.txtTime:stop()
elseif info.timeType == 1 then  --正式开始
self:showEffect()
local diff = math.floor(info.timeEnd - globalData.systemDateInfo:getZeroPassTime() + 0.5 )
if(diff < 1) then
countComplete()
else
local function formatFunc(str)
return str..globalManager.yuyanbaoManager:getYuyanbao("CombinedActivePanel.text8")
end
self.txtTime:setFormatFunc(formatFunc)
self.txtTime:start(diff, countComplete)
end
end
end
function ActivityIconItem:showEffect()
if self.effect == nil then
self.effect = globalManager.effectCreator:create(globalData.allTemplates.effectTemplateList.activity)
end
if self.effect ~= nil and self.effect:getParent() == nil then
self:addNode(self.effect)
self.effect:move2(self,80, -80)
self.effect:play()
end
end
function ActivityIconItem:cleanEffect()
if self.effect ~= nil then
self.effect:dispose()
self.effect = nil
end
end
function ActivityIconItem:dispose()
if(self._path ~= nil) then
globalManager.sourceCacheManager:removeQuote(self._path)
self._path = nil
end
self:removeEvent()
self.info = nil
if(self.icon) then
globalManager.ccCreator:release(self.icon)
self.icon = nil
end
if(self.txtTime) then
self.txtTime:dispose()
self.txtTime = nil
end
self:cleanEffect()
globalManager.ccCreator:release(self)
end
ActivityIconView = class("ActivityIcons", function()
local self = globalManager.ccCreator:newNode()
self.itemList = {}
self.offX = 0
return self
end)
function ActivityIconView:ctor()
self:initEvent()
end
function ActivityIconView:addAll()
self.offX = 0
local list = globalData.activityIcons.infoList
for i=1, #list do
self:addOne(list[i])
end
if globalData.activityIcons.showing == true then
if self:getParent() == nil then
globalManager.containerManager.fixUIContainer:addChild(self)
end
end
end
function ActivityIconView:addOne(info)
if(info.timeEnd - globalData.systemDateInfo:getZeroPassTime()  < 1) then return end
local icon = ActivityIconItem:new(info)
self:addChild(icon)
icon:setPositionX(self.offX)
self.offX = self.offX - 80
table.insert(self.itemList, icon)
end
function ActivityIconView:addIcon(evt)
local info = evt.data
local icon = nil
for i = 1, #self.itemList do
if self.itemList[i].info == info then
icon = self.itemList[i]
break
end
end
if icon == nil then
self:addOne(info)
else
icon:setInfo(info)
end
end
function ActivityIconView:removeIcon(evt)
local info = evt.data
local icon = nil
for i = 1, #self.itemList do
if self.itemList[i].info == info then
icon = self.itemList[i]
table.remove(self.itemList, i)
icon:dispose()
break
end
end
if icon ~= nil then
self.offX = 0
for i = 1, #self.itemList do
local icon = self.itemList[i]
icon:setPositionX(self.offX)
self.offX = self.offX - 80
end
end
end
function ActivityIconView:stateChage(evt)
if globalData.activityIcons.showing == true then
if self:getParent() == nil then
globalManager.containerManager.fixUIContainer:addChild(self)
end
self:addAll()
else
self:clean()
end
end
function ActivityIconView:initEvent()
globalData.activityIcons:addEventListener(globalData.globalEventType.activityIcon_add, self.addIcon, self)
globalData.activityIcons:addEventListener(globalData.globalEventType.activityIcon_remove, self.removeIcon, self)
globalData.activityIcons:addEventListener(globalData.globalEventType.activityIcon_stateChange, self.stateChage, self)
globalData.leagueInfo:addEventListener(globalData.globalEventType.league_quit, self.leagueQuitHandler, self)
end
function ActivityIconView:removeEvent()
globalData.activityIcons:removeEventListener(globalData.globalEventType.activityIcon_add, self.addIcon, self)
globalData.activityIcons:removeEventListener(globalData.globalEventType.activityIcon_remove, self.removeIcon, self)
globalData.activityIcons:removeEventListener(globalData.globalEventType.activityIcon_stateChange, self.stateChage, self)
globalData.leagueInfo:removeEventListener(globalData.globalEventType.league_quit, self.leagueQuitHandler, self)
end
function ActivityIconView:leagueQuitHandler(evt)
globalData.activityIcons:remove(999)
end
function ActivityIconView:clean()
for i = 1, #self.itemList do
self.itemList[i]:dispose()
end
self.itemList = {}
self.offX = 0
end
function ActivityIconView:dispose()
self:removeEvent()
self:clean()
self.itemList = nil
globalManager.ccCreator:release(self)
end
OnlineIconItem = class("OnlineIconItem",function()
local self = globalManager.ccCreator:newWidget()
self.icon = globalManager.ccCreator:newImageView()
self.icon:setTouchEnabled(true)
self.icon:setPosition(globalManager.ccCreator:newPoint(50,60))
self:addChild(self.icon)
self.iconPath = globalManager.pathManager:getUISource("outPic/ui_onlineIcon.png")
self.txtTime = CountDownLabel:new(nil,0,16,globalData.allStaticTypes.colorType.COLORGREEN,0)
self.txtTime:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[1])
self.txtTime:setPosition(globalManager.ccCreator:newPoint(50,18))
self:addChild(self.txtTime)
self.effect = nil
return self
end)
function OnlineIconItem:ctor()
globalManager.sourceCacheManager:setImage(self.icon,self.iconPath,globalData.allStaticTypes.sourceStaticType.clearImmediately)
self:initEvent()
end
function OnlineIconItem:initEvent()
local function btnClickHandler(sender, eventType)
if (eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_showOnlineRewardsPanel,globalManager.gameDispatcher,nil))
end
end
self.icon:addTouchEventListener(btnClickHandler)
end
function OnlineIconItem:removeEvent()
end
function OnlineIconItem:setTimeInfo(time)
--图标, 倒计时
local function countComplete()
self:canAccept()
end
if(time > 0)then
self.txtTime:setFormatFunc(nil)
self.txtTime:start(time, countComplete)
self:cleanEffect()
elseif(time == 0)then
self:canAccept()
end
end
function OnlineIconItem:canAccept()
self.txtTime:stop()
self.txtTime:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel36"))
self:showEffect()
end
function OnlineIconItem:showEffect()
if self.effect == nil then
self.effect = globalManager.effectCreator:create(globalData.allTemplates.effectTemplateList.activity)
end
if self.effect ~= nil and self.effect:getParent() == nil then
self:addNode(self.effect)
self.effect:move2(self,128, -140)
self.effect:play()
end
end
function OnlineIconItem:cleanEffect()
if self.effect ~= nil then
self.effect:dispose()
self.effect = nil
end
end
function OnlineIconItem:dispose()
self:removeEvent()
self.icon = nil
globalManager.sourceCacheManager:removeQuote(self.iconPath)
self.iconPath = nil
if(self.txtTime) then
self.txtTime:dispose()
self.txtTime = nil
end
self:cleanEffect()
globalManager.ccCreator:release(self)
end
CountDownLabel = class("CountDownLabel", function(self,srcLabel,countType,font,color,changeTime)
local temp = srcLabel
if(srcLabel == nil) then
temp = globalManager.ccCreator:newLabel()
temp:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[7])
temp:setTextHorizontalAlignment(cc.TEXT_ALIGNMENT_LEFT)
temp:setColor(globalData.allStaticTypes.colorType.COLORGREEN)
temp._isNew = true
else
temp._isNew = false
end
if(font ~= nil) then
temp:setFontSize(font)
end
if(color ~= nil) then
temp:setColor(color)
end
changeTime = changeTime or 0
temp._isChange = false
temp._changeTime = 0 --变色时间 0为不变色
if(changeTime > 0) then
temp._changeTime = changeTime
else
temp._isChange = true
end
temp._countType = countType or 0 --显示倒数类型 0:时间, 1:纯数字, 2:数字标签, 3:XX分XX秒 4:HH:MM:SS  , 5:MM:SS , 7:XX天XX时XX分XX秒
temp._executor = nil
temp._callBack = nil
temp._formatFunc = nil
temp._countDownUtils = CountDownUtils:new()
return temp
end)
function CountDownLabel:ctor()
end
function CountDownLabel:endCall()
if self._callBack ~= nil then
if self._executor ~= nil then
self._callBack(self._executor)
else
self._callBack()
end
end
end
function CountDownLabel:start(seconds,callback,executor)
self._executor = executor
self._callBack = callback
self._countDownUtils:start(seconds,self.updateTime,self, self.endCall)
end
function CountDownLabel:stop()
self._countDownUtils:stop()
end
function CountDownLabel:setFormatFunc(func)
self._formatFunc = func
end
function CountDownLabel:updateTime(time)
if self.time == time then return end
self.time = time
if(self.time <= 0) then
self.time = 0
end
if(self._countType == 0) then
if(self.time > globalData.systemDateInfo.secondsOfDay)then
if(self._formatFunc ~= nil) then
self:setText(self._formatFunc(math.floor(self.time / globalData.systemDateInfo.secondsOfDay) .. globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel6")))
else
self:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel69") .. math.floor(self.time / globalData.systemDateInfo.secondsOfDay) .. globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel6"))
end
else
if(self._formatFunc ~= nil) then
self:setText(self._formatFunc(globalData.systemDateInfo:secondsToDateString(self.time)))
else
self:setText(globalData.systemDateInfo:secondsToDateString(self.time))
end
end
elseif(self._countType == 1) then
if(self._formatFunc ~= nil)then
self:setText(self._formatFunc(self.time))
else
self:setText(self.time)
end
elseif(self._countType == 2) then
self:setStringValue(self.time)
elseif(self._countType == 3) then
self:setText(globalData.systemDateInfo:secondsToDateString2(self.time))
elseif(self._countType == 4) then
self:setText(globalData.systemDateInfo:secondsToDateString(self.time))
elseif(self._countType == 5) then
if(self._formatFunc ~= nil) then
self:setText(self._formatFunc(globalData.systemDateInfo:secondsToDateString8(self.time)))
else
self:setText(globalData.systemDateInfo:secondsToDateString8(self.time))
end
elseif(self._countType == 6)then
self:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("PayCountGiftView.text2"),globalData.systemDateInfo:secondsToDateString(self.time)))
elseif(self._countType == 7)then
local day = math.floor(self.time / globalData.systemDateInfo.secondsOfDay)
local hour = math.floor(self.time / 3600) % 24
local min = math.floor(self.time / 60) % 60
local seconds = self.time % 60
local str = string.format(globalManager.yuyanbaoManager:getYuyanbao("CountDownLabel.text1"),day,hour,min,seconds)
if(self._formatFunc ~= nil) then
self:setText(self._formatFunc(str))
else
self:setText(str)
end
end
if(not self._isChange and self.time <= self._changeTime) then
self:setColor(globalData.allStaticTypes.colorType.COLORRED)
self._isChange = true
end
end
function CountDownLabel:getLeftTime()
return self._countDownUtils:getLeftTime()
end
function CountDownLabel:dispose()
self._countDownUtils:dispose()
self._countDownUtils = nil
self._executor = nil
self._callBack = nil
self._formatFunc = nil
if(self._isNew) then
globalManager.ccCreator:release(self)
end
end
TimeAddLabel = class("TimeAddLabel", function(self,obj)
local temp = {}
temp._objLabel = obj
temp._newCount = 0
temp._oldCount = 0
temp._addCount = 0
temp.count = 0
return temp
end)
function TimeAddLabel:setLabel(newCount)
if(self._newCount == newCount)then return end
self._newCount = newCount
if(self._newCount <= self._oldCount)then
self._oldCount = newCount
globalManager.tickManager:removeTick(self.tick,self)
self._objLabel:setText(self._oldCount)
return
end
self._addCount = (newCount - self._oldCount) / 30
globalManager.tickManager:addTick(self.tick,self)
end
function TimeAddLabel:tick(delta,count)
self.count = self.count + 1
if(self.count >= 2)then
self._oldCount = self._oldCount + self._addCount
self._objLabel:setText(math.floor(self._oldCount + 0.5))
self.count = 0
if(self._oldCount >= self._newCount)then
globalManager.tickManager:removeTick(self.tick,self)
self._objLabel:setText(self._newCount)
self._oldCount = self._newCount
end
end
end
function TimeAddLabel:dispose()
globalManager.tickManager:removeTick(self.tick,self)
self._objLabel = nil
self._newCount = nil
self._oldCount = nil
self._addCount = nil
self.count     = nil
end
GuideAcceptView = class("GuideAcceptView",function(self)
local temp = globalManager.ccCreator:newJsonWidget("guideAcceptPanel")
temp:getChildByName("accept_btn"):getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("GuideAcceptView.text1"))
temp.nameLabel = temp:getChildByName("name_label")
temp.infoLabel = temp:getChildByName("info_label")
temp.acceptLabel = temp:getChildByName("accept_btn")
temp.btnLabel = temp.acceptLabel:getChildByName("btnLabel")
temp.showPanel = temp:getChildByName("show_panel")
temp.bg = temp:getChildByName("bg")
temp._character = nil
temp._showPath = nil
temp._showImage = nil
temp._effect = nil
temp._type = 0
temp._callBack = nil
temp._executor = nil
temp._fingerEffect = nil
temp._count = 5
temp._time = 0
temp._bgPath = globalManager.pathManager:getUISource("outPic/xiaofei_bg.png")
return temp
end)
function GuideAcceptView:ctor()
globalManager.sourceCacheManager:setImage(self.bg,self._bgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self:initEvent()
end
function GuideAcceptView:initEvent()
local acceptClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self:dispose()
end
end
self.acceptLabel:addTouchEventListener(acceptClickHandler)
self:addTouchEventListener(acceptClickHandler)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_closeOtherPanel,self.dispose,self)
end
function GuideAcceptView:removeEvent()
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.scene_closeOtherPanel,self.dispose,self)
end
function GuideAcceptView:setType(type,executor,callBack)
self._type = type
self._callBack = callBack
self._executor = executor
if(self._type == 2) then
globalData.messageAdder:sendActivePet()
local petInfo = globalData.allTemplates.petTemplateList:getTemplate(1)
local petCharacterInfo = CharacterInfo:new(globalData.allStaticTypes.sourceStaticType.pet)
petCharacterInfo:setStyleBin(1,petInfo:getShowPath())
petCharacterInfo:setDefaultAnima(globalData.allStaticTypes.animaInfoList.petStand)
self._character = BaseCharacter:new(petCharacterInfo)
self._character:setScale(2)
self._character:show(globalData.allStaticTypes.directType.bottom)
self._character:setPosition(globalManager.ccCreator:newPoint(210,290))
self.showPanel:addNode(self._character)
self.nameLabel:setText(petInfo.name)
self.infoLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("GuideAcceptView.text2"))
elseif(self._type == 1) then
globalData.messageAdder:sendActiveRider()
local riderInfo = globalData.allTemplates.xiaofeiTemplateList:getTemplate(globalData.allStaticTypes.petXiaofeiType.ZUOQI,1)
local riderCharacterInfo = CharacterInfo:new(globalData.allStaticTypes.sourceStaticType.player)
riderCharacterInfo.showDefaultCloth = false
riderCharacterInfo:setStyleBin(3,1)
riderCharacterInfo:setDefaultAnima(globalData.allStaticTypes.animaInfoList.stand2)
self._character = BaseCharacter:new(riderCharacterInfo)
self._character:setScale(1.5)
self._character:show(globalData.allStaticTypes.directType.bottom)
self._character:setPosition(globalManager.ccCreator:newPoint(170,300))
self.showPanel:addNode(self._character)
self.nameLabel:setText(riderInfo.name)
self.infoLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("GuideAcceptView.text3"))
elseif(self._type == 4) then
globalData.messageAdder:sendActiveGod()
local godInfo = globalData.allTemplates.xiaofeiTemplateList:getTemplate(globalData.allStaticTypes.petXiaofeiType.SHENBING,1)
self._effect = FootShowEffect:new(godInfo.templateId)
self._effect:setPosition(globalManager.ccCreator:newPoint(85,283))
self.showPanel:addChild(self._effect)
self.nameLabel:setText(godInfo.name)
self.infoLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("GuideAcceptView.text4"))
elseif(self._type == 3) then
globalData.messageAdder:sendActiveWing()
local wingInfo = globalData.allTemplates.xiaofeiTemplateList:getTemplate(globalData.allStaticTypes.petXiaofeiType.CHIBANG,1)
self._effect = globalManager.effectCreator:create(tonumber(wingInfo:getShowPath()),nil,nil,false)
self._effect:move2(self.showPanel,195,-250)
self.showPanel:addNode(self._effect)
self._effect:play()
self.nameLabel:setText(wingInfo.name)
self.infoLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("GuideAcceptView.text5"))
elseif(self._type == 5) then
globalData.messageAdder:sendActiveSprite()
local spriteInfo = globalData.allTemplates.xiaofeiTemplateList:getTemplate(globalData.allStaticTypes.petXiaofeiType.JINGLING,1)
self._effect = globalManager.effectCreator:create(tonumber(spriteInfo:getShowPath()), nil, nil,false,1.5)
self._effect:move2(self.showPanel,238,-275)
self.showPanel:addNode(self._effect)
self._effect:play()
self.nameLabel:setText(spriteInfo.name)
self.infoLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("GuideAcceptView.text6"))
end
globalData.uiClickContainer:addItem(self,true,true)
if(self._fingerEffect == nil) then
self._fingerEffect = globalManager.effectCreator:create(27)
self._fingerEffect:move2(self,250,55)
self._fingerEffect:play()
self:addNode(self._fingerEffect,102)
end
self.btnLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel37").." 5")
self._count = 5
self._time = 0
globalManager.tickManager:addTick(self.tick,self)
end
function GuideAcceptView:tick(delta,count)
self._time = self._time + 1
if(self._time >= 60) then
self._time = 0
self._count = self._count - 1
if(self._count <= 0) then
self:dispose()
else
self.btnLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel37")..self._count)
end
end
end
function GuideAcceptView:hideFormClickContainer()
self:dispose()
end
function GuideAcceptView:dispose()
globalManager.tickManager:removeTick(self.tick,self)
self:removeEvent()
globalManager.sourceCacheManager:removeQuote(self._bgPath)
self._bgPath = nil
self.bg = nil
if(self._fingerEffect ~= nil) then
self._fingerEffect:dispose()
self._fingerEffect = nil
end
if(self._character) then
self._character:dispose()
self._character = nil
end
if(self._showPath) then
globalManager.sourceCacheManager:removeQuote(self._showPath)
self._showPath = nil
end
if(self._effect) then
self._effect:dispose()
self._effect = nil
end
if(self._showImage) then
globalManager.ccCreator:release(self._showImage)
self._showImage = nil
end
self.nameLabel = nil
self.infoLabel = nil
self.acceptLabel = nil
self.btnLabel = nil
self._iconImage = nil
self.showPanel = nil
if(self._executor ~= nil and self._callBack ~= nil) then
self._callBack(self._executor)
self._callBack = nil
self._executor = nil
end
globalData.uiClickContainer:close(self)
globalManager.ccCreator:release(self)
end
GuideFlyView = class("GuideFlyView",function(self)
local temp = globalManager.ccCreator:newWidget()
temp._counttime = 0
temp._type = 0
temp._tempId = 0
temp._bg = nil
temp._text = nil
temp._effect = nil
return temp
end)
function GuideFlyView:setType(type,tempId)
self._type = type
self._tempId = tempId
self._counttime = 3
self._bg = globalManager.ccCreator:newImageView("bar/ui_bar15.png",1)
self._bg:setScale9Enabled(true)
self._bg:setCapInsets(cc.rect(186,9,1,1))
self._bg:setSize(globalManager.ccCreator:newSize(690,300))
self._bg:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[1])
self:addChild(self._bg)
self._text = globalManager.ccCreator:newLabel()
self._text:setText(globalManager.yuyanbaoManager:getYuyanbao("GuideFlyView.text1"))
self._text:setFontSize(26)
self._text:setColor(globalData.allStaticTypes.colorType.COLORYELLOW)
self._text:setPositionY(-100)
self:addChild(self._text)
self._effect = globalManager.effectCreator:create(5)
self._effect:move2(self,0,0)
self._effect:play()
self:addNode(self._effect)
globalData.uiClickContainer:addItem(self,true,true)
globalManager.containerManager:updateNpcTalkVisible(false)
globalManager.tickManager:addTick(self.tick,self)
end
function GuideFlyView:tick(delta,count)
self._counttime = self._counttime - delta
if(self._counttime <= 0) then
self:dispose()
end
end
function GuideFlyView:hideFormClickContainer()
self:dispose()
end
function GuideFlyView:dispose()
if(self._effect) then
self._effect:dispose()
self._effect = nil
end
if(self._bg) then
globalManager.ccCreator:release(self._bg)
self._bg = nil
end
if(self._text) then
globalManager.ccCreator:release(self._text)
self._text = nil
end
globalManager.containerManager:updateNpcTalkVisible(true)
if(self._type == 1 and self._tempId ~= 0) then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.trigger_flyToNpc,globalManager.gameDispatcher,self._tempId))
end
globalManager.tickManager:removeTick(self.tick,self)
globalData.uiClickContainer:close(self)
globalManager.ccCreator:release(self)
end
GuideNewModuleView = class("GuideNewModuleView",function(self,mainMenu)
local temp = globalManager.ccCreator:newJsonWidget("guideNewModuleView")
temp:getChildByName("tipLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("GuideNewModuleView.text1"))
temp._mainMenu = mainMenu
temp._hitArea = temp:getChildByName("hitArea")
temp._hitArea:setOpacity(200)
temp._hitArea:setSize(globalManager.ccCreator:newSize(globalData.GAME_WIDTH,globalData.GAME_HEIGHT))
temp._bgImage = temp:getChildByName("bg_image")
temp._tipLabel = temp:getChildByName("tipLabel")
temp._bgPath = globalManager.pathManager:getUISource("outPic/guide_newModule_bg.png")
temp._iconImage = temp:getChildByName("icon_image")
temp._flying = false
temp._nowData = nil
temp._openDatas = {}  --模块开启数据
temp.nextId = 0
temp._playerLevel = 0
temp._propController1 = PropController:new(false)
temp._propController1:addInfo(PropInfo:new(temp._iconImage,1,0,467,globalData.GAME_WIDTH*0.5 + 440,(globalData.GAME_WIDTH*0.5-27) / 60,0))
temp._propController1:addInfo(PropInfo:new(nil,4,20,0,0,0,0))
temp._propController2 = PropController:new(false)
temp._propController2:addInfo(PropInfo:new(temp._iconImage,2,0,379,55,-324 / 60,0))
return temp
end)
function GuideNewModuleView:ctor()
self:initData()
self:initEvent()
end
function GuideNewModuleView:setLevel()
self._playerLevel = globalData.selfPlayerInfo.level
self:initView()
end
function GuideNewModuleView:initData()
--数据结构：
--@param isOpen:是否已经开启  此参数用于上线根据等级已经开启模块，则不处理任务部署的开启
--@param openId:开启模块的部署ID,此ID对应NewModuleLevelConfig中的配置，在任务模板表的部署中配置
--@param picPath:模块图片路径
--坐骑
local riderData = {}
riderData.isOpen = false
riderData.openId = globalData.newModuleLevelConfig.rider
riderData.level = globalData.newModuleLevelConfig.riderLevel
riderData.picPath = "icon/mainmenu_in_btn11.png"
riderData.trueBtn = self._mainMenu._xiaofeiBtn
--妖精
local petData = {}
petData.isOpen = false
petData.openId = globalData.newModuleLevelConfig.pet
petData.level = globalData.newModuleLevelConfig.petLevel
petData.picPath = "icon/mainmenu_in_btn10.png"
petData.trueBtn = nil
--炼器
local furnaceData = {}
furnaceData.isOpen = false
furnaceData.openId = globalData.newModuleLevelConfig.furnace
furnaceData.level = globalData.newModuleLevelConfig.furnaceLevel
furnaceData.picPath = "icon/mainmenu_btn5.png"
furnaceData.trueBtn = self._mainMenu._equipBtn
--翅膀
local wingData = {}
wingData.isOpen = false
wingData.openId = globalData.newModuleLevelConfig.wing
wingData.level = globalData.newModuleLevelConfig.wingLevel
wingData.picPath = "icon/mainmenu_in_btn2.png"
wingData.trueBtn = nil
--足迹
local weaponData = {}
weaponData.isOpen = false
weaponData.openId = globalData.newModuleLevelConfig.weapon
weaponData.level = globalData.newModuleLevelConfig.weaponLevel
weaponData.picPath = "icon/mainmenu_in_btn4.png"
weaponData.trueBtn = nil
--仙灵
local spriteData = {}
spriteData.isOpen = false
spriteData.openId = globalData.newModuleLevelConfig.sprite
spriteData.level = globalData.newModuleLevelConfig.spriteLevel
spriteData.picPath = "icon/mainmenu_in_btn3.png"
spriteData.trueBtn = nil
--帮派
local clubData = {}
clubData.isOpen = false
clubData.openId = globalData.newModuleLevelConfig.club
clubData.level = globalData.newModuleLevelConfig.clubLevel
clubData.picPath = "icon/mainmenu_btn6.png"
clubData.trueBtn = self._mainMenu._clubBtn
--进阶
local advancedData = {}
advancedData.isOpen = false
advancedData.openId = globalData.newModuleLevelConfig.advanced
advancedData.level = globalData.newModuleLevelConfig.advancedLevel
advancedData.picPath = "icon/mainmenu_in_btn12.png"
advancedData.trueBtn = nil
--法阵
local fazhenData = {}
fazhenData.isOpen = false
fazhenData.openId = globalData.newModuleLevelConfig.fazhen
fazhenData.level = globalData.newModuleLevelConfig.fazhenLevel
fazhenData.picPath = "icon/mainmenu_in_btn6.png"
fazhenData.trueBtn = nil
--龙魂
local longhunData = {}
longhunData.isOpen = false
longhunData.openId = globalData.newModuleLevelConfig.longhun
longhunData.level = globalData.newModuleLevelConfig.longhunLevel
longhunData.picPath = "icon/mainmenu_in_btn7.png"
longhunData.trueBtn = nil
--武魂
local wuhunData = {}
wuhunData.isOpen = false
wuhunData.openId = globalData.newModuleLevelConfig.wuhun
wuhunData.level = globalData.newModuleLevelConfig.wuhunLevel
wuhunData.picPath = "icon/mainmenu_in_btn9.png"
wuhunData.trueBtn = nil
table.insert(self._openDatas,petData)
table.insert(self._openDatas,riderData)
table.insert(self._openDatas,furnaceData)
table.insert(self._openDatas,clubData)
table.insert(self._openDatas,weaponData)
table.insert(self._openDatas,wingData)
table.insert(self._openDatas,spriteData)
table.insert(self._openDatas,advancedData)
table.insert(self._openDatas,fazhenData)
table.insert(self._openDatas,longhunData)
table.insert(self._openDatas,wuhunData)
end
function GuideNewModuleView:initView()
for __,data in pairs(self._openDatas) do
data.isOpen = self._playerLevel >= data.level
if(data.trueBtn ~= nil) then
data.trueBtn:setEnabled(data.isOpen)
end
end
end
function GuideNewModuleView:initEvent()
local function selfTouchHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
if(not self._flying)then
self:flyHandler()
end
end
end
self._hitArea:addTouchEventListener(selfTouchHandler)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_moduleOpen,self.moduleOpenHandler,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_reConnect,self.reConnect,self)
end
function GuideNewModuleView:removeEvent()
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.scene_moduleOpen,self.moduleOpenHandler,self)
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.scene_reConnect,self.reConnect,self)
end
function GuideNewModuleView:reConnect(evt)
self._playerLevel = 0
for __,info in pairs(self._openDatas) do
info.isOpen = false
end
end
--表里配任务触发显示开启
function GuideNewModuleView:moduleOpenHandler(evt)
local data = evt.data
local openId = data[1]
self.nextId = data[4]
for __,data in pairs(self._openDatas) do
if(openId == data.openId)then
self:showGuide(openId)
break
end
end
end
--表里没配的数据需要判断等级自动显示开启
function GuideNewModuleView:updateLevel()
self._mainMenu._dailyIcon:setEnabled(globalData.selfPlayerInfo.level >= globalData.newModuleLevelConfig.copyLevel)
self._mainMenu._matterIcon:setEnabled(globalData.selfPlayerInfo.level >= globalData.newModuleLevelConfig.dailyLevel)
if(not globalData:isShenHe()) then
self._mainMenu._openIcon:setEnabled(globalData.selfPlayerInfo.level >= globalData.newModuleLevelConfig.openLevel)
end
self._mainMenu._mallIcon:setEnabled(globalData.selfPlayerInfo.level >= globalData.newModuleLevelConfig.shopLevel)
self._mainMenu._welfareIcon:setEnabled(globalData.selfPlayerInfo.level >= globalData.newModuleLevelConfig.welfareLevel)
self._mainMenu._warIcon:setEnabled(globalData.selfPlayerInfo.level >= globalData.newModuleLevelConfig.warLevel)
self._mainMenu._worldBossIcon:setEnabled(globalData.selfPlayerInfo.level >= globalData.newModuleLevelConfig.worldBossLevel)
self._mainMenu._friendBtn:setEnabled(globalData.selfPlayerInfo.level >= globalData.newModuleLevelConfig.friendLevel)
self._mainMenu._rankBtn:setEnabled(globalData.selfPlayerInfo.level >= globalData.newModuleLevelConfig.rankLevel)
if(globalData.selfPlayerInfo.level == globalData.newModuleLevelConfig.fazhenLevel) then
if(not self._openDatas[9].isOpen) then
self:showGuide(self._openDatas[9].openId)
end
elseif(globalData.selfPlayerInfo.level == globalData.newModuleLevelConfig.longhunLevel) then
if(not self._openDatas[10].isOpen) then
self:showGuide(self._openDatas[10].openId)
end
elseif(globalData.selfPlayerInfo.level == globalData.newModuleLevelConfig.spriteLevel) then
if(not self._openDatas[7].isOpen) then
self:showGuide(self._openDatas[7].openId)
end
end
end
function GuideNewModuleView:updateShowLevel()
self._mainMenu._xiaofeiBtn:setEnabled(globalData.riderItemInfo.stage > 0)
self._mainMenu:layout()
end
function GuideNewModuleView:showGuide(openId)
local data = self:getDataByOpenId(openId)
if(data == nil)then
print("--------未找到开启ID的数据：openId=" .. openId)
return
end
data.isOpen = true
self._iconImage:loadTexture(data.picPath,1)
self._iconImage:setPosition(globalManager.ccCreator:newPoint(467,399))
globalData.uiPanelContainer:close()
globalManager.sourceCacheManager:setImage(self._bgImage,self._bgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self:setPosition(globalManager.ccCreator:newPoint((globalData.GAME_WIDTH - 960) / 2,(globalData.GAME_HEIGHT - 640) / 2))
globalManager.containerManager.fixUIContainer:addChild(self,10)
globalManager.containerManager:updateModuleOpenVisible(false)
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_showMainMenuBtn,globalManager.gameDispatcher,false))
self._hitArea:setVisible(true)
self._bgImage:setVisible(true)
self._tipLabel:setVisible(true)
self._nowData = data
end
function GuideNewModuleView:getDataByOpenId(openId)
for __,data in pairs(self._openDatas) do
if(data.openId == openId)then
return data
end
end
return nil
end
function GuideNewModuleView:flyHandler()
self._flying = true
self._hitArea:setVisible(false)
self._bgImage:setVisible(false)
self._tipLabel:setVisible(false)
self._propController1:setCallBack(self,self.hideGuide)
self._propController1:pStart()
self._propController2:pStart()
end
function GuideNewModuleView:hideGuide()
self._flying = false
globalManager.sourceCacheManager:removeQuote(self._bgPath)
if(self.nextId > 0) then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.trigger_next,globalManager.gameDispatcher,self.nextId))
end
self:removeFromParent(false)
globalManager.containerManager:updateModuleOpenVisible(true)
if(self._nowData ~= nil and self._nowData.trueBtn ~= nil)then
self._nowData.isOpen = true
self._nowData.trueBtn:setEnabled(self._nowData.isOpen)
self._mainMenu:layout()
end
self._nowData = nil
end
GuideNewSkillView = class("GuideNewSkillView",function(self)
local temp = globalManager.ccCreator:newJsonWidget("guideNewSkillView")
temp._bgImage = temp:getChildByName("bg_image")
temp._bgPath = globalManager.pathManager:getUISource("outPic/guide_newSkill_bg.png")
temp._iconImage = temp:getChildByName("skill_icon")
temp._frameImage = temp:getChildByName("frame_image")
temp.bg = temp:getChildByName("bg")
temp.bg:setSize(globalManager.ccCreator:newSize(globalData.GAME_WIDTH*2,globalData.GAME_HEIGHT*2))
temp._skillPath = nil
return temp
end)
function GuideNewSkillView:ctor()
globalManager.sourceCacheManager:setImage(self._bgImage,self._bgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
end
function GuideNewSkillView:setSkill(info)
self._skillPath = globalManager.pathManager:getDisplayItemPath(info.iconPath,globalData.allStaticTypes.goodsIconPathType.SKILL_ICON)
globalManager.sourceCacheManager:setImage(self._iconImage,self._skillPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
end
function GuideNewSkillView:hideBg()
self._bgImage:setEnabled(false)
self.bg:setEnabled(false)
end
function GuideNewSkillView:dispose()
globalManager.sourceCacheManager:removeQuote(self._bgPath)
if(self._skillPath ~= nil) then
globalManager.sourceCacheManager:removeQuote(self._skillPath)
self._skillPath = nil
end
self.bg = nil
self._bgPath = nil
self._bgImage = nil
self._iconImage = nil
self._frameImage = nil
globalManager.ccCreator:release(self)
end
GuideNpcTalkView = class("GuideNpcTalkView", function(self)
local temp = {}
temp.container = nil
temp.bg = nil
temp.npcImage = nil
temp.fingerEffect2 = nil
temp.nameLabel = nil
temp.dialogLabel = nil
temp._propController = PropController:new()
temp.maskList = nil
temp.jumpBtn = nil
temp.current = 0
temp.count = 0
temp.currentNpc = 0
temp.nextId = 0
temp.npcHeadPath = nil
temp.infoList = nil
temp.isMask = 0
temp.time = 0
return temp
end)
function GuideNpcTalkView:hide()
self.nextId = 0
self:dispose()
end
function GuideNpcTalkView:setInfo(id,nextId)
if(self.container ~= nil) then return end
local content = globalManager.descriptManager:getDescript(tostring(id))
if(content == nil or content == "")then return end
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_closeOtherPanel,self.hide,self)
self.current = 0
self.currentNpc = 0
self.nextId = tonumber(nextId)
self.infoList = globalManager.messageUtils:changeStrToPointList(content)
self.count = #self.infoList
self:init()
self:nextPanel()
end
function GuideNpcTalkView:init()
local panelClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
if(self.isMask > 0) then
self:passMask()
end
self:nextPanel()
end
end
local jumpClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self:dispose()
end
end
self.container = globalManager.ccCreator:newImageView("board/ui_board5.png",1)
self.container:setScale9Enabled(true)
self.container:setCapInsets(cc.rect(5,4,1,1))
self.container:setOpacity(200)
self.container:setSize(globalManager.ccCreator:newSize(globalData.GAME_WIDTH,globalData.GAME_HEIGHT))
self.container:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[7])
self.container:setTouchEnabled(true)
self.container:addTouchEventListener(panelClickHandler)
self.bg = globalManager.ccCreator:newImageView("board/ui_board4.png",1)
self.bg:setScale9Enabled(true)
self.bg:setCapInsets(cc.rect(30,39,1,1))
self.bg:setSize(globalManager.ccCreator:newSize(globalData.GAME_WIDTH,184))
self.bg:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[7])
self.container:addChild(self.bg)
self.npcImage = globalManager.ccCreator:newImageView()
self.npcImage:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[7])
self.container:addChild(self.npcImage)
self._propController:addInfo(PropInfo:new(self.npcImage,1,0,-200,0,10,0))
self.nameLabel = globalManager.ccCreator:newLabel()
self.nameLabel:setFontSize(26)
self.nameLabel:setColor(globalData.allStaticTypes.colorType.COLORYELLOW)
self.nameLabel:setPosition(globalManager.ccCreator:newPoint(160,35))
self.container:addChild(self.nameLabel)
self.dialogLabel = globalManager.ccCreator:newLabel()
self.dialogLabel:setFontSize(22)
self.dialogLabel:ignoreContentAdaptWithSize(false)
self.dialogLabel:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[2])
self.dialogLabel:setSize(globalManager.ccCreator:newSize(globalData.GAME_WIDTH - 480,110))
self.dialogLabel:setPosition(globalManager.ccCreator:newPoint(400,157))
self.container:addChild(self.dialogLabel)
self.maskList = {}
for i = 1,3,1 do
local mask = globalManager.ccCreator:newImageView("board/ui_board19.png",1)
mask:setScale9Enabled(true)
mask:setCapInsets(cc.rect(4,4,1,1))
mask:setSize(globalManager.ccCreator:newSize(globalData.GAME_WIDTH - 480,30))
mask:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[4])
mask:setPosition(globalManager.ccCreator:newPoint(globalData.GAME_WIDTH - 80,187 - 30 * i))
self.container:addChild(mask)
table.insert(self.maskList,mask)
end
self.fingerEffect2 = globalManager.effectCreator:create(27)
self.fingerEffect2:move2(self.container,globalData.GAME_WIDTH - 80,30)
self.fingerEffect2:play()
self.container:addNode(self.fingerEffect2)
self.jumpBtn = globalManager.ccCreator:newButton()
self.jumpBtn:loadTextureNormal("btn/ui_jumpBtn.png",1)
self.jumpBtn:setPosition(globalManager.ccCreator:newPoint(globalData.GAME_WIDTH - 94,globalData.GAME_HEIGHT - 72))
self.container:addChild(self.jumpBtn)
self.jumpBtn:addTouchEventListener(jumpClickHandler)
globalManager.containerManager.tipContainer:addChild(self.container)
globalManager.containerManager:updateNpcTalkVisible(false)
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.trigger_stopMoving,globalManager.gameDispatcher))
end
function GuideNpcTalkView:nextPanel()
self.current = self.current + 1
if(self.current > self.count) then
self:dispose()
else
local npcId = tonumber(self.infoList[self.current].x)
local talkId = tonumber(self.infoList[self.current].y)
if(npcId == 0) then
if(talkId > 0) then
--				globalData:changeCharacter(talkId)
self:nextPanel()
end
else
self:showPanel(npcId,talkId)
end
end
end
function GuideNpcTalkView:showPanel(npcId,talkId)
if(self.currentNpc ~= npcId) then
self.currentNpc = npcId
self:changeNpc()
end
local content = globalManager.descriptManager:getDescript(tostring(talkId))
self.dialogLabel:setText(content)
self.isMask = 1
self.time = 0.33
for i = 1,3,1 do
self.maskList[i]:setScaleX(1)
end
globalManager.tickManager:addTick(self.tick,self)
end
function GuideNpcTalkView:tick(delta,count)
self.time = self.time - delta
if(self.time <= 0) then
self.maskList[self.isMask]:setScaleX(0)
if(self.isMask == 3) then
self:passMask()
else
self.isMask = self.isMask + 1
end
self.time = 0.33
else
self.maskList[self.isMask]:setScaleX(self.time*3)
end
end
function GuideNpcTalkView:passMask()
globalManager.tickManager:removeTick(self.tick,self)
for i = 1,3,1 do
self.maskList[i]:setScaleX(0)
end
self.isMask = 0
end
function GuideNpcTalkView:changeNpc()
if(self.currentNpc == 1) then
self.nameLabel:setText(globalData.selfPlayerInfo.nick)
if(self.npcHeadPath ~= nil)then
globalManager.sourceCacheManager:removeQuote(self.npcHeadPath)
end
self.npcHeadPath = globalManager.pathManager:getNpcHead(globalData.allStaticTypes.careerType:getCareer(globalData.selfPlayerInfo.career))
else
local info = globalData.allTemplates.npcTemplateList:getNpc(self.currentNpc)
self.nameLabel:setText(info.name)
local tmpHeadPath = globalManager.pathManager:getNpcHead(info.imagePath)
if(self.npcHeadPath ~= tmpHeadPath) then
if(self.npcHeadPath ~= nil)then
globalManager.sourceCacheManager:removeQuote(self.npcHeadPath)
end
self.npcHeadPath = tmpHeadPath
end
end
if(self.npcHeadPath ~= nil)then
globalManager.sourceCacheManager:setImage(self.npcImage,self.npcHeadPath,globalData.allStaticTypes.sourceStaticType.clearOneM)
self._propController:pStart()
end
end
function GuideNpcTalkView:dispose()
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.scene_closeOtherPanel,self.hide,self)
globalManager.tickManager:removeTick(self.tick,self)
globalManager.containerManager:updateNpcTalkVisible(true)
if(self.nextId > 0) then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.trigger_next,globalManager.gameDispatcher,self.nextId))
elseif(self.nextId == -1) then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.trigger_walkToNpc,globalManager.gameDispatcher,{id=100301,doubleClickCancel=true}))
elseif(self.nextId == -98) then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.trigger_hangUp,globalManager.gameDispatcher,true))
elseif(self.nextId == -99) then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.newly_nextAction,globalManager.gameDispatcher))
end
if(self.npcHeadPath ~= nil) then
globalManager.sourceCacheManager:removeQuote(self.npcHeadPath)
self.npcHeadPath = nil
end
self.infoList = nil
if(self.maskList ~= nil) then
for i = 1,3,1 do
globalManager.ccCreator:release(self.maskList[i])
end
self.maskList = nil
end
if(self.bg ~= nil) then
globalManager.ccCreator:release(self.bg)
self.bg = nil
end
if(self.npcImage ~= nil) then
globalManager.ccCreator:release(self.npcImage)
self.npcImage = nil
end
if(self._propController ~= nil) then
self._propController:dispose()
self._propController = nil
end
if(self.fingerEffect2 ~= nil) then
self.fingerEffect2:dispose()
self.fingerEffect2 = nil
end
if(self.nameLabel ~= nil) then
globalManager.ccCreator:release(self.nameLabel)
self.nameLabel = nil
end
if(self.dialogLabel ~= nil) then
globalManager.ccCreator:release(self.dialogLabel)
self.dialogLabel = nil
end
if(self.jumpBtn ~= nil) then
globalManager.ccCreator:release(self.jumpBtn)
self.jumpBtn = nil
end
if(self.container ~= nil) then
globalManager.ccCreator:release(self.container)
self.container = nil
end
end
GuideNpcCopyTalkView = class("GuideNpcCopyTalkView", function(self)
local temp = {}
temp.container       = nil
temp.bgBottom        = nil
temp.bgTop           = nil
temp.npcImage        = nil
temp.promptLabel     = nil
temp.jumpBtn         = nil
temp.talkBg          = nil
temp.contentLabel    = nil
temp.current         = 0
temp.count           = 0
temp.npcHeadPath     = nil
temp.infoList        = nil
temp.time            = 0
temp.timeCount       = 0
temp._character = nil
temp._label = nil
return temp
end)
function GuideNpcCopyTalkView:hide()
self:dispose()
end
function GuideNpcCopyTalkView:setInfo(id)
if(self.container ~= nil) then return end
local content = globalManager.descriptManager:getDescript(tostring(id))
if(content == nil or content == "")then return end
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_closeOtherPanel,self.hide,self)
self.current = 0
self.infoList = globalManager.messageUtils:changeStrToIntList(content)
self.count = #self.infoList
self:init()
self:nextPanel()
end
function GuideNpcCopyTalkView:showAward(type)
if(self._character ~= nil) then
self._character:dispose()
self._character = nil
end
if(self._label == nil) then
self._label = globalManager.ccCreator:newLabel()
self._label:setFontSize(32)
self._label:setPosition(globalManager.ccCreator:newPoint(400,65))
self._label:setColor(globalData.allStaticTypes.colorType.COLORYELLOW)
self.container:addChild(self._label,1)
end
if(type == 2) then
local petInfo = CharacterInfo:new(globalData.allStaticTypes.sourceStaticType.pet)
local petTemp = globalData.allTemplates.petTemplateList:getTemplate(1)
petInfo:setStyleBin(1,petTemp:getShowPath())
petInfo:setDefaultAnima(globalData.allStaticTypes.animaInfoList.petStand)
self._character = BaseCharacter:new(petInfo)
self._character:show(globalData.allStaticTypes.directType.bottom)
self._character:setPosition(globalManager.ccCreator:newPoint(145,88))
self._label:setText(globalManager.yuyanbaoManager:getYuyanbao("GuideNpcCopyTalkView.text1"))
elseif(type == 1) then
local riderInfo = CharacterInfo:new(globalData.allStaticTypes.sourceStaticType.player)
local riderTemp = globalData.allTemplates.xiaofeiTemplateList:getTemplate(globalData.allStaticTypes.petXiaofeiType.ZUOQI,1)
riderInfo.showDefaultCloth = false
riderInfo:setStyleBin(3,1)
riderInfo:setDefaultAnima(globalData.allStaticTypes.animaInfoList.stand2)
self._character = BaseCharacter:new(riderInfo)
self._character:setScale(0.8)
self._character:show(globalData.allStaticTypes.directType.bottom)
self._character:setPosition(globalManager.ccCreator:newPoint(120,110))
self._label:setText(globalManager.yuyanbaoManager:getYuyanbao("GuideNpcCopyTalkView.text2"))
elseif(type == 3) then
local wingTemp = globalData.allTemplates.xiaofeiTemplateList:getTemplate(globalData.allStaticTypes.petXiaofeiType.CHIBANG,1)
self._character = globalManager.effectCreator:create(tonumber(wingTemp:getShowPath()),nil,nil,false,0.8)
if(self._character ~= nil) then
self._character:move2(self.container,140,-60)
self._character:play()
end
self._label:setText(globalManager.yuyanbaoManager:getYuyanbao("GuideNpcCopyTalkView.text3"))
elseif(type == 4) then
local godTemp = globalData.allTemplates.xiaofeiTemplateList:getTemplate(globalData.allStaticTypes.petXiaofeiType.SHENBING,1)
self._character = FootShowEffect:new(godTemp.templateId)
self._character:setPosition(globalManager.ccCreator:newPoint(0,60))
self._label:setText(globalManager.yuyanbaoManager:getYuyanbao("GuideNpcCopyTalkView.text4"))
elseif(type == 5) then
local spriteTemp = globalData.allTemplates.xiaofeiTemplateList:getTemplate(globalData.allStaticTypes.petXiaofeiType.JINGLING,1)
self._character = globalManager.effectCreator:create(tonumber(spriteTemp:getShowPath()),nil,nil,false,1.5)
if(self._character ~= nil) then
self._character:move2(self.container,170,-90)
self._character:play()
end
self._label:setText(globalManager.yuyanbaoManager:getYuyanbao("GuideNpcCopyTalkView.text5"))
end
if(self._character ~= nil) then
if(type == 4)then
self.container:addChild(self._character,5)
else
self.container:addNode(self._character,1)
end
end
end
function GuideNpcCopyTalkView:init()
local jumpClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self:dispose()
end
end
self.container = globalManager.ccCreator:newImageView("board/ui_board5.png",1)
self.container:setScale9Enabled(true)
self.container:setCapInsets(cc.rect(5,4,1,1))
self.container:setOpacity(0)
self.container:setSize(globalManager.ccCreator:newSize(globalData.GAME_WIDTH,globalData.GAME_HEIGHT))
self.container:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[7])
self.container:setTouchEnabled(true)
self.bgBottom = globalManager.ccCreator:newImageView("board/ui_board19.png",1)
self.bgBottom:setColor(globalData.allStaticTypes.colorType.COLORBLACK)
self.bgBottom:setScale9Enabled(true)
self.bgBottom:setCapInsets(cc.rect(4,4,1,1))
self.bgBottom:setSize(globalManager.ccCreator:newSize(globalData.GAME_WIDTH,130))
self.bgBottom:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[7])
self.container:addChild(self.bgBottom)
self.bgTop = globalManager.ccCreator:newImageView("board/ui_board19.png",1)
self.bgTop:setColor(globalData.allStaticTypes.colorType.COLORBLACK)
self.bgTop:setScale9Enabled(true)
self.bgTop:setCapInsets(cc.rect(4,4,1,1))
self.bgTop:setSize(globalManager.ccCreator:newSize(globalData.GAME_WIDTH,74))
self.bgTop:setPosition(0,globalData.GAME_HEIGHT - 74)
self.bgTop:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[7])
self.container:addChild(self.bgTop)
self.npcImage = globalManager.ccCreator:newImageView()
self.npcImage:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[7])
self.container:addChild(self.npcImage)
self.promptLabel = globalManager.ccCreator:newLabel()
self.promptLabel:setFontSize(26)
self.promptLabel:setColor(globalData.allStaticTypes.colorType.COLORYELLOW)
self.promptLabel:setPosition(globalManager.ccCreator:newPoint(208,90))
self.container:addChild(self.promptLabel)
self.jumpBtn = globalManager.ccCreator:newButton()
self.jumpBtn:loadTextureNormal("btn/ui_jumpBtn.png",1)
self.jumpBtn:setPosition(globalManager.ccCreator:newPoint(globalData.GAME_WIDTH - 94,60))
self.container:addChild(self.jumpBtn)
self.jumpBtn:addTouchEventListener(jumpClickHandler)
self.talkBg = globalManager.ccCreator:newImageView("board/ui_chat_board.png",1)
self.talkBg:setScale9Enabled(true)
self.talkBg:setCapInsets(cc.rect(36,10,1,1))
self.container:addChild(self.talkBg)
self.contentLabel = globalManager.ccCreator:newLabel()
self.container:addChild(self.contentLabel)
globalManager.containerManager.tipContainer:addChild(self.container)
globalManager.containerManager:updateNpcTalkVisible(false)
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.trigger_stopMoving,globalManager.gameDispatcher))
end
function GuideNpcCopyTalkView:nextPanel()
self.current = self.current + 1
self.timeCount = 0
if(self.current > self.count) then
self:dispose()
else
local talkId = tonumber(self.infoList[self.current][1])
local x  = (globalData.GAME_WIDTH - 960) * 0.5 + tonumber(self.infoList[self.current][2])
local y  = (globalData.GAME_HEIGHT - 640) * 0.5 + tonumber(self.infoList[self.current][3])
local directionType = tonumber(self.infoList[self.current][4])
self.time = tonumber(self.infoList[self.current][5])
local content = globalManager.descriptManager:getDescript(tostring(talkId))
self.talkBg:setPosition(globalManager.ccCreator:newPoint(x,y))
if(directionType == 1)then
self.talkBg:setScaleX(1)
self.talkBg:setScaleY(-1)
self.contentLabel:setAnchorPoint(globalManager.ccCreator:newPoint(0, 0.5))
self.contentLabel:setPosition(x,y - 45)
elseif(directionType == 2)then
self.talkBg:setScale(-1)
self.contentLabel:setAnchorPoint(globalManager.ccCreator:newPoint(1, 0.5))
self.contentLabel:setPosition(x,y - 45)
elseif(directionType == 3)then
self.talkBg:setScale(1)
self.contentLabel:setAnchorPoint(globalManager.ccCreator:newPoint(0, 0.5))
self.contentLabel:setPosition(x,y + 45)
elseif(directionType == 4)then
self.talkBg:setScaleX(-1)
self.talkBg:setScaleY(1)
self.contentLabel:setAnchorPoint(globalManager.ccCreator:newPoint(1, 0.5))
self.contentLabel:setPosition(x,y + 45)
end
self.contentLabel:setText(content)
local bgWidth = self.contentLabel:getContentSize().width + 40
self.talkBg:setSize(globalManager.ccCreator:newSize(bgWidth,72))
self.talkBg:setAnchorPoint(globalManager.ccCreator:newPoint(20 / bgWidth, 0))
globalManager.tickManager:addTick(self.tick,self)
end
end
function GuideNpcCopyTalkView:tick(delta,count)
self.timeCount = self.timeCount + 1
if(self.timeCount >= self.time)then
globalManager.tickManager:removeTick(self.tick,self)
self:nextPanel()
end
end
function GuideNpcCopyTalkView:dispose()
if(self._character ~= nil) then
self._character:dispose()
self._character = nil
end
if(self._label ~= nil) then
globalManager.ccCreator:release(self._label)
self._label = nil
end
globalManager.containerManager:updateNpcTalkVisible(true)
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.trigger_hangUp,globalManager.gameDispatcher,true))
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.scene_closeOtherPanel,self.hide,self)
globalManager.tickManager:removeTick(self.tick,self)
globalManager.containerManager:updateNpcTalkVisible(true)
if(self.npcHeadPath ~= nil) then
globalManager.sourceCacheManager:removeQuote(self.npcHeadPath)
self.npcHeadPath = nil
end
self.infoList = nil
if(self.bgTop ~= nil) then
globalManager.ccCreator:release(self.bgTop)
self.bgTop = nil
end
if(self.bgBottom ~= nil) then
globalManager.ccCreator:release(self.bgBottom)
self.bgBottom = nil
end
if(self.talkBg ~= nil) then
globalManager.ccCreator:release(self.talkBg)
self.talkBg = nil
end
if(self.npcImage ~= nil) then
globalManager.ccCreator:release(self.npcImage)
self.npcImage = nil
end
if(self.promptLabel ~= nil) then
globalManager.ccCreator:release(self.promptLabel)
self.promptLabel = nil
end
if(self.contentLabel ~= nil) then
globalManager.ccCreator:release(self.contentLabel)
self.contentLabel = nil
end
if(self.jumpBtn ~= nil) then
globalManager.ccCreator:release(self.jumpBtn)
self.jumpBtn = nil
end
if(self.container ~= nil) then
globalManager.ccCreator:release(self.container)
self.container = nil
end
end
GuideRiderView = class("GuideRiderView",function(self,npcId)
local temp = globalManager.ccCreator:newImageView("board/ui_board5.png",1)
temp:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[7])
temp:setScale9Enabled(true)
temp:setCapInsets(cc.rect(5,4,1,1))
temp:setOpacity(200)
temp:setSize(globalManager.ccCreator:newSize(globalData.GAME_WIDTH,globalData.GAME_HEIGHT))
temp:setTouchEnabled(true)
temp._npcId = npcId
temp._effect = nil
temp._arrow = nil
temp._text = nil
temp._offsetY = 320 - 180 - globalData.GAME_HEIGHT*0.5
temp._maxY = 320 - 280 - globalData.GAME_HEIGHT*0.5
temp._path = globalManager.pathManager:getUISource("outPic/guide_riderArrow.png")
return temp
end)
function GuideRiderView:ctor()
self:initEvent()
globalData.uiClickContainer:addItem(self,true,false)
self._arrow = globalManager.ccCreator:newImageView()
self._arrow:setPosition(globalManager.ccCreator:newPoint(globalData.GAME_WIDTH*0.5,globalData.GAME_HEIGHT*0.5))
self:addChild(self._arrow)
self._text = globalManager.ccCreator:newLabel()
self._text:setFontSize(24)
self._text:setText(globalManager.yuyanbaoManager:getYuyanbao("GuideRiderView.text1"))
self._text:setColor(globalData.allStaticTypes.colorType.COLORGREEN)
self._text:setPosition(globalManager.ccCreator:newPoint(globalData.GAME_WIDTH*0.5,globalData.GAME_HEIGHT*0.5 - 95))
self:addChild(self._text)
globalManager.sourceCacheManager:setImage(self._arrow,self._path,globalData.allStaticTypes.sourceStaticType.clearImmediately)
self._effect = globalManager.effectCreator:create(27)
self._effect:move2(self,0,0)
self:addNode(self._effect)
self._effect:play()
globalManager.tickManager:addTick(self.tick,self)
end
function GuideRiderView:initEvent()
local panelTouchHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED or eventType == TOUCH_EVENT_CANCELED) then
local offsetY = sender:getTouchEndPos().y - sender:getTouchStartPos().y
if(offsetY > 50) then
self:dispose()
end
end
end
self:addTouchEventListener(panelTouchHandler)
end
function GuideRiderView:tick(delta,count)
if(self._effect) then
self._offsetY = self._offsetY - delta*100
if(self._offsetY <= self._maxY) then self._offsetY = self._maxY + 100 end
self._effect:move2(self,globalData.GAME_WIDTH*0.5,self._offsetY)
end
end
function GuideRiderView:hideFormClickContainer()
end
function GuideRiderView:dispose()
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_riderUpAndDown,globalManager.gameDispatcher,true))
globalManager.tickManager:removeTick(self.tick,self)
if(self._effect) then
self._effect:dispose()
self._effect = nil
end
if(self._text) then
globalManager.ccCreator:release(self._text)
self._text = nil
end
globalManager.sourceCacheManager:removeQuote(self._path)
self._path = nil
globalManager.ccCreator:release(self._arrow)
self._arrow = nil
print("关闭",self._npcId)
if(self._npcId ~= nil and self._npcId > 0) then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.trigger_walkToNpc,globalManager.gameDispatcher,{id=self._npcId,doubleClickCancel=true}))
end
globalData.uiClickContainer:close(self)
globalManager.ccCreator:release(self)
end
GuideTipView = class("GuideTipView", function(self)
local temp = {}
temp.container = globalManager.ccCreator:newNode()
temp.bgImage = nil
temp.label = nil
temp._effect2 = nil
return temp
end)
function GuideTipView:showByTemplate(template,offsetX,offsetY)
if(template.movieType < 5) then
self:showPop(offsetX,offsetY,template.movieType,template.param[2])
elseif(template.movieType == 5) then
self:showFinger(offsetX + template.w * 0.5,offsetY + template.h * 0.5)
elseif(template.movieType > 50) then
self:showPopAndFinger(offsetX + template.w * 0.5,offsetY + template.h * 0.5,template.movieType - 50,template.param[2])
end
end
function GuideTipView:showByParam(list)
if(list[3] < 5) then
self:showPop(globalData.GAME_WIDTH*0.5 - 480 + list[1],globalData.GAME_HEIGHT*0.5 - 320 + list[2],list[3],list[4])
elseif(list[3] == 5) then
self:showFinger(globalData.GAME_WIDTH*0.5 - 480 + list[1],globalData.GAME_HEIGHT*0.5 - 320 + list[2])
elseif(list[3] == 6) then
local yellowBoard = GuideYellowBoard:new()
yellowBoard:showTip(list[1],list[2])
self:showFinger(list[1],list[2])
end
end
--气泡位置 type:1右下  2右上  3左下  4左上
function GuideTipView:showPop(x,y,type,text)
if(self._effect2 ~= nil and self._effect2:getParent()) then
self._effect2:stop()
self._effect2:removeFromParent(false)
end
if(self.bgImage == nil) then
self.bgImage = globalManager.ccCreator:newImageView("board/ui_chat_board.png",1)
self.bgImage:setScale9Enabled(true)
self.bgImage:setAnchorPoint(globalManager.ccCreator:newPoint(0.05,0.04))
self.bgImage:setCapInsets(globalManager.ccCreator:newRect(36,10,1,1))
self.label = globalManager.ccCreator:newLabel()
self.label:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[2])
end
self.label:ignoreContentAdaptWithSize(true)
self.label:setText(text)
local height = math.ceil(self.label:getContentSize().width / 200)
if(height > 1) then
self.label:ignoreContentAdaptWithSize(false)
self.label:setContentSize(globalManager.ccCreator:newSize(200,height*27))
end
local size = self.label:getContentSize()
self.bgImage:setSize(globalManager.ccCreator:newSize(size.width + 10,size.height + 33))
if(type == 1) then
self.bgImage:setScale(1,-1)
self.label:setPosition(globalManager.ccCreator:newPoint(0,-26))
elseif(type == 2) then
self.bgImage:setScale(1,1)
self.label:setPosition(globalManager.ccCreator:newPoint(0,26 + size.height))
elseif(type == 3) then
self.bgImage:setScale(-1,-1)
self.label:setPosition(globalManager.ccCreator:newPoint(-size.width,-26))
else
self.bgImage:setScale(-1,1)
self.label:setPosition(globalManager.ccCreator:newPoint(-size.width,26 + size.height))
end
if(not self.bgImage:getParent()) then
self.container:addChild(self.bgImage)
self.container:addChild(self.label)
end
self.container:setPosition(globalManager.ccCreator:newPoint(x,globalData.GAME_HEIGHT - y))
if(self.container:getParent() == nil) then
globalManager.containerManager.tipContainer:addChild(self.container,102)
end
end
function GuideTipView:showFinger(x,y)
if(self.bgImage ~= nil and self.bgImage:getParent()) then
self.bgImage:removeFromParent(false)
self.label:removeFromParent(false)
end
if(self._effect2 == nil) then
self._effect2 = globalManager.effectCreator:create(27)
self._effect2:move2(self.container,0,105)
end
if(not self._effect2:getParent()) then
self.container:addChild(self._effect2)
end
self._effect2:play()
self.container:setPosition(globalManager.ccCreator:newPoint(x,globalData.GAME_HEIGHT - y + 20))
if(self.container:getParent() == nil) then
globalManager.containerManager.tipContainer:addChild(self.container,102)
end
end
function GuideTipView:showPopAndFinger(x,y,type,text)
self:showPop(x,y,type,text)
if(self._effect2 == nil) then
self._effect2 = globalManager.effectCreator:create(27)
self._effect2:move2(self.container,0,105)
end
if(not self._effect2:getParent()) then
self.container:addChild(self._effect2)
end
self._effect2:play()
self.container:setPosition(globalManager.ccCreator:newPoint(x,globalData.GAME_HEIGHT - y))
if(self.container:getParent() == nil) then
globalManager.containerManager.tipContainer:addChild(self.container,102)
end
end
function GuideTipView:setVisible(value)
self.container:setVisible(value)
end
function GuideTipView:hide()
if(self._effect2 ~= nil) then
self._effect2:stop()
end
if(self.container:getParent() ~= nil) then
self.container:removeFromParent(false)
end
end
GuideTitleItemView = class("GuideTitleItemView", function(self)
local temp = globalManager.ccCreator:newJsonWidget("guideTitleItemView")
temp:getChildByName("name_label_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("GuideTitleItemView.text1"))
temp:getChildByName("titleLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("GuideTitleItemView.text2"))
temp:getChildByName("useBtn"):getChildByName("btn_label"):setText(globalManager.yuyanbaoManager:getYuyanbao("GuideTitleItemView.text3"))
temp._useBtn = temp:getChildByName("useBtn")
temp._label  = temp._useBtn:getChildByName("btn_label")
temp._titleLabel = temp:getChildByName("titleLabel")
temp._titletTip = temp:getChildByName("name_label_Copy0")
temp._titleLabel:setVisible(false)
temp._titletTip:setVisible(false)
temp._time = 0
temp._count = 0
temp.titleTemplate = nil
temp._effect = nil
return temp
end)
function GuideTitleItemView:ctor()
self:initEvent()
end
function GuideTitleItemView:initEvent()
local useBtnClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
local currentTitle = globalData.allTemplates.titleTemplateList:getTitle(globalData.selfPlayerInfo.titleInfo.currentTitleId)
if(currentTitle == nil) then
globalData.messageAdder:sendTitleChange(self.titleTemplate.type,self.titleTemplate.id)
end
self:dispose()
end
end
self._useBtn:addTouchEventListener(useBtnClickHandler)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_reConnect,self.dispose,self)
end
function GuideTitleItemView:removeEvent()
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.scene_reConnect,self.dispose,self)
end
function GuideTitleItemView:setItem(titleId)
self.titleTemplate = globalData.allTemplates.titleTemplateList:getTitle(titleId)
--图片
if(self.titleTemplate.resouceType == 1)then
self._titleImg = globalManager.ccCreator:newImageView()
self._titleImg:setPosition(144,52)
self:addChild(self._titleImg)
self._imgPath = globalManager.pathManager:getTitleImgPath(self.titleTemplate.picPath)
globalManager.sourceCacheManager:setImage(self._titleImg,self._imgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
--特效
elseif(self.titleTemplate.resouceType == 2)then
if(self._effect == nil)then
self._effect = globalManager.effectCreator:create(tonumber(self.titleTemplate.picPath), nil, nil,false)
self._effect:move2(self,144,-52)
self._effect:play()
self:addNode(self._effect)
else
self._effect:dispose()
self._effect = nil
end
end
--self._titleLabel:setText(self.titleTemplate.name)
--self._titleLabel:setColor(globalData.allStaticTypes.colorType:getColorByQuality(self.titleTemplate.quality))
self._time = 5
self._label:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel23"),self._time))
globalManager.tickManager:addTick(self.tick,self)
end
function GuideTitleItemView:tick(delta,count)
self._count = self._count + 1
if(self._count >= 60)then
self._count = 0
self._time = self._time - 1
self._label:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel23")..self._time)
if(self._time <= 0) then
self:dispose()
end
end
end
function GuideTitleItemView:dispose()
self:removeEvent()
globalManager.tickManager:removeTick(self.tick,self)
self._useBtn = nil
self._titleLabel = nil
self.titleTemplate = nil
if(self._effect ~= nil)then
self._effect:dispose()
self._effect = nil
end
if(self._titleImg ~= nil)then
globalManager.ccCreator:release(self._titleImg)
self._titleImg = nil
end
globalManager.ccCreator:release(self)
end
GuideUseItemView = class("GuideUseItemView",function(self)
local temp = globalManager.ccCreator:newJsonWidget("guideUseItemView")
temp:getChildByName("equip_label"):setText(globalManager.yuyanbaoManager:getYuyanbao("GuideUseItemView.text2"))
temp:getChildByName("use_btn"):getChildByName("btn_label"):setText(globalManager.yuyanbaoManager:getYuyanbao("GuideUseItemView.text3"))
temp._useBtn = temp:getChildByName("use_btn")
temp._label = temp._useBtn:getChildByName("btn_label")
temp._equipLabel = temp:getChildByName("equip_label")
temp._nameLabel = temp:getChildByName("name_label")
temp._closeBtn = temp:getChildByName("close_btn")
local cellPanel = temp:getChildByName("item_panel")
temp._cell = GoodsInfoGrid:new()
cellPanel:addChild(temp._cell)
temp._info = nil
temp._time = 0
temp._count = 0
return temp
end)
function GuideUseItemView:ctor()
self:initEvent()
end
function GuideUseItemView:initEvent()
local useBtnClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(self._info == nil or self._info:getTemplate() == nil) then
globalManager.containerManager:hideUseItemPanel()
return
end
if(globalData.allStaticTypes.categoryType:IsEquip(self._info:getTemplate().categoryId))then
globalManager.goodsInfoTester:goodsEquip(self._info)
elseif(self._info:getTemplate().canUse)then
if(self._info:getTemplate().canBatch) then
globalData.messageAdder:goodsBatchUse(self._info.position,self._info.count)
else
globalData.messageAdder:goodsUse(self._info.position,true)
end
end
globalManager.containerManager:hideUseItemPanel()
end
end
local closeBtnClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
globalManager.containerManager:hideUseItemPanel()
end
end
self._useBtn:addTouchEventListener(useBtnClickHandler)
self._closeBtn:addTouchEventListener(closeBtnClickHandler)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_reConnect,globalManager.containerManager.hideUseItemPanel,globalManager.containerManager)
end
function GuideUseItemView:removeEvent()
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.scene_reConnect,globalManager.containerManager.hideUseItemPanel,globalManager.containerManager)
end
function GuideUseItemView:setItem(goodsInfo)
self._info = goodsInfo
local tempInfo = self._info:getTemplate()
if(globalData.allStaticTypes.categoryType:IsFiveEquip(tempInfo.categoryId))then
local stage = self._info.stage
local str   = globalData.numList[math.ceil(stage / globalData.allTemplates.xiaofeiTemplateList.STAGE_PRE_STAR)] .. globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel45")..((stage - 1) % globalData.allTemplates.xiaofeiTemplateList.STAGE_PRE_STAR + 1)..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel68")
self._nameLabel:setText(str .. tempInfo.name)
else
self._nameLabel:setText(tempInfo.name)
end
self._nameLabel:setColor(globalData.allStaticTypes.colorType:getColorByQuality(tempInfo:getQuality()))
self._cell:setGoodsInfo(self._info)
self._cell:setQualityEffect(6)
if(globalData.allStaticTypes.categoryType:IsEquip(tempInfo.categoryId) or globalData.allStaticTypes.categoryType:IsFiveEquip(tempInfo.categoryId)) then
self._closeBtn:setEnabled(false)
self._time = 5
self._label:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel23") .. self._time)
globalManager.tickManager:addTick(self.tick,self)
else
self._label:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel8"))
self._equipLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("GuideUseItemView.text1")..goodsInfo.count)
end
end
function GuideUseItemView:tick(delta,count)
self._count = self._count + 1
if(self._count >= 60) then
self._count = 0
self._time = self._time - 1
if(self._time <= 0) then
if(self._info == nil or self._info:getTemplate() == nil) then
globalManager.containerManager:hideUseItemPanel()
return
end
if(globalData.allStaticTypes.categoryType:IsEquip(self._info:getTemplate().categoryId))then
globalManager.goodsInfoTester:goodsEquip(self._info)
elseif(globalData.allStaticTypes.categoryType:IsFiveEquip(self._info:getTemplate().categoryId))then
globalData.messageAdder:goodsUse(self._info.position)
end
globalManager.containerManager:hideUseItemPanel()
else
self._label:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel23")..self._time)
end
end
end
function GuideUseItemView:dispose()
self:removeEvent()
globalManager.tickManager:removeTick(self.tick,self)
self._useBtn = nil
self._label = nil
self._equipLabel = nil
self._nameLabel = nil
self._closeBtn = nil
if(self._cell ~= nil) then
self._cell:dispose()
self._cell = nil
end
self._info = nil
globalManager.ccCreator:release(self)
end
GuideWelcomeView = class("GuideWelcomeView",function(self,controller)
local temp = globalManager.ccCreator:newJsonWidget("GuideWelcomeView")
temp:getChildByName("welcomeContent1"):setText(globalManager.yuyanbaoManager:getYuyanbao("GuideWelcomeView.text1"))
temp:getChildByName("welcomeContent2"):setText(globalManager.yuyanbaoManager:getYuyanbao("GuideWelcomeView.text2"))
temp:getChildByName("welcomeContent5"):setText(globalManager.yuyanbaoManager:getYuyanbao("GuideWelcomeView.text3"))
temp:getChildByName("welcomeContent6"):setText(globalManager.yuyanbaoManager:getYuyanbao("GuideWelcomeView.text4"))
temp:getChildByName("itemLabel1"):setText("200"..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel58"))
temp:getChildByName("itemLabel2"):setText(globalManager.yuyanbaoManager:getYuyanbao("GuideWelcomeView.text6"))
temp:getChildByName("itemLabel3"):setText("50"..globalManager.yuyanbaoManager:getYuyanbao("GuideWelcomeView.text7"))
temp:getChildByName("accept_btn"):getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("GuideWelcomeView.text8"))
temp._controller = controller
temp._bg     = temp:getChildByName("borad")
temp._bgPath = globalManager.pathManager:getUISource("outPic/welcome.png")
temp.itemList = {}
temp.labelList = {}
temp._gridList = {}
temp._goodsInfos = {}
for i = 1,3,1 do
table.insert(temp.itemList,temp:getChildByName("item"..i))
table.insert(temp.labelList,temp:getChildByName("itemLabel"..i))
end
temp:setTouchEnabled(true)
temp.acceptBtn = temp:getChildByName("accept_btn")
temp.fingerEffect2 = globalManager.effectCreator:create(27)
temp.fingerEffect2:move2(temp,638,15)
temp.fingerEffect2:play()
temp:addNode(temp.fingerEffect2,9)
return temp
end)
function GuideWelcomeView:ctor()
globalManager.sourceCacheManager:setImage(self._bg,self._bgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self:initEvent()
self:setData()
globalData.uiClickContainer:addItem(self,false,true)
self:setPosition(globalData.GAME_WIDTH / 2 - 420,globalData.GAME_HEIGHT / 2 - 180)
end
function GuideWelcomeView:setData()
local career = globalData.allStaticTypes.careerType:getCareer(globalData.selfPlayerInfo.career)
local templateId = 0
local count = 0
local strengthLevel = nil
if(career == 1)then
templateId = 130001
strengthLevel = 3
elseif(career == 2)then
templateId = 130011
count = 1
strengthLevel = 3
elseif(career == 3)then
templateId = 130100
count = 1
strengthLevel = 3
elseif(career == 4)then
templateId = 140100
strengthLevel = 3
elseif(career == 5)then
templateId = 150100
count = 1
strengthLevel = 3
elseif(career == 6)then
templateId = 160100
count = 1
strengthLevel = 3
end
for i = 1,3,1 do
if(i == 2)then
templateId = globalData.allStaticTypes.categoryType.goldItem
count = 100
self.labelList[i]:setText(count .. globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel58"))
elseif(i == 3)then
templateId = globalData.allStaticTypes.categoryType.copperItem
count = 100000
self.labelList[i]:setText((count / 10000) .. globalManager.yuyanbaoManager:getYuyanbao("GuideWelcomeView.text9"))
end
local grid = GoodsInfoGrid:new()
local goodsinfo = GoodsInfo:new()
goodsinfo:setTemplateId(templateId)
goodsinfo.count = count
if(templateId == 130001 or templateId == 130011 or templateId == 130100)then
if(strengthLevel ~= nil)then
goodsinfo:updateStrengthLevel(strengthLevel)
end
end
table.insert(self._goodsInfos,goodsinfo)
grid:setGoodsInfo(goodsinfo)
self.itemList[i]:addChild(grid)
table.insert(self._gridList,grid)
if(i == 1)then
self.labelList[i]:setText(goodsinfo._template.name)
end
self.labelList[i]:setColor(globalData.allStaticTypes.colorType.ITEMCOLOR2)
end
end
function GuideWelcomeView:initEvent()
local clickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
self:dispose()
end
end
self.acceptBtn:addTouchEventListener(clickHandler)
self:addTouchEventListener(clickHandler)
end
function GuideWelcomeView:removeEvent()
end
function GuideWelcomeView:hideFormClickContainer()
self:dispose()
end
function GuideWelcomeView:dispose()
self._controller.sceneModule.message:sendGetFirstLoginAward()
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.trigger_walkToNpc,globalManager.gameDispatcher,{id=100101,doubleClickCancel=true}))
globalData.uiClickContainer:close(self)
globalManager.sourceCacheManager:removeQuote(self._bgPath)
self._bgPath = nil
self._bg = nil
self._controller = nil
self.itemList = nil
self.labelList = nil
for __,info in pairs(self._goodsInfos) do
info:dispose()
end
self._goodsInfos = nil
if(self._gridList ~= nil) then
for __,grid in pairs(self._gridList) do
grid:dispose()
end
self._gridList = nil
end
if(self.fingerEffect2 ~= nil) then
self.fingerEffect2:dispose()
self.fingerEffect2 = nil
end
self.acceptBtn = nil
globalManager.ccCreator:release(self)
end
GuideYellowBoard = class("GuideYellowBoard", function(self)
local temp = globalManager.ccCreator:newImageView("board/ui_yellowBoard.png",1)
temp:setScale9Enabled(true)
temp:setCapInsets(cc.rect(10,10,4,4))
temp.targetW = 0
temp.targetH = 0
temp.count = 0
temp.isAutoHide = false
return temp
end)
function GuideYellowBoard:show(template,offsetX,offsetY)
self.targetW = template.w
self.targetH = template.h
self:setSize(globalManager.ccCreator:newSize(template.w*3,template.h*3))
self:setPosition(globalManager.ccCreator:newPoint(offsetX + template.w * 0.5,globalData.GAME_HEIGHT - offsetY - template.h * 0.5))
if(self:getParent() == nil) then
globalManager.containerManager.tipContainer:addChild(self,101)
end
self.count = 60
globalManager.tickManager:addTick(self.tick,self)
end
function GuideYellowBoard:showTip(x,y)
self.targetW = 200
self.targetH = 200
self:setPosition(globalManager.ccCreator:newPoint(x,y))
if(self:getParent() == nil) then
globalManager.containerManager.tipContainer:addChild(self,101)
end
self.isAutoHide = true
self.count = 30
globalManager.tickManager:addTick(self.tick,self)
end
function GuideYellowBoard:tick(delta,count)
self.count = self.count - count
if(self.isAutoHide) then
if(self.count <= 0) then
self:hide()
else
self:setSize(globalManager.ccCreator:newSize(self.targetW*self.count * 0.05,self.targetH*self.count * 0.05))
end
else
if(self.count <= 20) then
self.count = 20
globalManager.tickManager:removeTick(self.tick,self)
end
self:setSize(globalManager.ccCreator:newSize(self.targetW*self.count * 0.05,self.targetH*self.count * 0.05))
end
end
function GuideYellowBoard:hide()
globalManager.tickManager:removeTick(self.tick,self)
globalManager.ccCreator:release(self)
end
--
-- 数字输入面板
-- 类型1：商城购买调用  showShopGoodsTemplate(shopGoodsTemplate,callbackFunc)
-- 类型2：物品调用  showGoodsInfo(goodsInfo,callbackFunc)
-- 类型3：货币调用  showMoney(type,callbackFunc)
-- 类型4：物品拆分调用(也是物品调用，按钮显示的区别)   splitGoodsInfo(goodsInfo,callbackFunc)
-- 类型5：物品模板调用 showGoodsTemplateInfo(goodsTemplateInfo,callbackFunc)
-- 类型6：只返回数字   showNumber(callbackFunc)
--
NumberPanel = class("NumberPanel", function(self)
local temp = globalManager.ccCreator:newJsonWidget("NumberPanel")
--data
temp.goodsInfo = nil --背包物品
temp.shopGoodsTemplate = nil --商城物品
temp.goodsTemplateInfo = nil --物品模板
temp.maxCount = 999 --最大数量限制
temp.minCount = 0 --最小数量限制
temp.numInputs = {} --购买数量输入
temp._defaultCount = 1  --默认输入数量,其值大于0的时候，使用此值作为输入值
temp.type = 1 --输入类型  1：商店购买，2：邮件物品， 3，输入货币金额
--callback
temp.callbackFunc = nil
--view
-- temp.inputLabelView = temp:getChildByName("inputLabelView")
temp.gridIcon = temp:getChildByName("gridIcon")
temp.buyBtn = temp:getChildByName("buyBtn")
--temp.cancelBtn = temp:getChildByName("cancelBtn")
temp.buyAndUseBtn = temp:getChildByName("buyAndUseBtn")
temp.closeBtn = temp:getChildByName("closeBtn")
temp.delBtn = temp:getChildByName("delBtn")
temp.clearBtn = temp:getChildByName("clearBtn")
temp.nameLabel = temp:getChildByName("nameLabel")
temp.copperCostCon = temp:getChildByName("copperCostCon")
temp.priceLabel = temp.copperCostCon:getChildByName("priceLabel")
temp.payImg = temp.copperCostCon:getChildByName("payImg")
temp.payLabel = temp.copperCostCon:getChildByName("payLabel")
temp.countLabel = temp:getChildByName("inputLabelView"):getChildByName("countLabel")
temp.okBtnLabel = temp.buyBtn:getChildByName("btnLabel")
temp.buyAndUseBtn:setEnabled(false)
temp.goodsTempGrid = BaseGrid:new()
temp.gridIcon:addChild(temp.goodsTempGrid,10)
temp.numBtns = {} --数字按钮数组
for i=0,9 do
local btn = temp:getChildByName("btn" .. i)
table.insert(temp.numBtns,btn)
end
temp:getChildByName("nameLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("NumberPanel.text3"))
temp:getChildByName("inputLabelView"):getChildByName("LabelBMFont_884_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("NumberPanel.text4"))
temp.copperCostCon:getChildByName("LabelBMFont_884"):setText(globalManager.yuyanbaoManager:getYuyanbao("NumberPanel.text5"))
return temp
end)
function NumberPanel:ctor()
self:initEvent()
end
function NumberPanel:updateView()
if(self.goodsTemplateInfo ~= nil)then
self.nameLabel:setText(self.goodsTemplateInfo.name)
self.nameLabel:setColor(globalData.allStaticTypes.colorType:getColorByQuality(self.goodsTemplateInfo:getQuality()))
end
self.goodsTempGrid:setGoodsTempInfo(self.goodsTemplateInfo)
self.countLabel:setText(self:getCount())
if(self.type == 1)then
self.priceLabel:setText(self:getCount() * self.shopGoodsTemplate.price)
if(globalManager.goodsInfoTester:shopGoodsMoneyCheck(self.shopGoodsTemplate, self:getCount()))then
self.priceLabel:setColor(globalData.allStaticTypes.colorType.MONEY_COLOR)
else
self.priceLabel:setColor(globalData.allStaticTypes.colorType.FALSE_COLOR)
end
end
end
function NumberPanel:initEvent()
local function buyHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
local num = self:getCount()
if(self.minCount > num) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("NumberPanel.text1")..self.minCount)
return
end
local result = nil
if(self.type == 1)then
if(self.callbackFunc ~= nil)then
result = self.callbackFunc(self.shopGoodsTemplate,num)
end
elseif (self.type == 2 or self.type == 3 or self.type == 4) then
if(self.callbackFunc ~= nil)then
result = self.callbackFunc(self.goodsInfo,self:getCount())
end
elseif (self.type == 5) then
if(self.callbackFunc ~= nil)then
result = self.callbackFunc(self.goodsTemplateInfo,num)
end
elseif (self.type == 6) then
if(self.callbackFunc ~= nil)then
result = self.callbackFunc(num)
end
end
if(result == nil)then
self:hide()
else
globalManager.tipsManager.quickTip:show(result)
end
end
end
local function cancelHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self:hide()
end
end
local function delHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(self._defaultCount > 0)then
self._defaultCount = -1
end
local len = table.getn(self.numInputs)
if(len > 0)then
table.remove(self.numInputs,len)
end
self:updateView()
end
end
local function clearHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(self._defaultCount > 0)then
self._defaultCount = -1
end
self.numInputs = {}
self:updateView()
end
end
local function numInputHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
local index = globalManager.commonUtils:getIndexOfTable(self.numBtns,sender)
if(index ~= -1)then
if(self.type == 1)then
local canBuyCount = globalManager.goodsInfoTester:getCanBuyCount(self.shopGoodsTemplate)
-- if(self:getCount() > canBuyCount)then
-- 	globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel12"))
-- 	self:setCount(canBuyCount)
-- 	return
-- end
end
if(self._defaultCount > 0)then
self._defaultCount = -1
end
if(self:getCount() < self.maxCount)then
table.insert(self.numInputs, index - 1)
self:updateView()
end
end
end
end
self.buyBtn:addTouchEventListener(buyHandler)
self.buyAndUseBtn:addTouchEventListener(buyHandler)
--self.cancelBtn:addTouchEventListener(cancelHandler)
self.closeBtn:addTouchEventListener(cancelHandler)
self.delBtn:addTouchEventListener(delHandler)
self.clearBtn:addTouchEventListener(clearHandler)
for i=1,table.getn(self.numBtns) do
self.numBtns[i]:addTouchEventListener(numInputHandler)
end
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_closeOtherPanel,self.closePanel,self)
end
function NumberPanel:setCount(count)
self.numInputs = {}
local str = tostring(count)
local len = string.len(str)
for i=1,len do
self.numInputs[i] = tonumber(string.sub(str,i,i))
end
self:updateView()
end
function NumberPanel:getCount()
if(self._defaultCount > 0)then
return self._defaultCount
end
local value = ""
local len = table.getn(self.numInputs)
for i=1,len do
value = value .. self.numInputs[i]
end
if(value == "")then
value = 0
else
value = tonumber(value)
if(value > self.maxCount)then
value = self.maxCount
elseif (value < 1) then
value = 0
end
end
return value
end
--只显示数字调用
function NumberPanel:showNumber(count,callbackFunc,min,max)
count = count or 1
self.type = 6
self:show(callbackFunc)
if(max == nil) then
self.maxCount = 999
else
self.maxCount = max
end
self.minCount = min
self._defaultCount = count
self.gridIcon:setEnabled(false)
self.goodsTempGrid:setEnabled(false)
self.nameLabel:setEnabled(false)
self.okBtnLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel1"))
self:updateView()
end
--物品模板调用
function NumberPanel:showGoodsTemplateInfo(goodsTemplate,callbackFunc,maxCount,defaultCount)
self.type = 5
self:show(callbackFunc)
self.minCount = 0
self.maxCount = maxCount or 999
self._defaultCount = defaultCount or self.maxCount
self.goodsTemplateInfo = goodsTemplate
self.okBtnLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel1"))
self:updateView()
end
--拆分调用
function NumberPanel:splitGoodsInfo(goodsInfo,callbackFunc)
self.type = 4
self:show(callbackFunc)
self.minCount = 0
self.maxCount = goodsInfo.count
self._defaultCount = self.maxCount
self.goodsInfo = goodsInfo
self.goodsTemplateInfo = goodsInfo:getTemplate()
self.okBtnLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("NumberPanel.text2"))
self:updateView()
end
--金钱调用
function NumberPanel:showMoney(type,callbackFunc)
self.type = 3
self:show(callbackFunc)
self._defaultCount = 1
self.minCount = 0
self.maxCount = 999999999
self.okBtnLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel1"))
self:updateView()
end
--物品调用
function NumberPanel:showGoodsInfo(goodsInfo,callbackFunc)
self.type = 2
self:show(callbackFunc)
self.minCount = 0
self.maxCount = goodsInfo.count
self._defaultCount = self.maxCount
self.goodsInfo = goodsInfo
self.goodsTemplateInfo = goodsInfo:getTemplate()
self.okBtnLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel1"))
self:updateView()
end
--商城购买调用
function NumberPanel:showShopGoodsTemplate(shopGoodsTemplate,callbackFunc,buyAndUse,maxCount,defaultCount)
if(maxCount >= 99) then defaultCount = 1 end
if(defaultCount == nil) then
if(shopGoodsTemplate.payType == 1) then
defaultCount = 1
--			defaultCount = math.floor(globalData.selfPlayerInfo.moneyInfo.gold / shopGoodsTemplate.price)
--			print(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel58"),globalData.selfPlayerInfo.moneyInfo.gold , shopGoodsTemplate.price)
elseif(shopGoodsTemplate.payType == 2) then
defaultCount = math.floor(globalData.selfPlayerInfo.moneyInfo.bindGold / shopGoodsTemplate.price)
--			print("绑钻",globalData.selfPlayerInfo.moneyInfo.bindGold , shopGoodsTemplate.price)
elseif(shopGoodsTemplate.payType == 3) then
defaultCount = math.floor(globalData.selfPlayerInfo.moneyInfo.copper / shopGoodsTemplate.price)
--			print(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel67"),globalData.selfPlayerInfo.moneyInfo.copper , shopGoodsTemplate.price)
elseif(shopGoodsTemplate.payType == 4) then
defaultCount = math.floor(globalData.leagueInfo.myGongxian / shopGoodsTemplate.price)
--			print("帮贡",globalData.leagueInfo.myGongxian , shopGoodsTemplate.price)
elseif(shopGoodsTemplate.payType == 6) then
defaultCount = math.floor(globalData.selfPlayerInfo.honour / shopGoodsTemplate.price)
--			print("荣誉",globalData.selfPlayerInfo.honour , shopGoodsTemplate.price)
else
defaultCount = 1
end
end
self.type = 1
self:show(callbackFunc)
self.shopGoodsTemplate = shopGoodsTemplate
self.goodsTemplateInfo = shopGoodsTemplate:getGoodsTemplate()
buyAndUse = buyAndUse or false
self.minCount = 0
self.maxCount = maxCount or 999
self._defaultCount = math.min(self.maxCount, defaultCount)
self.buyBtn:setEnabled(not buyAndUse)
--self.cancelBtn:setEnabled(not buyAndUse)
self.buyAndUseBtn:setEnabled(buyAndUse)
self.okBtnLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel10"))
self.copperCostCon:setEnabled(true)
self:payImgUpdate(shopGoodsTemplate)
self:updateView()
end
function NumberPanel:payImgUpdate(data)
if(data.payType == nil)then return end
local moneyFrameName = globalManager.commonUtils:getMoneyFrameName(data.payType)
if(moneyFrameName ~= nil)then
self.payImg:loadTexture(moneyFrameName,1)
self.payImg:setEnabled(true)
self.payLabel:setEnabled(false)
else
self.payImg:setEnabled(false)
self.payLabel:setEnabled(true)
end
end
function NumberPanel:show(callbackFunc)
self:hide()
self.callbackFunc = callbackFunc
globalData.uiClickContainer:addItem(self,false,true)
self:setPosition(cc.p((globalData.GAME_WIDTH - 960) / 2,(globalData.GAME_HEIGHT - 640) / 2))
end
function NumberPanel:hideFormClickContainer()
end
function NumberPanel:closePanel()
if(self:getParent()) then
self:hide()
end
end
function NumberPanel:hide()
self.callbackFunc = nil
self.goodsInfo = nil
self.shopGoodsTemplate = nil
self.goodsTemplateInfo = nil
self.numInputs = {}
self._defaultCount = 1
self.copperCostCon:setEnabled(false)
self.buyBtn:setEnabled(true)
--self.cancelBtn:setEnabled(true)
self.buyAndUseBtn:setEnabled(false)
self.gridIcon:setEnabled(true)
self.goodsTempGrid:setEnabled(true)
self.nameLabel:setEnabled(true)
globalData.uiClickContainer:close(self)
self:removeFromParent(false)
end
NumberView = class("NumberView",function(self,executor,changeCallback,default,min,max)
local nv = globalManager.ccCreator:newJsonWidget("numberView")
nv._minusBtn = nv:getChildByName("minus_btn")
nv._addBtn = nv:getChildByName("add_btn")
nv._numberLabel = nv:getChildByName("number_label")
nv._executor = executor
nv._changeCallback = changeCallback
nv._value = -1
nv._min = min
nv._max = max
nv._default = default
if(min == nil)then
nv._min = min
end
if(max == nil)then
nv._max = max
end
return nv
end)
function NumberView:ctor()
if(self._default == nil)then
self:setValue(1)
else
self:setValue(self._default)
end
local minusClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self:setValue(self._value - 1)
end
end
local addClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self:setValue(self._value + 1)
end
end
self._minusBtn:addTouchEventListener(minusClickHandler)
self._addBtn:addTouchEventListener(addClickHandler)
end
function NumberView:getValue()
return self._value
end
function NumberView:setValue(value)
if(self._value == value)then
return
end
if(value < self._min)then value = self._min end
if(value > self._max)then value = self._max end
self._value = value
self._numberLabel:setText(tostring(value))
if(self._changeCallback ~= nil)then
self._changeCallback(self._executor)
end
end
function NumberView:dispose()
self._executor = nil
self._changeCallback = nil
self._minusBtn = nil
self._addBtn = nil
self._numberLabel = nil
globalManager.ccCreator:release(self)
end
--param direction 方向
--0：横向  （商城）
--1：竖向【短】（制炼、副本）
--2：竖向【长】（帮派、福利）
--3：竖向【右书签】（聊天）
--4：竖向【左书签】（查看玩家）
TabButton = class("TabButton", function(self,direction)
local temp = globalManager.ccCreator:newImageView()
temp:setTouchEnabled(true)
temp._label = globalManager.ccCreator:newBMFont()
temp:addChild(temp._label)
temp._label:setColor(globalData.allStaticTypes.colorType.TAB_COLOR1)
temp._iconImg = nil
temp.popIcon = nil
--data
temp._direction = direction
temp._selected = false
temp._btnWidth = nil
if(direction == 4)then
temp._label:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[6])
temp:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[6])
end
return temp
end)
function TabButton:ctor()
end
function TabButton:setWidth(width)
if(width ~= nil and width > 0)then
self._btnWidth = width
self:ignoreContentAdaptWithSize(false)
self:setScale9Enabled(true)
self:setCapInsets(cc.rect(45,34,10,10))
end
end
function TabButton:setIcon(icon)
self._iconImg = globalManager.ccCreator:newImageView(icon, 1)
self:addChild(self._iconImg)
self._label:setPositionX(self._label:getPositionX() + self._iconImg:getSize().width / 2)
self._iconImg:setPositionX(self._label:getPositionX() - self._label:getSize().width / 2 - self._iconImg:getSize().width / 2)
end
function TabButton:setLabel(label)
local len = globalManager.utf8:utf8len(label)
self._label:setScale(28 / 30)
self._label:setText(label)
self:updateView()
end
function TabButton:setSelected(value)
if(self._selected == value)then return end
self._selected = value
self:updateView()
end
function TabButton:setShowPop(isShow)
if(self._direction ~= 1 and self._direction ~= 2) then return end
if(isShow) then
if(self.popIcon == nil) then
local pos
if(self._direction == 1) then
pos = globalManager.ccCreator:newPoint(55,25)
else
pos = globalManager.ccCreator:newPoint(70,25)
end
self.popIcon = globalManager.ccCreator:newImageView("icon/ui_numTipIcon.png",1)
self.popIcon:setPosition(pos)
self:addChild(self.popIcon)
end
else
if(self.popIcon ~= nil) then
globalManager.ccCreator:release(self.popIcon)
self.popIcon = nil
end
end
end
function TabButton:updateView()
if(self._btnWidth ~= nil and self._btnWidth > 0)then
if(self._direction == 3)then
self:setSize(cc.size(self._btnWidth,90))
else
self:setSize(cc.size(self._btnWidth,53))
end
end
if(self._selected)then
self._label:setColor(globalData.allStaticTypes.colorType.TAB_COLOR2)
if(self._direction == 0 or self._direction == 2)then
self:loadTexture("btn/ui_tabBtn1_2.png",1)
elseif(self._direction == 1)then
self:loadTexture("btn/ui_tabBtn2_2.png",1)
if(self._btnWidth ~= nil and self._btnWidth > 0)then
self:setSize(cc.size(self._btnWidth + 10,68))
end
elseif(self._direction == 3)then
self:loadTexture("btn/ui_tabBtn3_2.png",1)
elseif(self._direction == 4)then
self:loadTexture("btn/ui_tabBtn4_2.png",1)
end
else
self._label:setColor(globalData.allStaticTypes.colorType.TAB_COLOR1)
if(self._direction == 0 or self._direction == 2)then
self:loadTexture("btn/ui_tabBtn1_1.png",1)
elseif(self._direction == 1)then
self:loadTexture("btn/ui_tabBtn2_1.png",1)
elseif(self._direction == 3)then
self:loadTexture("btn/ui_tabBtn3_1.png",1)
elseif(self._direction == 4)then
self:loadTexture("btn/ui_tabBtn4_1.png",1)
end
end
self._label:setPosition(0,0)
end
function TabButton:dispose()
globalManager.ccCreator:release(self._label)
self._label = nil
if(self._iconImg ~= nil)then
globalManager.ccCreator:release(self._iconImg)
self._iconImg = nil
end
if(self.popIcon ~= nil) then
globalManager.ccCreator:release(self.popIcon)
self.popIcon = nil
end
globalManager.ccCreator:release(self)
end
--param direction 方向
--0：横向  （商城）
--1：竖向【短】（制炼、副本）
--2：竖向【长】（帮派、福利）
--3：竖向【右书签】（聊天）
--4：竖向【左书签】（查看玩家）
TabGroup = class("TabGroup", function(self,direction)
direction = direction or 0
local temp = globalManager.ccCreator:newWidget()
--view
temp._tabItemList = {}
--data
temp._direction = direction
temp._currentIndex = -1
temp._indexChangeCallback = nil
temp._target = nil
temp._labels = nil
temp._btnWidth = nil  --按钮宽度，不为nil的时候设置
temp._conditionCallback = nil --条件回调
temp._conditionCallTarget = nil
return temp
end)
--设置条件回调，该回调处理切卡是否可点击逻辑，返回boolean
--示例local function XXX:tabCondition(index) { return boolean }
function TabGroup:setConditionCallBack(conditionCallback,conditionCallTarget)
self._conditionCallback = conditionCallback
self._conditionCallTarget = conditionCallTarget
end
function TabGroup:setData(labels,indexChangeCallback,target,selectIndex,btnWidth)
self._labels = labels
self._indexChangeCallback = indexChangeCallback
self._target = target
self._btnWidth = btnWidth
self:initView(selectIndex)
self:initEvent()
end
function TabGroup:initView(selectIndex)
selectIndex = selectIndex or 1
local len = table.getn(self._labels)
for i=1,len do
local btn = TabButton:new(self._direction)
if(self._btnWidth ~= nil)then
btn:setWidth(self._btnWidth)
end
if(type(self._labels[i]) == "string")then
btn:setLabel(self._labels[i])
elseif(type(self._labels[i]) == "table")then
btn:setLabel(self._labels[i].label)
btn:setIcon(self._labels[i].icon)
end
self:addChild(btn)
table.insert(self._tabItemList, btn)
end
self:setIndex(selectIndex)
self:btnLayout()
end
function TabGroup:initEvent()
local function touchHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
local index = globalManager.commonUtils:getIndexOfTable(self._tabItemList,sender)
local canJump = true
if(self._conditionCallback ~= nil)then
canJump = self._conditionCallback(self._conditionCallTarget,index)
end
if(canJump)then
self:setIndex(index)
end
end
end
for __,btn in pairs(self._tabItemList) do
btn:addTouchEventListener(touchHandler)
end
end
function TabGroup:setIndex(index)
if(self._currentIndex == index)then return end
self._currentIndex = index
local len = table.getn(self._tabItemList)
for i=1,len do
self._tabItemList[i]:setSelected(i == index)
end
if(self._indexChangeCallback ~= nil)then
self._indexChangeCallback(self._target,index)
end
end
function TabGroup:getTabBtns()
return self._tabItemList
end
--切卡按钮文本设置
function TabGroup:setTabLabel(index,content)
self._tabItemList[index]._label:setText(content)
end
--设置切卡组里的按钮状态，如果隐藏，且隐藏的切卡是当前选中的切卡，则应切换另外一个切卡
function TabGroup:setTabEnable(index,value)
if(self._tabItemList[index]:isEnabled() == value)then
return
end
self._tabItemList[index]:setEnabled(value)
self:btnLayout()
if(index == self._currentIndex)then
local len = table.getn(self._tabItemList)
for i=1,len do
if(self._tabItemList[i]:isEnabled())then
self:setIndex(i)
break
end
end
end
end
--按钮排版
function TabGroup:btnLayout()
local len = table.getn(self._tabItemList)
local count = 0
for i=1,len do
if(self._tabItemList[i]:isEnabled())then
if(self._direction == 0)then
self._tabItemList[i]:setPositionX(count * 173)
elseif(self._direction == 1 or self._direction == 2)then
self._tabItemList[i]:setPositionY(-count * 73)
elseif(self._direction == 3)then
self._tabItemList[i]:setPositionY(-count * 93)
elseif(self._direction == 4)then
self._tabItemList[i]:setPositionY(-count * 73)
end
count = count + 1
end
end
end
function TabGroup:dispose()
for __,tab in pairs(self._tabItemList) do
tab:dispose()
end
self._tabItemList = nil
self._indexChangeCallback = nil
self._target = nil
self._labels = nil
self._conditionCallback = nil
self._conditionCallTarget = nil
globalManager.ccCreator:release(self)
end
BaseBagPanel = class("BaseBagPanel",function(self)
local temp = globalManager.ccCreator:newJsonWidget("baseBag")
temp._currentPage = -1--当前页码
temp._leftBtn = temp:getChildByName("leftBtn")
temp._rightBtn = temp:getChildByName("rightBtn")
temp._pageView = temp:getChildByName("cellPage")
temp._pageView:setUnlimited()
temp._pageView:setLogicTotlePage(10)
local item = temp._pageView:getChildByName("cellList")
temp._pageView:setPageBG(item)
temp._cellList = {}
local girdWidget
local girdPos
local gird
for i = 1,4,1 do
for j = 1,5,1 do
girdWidget = item:getChildByName("bagCell"..(j + (i - 1) * 5))
girdPos = globalManager.ccCreator:newPoint(girdWidget:getPositionX()+4,girdWidget:getPositionY()-8)
gird = GoodsInfoGrid:new(true,true,true)
gird:setPosition(girdPos)
gird:setClickHandler(temp,self.girdClickHandler)
gird:setDoubleClickHandler(temp,self.girdDoubleClickHandler)
temp._pageView:addPageChild(gird,5)
table.insert(temp._cellList,gird)
end
end
temp._radioList = {}
local radio
for k = 1,10,1 do
radio = temp:getChildByName("radioBtnList"):getChildByName("radioBtn"..k)
radio:setTouchEnabled(false)
table.insert(temp._radioList,radio)
end
temp._selectBoard = globalManager.ccCreator:newImageView("board/ui_board7.png", 1)
temp._selectBoard:ignoreContentAdaptWithSize(false)
temp._selectBoard:setScale9Enabled(true)
temp._selectBoard:setCapInsets(globalManager.ccCreator:newRect(30,24,1,1))
temp._selectBoard:setSize(globalManager.ccCreator:newSize(86,86))
temp._selectBoard:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[2])
temp._selectPlace = -1
temp._selectType = 1
temp._timeCount = 0
return temp
end)
function BaseBagPanel:ctor()
self:initEvent()
self:setPageIndex(0)
globalData.goodsInfoList:resetBag()
end
function BaseBagPanel:initEvent()
local pageViewHandler = function(sender,eventType)
if(eventType == PAGEVIEW_EVENT_TURNING) then
self:setPageIndex(sender:getLogicCurPage())
end
end
local leftClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self:prevPage()
end
end
local rightClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self:nextPage()
end
end
self._pageView:addEventListenerPageView(pageViewHandler)
self._leftBtn:addTouchEventListener(leftClickHandler)
self._rightBtn:addTouchEventListener(rightClickHandler)
globalData.goodsInfoList:addEventListener(globalData.globalEventType.playerInfo_itemUpdate,self.goodsUpdateHandler,self)
globalData.goodsInfoList:addEventListener(globalData.globalEventType.playerInfo_equipUpdate,self.goodsUpdateHandler,self)
end
function BaseBagPanel:removeEvent()
globalData.goodsInfoList:removeEventListener(globalData.globalEventType.playerInfo_itemUpdate,self.goodsUpdateHandler,self)
globalData.goodsInfoList:removeEventListener(globalData.globalEventType.playerInfo_equipUpdate,self.goodsUpdateHandler,self)
end
function BaseBagPanel:goodsCDUpdateHandler(evt)
local categoryId = evt.data
for __,cell in pairs(self._cellList) do
cell:updateCDEffect()
end
end
function BaseBagPanel:goodsUpdateHandler(evt)
self._timeCount = 0
globalManager.tickManager:addTick(self.updateTick,self)
end
function BaseBagPanel:updateTick(delta,count)
self._timeCount = self._timeCount + 1
if(self._timeCount > 20) then
local page = self._currentPage
self._currentPage = -1
self:setPageIndex(page)
globalManager.tickManager:removeTick(self.updateTick,self)
end
end
function BaseBagPanel:girdClickHandler(grid)
if(grid:getGoodsInfo() == nil)then return end
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_gridClick,globalManager.gameDispatcher,grid:getGoodsInfo().position))
self._selectPlace = grid:getGoodsInfo().position
self:updateSelectBoard()
end
function BaseBagPanel:girdDoubleClickHandler(grid)
if(grid:getGoodsInfo() == nil)then return end
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_gridDoubleClick,globalManager.gameDispatcher,grid:getGoodsInfo().position))
end
function BaseBagPanel:prevPage()
self._pageView:prevPage()
end
function BaseBagPanel:nextPage()
self._pageView:nextPage()
end
function BaseBagPanel:setBagType(type)
self._selectType = type
if(self._currentPage >= 0) then
self._radioList[self._currentPage + 1]:setSelectedState(false)
end
self._currentPage = -1
self._pageView:setLogicCurPage(0)
self:setPageIndex(0)
end
function BaseBagPanel:setPageIndex(index)
if(self._currentPage == index) then return end
if(self._currentPage >= 0) then
self._radioList[self._currentPage + 1]:setSelectedState(false)
end
self._currentPage = index
local itemInfos = globalData.goodsInfoList:getGoodsList()
local startPos = 0
if(self._selectType == 1) then
startPos = globalData.ITEM_STARTPOSION
elseif(self._selectType == 2) then
startPos = globalData.EQUIP_STARTPOSION
end
for i = 1,20,1 do
local place = i + index*20 + startPos - 1
self._cellList[i].place = place
self._cellList[i]:setGoodsInfo(itemInfos[place])
end
self._radioList[index + 1]:setSelectedState(true)
self._currentPage = index
self:updateSelectBoard()
end
function BaseBagPanel:updateSelectBoard()
--添加点击框
local selectCell = nil
for i,cell in pairs(self._cellList) do
if(cell ~= nil) then
if(cell.place == self._selectPlace)then
selectCell = cell
end
end
end
if(selectCell ~= nil and selectCell:getGoodsInfo() ~= nil)then
if(self._selectBoard:getParent() ~= nil)then
self._selectBoard:removeFromParent()
end
selectCell:addChild(self._selectBoard)
self._selectBoard:setLocalZOrder(10)
self._selectBoard:setPosition(cc.p(-1,-1))
self._selectBoard:setPosition(cc.p(-6,11))
else
self._selectBoard:removeFromParent()
end
end
function BaseBagPanel:dispose()
globalManager.tickManager:removeTick(self.updateTick,self)
self:removeEvent()
self._pageView:removeAllPages()
globalManager.ccCreator:release(self._selectBoard)
self._selectBoard = nil
self._leftBtn = nil
self._rightBtn = nil
self._pageView = nil
for i,cell in pairs(self._cellList) do
if(cell ~= nil) then
cell:dispose()
cell = nil
end
end
self._radioList = nil
self._cellList = nil
self._radioList = nil
globalManager.ccCreator:release(self)
end
BaseMoneyPanel = class("BaseMoneyPanel",function(self)
local temp = globalManager.ccCreator:newLayer()
temp._widget = globalManager.ccCreator:newJsonWidget("baseMoney")
temp:addChild(temp._widget)
temp._goldLabel = temp._widget:getChildByName("goldLabel")
temp._copperLabel = temp._widget:getChildByName("copperLabel")
--temp._bindGoldLabel = temp._widget:getChildByName("bindGoldLabel")
temp.addGoldBtn = temp._widget:getChildByName("addGold_btn")
temp.addCopperBtn = temp._widget:getChildByName("addCopper_btn")
return temp
end)
function BaseMoneyPanel:ctor()
self:updateMoney()
self:initEvent()
end
function BaseMoneyPanel:initEvent()
local addGoldClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(globalData.isPay ~= 1) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel13"))
return
end
--充值界面
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.payTab,globalData.allStaticTypes.panelTabType.pay)
end
end
local addCopperClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
--铜币获取提示界面
if(globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.lianyuLevel) then return end
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tabCopy)
if(globalData.uiPanelContainer:getCurrentPanel() ~= nil) then
globalData.uiPanelContainer:getCurrentPanel():jumpToTab(3)
end
end
end
self.addGoldBtn:addTouchEventListener(addGoldClickHandler)
self.addCopperBtn:addTouchEventListener(addCopperClickHandler)
globalData.selfPlayerInfo.moneyInfo:addEventListener(globalData.globalEventType.playerInfo_money,self.moneyUpdateHandler,self)
end
function BaseMoneyPanel:removeEvent()
globalData.selfPlayerInfo.moneyInfo:removeEventListener(globalData.globalEventType.playerInfo_money,self.moneyUpdateHandler,self)
end
function BaseMoneyPanel:moneyUpdateHandler(evt)
self:updateMoney()
end
function BaseMoneyPanel:updateMoney()
self._goldLabel:setText(globalData.selfPlayerInfo.moneyInfo.gold)
local copper = globalData.selfPlayerInfo.moneyInfo.copper
local copperStr
if(copper > 9999) then
copperStr = tostring(math.floor(copper * 0.001)*0.1)..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel44")
else
copperStr = tostring(copper)
end
self._copperLabel:setText(copperStr)
--self._bindGoldLabel:setText(globalData.selfPlayerInfo.moneyInfo.bindGold)
end
function BaseMoneyPanel:dispose()
self:removeEvent()
self._goldLabel = nil
self._copperLabel = nil
--self._bindGoldLabel = nil
self.addGoldBtn = nil
self.addCopperBtn = nil
globalManager.ccCreator:release(self._widget)
self._widget = nil
globalManager.ccCreator:release(self)
end
BasePanel = class("BasePanel",function()
local bp = globalManager.ccCreator:newLayer()
bp.eventDis = EventDispatcher:new()
return bp
end)
--UIPanelContainer
function BasePanel:show(container,tab)
if(self:getParent() == nil) then
container:addChild(self)
end
end
--UIPanelContainer
function BasePanel:hide()
if(self:getParent() ~= nil) then
self:getParent():removeChild(self,false)
end
end
function BasePanel:dispose()
self.eventDis:dispatchEvent(BaseEvent:new(globalData.globalEventType.trigger_panelDispose,self.eventDis,nil))
self.eventDis:dispose()
self.eventDis = nil
globalManager.ccCreator:release(self)
end
ChatVipIcon = class("ChatVipIcon",function(self,level)
local viv = globalManager.ccCreator:newWidget()
viv._icon = nil
viv._label = nil
viv._level = level
viv.selfWidth = 0
return viv
end)
function ChatVipIcon:ctor()
self._icon = globalManager.ccCreator:newImageView("icon/ui_vipIcon.png", 1)
self._icon:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[7])
self._icon:setPositionY(5)
self._icon:setScale(0.8)
self:addChild(self._icon)
self._label = globalManager.ccCreator:newTextAtlas(self._level,2)
self._label:setAnchorPoint(cc.p(0,0))
self._label:setPosition(cc.p(26,5))
self:addChild(self._label)
if(self._level < 10)then
self:setSize(cc.size(40,16))
self.selfWidth = 38
else
self:setSize(cc.size(50,16))
self.selfWidth = 50
end
end
function ChatVipIcon:dispose()
if(self._icon ~= nil)then
globalManager.ccCreator:release(self._icon)
self._icon = nil
end
if(self._label ~= nil)then
globalManager.ccCreator:release(self._label)
self._label = nil
end
globalManager.ccCreator:release(self)
end
ComboBox = class("ComboBox",function(self,dataList,width,pos)
local temp = globalManager.ccCreator:newImageView("board/ui_board4.png",1)
temp:setScale9Enabled(true)
temp:setCapInsets(cc.rect(5,4,2,2))
temp:setOpacity(0)
temp:setSize(globalManager.ccCreator:newSize(globalData.GAME_WIDTH,globalData.GAME_HEIGHT))
temp:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[7])
temp:setTouchEnabled(true)
temp.bg = globalManager.ccCreator:newImageView("board/ui_board4.png",1)
temp.bg:setScale9Enabled(true)
temp.bg:setCapInsets(cc.rect(30,39,1,1))
temp.bg:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[7])
temp.bg:setPosition(pos)
temp:addChild(temp.bg)
temp.labelList = {}
temp.btnList = {}
temp._dataList = dataList
temp._width = width
return temp
end)
function ComboBox:ctor()
local btnClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
local index = globalManager.commonUtils:getIndexOfTable(self.btnList,sender)
index = #self.btnList - index + 1
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.global_comboBox,globalManager.gameDispatcher,index))
end
end
local selfClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.global_comboBox,globalManager.gameDispatcher,0))
end
end
self:addTouchEventListener(selfClickHandler)
for i = #self._dataList,1,-1 do
local label = globalManager.ccCreator:newLabel()
label:setColor(globalData.allStaticTypes.colorType.TIPACT_COLOR)
label:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[7])
label:setText(self._dataList[i])
label:setPosition(globalManager.ccCreator:newPoint(20,5 + i * 32 - 20))
self.bg:addChild(label)
table.insert(self.labelList,label)
local btn = globalManager.ccCreator:newImageView("board/ui_board4.png",1)
btn:setScale9Enabled(true)
btn:setOpacity(0)
btn:setSize(globalManager.ccCreator:newSize(self._width,35))
btn:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[7])
btn:setPosition(globalManager.ccCreator:newPoint(20,5 + i * 32 - 20))
btn:setTouchEnabled(true)
btn:addTouchEventListener(btnClickHandler)
self.bg:addChild(btn)
table.insert(self.btnList,btn)
end
self.bg:setSize(globalManager.ccCreator:newSize(self._width + 20,#self._dataList * 40 - 20))
globalManager.containerManager.tipContainer:addChild(self)
end
function ComboBox:dispose()
self._dataList = nil
for __,label in pairs(self.labelList) do
globalManager.ccCreator:release(label)
end
self._labelList = nil
for __,btn in pairs(self.btnList) do
globalManager.ccCreator:release(btn)
end
self.btnList = nil
globalManager.ccCreator:release(self.bg)
self.bg = nil
globalManager.ccCreator:release(self)
end
GuideClickContainer = class("GuideClickContainer",function(self)
local temp = globalManager.ccCreator:newImageView()
temp:ignoreContentAdaptWithSize(false)
temp:setSize(globalManager.ccCreator:newSize(globalData.GAME_WIDTH,globalData.GAME_HEIGHT))
temp:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[7])
temp:setTouchEnabled(true)
temp.mask1 = globalManager.ccCreator:newImageView("board/ui_board5.png",1)
temp.mask1:setScale9Enabled(true)
temp.mask1:setOpacity(200)
temp.mask1:setCapInsets(cc.rect(5,4,2,2))
temp.mask1:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[2])
temp:addChild(temp.mask1)
temp.mask2 = globalManager.ccCreator:newImageView("board/ui_board5.png",1)
temp.mask2:setScale9Enabled(true)
temp.mask2:setOpacity(200)
temp.mask2:setCapInsets(cc.rect(5,4,2,2))
temp.mask2:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[2])
temp:addChild(temp.mask2)
temp.mask3 = globalManager.ccCreator:newImageView("board/ui_board5.png",1)
temp.mask3:setScale9Enabled(true)
temp.mask3:setOpacity(200)
temp.mask3:setCapInsets(cc.rect(5,4,2,2))
temp.mask3:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[7])
temp:addChild(temp.mask3)
temp.mask4 = globalManager.ccCreator:newImageView("board/ui_board5.png",1)
temp.mask4:setScale9Enabled(true)
temp.mask4:setOpacity(200)
temp.mask4:setCapInsets(cc.rect(5,4,2,2))
temp.mask4:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[4])
temp:addChild(temp.mask4)
temp.yellowBoard = nil
temp.isShow = false
temp._info = nil
temp._offsetY = globalData.GAME_HEIGHT
temp._timeCount = 0
temp._addX = 0
temp._addY = 0
return temp
end)
function GuideClickContainer:ctor()
self:initEvent()
end
function GuideClickContainer:initEvent()
local backgroundClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(self._info == nil) then self:close() end
if(self._info.callbackType == 999) then return end
--        	if(self._info.w ~= 0 or self._info.h ~= 0) then
--				local point = sender:getTouchEndPos()
--	            if(point.x < self._addX or
--	            point.x > self._addX + self._info.w or
--	            point.y > self._offsetY - self._addY or
--	            point.y < self._offsetY - self._addY - self._info.h) then
--	            	return
--	            end
--        	end
self:callBack()
if(self._info.nextId > 0) then
self:showTip(self._info.nextId)
else
self:close()
end
end
end
self:addTouchEventListener(backgroundClickHandler)
end
--触发各种事件
function GuideClickContainer:callBack()
local type = self._info.callbackType
--关闭常规面板并寻路到NPC
if(type == 3) then
globalData.uiPanelContainer:close()
self.isShow = false
if(self._info.param[1] == "0") then return end
local npcId = tonumber(self._info.param[1])
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.trigger_walkToNpc,globalManager.gameDispatcher,{id=npcId,doubleClickCancel=true}))
globalData:closeMainMenu()
--关闭常规面板并自动接收任务
elseif(type == 4) then
globalData.uiPanelContainer:close()
if(self._info.param[1] == "0") then return end
local taskId = tonumber(self._info.param[1])
globalData.messageAdder:sendAcceptTask(taskId)
globalData:closeMainMenu()
--副本面板
elseif(type == 201) then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tabCopy)
if(globalData.uiPanelContainer:getCurrentPanel() ~= nil) then
globalData.uiPanelContainer:getCurrentPanel():jumpToTab(1)
end
--打开炼器
elseif(type == 203) then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.furnace)
if(globalData.uiPanelContainer:getCurrentPanel() ~= nil) then
globalData.uiPanelContainer:getCurrentPanel():jumpToTab(1)
end
--打开外形
elseif(type == 204) then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab4)
--打开战场
elseif(type == 205) then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.arenaTab)
--打开消费
elseif(type == 207) then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab2)
--打开领奖
elseif(type == 208) then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.welfareTab)
--常规切卡
elseif(type == 301) then
if(self._info.param[1] == "0") then return end
globalData.uiPanelContainer:setIndex(tonumber(self._info.param[1]))
--副本子切卡
elseif(type == 401) then
if(self._info.param[1] == "0") then return end
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.newly_copyTab,globalManager.gameDispatcher,tonumber(self._info.param[1])))
--福利子切卡
elseif(type == 402) then
if(self._info.param[1] == "0") then return end
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.newly_welfareChangeTab,globalManager.gameDispatcher,tonumber(self._info.param[1])))
--炼器子切卡
elseif(type == 405) then
if(self._info.param[1] == "0") then return end
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.newly_furnaceTab,globalManager.gameDispatcher,tonumber(self._info.param[1])))
--妖精自动进阶
elseif(type == 502) then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.newly_petAutoUpdate,globalManager.gameDispatcher,nil))
--装备自动强化
elseif(type == 503) then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.newly_furnaceAutoUpdate,globalManager.gameDispatcher,nil))
--进入西行副本
elseif(type == 505) then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.newly_enterYZCopy,globalManager.gameDispatcher,nil))
if(self._info.param[1] == "0") then return end
local taskId = tonumber(self._info.param[1])
globalData.messageAdder:sendClient(taskId,0)
local triggerInfo = TriggerInfo:new()
triggerInfo.type = globalData.allStaticTypes.triggerEventType.walk
triggerInfo.actionType = globalData.allStaticTypes.triggerEventType.walkToNpc
triggerInfo.params = {globalData.allTemplates.taskTemplateList:getTask(taskId).taskMissions[1].finishNpc}
globalData.selfPlayerInfo:addOutCopyTrigger(triggerInfo)
--坐骑自动进阶
elseif(type == 506) then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.newly_riderAutoUpdate,globalManager.gameDispatcher,nil))
--进入炼狱副本
elseif(type == 507) then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.newly_enterLYCopy,globalManager.gameDispatcher,nil))
if(self._info.param[1] == "0") then return end
local taskId = tonumber(self._info.param[1])
globalData.messageAdder:sendClient(taskId,0)
local triggerInfo = TriggerInfo:new()
triggerInfo.type = globalData.allStaticTypes.triggerEventType.walk
triggerInfo.actionType = globalData.allStaticTypes.triggerEventType.walkToNpc
triggerInfo.params = {globalData.allTemplates.taskTemplateList:getTask(taskId).taskMissions[1].finishNpc}
globalData.selfPlayerInfo:addOutCopyTrigger(triggerInfo)
--挑战对象
elseif(type == 508) then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.newly_arenaFight,globalManager.gameDispatcher,nil))
if(self._info.param[1] == "0") then return end
local taskId = tonumber(self._info.param[1])
globalData.messageAdder:sendClient(taskId,0)
--羽翼自动进阶
elseif(type == 509) then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.newly_wingAutoUpdate,globalManager.gameDispatcher,nil))
--第一天登录奖励
elseif(type == 515) then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.newly_welfareLoginAccept,globalManager.gameDispatcher))
--签到
elseif(type == 516) then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.newly_welfareSign,globalManager.gameDispatcher))
--确认签到领取
elseif(type == 519) then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.newly_welfareSignAward,globalManager.gameDispatcher))
--炼器选择装备
elseif(type == 601) then
if(self._info.param[1] == "0") then return end
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.newly_furnaceClick,globalManager.gameDispatcher,tonumber(self._info.param[1])+1))
--进入材料副本
elseif(type == 602) then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.newly_enterMaterialCopy,globalManager.gameDispatcher,nil))
if(self._info.param[1] == "0") then return end
local taskId = tonumber(self._info.param[1])
globalData.messageAdder:sendClient(taskId,0)
local triggerInfo = TriggerInfo:new()
triggerInfo.type = globalData.allStaticTypes.triggerEventType.walk
triggerInfo.actionType = globalData.allStaticTypes.triggerEventType.walkToNpc
triggerInfo.params = {globalData.allTemplates.taskTemplateList:getTask(taskId).taskMissions[1].finishNpc}
globalData.selfPlayerInfo:addOutCopyTrigger(triggerInfo)
--选择挑战对象
elseif(type == 603) then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.newly_arenaSelect,globalManager.gameDispatcher,nil))
--点击折叠按钮打开菜单
elseif(type == 604) then
globalData.isShowMainmenuBtn = true
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_showMainMenuBtn,globalManager.gameDispatcher,true))
--点击熔炼
elseif(type == 606) then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.newly_startRongLian,globalManager.gameDispatcher,nil))
--进阶足迹
elseif(type == 702) then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.newly_godAutoUpdate,globalManager.gameDispatcher,nil))
--点击人物
elseif(type == 703) then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab1)
--进阶武魂
elseif(type == 705) then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.newly_wuhunAutoUpdate,globalManager.gameDispatcher,nil))
--守护副本组队
elseif(type == 706) then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.newly_shouhuCopyEnter,globalManager.gameDispatcher,nil))
--打开帮派
elseif(type == 707) then
if(globalData.selfPlayerInfo.uniteId == 0) then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.leagueListTab)
else
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.leagueTab)
end
--打开异宝
elseif(type == 708) then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab6)
--点击社交
elseif(type == 710) then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab3)
--家园
elseif(type == 711) then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab3,globalData.allStaticTypes.panelTabType.home)
globalManager.moduleManager:addModule(globalData.allStaticTypes.moduleType.home,ToHomeModuleData:new(1,globalData.homeInfo),false)
--点击伙伴
elseif(type == 801) then
globalData.uiPanelContainer:initTabs({globalData.allStaticTypes.panelTabType.partner})
--伙伴激活
elseif(type == 802) then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.newly_partnerUpdate,globalManager.gameDispatcher,nil))
--打开伙伴装备升级界面
elseif(type == 803) then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.guide_OpenParnterEquipUpView,globalManager.gameDispatcher,nil))
--点击确定升级装备
elseif(type == 804) then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.guide_ParnterEquipUp,globalManager.gameDispatcher,nil))
--关闭伙伴装备升级界面
elseif(type == 805) then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.guide_CloseParnterEquipUpView,globalManager.gameDispatcher,nil))
--伙伴阶级
elseif(type == 806) then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.guide_partnerUp,globalManager.gameDispatcher,nil))
--点击炼丹炉
elseif(type == 901) then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_showOnlineRewardsPanel,globalManager.gameDispatcher,nil))
--领取炼丹炉
elseif(type == 902) then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.newly_onlineAccept,globalManager.gameDispatcher,nil))
end
end
function GuideClickContainer:showTip(tempId)
self.isShow = true
self._info = globalData.allTemplates.newlyGuildTemplateList:getTemplate(tempId)
if(self._info == nil) then
self:close()
return
end
local type = self._info.callbackType
if(false) then
self._addX = self._info.x
elseif(type == 201 or type == 203 or type == 204 or type ==205 or type ==207 or type ==208 or type ==604 or type ==703 or type == 707 or type == 708 or type == 710 or type == 801 or type == 901) then
self._addX = self._info.x + globalData.GAME_WIDTH - 960
else
self._addX = self._info.x + globalData.GAME_WIDTH * 0.5 - 480
end
if(type == 201 or type == 203 or type == 204 or type ==207 or type ==604 or type ==703 or type == 707 or type == 710 or type == 801) then
self._addY = self._info.y + globalData.GAME_HEIGHT - 640
elseif(type == 205 or type == 208 or type == 901) then
self._addY = self._info.y
else
self._addY = self._info.y + globalData.GAME_HEIGHT * 0.5 - 320
end
if(self._info.w ~= 0 or self._info.h ~= 0) then
self.mask1:setSize(globalManager.ccCreator:newSize(globalData.GAME_WIDTH,self._addY + 0.2))
self.mask1:setPosition(globalManager.ccCreator:newPoint(0,globalData.GAME_HEIGHT))
self.mask2:setSize(globalManager.ccCreator:newSize(self._addX,self._info.h))
self.mask2:setPosition(globalManager.ccCreator:newPoint(0,globalData.GAME_HEIGHT - self._addY))
self.mask3:setSize(globalManager.ccCreator:newSize(globalData.GAME_WIDTH,globalData.GAME_HEIGHT - self._info.h - self._addY + 0.2))
self.mask4:setSize(globalManager.ccCreator:newSize(globalData.GAME_WIDTH - self._addX - self._info.w,self._info.h))
self.mask4:setPosition(globalManager.ccCreator:newPoint(globalData.GAME_WIDTH,globalData.GAME_HEIGHT - self._addY))
else
self.mask1:setSize(globalManager.ccCreator:newSize(0,0))
self.mask2:setSize(globalManager.ccCreator:newSize(0,0))
self.mask3:setSize(globalManager.ccCreator:newSize(0,0))
self.mask4:setSize(globalManager.ccCreator:newSize(0,0))
end
if(not self:getParent()) then
globalManager.containerManager.tipContainer:addChild(self,100)
end
--若为延迟部署
if(type == 999) then
self._timeCount = tonumber(self._info.param[1])
globalManager.tickManager:addTick(self.tick,self)
globalManager.tipsManager.guideTip:hide()
if(self.yellowBoard ~= nil) then
self.yellowBoard:hide()
self.yellowBoard = nil
end
else
globalManager.tipsManager.guideTip:showByTemplate(self._info,self._addX,self._addY)
if(self._info.w ~= 0 or self._info.h ~= 0) then
if(self.yellowBoard == nil) then
self.yellowBoard = GuideYellowBoard:new()
end
self.yellowBoard:show(self._info,self._addX,self._addY)
else
if(self.yellowBoard ~= nil) then
self.yellowBoard:hide()
self.yellowBoard = nil
end
end
end
end
function GuideClickContainer:tick(delta,count)
self._timeCount = self._timeCount - delta*1000
if(self._timeCount <= 0) then
self._timeCount = 0
globalManager.tickManager:removeTick(self.tick,self)
if(self._info.nextId > 0) then
self:showTip(self._info.nextId)
else
self:close()
end
end
end
function GuideClickContainer:close()
self.isShow = false
if(self.yellowBoard ~= nil) then
self.yellowBoard:hide()
self.yellowBoard = nil
end
if(self._timeCount > 0) then
globalManager.tickManager:removeTick(self.tick,self)
end
globalManager.tipsManager.guideTip:hide()
self._info = nil
globalManager.containerManager.tipContainer:removeChild(self,false)
end
LoadingView = class("LoadingView",function(self)
local temp = globalManager.ccCreator:newLayer()
temp._backGround = globalManager.ccCreator:newLayout()
temp._backGround:setSize(globalManager.ccCreator:newSize(globalData.GAME_WIDTH,globalData.GAME_HEIGHT))
temp._backGround:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[7])
temp._backGround:setTouchEnabled(true)
temp._backGround:setBackGroundColorType(ccui.LayoutBackGroundColorType.solid)
temp._backGround:setBackGroundColor(cc.c3b(0,0,0))
temp:addChild(temp._backGround)
local offsetX         = globalData.GAME_WIDTH * 0.5 - 600
local offsetY         = globalData.GAME_HEIGHT * 0.5 - 320
temp._widget = globalManager.ccCreator:newJsonWidget2("loadingView")
temp._widget:setPosition(globalManager.ccCreator:newPoint(offsetX,offsetY))
temp:addChild(temp._widget)
temp.tipLabel = temp._widget:getChildByName("tipLabel")
temp.loadingBar = temp._widget:getChildByName("loadingBar")
temp.bg = temp._widget:getChildByName("backgroundBg")
temp.logo = temp._widget:getChildByName("logoIcon")
temp._bgPath = globalManager.pathManager:getUISource("outPic/login_loadingBg.png")
temp._logoPath = globalManager.pathManager:getPlatFromPath(globalData.sources,"logo.png")
--1001801~1001899  描述表ID范围
local desId = math.random(1001801,1001899)
temp.tipLabel:setText(globalManager.descriptManager:getDescript(tostring(desId)))
temp._widget:getChildByName("Label_663252"):setText(globalManager.yuyanbaoManager:getYuyanbao("common.gameTips"))
return temp
end)
function LoadingView:ctor()
globalManager.sourceCacheManager:setImage(self.bg,self._bgPath,globalData.allStaticTypes.sourceStaticType.neverClear,nil,true)
globalManager.sourceCacheManager:setImage(self.logo,self._logoPath,globalData.allStaticTypes.sourceStaticType.neverClear,nil,true)
end
function LoadingView:init()
self:setProgress(0)
end
function LoadingView:hide()
if(self:getParent() ~= nil)then
self:getParent():removeChild(self,false)
end
end
function LoadingView:setProgress(value)
self.loadingBar:setPercent(value)
end
function LoadingView:addProgress(value)
local tmpP = self.loadingBar:getPercent() + value
if(tmpP > 100)then tmpP = 100 end
self:setProgress(tmpP)
end
function LoadingView:dispose()
if(self._backGround ~= nil)then
globalManager.ccCreator:release(self._backGround)
self._backGround = nil
end
globalManager.sourceCacheManager:removeQuote(self._bgPath)
self._bgPath = nil
globalManager.sourceCacheManager:removeQuote(self._logoPath)
self._logoPath = nil
globalManager.ccCreator:release(self._widget)
self._widget = nil
self.tipLabel = nil
self.loadingBar = nil
self.bg = nil
self.logo = nil
globalManager.ccCreator:release(self)
end
LoginView = class("LoginView",function()
local lv = globalManager.ccCreator:newImageView()
lv:ignoreContentAdaptWithSize(false)
lv:setSize(globalManager.ccCreator:newSize(globalData.GAME_WIDTH,globalData.GAME_HEIGHT))
lv:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[7])
lv:setTouchEnabled(true)
lv._effect = nil
return lv
end)
function LoginView:show()
if(self._effect == nil)then
self._effect = globalManager.effectCreator:create(globalData.allTemplates.effectTemplateList.loading)
self._effect:move(globalData.GAME_WIDTH / 2,-globalData.GAME_HEIGHT / 2)
end
if(self:getParent() == nil)then
globalManager.containerManager.tipContainer:addChild(self)
end
if(self._effect:getParent() == nil)then
globalManager.containerManager.tipContainer:addChild(self._effect,2)
end
self._effect:play()
end
function LoginView:hide()
if(self._effect ~= nil)then
self._effect:stop()
if(self._effect:getParent() ~= nil)then
self._effect:getParent():removeChild(self._effect,false)
end
end
if(self:getParent() ~= nil)then
self:getParent():removeChild(self,false)
end
end
PropController = class("PropController",function(self,isAutoDispose)
local temp = {}
temp._infoList = {}
temp._isAutoDispose = isAutoDispose
if(temp._isAutoDispose == nil) then temp._isAutoDispose = false end
temp._executor = nil
temp._callBack = nil
temp._currentIndex = 0
return temp
end)
function PropController:setInfo(infoList)
globalManager.tickManager:removeTick(self.tick,self)
for __,info in pairs(self._infoList) do
info:dispose()
end
self._infoList = infoList
self._currentIndex = 0
end
function PropController:addInfo(info)
table.insert(self._infoList,info)
end
function PropController:setCallBack(executor,callBack)
self._executor = executor
self._callBack = callBack
end
function PropController:pStart()
if(#self._infoList == 0) then
return
end
self._currentIndex = 1
globalManager.tickManager:addTick(self.tick,self)
end
function PropController:pEnd()
globalManager.tickManager:removeTick(self.tick,self)
if(self._executor ~= nil and self._callBack ~= nil) then
self._callBack(self._executor)
end
self._currentIndex = 0
if(self._isAutoDispose) then
self:dispose()
end
end
function PropController:tick(delta,count)
if(self._infoList[self._currentIndex]:run()) then
self._currentIndex = self._currentIndex + 1
if(self._currentIndex > #self._infoList) then
self:pEnd()
end
end
end
function PropController:dispose()
globalManager.tickManager:removeTick(self.tick,self)
for __,info in pairs(self._infoList) do
info:dispose()
end
self._infoList = nil
self._executor = nil
self._callBack = nil
end
PropInfo = class("PropInfo",function(self,target,type,tickCount,startValue,endValue,speed,aSpeed)
local temp = {}
temp._target = target--操作对象
temp._type = type--操作类型1.x 2.y 3.opacity 4.wait
temp._startValue = startValue--起始值
temp._endValue = endValue--结束值
temp._speed = speed--变化速度
temp._aSpeed = aSpeed--变化加速度
temp._tickCount = tickCount--变化时间
temp._value = startValue
temp._currentSpeed = speed
temp._count = 0
temp._setValue = nil
return temp
end)
function PropInfo:ctor()
if(self._type == 1)then
self._setValue = self.setX
elseif(self._type == 2)then
self._setValue = self.setY
elseif(self._type == 3) then
self._setValue = self.setAlpha
else
self._setValue = self.wait
end
end
function PropInfo:setX()
self._target:setPositionX(self._value)
end
function PropInfo:setY()
self._target:setPositionY(self._value)
end
function PropInfo:setAlpha()
self._target:setOpacity(self._value)
end
function PropInfo:wait()
end
function PropInfo:run()
local dobreak = false
if(self._tickCount > 0)then
self._count = self._count + 1
if(self._count > self._tickCount)then
self:over()
dobreak = true
end
end
if(not dobreak)then
self._value = self._value + self._currentSpeed
if(math.abs(self._endValue - self._value) < math.abs(self._currentSpeed))then
self:over()
dobreak = true
else
self:_setValue()
self._currentSpeed = self._currentSpeed + self._aSpeed
end
end
return dobreak
end
function PropInfo:over()
self._value = self._endValue
self:_setValue()
self._value = self._startValue
self._count = 0
self._currentSpeed = self._speed
end
function PropInfo:dispose()
self._target = nil
self._setValue = nil
end
ShadowLabel = class("ShadowLabel",function(self)
local sl = globalManager.ccCreator:newWidget()
sl._fLabel = globalManager.ccCreator:newLabel()
-- sl._bLabel = globalManager.ccCreator:newLabel()
-- sl._bLabel:setPosition(globalManager.ccCreator:newPoint(1,-1))
sl._isEnabled = true
-- sl:addChild(sl._bLabel)
sl:addChild(sl._fLabel)
-- setAlign(cc.TEXT_ALIGNMENT_LEFT)
return sl
end)
function ShadowLabel:setAlignLeft()
self._fLabel:setTextHorizontalAlignment(cc.TEXT_ALIGNMENT_LEFT)
-- self._bLabel:setTextHorizontalAlignment(cc.TEXT_ALIGNMENT_LEFT)
self._fLabel:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[7])
-- self._bLabel:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[7])
end
function ShadowLabel:setFontColor(colorF,colorB)
self._fLabel:setColor(colorF)
-- self._bLabel:setColor(colorB)
end
function ShadowLabel:setText(value)
self._fLabel:setText(value)
-- self._bLabel:setText(value)
end
function ShadowLabel:setFontSize(value)
self._fLabel:setFontSize(value)
-- self._bLabel:setFontSize(value)
end
function ShadowLabel:getWidth()
return self._fLabel:getContentSize().width
end
function ShadowLabel:setEnabled(value)
if(self._isEnabled == value)then return end
self._isEnabled = value
self._fLabel:setEnabled(value)
-- self._bLabel:setEnabled(value)
self._fLabel:setPosition(globalManager.ccCreator:newPoint(-1,-1))
-- self._bLabel:setPosition(globalManager.ccCreator:newPoint(-1,-1))
self._fLabel:setPosition(globalManager.ccCreator:newPoint(0,0))
-- self._bLabel:setPosition(globalManager.ccCreator:newPoint(1,-1))
end
function ShadowLabel:isEnabled()
return self._isEnabled
end
function ShadowLabel:dispose()
globalManager.ccCreator:release(self._fLabel)
self._fLabel = nil
-- globalManager.ccCreator:release(self._bLabel)
-- self._bLabel = nil
globalManager.ccCreator:release(self)
end
SinglePanelContainer = class("SinglePanelContainer",function()
local sp = globalManager.ccCreator:newWidget()
sp._backGround = globalManager.ccCreator:newLayout()
sp._backGround:setSize(globalManager.ccCreator:newSize(globalData.GAME_WIDTH,globalData.GAME_HEIGHT))
sp._backGround:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[7])
sp._backGround:setTouchEnabled(true)
sp._backGround:setBackGroundColorType(ccui.LayoutBackGroundColorType.solid)
sp._backGround:setPosition(globalManager.ccCreator:newPoint(-globalData.UI_STARTX,-globalData.UI_STARTY))
sp._backGround:setBackGroundColor(globalData.allStaticTypes.colorType.COLORBLACK)
sp._backGround:setBackGroundColorOpacity(200)
sp:addChild(sp._backGround)
sp._widget = globalManager.ccCreator:newJsonWidget("container")
sp:addChild(sp._widget)
sp.closeBtn = sp._widget:getChildByName("closeBtn")
return sp
end)
function SinglePanelContainer:ctor()
self:setPosition(globalData.UI_STARTX,globalData.UI_STARTY)
local closeClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self:close()
end
end
self.closeBtn:addTouchEventListener(closeClickHandler)
end
function SinglePanelContainer:close()
self.closeBtn = nil
if(self._backGround ~= nil)then
globalManager.ccCreator:release(self._backGround)
self._backGround = nil
end
if(self._widget ~= nil)then
globalManager.ccCreator:release(self._widget)
self._widget = nil
end
globalManager.ccCreator:release(self)
end
TabPanelInfo = class("TabPanelInfo",function()
local tp = {}
tp.tab = 0      --id
tp.btn = nil
tp.panel = nil
return tp
end)
UIClickContainer = class("UIClickContainer",function(self)
local temp = globalManager.ccCreator:newWidget()
temp._background = globalManager.ccCreator:newImageView("board/ui_board5.png",1)
temp:addChild(temp._background)
temp._background:setScale9Enabled(true)
temp._background:setCapInsets(cc.rect(5,4,2,2))
temp._background:setOpacity(0)
--    temp._background:ignoreContentAdaptWithSize(false)
temp._background:setSize(globalManager.ccCreator:newSize(globalData.GAME_WIDTH,globalData.GAME_HEIGHT))
temp._background:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[7])
temp._background:setTouchEnabled(true)
--    temp._background:setPosition(globalManager.ccCreator:newPoint(globalData.UI_STARTX,globalData.UI_STARTY))
temp._items = {}
temp._blackLayer = 0
temp._localZOrder = 0
return temp
end)
function UIClickContainer:ctor()
self:initEvent()
end
function UIClickContainer:initEvent()
local backgroundClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED and #self._items > 0) then
if(self._items[#self._items].hideFormClickContainer ~= nil) then
self._items[#self._items]:hideFormClickContainer()
end
end
end
self._background:addTouchEventListener(backgroundClickHandler)
end
function UIClickContainer:addItem(item,isCenter,isBlack)
self._localZOrder = self._localZOrder + 2
table.insert(self._items,item)
if(isCenter) then
item:setPosition(globalManager.ccCreator:newPoint(globalData.GAME_WIDTH / 2 - item:getSize().width * 0.5,globalData.GAME_HEIGHT / 2 - item:getSize().height * 0.5))
end
self:addChild(item,self._localZOrder)
self._background:setLocalZOrder(self._localZOrder - 1)
if(self:getParent() == nil) then
globalManager.containerManager.tipContainer:addChild(self)
end
if(isBlack) then
if(self._blackLayer == 0) then
self._blackLayer = #self._items
end
self._background:setOpacity(200)
end
end
function UIClickContainer:close(item)
local index = globalManager.commonUtils:getIndexOfTable(self._items,item)
if(index == -1) then return end
if(item.isNotClearHideFormClickContainer ~= true)then
item.hideFormClickContainer = nil
end
table.remove(self._items,index)
if(#self._items == 0) then
self._items = {}
self._background:setOpacity(0)
self._blackLayer = 0
self._localZOrder = 0
self:removeFromParent(false)
--        globalManager.containerManager.panelContainer:removeChild(self,false)
else
if(self._blackLayer > #self._items) then
self._background:setOpacity(0)
self._blackLayer = 0
end
self._background:setLocalZOrder(self._items[#self._items]:getLocalZOrder() - 1)
end
end
UIPanelContainer = class("UIPanelContainer",function(self)
local uc = globalManager.ccCreator:newLayer()
uc._backGround = globalManager.ccCreator:newLayout()
uc._backGround:setSize(globalManager.ccCreator:newSize(globalData.GAME_WIDTH,globalData.GAME_HEIGHT))
uc._backGround:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[7])
uc._backGround:setTouchEnabled(true)
uc._backGround:setBackGroundColorType(ccui.LayoutBackGroundColorType.solid)
uc._backGround:setPosition(globalManager.ccCreator:newPoint(-globalData.UI_STARTX,-globalData.UI_STARTY))
uc._backGround:setBackGroundColor(globalData.allStaticTypes.colorType.COLORBLACK)
uc._backGround:setBackGroundColorOpacity(200)
uc:addChild(uc._backGround)
uc._tabInfos = {}
uc._currentTabGroup = nil
uc._currentTabInfo = nil
uc._touchGroup = globalManager.ccCreator:newJsonWidget2("container")
uc._singleBg = uc._touchGroup:getChildByName("single_bg")
uc._singleBg1 = uc._touchGroup:getChildByName("single_bg1")
uc._singleBg:setEnabled(false)
uc._singleBg1:setEnabled(false)
uc:addChild(uc._touchGroup)
uc:setTouchEnabled(true)
uc._closeBtn = uc._touchGroup:getChildByName("closeBtn")
uc._closeCallBackTabGroup = nil
uc._closeCallBackTabType = nil
return uc
end)
function UIPanelContainer:ctor()
self:initEvent()
end
function UIPanelContainer:initEvent()
local closeClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(self._closeCallBackTabGroup ~= nil) then
self:initTabs(self._closeCallBackTabGroup,self._closeCallBackTabType)
self._closeCallBackTabGroup = nil
self._closeCallBackTabType = nil
else
self:close()
end
end
end
self._closeBtn:addTouchEventListener(closeClickHandler)
end
--tabGroup:vector<int>
function UIPanelContainer:initTabs(tabGroup,tab)
local tabBtnClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
local tabInfo = self:getTabInfoByBtn(sender)
if(not globalData.allStaticTypes.panelTabType:getCanSelect(tabInfo.tab))then
return
end
self:setSelect(self:getTabInfoByBtn(sender))
end
end
self:close()
self._currentTabGroup = tabGroup
local len = table.getn(tabGroup)
if(len == 0) then return end
self:clear()
self._tabInfos = {}
local tabInfo = nil
if(len > 1) then
if(len <= 5) then
for i = 1,len,1 do
tabInfo = TabPanelInfo:new()
tabInfo.tab = tabGroup[i]
tabInfo.btn = UIPanelTabButton:new(globalData.allStaticTypes.panelTabType:getTabTitle(tabGroup[i]),1)
self:checkBtnTipView(tabInfo)
tabInfo.btn:setPosition(globalManager.ccCreator:newPoint(i * 170-33,602))
tabInfo.btn:addTouchEventListener(tabBtnClickHandler)
self._touchGroup:addChild(tabInfo.btn)
table.insert(self._tabInfos, tabInfo)
end
else
for i = 1,len,1 do
tabInfo = TabPanelInfo:new()
tabInfo.tab = tabGroup[i]
tabInfo.btn = UIPanelTabButton:new(globalData.allStaticTypes.panelTabType:getTabTitle(tabGroup[i]),2)
self:checkBtnTipView(tabInfo)
tabInfo.btn:setPosition(globalManager.ccCreator:newPoint(i * 124 - 40,605))
tabInfo.btn:addTouchEventListener(tabBtnClickHandler)
self._touchGroup:addChild(tabInfo.btn,len - i)
table.insert(self._tabInfos, tabInfo)
end
end
self._singleBg:setEnabled(false)
self._singleBg1:setEnabled(false)
else
tabInfo = TabPanelInfo:new()
tabInfo.tab = tabGroup[1]
tabInfo.btn = UIPanelTabLabel:new(tabGroup[1])
tabInfo.btn:setPosition(globalManager.ccCreator:newPoint(480,604))
table.insert(self._tabInfos, tabInfo)
self._touchGroup:addChild(tabInfo.btn,2)
self._singleBg:setEnabled(true)
self._singleBg1:setEnabled(true)
end
if(self:getParent() == nil)then
globalManager.containerManager.panelContainer:addChild(self,9)
end
globalManager.playerInfoTester:addEventListener(globalData.globalEventType.quickIcon_popData,self.popDataUpdate,self)
self:popDataUpdate(nil)
if(tab == nil)then
self:setSelect(self._tabInfos[1])
else
for __,tabInfo in pairs(self._tabInfos) do
if(tabInfo.tab == tab)then
self:setSelect(tabInfo)
break
end
end
end
end
function UIPanelContainer:checkBtnTipView(btnInfo)
if(btnInfo.tab == globalData.allStaticTypes.panelTabType.rider)then
if(globalManager.commonUtils:getIndexOfTable(globalData.allTemplates.openTemplateList.typeList,31) ~= -1)then
btnInfo.btn:setTipImg(true,"flag/ui_dicountDay.png",globalManager.ccCreator:newPoint(-37,3))
end
elseif(btnInfo.tab == globalData.allStaticTypes.panelTabType.pet)then
if(globalManager.commonUtils:getIndexOfTable(globalData.allTemplates.openTemplateList.typeList,34) ~= -1)then
btnInfo.btn:setTipImg(true,"flag/ui_dicountDay.png",globalManager.ccCreator:newPoint(-37,3))
end
elseif(btnInfo.tab == globalData.allStaticTypes.panelTabType.wing)then
if(globalManager.commonUtils:getIndexOfTable(globalData.allTemplates.openTemplateList.typeList,33) ~= -1)then
btnInfo.btn:setTipImg(true,"flag/ui_dicountDay.png",globalManager.ccCreator:newPoint(-37,3))
end
elseif(btnInfo.tab == globalData.allStaticTypes.panelTabType.god)then
if(globalManager.commonUtils:getIndexOfTable(globalData.allTemplates.openTemplateList.typeList,32) ~= -1)then
btnInfo.btn:setTipImg(true,"flag/ui_dicountDay.png",globalManager.ccCreator:newPoint(-37,3))
end
elseif(btnInfo.tab == globalData.allStaticTypes.panelTabType.sprite)then
if(globalManager.commonUtils:getIndexOfTable(globalData.allTemplates.openTemplateList.typeList,35) ~= -1)then
btnInfo.btn:setTipImg(true,"flag/ui_dicountDay.png",globalManager.ccCreator:newPoint(-37,3))
end
elseif(btnInfo.tab == globalData.allStaticTypes.panelTabType.fazhen)then
if(globalManager.commonUtils:getIndexOfTable(globalData.allTemplates.openTemplateList.typeList,37) ~= -1)then
btnInfo.btn:setTipImg(true,"flag/ui_dicountDay.png",globalManager.ccCreator:newPoint(-37,3))
end
elseif(btnInfo.tab == globalData.allStaticTypes.panelTabType.longhun)then
if(globalManager.commonUtils:getIndexOfTable(globalData.allTemplates.openTemplateList.typeList,36) ~= -1)then
btnInfo.btn:setTipImg(true,"flag/ui_dicountDay.png",globalManager.ccCreator:newPoint(-37,3))
end
end
end
function UIPanelContainer:setIndex(index)
local tabInfo = self._tabInfos[index]
self:setSelect(tabInfo)
end
function UIPanelContainer:setSelect(tabInfo)
if(self._currentTabInfo == tabInfo)then return end
if(self._currentTabInfo ~= nil)then
self._currentTabInfo.btn:setSelected(false)
if(self._currentTabInfo.panel ~= nil)then
self._currentTabInfo.panel:hide()
end
end
self._currentTabInfo = tabInfo
if(self._currentTabInfo ~= nil)then
self._currentTabInfo.btn:setSelected(true)
if(self._currentTabInfo.panel ~= nil)then
self._currentTabInfo.panel:show(self,tabInfo.tab)
else
globalData.allStaticTypes.panelTabType:handleByTab(tabInfo.tab)
end
end
if(tabInfo.tab == globalData.allStaticTypes.panelTabType.riderHuaXing) then
self._closeCallBackTabGroup = globalData.allStaticTypes.panelTabType.tab4
self._closeCallBackTabType = globalData.allStaticTypes.panelTabType.rider
elseif(tabInfo.tab == globalData.allStaticTypes.panelTabType.petHuaXing) then
self._closeCallBackTabGroup = globalData.allStaticTypes.panelTabType.tab4
self._closeCallBackTabType = globalData.allStaticTypes.panelTabType.pet
elseif(tabInfo.tab == globalData.allStaticTypes.panelTabType.wingHuaXing) then
self._closeCallBackTabGroup = globalData.allStaticTypes.panelTabType.tab4
self._closeCallBackTabType = globalData.allStaticTypes.panelTabType.wing
else
self._closeCallBackTabGroup = nil
self._closeCallBackTabType = nil
end
end
function UIPanelContainer:getTabInfoByBtn(btn)
local len = table.getn(self._tabInfos)
for i = 1,len,1 do
if(self._tabInfos[i].btn == btn)then
return self._tabInfos[i]
end
end
return nil
end
function UIPanelContainer:getTabInfoByTab(tab)
local len = table.getn(self._tabInfos)
for i = 1,len,1 do
if(self._tabInfos[i].tab == tab)then
return self._tabInfos[i]
end
end
return nil
end
--tab:int,panel:BasePanel
function UIPanelContainer:addPanel(tab,panel)
local tmp = self:getTabInfoByTab(tab)
if(tmp == nil)then return end
tmp.panel = panel
panel:show(self)
end
function UIPanelContainer:popDataUpdate(evt)
if(self._currentTabGroup == nil) then return end
if(self._currentTabGroup == globalData.allStaticTypes.panelTabType.tabDaily) then
if(evt == nil or evt.data == globalManager.playerInfoTester.activityPopType) then
self._tabInfos[1].btn:setShowPop(globalManager.playerInfoTester._activityNum > 0)
end
--功能屏蔽：宝藏秘境
--        if(evt == nil or evt.data == globalManager.playerInfoTester.findTreaSureType)then
--            self._tabInfos[2].btn:setShowPop(globalManager.playerInfoTester._findTreasureNum > 0)
--        end
--屏蔽完成
elseif(self._currentTabGroup == globalData.allStaticTypes.panelTabType.tab1) then
if(evt == nil or evt.data == globalManager.playerInfoTester.wakeUpType) then
self._tabInfos[2].btn:setShowPop(globalManager.playerInfoTester._wakeUpNum > 0)
end
if(evt == nil or evt.data == globalManager.playerInfoTester.skillPopType) then
self._tabInfos[3].btn:setShowPop(globalManager.playerInfoTester._skillNum > 0)
end
elseif(self._currentTabGroup == globalData.allStaticTypes.panelTabType.tab3) then
if(evt == nil or evt.data == globalManager.playerInfoTester.oathType) then
if(self._tabInfos[3] ~= nil) then
self._tabInfos[3].btn:setShowPop(globalManager.playerInfoTester._oath)
end
end
if(evt == nil or globalManager.playerInfoTester.xianYuanType) then
if(self._tabInfos[2] ~= nil) then
self._tabInfos[2].btn:setShowPop(globalManager.playerInfoTester._xianYuanNum > 0)
end
end
elseif(self._currentTabGroup == globalData.allStaticTypes.panelTabType.tab4) then
if(evt == nil or evt.data == globalManager.playerInfoTester.riderPopType) then
self._tabInfos[1].btn:setShowPop(globalManager.playerInfoTester._riderNum > 0)
end
if(evt == nil or evt.data == globalManager.playerInfoTester.petPopType) then
self._tabInfos[2].btn:setShowPop(globalManager.playerInfoTester._petNum > 0)
end
if(evt == nil or evt.data == globalManager.playerInfoTester.wingPopType) then
self._tabInfos[3].btn:setShowPop(globalManager.playerInfoTester._wingNum > 0)
end
if(evt == nil or evt.data == globalManager.playerInfoTester.godPopType) then
self._tabInfos[4].btn:setShowPop(globalManager.playerInfoTester._godNum > 0)
end
if(evt == nil or evt.data == globalManager.playerInfoTester.spritePopType) then
self._tabInfos[5].btn:setShowPop(globalManager.playerInfoTester._spriteNum > 0)
end
if(evt == nil or evt.data == globalManager.playerInfoTester.fazhenPopType) then
self._tabInfos[6].btn:setShowPop(globalManager.playerInfoTester._fazhenNum > 0)
end
if(evt == nil or evt.data == globalManager.playerInfoTester.longhunPopType) then
self._tabInfos[7].btn:setShowPop(globalManager.playerInfoTester._longhunNum > 0)
end
elseif(self._currentTabGroup == globalData.allStaticTypes.panelTabType.worldBossTab) then
if(evt == nil or evt.data == globalManager.playerInfoTester.bossPopType) then
self._tabInfos[1].btn:setShowPop(globalManager.playerInfoTester._vipBossNum > 0)
end
if(evt == nil or evt.data == globalManager.playerInfoTester.worldPopType) then
self._tabInfos[3].btn:setShowPop(globalManager.playerInfoTester._bossNum1 > 0)
end
if(evt == nil or evt.data == globalManager.playerInfoTester.jingyingPopType) then
self._tabInfos[2].btn:setShowPop(globalManager.playerInfoTester._bossNum2 > 0)
end
elseif(self._currentTabGroup == globalData.allStaticTypes.panelTabType.arenaTab) then
if(evt == nil or evt.data == globalManager.playerInfoTester.arenaPopType) then
if(self._tabInfos[1].btn.setShowPop ~= nil)then
self._tabInfos[1].btn:setShowPop(globalManager.playerInfoTester._arenaNum2 > 0)
end
if(self._tabInfos[4] ~= nil) then
self._tabInfos[4].btn:setShowPop(globalManager.playerInfoTester._chaosNum > 0)
end
end
elseif(self._currentTabGroup == globalData.allStaticTypes.panelTabType.tabDaily) then
if(evt == nil or evt.data == globalManager.playerInfoTester.achievementType) then
self._tabInfos[1].btn:setShowPop(globalManager.playerInfoTester._achievementNum > 0)
end
elseif(self._currentTabGroup == globalData.allStaticTypes.panelTabType.huaXingTab)then
if(evt == nil or evt.data == globalManager.playerInfoTester.petHuaxingType) then
self._tabInfos[2].btn:setShowPop(globalManager.playerInfoTester._petHuaxingNum > 0)
end
if(evt == nil or evt.data == globalManager.playerInfoTester.riderHuaxingType) then
self._tabInfos[1].btn:setShowPop(globalManager.playerInfoTester._riderHuaxingNum > 0)
end
if(evt == nil or evt.data == globalManager.playerInfoTester.wingHuaxingType) then
self._tabInfos[3].btn:setShowPop(globalManager.playerInfoTester._wingHuaxingNum > 0)
end
end
end
function UIPanelContainer:clear()
if(self._tabInfos ~= nil)then
for i,value in pairs(self._tabInfos) do
value.btn:dispose()
value.btn = nil
if(value.panel) then
if(value.panel.dispose)then
value.panel:dispose()
end
value.panel = nil
end
value = nil
end
end
self._tabInfos = nil
self._currentTabInfo = nil
end
function UIPanelContainer:getCurrentPanel()
if(self._currentTabInfo == nil) then return nil end
return self._currentTabInfo.panel
end
function UIPanelContainer:close()
self:clear()
self._currentTabGroup = nil
if(self:getParent() ~= nil)then
self:removeFromParent(false)
--        self:getParent():removeChild(self,false)
end
end
function UIPanelContainer:changeSceneClose()
if(self._currentTabInfo ~= nil and self._currentTabInfo.tab == globalData.allStaticTypes.panelTabType.friend)then
return
else
self:close()
end
end
--获取切卡的数量
function UIPanelContainer:getTabCount()
return #self._tabInfos
end
UIPanelTabButton = class("UIPanelTabButton",function(self,title,type)
local temp = globalManager.ccCreator:newButton()
temp._label = globalManager.ccCreator:newBMFont(title)
temp:addChild(temp._label)
temp._selected = false
temp:setTouchEnabled(true)
temp.popIcon = nil
temp.giftIcon = nil
temp.tipImg = nil
temp._type = 1
if(type ~= nil) then
temp._type = type
end
if(temp._type == 1) then
temp:loadTextureNormal("btn/ui_tabBtn1_1.png",1)
elseif(temp._type == 2) then
temp:loadTextureNormal("btn/ui_tabBtn2_1.png",1)
end
temp._label:setColor(globalData.allStaticTypes.colorType.TAB_COLOR1)
return temp
end)
--设置选中
function UIPanelTabButton:setSelected(value)
if(value == self.selected) then return end
self.selected = value
if(value) then
if(self._type == 1) then
self:loadTextureNormal("btn/ui_tabBtn1_2.png",1)
elseif(self._type == 2) then
self:loadTextureNormal("btn/ui_tabBtn2_2.png",1)
end
self._label:setColor(globalData.allStaticTypes.colorType.TAB_COLOR2)
else
if(self._type == 1) then
self:loadTextureNormal("btn/ui_tabBtn1_1.png",1)
elseif(self._type == 2) then
self:loadTextureNormal("btn/ui_tabBtn2_1.png",1)
end
self._label:setColor(globalData.allStaticTypes.colorType.TAB_COLOR1)
end
end
function UIPanelTabButton:getSelected()
return self._selected
end
function UIPanelTabButton:setShowPop(isShow)
if(isShow) then
if(self.popIcon == nil) then
local pos = nil
if(self._type == 1) then
pos = globalManager.ccCreator:newPoint(70,18)
elseif(self._type == 2) then
pos = globalManager.ccCreator:newPoint(50,18)
end
self.popIcon = globalManager.ccCreator:newImageView("icon/ui_numTipIcon.png",1)
self.popIcon:setPosition(pos)
self:addChild(self.popIcon)
end
else
if(self.popIcon ~= nil) then
globalManager.ccCreator:release(self.popIcon)
self.popIcon = nil
end
end
end
function UIPanelTabButton:setShowGift(isShow)
if(isShow) then
if(self.giftIcon == nil) then
local pos = nil
pos = globalManager.ccCreator:newPoint(54,6)
self.giftIcon = globalManager.ccCreator:newImageView("flag/openFlag.png",1)
self.giftIcon:setPosition(pos)
self:addChild(self.giftIcon)
end
else
if(self.giftIcon ~= nil) then
globalManager.ccCreator:release(self.giftIcon)
self.giftIcon = nil
end
end
end
function UIPanelTabButton:setTipImg(isShow,path,position)
if(isShow)then
if(self.tipImg == nil)then
self.tipImg = globalManager.ccCreator:newImageView()
end
self.tipImg:loadTexture(path,1)
self.tipImg:setPosition(position)
if(self.tipImg:getParent() == nil)then
self:addChild(self.tipImg,99)
end
else
if(self.tipImg ~= nil) then
globalManager.ccCreator:release(self.tipImg)
self.tipImg = nil
end
end
end
function UIPanelTabButton:dispose()
globalManager.ccCreator:release(self._label)
self._label = nil
if(self.popIcon ~= nil) then
globalManager.ccCreator:release(self.popIcon)
self.popIcon = nil
end
if(self.giftIcon ~= nil) then
globalManager.ccCreator:release(self.giftIcon)
self.giftIcon = nil
end
if(self.tipImg ~= nil) then
globalManager.ccCreator:release(self.tipImg)
self.tipImg = nil
end
globalManager.ccCreator:release(self)
end
UIPanelTabLabel = class("UIPanelTabLabel",function(self,id)
local temp = globalManager.ccCreator:newBMFont(globalData.allStaticTypes.panelTabType:getTabTitle(id))
temp:setColor(globalData.allStaticTypes.colorType.TAB_COLOR2)
return temp
end)
function UIPanelTabLabel:setSelected(value)
end
function UIPanelTabLabel:getSelected()
return true
end
function UIPanelTabLabel:dispose()
globalManager.ccCreator:release(self)
end
CDEffect = class("CDEffect", function(self,time,type)
local temp = globalManager.ccCreator:newWidget()
temp:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[1])
temp.type = type or 0
temp.time = 0
temp.total = time
temp.timer = nil
temp.destroyed = false
temp.image = nil
return temp
end)
function CDEffect:ctor()
local complate = function()
self.timer = globalManager.ccCreator:newProgressTimer(self.image)
self.timer:setScaleX(-1)
self:addNode(self.timer)
globalManager.tickManager:addTick(self.tick,self)
end
local path
if(self.type == 0)then
path = globalManager.pathManager:getUISource("outPic/skill_cd_mask.png")
else
path = globalManager.pathManager:getUISource("outPic/baggage_cd_mask.png")
end
self.image = globalManager.ccCreator:newSprite()
globalManager.sourceCacheManager:setImage(self.image,path, globalData.allStaticTypes.sourceStaticType.neverClear,complate)
end
function CDEffect:tick(delta,tickCount)
self.time = self.time + delta*1000
if(self.time >= self.total) then
self:dispose()
else
local pre = 100 - math.floor(self.time / self.total * 100)
self.timer:setPercentage(pre)
end
end
function CDEffect:dispose()
self.destroyed = true
globalManager.tickManager:removeTick(self.tick,self)
if self.image ~= nil then
globalManager.ccCreator:release(self.image)
self.image = nil
end
if(self.timer ~= nil) then
globalManager.ccCreator:release(self.timer)
self.timer = nil
end
globalManager.ccCreator:release(self)
end
DropEffect = class("DropEffect", function(self,type,parent)
local temp = {}
temp._effect = nil
if(type == 270) then
temp._effect = globalManager.effectCreator:create(101)
elseif(type == 271) then
temp._effect = globalManager.effectCreator:create(99)
elseif(type == 272) then
temp._effect = globalManager.effectCreator:create(102)
else
temp._effect = globalManager.effectCreator:create(98)
end
temp._isTick = false
temp._speed = -18
temp._currentY = 0
temp._currentR = 0
temp._currentS = 0.2
parent:addChild(temp._effect)
return temp
end)
function DropEffect:ctor()
self._effect:play()
--	self._effect:move(0,self._currentY)
self._effect:setScale(self._currentS)
globalManager.tickManager:addTick(self.tick,self)
self._isTick = true
end
function DropEffect:tick(delta,count)
self._currentY = self._currentY + self._speed
if(self._currentY >= 0) then
globalManager.tickManager:removeTick(self.tick,self)
self._effect:move(0,0)
self._effect:setRotation(0)
self._effect:setScale(1.6)
self._isTick = false
return
end
self._speed = self._speed + 1
self._currentR = self._currentR + 10 + math.random(10)
if(self._currentS < 1.6) then
self._currentS = self._currentS + 0.1
end
self._effect:move(0,self._currentY)
self._effect:setRotation(self._currentR)
self._effect:setScale(self._currentS)
end
function DropEffect:dispose()
if(self._isTick) then
globalManager.tickManager:removeTick(self.tick,self)
self._isTick = false
end
self._effect:dispose()
self._effect = nil
end
--##globalManager.effectCreator
EffectCreator = class("EffectCreator", function(self)
local temp = {}
temp._readyList = {}
temp._time = 0
return temp
end)
function EffectCreator:ctor()
end
function EffectCreator:create(id, startPoint, endPoint, autoDispose,scale)
local info = globalData.allTemplates.effectTemplateList:getTemplateInfo(id)
if(info == nil) then return nil end
if(startPoint == nil) then
startPoint = globalManager.ccCreator:newPoint(0, 0)
end
if(endPoint == nil) then
endPoint = globalManager.ccCreator:newPoint(0, 0)
end
local eff = nil
if(info.type == 0) then
eff = BaseLoadEffect:new(info,autoDispose)
elseif(info.type == 1) then
eff = BulletSpEffect:new(info, info.param1, info.param2)
eff:move(startPoint.x, startPoint.y)
eff:setTarget(endPoint.x, endPoint.y )
elseif(info.type == 2) then
eff = LineSpEffect:new(info, endPoint, info.param1)
eff:move(startPoint.x, startPoint.y)
elseif(info.type == 3) then
eff = RangeSpEffect:new(info, globalManager.ccCreator:newRect(startPoint.x, startPoint.y, info.param2, info.param3), info.param1,autoDispose)
end
if(scale == nil)then
-- eff:setEffectScale(info.scale)
eff:setScale(info.scale)
else
-- eff:setEffectScale(scale)
eff:setScale(scale)
end
return eff, info
end
function EffectCreator:setEffect(id, startPoint, endPoint, container)
local eff, info = self:create(id, startPoint, endPoint)
if(eff ~= nil) then
if(container == nil) then
container = globalManager.containerManager.effectContainer
end
if(info.type == 0) then
if(endPoint ~= nil) then
eff:move(endPoint.x, endPoint.y - ( globalData.GAME_HEIGHT - globalData.UI_HEIGHT ) )
end
eff:play()
end
container:addChild(eff)
return eff, info
end
end
function EffectCreator:showGetItemEffect(id,type)
table.insert(self._readyList,{id,type})
if(#self._readyList == 1)then
globalManager.tickManager:addTick(self.tick,self)
end
end
function EffectCreator:tick(delta,count)
self._time = self._time + 1
if(self._time < 10) then return end
self._time = 0
GetItemEffect:new(table.remove(self._readyList, 1))
if(#self._readyList == 0) then
globalManager.tickManager:removeTick(self.tick,self)
end
end
FootShowEffect = class("FootShowEffect", function(self,id)
local temp = globalManager.ccCreator:newImageView()
temp._effectList = {}
temp._effectId = tonumber(globalData.allTemplates.xiaofeiTemplateList:getTemplate(globalData.allStaticTypes.petXiaofeiType.SHENBING,id):getShowPath())
temp.count  = 0
temp.index  = 0
return temp
end)
function FootShowEffect:ctor()
globalManager.tickManager:addTick(self.tick,self)
end
function FootShowEffect:tick(delta,count)
self.count = self.count + 1
if(self.count >= 10)then
self.index = self.index + 1
local footEffect = globalManager.effectCreator:create(self._effectId, nil, nil,false,2)
footEffect:play()
footEffect:move(40 * self.index,0)
table.insert(self._effectList,footEffect)
self:addNode(footEffect)
self.count = 0
if(self.index > 3)then
globalManager.tickManager:removeTick(self.tick,self)
end
end
end
function FootShowEffect:dispose()
globalManager.tickManager:removeTick(self.tick,self)
for i = 1,#self._effectList,1 do
self._effectList[i]:dispose()
end
self._effectList = nil
globalManager.ccCreator:release(self)
end
--获得经验、积分、道具飘图标特效
GetItemEffect = class("GetItemEffect", function(self,data)
local temp = globalManager.ccCreator:newImageView()
temp._path = nil
local goods = globalData.allTemplates.goodsTemplateList:getTemplate(data[1])
if(goods ~= nil) then
temp._path = globalManager.pathManager:getDisplayItemPath(goods.iconPath,globalData.allStaticTypes.goodsIconPathType.GOODS_ICON)
end
temp.type = data[2]
if(temp.type == 2) then
temp:setPosition(globalManager.ccCreator:newPoint(100,globalData.GAME_HEIGHT*0.5))
else
temp:setPosition(globalManager.ccCreator:newPoint(globalData.GAME_WIDTH*0.5,globalData.GAME_HEIGHT*0.5))
end
temp:setScale(0.6)
temp.time = 0
return temp
end)
function GetItemEffect:ctor()
if(self._path ~= nil) then
globalManager.sourceCacheManager:setImage(self,self._path,globalData.allStaticTypes.sourceStaticType.clearFiveM)
end
globalManager.containerManager.tipContainer:addChild(self)
globalManager.tickManager:addTick(self.tick,self)
local move = globalManager.ccCreator:newMoveTo(1,globalManager.ccCreator:newPoint(60,globalData.GAME_HEIGHT - 60))
end
function GetItemEffect:tick(delta,count)
self.time = self.time + 1
if(self.time < 30) then
self:setPositionY(globalData.GAME_HEIGHT*0.5 + self.time*3)
elseif(self.time < 60) then
elseif(self.time < 120) then
if(self.type == 2) then
self:setPositionX(100 - (100 - 60) * (self.time - 60) / 60)
else
self:setPositionX(globalData.GAME_WIDTH*0.5 - (globalData.GAME_WIDTH*0.5 - 60) * (self.time - 60) / 60)
end
self:setPositionY(globalData.GAME_HEIGHT*0.5 + 90 - (150 - globalData.GAME_HEIGHT*0.5) * (self.time - 60) / 60)
else
self:dispose()
end
end
function GetItemEffect:dispose()
globalManager.tickManager:removeTick(self.tick,self)
if(self._path ~= nil) then
globalManager.sourceCacheManager:removeQuote(self._path)
self._path = nil
end
globalManager.ccCreator:release(self)
end
PlusNumberEffect = class("PlusNumberEffect", function(self,num,pos,isLabel)
local temp = globalManager.ccCreator:newWidget()
if(isLabel == true) then
temp.numLabel = globalManager.ccCreator:newLabel()
temp.numLabel:setFontSize(18)
temp.numLabel:setColor(globalData.allStaticTypes.colorType.COLORGREEN)
temp.numLabel:setText(num)
else
temp.plusIcon = globalManager.ccCreator:newImageView("number/ui_addIcon.png",1)
temp:addChild(temp.plusIcon)
temp.numLabel = globalManager.ccCreator:newTextAtlas(tostring(num),1)
end
temp.numLabel:setPosition(globalManager.ccCreator:newPoint(11,0))
temp:addChild(temp.numLabel)
temp.offsetX = pos.x
temp.offsetY = pos.y
temp:setPosition(pos)
temp.time = 0
return temp
end)
function PlusNumberEffect:ctor()
globalManager.containerManager.tipContainer:addChild(self)
globalManager.tickManager:addTick(self.tick,self)
end
function PlusNumberEffect:tick(delta,tickCount)
self.time = self.time + delta
if(self.time >= 0.5) then
self:dispose()
else
self:setPosition(globalManager.ccCreator:newPoint(self.offsetX,self.offsetY + self.time * 60))
end
end
function PlusNumberEffect:dispose()
globalManager.tickManager:removeTick(self.tick,self)
if(self.plusIcon ~= nil) then
globalManager.ccCreator:release(self.plusIcon)
self.plusIcon = nil
end
globalManager.ccCreator:release(self.numLabel)
self.numLabel = nil
globalManager.ccCreator:release(self)
end
EquipView = class("EquipView", function(self)
local temp = globalManager.ccCreator:newJsonWidget("EquipView")
temp:getChildByName("equipCell0"):getChildByName("LabelBMFont_57858"):setText(globalManager.yuyanbaoManager:getYuyanbao("CategoryType.text9"))
temp:getChildByName("equipCell1"):getChildByName("LabelBMFont_57858"):setText(globalManager.yuyanbaoManager:getYuyanbao("CategoryType.text3"))
temp:getChildByName("equipCell2"):getChildByName("LabelBMFont_57858"):setText(globalManager.yuyanbaoManager:getYuyanbao("XiaofeiComparePanel.text17"))
temp:getChildByName("equipCell3"):getChildByName("LabelBMFont_57858"):setText(globalManager.yuyanbaoManager:getYuyanbao("CategoryType.text5"))
temp:getChildByName("equipCell4"):getChildByName("LabelBMFont_57858"):setText(globalManager.yuyanbaoManager:getYuyanbao("CategoryType.text4"))
temp:getChildByName("equipCell5"):getChildByName("LabelBMFont_57858"):setText(globalManager.yuyanbaoManager:getYuyanbao("CategoryType.text1"))
temp:getChildByName("equipCell6"):getChildByName("LabelBMFont_57858"):setText(globalManager.yuyanbaoManager:getYuyanbao("CategoryType.text6"))
temp:getChildByName("equipCell7"):getChildByName("LabelBMFont_57858"):setText(globalManager.yuyanbaoManager:getYuyanbao("CategoryType.text8"))
temp:getChildByName("equipCell8"):getChildByName("LabelBMFont_57858"):setText(globalManager.yuyanbaoManager:getYuyanbao("CategoryType.text2"))
temp:getChildByName("equipCell9"):getChildByName("LabelBMFont_57858"):setText(globalManager.yuyanbaoManager:getYuyanbao("CategoryType.text10"))
temp.evtDis = EventDispatcher:new()
temp._goldLabel = temp:getChildByName("goldLabel")
temp._copperLabel = temp:getChildByName("copperLabel")
--temp._bindGoldLabel = temp:getChildByName("bindGoldLabel")
temp._selectBg = temp:getChildByName("selectBg")
temp._selectBg1 = temp:getChildByName("selectBg1")
temp._selectBg:setLocalZOrder(99)
temp._selectBg1:setLocalZOrder(100)
temp._selectBg:setVisible(false)
temp._selectBg1:setVisible(false)
temp._equipCellList = {}
for i = 0,13,1 do
local layer = temp:getChildByName("equipCell"..i)
if(layer ~= nil)then
local cell = BaggageEquipGrid:new()
cell:setPosition(cc.p(-37,32))
layer:addChild(cell,9)
temp._equipCellList[i + 1] = cell
end
end
return temp
end)
function EquipView:ctor()
self:initEvent()
self:updateMoney()
self:updateEquips()
end
function EquipView:initEvent()
for i,cell in pairs(self._equipCellList) do
cell:setClickHandler(self, self.cellClickHandler)
end
globalData.goodsInfoList:addEventListener(globalData.globalEventType.playerInfo_roleUpdate,self.updateEquips,self)
globalData.selfPlayerInfo.moneyInfo:addEventListener(globalData.globalEventType.playerInfo_money,self.moneyUpdateHandler,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.newly_furnaceClick,self.clickItem,self)
end
function EquipView:removeEvent()
globalData.goodsInfoList:removeEventListener(globalData.globalEventType.playerInfo_roleUpdate,self.updateEquips,self)
globalData.selfPlayerInfo.moneyInfo:removeEventListener(globalData.globalEventType.playerInfo_money,self.moneyUpdateHandler,self)
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.newly_furnaceClick,self.clickItem,self)
end
function EquipView:clickItem(evt)
self:cellClickHandler(self._equipCellList[evt.data])
end
function EquipView:cellClickHandler(cell)
if(cell:getEquipInfo() == nil)then
return
end
self._selectBg:setVisible(true)
self._selectBg1:setVisible(true)
self._selectBg:setPosition(cc.p(cell:getParent():getPosition()))
self._selectBg1:setPosition(cc.p(cell:getParent():getPositionX() + 20,cell:getParent():getPositionY() - 20))
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_furnaceGridClick,globalManager.gameDispatcher,cell:getEquipInfo()))
end
function EquipView:moneyUpdateHandler(evt)
self:updateMoney()
end
function EquipView:updateMoney()
self._goldLabel:setText(globalData.selfPlayerInfo.moneyInfo.gold)
local copper = globalData.selfPlayerInfo.moneyInfo.copper
local copperStr
if(copper > 9999) then
copperStr = tostring(math.floor(copper * 0.001)*0.1)..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel44")
else
copperStr = tostring(copper)
end
self._copperLabel:setText(copperStr)
--self._bindGoldLabel:setText(globalData.selfPlayerInfo.moneyInfo.bindGold)
end
function EquipView:updateEquips(evt)
for i,cell in pairs(self._equipCellList) do
local goodsInfo = globalData.goodsInfoList:getGoods(i-1)
cell:setEquipInfo(goodsInfo)
end
end
function EquipView:setCellUpIcon(place,value)
if(self._equipCellList[place + 1] ~= nil) then
self._equipCellList[place + 1]:setUpIcon(value)
end
end
function EquipView:selectAEquip(i)
if(self._equipCellList[i + 1]:getEquipInfo() ~= nil)then
self:cellClickHandler(self._equipCellList[i + 1])
end
end
function EquipView:dispose()
self:removeEvent()
self._goldLabel = nil
self._copperLabel = nil
--self._bindGoldLabel = nil
self._selectBg = nil
self._selectBg1 = nil
for i,cell in pairs(self._equipCellList) do
cell:dispose()
cell = nil
end
self._equipCellList = nil
globalManager.ccCreator:release(self)
end
--装备格子，角色或强化面板用，点击会发出事件
BaggageEquipGrid = class("BaggageEquipGrid",function(self,isShowCount)
local temp = GoodsInfoGrid:new(true)
self.GoodsInfoGridDispose = temp.dispose
temp._equipInfo = nil--物品信息GoodsInfo
return temp
end)
function BaggageEquipGrid:ctor()
self:initEvent()
end
function BaggageEquipGrid:initEvent()
self:setClickHandler(self,self.gridTouchHandler)
self:setDoubleClickHandler(self,self.gridDoubleTouchHandler)
end
function BaggageEquipGrid:setEquipInfo(value,level)
if(self._equipInfo == value) then return end
self._equipInfo = value
self:setGoodsInfo(value,level)
end
function BaggageEquipGrid:getEquipInfo()
return self._equipInfo
end
function BaggageEquipGrid:gridTouchHandler(grid)
if(self._equipInfo == nil)then return end
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_equipGridClick,globalManager.gameDispatcher,self._equipInfo))
end
function BaggageEquipGrid:gridDoubleTouchHandler(grid)
if(self._equipInfo == nil)then return end
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_equipGridDClick,globalManager.gameDispatcher,self._equipInfo))
end
function BaggageEquipGrid:dispose()
self:GoodsInfoGridDispose()
self.GoodsInfoGridDispose = nil
self._equipInfo = nil
end
--格子基类：可放物品模板，物品，技能
--点击行为：不设置click跟doubleClick回调的时候，点击显示物品tips，设置之后，该行为自己处理
BaseGrid = class("BaseGrid",function(self,isShowCount)
local temp = globalManager.ccCreator:newWidget()
local isShow = isShowCount
if(isShow == nil) then
isShow = true
end
temp._validBound = {}--大小Rectangle
temp._executor = nil--点击事件执行者
temp._clickHandler = nil--点击事件
temp._doubleExecutor = nil--点击事件执行者
temp._doubleClickHandler = nil--点击事件
self.initFigureBound(temp)
temp._info = nil--物品信息BaseGoodsInfo
temp._isEnbled = true--是否可用Boolean
temp._countLabel = nil--数量文本框Label
temp._countBg = nil --数量文本底
if(isShow) then
temp._countBg = globalManager.ccCreator:newImageView("countBg.png",1)
temp._countBg:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[8])
temp._countBg:setPosition(globalManager.ccCreator:newPoint(temp._validBound.width + 1,-temp._validBound.height + 3))
temp:addChild(temp._countBg,1)
temp._countBg:setVisible(false)
temp._countLabel = globalManager.ccCreator:newLabel()
temp._countLabel:setFontSize(18)
temp._countLabel:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[8])
temp._countLabel:setPosition(globalManager.ccCreator:newPoint(temp._validBound.width,-temp._validBound.height))
temp:addChild(temp._countLabel,2)
end
temp._pic = nil
temp._picPathRecord = nil
temp._upIcon = nil--可提升图标
temp._rareFlag = nil--稀有图标
temp._isGray = false
temp._isTouchEnabled = true
temp.fiveEquipFlag = nil
temp.stageLabel = nil
temp.starLabel = nil
temp.addIcon = nil
return temp
end)
function BaseGrid:ctor()
end
function BaseGrid:setPicTouchEnabled(value)
self._isTouchEnabled = value
end
function BaseGrid:initFigureBound()
self._validBound = {x = 1,y = 3,width = 72,height = 72}
end
--设置单击事件
function BaseGrid:setClickHandler(executor,func)
self._executor = executor
self._clickHandler = func
end
--设置双击事件
function BaseGrid:setDoubleClickHandler(executor,func)
self._doubleExecutor = executor
self._doubleClickHandler = func
end
function BaseGrid:addTouchEvent()
local clickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_BEGAN)then
elseif(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(self._doubleClickHandler ~= nil)then
globalManager.doubleClickManager:addClick(self, self)
else
self:singleClick(self)
end
end
end
self._pic:setTouchEnabled(true)
self._pic:addTouchEventListener(clickHandler)
end
function BaseGrid:singleClick(grid)
if(self._executor ~= nil and self._clickHandler ~= nil) then
self._clickHandler(self._executor,self)
else
if(self._info ~= nil) then
globalManager.tipsManager:showGoodsTemplate(self._info)
end
end
end
function BaseGrid:doubleClick(grid)
if(self._doubleExecutor ~= nil and self._doubleClickHandler ~= nil) then
self._doubleClickHandler(self._doubleExecutor,self)
end
end
--设置数量
function BaseGrid:setCount(value,color3b)
color3b = color3b or globalData.allStaticTypes.colorType.COLORWHITE
if(self._countLabel == nil) then return end
self._countLabel:setColor(color3b)
if(value == -1 or value == 1) then
self._countLabel:setText(nil)
self._countBg:setVisible(false)
else
if(value >= 10000)then
self._countLabel:setText(math.floor(value / 10000) .. globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel44"))
else
self._countLabel:setText(value)
end
self._countBg:setVisible(true)
end
end
--param value:BaseGoodsInfo
function BaseGrid:setGoodsTempInfo(value)
self:clearPic()
self:setCount(-1)
self._info = value
if(self._info ~= nil) then
self:createIconBitMap()
self:setRare(self._info.categoryId == globalData.allStaticTypes.categoryType.RARE_GOODS)
end
end
--return BaseGoodsInfo
function BaseGrid:getGoodsTempInfo()
return self._info
end
function BaseGrid:clearPic()
if(self._picPathRecord ~= nil)then
globalManager.sourceCacheManager:removeQuote(self._picPathRecord)
end
self._picPathRecord = nil
if(self._pic ~= nil) then
globalManager.ccCreator:release(self._pic)
self._pic = nil
end
end
function BaseGrid:createIconBitMap()
if(self._pic ~= nil) then return end
self._picPathRecord = self:getPicPath()
self._pic = globalManager.ccCreator:newImageView()
self._pic:ignoreContentAdaptWithSize(false)
self._pic:setSize(globalManager.ccCreator:newSize(self._validBound.width,self._validBound.height))
self._pic:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[2])
self._pic:setPosition(globalManager.ccCreator:newPoint(self._validBound.x,self._validBound.y))
if(self._isGray) then
globalManager.commonUtils:setImgColorGrey(self._pic)
else
globalManager.commonUtils:setImgColorNormal(self._pic)
end
self:addChild(self._pic,0)
if(self._isTouchEnabled) then
self:addTouchEvent()
end
globalManager.sourceCacheManager:setImage(self._pic,self._picPathRecord,globalData.allStaticTypes.sourceStaticType.clearFiveM)
end
function BaseGrid:getPicPath()
return globalManager.pathManager:getDisplayItemPath(self._info.iconPath,globalData.allStaticTypes.goodsIconPathType.GOODS_ICON)
end
--置灰
function BaseGrid:setGray(value)
if(self._isGray == value) then return end
self._isGray = value
if(value) then
globalManager.commonUtils:setImgColorGrey(self._pic)
else
globalManager.commonUtils:setImgColorNormal(self._pic)
end
end
--设置提升图标是否显示
function BaseGrid:setUpIcon(value)
if(value and self._upIcon == nil) then
self._upIcon = globalManager.ccCreator:newImageView("arrow/ui_arrow6.png",1)
self._upIcon:setScale(0.7)
self._upIcon:setPosition(globalManager.ccCreator:newPoint(60,-55))
self:addChild(self._upIcon,9)
elseif(not value and self._upIcon ~= nil) then
globalManager.ccCreator:release(self._upIcon)
self._upIcon = nil
end
end
--设置特殊装备的星阶标记
function BaseGrid:setFiveEquipFlag(stage)
if(self.fiveEquipFlag == nil) then
self.fiveEquipFlag = globalManager.ccCreator:newImageView("flag/ui_fiveEquipFlag.png",1)
self.fiveEquipFlag:setPosition(globalManager.ccCreator:newPoint(54,-17))
self:addChild(self.fiveEquipFlag,7)
end
if(self.addIcon == nil)then
self.addIcon = globalManager.ccCreator:newImageView("number/ui_addIcon.png",1)
self.addIcon:setPosition(globalManager.ccCreator:newPoint(5,7))
self.addIcon:setRotation(45)
self.addIcon:setScale(0.7)
self.fiveEquipFlag:addChild(self.addIcon)
end
if(self.stageLabel == nil) then
self.stageLabel = globalManager.ccCreator:newTextAtlas(math.ceil(stage / globalData.allTemplates.xiaofeiTemplateList.STAGE_PRE_STAR),1)
self.stageLabel:setScale(0.6)
self.stageLabel:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[6])
self.stageLabel:setRotation(45)
self.stageLabel:setPosition(globalManager.ccCreator:newPoint(0,13))
self.fiveEquipFlag:addChild(self.stageLabel,8)
else
self.stageLabel:setStringValue(math.ceil(stage / globalData.allTemplates.xiaofeiTemplateList.STAGE_PRE_STAR))
end
if(self.starLabel == nil) then
self.starLabel = globalManager.ccCreator:newTextAtlas(((stage - 1) % globalData.allTemplates.xiaofeiTemplateList.STAGE_PRE_STAR + 1),1)
self.starLabel:setScale(0.6)
self.starLabel:setRotation(45)
self.starLabel:setPosition(globalManager.ccCreator:newPoint(10,3))
self.fiveEquipFlag:addChild(self.starLabel,8)
else
self.starLabel:setStringValue(((stage - 1) % globalData.allTemplates.xiaofeiTemplateList.STAGE_PRE_STAR + 1))
end
end
function BaseGrid:clearFiveEquipFlag()
if(self.fiveEquipFlag ~= nil) then
globalManager.ccCreator:release(self.fiveEquipFlag)
self.fiveEquipFlag = nil
end
if(self.stageLabel ~= nil) then
globalManager.ccCreator:release(self.stageLabel)
self.stageLabel = nil
end
if(self.starLabel ~= nil) then
globalManager.ccCreator:release(self.starLabel)
self.starLabel = nil
end
if(self.addIcon ~= nil) then
globalManager.ccCreator:release(self.addIcon)
self.addIcon = nil
end
end
--设置稀有图标
function BaseGrid:setRare(value)
if(self:isBag()) then return end--背包格子不显示稀有标记
if(value) then
if(self._rareFlag == nil) then
self._rareFlag = globalManager.ccCreator:newImageView("flag/rareGoodsFlag.png",1)
self._rareFlag:setPosition(globalManager.ccCreator:newPoint(21,-16))
self:addChild(self._rareFlag,6)
end
else
if(self._rareFlag ~= nil) then
globalManager.ccCreator:release(self._rareFlag)
self._rareFlag = nil
end
end
end
function BaseGrid:isBag()
return false
end
function BaseGrid:dispose()
if(self._picPathRecord ~= nil)then
globalManager.sourceCacheManager:removeQuote(self._picPathRecord)
end
self:clearFiveEquipFlag()
globalManager.doubleClickManager:clear()
self._picPathRecord = nil
self._validBound = nil
self._executor = nil
self._clickHandler = nil
self._doubleExecutor = nil
self._doubleClickHandler = nil
if(self._upIcon ~= nil) then
globalManager.ccCreator:release(self._upIcon)
self._upIcon = nil
end
self._info = nil
if(self._pic ~= nil) then
globalManager.ccCreator:release(self._pic)
self._pic = nil
end
if(self._countLabel ~= nil) then
globalManager.ccCreator:release(self._countLabel)
self._countLabel = nil
end
if(self._countBg ~= nil) then
globalManager.ccCreator:release(self._countBg)
self._countBg = nil
end
if(self._rareFlag ~= nil) then
globalManager.ccCreator:release(self._rareFlag)
self._rareFlag = nil
end
globalManager.ccCreator:release(self)
end
--七大模块装备格子，只接受FiveEquipInfo
FiveEquipInfoGrid = class("FiveEquipInfoGrid",function(self,type,panelType)
local temp = BaseGrid:new(false)
temp.BaseGridDispose = temp.dispose
temp._equipInfo = nil
temp.type = type  --1:自己  ， 2：查看别人
temp._panelType = panelType
temp._addImg = nil
return temp
end)
function FiveEquipInfoGrid:setInfo(value)
if(self._equipInfo == value) then
local addImgClick = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
self:addImgClickHandler()
end
end
if(self._addImg == nil and self.type == 1)then
self._addImg = globalManager.ccCreator:newImageView("icon/ui_add.png",1)
self:addChild(self._addImg,9)
self._addImg:setPosition(cc.p(38,-33))
-- self._addImg:setOpacity(150)
self._addImg:setTouchEnabled(true)
self._addImg:addTouchEventListener(addImgClick)
end
return
end
if(self._addImg ~= nil)then
self._addImg:dispose()
self._addImg = nil
end
self._equipInfo = value
if(self._equipInfo ~= nil) then
self:setGoodsTempInfo(self._equipInfo:getTemplate())
else
self:setGoodsTempInfo(nil)
end
self:setFiveEquipFlag(self._equipInfo.stage)
end
function FiveEquipInfoGrid:addImgClickHandler()
if(self._equipInfo == nil and self.type == 1 and self._panelType ~= nil) then
if(self._panelType == globalData.allStaticTypes.petXiaofeiType.ZUOQI
or self._panelType == globalData.allStaticTypes.petXiaofeiType.CHONGWU
or self._panelType == globalData.allStaticTypes.petXiaofeiType.CHIBANG) then
if(self:checkLevel(globalData.newModuleLevelConfig.worldBossVipLevel)) then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.worldBossTab,globalData.allStaticTypes.panelTabType.worldBossVip)
end
elseif(self._panelType == globalData.allStaticTypes.petXiaofeiType.JINGLING
or self._panelType == globalData.allStaticTypes.petXiaofeiType.SHENBING)then
globalManager.moduleManager:addModule(globalData.allStaticTypes.moduleType.shop,3,false)
elseif(self._panelType == globalData.allStaticTypes.petXiaofeiType.FAZHEN)then
globalManager.moduleManager:addModule(globalData.allStaticTypes.moduleType.shop,4,false)
elseif(self._panelType == globalData.allStaticTypes.petXiaofeiType.LONGHUN)then
if(self:checkLevel(globalData.newModuleLevelConfig.onlineRewardLevel)) then
local maxCount = globalData.allTemplates.onlineRewardsTemplateList.MAX_COUNT
local curCount = globalData.onlineRewardsInfo.num
if(curCount <= 0 or curCount > maxCount)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("FiveEquipInfoGrid.text1"))
else
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_showOnlineRewardsPanel,globalManager.gameDispatcher,nil))
end
end
end
return
end
end
function FiveEquipInfoGrid:singleClick(grid)
if(self._executor ~= nil and self._clickHandler ~= nil) then
self._clickHandler(self._executor,self)
else
globalManager.tipsManager:showFiveEquip(self._equipInfo,self._equipInfo:getTemplate(),globalData.allStaticTypes.goodsTipType.EQUIP,self.type)
end
end
function FiveEquipInfoGrid:checkLevel(level)
if(globalData.selfPlayerInfo.level < level)then
globalManager.tipsManager.quickTip:show(string.format(globalManager.yuyanbaoManager:getYuyanbao("FiveEquipInfoGrid.text2"),level))
return false
end
return true
end
function FiveEquipInfoGrid:getGoodsInfo()
return self._equipInfo
end
function FiveEquipInfoGrid:dispose()
if(self._addImg ~= nil)then
globalManager.ccCreator:release(self._addImg)
self._addImg = nil
end
self._equipInfo = nil
self:BaseGridDispose()
self.BaseGridDispose = nil
end
--制炼格子，可获取当前背包物品数量显示分子分母并改变颜色
FurnaceGrid = class("FurnaceGrid", function(self)
local temp = GoodsInfoGrid:new(true)
temp._GoodsInfoGridDispose = temp.dispose
temp._needCount = -1
temp._preLabel = globalManager.ccCreator:newLabel()
temp._preLabel:setPosition(cc.p(49,-61))
temp:addChild(temp._preLabel,2)
temp._countBg2 = nil --数量文本底
temp._countBg2 = globalManager.ccCreator:newImageView("countBg.png",1)
temp._countBg2:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[8])
temp._countBg2:setPosition(globalManager.ccCreator:newPoint(temp._validBound.width + 1,-temp._validBound.height + 3))
temp:addChild(temp._countBg2,1)
temp._countBg2:setVisible(false)
return temp
end)
function FurnaceGrid:ctor()
self:initEvent()
end
function FurnaceGrid:initEvent()
self:setClickHandler(self,self.touchHandler)
globalData.goodsInfoList:addEventListener(globalData.globalEventType.playerInfo_itemUpdate,self.goodsUpdateHandler,self)
end
function FurnaceGrid:removeEvent()
globalData.goodsInfoList:removeEventListener(globalData.globalEventType.playerInfo_itemUpdate,self.goodsUpdateHandler,self)
end
function FurnaceGrid:goodsUpdateHandler(evt)
self:updateCount()
end
function FurnaceGrid:setNeedCounts(value)
self._needCount = value
self:updateCount()
end
function FurnaceGrid:updateCount()
if(self:getGoodsTempInfo() ~= nil)then
if(self._needCount == -1)then
self._preLabel:setText("")
self._countBg2:setVisible(false)
else
local count = globalData.goodsInfoList:getGoodsCount(self:getGoodsTempInfo().templateId,1)
self._preLabel:setText(count .. "/" .. self._needCount)
if(count < self._needCount)then
self._preLabel:setColor(globalData.allStaticTypes.colorType.COLORRED)
self:setGray(true)
else
self._preLabel:setColor(globalData.allStaticTypes.colorType.COLORWHITE)
self:setGray(false)
end
self._countBg2:setVisible(true)
end
else
self._preLabel:setText("")
self._countBg2:setVisible(false)
end
end
function FurnaceGrid:touchHandler(grid)
if(self._goodsInfo ~= nil)then
globalManager.tipsManager:showGoods(self._goodsInfo)
elseif(self:getGoodsTempInfo() ~= nil)then
globalManager.tipsManager:showGoodsTemplate(self:getGoodsTempInfo())
end
end
function FurnaceGrid:dispose()
self:removeEvent()
self._goodsInfo = nil
globalManager.ccCreator:release(self._preLabel)
self._preLabel = nil
globalManager.ccCreator:release(self._countBg2)
self._countBg2 = nil
self._GoodsInfoGridDispose(self)
self._GoodsInfoGridDispose = nil
end
--物品格子，用于背包或各种特殊展示面板
GoodsInfoGrid = class("GoodsInfoGrid",function(self,isShowCount,isShowStrengthLevel,isBag)
local temp = BaseGrid:new(isShowCount)
temp.BaseGridDispose = temp.dispose
temp._goodsInfo = nil--物品信息GoodsInfo
if(isShowStrengthLevel == nil)then
isShowStrengthLevel = true
end
temp._isShowStrengthLevel = isShowStrengthLevel
if(isBag == nil) then
isBag = false
end
temp._isBag = isBag
--    temp._equipGlow = globalManager.ccCreator:newImageView("equipGridGlow.png",1)
--    temp._equipGlow:setAnchorPoint(cc.p(0,1))
--    temp._equipGlow:setPosition(cc.p(-2,6))
--    temp:addChild(temp._equipGlow,10)
--    temp._equipGlow:setVisible(false)
temp._addImg = globalManager.ccCreator:newImageView("number/ui_addIcon.png",1)
temp:addChild(temp._addImg,9)
temp._addImg:setVisible(false)
temp._addImg:setPosition(cc.p(10,-8))
temp._strengthLabel = globalManager.ccCreator:newTextAtlas("",1)
temp._strengthLabel:setAnchorPoint(cc.p(0,0.5))
temp._strengthLabel:setPosition(cc.p(19,-8))
temp._strengthLabel:setScale(1.2)
temp:addChild(temp._strengthLabel,9)
temp._strengthLabel:setVisible(false)
temp._outDateMask = nil--过期物品标记
temp._effect = nil
temp._level = nil
return temp
end)
function GoodsInfoGrid:getPicPath()
local iconPath = self._info.iconPath
if(self._goodsInfo ~= nil) then
if(globalData.allStaticTypes.categoryType:IsEquip(self._goodsInfo:getTemplate().categoryId)) then
if(self._goodsInfo.stage >= 3)then
return globalManager.pathManager:getDisplayItemPath(iconPath,"icon3.jpg")
elseif(self._goodsInfo.stage == 2)then
return globalManager.pathManager:getDisplayItemPath(iconPath,"icon2.jpg")
elseif(self._goodsInfo.stage == 1)then
return globalManager.pathManager:getDisplayItemPath(iconPath,"icon1.jpg")
end
end
end
return globalManager.pathManager:getDisplayItemPath(iconPath,globalData.allStaticTypes.goodsIconPathType.GOODS_ICON)
end
function GoodsInfoGrid:singleClick(grid)
if(self._executor ~= nil and self._clickHandler ~= nil) then
self._clickHandler(self._executor,self)
else
if(self._goodsInfo ~= nil) then
globalManager.tipsManager:showGoods(self._goodsInfo,nil,self._level)
else
globalManager.tipsManager:showGoodsTemplate(self._info)
end
end
end
function GoodsInfoGrid:setGoodsTempInfo(value)
self:clearPic()
self:setCount(-1)
if(self._outDateMask ~= nil) then
globalManager.ccCreator:release(self._outDateMask)
self._outDateMask = nil
end
self._info = value
if(self._info ~= nil) then
self:createIconBitMap()
self:setRare(self._info.categoryId == globalData.allStaticTypes.categoryType.RARE_GOODS)
if(self._info.vaildDate > 0) then
if(self._outDateMask == nil) then
self._outDateMask = globalManager.ccCreator:newImageView("flag/ui_limitTimeFlag.png",1)
self:addChild(self._outDateMask,9)
else
self._outDateMask:loadTexture("flag/ui_limitTimeFlag.png",1)
end
self._outDateMask:setPosition(globalManager.ccCreator:newPoint(50,-20))
else
if(self._outDateMask ~= nil) then
globalManager.ccCreator:release(self._outDateMask)
self._outDateMask = nil
end
end
end
end
--param value:GoodsInfo
function GoodsInfoGrid:setGoodsInfo(value,level)
self._level = level
if(self._goodsInfo == value) then return end
self._goodsInfo = value
local isShowFiveFlag = false
if(self._goodsInfo ~= nil) then
self:setGoodsTempInfo(self._goodsInfo:getTemplate())
if(globalData.allStaticTypes.categoryType:IsEquip(value:getTemplate().categoryId)) then
--            self._equipGlow:setVisible(true)
--    		self._equipGlow:setColor(globalData.allStaticTypes.colorType:getColorByQuality(self._goodsInfo:getQuality()))
self:setStrengthLevel(value.strengthLevel)
self:setQualityEffect(value:getQuality())
self:setCount(1)
else
if(globalData.allStaticTypes.categoryType:IsFiveEquip(value:getTemplate().categoryId)) then
self:setQualityEffect(-1)
self:setFiveEquipFlag(value.stage)
isShowFiveFlag = true
else
self:setQualityEffect(-1)
end
--        	self._equipGlow:setVisible(false)
self:setStrengthLevel(-1)
self:setCount(value.count)
end
if(self._goodsInfo:outOfDate()) then
if(self._outDateMask == nil) then
self._outDateMask = globalManager.ccCreator:newImageView("flag/ui_outDateFlag.png",1)
self:addChild(self._outDateMask,9)
else
self._outDateMask:loadTexture("flag/ui_outDateFlag.png",1)
end
self._outDateMask:setPosition(globalManager.ccCreator:newPoint(40,-30))
end
else
self:setGoodsTempInfo(nil)
--        self._equipGlow:setVisible(false)
self:setStrengthLevel(-1)
self:setQualityEffect(-1)
if(self._outDateMask ~= nil) then
globalManager.ccCreator:release(self._outDateMask)
self._outDateMask = nil
end
end
if(not isShowFiveFlag) then
self:clearFiveEquipFlag()
end
end
--设置强化等级
function GoodsInfoGrid:setStrengthLevel(value)
if(value <= 0)then
self._addImg:setVisible(false)
self._strengthLabel:setVisible(false)
self._strengthLabel:setStringValue("")
else
if(self._isShowStrengthLevel)then
self._addImg:setVisible(true)
self._strengthLabel:setVisible(true)
self._strengthLabel:setStringValue(value)
end
end
end
--设置品质特效
function GoodsInfoGrid:setQualityEffect(value)
if(self._effect ~= nil)then
self._effect:dispose()
self._effect = nil
end
local effectId = -1
if(value >= 6)then
effectId = 14
elseif(value == 5)then
effectId = 15
elseif(value == 4)then
effectId = 13
elseif(value == 3)then
effectId = 12
end
if(effectId ~= -1)then
self._effect = globalManager.effectCreator:create(effectId)
self._effect:move2(self,35,135)
self._effect:setScale(3.3)
self._effect:play()
self:addNode(self._effect,10)
end
end
--return GoodsInfo
function GoodsInfoGrid:getGoodsInfo()
return self._goodsInfo
end
function GoodsInfoGrid:isBag()
return self._isBag
end
function GoodsInfoGrid:dispose()
self._goodsInfo = nil
globalManager.ccCreator:release(self._strengthLabel)
self._strengthLabel = nil
globalManager.ccCreator:release(self._addImg)
self._addImg = nil
--    globalManager.ccCreator:release(self._equipGlow)
--    self._equipGlow = nil
if(self._effect ~= nil)then
self._effect:dispose()
self._effect = nil
end
if(self._outDateMask ~= nil) then
globalManager.ccCreator:release(self._outDateMask)
self._outDateMask = nil
end
self:BaseGridDispose()
self.BaseGridDispose = nil
end
--七大模块技能格子，点击箭头不可升级
SkillInfoGrid = class("SkillInfoGrid",function(self,type)
local temp = BaseGrid:new(false)
temp.BaseGridDispose = temp.dispose
temp.levelLabel = nil
temp._upIcon = nil
temp._levelBg = nil
temp.level = 0
temp.type = type
temp.partnedId = 0
temp._canUpgrad = false
return temp
end)
function SkillInfoGrid:initFigureBound()
self._validBound = {x = 2,y = 2,width = 70,height = 70}
end
function SkillInfoGrid:getPicPath()
return globalManager.pathManager:getDisplayItemPath(self._info.iconPath,globalData.allStaticTypes.goodsIconPathType.SKILL_ICON)
end
function SkillInfoGrid:setLevel(value)
if(value == nil) then
self:setGray(true)
return
end
if(value > 0) then
if(self.levelLabel == nil) then
self._levelBg = globalManager.ccCreator:newImageView("ui_skillLevelBg.png",1)
self._levelBg:setPosition(globalManager.ccCreator:newPoint(38,-58))
self:addChild(self._levelBg,2)
self.levelLabel = globalManager.ccCreator:newLabel()
self.levelLabel:setPosition(globalManager.ccCreator:newPoint(35,-55))
self.levelLabel:setColor(globalData.allStaticTypes.colorType.COLORYELLOW)
self:addChild(self.levelLabel,3)
end
self.levelLabel:setText("Lv."..tostring(value))
self:setGray(false)
else
if(self.levelLabel ~= nil) then
globalManager.ccCreator:release(self.levelLabel)
self.levelLabel = nil
globalManager.ccCreator:release(self._levelBg)
self._levelBg = nil
end
self:setGray(true)
end
self.level = value
end
function SkillInfoGrid:setPartnedId(partnedId)
self.partnedId = partnedId
end
function SkillInfoGrid:getPartnedId()
return self.partnedId
end
function SkillInfoGrid:getLevel()
return self.level
end
function SkillInfoGrid:getIsCanLevelUp()
return self._canUpgrad
end
function SkillInfoGrid:setUpIcon(value)
self._canUpgrad = value
if(value and self._upIcon == nil) then
self._upIcon = globalManager.ccCreator:newImageView("arrow/ui_arrow6.png",1)
self._upIcon:setPosition(globalManager.ccCreator:newPoint(60,-10))
self:addChild(self._upIcon,4)
elseif(not value and self._upIcon ~= nil) then
globalManager.ccCreator:release(self._upIcon)
self._upIcon = nil
end
end
function SkillInfoGrid:dispose()
if(self.levelLabel ~= nil) then
globalManager.ccCreator:release(self.levelLabel)
self.levelLabel = nil
globalManager.ccCreator:release(self._levelBg)
self._levelBg = nil
end
if(self._upIcon ~= nil) then
globalManager.ccCreator:release(self._upIcon)
self._upIcon = nil
end
self:BaseGridDispose()
self.BaseGridDispose = nil
self._canUpgrad = nil
end
FazhenComparePanel = class("FazhenComparePanel", function(self,queryItem,itemData,type)
local temp = XiaofeiComparePanel:new(queryItem,itemData,type)
return temp
end)
function FazhenComparePanel:initView()
self._desLabel1:setText(globalManager.yuyanbaoManager:getYuyanbao("FazhenComparePanel.text1"))
self._desLabel2:setText(globalManager.yuyanbaoManager:getYuyanbao("FazhenComparePanel.text2"))
self:setSkills({7121,7122,7123,7124,7125,7126})
local myData = globalData.fazhenItemInfo
local tempInfo = globalData.allTemplates.xiaofeiTemplateList:getTemplate(globalData.allStaticTypes.petXiaofeiType.FAZHEN,self._itemData.stage)
local myTempInfo = globalData.allTemplates.xiaofeiTemplateList:getTemplate(globalData.allStaticTypes.petXiaofeiType.FAZHEN,myData.stage)
self._nameLabel:setText(tempInfo.name)
self._nameLabel:setColor(globalData.allStaticTypes.colorType:getColorByQuality(tempInfo.quality))
--法阵形象
self._showEffect = globalManager.effectCreator:create(tonumber(tempInfo:getShowPath()),nil,nil,false)
local color = globalData.allStaticTypes.colorType:getFazhenEffectColor(self._itemData.stage)
self._showEffect:setColor(color)
local posX, posY = tempInfo:getEffPosition()
self._showEffect:move2(self._showPanel,posX, posY)
self._showPanel:addNode(self._showEffect)
self._showEffect:play()
self:updatePro(myData,tempInfo,myTempInfo)
end
FightComparePanel = class("FightComparePanel", function(self,queryItem)
local temp = globalManager.ccCreator:newJsonWidget("FightComparePanel")
temp._queryItem = queryItem
temp:getChildByName("cpNameLabel"):setText("")
temp:getChildByName("myNameLabel"):setText("")
temp:getChildByName("Label_83007_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("FightComparePanel.text1"))
temp:getChildByName("Label_83007_Copy1"):setText(globalManager.yuyanbaoManager:getYuyanbao("FightComparePanel.text2"))
temp:getChildByName("Label_83007_Copy2"):setText(globalManager.yuyanbaoManager:getYuyanbao("FightComparePanel.text3"))
temp:getChildByName("Label_83007"):setText(globalManager.yuyanbaoManager:getYuyanbao("FightComparePanel.text4"))
temp._closeBtn = temp:getChildByName("closeBtn")
temp._cpFightLabel = temp:getChildByName("cpFightLabel")
temp._myFightLabel = temp:getChildByName("myFightLabel")
temp._cpNameLabel = temp:getChildByName("cpNameLabel")
temp._myNameLabel = temp:getChildByName("myNameLabel")
temp._cpSignImg = temp:getChildByName("cpSignImg")
temp._mySignImg = temp:getChildByName("mySignImg")
temp._titleBg = temp:getChildByName("title_bg")
temp._titlePath = globalManager.pathManager:getUISource("outPic/ui_fightCompareTitle.png")
temp._blackBg = temp:getChildByName("blackBg")
temp._blackBg:setSize(cc.size(globalData.GAME_WIDTH,globalData.GAME_HEIGHT))
temp._roleBgPath = globalManager.pathManager:getUISource("outPic/ui_fightCBG.png")
temp._bg1Img = temp:getChildByName("ImageView_433580_Copy0")
temp._bg2Img = temp:getChildByName("ImageView_433580")
queryItem.playerInfo:setIsHorse(false)
temp._cpCharacter = BaseCharacter:new(queryItem.playerInfo.characterInfo)
temp._cpCharacter:setPosition(cc.p(140,170))
temp._cpCharacter:setScale(1.5)
temp:addNode(temp._cpCharacter,9)
temp._cpCharacter:show(globalData.allStaticTypes.directType.bottom)
--自己去掉坐骑显示
local myCharacterInfo = FigurePlayerInfo:new()
local styleList = globalData.selfPlayerInfo.characterInfo:getStyleBin()
for k,v in pairs(styleList) do
myCharacterInfo.characterInfo:setStyleBin(k,v)
end
myCharacterInfo:setCareer(globalData.selfPlayerInfo.career)
myCharacterInfo:setIsHorse(false)
temp._myCharacter = BaseCharacter:new(myCharacterInfo.characterInfo)
temp._myCharacter:setPosition(cc.p(815,170))
temp._myCharacter:setScale(1.5)
temp:addNode(temp._myCharacter,9)
temp._myCharacter:show(globalData.allStaticTypes.directType.leftBottom)
temp._items = {}
for i=1,9 do
table.insert(temp._items,temp:getChildByName("item"..i))
end
temp._cpSignImgPath = nil
temp._mySignImgPath = nil
return temp
end)
function FightComparePanel:ctor()
globalManager.sourceCacheManager:setImage(self._titleBg,self._titlePath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
globalManager.sourceCacheManager:setImage(self._bg1Img,self._roleBgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self._bg1Img:setScale(0.9)
globalManager.sourceCacheManager:setImage(self._bg2Img,self._roleBgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self._bg2Img:setScale(0.9)
self:initView()
self:initEvent()
end
function FightComparePanel:initView()
if(self._queryItem.playerInfo.combat >= globalData.selfPlayerInfo.combat)then
self._cpSignImgPath = globalManager.pathManager:getUISource("outPic/compareUp.png")
self._mySignImgPath = globalManager.pathManager:getUISource("outPic/compareDown.png")
else
self._cpSignImgPath = globalManager.pathManager:getUISource("outPic/compareDown.png")
self._mySignImgPath = globalManager.pathManager:getUISource("outPic/compareUp.png")
end
globalManager.sourceCacheManager:setImage(self._cpSignImg,self._cpSignImgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
globalManager.sourceCacheManager:setImage(self._mySignImg,self._mySignImgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self._cpFightLabel:setStringValue(self._queryItem.playerInfo.combat)
self._myFightLabel:setStringValue(globalData.selfPlayerInfo.combat)
self._cpNameLabel:setText(self._queryItem.playerInfo.nick)
self._myNameLabel:setText(globalData.selfPlayerInfo.nick)
self._items[1]:getChildByName("desLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel18"))
self._items[2]:getChildByName("desLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("FightComparePanel.text5"))
self._items[4]:getChildByName("desLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel14"))
self._items[3]:getChildByName("desLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel15"))
self._items[6]:getChildByName("desLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel16"))
self._items[5]:getChildByName("desLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel17"))
self._items[7]:getChildByName("desLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel19"))
self._items[8]:getChildByName("desLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel20"))
self._items[9]:getChildByName("desLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel21"))
local queryFight = 0
for __,goods in pairs(self._queryItem.equipList) do
queryFight = queryFight + goods.score
end
local myPartnerFight = 0
for __,info in pairs(globalData.partnerInfo.partnerList) do
myPartnerFight = myPartnerFight + info.fightValue
end
self:setCompare(queryFight,globalData.goodsInfoList:getEquipFight(),1)
self:setCompare(self._queryItem.partnerFight,myPartnerFight,2)
if(self._queryItem.petItem ~= nil and self._queryItem.petItem.fight ~= nil)then
self:setCompare(self._queryItem.petItem.fight,globalData.petItemInfo.fight,4)
end
if(self._queryItem.riderItem ~= nil and self._queryItem.riderItem.fight ~= nil)then
self:setCompare(self._queryItem.riderItem.fight,globalData.riderItemInfo.fight,3)
end
if(self._queryItem.godItem ~= nil and self._queryItem.godItem.fight ~= nil)then
self:setCompare(self._queryItem.godItem.fight,globalData.godItemInfo.fight,6)
end
if(self._queryItem.wingItem ~= nil and self._queryItem.wingItem.fight ~= nil)then
self:setCompare(self._queryItem.wingItem.fight,globalData.wingItemInfo.fight,5)
end
if(self._queryItem.spriteItem ~= nil and self._queryItem.spriteItem.fight ~= nil)then
self:setCompare(self._queryItem.spriteItem.fight,globalData.spriteItemInfo.fight,7)
end
if(self._queryItem.fazhenItem ~= nil and self._queryItem.fazhenItem.fight ~= nil)then
self:setCompare(self._queryItem.fazhenItem.fight,globalData.fazhenItemInfo.fight,8)
end
if(self._queryItem.longhunItem ~= nil and self._queryItem.longhunItem.fight ~= nil)then
self:setCompare(self._queryItem.longhunItem.fight,globalData.longhunItemInfo.fight,9)
end
--handBtn
end
function FightComparePanel:initEvent()
local function closeTouchHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
globalManager.tipsManager:hideFightComparePanel()
end
end
local function itemHandTouchHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(sender == self._items[1]:getChildByName("handBtn"))then
if(globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.strengthLevel)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel46")..string.format(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel47"),globalData.newModuleLevelConfig.strengthLevel))
return
end
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.furnace)
if(globalData.uiPanelContainer:getCurrentPanel() ~= nil) then
globalData.uiPanelContainer:getCurrentPanel():jumpToTab(1)
end
elseif(sender == self._items[2]:getChildByName("handBtn"))then
globalData.uiPanelContainer:initTabs({globalData.allStaticTypes.panelTabType.partner})
elseif(sender == self._items[4]:getChildByName("handBtn"))then
if(globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.petLevel)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel46")..string.format(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel47"),globalData.newModuleLevelConfig.petLevel))
return
end
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab4,globalData.allStaticTypes.panelTabType.pet)
elseif(sender == self._items[3]:getChildByName("handBtn"))then
if(globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.riderLevel)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel46")..string.format(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel47"),globalData.newModuleLevelConfig.riderLevel))
return
end
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab4,globalData.allStaticTypes.panelTabType.rider)
elseif(sender == self._items[6]:getChildByName("handBtn"))then
if(globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.weaponLevel)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel46")..string.format(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel47"),globalData.newModuleLevelConfig.weaponLevel))
return
end
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab4,globalData.allStaticTypes.panelTabType.god)
elseif(sender == self._items[5]:getChildByName("handBtn"))then
if(globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.wingLevel)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel46")..string.format(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel47"),globalData.newModuleLevelConfig.wingLevel))
return
end
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab4,globalData.allStaticTypes.panelTabType.wing)
elseif(sender == self._items[7]:getChildByName("handBtn"))then
if(globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.spriteLevel)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel46")..string.format(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel47"),globalData.newModuleLevelConfig.spriteLevel))
return
end
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab4,globalData.allStaticTypes.panelTabType.sprite)
elseif(sender == self._items[8]:getChildByName("handBtn"))then
if(globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.fazhenLevel)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel46")..string.format(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel47"),globalData.newModuleLevelConfig.fazhenLevel))
return
end
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab4,globalData.allStaticTypes.panelTabType.fazhen)
elseif(sender == self._items[9]:getChildByName("handBtn"))then
if(globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.longhunLevel)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel46")..string.format(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel47"),globalData.newModuleLevelConfig.longhunLevel))
return
end
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab4,globalData.allStaticTypes.panelTabType.longhun)
end
end
end
self._closeBtn:addTouchEventListener(closeTouchHandler)
for i=1,#self._items do
--		self._items[i]:addTouchEventListener(itemTouchHandler)
self._items[i]:getChildByName("handBtn"):addTouchEventListener(itemHandTouchHandler)
end
end
function FightComparePanel:setCompare(value1,value2,index)
if(value1 > value2)then
self._items[index]:getChildByName("compareImg"):loadTexture("arrow/ui_arrow3.png",1)
self._items[index]:getChildByName("compareLabel"):setColor(globalData.allStaticTypes.colorType.FALSE_COLOR)
else
self._items[index]:getChildByName("compareImg"):loadTexture("arrow/ui_arrow4.png",1)
self._items[index]:getChildByName("compareLabel"):setColor(globalData.allStaticTypes.colorType.TRUE_COLOR)
end
self._items[index]:getChildByName("valueLabel"):setText(value1)
self._items[index]:getChildByName("compareLabel"):setText(value2 - value1)
end
function FightComparePanel:dispose()
globalManager.sourceCacheManager:removeQuote(self._titlePath)
self._titleBg = nil
self._titlePath = nil
globalManager.sourceCacheManager:removeQuote(self._roleBgPath)
self._roleBgPath = nil
globalManager.sourceCacheManager:removeQuote(self._cpSignImgPath)
self._cpSignImgPath = nil
globalManager.sourceCacheManager:removeQuote(self._mySignImgPath)
self._mySignImgPath = nil
self._queryItem = nil
self._closeBtn = nil
self._cpFightLabel = nil
self._myFightLabel = nil
self._cpNameLabel = nil
self._myNameLabel = nil
self._cpSignImg = nil
self._mySignImg = nil
self._blackBg = nil
self._items = nil
if(self._cpCharacter ~= nil)then
self._cpCharacter:dispose()
self._cpCharacter = nil
end
if(self._myCharacter ~= nil)then
self._myCharacter:dispose()
self._myCharacter = nil
end
self._items = nil
globalManager.ccCreator:release(self)
end
RiderComparePanel = class("RiderComparePanel", function(self,queryItem,itemData,type)
local temp = XiaofeiComparePanel:new(queryItem,itemData,type)
return temp
end)
function RiderComparePanel:initView()
self._desLabel1:setText(globalManager.yuyanbaoManager:getYuyanbao("RiderComparePanel.text1"))
self._desLabel2:setText(globalManager.yuyanbaoManager:getYuyanbao("RiderComparePanel.text2"))
self:setSkills({3311,3312,3313,3314,3315,3316})
local myData = globalData.riderItemInfo
local tempInfo = globalData.allTemplates.xiaofeiTemplateList:getTemplate(globalData.allStaticTypes.petXiaofeiType.ZUOQI,self._itemData.stage)
local myTempInfo = globalData.allTemplates.xiaofeiTemplateList:getTemplate(globalData.allStaticTypes.petXiaofeiType.ZUOQI,myData.stage)
self._nameLabel:setText(tempInfo.name)
self._nameLabel:setColor(globalData.allStaticTypes.colorType:getColorByQuality(tempInfo.quality))
local characterInfo = CharacterInfo:new(globalData.allStaticTypes.sourceStaticType.player)
characterInfo.showDefaultCloth = false
characterInfo:setStyleBin(3,self._itemData.stage)
characterInfo:setDefaultAnima(globalData.allStaticTypes.animaInfoList.stand2)
self._character = BaseCharacter:new(characterInfo)
self._character:show(globalData.allStaticTypes.directType.bottom)
local posX, posY = tempInfo:getEffPosition()
self._character:setPosition(globalManager.ccCreator:newPoint(posX, posY + tempInfo:getYoffset()*0.8))
self._showPanel:addNode(self._character)
self:updatePro(myData,tempInfo,myTempInfo)
end
InfoQueryPanel = class("InfoQueryPanel", function(self,queryItem)
local temp = globalManager.ccCreator:newJsonWidget("InfoQueryPanel")
temp._queryItem = queryItem
temp._closeBtn = temp:getChildByName("closeBtn")
temp._nameLabel = temp:getChildByName("nameLabel")
temp._vipIcon = temp:getChildByName("vipIcon")
temp._vipLevelLabel = temp:getChildByName("vipLevelLabel")
temp._tabGroup = TabGroup:new(4)
temp._tabGroup:setPosition(cc.p(137,563))
temp:addChild(temp._tabGroup)
temp._subViews = {}
return temp
end)
function InfoQueryPanel:ctor()
self:initView()
self:initEvent()
end
function InfoQueryPanel:initView()
--打开对应的切卡
local targetIndex = 1
if(globalManager.tipsManager.queryUserType == 0)then
targetIndex = 1
elseif(globalManager.tipsManager.queryUserType == 1)then
targetIndex = 3
elseif(globalManager.tipsManager.queryUserType == 2)then
targetIndex = 2
elseif(globalManager.tipsManager.queryUserType == 4)then
targetIndex = 4
elseif(globalManager.tipsManager.queryUserType == 3)then
targetIndex = 5
elseif(globalManager.tipsManager.queryUserType == 5)then
targetIndex = 6
elseif(globalManager.tipsManager.queryUserType == 6)then
targetIndex = 7
elseif(globalManager.tipsManager.queryUserType == 7)then
targetIndex = 8
end
self._tabGroup:setData({globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel25"),globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel15"),globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel14"),globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel17"),globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel16"),globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel19"),globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel20"),globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel21")},self.setIndex,self,targetIndex)
if(self._queryItem.riderItem == nil  or self._queryItem.riderItem.stage == nil or self._queryItem.riderItem.stage <= 0)then
self._tabGroup:setTabEnable(2,false)
end
if(self._queryItem.petItem == nil or self._queryItem.petItem.stage == nil or self._queryItem.petItem.stage <= 0)then
self._tabGroup:setTabEnable(3,false)
end
if(self._queryItem.godItem == nil or self._queryItem.godItem.stage == nil or self._queryItem.godItem.stage <= 0)then
self._tabGroup:setTabEnable(5,false)
end
if(self._queryItem.wingItem == nil or self._queryItem.wingItem.stage == nil or self._queryItem.wingItem.stage <= 0)then
self._tabGroup:setTabEnable(4,false)
end
if(self._queryItem.spriteItem == nil or self._queryItem.spriteItem.stage == nil or self._queryItem.spriteItem.stage <= 0)then
self._tabGroup:setTabEnable(6,false)
end
if(self._queryItem.fazhenItem == nil or self._queryItem.fazhenItem.stage == nil or self._queryItem.fazhenItem.stage <= 0)then
self._tabGroup:setTabEnable(7,false)
end
if(self._queryItem.longhunItem == nil or self._queryItem.longhunItem.stage == nil or self._queryItem.longhunItem.stage <= 0)then
self._tabGroup:setTabEnable(8,false)
end
self._nameLabel:setText(self._queryItem.playerInfo.nick .. "  Lv." .. self._queryItem.playerInfo.level)
self._vipLevelLabel:setStringValue(self._queryItem.playerInfo.vipLevel)
self._vipIcon:setVisible(self._queryItem.playerInfo.vipLevel >= 2)
self._vipLevelLabel:setVisible(self._queryItem.playerInfo.vipLevel >= 2)
end
function InfoQueryPanel:initEvent()
local function closeTouchHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self:hide()
end
end
self._closeBtn:addTouchEventListener(closeTouchHandler)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_closeOtherPanel,self.hide,self)
end
function InfoQueryPanel:removeEvent()
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.scene_closeOtherPanel,self.hide,self)
end
function InfoQueryPanel:hide()
globalManager.tipsManager:hideInfoQueryPanel()
end
function InfoQueryPanel:setIndex(index)
if(self._subViews[index] == nil)then
local view = nil
if(index == 1)then
view = RoleComparePanel:new(self._queryItem,self._queryItem.playerInfo.level)
elseif(index == 2)then
view = RiderComparePanel:new(self._queryItem,self._queryItem.riderItem,globalData.allStaticTypes.petXiaofeiType.ZUOQI)
elseif(index == 3)then
view = PetComparePanel:new(self._queryItem,self._queryItem.petItem,globalData.allStaticTypes.petXiaofeiType.CHONGWU)
elseif(index == 5)then
view = GodComparePanel:new(self._queryItem,self._queryItem.godItem,globalData.allStaticTypes.petXiaofeiType.SHENBING)
elseif(index == 4)then
view = WingComparePanel:new(self._queryItem,self._queryItem.wingItem,globalData.allStaticTypes.petXiaofeiType.CHIBANG)
elseif(index == 6)then
view = SpriteComparePanel:new(self._queryItem,self._queryItem.spriteItem,globalData.allStaticTypes.petXiaofeiType.JINGLING)
elseif(index == 7)then
view = FazhenComparePanel:new(self._queryItem,self._queryItem.fazhenItem,globalData.allStaticTypes.petXiaofeiType.FAZHEN)
elseif(index == 8)then
view = LonghunComparePanel:new(self._queryItem,self._queryItem.longhunItem,globalData.allStaticTypes.petXiaofeiType.LONGHUN)
end
view:initView()
self._subViews[index] = view
self:addChild(view,9)
end
for k,view in pairs(self._subViews) do
view:setEnabled(k == index)
end
end
function InfoQueryPanel:hideFormClickContainer()
end
function InfoQueryPanel:dispose()
self:removeEvent()
--self._queryItem:clearData()
self._queryItem = nil
self._closeBtn = nil
self._nameLabel = nil
self._vipIcon = nil
self._vipLevelLabel = nil
if(self._tabGroup ~= nil)then
self._tabGroup:dispose()
self._tabGroup = nil
end
for __,view in pairs(self._subViews) do
view:dispose()
end
self._subViews = nil
globalManager.ccCreator:release(self)
end
LonghunComparePanel = class("LonghunComparePanel", function(self,queryItem,itemData,type)
local temp = XiaofeiComparePanel:new(queryItem,itemData,type)
return temp
end)
function LonghunComparePanel:initView()
self._desLabel1:setText(globalManager.yuyanbaoManager:getYuyanbao("LonghunComparePanel.text1"))
self._desLabel2:setText(globalManager.yuyanbaoManager:getYuyanbao("LonghunComparePanel.text2"))
self:setSkills({7111,7112,7113,7114,7115,7116})
local myData = globalData.longhunItemInfo
local tempInfo = globalData.allTemplates.xiaofeiTemplateList:getTemplate(globalData.allStaticTypes.petXiaofeiType.LONGHUN,self._itemData.stage)
local myTempInfo = globalData.allTemplates.xiaofeiTemplateList:getTemplate(globalData.allStaticTypes.petXiaofeiType.LONGHUN,myData.stage)
self._nameLabel:setText(tempInfo.name)
self._nameLabel:setColor(globalData.allStaticTypes.colorType:getColorByQuality(tempInfo.quality))
--法阵形象
self._showEffect = globalManager.effectCreator:create(tonumber(tempInfo:getShowPath()),nil,nil,false)
local color = globalData.allStaticTypes.colorType:getBodyEffectColor(self._itemData.stage)
self._showEffect:setColor(color)
local posX, posY = tempInfo:getEffPosition()
self._showEffect:move2(self._showPanel,posX,posY)
self._showPanel:addNode(self._showEffect)
self._showEffect:play()
self:updatePro(myData,tempInfo,myTempInfo)
end
PetComparePanel = class("PetComparePanel", function(self,queryItem,itemData,type)
local temp = XiaofeiComparePanel:new(queryItem,itemData,type)
return temp
end)
function PetComparePanel:initView()
self._desLabel1:setText(globalManager.yuyanbaoManager:getYuyanbao("PetComparePanel.text1"))
self._desLabel2:setText(globalManager.yuyanbaoManager:getYuyanbao("PetComparePanel.text2"))
self:setSkills({3211,3212,3213,3214,3215,3216})
local myData = globalData.petItemInfo
local tempInfo = globalData.allTemplates.petTemplateList:getTemplate(self._itemData.stage)
local expInfo = globalData.allTemplates.petExpTemplateList:getTemplate(self._queryItem.playerInfo.level)
local myTempInfo = globalData.allTemplates.petTemplateList:getTemplate(myData.stage)
local myExpInfo = globalData.allTemplates.petExpTemplateList:getTemplate(globalData.selfPlayerInfo.level)
self._nameLabel:setText(tempInfo.name)
self._nameLabel:setColor(globalData.allStaticTypes.colorType:getColorByQuality(tempInfo.quality))
local characterInfo = CharacterInfo:new(globalData.allStaticTypes.sourceStaticType.pet)
characterInfo:setStyleBin(1,tempInfo:getShowPath())
characterInfo:setDefaultAnima(globalData.allStaticTypes.animaInfoList.petStand)
self._character = BaseCharacter:new(characterInfo)
self._character:setScale(1.5)
self._character:show(globalData.allStaticTypes.directType.bottom)
local posX, posY = tempInfo:getEffPosition()
self._character:setPosition(globalManager.ccCreator:newPoint(posX,posY))
self._showPanel:addNode(self._character)
self:updatePro(myData,tempInfo,myTempInfo,expInfo,myExpInfo)
end
RoleComparePanel = class("RoleComparePanel", function(self,queryItem,level)
local temp = globalManager.ccCreator:newJsonWidget("RoleCompareView")
temp._queryItem = queryItem
temp._proNameStrs = {
globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel31"),globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel32"),globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel38"),globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel33"),globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel39"),globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel40"),globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel41"),globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel42"),
globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel43"),globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel51"),globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel53"),globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel52")
}
--view
temp._proCon = temp:getChildByName("proCon")
temp._compareBtn = temp:getChildByName("compareBtn")
temp._addFriendBtn = temp:getChildByName("addFriendBtn")
temp._chatBtn = temp:getChildByName("chatBtn")
temp._leagueLabel = temp._proCon:getChildByName("clubLabel")
temp._marryNameLabel = temp._proCon:getChildByName("marryNameLable")
temp._oathNameLabel = temp._proCon:getChildByName("oathNameLable")
temp._oathNameLabel2 = temp._proCon:getChildByName("Label_84430_Copy1")
temp._oathNameLabel2:setText(globalManager.yuyanbaoManager:getYuyanbao("RoleComparePanel.text5"))
temp._proNameLabels = {}
temp._proLabels = {}
for i=1,14 do
table.insert(temp._proNameLabels,temp._proCon:getChildByName("proNameLabel" .. i))
table.insert(temp._proLabels,temp._proCon:getChildByName("proLabel" .. i))
end
temp._roleView = RoleDisplayView:new(level)
temp._roleView._bgPath = globalManager.pathManager:getUISource("outPic/role_bg.png")
--	temp._roleView._roleBg:setSize(globalManager.ccCreator:newSize(448,537))
--temp._roleView._roleBg:setPosition(globalManager.ccCreator:newPoint(216,261))
temp._roleView:hideName()
temp._roleView:setPosition(globalManager.ccCreator:newPoint(156,24))
temp._roleView:setData(queryItem.playerInfo,queryItem.equipList,queryItem.fashionInfo)
temp._roleView:hideVip()
temp:addChild(temp._roleView,9)
temp._proCon:getChildByName("challengTip_Copy0"):getChildByName("Label_84430"):setText(globalManager.yuyanbaoManager:getYuyanbao("RoleComparePanel.text1"))
temp._proCon:getChildByName("Label_84430_Copy6"):setText(globalManager.yuyanbaoManager:getYuyanbao("RoleComparePanel.text2"))
temp._proCon:getChildByName("Label_84430_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("RoleComparePanel.text4"))
return temp
end)
function RoleComparePanel:ctor()
self:initEvent()
end
function RoleComparePanel:initView()
if(self._queryItem.playerInfo.uniteName == nil or self._queryItem.playerInfo.uniteName == "")then
self._leagueLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel75"))
else
self._leagueLabel:setText(self._queryItem.playerInfo.uniteName)
end
local marryName = self._queryItem.playerInfo.marryName
if(marryName == nil or marryName == "")then
self._marryNameLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel75"))
else
self._marryNameLabel:setText(marryName)
end
local oathName = ""
local nameList = self._queryItem.oathItem
if #nameList == 0 then
oathName = ""
elseif #nameList == 1 then
oathName = nameList[1]
else
oathName = nameList[1].."、"..nameList[2]
end
if(oathName == "")then
self._oathNameLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel75"))
else
self._oathNameLabel:setText(oathName)
end
self:updateProLabels()
end
function RoleComparePanel:initEvent()
local function buttonTouchHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(sender == self._compareBtn)then
globalManager.tipsManager:showFightComparePanel(self._queryItem)
elseif(sender == self._addFriendBtn)then
globalManager.menuManager:addFriend(self._queryItem.playerInfo)
elseif(sender == self._chatBtn)then
if(globalManager.menuManager:sendMessage(self._queryItem.playerInfo)) then
globalManager.tipsManager:hideInfoQueryPanel()
end
end
end
end
self._compareBtn:addTouchEventListener(buttonTouchHandler)
self._addFriendBtn:addTouchEventListener(buttonTouchHandler)
self._chatBtn:addTouchEventListener(buttonTouchHandler)
end
function RoleComparePanel:updateProLabels()
for i=1,#self._proNameLabels do
self._proNameLabels[i]:setText(self._proNameStrs[i])
end
self._proLabels[1]:setText(self._queryItem.playerInfo.maxHP)
self._proLabels[2]:setText(self._queryItem.playerInfo.attack)
self._proLabels[3]:setText(self._queryItem.playerInfo.proAttack)
self._proLabels[4]:setText(self._queryItem.playerInfo.defense)
self._proLabels[5]:setText(self._queryItem.playerInfo.proDefense)
self._proLabels[6]:setText(self._queryItem.playerInfo.abilitys[1])
self._proLabels[7]:setText(self._queryItem.playerInfo.abilitys[2])
self._proLabels[8]:setText(self._queryItem.playerInfo.abilitys[3])
self._proLabels[9]:setText(self._queryItem.playerInfo.abilitys[4])
self._proLabels[10]:setText(self._queryItem.playerInfo.hurt)
self._proLabels[11]:setText(self._queryItem.playerInfo.criHurt)
self._proLabels[12]:setText(self._queryItem.playerInfo.sunder)
end
function RoleComparePanel:removeEvent()
end
function RoleComparePanel:dispose()
self:removeEvent()
self._queryItem = nil
self._proNameStrs = nil
self._compareBtn = nil
self._addFriendBtn = nil
self._chatBtn = nil
self._leagueLabel = nil
self._proNameLabels = nil
self._proLabels = nil
self._marryNameLabel = nil
self._oathNameLabel = nil
self._oathNameLabel2 = nil
if(self._roleView ~= nil)then
self._roleView:dispose()
self._roleView = nil
end
globalManager.ccCreator:release(self)
end
SpriteComparePanel = class("SpriteComparePanel", function(self,queryItem,itemData,type)
local temp = XiaofeiComparePanel:new(queryItem,itemData,type)
return temp
end)
function SpriteComparePanel:initView()
self._desLabel1:setText(globalManager.yuyanbaoManager:getYuyanbao("SpriteComparePanel.text1"))
self._desLabel2:setText(globalManager.yuyanbaoManager:getYuyanbao("SpriteComparePanel.text2"))
self:setSkills({3611,3612,3613,3614,3615,3616})
local myData = globalData.spriteItemInfo
local tempInfo = globalData.allTemplates.xiaofeiTemplateList:getTemplate(globalData.allStaticTypes.petXiaofeiType.JINGLING,self._itemData.stage)
local myTempInfo = globalData.allTemplates.xiaofeiTemplateList:getTemplate(globalData.allStaticTypes.petXiaofeiType.JINGLING,myData.stage)
self._nameLabel:setText(tempInfo.name)
self._nameLabel:setColor(globalData.allStaticTypes.colorType:getColorByQuality(tempInfo.quality))
--仙灵形象
self._showEffect = globalManager.effectCreator:create(tonumber(globalData.allTemplates.xiaofeiTemplateList:getTemplate(globalData.allStaticTypes.petXiaofeiType.JINGLING,self._itemData.stage):getShowPath()), nil,nil,false,1.5)
local posX, posY = tempInfo:getEffPosition()
self._showEffect:move2(self._showPanel,posX,posY)
self._showPanel:addNode(self._showEffect)
self._showEffect:play()
self:updatePro(myData,tempInfo,myTempInfo)
end
GodComparePanel = class("GodComparePanel", function(self,queryItem,itemData,type)
local temp = XiaofeiComparePanel:new(queryItem,itemData,type)
return temp
end)
function GodComparePanel:initView()
self._desLabel1:setText(globalManager.yuyanbaoManager:getYuyanbao("GodComparePanel.text1"))
self._desLabel2:setText(globalManager.yuyanbaoManager:getYuyanbao("GodComparePanel.text2"))
self:setSkills({3411,3412,3413,3414,3415,3416})
local myData = globalData.godItemInfo
local tempInfo = globalData.allTemplates.xiaofeiTemplateList:getTemplate(globalData.allStaticTypes.petXiaofeiType.SHENBING,self._itemData.stage)
local myTempInfo = globalData.allTemplates.xiaofeiTemplateList:getTemplate(globalData.allStaticTypes.petXiaofeiType.SHENBING,myData.stage)
self._nameLabel:setText(tempInfo.name)
self._nameLabel:setColor(globalData.allStaticTypes.colorType:getColorByQuality(tempInfo.quality))
self._showEffect = FootShowEffect:new(myTempInfo.templateId)
local posX, posY = tempInfo:getEffPosition()
self._showEffect:setPosition(globalManager.ccCreator:newPoint(posX,posY))
self._showPanel:addChild(self._showEffect,10)
self:updatePro(myData,tempInfo,myTempInfo)
end
WingComparePanel = class("WingComparePanel", function(self,queryItem,itemData,type)
local temp = XiaofeiComparePanel:new(queryItem,itemData,type)
return temp
end)
function WingComparePanel:initView()
self._desLabel1:setText(globalManager.yuyanbaoManager:getYuyanbao("WingComparePanel.text1"))
self._desLabel2:setText(globalManager.yuyanbaoManager:getYuyanbao("WingComparePanel.text2"))
self:setSkills({3511,3512,3513,3514,3515,3516})
local myData = globalData.wingItemInfo
local tempInfo = globalData.allTemplates.xiaofeiTemplateList:getTemplate(globalData.allStaticTypes.petXiaofeiType.CHIBANG,self._itemData.stage)
local myTempInfo = globalData.allTemplates.xiaofeiTemplateList:getTemplate(globalData.allStaticTypes.petXiaofeiType.CHIBANG,myData.stage)
self._nameLabel:setText(tempInfo.name)
self._nameLabel:setColor(globalData.allStaticTypes.colorType:getColorByQuality(tempInfo.quality))
--羽翼形象
self._showEffect = globalManager.effectCreator:create(tonumber(tempInfo:getShowPath()),nil,nil,false)
local posX, posY = tempInfo:getEffPosition()
self._showEffect:move2(self._showPanel,posX,posY)
self._showPanel:addNode(self._showEffect)
self._showEffect:play()
self:updatePro(myData,tempInfo,myTempInfo)
end
XiaofeiComparePanel = class("XiaofeiComparePanel", function(self,queryItem,itemData,type)
local temp = globalManager.ccCreator:newWidget()
temp._queryItem = queryItem
temp._itemData = itemData
temp._infoTipPanel = nil
temp._type = type
temp.infoList = {}
temp._widget = globalManager.ccCreator:newJsonWidget("xiaofeiCompareView")
temp:addChild(temp._widget)
temp._levelLabels = {}
for i = 1,10,1 do
table.insert(temp._levelLabels,temp._widget:getChildByName("level_label"..i))
end
temp._idList = {8, 1, 2, 3, 4, 4}  --遍历服务端属性所用到的协议id
temp._differentList = {5, 9, 12, 6, 11, 10}  --每个系统会返回5个id固定的值，但有一个值的id系统间都不相同，遍历此表，找出此表id对应的值存在的属性付给第六个
temp._proCon = temp._widget:getChildByName("proCon")
temp._skillCon = temp._widget:getChildByName("skillCon")
temp._desLabel1 = temp._proCon:getChildByName("desLabel")
temp._desLabel2 = temp._skillCon:getChildByName("desLabel")
temp._fightLabel = temp._widget:getChildByName("fight_label")
temp._stageLabel = temp._widget:getChildByName("stage_label")
temp.stage_iconbg = temp._widget:getChildByName("stage_iconbg")
temp.stage_iconbg2 = temp._widget:getChildByName("stage_iconbg2")
temp.stage_label2 = temp._widget:getChildByName("stage_label2")
temp.stage_label3 = temp._widget:getChildByName("stage_label3")
temp._nameLabel = temp._widget:getChildByName("nameLabel")
temp._bg = temp._widget:getChildByName("board3_Copy0")
temp._bgPath = globalManager.pathManager:getUISource("outPic/xiaofei_bg.png")
temp._showPanel = temp._widget:getChildByName("show_panel")
temp._skillCells = {}
temp._equipCells = {}
temp._bgCells = {}
for i = 1,6,1 do
local bg = temp._skillCon:getChildByName("skill_bg"..i)
local cell = SkillInfoGrid:new()
bg:addChild(cell)
table.insert(temp._skillCells,cell)
if(i <= 4) then
local bg2 = temp._widget:getChildByName("animaEquip"..i)
local cell2 = FiveEquipInfoGrid:new(2)
bg2:addChild(cell2,3)
table.insert(temp._equipCells,cell2)
bg2:setVisible(false)
table.insert(temp._bgCells,bg2)
end
end
temp._proNameLabels = {}
temp._infoLabels = {}
temp._plusLabels = {}
temp._upIcons = {}
for i = 1,6,1 do
table.insert(temp._proNameLabels,temp._proCon:getChildByName("proNameLabel"..i))
table.insert(temp._infoLabels,temp._proCon:getChildByName("info_label"..i))
table.insert(temp._plusLabels,temp._proCon:getChildByName("plus_label"..i))
table.insert(temp._upIcons,temp._proCon:getChildByName("up_icon"..i))
end
temp._item1Icon = temp._widget:getChildByName("item1_icon")
temp._item1Icon:setVisible(false)
temp._item1Label = temp._item1Icon:getChildByName("item_label")
temp._item1Label:setVisible(false)
temp._item2Icon = temp._widget:getChildByName("item2_icon")
temp._item2Icon:setVisible(false)
temp._item2Label = temp._item2Icon:getChildByName("item_label")
temp._item2Label:setVisible(false)
temp._item1Icon:loadTexture("icon/ui_xiaofei"..type.."1.png",1)
temp._item2Icon:loadTexture("icon/ui_xiaofei"..type.."2.png",1)
temp._item1Label:setText(globalManager.yuyanbaoManager:getYuyanbao("XiaofeiComparePanel.text29").."("..temp._itemData.qianneng..")")
temp._item2Label:setText(globalManager.yuyanbaoManager:getYuyanbao("XiaofeiComparePanel.text30").."("..temp._itemData.chengzhang..")")
temp._fightLabel:setStringValue(temp._itemData.fight)
if(temp._itemData.stage > 10*globalData.allTemplates.xiaofeiTemplateList.STAGE_PRE_STAR) then
temp.stage_iconbg:setVisible(false)
temp.stage_iconbg2:setVisible(true)
temp.stage_label2:setVisible(true)
temp.stage_label3:setVisible(true)
temp._stageLabel:setVisible(false)
temp.stage_label2:setStringValue(math.ceil(temp._itemData.stage / globalData.allTemplates.xiaofeiTemplateList.STAGE_PRE_STAR) - 11)
else
temp.stage_iconbg:setVisible(true)
temp.stage_iconbg2:setVisible(false)
temp.stage_label2:setVisible(false)
temp.stage_label3:setVisible(false)
temp._stageLabel:setVisible(true)
temp._stageLabel:setStringValue(math.ceil(temp._itemData.stage / globalData.allTemplates.xiaofeiTemplateList.STAGE_PRE_STAR) - 1)
end
local level = ((temp._itemData.stage - 1) % globalData.allTemplates.xiaofeiTemplateList.STAGE_PRE_STAR) + 1
local quality = globalData.allTemplates.petTemplateList:getTemplate(temp._itemData.stage).quality
for i = 1,10,1 do
if(i <= level) then
temp._levelLabels[i]:setColor(globalData.allStaticTypes.colorType:getColorByQuality(quality))
else
temp._levelLabels[i]:setColor(globalData.allStaticTypes.colorType.COLORGRAY)
end
end
temp._showEffect = nil
temp._character = nil
return temp
end)
function XiaofeiComparePanel:ctor()
self:initEvent()
globalManager.sourceCacheManager:setImage(self._bg,self._bgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
end
function XiaofeiComparePanel:initView()
end
function XiaofeiComparePanel:initEvent()
for __,cell in pairs(self._skillCells) do
cell:setClickHandler(self,self.showSkillTip)
end
end
function XiaofeiComparePanel:setSkills(skillList)
if(skillList == nil) then return end
for i = 1,6,1 do
local info = globalData.allTemplates.skillTemplateList:getSkillTemplate(skillList[i])
self._skillCells[i]:setGoodsTempInfo(info)
local level = 0
for __,state in pairs(info.upgradeNeedLevel) do
if(self._itemData.stage > state)then
level = level + 1
end
end
self._skillCells[i]:setLevel(level)
end
end
function XiaofeiComparePanel:showSkillTip(grid)
local panelClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
if(self._infoTipPanel ~= nil) then
self._infoTipPanel:dispose()
self._infoTipPanel = nil
end
end
end
self._infoTipPanel = XiaofeiSkillTipPanel:new()
self._infoTipPanel:setSkillInfo(grid:getGoodsTempInfo(),globalManager.commonUtils:getIndexOfTable(self._skillCells,grid) + 2,self._type,self._itemData.stage,grid:getLevel())
self:addChild(self._infoTipPanel)
self._infoTipPanel:addTouchEventListener(panelClickHandler)
end
function XiaofeiComparePanel:updatePro(myData,tempInfo,myTempInfo,expInfo,myExpInfo)
local nameList = {}
if(self._type == globalData.allStaticTypes.petXiaofeiType.CHONGWU) then
nameList = {globalManager.yuyanbaoManager:getYuyanbao("XiaofeiPanel.text3"),
globalManager.yuyanbaoManager:getYuyanbao("XiaofeiPanel.text4"),
globalManager.yuyanbaoManager:getYuyanbao("XiaofeiPanel.text5"),
globalManager.yuyanbaoManager:getYuyanbao("XiaofeiPanel.text6")}
elseif(self._type == globalData.allStaticTypes.petXiaofeiType.ZUOQI) then
nameList = {globalManager.yuyanbaoManager:getYuyanbao("XiaofeiPanel.text7"),
globalManager.yuyanbaoManager:getYuyanbao("XiaofeiPanel.text8"),
globalManager.yuyanbaoManager:getYuyanbao("XiaofeiPanel.text9"),
globalManager.yuyanbaoManager:getYuyanbao("XiaofeiPanel.text10")}
elseif(self._type == globalData.allStaticTypes.petXiaofeiType.CHIBANG) then
nameList = {globalManager.yuyanbaoManager:getYuyanbao("XiaofeiPanel.text11"),
globalManager.yuyanbaoManager:getYuyanbao("XiaofeiPanel.text12"),
globalManager.yuyanbaoManager:getYuyanbao("XiaofeiPanel.text13"),
globalManager.yuyanbaoManager:getYuyanbao("XiaofeiPanel.text14")}
elseif(self._type == globalData.allStaticTypes.petXiaofeiType.SHENBING) then
nameList = {globalManager.yuyanbaoManager:getYuyanbao("XiaofeiPanel.text15"),
globalManager.yuyanbaoManager:getYuyanbao("XiaofeiPanel.text16"),
globalManager.yuyanbaoManager:getYuyanbao("XiaofeiPanel.text17"),
globalManager.yuyanbaoManager:getYuyanbao("XiaofeiPanel.text18")}
elseif(self._type == globalData.allStaticTypes.petXiaofeiType.JINGLING) then
nameList = {globalManager.yuyanbaoManager:getYuyanbao("XiaofeiPanel.text19"),
globalManager.yuyanbaoManager:getYuyanbao("XiaofeiPanel.text20"),
globalManager.yuyanbaoManager:getYuyanbao("XiaofeiPanel.text21"),
globalManager.yuyanbaoManager:getYuyanbao("XiaofeiPanel.text22")}
elseif(self._type == globalData.allStaticTypes.petXiaofeiType.FAZHEN) then
nameList = {globalManager.yuyanbaoManager:getYuyanbao("XiaofeiPanel.text23"),
globalManager.yuyanbaoManager:getYuyanbao("XiaofeiPanel.text24"),
globalManager.yuyanbaoManager:getYuyanbao("XiaofeiPanel.text25"),
globalManager.yuyanbaoManager:getYuyanbao("XiaofeiPanel.text26")}
elseif(self._type == globalData.allStaticTypes.petXiaofeiType.LONGHUN) then
nameList = {globalManager.yuyanbaoManager:getYuyanbao("XiaofeiPanel.text27"),
globalManager.yuyanbaoManager:getYuyanbao("XiaofeiPanel.text28"),
globalManager.yuyanbaoManager:getYuyanbao("XiaofeiPanel.text29"),
globalManager.yuyanbaoManager:getYuyanbao("XiaofeiPanel.text30")}
end
for i = 1,4,1 do
self._bgCells[i]:setVisible(true)
if(self._itemData.fiveEquip[i] ~= nil) then
local info = FiveEquipInfo:new()
info:setTemplateId(self._itemData.fiveEquip[i][1])
info.level = self._itemData.fiveEquip[i][2]
info.stage = self._itemData.fiveEquip[i][3]
self._equipCells[i]:setInfo(info)
table.insert(self.infoList,info)
else
self._bgCells[i]:getChildByName("label"):setText(nameList[i])
end
end
for i = 1,6 do
if(tempInfo.baseAttrs[i] ~= nil)then
self._proNameLabels[i]:setText(globalData.allStaticTypes.propertyType:getNameByType(tempInfo.baseAttrs[i].propertyId))
local value1 = 0
local value2 = 0
if i == 6 then
for k, v in pairs(self._differentList) do
if self._itemData.valueList[v] then
value1 = self._itemData.valueList[v]
end
if(myData.valueList ~= nil)then
if myData.valueList[v] then
value2 = myData.valueList[v]
end
end
end
else
if self._itemData.valueList[self._idList[i]]  then
value1 = self._itemData.valueList[self._idList[i]]
end
if(myData.valueList ~= nil)then
value2 = myData.valueList[self._idList[i]]
end
end
local delta = value1 - value2
if(delta > 0)then
self._upIcons[i]:loadTexture("arrow/ui_arrow3.png",1)
self._plusLabels[i]:setColor(globalData.allStaticTypes.colorType.FALSE_COLOR)
else
self._upIcons[i]:loadTexture("arrow/ui_arrow4.png",1)
self._plusLabels[i]:setColor(globalData.allStaticTypes.colorType.TRUE_COLOR)
end
self._infoLabels[i]:setText(value1)
self._plusLabels[i]:setText(tostring(-delta))
else
self._proNameLabels[i]:setVisible(false)
self._infoLabels[i]:setVisible(false)
self._plusLabels[i]:setVisible(false)
self._upIcons[i]:setVisible(false)
end
end
end
function XiaofeiComparePanel:dispose()
self._levelLabels = nil
self._queryItem = nil
self._itemData = nil
self._bgImage = nil
self._proCon = nil
self._skillCon = nil
self._desLabel1 = nil
self._desLabel2 = nil
self._fightLabel = nil
self._stageLabel = nil
self.stage_iconbg = nil
self.stage_iconbg2 = nil
self.stage_label2 = nil
self.stage_label3 = nil
self._nameLabel = nil
self._proNameLabels = nil
self._infoLabels = nil
self._plusLabels = nil
self._upIcons = nil
self._item1Icon = nil
self._item1Label = nil
self._item2Icon = nil
self._item2Label = nil
self._showPanel = nil
globalManager.sourceCacheManager:removeQuote(self._bgPath)
self._bgPath = nil
self._bg = nil
if(self._infoTipPanel ~= nil) then
self._infoTipPanel:dispose()
self._infoTipPanel = nil
end
if(self._character ~= nil)then
self._character:dispose()
self._character = nil
end
if(self._showEffect ~= nil)then
self._showEffect:dispose()
self._showEffect = nil
end
if(self.infoList ~= nil) then
for __,info in pairs(self.infoList) do
info:dispose()
end
self.infoList = nil
end
if(self._equipCells ~= nil) then
for __,cell in pairs(self._equipCells) do
cell:dispose()
end
self._equipCells = nil
end
self._bgCells = nil
for __,grid in pairs(self._skillCells) do
grid:dispose()
end
self._skillCells = nil
globalManager.ccCreator:release(self._widget)
self._widget = nil
globalManager.ccCreator:release(self)
end
BaseMenu = class("BaseMenu", function(self)
local temp = globalManager.ccCreator:newWidget()
temp.background = globalManager.ccCreator:newImageView("board/ui_board4.png", 1)
temp.background:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[7])
temp.background:setScale9Enabled(true)
temp.background:setCapInsets(globalManager.ccCreator:newRect(30,39,1,1))
temp:addChild(temp.background)
temp._itemList = {}
--data
temp._currentWidth = 200
temp._currentHeight = 200
return temp
end)
function BaseMenu:ctor()
self:initEvent()
end
function BaseMenu:initView(menuDatas)
local len = table.getn(menuDatas)
for i=1,len do
local item = MenuItem:new()
item:setData(menuDatas[i][1],menuDatas[i][2])
self:addChild(item)
table.insert(self._itemList, item)
item:setPosition(globalManager.ccCreator:newPoint((i - 1) % 2 * 80 + 60,math.ceil((math.ceil(len / 2) * 2 - (i - 1)) / 2) * 80))
end
self._currentHeight = math.ceil((len + 2) / 2) * 80
self.background:setSize(globalManager.ccCreator:newSize(self._currentWidth,self._currentHeight))
end
function BaseMenu:initEvent()
end
function BaseMenu:setPos(pos)
if(self._currentHeight + pos.y > globalData.GAME_HEIGHT)then
pos.y = globalData.GAME_HEIGHT - self._currentHeight
end
if(pos.x < 0)then
pos.x = 0
elseif(pos.x > (globalData.GAME_WIDTH - self._currentWidth))then
pos.x = globalData.GAME_WIDTH - self._currentWidth
end
self:setPosition(pos)
end
function BaseMenu:hideFormClickContainer()
globalManager.menuManager:hide()
end
function BaseMenu:dispose()
globalData.uiClickContainer:close(self)
for __,item in pairs(self._itemList) do
item:dispose()
end
self._itemList = nil
globalManager.ccCreator:release(self.background)
self.background = nil
globalManager.ccCreator:release(self)
end
MenuItem = class("MenuItem", function(self)
local temp = globalManager.ccCreator:newImageView()
temp:setTouchEnabled(true)
temp.type = 0
temp.data = nil
return temp
end)
function MenuItem:ctor()
self:initEvent()
end
function MenuItem:initEvent()
local function touchHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
local data = {type = self.type,data = self.data}
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_menuTouch,globalManager.gameDispatcher,data))
end
end
self:addTouchEventListener(touchHandler)
end
function MenuItem:setData(type,data)
self.type = type
self.data = data
self:loadTexture(globalData.allStaticTypes.menuType:getIcon(type),1)
end
function MenuItem:dispose()
globalManager.ccCreator:release(self)
end
PlayerMenu = class("PlayerMenu", function(self)
local temp = BaseMenu:new()
return temp
end)
function PlayerMenu:ctor()
end
function PlayerMenu:show(playerInfo,fromeType)
local menuDatas = {}
local menuType = globalData.allStaticTypes.menuType
table.insert(menuDatas, {menuType.sendMessage,playerInfo}) --发送聊天
table.insert(menuDatas, {menuType.showPlayerInfo,playerInfo}) --显示信息
-- if(playerInfo.level >= globalData.newModuleLevelConfig.home and globalData.selfPlayerInfo.level >= globalData.newModuleLevelConfig.home)then
-- 	table.insert(menuDatas, {menuType.friendHome,playerInfo}) --好友家园
-- end
--是否好友
if(not globalData.friendList:isFriend(playerInfo.userId))then
table.insert(menuDatas, {menuType.addFriend,playerInfo}) --添加好友
end
table.insert(menuDatas, {menuType.compareFight,playerInfo})--战力对比
if(fromeType == menuType.fromChat)then
elseif(fromeType == menuType.fromFriend)then
--是否好友
if(globalData.friendList:isFriend(playerInfo.userId))then
table.insert(menuDatas, {menuType.deleteFriend,playerInfo}) --删除好友
end
end
self:initView(menuDatas)
end
NpcPanelDialogItemView = class("NpcPanelDialogItemView",function()
local np = globalManager.ccCreator:newJsonWidget("npcDialogItem")
np.map = np:getChildByName("Panel_2748")
np.icon_view = np:getChildByName("icon_view")
np.content_field = np:getChildByName("content_field")
np.content_field:setColor(globalData.allStaticTypes.colorType.TRUE_COLOR)
--triggerInfo
np.funcInfo = nil
--taskItemInfo
np.taskInfo = nil
--taskTemplateInfo
np.taskTemplateInfo = nil
--1:task,2:func
np.type = -1
np.taskId = 0
return np
end)
function NpcPanelDialogItemView:setFuncInfo(data )
self.type = 2
self.funcInfo = data
if(self.funcInfo.actionType == globalData.allStaticTypes.triggerEventType.enterCopy)then
self.icon_view:loadTexture("icon/ui_npcFuncIcon.png",1)
elseif(self.funcInfo.actionType == globalData.allStaticTypes.triggerEventType.enterWar)then
self.icon_view:loadTexture("icon/ui_npcFuncIcon.png",1)
else
self.icon_view:loadTexture("icon/ui_npcFuncIcon.png",1)
end
self.content_field:setText(self.funcInfo.describe)
end
function NpcPanelDialogItemView:setTaskInfo(data )
self.type = 1
self.taskInfo = data
self.taskId = data.taskId
local state = self.taskInfo.state
if(state == globalData.allStaticTypes.taskStaticInfo.acceptNotFinish)then
self.icon_view:loadTexture("icon/ui_npcTaskIcon1.png",1)
elseif(state == globalData.allStaticTypes.taskStaticInfo.finishNotSubmit)then
self.icon_view:loadTexture("icon/ui_npcTaskIcon3.png",1)
end
self.content_field:setText(self.taskInfo:getTemplate().title)
end
function NpcPanelDialogItemView:setTaskTemplateInfo(data)
self.type = 1
self.taskTemplateInfo = data
self.taskId = data.taskId
self.icon_view:loadTexture("icon/ui_npcTaskIcon2.png",1)
self.content_field:setText(self.taskTemplateInfo.title)
end
function NpcPanelDialogItemView:dispose()
self.icon_view = nil
self.content_field = nil
self.funcInfo = nil
self.taskInfo = nil
self.taskTemplateInfo = nil
globalManager.ccCreator:release(self)
end
NpcPanelDialogView = class("NpcPanelDialogView",function(self)
local np = globalManager.ccCreator:newJsonWidget("npcDialogPanel")
np.content_field = np:getChildByName("content_field")
np.npcTemplate = nil
np.items = {}
np.list_view = np:getChildByName("list_view")
np.randomLabel = np:getChildByName("randomLabel")
np.timeDownLabel = np:getChildByName("timeDownLabel")
np.tipsLabel = np:getChildByName("label")
np.tipsBar = np:getChildByName("titleBar1_Copy1")
np.count = 0
np.totalCount = 10
return np
end)
function NpcPanelDialogView:clean()
local len = table.getn(self.items)
for i = 1,len,1 do
self.items[i]:dispose()
end
self.list_view:removeAllItems()
self.items = {}
end
function NpcPanelDialogView:setInfo(npcTemplate,canSubmitList,canAcceptList,cantSubmitList,triggers)
self:clean()
local itemClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(sender.type == 1)then
--任务
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.npcPanel_change, sender, sender.taskId))
elseif(sender.type == 2)then
globalManager.triggerManager:handler(sender.funcInfo)
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.npcPanel_close,globalManager.gameDispatcher,nil))
end
end
end
self.npcTemplate = npcTemplate
self.content_field:setText(self.npcTemplate:getDialog())
local len = table.getn(canSubmitList)
for i = 1,len,1 do
local item = NpcPanelDialogItemView:new()
item:setTaskInfo(canSubmitList[i])
table.insert(self.items,item)
self.list_view:pushBackCustomItem(item)
item:addTouchEventListener(itemClickHandler)
end
local len = table.getn(canAcceptList)
for i = 1,len,1 do
local item = NpcPanelDialogItemView:new()
item:setTaskTemplateInfo(canAcceptList[i])
table.insert(self.items,item)
self.list_view:pushBackCustomItem(item)
item:addTouchEventListener(itemClickHandler)
end
local len = table.getn(cantSubmitList)
for i = 1,len,1 do
local item = NpcPanelDialogItemView:new()
item:setTaskInfo(cantSubmitList[i])
table.insert(self.items,item)
self.list_view:pushBackCustomItem(item)
item:addTouchEventListener(itemClickHandler)
end
local len = table.getn(triggers)
for i = 1,len,1 do
local item = NpcPanelDialogItemView:new()
item:setFuncInfo(triggers[i])
table.insert(self.items,item)
self.list_view:pushBackCustomItem(item)
item:addTouchEventListener(itemClickHandler)
end
local len = table.getn(self.items)
if(len <= 0)then
self.randomLabel:setVisible(true)
self.timeDownLabel:setVisible(true)
self.tipsLabel:setVisible(true)
self.tipsBar:setVisible(true)
local desId = math.random(1001801,1001899)
self.randomLabel:setText(globalManager.descriptManager:getDescript(tostring(desId)))
self.timeDownLabel:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("NpcPanelDialogView.text1"),10))
self.count      = 0
self.totalCount = 10
globalManager.tickManager:addTick(self.tick,self)
else
self.randomLabel:setVisible(false)
self.timeDownLabel:setVisible(false)
self.tipsLabel:setVisible(false)
self.tipsBar:setVisible(false)
end
end
function NpcPanelDialogView:tick()
self.count = self.count + 1
if(self.count > 60)then
self.count      = 0
self.totalCount = self.totalCount - 1
self.timeDownLabel:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("NpcPanelDialogView.text1"),self.totalCount))
end
if(self.totalCount <= 0)then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.npcPanel_close,globalManager.gameDispatcher,nil))
end
end
function NpcPanelDialogView:clearTick()
globalManager.tickManager:removeTick(self.tick,self)
end
function NpcPanelDialogView:dispose()
self:clean()
end
NpcPanelTaskView = class("NpcPanelTaskView",function(self)
local np = globalManager.ccCreator:newJsonWidget("npcTaskPanel")
np.title_field = np:getChildByName("title_field")
np.content_field = np:getChildByName("content_field")
np.exp_field = np:getChildByName("exp_field")
np.copper_field = np:getChildByName("copper_field")
np.taskBtn = np:getChildByName("btn")
np.btnLabel = np.taskBtn:getChildByName("btnLabel")
np.copperIcon = np:getChildByName("ImageView_2738")
np.cellBg = {}
for i=1,2,1 do
table.insert(np.cellBg,np:getChildByName("cell_bg" .. i))
np.cellBg[i]:retain()
end
np.cell = {}
np._fingerEffect = nil
np.clickPanel = np:getChildByName("click_panel")
np.btnState = 0
np.taskId = 0
np.taskInfo = nil
np.template = nil
np:getChildByName("reward_field"):setText(globalManager.yuyanbaoManager:getYuyanbao("NpcPanelTaskView.text3"))
np.btnLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("NpcPanelTaskView.text4"))
return np
end)
function NpcPanelTaskView:ctor()
self:initEvent()
end
function NpcPanelTaskView:initEvent()
local clickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
globalData:closeMainMenu()
if(self.taskId == 0)then return end
if(self.btnState == 1)then
globalData.messageAdder:sendAcceptTask(self.taskId)
elseif(self.btnState == 2)then
globalData.messageAdder:sendSubmitTask(self.taskId)
end
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.npcPanel_close,globalManager.gameDispatcher,nil))
end
end
self.taskBtn:addTouchEventListener(clickHandler)
self.clickPanel:addTouchEventListener(clickHandler)
end
function NpcPanelTaskView:setData(taskId)
self.taskId = taskId
self.template = globalData.allTemplates.taskTemplateList:getTask(taskId)
self.taskInfo = globalData.taskItemList:getTask(taskId)
local mission = nil
local hideEffect = false
if(self.taskInfo == nil)then
self.taskBtn:setEnabled(true)
self.btnLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("NpcPanelTaskView.text1"))
self.btnState = 1
mission = self.template:getFirstMission()
self.content_field:setText(globalManager.descriptManager:getDescript(self.template:getAcceptContent()))
else
if(self.taskInfo.state == globalData.allStaticTypes.taskStaticInfo.finishNotSubmit)then
self.taskBtn:setEnabled(true)
self.btnLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("NpcPanelTaskView.text2"))
self.btnState = 2
else
self.taskBtn:setEnabled(false)
self.btnState = 0
hideEffect = true
if(self._fingerEffect ~= nil) then
self._fingerEffect:dispose()
self._fingerEffect = nil
end
end
mission = self.taskInfo:getCurrentMission()
self.content_field:setText(globalManager.descriptManager:getDescript(mission:getFinishContent()))
end
self.title_field:setText("["..self.template:getTypeString().."]"..self.template.title)
self.exp_field:setText(tostring(mission.awardExp))
if(mission.awardCopper == 0) then
self.copperIcon:setVisible(false)
self.copper_field:setText("")
else
self.copperIcon:setVisible(true)
self.copper_field:setText(tostring(mission.awardCopper))
end
local itemList = mission:getAwardList()
for i = 1,2,1 do
if(itemList[i] ~= nil) then
if(self.cellBg[i]:getParent() == nil) then
self:addChild(self.cellBg[i],2)
end
if(self.cell[i] == nil) then
self.cell[i] = GoodsInfoGrid:new()
self.cellBg[i]:addChild(self.cell[i])
end
self.cell[i]:setGoodsTempInfo(globalData.allTemplates.goodsTemplateList:getTemplate(itemList[i].templateId))
self.cell[i]:setCount(itemList[i].count)
if(globalData.allStaticTypes.categoryType:IsEquip(globalData.allTemplates.goodsTemplateList:getTemplate(itemList[i].templateId).categoryId)) then
self.cell[i]:setQualityEffect(6)
else
self.cell[i]:setQualityEffect(-1)
end
else
if(self.cellBg[i]:getParent() ~= nil) then
self.cellBg[i]:removeFromParent(false)
end
end
end
if(hideEffect) then return end
if(globalData.selfPlayerInfo.level <= 50) then
if(self._fingerEffect == nil) then
self._fingerEffect = globalManager.effectCreator:create(104)
self._fingerEffect:move2(self,140,-49)
self._fingerEffect:play()
self:addNode(self._fingerEffect,1)
end
--		local yellowBoard = GuideYellowBoard:new()
--		yellowBoard:showTip(globalData.GAME_WIDTH*0.5 + 264,globalData.GAME_HEIGHT*0.5 - 100)
else
if(self._fingerEffect ~= nil) then
self._fingerEffect:dispose()
self._fingerEffect = nil
end
end
end
function NpcPanelTaskView:dispose()
if(self._fingerEffect ~= nil)then
self._fingerEffect:dispose()
self._fingerEffect = nil
end
self.title_field = nil
self.content_field = nil
self.exp_field = nil
for i=1,2,1 do
if(self.cell[i] ~= nil) then
self.cell[i]:dispose()
self.cell[i] = nil
end
end
for i = 1,2,1 do
self.cellBg[i]:release()
self.cellBg[i] = nil
end
self.cellBg = {}
self.copper_field = nil
self.taskInfo = nil
self.template = nil
globalManager.ccCreator:release(self)
end
NpcPanelView = class("NpcPanelView",function()
local np = globalManager.ccCreator:newJsonWidget("npcPanel")
np.bg       = np:getChildByName("bg")
np.bgPath   = globalManager.pathManager:getUISource("outPic/ui_npcBg.png")
np.npcName_field = np:getChildByName("npcName_field")
np.viewLayer = np:getChildByName("view_layer")
np.closeBtn = np:getChildByName("closeBtn")
--npcTemplateInfo
np.npcInfo = nil
np.npcId = nil
np.dialogView = nil
np.taskView = nil
np.isNotClearHideFormClickContainer = true
np.currentTimesNums = {}
np.nextTimeNums = 0
return np
end)
function NpcPanelView:ctor()
globalManager.sourceCacheManager:setImage(self.bg,self.bgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
end
function NpcPanelView:initEvent()
local closeClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self:hide()
end
end
self.closeBtn:addTouchEventListener(closeClickHandler)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.npcPanel_close,self.doClose,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.npcPanel_change,self.changeToTask,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_reConnect,self.doClose,self)
end
function NpcPanelView:removeEvent()
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.npcPanel_close,self.doClose,self)
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.npcPanel_change,self.changeToTask,self)
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.scene_reConnect,self.doClose,self)
end
function NpcPanelView:doClose(evt)
self:hide()
end
function NpcPanelView:hideFormClickContainer()
self:hide()
end
function NpcPanelView:setInfo(npcId)
self:initEvent()
if(self.npcId ~= npcId) then
self.npcId = npcId
self.npcInfo = globalData.allTemplates.npcTemplateList:getNpc(npcId)
self.npcName_field:setText(self.npcInfo.name)
self.nextTimeNums = globalData.systemDateInfo:getSystemTime() * 0.001
if(self.currentTimesNums[npcId] == nil or self.nextTimeNums - self.currentTimesNums[npcId] > math.random(90,150))then
globalManager.soundManager:playSound(self.npcInfo.npcTalk,false,true)
self.currentTimesNums[npcId] = self.nextTimeNums
end
end
local notSubmitList = globalData.taskItemList:getTaskNotSubmitByNpcId(npcId )
local canSubmitList = notSubmitList["canSubmit"]
local cantSubmitList = notSubmitList["cantSubmit"]
local canAcceptList = globalData.taskItemList:getCanAcceptByNpcId(npcId)
local canSubmitLen = table.getn(canSubmitList)
local cantSubmitLen = table.getn(cantSubmitList)
local canAcceptLen = table.getn(canAcceptList)
local triggers = self.npcInfo.triggers
local triggerLen = table.getn(self.npcInfo.triggers)
if(triggerLen == 0 and (canSubmitLen + cantSubmitLen + canAcceptLen) == 1)then
--只有一个任务,没有触发事件
if(nil ~= self.dialogView and self.dialogView:getParent() ~= nil) then
self.dialogView:removeFromParent(false)
end
if(nil == self.taskView) then
self.taskView = NpcPanelTaskView:new()
end
if(canSubmitLen == 1)then
self.taskView:setData(canSubmitList[1].taskId)
elseif(cantSubmitLen == 1)then
self.taskView:setData(cantSubmitList[1].taskId)
else
self.taskView:setData(canAcceptList[1].taskId)
end
if(self.taskView:getParent() == nil) then
self.viewLayer:addChild(self.taskView,2)
end
else
if(nil ~= self.taskView and self.taskView:getParent() ~= nil) then
self.taskView:removeFromParent(false)
end
if(nil == self.dialogView) then
self.dialogView = NpcPanelDialogView:new()
end
self.dialogView:setInfo(self.npcInfo,canSubmitList,canAcceptList,cantSubmitList,triggers)
if(self.dialogView:getParent() == nil) then
self.viewLayer:addChild(self.dialogView)
end
end
end
function NpcPanelView:changeToTask(evt)
local taskId = evt.data
if(self.dialogView ~= nil and self.dialogView:getParent() ~= nil) then
self.dialogView:removeFromParent(false)
end
if(self.taskView == nil)then
self.taskView = NpcPanelTaskView:new()
end
if(self.taskView:getParent() == nil) then
self.viewLayer:addChild(self.taskView)
end
self.taskView:setData(taskId)
end
function NpcPanelView:hide()
if(self.dialogView ~= nil) then
self.dialogView:clearTick()
end
self:removeEvent()
globalManager.containerManager:hideNpcPanel()
end
function NpcPanelView:dispose()
self:hide()
end
BaseProgressBar = class("BaseProgressBar",function(__,executor,callback)
local np = globalManager.ccCreator:newJsonWidget("progressBar")
np.bar = np:getChildByName("bar")
np.slider = np:getChildByName("sliderIcon")
np.label = nil
np.totalTime = 0
np.startTime = 0
--1:采集
np.type = -1
np.executor = executor
np.callback = callback
return np
end)
--设置时间 ms
function BaseProgressBar:setTime(time,type,title)
self.startTime = globalData.systemDateInfo:getSystemTime()
self.totalTime = time
self.type = type
self.bar:setPercent(0)
self.slider:setPositionX(20)
if(title ~= nil) then
if(self.label == nil) then
self.label = globalManager.ccCreator:newLabel()
self.label:setPosition(globalManager.ccCreator:newPoint(122,44))
self:addChild(self.label)
end
self.label:setText(title)
else
if(self.label ~= nil) then
globalManager.ccCreator:release(self.label)
self.label = nil
end
end
globalManager.tickManager:addTick(self.tick,self)
end
function BaseProgressBar:tick(delta, tickCount)
local percent = math.floor((globalData.systemDateInfo:getSystemTime() - self.startTime) / self.totalTime * 100)
if(percent < 0 or percent >= 100) then
globalManager.tickManager:removeTick(self.tick,self)
if(self.executor ~= nil and self.callback ~= nil) then
self.callback(self.executor)
else
self:hide()
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.progress_complete,globalManager.gameDispatcher,self.type))
end
return
end
self.bar:setPercent(percent)
self.slider:setPositionX(20 + 2.06*percent)
end
function BaseProgressBar:hide()
globalManager.tickManager:removeTick(self.tick,self)
if(self:getParent() ~= nil)then
self:getParent():removeChild(self,false)
end
end
function BaseProgressBar:dispose()
self.executor = nil
self.callback = nil
globalManager.tickManager:removeTick(self.tick,self)
self.bar = nil
self.slider = nil
if(self.label ~= nil) then
globalManager.ccCreator:release(self.label)
self.label = nil
end
globalManager.ccCreator:release(self)
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.progress_dispose,globalManager.gameDispatcher,nil))
end
--
-- Date: 2014-04-28 19:50:39
-- 快速购买面板
--
QuickBuyPanel = class("QuickBuyPanel", function(self)
local temp = BasePanel:new()
--data
temp._goodsTemplateId = 0
temp._shopTemplateInfo = nil
return temp
end)
function QuickBuyPanel:show(goodsTemplateId,buyNum,buyAndUse)
--default values
buyNum = buyNum or 1
buyAndUse = buyAndUse or false
local shopType = globalData.allStaticTypes.shopType.SHOP_FORGE
self._goodsTemplateId = goodsTemplateId
self._shopTemplateInfo = globalData.allTemplates.shopTemplateList:getShopList(shopType):getShopGoodsTemplateInfo(goodsTemplateId)
local numCallBack = function(goodsInfo,count)
if(count <= 0)then
return globalManager.yuyanbaoManager:getYuyanbao("QuickBuyPanel.text1")
end
-- globalData.messageAdder:goodsBuy(goodsInfo.shopId,count,false)
return globalManager.goodsInfoTester:goodsBuy(self._shopTemplateInfo, count, buyAndUse)
end
if(self._shopTemplateInfo ~= nil)then
globalManager.containerManager:getNumberPanel():showShopGoodsTemplate(self._shopTemplateInfo,numCallBack,buyAndUse,999,buyNum)
else
print(shopType .. globalManager.yuyanbaoManager:getYuyanbao("QuickBuyPanel.text2") .. goodsTemplateId)
end
end
BaseQuickIcon = class("BaseQuickIcon", function(self)
local temp = globalManager.ccCreator:newButton()
temp:setTouchEnabled(true)
temp.countLabel = globalManager.ccCreator:newLabel()
temp.countLabel:setFontSize(16)
temp.countLabel:setPosition(cc.p(22,29))
temp:addChild(temp.countLabel,3)
temp.popIcon = globalManager.ccCreator:newImageView("icon/ui_numTipIcon.png",1)
temp.popIcon:setPosition(cc.p(23,27))
temp.popIcon:setScale(1.5)
temp:addChild(temp.popIcon,2)
--callback
temp.touchCallback = nil
return temp
end)
function BaseQuickIcon:ctor()
self:initEvent()
end
function BaseQuickIcon:initEvent()
local function touchHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
globalData:closeMainMenu()
if(self.touchCallback)then
self.touchCallback()
end
end
end
self:addTouchEventListener(touchHandler)
end
function BaseQuickIcon:setCallback(callback)
self.touchCallback = callback
end
function BaseQuickIcon:setIconPath(path)
self:loadTextureNormal(path,1)
end
function BaseQuickIcon:setCount(value)
if(value ~= nil and value > 0)then
self.countLabel:setText(tostring(value))
self.popIcon:setVisible(true)
else
self.countLabel:setText("")
self.popIcon:setVisible(false)
end
end
function BaseQuickIcon:dispose()
globalManager.ccCreator:release(self.countLabel)
globalManager.ccCreator:release(self.popIcon)
self.popIcon = nil
self.countLabel = nil
self.touchCallback = nil
globalManager.ccCreator:release(self)
end
ChatQuickIcon = class("ChatQuickIcon", function(self)
local temp = BaseQuickIcon:new()
return temp
end)
function ChatQuickIcon:ctor()
self:setCallback(self.touchHandler)
self:setIconPath("icon/ui_chatQuickIcon.png")
end
function ChatQuickIcon:touchHandler()
local playerId = globalData.chatItemList:getAUnreadPlayerId()
if(playerId == nil) then return end
local friendInfo = globalData.friendList:getPlayer(playerId)
if(friendInfo == nil)then return end
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab3)
--	globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.friend_select,globalManager.gameDispatcher,playerId))
end
FriendQuickIcon = class("FriendQuickIcon", function(self)
local temp = BaseQuickIcon:new()
return temp
end)
function FriendQuickIcon:ctor()
self:setCallback(self.touchHandler)
self:setIconPath("icon/ui_friendQuickIcon.png")
end
function FriendQuickIcon:touchHandler()
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.quickIcon_responsePanel, globalManager.gameDispatcher, 1))
end
--
-- 邮件提示图标
-- Date: 2014-05-12 17:04:34
--
MailQuickIcon = class("MailQuickIcon", function(self)
local temp = BaseQuickIcon:new()
return temp
end)
function MailQuickIcon:ctor()
self:setCallback(self.touchHandler)
self:setIconPath("icon/ui_mailQuickIcon.png")
end
function MailQuickIcon:touchHandler()
globalManager.moduleManager:addModule(globalData.allStaticTypes.moduleType.letter,nil,false)
end
QuickIconContainer = class("QuickIconContainer", function(self)
local temp = globalManager.ccCreator:newNode()
temp.friendIcon = nil
temp.chatIcon = nil
temp.mailIcon = nil
temp.skillIcon = nil
temp.plusIcon = nil
temp.resupdate = nil
return temp
end)
function QuickIconContainer:ctor()
self:initEvent()
self:checkPlus()
end
function QuickIconContainer:initEvent()
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.quickIcon_friend,self.friendIconUpdate,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.quickIcon_chat,self.chatIconUpdate,self)
globalData.letterInfoList:addEventListener(globalData.globalEventType.playerInfo_letterAdd,self.mailIconUpdate,self)
globalData.letterInfoList:addEventListener(globalData.globalEventType.playerInfo_letterRead,self.mailIconUpdate,self)
globalData.letterInfoList:addEventListener(globalData.globalEventType.playerInfo_letterDelete,self.mailIconUpdate,self)
globalData.letterInfoList:addEventListener(globalData.globalEventType.playerInfo_letterAttach,self.mailIconUpdate,self)
globalManager.playerInfoTester:addEventListener(globalData.globalEventType.quickIcon_skill,self.warmIconUpdate,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_showQuickIcon, self.showQuickBtn,self)
globalData.selfPlayerInfo:addEventListener(globalData.globalEventType.playerInfo_level,self.checkPlus,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_reConnect,self.reConnect,self)
globalData.welfareInfo:addEventListener(globalData.globalEventType.playerInfo_loadPlusUpdate,self.checkPlus,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.playerInfo_selfInfo,self.checkPlus,self)
end
function QuickIconContainer:reConnect(evt)
if(self:getParent() == nil) then
globalManager.containerManager.fixUIContainer.addChild(self)
end
if(self.friendIcon ~= nil)then
self.friendIcon:dispose()
self.friendIcon = nil
end
if(self.chatIcon ~= nil)then
self.chatIcon:dispose()
self.chatIcon = nil
end
if(self.mailIcon ~= nil)then
self.mailIcon:dispose()
self.mailIcon = nil
end
if(self.skillIcon ~= nil)then
self.skillIcon:dispose()
self.skillIcon = nil
end
if(self._plusIcon ~= nil) then
globalManager.ccCreator:release(self._plusIcon)
self._plusIcon = nil
end
self:update()
end
function QuickIconContainer:update(evt)
local count = 0
if(self._plusIcon ~= nil) then
self._plusIcon:setPositionX(-80*count)
count = count + 1
end
if(self.mailIcon ~= nil)then
self.mailIcon:setPositionX(-80*count)
count = count + 1
end
if(self.skillIcon ~= nil)then
self.skillIcon:setPositionX(-80*count)
count = count + 1
end
if(self.friendIcon ~= nil)then
self.friendIcon:setPositionX(-80*count)
count = count + 1
end
if(self.chatIcon ~= nil)then
self.chatIcon:setPositionX(-80*count)
count = count + 1
end
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_quickIconUpdate,globalManager.gameDispatcher,80*count))
end
function QuickIconContainer:showQuickBtn(evt)
local isShow = not evt.data
if(isShow) then
if(self:getParent() == nil) then
globalManager.containerManager.fixUIContainer:addChild(self)
end
else
if(self:getParent() ~= nil) then
self:removeFromParent(false)
end
end
end
--好友图标更新
function QuickIconContainer:friendIconUpdate()
local len = table.getn(globalData.responseInfoList:getList(1))
if(len > 0)then
if(self.friendIcon == nil)then
self.friendIcon = FriendQuickIcon:new()
self:addChild(self.friendIcon)
self:update()
end
self.friendIcon:setCount(len)
elseif(self.friendIcon ~= nil)then
self.friendIcon:dispose()
self.friendIcon = nil
self:update()
end
end
--好友私聊更新
function QuickIconContainer:chatIconUpdate()
local chatCount = globalData.chatItemList:getTotalUnreadCount()
if(chatCount > 0)then
if(self.chatIcon == nil)then
self.chatIcon = ChatQuickIcon:new()
self:addChild(self.chatIcon)
self:update()
end
self.chatIcon:setCount(chatCount)
elseif(self.chatIcon ~= nil)then
self.chatIcon:dispose()
self.chatIcon = nil
self:update()
end
end
--邮件更新
function QuickIconContainer:mailIconUpdate()
local tipCount, mailCount = globalData.letterInfoList:getUnReadOrAttachCount()
if(mailCount > 0)then
if(self.mailIcon == nil)then
self.mailIcon = MailQuickIcon:new()
self:addChild(self.mailIcon)
self:update()
end
self.mailIcon:setCount(tipCount)
elseif(self.mailIcon ~= nil)then
self.mailIcon:dispose()
self.mailIcon = nil
self:update()
end
end
--温馨提示更新
function QuickIconContainer:warmIconUpdate(evt)
local showCount = globalManager.playerInfoTester:getShowCount()
if(showCount > 0)then
if(self.skillIcon == nil)then
self.skillIcon = SkillQuickIcon:new()
self:addChild(self.skillIcon)
self:update()
end
self.skillIcon:setCount(showCount)
elseif(self.skillIcon ~= nil)then
self.skillIcon:dispose()
self.skillIcon = nil
self:update()
end
end
function QuickIconContainer:checkPlus()
if(globalData:isShenHe()) then return end
local function updateComplete(need)
if(need == 1) then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_stopAfk,globalManager.gameDispatcher))
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.trigger_stopMoving,globalManager.gameDispatcher))
-- globalManager.containerManager.tipContainer:addChild(resupdate,99)
self.resupdate:update()
elseif(need == 2) then
if(globalData.welfareInfo.plusAwardState ~= 0) then
self:downLoadComplate()
end
self.resupdate = nil
else
self.resupdate = nil
end
end
local showUpdte = function()
if(self.resupdate == nil) then
self.resupdate = ResourceUpdateUtil:new(updateComplete,1)
self.resupdate:checkUpdate()
else
self.resupdate:addToView()
end
end
local plusClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
local alert = UpdateAlert:new(showUpdte)
end
end
if(globalData.selfPlayerInfo.level >= globalData.newModuleLevelConfig.plusShowLevel) then
if(globalData:isExtImageLoaded() == false or globalData.welfareInfo.plusAwardState == 0) then
if(self._plusIcon == nil) then
self._plusIcon = globalManager.ccCreator:newButton()
self._plusIcon:loadTextureNormal("icon/ui_plusIcon.png",1)
self._plusIcon:addTouchEventListener(plusClickHandler)
self:addChild(self._plusIcon)
self:update()
end
else
self:downLoadComplate()
end
elseif(globalData.selfPlayerInfo.level >= globalData.newModuleLevelConfig.plusDownloadLevel) then
if(globalData:isExtImageLoaded() == false) then
if(self.resupdate == nil) then
print("#后台下载扩展检测")
self.resupdate = ResourceUpdateUtil:new(updateComplete,2)
self.resupdate:checkUpdate()
end
end
self:downLoadComplate()
else
self:downLoadComplate()
end
end
function QuickIconContainer:downLoadComplate()
if(self._plusIcon ~= nil) then
globalManager.ccCreator:release(self._plusIcon)
self._plusIcon = nil
self:update()
end
end
SkillQuickIcon = class("SkillQuickIcon", function(self)
local temp = BaseQuickIcon:new()
return temp
end)
function SkillQuickIcon:ctor()
self:setCallback(self.touchHandler)
self:setIconPath("icon/ui_warmQuickIcon.png")
end
function SkillQuickIcon:touchHandler()
local panel = WarmTipsView:new()
end
ResponseItemView = class("ResponseItemView", function(self)
local temp = globalManager.ccCreator:newJsonWidget("ResponseItemView")
temp.nameLabel = temp:getChildByName("nameLabel")
temp.agreeBtn = temp:getChildByName("agreeBtn")
temp.refuseBtn = temp:getChildByName("refuseBtn")
temp.refuseBtn:getChildByName("LabelBMFont_531392"):setText(globalManager.yuyanbaoManager:getYuyanbao("ResponseItemView.text1"))
temp.agreeBtn:getChildByName("LabelBMFont_531393"):setText(globalManager.yuyanbaoManager:getYuyanbao("ResponseItemView.text2"))
--data
temp.target = nil
temp.playerInfo = nil
temp.agreeCallback = nil
temp.refuseCallback = nil
return temp
end)
function ResponseItemView:ctor()
self:initEvent()
end
function ResponseItemView:initEvent()
local function buttonTouchHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED and self.playerInfo ~= nil)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(sender == self.agreeBtn)then
if(self.agreeCallback ~= nil)then
self.agreeCallback(self.target,self.playerInfo)
end
elseif(sender == self.refuseBtn)then
if(self.refuseCallback ~= nil)then
self.refuseCallback(self.target,self.playerInfo)
end
end
end
end
self.agreeBtn:addTouchEventListener(buttonTouchHandler)
self.refuseBtn:addTouchEventListener(buttonTouchHandler)
end
function ResponseItemView:setData(playerInfo,agreeCallback,refuseCallback,target)
self.target = target
self.playerInfo = playerInfo
self.agreeCallback = agreeCallback
self.refuseCallback = refuseCallback
self.nameLabel:setText(playerInfo.nick)
end
function ResponseItemView:dispose()
self.nameLabel = nil
self.agreeBtn = nil
self.refuseBtn = nil
self.target = nil
self.playerInfo = nil
self.agreeCallback = nil
self.refuseCallback = nil
globalManager.ccCreator:release(self)
end
--请求面板  如：好友请求，队伍请求，帮派请求等
ResponsePanel = class("ResponsePanel", function(self)
local temp = globalManager.ccCreator:newJsonWidget("ResponsePanel")
temp.titleLabel = temp:getChildByName("titleLabel")
temp.allAgreeBtn = temp:getChildByName("agreeBtn")
temp.allRefuseBtn = temp:getChildByName("refuseBtn")
temp.listView = temp:getChildByName("listView")
temp.listView:setItemsMargin(10)
temp.closeBtn = temp:getChildByName("closeBtn")
--data
temp.responseItemList = {}
temp.eventDis = EventDispatcher:new()
temp.titleLabel:setText(nil)
temp:getChildByName("titleLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("ResponsePanel.text3"))
temp.allAgreeBtn:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("ResponsePanel.text4"))
temp.allRefuseBtn:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("ResponsePanel.text5"))
return temp
end)
function ResponsePanel:ctor()
self:initEvent()
end
function ResponsePanel:show(type)
self.type = type
self:initView()
self:updateView(self:getResponseList())
end
function ResponsePanel:initView()
if(self.type == 1)then
self:setTitle(globalManager.yuyanbaoManager:getYuyanbao("ResponsePanel.text1"))
elseif(self.type == 2)then
self:setTitle(globalManager.yuyanbaoManager:getYuyanbao("ResponsePanel.text2"))
end
end
function ResponsePanel:initEvent()
local function buttonTouchHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(sender == self.allAgreeBtn)then
self:allAgreeHandler()
elseif(sender == self.allRefuseBtn)then
self:allRefuseHandler()
elseif(sender == self.closeBtn)then
self:dispose()
end
end
end
self.allAgreeBtn:addTouchEventListener(buttonTouchHandler)
self.allRefuseBtn:addTouchEventListener(buttonTouchHandler)
self.closeBtn:addTouchEventListener(buttonTouchHandler)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.quickIcon_friend,self.friendIconUpdate,self)
end
function ResponsePanel:removeEvent()
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.quickIcon_friend,self.friendIconUpdate,self)
end
function ResponsePanel:setTitle(title)
self.titleLabel:setText(title)
end
function ResponsePanel:friendIconUpdate(evt)
if(self.type == 1)then
self:updateView(self:getResponseList())
end
end
function ResponsePanel:agreeHandler(playerInfo)
if(self.type == 1)then
globalData.messageAdder:sendAcceptFriend(playerInfo.userId,true)
end
globalData.responseInfoList:removeInfo(playerInfo.userId,self.type)
end
function ResponsePanel:refuseHandler(playerInfo)
if(self.type == 1)then
globalData.messageAdder:sendAcceptFriend(playerInfo.userId,false)
end
globalData.responseInfoList:removeInfo(playerInfo.userId,self.type)
end
function ResponsePanel:allAgreeHandler()
local playerInfos = self:getResponseList()
playerInfos = globalManager.commonUtils:arrayClone(playerInfos)
for __,playerInfo in pairs(playerInfos) do
self:agreeHandler(playerInfo)
end
end
function ResponsePanel:allRefuseHandler()
local playerInfos = self:getResponseList()
playerInfos = globalManager.commonUtils:arrayClone(playerInfos)
for __,playerInfo in pairs(playerInfos) do
self:refuseHandler(playerInfo)
end
end
--获取请求列表
function ResponsePanel:getResponseList()
return globalData.responseInfoList:getList(self.type)
end
function ResponsePanel:updateView(playerInfos)
if(playerInfos == nil)then
self:dispose()
return
end
local len = table.getn(playerInfos)
if(len < 1)then
self:dispose()
return
end
self:clear()
self.responseItemList = {}
for i=1,len do
local item = ResponseItemView:new()
item:setData(playerInfos[i],self.agreeHandler,self.refuseHandler,self)
self.listView:pushBackCustomItem(item)
table.insert(self.responseItemList, item)
end
end
function ResponsePanel:clear()
if(self.listView ~= nil)then
self.listView:removeAllItems()
end
if(self.responseItemList ~= nil)then
for __,item in pairs(self.responseItemList) do
item:dispose()
end
end
end
function ResponsePanel:dispose()
self:removeEvent()
self:clear()
self.titleLabel = nil
self.allAgreeBtn = nil
self.allRefuseBtn = nil
self.listView = nil
self.closeBtn = nil
self.responseItemList = nil
if(self.eventDis ~= nil)then
self.eventDis:dispatchEvent(BaseEvent:new(globalData.globalEventType.trigger_panelDispose,self.eventDis,nil))
self.eventDis:dispose()
self.eventDis = nil
end
globalManager.ccCreator:release(self)
end
BaseTip = class("BaseTip", function(self)
local temp = globalManager.ccCreator:newWidget()
temp._background = globalManager.ccCreator:newImageView("board/ui_board4.png", 1)
temp._background:setScale9Enabled(true)
temp._background:setAnchorPoint(cc.p(0,0))
temp._background:setCapInsets(cc.rect(30,39,1,1))
temp:addChild(temp._background)
temp._container = globalManager.ccCreator:newWidget()
temp:addChild(temp._container)
temp._scrollView = nil
temp._scrollBarWrapper = nil
temp._richLabels = {}
temp._currentHeight = 10
temp._customWidth = 380
temp._customHeight = 0
temp.fightTotle = 0
temp.fightBg = nil
temp.fightTip = nil
temp.fightLabel = nil
temp.closeBtn = globalManager.ccCreator:newButton()
temp.closeBtn:loadTextureNormal("btn/ui_closeBtn.png",1)
temp:addChild(temp.closeBtn)
return temp
end)
function BaseTip:ctor()
self:initEvent()
end
--设置tips的宽度，高度为自适应
function BaseTip:setWidth(width)
self._customWidth = width
end
--设置tips的高度，滚动层
function BaseTip:setScrollHeight(value)
self._customHeight = value
if(self._scrollView == nil)then
self._scrollView = globalManager.ccCreator:newScrollView()
self._scrollView:setSize(cc.size(self._customWidth - 65,value))
self._scrollView:setPosition(cc.p(60,30))
self:addChild(self._scrollView)
self._container:removeFromParent()
self._scrollView:addChild(self._container)
self._scrollBarWrapper = ScrollBarWrapper:new(self._scrollView,self)
end
end
--添加一个富文本并返回实例
function BaseTip:addRichLabel(color3b,text,posX,posY,addHeight)
if(addHeight == nil)then addHeight = true end
local richLabel = globalManager.ccCreator:newRichLabel2(text,self._customWidth - 60,color3b)
table.insert(self._richLabels,richLabel)
posX = posX or 0
posY = posY or (-self._currentHeight - richLabel:getHeight() / 2)
richLabel:setPosition(cc.p(posX,posY))
self._container:addChild(richLabel)
if(addHeight)then
self._currentHeight = self._currentHeight + richLabel:getHeight()
end
return richLabel
end
function BaseTip:addLine()
local line = globalManager.ccCreator:newImageView("line/ui_line1.png", 1)
line:release()
line:ignoreContentAdaptWithSize(false)
line:setSize(cc.size(self._customWidth - 80,2))
line:setPosition(cc.p((self._customWidth - 80) / 2,-self._currentHeight - 5))
self._container:addChild(line)
self._currentHeight = self._currentHeight + 10
end
function BaseTip:drawLayout()
if(self._customHeight > 0)then
self._scrollView:setInnerContainerSize(cc.size(self._customWidth,self._currentHeight))
self._container:setPosition(cc.p(0,self._currentHeight))
self._background:setSize(cc.size(self._customWidth,self._customHeight + 60))
else
self._container:setPosition(cc.p(30,self._currentHeight + 30))
self._background:setSize(cc.size(self._customWidth,self._currentHeight + 60))
end
self.closeBtn:setPosition(globalManager.ccCreator:newPoint(self._customWidth - 5,self._currentHeight + 60 - 5))
end
function BaseTip:show()
end
function BaseTip:hideFormClickContainer()
globalManager.tipsManager:hide()
end
function BaseTip:initEvent()
local closeClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
globalManager.tipsManager:hide()
end
end
self.closeBtn:addTouchEventListener(closeClickHandler)
end
function BaseTip:removeEvent()
end
function BaseTip:setFightTotle()
self.fightBg = globalManager.ccCreator:newImageView("line/ui_line4.png", 1)
self.fightBg:setPosition(cc.p(self._customWidth / 2 - 30,-self._currentHeight - 50))
self.fightBg:ignoreContentAdaptWithSize(false)
self.fightBg:setSize(globalManager.ccCreator:newSize(277,26))
self._container:addChild(self.fightBg)
self.fightTip = globalManager.ccCreator:newImageView("flag/ui_fightTotle.png", 1)
self.fightTip:setPosition(cc.p(self._customWidth / 2 - 100,-self._currentHeight - 33))
self._container:addChild(self.fightTip)
self.fightLabel = globalManager.ccCreator:newTextAtlas(tostring(self.fightTotle),1)
self.fightLabel:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[5])
self.fightLabel:setPosition(cc.p(self._customWidth / 2 - 20,-self._currentHeight - 33))
self._container:addChild(self.fightLabel)
self._currentHeight = self._currentHeight + 45
end
function BaseTip:dispose()
self:removeEvent()
globalManager.ccCreator:release(self.closeBtn)
self.closeBtn = nil
for __,richLabel in pairs(self._richLabels) do
richLabel:dispose()
end
if(self._scrollBarWrapper ~= nil)then
self._scrollBarWrapper:dispose()
self._scrollBarWrapper = nil
end
if(self._scrollView ~= nil)then
globalManager.ccCreator:release(self._scrollView)
self._scrollView = nil
end
if(self.fightBg ~= nil) then
globalManager.ccCreator:release(self.fightBg)
self.fightBg = nil
end
if(self.fightTip ~= nil) then
globalManager.ccCreator:release(self.fightTip)
self.fightTip = nil
end
if(self.fightLabel ~= nil) then
globalManager.ccCreator:release(self.fightLabel)
self.fightLabel = nil
end
self._richLabels = nil
globalManager.ccCreator:release(self._container)
self._container = nil
globalManager.ccCreator:release(self._background)
self._background = nil
globalManager.ccCreator:release(self)
end
EquipStrengthTip = class("EquipStrengthTip", function(self)
local temp = BaseTip:new()
temp._BaseTipDispose = temp.dispose
temp._equipStrengthInfo = nil
return temp
end)
function EquipStrengthTip:initView()
local currentTemp = nil
local nextTemp = nil
local isAdd = false
--第一级未达成
local nowMinLevel,nexLevel = globalData.allTemplates.equipStrengthTemplateList:getStrengthLevel(self._equipStrengthInfo.strengthLevel)
if(nowMinLevel < globalData.allTemplates.equipStrengthTemplateList.MIN_LEVEL)then
currentTemp = globalData.allTemplates.equipStrengthTemplateList:getTemplate(globalData.allTemplates.equipStrengthTemplateList.MIN_LEVEL)
--达到顶级
elseif(nowMinLevel >= globalData.allTemplates.equipStrengthTemplateList.MAX_LEVEL)then
currentTemp = globalData.allTemplates.equipStrengthTemplateList:getTemplate(globalData.allTemplates.equipStrengthTemplateList.MAX_LEVEL)
isAdd = true
else
currentTemp = globalData.allTemplates.equipStrengthTemplateList:getTemplate(nowMinLevel)
nextTemp = globalData.allTemplates.equipStrengthTemplateList:getTemplate(nexLevel)
isAdd = true
end
self:handleStrengthTemp(currentTemp,isAdd)
if(nextTemp ~= nil)then
self:addLine()
self._currentHeight = self._currentHeight + 20
self:addRichLabel(globalData.allStaticTypes.colorType.TRUE_COLOR,globalManager.yuyanbaoManager:getYuyanbao("EquipStrengthTip.text1"),230,-self._currentHeight-16,false)
self:handleStrengthTemp(nextTemp)
end
self:addLine()
self:setFightTotle()
self._currentHeight = self._currentHeight + 10
self:drawLayout()
self:setPosition(cc.p((globalData.GAME_WIDTH - 400) / 2,(globalData.GAME_HEIGHT - self._currentHeight)/2))
end
function EquipStrengthTip:handleStrengthTemp(template,isAdd)
local finishCount = self:getFinishCount(template.level)
local paopertyColor = nil
if(finishCount < 10)then
paopertyColor = globalData.allStaticTypes.colorType.COLORGRAY
self:addRichLabel(paopertyColor,globalManager.yuyanbaoManager:getYuyanbao("EquipStrengthTip.text2") .. template.level .. "（" .. finishCount .. "/10）")
else
paopertyColor = globalData.allStaticTypes.colorType.TIPACT_COLOR
self:addRichLabel(globalData.allStaticTypes.colorType.TIPTITLE_COLOR,globalManager.yuyanbaoManager:getYuyanbao("EquipStrengthTip.text2") .. template.level .. "（" .. finishCount .. "/10）")
end
local fight = 0
for i=1,#template.baseAttrs,1 do
fight = fight + globalData.allStaticTypes.propertyType:fightCalculate(template.baseAttrs[i].propertyId,template.baseAttrs[i].propertyValue)
self:addRichLabel(paopertyColor,globalData.allStaticTypes.propertyType:getNameByType(template.baseAttrs[i].propertyId) .. "+" .. template.baseAttrs[i].propertyValue)
end
if(isAdd) then
self.fightTotle = fight
else
self:addRichLabel(globalData.allStaticTypes.colorType.TIPTITLE_COLOR,globalManager.yuyanbaoManager:getYuyanbao("WuhunTip.text13")..fight,150,-self._currentHeight + 16,false)
end
end
--根据强化等级获取达成数量
function EquipStrengthTip:getFinishCount(strengthLevel)
local len = table.getn(self._equipStrengthInfo.equipList)
local result = 0
for i=1,len do
if(self._equipStrengthInfo.equipList[i].strengthLevel >= strengthLevel)then
result = result + 1
end
end
return result
end
function EquipStrengthTip:setEquipInfo(equipStrengthInfo)
self._equipStrengthInfo = equipStrengthInfo
self:initView()
end
function EquipStrengthTip:dispose()
self._equipStrengthInfo = nil
self._BaseTipDispose(self)
self._BaseTipDispose = nil
end
FightChangeTip = class("FightChangeTip", function(self)
local temp = globalManager.ccCreator:newWidget()
temp:setScale(1.3)
temp._bg1 = globalManager.ccCreator:newImageView("flag/ui_fightValue.png",1)
temp._bg1:setCascadeOpacityEnabled(true)
temp._bg1:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[6])
temp:addChild(temp._bg1)
temp._valueLabel = globalManager.ccCreator:newTextAtlas("",1)
temp._valueLabel:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[5])
temp._bg1:addChild(temp._valueLabel)
temp._addImg = globalManager.ccCreator:newImageView("number/ui_addIcon.png",1)
temp:addChild(temp._addImg)
temp._addImg:setPositionY(35)
temp._addImg:setVisible(false)
temp._valueLabel2 = globalManager.ccCreator:newTextAtlas("",1)
temp._valueLabel2:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[5])
temp._valueLabel2:setPositionX(10)
temp._addImg:addChild(temp._valueLabel2)
temp._addImg:setPositionX(-10)
temp._oldValue = 0
temp._addValue = 0
temp._addedValue = 0
temp.prop1 = PropController:new()
temp.prop1:addInfo(PropInfo:new(temp._bg1,3,0,0,255,5,0))
temp.prop2 = PropController:new()
temp.prop2:addInfo(PropInfo:new(temp._valueLabel,3,0,0,255,5,0))
temp.prop3 = PropController:new()
temp.prop3:addInfo(PropInfo:new(temp._valueLabel2,3,0,0,255,5,0))
temp.prop3:addInfo(PropInfo:new(nil,4,120,0,0,0,0))
temp.prop3:addInfo(PropInfo:new(temp._valueLabel2,3,0,255,0,-5,0))
temp.prop4 = PropController:new()
temp.prop4:addInfo(PropInfo:new(temp._addImg,3,0,0,255,5,0))
temp.prop4:addInfo(PropInfo:new(temp._addImg,2,0,35,50,0.33,0))
temp.prop4:addInfo(PropInfo:new(nil,4,75,0,0,0,0))
temp.prop4:addInfo(PropInfo:new(temp._addImg,3,0,255,0,-5,0))
temp.prop5 = PropController:new()
temp.prop5:addInfo(PropInfo:new(nil,4,180,0,0,0,0))
temp.prop5:addInfo(PropInfo:new(temp._bg1,3,0,255,0,-5,0))
temp.prop6 = PropController:new()
temp.prop6:addInfo(PropInfo:new(nil,4,180,0,0,0,0))
temp.prop6:addInfo(PropInfo:new(temp._valueLabel,3,0,255,0,-5,0))
temp.ADD_TIME = 80
return temp
end)
function FightChangeTip:ctor()
self:setPosition(globalManager.ccCreator:newPoint(globalData.GAME_WIDTH / 2,160))
globalManager.containerManager.tipContainer:addChild(self,99)
self:setEnabled(false)
end
function FightChangeTip:show(oldValue,addValue)
self:reset()
self:setEnabled(true)
globalManager.tickManager:addTick(self.tick, self)
self._oldValue = oldValue
self._addValue = addValue
self._valueLabel:setStringValue(self._oldValue)
self._valueLabel2:setStringValue(self._addValue)
local offsetX = #tostring(self._oldValue) - #tostring(self._addValue)
self._addImg:setPositionX(offsetX*18 - 10)
self.prop1:pStart()
self.prop2:pStart()
end
function FightChangeTip:tick(delta, count)
self._addedValue = self._addedValue + math.ceil(self._addValue / self.ADD_TIME)
if(self._addedValue >= self._addValue)then
self._addedValue = self._addValue
self._valueLabel:setStringValue(self._oldValue + self._addedValue)
globalManager.tickManager:removeTick(self.tick, self)
self:showAdded()
return
end
self._valueLabel:setStringValue(self._oldValue + self._addedValue)
end
function FightChangeTip:showAdded()
self._addImg:setVisible(true)
self._addImg:setOpacity(0)
self._valueLabel2:setOpacity(0)
self.prop3:pStart()
self.prop4:setCallBack(self,self.showComplete)
self.prop4:pStart()
self.prop5:pStart()
self.prop6:pStart()
end
function FightChangeTip:showComplete()
self:setEnabled(false)
end
function FightChangeTip:reset()
self.prop1:pEnd()
self.prop2:pEnd()
self.prop3:pEnd()
self.prop4:pEnd()
self.prop5:pEnd()
self.prop6:pEnd()
self._addImg:setVisible(false)
self._addImg:setPositionY(35)
self._oldValue = 0
self._addValue = 0
self._addedValue = 0
end
function FightChangeTip:dispose()
globalManager.ccCreator:release(self._bg1)
self._bg1 = nil
globalManager.ccCreator:release(self._valueLabel)
self._valueLabel = nil
globalManager.ccCreator:release(self._addImg)
self._addImg = nil
globalManager.ccCreator:release(self._valueLabel2)
self._valueLabel2 = nil
if(self.prop1 ~= nil) then
self.prop1:dispose()
self.prop1 = nil
end
if(self.prop2 ~= nil) then
self.prop2:dispose()
self.prop2 = nil
end
if(self.prop3 ~= nil) then
self.prop3:dispose()
self.prop3 = nil
end
if(self.prop4 ~= nil) then
self.prop4:dispose()
self.prop4 = nil
end
if(self.prop5 ~= nil) then
self.prop5:dispose()
self.prop5 = nil
end
if(self.prop6 ~= nil) then
self.prop6:dispose()
self.prop6 = nil
end
globalManager.ccCreator:release(self)
end
FiveEquipSuitTip = class("FiveEquipSuitTip", function(self,stage,type)
local temp = BaseTip:new()
temp._BaseTipDispose = temp.dispose
temp._stage = stage
temp._type = type
if(stage == 0) then
temp._tempInfo = globalData.allTemplates.fiveEquipSuitTemplateList:getTemplate(3,type)
else
temp._tempInfo = globalData.allTemplates.fiveEquipSuitTemplateList:getTemplate(stage,type)
end
return temp
end)
function FiveEquipSuitTip:ctor()
self:setWidth(440)
self:initView()
end
function FiveEquipSuitTip:initView()
self._currentHeight = self._currentHeight + 10
local color = nil
if(self._stage > 0) then
color = globalData.allStaticTypes.colorType.TIPTITLE_COLOR
self:addRichLabel(color,self:getLevelName(self._stage)..globalManager.yuyanbaoManager:getYuyanbao("WuhunTip.text1"))
self:handleLingmaiTemp(self._tempInfo,globalData.allStaticTypes.colorType.TRUE_COLOR)
else
color = globalData.allStaticTypes.colorType.TIPUNACT_COLOR
self:addRichLabel(color,self:getLevelName(3).."-"..globalManager.yuyanbaoManager:getYuyanbao("GoodsTipII.text10"))
self:handleLingmaiTemp(self._tempInfo,color)
end
self:addRichLabel(globalData.allStaticTypes.colorType.TIPACT_COLOR,globalManager.yuyanbaoManager:getYuyanbao("FiveEquipSuitTip.text3"))
self._currentHeight = self._currentHeight + 20
self:drawLayout()
self:setPosition(cc.p((globalData.GAME_WIDTH - 400) / 2,(globalData.GAME_HEIGHT - self._currentHeight)/2))
end
function FiveEquipSuitTip:getLevelName(level)
if(self._type == globalData.allStaticTypes.petXiaofeiType.CHONGWU) then
return globalData.numList[math.ceil(level / globalData.allTemplates.xiaofeiTemplateList.STAGE_PRE_STAR)] .. globalManager.yuyanbaoManager:getYuyanbao("FiveEquipSuitTip.text4")
elseif(self._type == globalData.allStaticTypes.petXiaofeiType.ZUOQI) then
return globalData.numList[math.ceil(level / globalData.allTemplates.xiaofeiTemplateList.STAGE_PRE_STAR)] .. globalManager.yuyanbaoManager:getYuyanbao("FiveEquipSuitTip.text5")
elseif(self._type == globalData.allStaticTypes.petXiaofeiType.CHIBANG) then
return globalData.numList[math.ceil(level / globalData.allTemplates.xiaofeiTemplateList.STAGE_PRE_STAR)] .. globalManager.yuyanbaoManager:getYuyanbao("FiveEquipSuitTip.text6")
elseif(self._type == globalData.allStaticTypes.petXiaofeiType.SHENBING) then
return globalData.numList[math.ceil(level / globalData.allTemplates.xiaofeiTemplateList.STAGE_PRE_STAR)] .. globalManager.yuyanbaoManager:getYuyanbao("FiveEquipSuitTip.text7")
elseif(self._type == globalData.allStaticTypes.petXiaofeiType.JINGLING) then
return globalData.numList[math.ceil(level / globalData.allTemplates.xiaofeiTemplateList.STAGE_PRE_STAR)] .. globalManager.yuyanbaoManager:getYuyanbao("FiveEquipSuitTip.text8")
elseif(self._type == globalData.allStaticTypes.petXiaofeiType.FAZHEN) then
return globalData.numList[math.ceil(level / globalData.allTemplates.xiaofeiTemplateList.STAGE_PRE_STAR)] .. globalManager.yuyanbaoManager:getYuyanbao("FiveEquipSuitTip.text9")
elseif(self._type == globalData.allStaticTypes.petXiaofeiType.LONGHUN) then
return globalData.numList[math.ceil(level / globalData.allTemplates.xiaofeiTemplateList.STAGE_PRE_STAR)] .. globalManager.yuyanbaoManager:getYuyanbao("FiveEquipSuitTip.text10")
end
end
function FiveEquipSuitTip:handleLingmaiTemp(info,color)
for __,prop in pairs(info.propertys) do
self:addRichLabel(color,globalData.allStaticTypes.propertyType:getNameByType(prop.propertyId) .. "：+"..prop.propertyValue)
end
end
function FiveEquipSuitTip:dispose()
self._tempInfo = nil
self._BaseTipDispose(self)
self._BaseTipDispose = nil
end
FiveEquipTip = class("FiveEquipTip", function(self)
local temp = globalManager.ccCreator:newWidget()
--data
temp.info = nil
temp.tempInfo = nil
temp.stage = 0
temp.level = 0
temp._richLabels = {}
temp._currentHeight = 30
temp._space = 10 --间隔
--view
temp._widget = globalManager.ccCreator:newJsonWidget("GoodsInfoTip3")
temp:addChild(temp._widget)
temp._widget:getChildByName("labels"):getChildByName("levelLabel0"):setText(globalManager.yuyanbaoManager:getYuyanbao("FiveEquipTip.text11").."：")
temp._widget:getChildByName("labels"):getChildByName("fightLabel_Copy1"):setText(globalManager.yuyanbaoManager:getYuyanbao("FiveEquipTip.text12").."：")
temp._widget:getChildByName("shopLayer"):getChildByName("content1"):setText(globalManager.yuyanbaoManager:getYuyanbao("FiveEquipTip.text13"))
temp._widget:getChildByName("shopLayer"):getChildByName("content2"):setText(globalManager.yuyanbaoManager:getYuyanbao("FiveEquipTip.text14"))
temp._widget:getChildByName("shopLayer"):getChildByName("buyBtn"):getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel10"))
temp._widget:getChildByName("scrollView"):getChildByName("Label_807867"):setText(globalManager.yuyanbaoManager:getYuyanbao("GoodsTipII.text7"))
temp.scrollView = temp._widget:getChildByName("scrollView")
temp._scrollBarWrapper = ScrollBarWrapper:new(temp.scrollView,temp)
temp.basePropertyList = {}
for i = 1,2,1 do
temp.basePropertyList[i] = temp.scrollView:getChildByName("property"..i)
end
local labels = temp._widget:getChildByName("labels")
local functionBtns = temp._widget:getChildByName("functionBtns")
temp.background = temp._widget:getChildByName("background")
temp.background:setTouchEnabled(true)
temp.btn1 = functionBtns:getChildByName("btn1")
temp.btnLabel1 = temp.btn1:getChildByName("btnLabel")
temp.btn2 = functionBtns:getChildByName("btn2")
temp.btnLabel2 = temp.btn2:getChildByName("btnLabel")
temp.typeLabel = labels:getChildByName("typeLabel") --类型文本
temp.levelLabel0 = labels:getChildByName("levelLabel0") --需要等级文本
temp.levelLabel = labels:getChildByName("levelLabel") --需要等级文本
temp.scoreView = temp._widget:getChildByName("scoreView")
temp.fightLabel0 = temp.scoreView:getChildByName("fightLabel0") --战力文本
temp.fightLabel = temp.scoreView:getChildByName("fightLabel") --战力文本
temp.compareImg = temp.scoreView:getChildByName("compareImg")
--temp.compareImg:setEnabled(false)
temp.compareLabel = temp.scoreView:getChildByName("compareLabel")
--temp.compareLabel:setEnabled(false)
temp.path      = nil
temp.nameLabel = globalManager.ccCreator:newLabel()
temp.nameLabel:setTextHorizontalAlignment(cc.TEXT_ALIGNMENT_LEFT)
temp.nameLabel:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[7])
temp.nameLabel:setFontSize(24)
temp.nameLabel:setPosition(cc.p(122,526))
temp:addChild(temp.nameLabel)
local gridBg = temp._widget:getChildByName("ImageView_130_Copy0")
temp.grid = FiveEquipInfoGrid:new()
gridBg:addChild(temp.grid)
temp.container = globalManager.ccCreator:newWidget()
temp.scrollView:addChild(temp.container)
temp.shenmiLayer = temp._widget:getChildByName("shopLayer")
temp.numLabel = temp.shenmiLayer:getChildByName("numLabel")
temp.numTipLabel = temp.shenmiLayer:getChildByName("content2")
temp.priceIcon = temp.shenmiLayer:getChildByName("goldIcon")
temp.priceLabel = temp.shenmiLayer:getChildByName("priceLabel")
temp.buyBtn = temp.shenmiLayer:getChildByName("buyBtn")
temp.shenmiLayer:setEnabled(false)
temp._shenmiShopInfo = nil
self.type = 0       --1:自己身上的 2：查看别人的
self.showType = nil
return temp
end)
function FiveEquipTip:ctor()
self:initEvent()
end
function FiveEquipTip:initEvent()
self.grid:setClickHandler(self,self.gridClickHandler)
end
function FiveEquipTip:gridClickHandler(grid)
end
function FiveEquipTip:setInfo(info)
self.info = info
self.tempInfo = info:getTemplate()
self.stage = info.stage
self.level = info.level
self:updateView()
end
function FiveEquipTip:setTempInfo(tempInfo,stage,level)
self.info = nil
self.tempInfo = tempInfo
self.stage = stage
self.level = level
self:updateView()
end
function FiveEquipTip:setType(type)
if(type == nil)then return end
self.type = type
end
function FiveEquipTip:updateView()
local name = ""
if(self.stage > 0) then
name = globalData.numList[math.ceil(self.stage / globalData.allTemplates.xiaofeiTemplateList.STAGE_PRE_STAR)] .. globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel45")..((self.stage - 1) % globalData.allTemplates.xiaofeiTemplateList.STAGE_PRE_STAR + 1)..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel68")
end
name = name .. self.tempInfo.name
-- if(self.level > 0) then
-- 	name = name .. " +" .. self.level
-- end
self.nameLabel:setText(name)
self.nameLabel:setColor(globalData.allStaticTypes.colorType:getColorByQuality(3))
self.grid:setGoodsTempInfo(self.tempInfo)
--需求等级
if(globalData.fiveEquipList:getStageByType(self.tempInfo.categoryId) >= self.stage)then
self.levelLabel:setColor(globalData.allStaticTypes.colorType.TIPACT_COLOR)
else
self.levelLabel:setColor(globalData.allStaticTypes.colorType.FALSE_COLOR)
end
self.levelLabel:setText(globalData.numList[math.ceil(self.stage / globalData.allTemplates.xiaofeiTemplateList.STAGE_PRE_STAR)] .. globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel45")..((self.stage - 1) % globalData.allTemplates.xiaofeiTemplateList.STAGE_PRE_STAR + 1)..globalManager.yuyanbaoManager:getYuyanbao("FiveEquipTip.text19"))
--需要职业
self.typeLabel:setText(self:getNameByType(self.tempInfo.categoryId))
self:updateEquipProperty()
--	self:updateBasicPropertys()
--更新滚动
local tHeight = math.max(self._currentHeight,self.scrollView:getSize().height)
self.container:setPositionY(tHeight)
self.scrollView:setInnerContainerSize(cc.size(self.scrollView:getSize().width,tHeight))
end
function FiveEquipTip:getNameByType(type)
if(type == globalData.allStaticTypes.petXiaofeiType.CHONGWU) then
return globalManager.yuyanbaoManager:getYuyanbao("FiveEquipTip.text1")
elseif(type == globalData.allStaticTypes.petXiaofeiType.ZUOQI) then
return globalManager.yuyanbaoManager:getYuyanbao("FiveEquipTip.text2")
elseif(type == globalData.allStaticTypes.petXiaofeiType.CHIBANG) then
return globalManager.yuyanbaoManager:getYuyanbao("FiveEquipTip.text3")
elseif(type == globalData.allStaticTypes.petXiaofeiType.SHENBING) then
return globalManager.yuyanbaoManager:getYuyanbao("FiveEquipTip.text4")
elseif(type == globalData.allStaticTypes.petXiaofeiType.JINGLING) then
return globalManager.yuyanbaoManager:getYuyanbao("FiveEquipTip.text5")
elseif(type == globalData.allStaticTypes.petXiaofeiType.FAZHEN) then
return globalManager.yuyanbaoManager:getYuyanbao("FiveEquipTip.text6")
elseif(type == globalData.allStaticTypes.petXiaofeiType.LONGHUN) then
return globalManager.yuyanbaoManager:getYuyanbao("FiveEquipTip.text7")
end
return ""
end
--装备属性
function FiveEquipTip:updateEquipProperty()
--获取背包中装备的战力
local fight = globalData.allStaticTypes.propertyType.FIVEEQUIP_FIGHT * self.stage
for i,propertyInfo in pairs(self.tempInfo.propertyList) do
local value = 0
if(self.tempInfo.categoryId == 1) then
value = globalData.allStaticTypes.propertyType:fightPetCalculate2(propertyInfo.propertyId,fight*0.5)
else
value = globalData.allStaticTypes.propertyType:fightCalculate2(propertyInfo.propertyId,fight*0.5)
end
local propertyStr = globalData.allStaticTypes.propertyType:getNameByType(propertyInfo.propertyId) .. "  +" .. value
self.basePropertyList[i]:setText(propertyStr)
end
--获取身上装备的战力
local position = self.tempInfo.place
local myCompareGoods = globalData.fiveEquipList:getFiveEquipInfo(self.tempInfo.categoryId,position)
local fiveFight = 0
if(myCompareGoods ~= nil) then
fiveFight = globalData.allStaticTypes.propertyType.FIVEEQUIP_FIGHT * myCompareGoods.stage
end
local delta = 0
if(self.type == 2)then
if(myCompareGoods ~= nil)then
delta = fiveFight - fight
else
delta = 0 - fight
end
if(delta < 0)then
self.compareImg:loadTexture("arrow/ui_arrow3.png", 1)
self.compareLabel:setColor(globalData.allStaticTypes.colorType.FALSE_COLOR)
self.compareLabel:setText(math.abs(delta))
else
self.compareImg:loadTexture("arrow/ui_arrow4.png", 1)
self.compareLabel:setText(math.abs(delta))
end
else
delta = math.floor(fiveFight) - math.floor(fight)
if(delta < 0)then
self.compareImg:loadTexture("arrow/ui_arrow4.png", 1)
self.compareLabel:setText(math.abs(delta))
elseif(delta == 0)then
self.compareImg:loadTexture("arrow/ui_arrow4.png", 1)
self.compareLabel:setText(math.abs(delta))
else
self.compareImg:loadTexture("arrow/ui_arrow3.png", 1)
self.compareLabel:setText(math.abs(delta))
self.compareLabel:setColor(globalData.allStaticTypes.colorType.FALSE_COLOR)
end
end
self.fightLabel:setStringValue(math.floor(fight))
end
--更新属性显示
-- function FiveEquipTip:updateBasicPropertys()
-- 	local richLabel = nil
-- 	local content = ""
-- 	if(self.tempInfo.description ~= "")then
-- 		self:addRichLabel(globalData.allStaticTypes.colorType.TRUE_COLOR,self.tempInfo.description)
-- 		self:addSpace()
-- 	end
-- end
function FiveEquipTip:fightLabelSetCenter()
local offset1 = 70
self.fightLabel0:setPositionX(self.fightLabel0:getPositionX() + offset1)
self.fightLabel:setPositionX(self.fightLabel:getPositionX() + offset1)
end
-- function FiveEquipTip:addSpace()
-- 	self._currentHeight = self._currentHeight + self._space
-- end
--添加一个富文本并返回实例
-- function FiveEquipTip:addRichLabel(color3b,text,posX,posY,addHeight)
-- 	if(addHeight == nil)then addHeight = true end
-- 	local richLabel = globalManager.ccCreator:newRichLabel2(text,410,color3b)
-- 	table.insert(self._richLabels,richLabel)
-- 	posX = posX or 0
-- 	posY = posY or (-self._currentHeight)
-- 	richLabel:setPosition(cc.p(posX,posY))
-- 	self.container:addChild(richLabel)
-- 	if(addHeight)then
-- 		self._currentHeight = self._currentHeight + richLabel:getHeight()
-- 	end
-- 	return richLabel
-- end
function FiveEquipTip:configureButtons(goodsInfo,showType)
local function useTouchHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
globalManager.goodsInfoTester:useGoods(goodsInfo,true)
globalManager.tipsManager:hide()
end
end
local function jingLianTouchHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.rongluLevel)then
globalManager.tipsManager.quickTip:show(globalData.newModuleLevelConfig.rongluLevel..globalManager.yuyanbaoManager:getYuyanbao("PanelTabGroupType.text41"))
return
end
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.furnace)
if(globalData.uiPanelContainer:getCurrentPanel() ~= nil) then
globalData.uiPanelContainer:getCurrentPanel():jumpToTab(4)
end
globalManager.tipsManager:hide()
end
end
self.showType = showType
if(goodsInfo ~= nil and showType == globalData.allStaticTypes.goodsTipType.BAG) then
self.btnLabel2:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel23"))
self.btn2:addTouchEventListener(useTouchHandler)
self.btnLabel1:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel24"))
self.btn1:addTouchEventListener(jingLianTouchHandler)
elseif(goodsInfo ~= nil and showType == globalData.allStaticTypes.goodsTipType.EQUIP)then
self.btn1:setEnabled(false)
self.btn2:setEnabled(false)
self:setReduce()
else
self.btn1:setEnabled(false)
self.btn2:setEnabled(false)
self:setReduce()
end
end
function FiveEquipTip:setShenmiTip(shopInfo,index,currentType)
local buyClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(self._shenmiShopInfo == nil) then return end
if(currentType == 2)then
if(globalData.selfPlayerInfo.vipLevel < self._shenmiShopInfo.vipLow)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("FiveEquipTip.text17"))
return
end
end
if(self._shenmiShopInfo.payType == globalData.allStaticTypes.payType.GOLD and globalData.selfPlayerInfo.moneyInfo.gold < self._shenmiShopInfo.price) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel11"))
return
end
if(self._shenmiShopInfo.payType == globalData.allStaticTypes.payType.BINGDGOLD and globalData.selfPlayerInfo.moneyInfo.bindGold < self._shenmiShopInfo.price) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel30"))
return
end
if(self._shenmiShopInfo.payType == globalData.allStaticTypes.payType.COPPER and globalData.selfPlayerInfo.moneyInfo.copper < self._shenmiShopInfo.price) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel12"))
return
end
if(self._shenmiShopInfo.payType == globalData.allStaticTypes.payType.VIPSCORE and globalData.vipMallInfo.vipScore < self._shenmiShopInfo.price) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("FiveEquipTip.text18"))
return
end
if(currentType == 1)then
globalData.messageAdder:sendShenmiBuy(index)
elseif(currentType == 2)then
globalData.messageAdder:sendVipMallBuy(index)
end
self:hide()
end
end
if(shopInfo == nil) then return end
self._shenmiShopInfo = shopInfo
self.shenmiLayer:setEnabled(true)
self.btn1:setEnabled(false)
self.btn2:setEnabled(false)
if(self._shenmiShopInfo.itemList[1][2] > 10000)then
self.numLabel:setText(self._shenmiShopInfo.itemList[1][2] * 0.0001 .. globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel44"))
else
self.numLabel:setText(self._shenmiShopInfo.itemList[1][2])
end
self.numTipLabel:setPositionX(70 + self.numLabel:getSize().width)
if(self._shenmiShopInfo.payType == globalData.allStaticTypes.payType.BINGDGOLD) then
self.priceIcon:loadTexture("icon/ui_bindGoldIcon.png",1)
elseif(self._shenmiShopInfo.payType == globalData.allStaticTypes.payType.COPPER) then
self.priceIcon:loadTexture("icon/ui_moneyIcon2.png",1)
self.priceIcon:setScale(1)
elseif(self._shenmiShopInfo.payType == globalData.allStaticTypes.payType.VIPSCORE)then
self.path          = globalManager.pathManager:getUISource("outPic/vipScoreIcon.png")
globalManager.sourceCacheManager:setImage(self.priceIcon,self.path,globalData.allStaticTypes.sourceStaticType.clearFiveM)
end
if(self._shenmiShopInfo.price > 10000)then
self.priceLabel:setText(self._shenmiShopInfo.price * 0.0001 ..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel44"))
else
self.priceLabel:setText(self._shenmiShopInfo.price)
end
self.buyBtn:addTouchEventListener(buyClickHandler)
end
function FiveEquipTip:setReduce()
self.background:setSize(cc.size(480,538))
end
function FiveEquipTip:show()
self:setPosition(cc.p((globalData.GAME_WIDTH - 481) / 2,(globalData.GAME_HEIGHT - 586) / 2))
end
function FiveEquipTip:hide()
globalManager.tipsManager:hide()
end
function FiveEquipTip:hideFormClickContainer()
self:hide()
end
function FiveEquipTip:dispose()
for __,richLabel in pairs(self._richLabels) do
richLabel:dispose()
end
self._richLabels = nil
if(self.grid ~= nil)then
self.grid:dispose()
self.grid = nil
end
if(self._scrollBarWrapper ~= nil)then
self._scrollBarWrapper:dispose()
self._scrollBarWrapper = nil
end
globalManager.ccCreator:release(self.container)
self.container = nil
globalManager.ccCreator:release(self._widget)
self._widget = nil
self.basePropertyList = nil
self.scrollView = nil
self.background = nil
self.btn1 = nil
self.btnLabel1 = nil
self.btn2 = nil
self.btnLabel2 = nil
self.typeLabel = nil
self.levelLabel0 = nil
self.levelLabel = nil
self.scoreView = nil
self.fightLabel0 = nil
self.fightLabel = nil
self.compareImg = nil
self.compareLabel = nil
self.info = nil
self.tempInfo = nil
globalManager.ccCreator:release(self.nameLabel)
self.nameLabel = nil
self.shenmiLayer = nil
self.numLabel = nil
self.numTipLabel = nil
self.priceIcon = nil
self.priceLabel = nil
self.buyBtn = nil
self._shenmiShopInfo = nil
globalManager.sourceCacheManager:removeQuote(self.path)
self.path = nil
globalManager.ccCreator:release(self)
end
GoodsTipII = class("GoodsTipII", function(self)
local temp = globalManager.ccCreator:newWidget()
--data
temp.goodsInfo = nil
temp.goodsTemplate = nil
temp.shopGoodsTemplate = nil
temp.goodsTipType = -1
temp.SPACE_STR = "    "
temp._richLabels = {}  --tips内的富文本都存储在里面，清理的时候用
temp._currentHeight = 30
temp._space = 10 --间隔
--view
temp._widget = globalManager.ccCreator:newJsonWidget("GoodsInfoTipII")
temp:addChild(temp._widget)
temp._widget:getChildByName("labels"):getChildByName("levelLabel0"):setText(globalManager.yuyanbaoManager:getYuyanbao("GoodsTipII.text1").."：")
temp._widget:getChildByName("labels"):getChildByName("fightLabel_Copy1"):setText(globalManager.yuyanbaoManager:getYuyanbao("GoodsTipII.text2").."：")
temp._widget:getChildByName("labels"):getChildByName("typeLabel"):setText("")
temp._widget:getChildByName("shopLayer"):getChildByName("content1"):setText(globalManager.yuyanbaoManager:getYuyanbao("GoodsTipII.text3"))
temp._widget:getChildByName("shopLayer"):getChildByName("content2"):setText(globalManager.yuyanbaoManager:getYuyanbao("GoodsTipII.text4"))
temp._shopBtnLabel = temp._widget:getChildByName("shopLayer"):getChildByName("buyBtn"):getChildByName("btnLabel")
temp._shopBtnLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel10"))
temp.scrollView = temp._widget:getChildByName("scrollView")
--	temp._scrollBarWrapper = ScrollBarWrapper:new(temp.scrollView,temp)
local labels = temp._widget:getChildByName("labels")
local functionBtns = temp._widget:getChildByName("functionBtns")
temp.background = temp._widget:getChildByName("background")
temp.background:setTouchEnabled(true)
temp.btn1 = functionBtns:getChildByName("btn1")
temp.btnLabel1 = temp.btn1:getChildByName("btnLabel")
temp.btn2 = functionBtns:getChildByName("btn2")
temp.btnLabel2 = temp.btn2:getChildByName("btnLabel")
temp.typeLabel = labels:getChildByName("typeLabel") --类型文本
temp.levelLabel0 = labels:getChildByName("levelLabel0") --需要等级文本
temp.levelLabel = labels:getChildByName("levelLabel") --需要等级文本
temp.scoreView = temp._widget:getChildByName("scoreView")
temp.fightLabel0 = temp.scoreView:getChildByName("fightLabel0") --战力文本
temp.fightLabel = temp.scoreView:getChildByName("fightLabel") --战力文本
temp.compareImg = temp.scoreView:getChildByName("compareImg")
temp.compareLabel = temp.scoreView:getChildByName("compareLabel")
temp.shenmiLayer = temp._widget:getChildByName("shopLayer")
temp.numLabel = temp.shenmiLayer:getChildByName("numLabel")
temp.numTipLabel = temp.shenmiLayer:getChildByName("content2")
temp.priceIcon = temp.shenmiLayer:getChildByName("goldIcon")
temp.priceLabel = temp.shenmiLayer:getChildByName("priceLabel")
temp.buyBtn = temp.shenmiLayer:getChildByName("buyBtn")
temp.shenmiLayer:setEnabled(false)
temp._shenmiShopInfo = nil
temp._doubleElevenShopInfo = nil
temp._seedShopInfo = nil
temp._jiFuInfo = nil
temp.functionBtn2 = temp._widget:getChildByName("functionBtn2")
temp.btn3 = temp.functionBtn2:getChildByName("btn")
temp.functionBtn2:setEnabled(false)
temp.nameLabel = globalManager.ccCreator:newLabel()
temp.nameLabel:setTextHorizontalAlignment(cc.TEXT_ALIGNMENT_LEFT)
temp.nameLabel:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[7])
temp.nameLabel:setFontSize(22)
temp.nameLabel:setPosition(cc.p(122,520))
temp:addChild(temp.nameLabel)
local gridBg = temp._widget:getChildByName("ImageView_130_Copy0")
temp.grid = GoodsInfoGrid:new(false,false)
gridBg:addChild(temp.grid)
temp.container = globalManager.ccCreator:newWidget()
temp.scrollView:addChild(temp.container)
temp.level = nil
temp.path  = nil
return temp
end)
function GoodsTipII:ctor()
self:initEvent()
end
function GoodsTipII:initEvent()
self.grid:setClickHandler(self,self.gridClickHandler)
end
function GoodsTipII:gridClickHandler(grid)
end
function GoodsTipII:setGoodsInfo(goodsInfo,level)
self.goodsInfo = goodsInfo
self.level = level
self.goodsTemplate = goodsInfo:getTemplate()
self:updateView()
end
function GoodsTipII:setGoodsTemplate(goodsTemplate,level)
self.goodsTemplate = goodsTemplate
self.level = level
self:updateView()
end
function GoodsTipII:setShopGoodsTemplate(shopGoodsTemplate)
self.shopGoodsTemplate = shopGoodsTemplate
self.goodsTemplate = shopGoodsTemplate:getGoodsTemplate()
self:updateView()
end
function GoodsTipII:updateView()
--文本显示处理
if(self.goodsInfo ~= nil)then
self.nameLabel:setText(self.goodsInfo:getFullName())
self.nameLabel:setColor(globalData.allStaticTypes.colorType:getColorByQuality(self.goodsInfo:getQuality()))
self.grid:setGoodsInfo(self.goodsInfo)
else
self.nameLabel:setText(self.goodsTemplate.name)
self.nameLabel:setColor(globalData.allStaticTypes.colorType:getColorByQuality(self.goodsTemplate:getQuality()))
self.grid:setGoodsTempInfo(self.goodsTemplate)
end
--需要职业
if(self.goodsTemplate.needCareer == 0 or self.goodsTemplate.needCareer == globalData.allStaticTypes.careerType:getCareer(globalData.selfPlayerInfo.career))then
self.typeLabel:setColor(globalData.allStaticTypes.colorType.TIPACT_COLOR)
else
self.typeLabel:setColor(globalData.allStaticTypes.colorType.FALSE_COLOR)
end
self.typeLabel:setText(globalData.allStaticTypes.categoryType:getCategoryName(self.goodsTemplate.categoryId))
self:updateEquipProperty()
self:updateBasicPropertys()
self:updateVaildDate()
--更新滚动
local tHeight = math.max(self._currentHeight,self.scrollView:getSize().height)
self.container:setPositionY(tHeight)
self.scrollView:setInnerContainerSize(cc.size(self.scrollView:getSize().width,tHeight))
end
function GoodsTipII:updateVaildDate()
local date = nil
local isOutOfDate = false
if(self.goodsInfo ~= nil)then
if(self.goodsInfo.vaildDate > 0)then
date = globalData.systemDateInfo:getDate(math.floor(self.goodsInfo.vaildDate / 1000))
isOutOfDate = self.goodsInfo:outOfDate()
end
else
if(self.goodsTemplate.vaildDate == 0)then
elseif(self.goodsTemplate.vaildDate < 100)then
date = globalData.systemDateInfo:getDate(math.floor(globalData.systemDateInfo:getSystemTime() / 1000 + self.goodsTemplate.vaildDate * globalData.systemDateInfo.secondsOfDay))
date.hour = 0
date.min = 0
date.sec = 0
else
date = globalData.systemDateInfo:getDate(math.floor(globalData.systemDateInfo:getSystemTime() / 1000 + self.goodsTemplate.vaildDate))
end
end
if(date ~= nil)then
local content = string.format(globalManager.yuyanbaoManager:getYuyanbao("GoodsTipII.text18"), date.year,date.month,date.day,date.hour,date.min,date.sec)
if(isOutOfDate)then
self:addRichLabel(globalData.allStaticTypes.colorType.FALSE_COLOR,content)
else
self:addRichLabel(globalData.allStaticTypes.colorType.TRUE_COLOR,content)
end
end
end
--装备属性
function GoodsTipII:updateEquipProperty()
local isEquip = globalData.allStaticTypes.categoryType:IsEquip(self.goodsTemplate.categoryId)
self.fightLabel:setVisible(isEquip)
self.scoreView:setVisible(isEquip)
if(not isEquip)then
self.levelLabel0:setText(globalManager.yuyanbaoManager:getYuyanbao("GoodsTipII.text6"))
if(globalData.selfPlayerInfo.level >= self.goodsTemplate.needLevel)then
self.levelLabel:setColor(globalData.allStaticTypes.colorType.TIPACT_COLOR)
else
self.levelLabel:setColor(globalData.allStaticTypes.colorType.FALSE_COLOR)
end
self.levelLabel:setText(self.goodsTemplate.needLevel)
return
end
local fight = 0
--提品属性加前面、强化加成加后面
self:addRichLabel(globalData.allStaticTypes.colorType.TIPTITLE_COLOR,globalManager.yuyanbaoManager:getYuyanbao("GoodsTipII.text7"))
local regularPropertyList = nil
if(self.level == nil or self.level == 0) then
regularPropertyList = globalData.allTemplates.equipStrengthLevelTemplateList:getTemplate(self.goodsTemplate.categoryId,globalData.selfPlayerInfo.level)
self.levelLabel0:setText(tostring(globalData.selfPlayerInfo.level)..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel48"))
else
regularPropertyList = globalData.allTemplates.equipStrengthLevelTemplateList:getTemplate(self.goodsTemplate.categoryId,self.level)
self.levelLabel0:setText(tostring(self.level)..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel48"))
end
self.levelLabel:setColor(globalData.allStaticTypes.colorType.TRUE_COLOR)
self.levelLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("GoodsTipII.text8"))
local strengthTemp = nil
if(self.goodsInfo ~= nil and self.goodsInfo.strengthLevel > 0) then
strengthTemp = globalData.allTemplates.strengthPropertyTemplateList:getTemplate(self.goodsTemplate.categoryId,self.goodsInfo.strengthLevel)
end
for i,propertyInfo in pairs(regularPropertyList.propertys) do
local basicPropertyValue = propertyInfo.propertyValue + self.goodsTemplate.regularPropertyList[i].propertyValue
local strengthAddValue = 0
if(self.goodsInfo ~= nil)then
local stageTemp = nil
if(self.goodsInfo.stage > 0)then
stageTemp = globalData.allTemplates.furnaceAdvanceTemplateList:getTemplate(self.goodsInfo.stage)
end
--品阶加成
if(stageTemp ~= nil)then
basicPropertyValue = math.ceil(basicPropertyValue * (1 + stageTemp.addPre / 100))
end
--强化加成
if(strengthTemp ~= nil)then
strengthAddValue = strengthTemp.propertyAdd[i].propertyValue
if(stageTemp ~= nil)then
strengthAddValue = math.ceil(strengthAddValue * (1 + stageTemp.addPre / 100))
end
end
end
local propertyStr = globalData.allStaticTypes.propertyType:getNameByType(propertyInfo.propertyId) .. self.SPACE_STR .. "+" .. basicPropertyValue
if(strengthAddValue > 0)then
propertyStr = propertyStr .. self.SPACE_STR .. self.SPACE_STR .. "[" .. globalData.allStaticTypes.colorType.TRUE_COLOR_STR .. "]"..globalManager.yuyanbaoManager:getYuyanbao("GoodsTipII.text19") .. strengthAddValue .. "[-]"
end
self:addRichLabel(globalData.allStaticTypes.colorType.TIPACT_COLOR,propertyStr)
fight = fight + globalData.allStaticTypes.propertyType:fightCalculate(propertyInfo.propertyId,basicPropertyValue+strengthAddValue)
end
self:addSpace()
if(strengthTemp ~= nil) then
for __,pro in pairs(strengthTemp.plusPropertyAdd) do
if(pro.propertyValue > 0) then
local pre = tostring(math.floor(pro.propertyValue / 100))
local str = "("..globalData.allStaticTypes.propertyType:getNameByType(pro.propertyId).."+"..pre..globalManager.yuyanbaoManager:getYuyanbao("GoodsTipII.text19")..tostring(self.goodsInfo.strengthLevel)..globalManager.yuyanbaoManager:getYuyanbao("GoodsTipII.text20")..")"
self:addRichLabel(globalData.allStaticTypes.colorType.TRUE_COLOR,str)
end
end
local nextStrengthTemp = globalData.allTemplates.strengthPropertyTemplateList:getTemplate(self.goodsTemplate.categoryId,self.goodsInfo.strengthLevel + 1)
if(nextStrengthTemp ~= nil) then
for __,pro in pairs(nextStrengthTemp.plusPropertyAdd) do
if(pro.propertyValue > 0) then
local pre = tostring(math.floor(pro.propertyValue / 100))
local str = "("..globalData.allStaticTypes.propertyType:getNameByType(pro.propertyId).."+"..pre..globalManager.yuyanbaoManager:getYuyanbao("GoodsTipII.text19")..tostring(self.goodsInfo.strengthLevel+1)..globalManager.yuyanbaoManager:getYuyanbao("GoodsTipII.text20")..")"
self:addRichLabel(globalData.allStaticTypes.colorType.TIPUNACT_COLOR,str)
end
end
end
end
if(self.goodsInfo ~= nil) then
self.goodsInfo.score = math.floor(fight)
end
self:addSpace()
if(self.goodsInfo ~= nil)then
self.fightLabel:setStringValue(self.goodsInfo.score)
local myCompareGoods = globalData.goodsInfoList:getRoleEquipByCategoryId(self.goodsInfo:getTemplate().categoryId)
if(myCompareGoods == nil)then
self:fightLabelSetCenter()
else
local delta = self.goodsInfo.score - myCompareGoods.score
if(delta >= 0)then
self.compareImg:loadTexture("arrow/ui_arrow4.png", 1)
self.compareLabel:setText(math.abs(delta))
else
self.compareImg:loadTexture("arrow/ui_arrow3.png", 1)
self.compareLabel:setText(math.abs(delta))
self.compareLabel:setColor(globalData.allStaticTypes.colorType.FALSE_COLOR)
end
end
else
self:fightLabelSetCenter()
self.fightLabel:setStringValue(self.goodsTemplate:getFightValue(self.level))
end
end
--更新属性显示
function GoodsTipII:updateBasicPropertys()
local richLabel = nil
local content = ""
if(self.goodsTemplate.description ~= "")then
-- self:addRichLabel(globalData.allStaticTypes.colorType.TIPTITLE_COLOR,globalManager.yuyanbaoManager:getYuyanbao("GoodsTipII.text11"))
self:addRichLabel(globalData.allStaticTypes.colorType.TRUE_COLOR,self.goodsTemplate.description)
self:addSpace()
end
--[[
if(not self.goodsTemplate.canSell)then
self:addRichLabel(globalData.allStaticTypes.colorType.TIPUNACT_COLOR,globalManager.yuyanbaoManager:getYuyanbao("GoodsTipII.text12"))
end
]]
end
function GoodsTipII:fightLabelSetCenter()
local offset1 = 120
self.fightLabel0:setPositionX(self.fightLabel0:getPositionX() + offset1)
self.fightLabel:setPositionX(self.fightLabel:getPositionX() + offset1)
self.compareImg:setVisible(false)
end
function GoodsTipII:addSpace()
self._currentHeight = self._currentHeight + self._space
end
--添加一个富文本并返回实例
function GoodsTipII:addRichLabel(color3b,text,posX,posY,addHeight)
if(addHeight == nil)then addHeight = true end
local richLabel = globalManager.ccCreator:newRichLabel2(text,410,color3b)
table.insert(self._richLabels,richLabel)
posX = posX or 0
posY = posY or (-self._currentHeight)
richLabel:setPosition(cc.p(posX,posY))
self.container:addChild(richLabel)
if(addHeight)then
self._currentHeight = self._currentHeight + richLabel:getHeight()
end
return richLabel
end
--按钮配置
--规则参照文档
--param goodsTipType:GoodsTipType
function GoodsTipII:configureButtons(goodsTipType)
--装备
local function equipTouchHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.goodsInfoTester:goodsEquip(self.goodsInfo)
globalManager.tipsManager:hide()
end
end
--卸载装备
local function disboardHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.goodsInfoTester:goodsDisboard(self.goodsInfo)
globalManager.tipsManager:hide()
end
end
--强化
local function strengthTouchHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.tipsManager:hide()
if(globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.strengthLevel) then return end
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.furnace)
if(globalData.uiPanelContainer:getCurrentPanel() ~= nil) then
globalData.uiPanelContainer:getCurrentPanel():jumpToTab(1)
end
end
end
--使用
local function useTouchHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
if(self.goodsInfo:getTemplate().canUse)then
if(self.goodsTemplate.canBatch and self.goodsInfo.count > 1)then
globalManager.goodsInfoTester:batchUseGoods(self.goodsInfo)
else
globalManager.goodsInfoTester:useGoods(self.goodsInfo, true)
end
else
if(#self.goodsInfo:getTemplate().triggers > 0) then
globalManager.triggerManager:handlerList(self.goodsInfo:getTemplate().triggers)
end
end
globalManager.tipsManager:hide()
end
end
--批量使用
local function batchUseTouchHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.goodsInfoTester:batchUseGoods(self.goodsInfo)
globalManager.tipsManager:hide()
end
end
--商城购买
local function buyTouchHandler(sender, eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.goodsInfoTester:shopBuy(self.shopGoodsTemplate)
globalManager.tipsManager:hide()
end
end
--兑换商城
local function exchangeTouchHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.tipsManager:hide()
end
end
--丢弃
local function discardTouchHandler(sender,eventType)
local function discard()
globalData.messageAdder:goodsMove(self.goodsInfo.position,-1,1)
globalManager.tipsManager:hide()
end
if(eventType == TOUCH_EVENT_ENDED)then
if(self.goodsInfo:getTemplate():getQuality() >= 3)then
Alert:new():show(2,globalManager.yuyanbaoManager:getYuyanbao("GoodsTipII.text13") .. self.goodsInfo:getColorName() .. "？",globalManager.noAlertUtils.DISCARD_GOODS,0,self,discard)
else
discard()
end
end
end
--出售物品
local function sellHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.goodsInfoTester:sellGoods(self.goodsInfo.position,self.goodsInfo.count)
globalManager.tipsManager:hide()
end
end
-------------------------------------------------
--分割线，上面的touchHandler，下面是按钮显示逻辑
-------------------------------------------------
self.goodsTipType = goodsTipType
self:hideAllBtns()
--其他，无功能操作tip
if(goodsTipType == globalData.allStaticTypes.goodsTipType.OTHER_TIP)then
self:setReduce()
--炼器
elseif(goodsTipType == globalData.allStaticTypes.goodsTipType.FIRE)then
self:setReduce()
--身上装备
elseif(goodsTipType == globalData.allStaticTypes.goodsTipType.EQUIP)then
self.btn1:setEnabled(true)
self.btn2:setEnabled(true)
self.btnLabel1:setText(globalManager.yuyanbaoManager:getYuyanbao("GoodsTipII.text14"))
self.btnLabel2:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel27"))
self.btn1:addTouchEventListener(disboardHandler)
self.btn2:addTouchEventListener(strengthTouchHandler)
--背包
elseif(goodsTipType == globalData.allStaticTypes.goodsTipType.BAG)then
self.btn1:setEnabled(true)
self.btn2:setEnabled(true)
if(globalData.allStaticTypes.categoryType:IsEquip(self.goodsTemplate.categoryId))then
self.btnLabel1:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel23"))
self.btnLabel2:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel27"))
self.btn1:addTouchEventListener(equipTouchHandler)
self.btn2:addTouchEventListener(strengthTouchHandler)
else
self.btnLabel2:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel56"))
self.btn2:addTouchEventListener(useTouchHandler)
if(self.goodsTemplate.canSell)then
if(self.goodsTemplate.sellPrice == 0) then
self.btnLabel1:setText(globalManager.yuyanbaoManager:getYuyanbao("GoodsInfoTester.text3"))
else
self.btnLabel1:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel49"))
end
self.btn1:addTouchEventListener(sellHandler)
--				self.btn1:loadTextureNormal("btn/ui_tabBtn1_4.png",1)
else
self.btn2:setPositionX(257)
self.btn1:setEnabled(false)
end
end
--商城
elseif(goodsTipType == globalData.allStaticTypes.goodsTipType.STORE)then
self.btn1:setEnabled(true)
self.btnLabel1:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel10"))
self.btn1:setPositionX(257)
self.btn1:addTouchEventListener(buyTouchHandler)
--兑换商城
elseif(goodsTipType == globalData.allStaticTypes.goodsTipType.EXCHANGE_STORE)then
self.btn1:setEnabled(true)
self.btnLabel1:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel57"))
self.btn1:setPositionX(257)
self.btn1:addTouchEventListener(exchangeTouchHandler)
--帮派仓库
elseif(goodsTipType == globalData.allStaticTypes.goodsTipType.CLUB_WAREHOUSE)then
end
end
function GoodsTipII:hideAllBtns()
--self.sellBtn:setEnabled(false)
--self.splitBtn:setEnabled(false)
--self.upgradeBtn:setEnabled(false)
--self.fireBtn:setEnabled(false)
--self.discardBtn:setEnabled(false)
self.btn1:setEnabled(false)
self.btn2:setEnabled(false)
end
--设置缩进，下方无操作按钮时调用
function GoodsTipII:setReduce()
self.background:setSize(cc.size(481,586))
end
function GoodsTipII:setShenmiTip(shopInfo,index,currentType)
local buyClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(self._shenmiShopInfo == nil) then return end
if(currentType == 2)then
if(globalData.selfPlayerInfo.vipLevel < self._shenmiShopInfo.vipLow)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("GoodsTipII.text16"))
return
end
end
if(self._shenmiShopInfo.payType == globalData.allStaticTypes.payType.GOLD and globalData.selfPlayerInfo.moneyInfo.gold < self._shenmiShopInfo.price) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel11"))
return
end
if(self._shenmiShopInfo.payType == globalData.allStaticTypes.payType.BINGDGOLD and globalData.selfPlayerInfo.moneyInfo.bindGold < self._shenmiShopInfo.price) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel30"))
return
end
if(self._shenmiShopInfo.payType == globalData.allStaticTypes.payType.COPPER and globalData.selfPlayerInfo.moneyInfo.copper < self._shenmiShopInfo.price) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel12"))
return
end
if(self._shenmiShopInfo.payType == globalData.allStaticTypes.payType.VIPSCORE and globalData.vipMallInfo.vipScore < self._shenmiShopInfo.price) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("GoodsTipII.text17"))
return
end
if(currentType == 1)then
globalData.messageAdder:sendShenmiBuy(index)
elseif(currentType == 2)then
globalData.messageAdder:sendVipMallBuy(index)
end
self:hide()
end
end
if(shopInfo == nil) then return end
self._shenmiShopInfo = shopInfo
self.shenmiLayer:setEnabled(true)
self.btn1:setEnabled(false)
self.btn2:setEnabled(false)
if(self._shenmiShopInfo.itemList[1][2] > 10000)then
self.numLabel:setText(self._shenmiShopInfo.itemList[1][2] * 0.0001 .. globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel44"))
else
self.numLabel:setText(self._shenmiShopInfo.itemList[1][2])
end
self.numTipLabel:setPositionX(70 + self.numLabel:getSize().width)
if(self._shenmiShopInfo.payType == globalData.allStaticTypes.payType.BINGDGOLD) then
self.priceIcon:loadTexture("icon/ui_bindGoldIcon.png",1)
elseif(self._shenmiShopInfo.payType == globalData.allStaticTypes.payType.COPPER) then
self.priceIcon:loadTexture("icon/ui_moneyIcon2.png",1)
self.priceIcon:setScale(1)
elseif(self._shenmiShopInfo.payType == globalData.allStaticTypes.payType.VIPSCORE)then
self.path          = globalManager.pathManager:getUISource("outPic/vipScoreIcon.png")
globalManager.sourceCacheManager:setImage(self.priceIcon,self.path,globalData.allStaticTypes.sourceStaticType.clearFiveM)
end
if(self._shenmiShopInfo.price > 10000)then
self.priceLabel:setText(self._shenmiShopInfo.price * 0.0001 ..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel44"))
else
self.priceLabel:setText(self._shenmiShopInfo.price)
end
self.buyBtn:addTouchEventListener(buyClickHandler)
end
function GoodsTipII:setDoubleElevenTip(info)
local buyClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(self._doubleElevenShopInfo == nil) then return end
if(globalData.selfPlayerInfo.moneyInfo.gold < self._doubleElevenShopInfo[3]) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel11"))
else
globalData.messageAdder:sendDoubleElevenThreeBuy(self._doubleElevenShopInfo[1])
end
self:hide()
end
end
if(info == nil) then return end
self._doubleElevenShopInfo = info
self.shenmiLayer:setEnabled(true)
self.btn1:setEnabled(false)
self.btn2:setEnabled(false)
self.numLabel:setText(self._doubleElevenShopInfo[2])
self.numTipLabel:setPositionX(70 + self.numLabel:getSize().width)
self.priceLabel:setText(self._doubleElevenShopInfo[3])
self.buyBtn:addTouchEventListener(buyClickHandler)
end
function GoodsTipII:setSeedTip(shopInfo,landId)
local buyClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(self._seedShopInfo == nil) then return end
if(self._seedShopInfo.payType == globalData.allStaticTypes.payType.GOLD and globalData.selfPlayerInfo.moneyInfo.gold < self._seedShopInfo.price) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel11"))
return
end
if(self._seedShopInfo.payType == globalData.allStaticTypes.payType.BINGDGOLD and globalData.selfPlayerInfo.moneyInfo.bindGold < self._seedShopInfo.price) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel30"))
return
end
if(self._seedShopInfo.payType == globalData.allStaticTypes.payType.COPPER and globalData.selfPlayerInfo.moneyInfo.copper < self._seedShopInfo.price) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel12"))
return
end
globalData.messageAdder:farmBuySeed(landId,shopInfo.templateId)
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.farm_closeSeedShop,globalManager.gameDispatcher,nil))
self:hide()
end
end
if(shopInfo == nil) then return end
self._seedShopInfo = shopInfo
self.shenmiLayer:setEnabled(true)
self.btn1:setEnabled(false)
self.btn2:setEnabled(false)
self.numLabel:setText("1")
self.numTipLabel:setPositionX(70 + self.numLabel:getSize().width)
if(self._seedShopInfo.payType == globalData.allStaticTypes.payType.BINGDGOLD) then
self.priceIcon:loadTexture("icon/ui_bindGoldIcon.png",1)
elseif(self._seedShopInfo.payType == globalData.allStaticTypes.payType.COPPER) then
self.priceIcon:loadTexture("icon/ui_moneyIcon2.png",1)
self.priceIcon:setScale(1)
end
if(self._seedShopInfo.price > 10000)then
self.priceLabel:setText(self._seedShopInfo.price * 0.0001 ..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel44"))
else
self.priceLabel:setText(self._seedShopInfo.price)
end
self.buyBtn:addTouchEventListener(buyClickHandler)
self._shopBtnLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("GoodsTipII.text21"))
end
--元宵集福
function GoodsTipII:setJiFuTip(info,isPass)
local function getAward()
if(globalData.selfPlayerInfo.moneyInfo.gold < info.price) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel11"))
return
end
globalData.messageAdder:sendJiFuAwardGet(info.day)
end
local function buyClickHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(self._jiFuInfo == nil) then return end
if(isPass)then
Alert:new():show(2,string.format(globalManager.yuyanbaoManager:getYuyanbao("OpenView21.text6"),self._jiFuInfo.price),nil,0,self,getAward)
else
Alert:new():show(2,string.format(globalManager.yuyanbaoManager:getYuyanbao("OpenView21.text7"),self._jiFuInfo.price),nil,0,self,getAward)
end
self:hide()
end
end
if(info == nil) then return end
self._jiFuInfo = info
self.functionBtn2:setEnabled(true)
self.btn1:setEnabled(false)
self.btn2:setEnabled(false)
self.btn3:addTouchEventListener(buyClickHandler)
self.btn3:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("GoodsTipII.text22"))
end
function GoodsTipII:show()
self:setPosition(cc.p((globalData.GAME_WIDTH - 481) / 2,(globalData.GAME_HEIGHT - 586) / 2))
end
function GoodsTipII:hide()
globalManager.tipsManager:hide()
end
function GoodsTipII:hideFormClickContainer()
self:hide()
end
function GoodsTipII:dispose()
for __,richLabel in pairs(self._richLabels) do
richLabel:dispose()
end
self._richLabels = nil
if(self.grid ~= nil)then
self.grid:dispose()
self.grid = nil
end
--	if(self._scrollBarWrapper ~= nil)then
--		self._scrollBarWrapper:dispose()
--		self._scrollBarWrapper = nil
--	end
globalManager.ccCreator:release(self.container)
self.container = nil
--	globalManager.ccCreator:release(self.closeBtn)
--	self.closeBtn = nil
globalManager.ccCreator:release(self._widget)
self._widget = nil
self.scrollView = nil
self.background = nil
--self.fireBtn = nil
--self.upgradeBtn = nil
--self.sellBtn = nil
--self.splitBtn = nil
--self.discardBtn = nil
self._shopBtnLabel = nil
self.btn1 = nil
self.btnLabel1 = nil
self.btn2 = nil
self.btnLabel2 = nil
self.typeLabel = nil
self.levelLabel0 = nil
self.levelLabel = nil
self.scoreView = nil
self.fightLabel0 = nil
self.fightLabel = nil
self.compareImg = nil
self.compareLabel = nil
self.goodsInfo = nil
self.goodsTemplate = nil
self.shopGoodsTemplate = nil
globalManager.ccCreator:release(self.nameLabel)
self.nameLabel = nil
self.shenmiLayer = nil
self.numLabel = nil
self.numTipLabel = nil
self.priceIcon = nil
self.priceLabel = nil
self.buyBtn = nil
self._shenmiShopInfo = nil
self._seedShopInfo = nil
self.functionBtn2 = nil
self.btn3 = nil
self._jiFuInfo = nil
globalManager.sourceCacheManager:removeQuote(self.path)
self.path = nil
globalManager.ccCreator:release(self)
end
MarryRingTip = class("MarryRingTip", function(self,type)
local temp = globalManager.ccCreator:newWidget()
temp.marryTemplate = nil
temp.SPACE_STR = "    "
temp._richLabels = {}
temp._currentHeight = 30
temp.type = type
temp._widget = globalManager.ccCreator:newJsonWidget("GoodsInfoTip")
temp:addChild(temp._widget)
temp._widget:getChildByName("fightLabel_Copy1"):setText(globalManager.yuyanbaoManager:getYuyanbao("FiveEquipTip.text12")..":")
temp._widget:getChildByName("okBtn"):getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("MarryRingTip.text3"))
temp.scrollView = temp._widget:getChildByName("scrollView")
temp.ringIcon = temp._widget:getChildByName("ringIcon")
temp.iconBg = temp._widget:getChildByName("ImageView_130_Copy0")
if temp.type then
temp._widget:getChildByName("typeLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("MarryRingTip.text4"))
temp.ringIcon:setSize(globalManager.ccCreator:newSize(136,90))
temp.iconBg:setSize(globalManager.ccCreator:newSize(136,90))
else
temp._widget:getChildByName("typeLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("MarryRingTip.text5"))
end
temp.iconPath = nil
temp.background = temp._widget:getChildByName("background")
temp.background:setTouchEnabled(true)
temp.okBtn = temp._widget:getChildByName("okBtn")
temp.scoreView = temp._widget:getChildByName("scoreView")
temp.fightLabel0 = temp.scoreView:getChildByName("fightLabel0")
temp.fightLabel = temp.scoreView:getChildByName("fightLabel")
temp.closeBtn = globalManager.ccCreator:newButton()
temp.closeBtn:loadTextureNormal("btn/ui_closeBtn.png",1)
temp._widget:addChild(temp.closeBtn)
temp.nameLabel = globalManager.ccCreator:newLabel()
temp.nameLabel:setTextHorizontalAlignment(cc.TEXT_ALIGNMENT_LEFT)
temp.nameLabel:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[7])
temp.nameLabel:setFontSize(22)
temp.nameLabel:setPosition(cc.p(280,520))
temp:addChild(temp.nameLabel)
temp.container = globalManager.ccCreator:newWidget()
temp.scrollView:addChild(temp.container)
return temp
end)
function MarryRingTip:ctor()
self:initEvent()
end
function MarryRingTip:setMarryTemplateInfo(info)
self.marryTemplate = info
self:updateView()
end
function MarryRingTip:updateView()
self.nameLabel:setText(self.marryTemplate.name)
self.nameLabel:setColor(globalData.allStaticTypes.colorType:getColorByQuality(self.marryTemplate.id + 2))
self.iconPath = globalManager.pathManager:getUISource("outPic/"..self.marryTemplate.iconPath)
globalManager.sourceCacheManager:setImage(self.ringIcon,self.iconPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self:updateEquipProperty()
--更新滚动
local tHeight = math.max(self._currentHeight,self.scrollView:getSize().height)
self.container:setPositionY(tHeight)
self.scrollView:setInnerContainerSize(cc.size(self.scrollView:getSize().width,tHeight))
end
--装备属性
function MarryRingTip:updateEquipProperty()
local fight = 0
self:addRichLabel(globalData.allStaticTypes.colorType.TIPTITLE_COLOR,globalManager.yuyanbaoManager:getYuyanbao("GoodsTipII.text7"))
for i,propertyInfo in pairs(self.marryTemplate.propertys) do
local basicPropertyValue = propertyInfo.propertyValue
local propertyStr = globalData.allStaticTypes.propertyType:getNameByType(propertyInfo.propertyId) .. self.SPACE_STR .. "+" .. basicPropertyValue
self:addRichLabel(globalData.allStaticTypes.colorType.TIPACT_COLOR,propertyStr)
fight = fight + globalData.allStaticTypes.propertyType:fightCalculate(propertyInfo.propertyId,basicPropertyValue)
end
self.fightLabel:setStringValue(fight)
end
function MarryRingTip:addRichLabel(color3b,text,posX,posY,addHeight)
if(addHeight == nil)then addHeight = true end
local richLabel = globalManager.ccCreator:newRichLabel2(text,410,color3b)
table.insert(self._richLabels,richLabel)
posX = posX or 0
posY = posY or (-self._currentHeight)
richLabel:setPosition(cc.p(posX,posY))
self.container:addChild(richLabel)
if(addHeight)then
self._currentHeight = self._currentHeight + richLabel:getHeight()
end
return richLabel
end
function MarryRingTip:show()
self:setPosition(cc.p((globalData.GAME_WIDTH - 525) / 2,(globalData.GAME_HEIGHT - 617) / 2))
self.closeBtn:setPosition(globalManager.ccCreator:newPoint(525 - 81,617 - 66))
end
function MarryRingTip:hide()
globalManager.tipsManager:hide()
end
function MarryRingTip:hideFormClickContainer()
self:hide()
end
function MarryRingTip:initEvent()
local okBtnClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self:hide()
end
end
local closeClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self:hide()
end
end
self.closeBtn:addTouchEventListener(closeClickHandler)
self.okBtn:addTouchEventListener(okBtnClickHandler)
end
function MarryRingTip:removeEvent()
end
function MarryRingTip:dispose()
self:removeEvent()
globalManager.ccCreator:release(self.closeBtn)
self.closeBtn = nil
for __,richLabel in pairs(self._richLabels) do
richLabel:dispose()
end
self._richLabels = nil
globalManager.ccCreator:release(self.container)
self.container = nil
globalManager.ccCreator:release(self._widget)
self._widget = nil
if(self.iconPath ~= nil) then
globalManager.sourceCacheManager:removeQuote(self.iconPath)
self.iconPath = nil
end
self.ringIcon = nil
self.scrollView = nil
self.background = nil
self.okBtn = nil
self.scoreView = nil
self.fightLabel0 = nil
self.fightLabel = nil
self.marryTemplate = nil
globalManager.ccCreator:release(self.nameLabel)
self.nameLabel = nil
globalManager.ccCreator:release(self)
end
QuickTip = class("QuickTip", function(self)
local temp = {}
temp.container = globalManager.ccCreator:newNode()
temp.container:setPosition(cc.p(globalData.GAME_WIDTH - 390,280))
temp.TEXT_COUNT = 3 --最多显示条数
temp.count = 0 --当前条数
return temp
end)
function QuickTip:show(content)
if(not globalData.isShowQuickTip) then return end
if(content == nil or content == "")then return end
if(self.count >= 3) then return end
if(self.container:getParent() == nil)then
globalManager.containerManager.tipContainer:addChild(self.container,10)
end
self.count = self.count + 1
local text = QuickTipText:new(self,content,(3-self.count)*36,globalData.allStaticTypes.colorType.COLORWHITE)
self.container:addChild(text)
end
function QuickTip:runFinish()
self.count = self.count - 1
if(self.count <= 0) then
self.count = 0
if(self.container:getParent() ~= nil)then
self.container:removeFromParent()
end
end
end
QuickTipText = class("QuickTipText", function(self,parent,content,startY,color)
local temp = globalManager.ccCreator:newImageView("bar/ui_bar15.png",1)
temp:setScale9Enabled(true)
temp:setCapInsets(cc.rect(186,9,1,1))
-- temp:setOpacity(255)
temp:ignoreContentAdaptWithSize(false)
temp:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[7])
temp.richLabel = globalManager.ccCreator:newRichLabel2(content,500,color)
local posX,posY = temp.richLabel:getPosition()
local x = (400 - temp.richLabel:getTextWidth()*1.4) / 2
temp.richLabel:setPosition(globalManager.ccCreator:newPoint(posX + x,posY + 2))
temp:addChild(temp.richLabel)
temp.richLabel:setScale(1.4)
temp:setSize(globalManager.ccCreator:newSize(400,38))
temp._count = 0
temp._parent = parent
temp._startY = startY
return temp
end)
function QuickTipText:ctor()
globalManager.tickManager:addTick(self.tick,self)
end
function QuickTipText:tick(delta,count)
self._count = self._count + 1
if(self._count < 90) then
self:setPositionY(self._startY + self._count)
elseif(self._count < 150) then
self:setOpacity(255*(150-self._count)/60)
else
self._parent:runFinish()
globalManager.tickManager:removeTick(self.tick,self)
self:dispose()
end
end
function QuickTipText:dispose()
if(self.richLabel ~= nil)then
self.richLabel:dispose()
end
globalManager.ccCreator:release(self)
end
SceneWordTip = class("SceneWordTip", function(self)
local temp = {}
temp.bg = globalManager.ccCreator:newImageView("bar/ui_bar21.png",1)
temp.bg:setScale9Enabled(true)
temp.bg:setCapInsets(cc.rect(70,25,1,1))
local pos = globalManager.ccCreator:newPoint(globalData.GAME_WIDTH * 0.5,102)
temp.bg:setPosition(pos)
temp.label = globalManager.ccCreator:newLabel()
temp.label:setPosition(pos)
temp.label:setFontSize(22)
temp.count = 0
return temp
end)
function SceneWordTip:show(id)
local content = globalManager.descriptManager:getDescript(id)
self:showText(content)
end
function SceneWordTip:showText(content)
if(content == nil or content == "")then return end
self.label:setText(content)
self.bg:setSize(globalManager.ccCreator:newSize(math.max(self.label:getContentSize().width + 40,139),50))
self.count = 0
if(self.bg:getParent() == nil) then
globalManager.containerManager.tipContainer:addChild(self.bg)
globalManager.containerManager.tipContainer:addChild(self.label)
globalManager.tickManager:addTick(self.tick,self)
end
end
function SceneWordTip:tick(delta,tickCount)
self.count = self.count + delta
if(self.count > 3) then
if(self.bg:getParent() ~= nil) then
globalManager.containerManager.tipContainer:removeChild(self.bg,false)
globalManager.containerManager.tipContainer:removeChild(self.label,false)
end
globalManager.tickManager:removeTick(self.tick,self)
end
end
ScrollTip = class("ScrollTip", function(self)
local temp = globalManager.ccCreator:newNode()
temp:setPosition(cc.p(globalData.GAME_WIDTH * 0.5 + 250,190))
temp.text1 = globalManager.ccCreator:newLabel()
temp.text1:setFontSize(18)
temp.text1:setColor(globalData.allStaticTypes.colorType.TIPTITLE_COLOR)
temp:addChild(temp.text1)
temp.text2 = globalManager.ccCreator:newLabel()
temp.text2:setFontSize(18)
temp.text2:setColor(globalData.allStaticTypes.colorType.TIPTITLE_COLOR)
temp.text2:setPositionY(22)
temp:addChild(temp.text2)
temp.count1 = 0
temp.count2 = 0
return temp
end)
function ScrollTip:ctor()
end
function ScrollTip:show(content)
if(self:getParent() == nil)then
globalManager.containerManager.tipContainer:addChild(self)
globalManager.tickManager:addTick(self.tick,self)
end
if(self.count1 > 0)then
self.text2:setText(self.text1:getStringValue())
self.count2 = self.count1
end
self.text1:setText(content)
self.count1 = 180
end
function ScrollTip:tick(delta,tickCount)
if(self.count2 > 0) then
self.count2 = self.count2 - 1
if(self.count2 == 0) then
self.text2:setText(nil)
end
end
if(self.count1 > 0) then
self.count1 = self.count1 - 1
if(self.count1 == 0) then
self.text1:setText(nil)
if(self:getParent())then
globalManager.tickManager:removeTick(self.tick,self)
self:removeFromParent(false)
end
end
end
end
StringTip = class("StringTip", function(self)
local temp = globalManager.ccCreator:newWidget()
temp._background = globalManager.ccCreator:newImageView("board/ui_board4.png", 1)
temp._background:setScale9Enabled(true)
temp._background:setAnchorPoint(cc.p(0,0))
temp._background:setCapInsets(cc.rect(30,39,1,1))
temp:addChild(temp._background)
temp._label = nil
temp.closeBtn = globalManager.ccCreator:newButton()
temp.closeBtn:loadTextureNormal("btn/ui_closeBtn.png",1)
temp:addChild(temp.closeBtn)
return temp
end)
function StringTip:ctor()
self:initEvent()
end
function StringTip:initEvent()
local closeClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self:hide()
end
end
self.closeBtn:addTouchEventListener(closeClickHandler)
end
function StringTip:setString(content,size)
size = size or cc.size(340,140)
self._label = globalManager.ccCreator:newRichLabel2(content,size.width)
self._label:setPosition(cc.p(50,10 + self._label:getHeight()))
self:addChild(self._label)
self._background:setSize(size)
local tempSize = cc.size(size.width + 90,self._label:getHeight() + 80)
self._background:setSize(tempSize)
self:setPosition(cc.p((globalData.GAME_WIDTH - tempSize.width) / 2,(globalData.GAME_HEIGHT - tempSize.height) / 2))
self.closeBtn:setPosition(globalManager.ccCreator:newPoint(tempSize.width - 5,tempSize.height- 5))
end
function StringTip:hide()
globalManager.tipsManager:hide()
end
function StringTip:hideFormClickContainer()
self:hide()
end
function StringTip:dispose()
globalManager.ccCreator:release(self._background)
self._background = nil
if(self._label ~= nil) then
self._label:dispose()
self._label = nil
end
globalManager.ccCreator:release(self.closeBtn)
self.closeBtn = nil
globalManager.ccCreator:release(self)
end
--##globalManager.tipsManager
TipsManager = class("TipsManager", function(self)
local temp = {}
temp.tips = nil
temp.quickTip = QuickTip:new()
--	temp.scrollTip = ScrollTip:new()
temp.sceneWordTip = SceneWordTip:new()
temp.fightChangeTip = FightChangeTip:new()
temp.guideTip = GuideTipView:new()
temp.guideNpcTalk = GuideNpcTalkView:new()
temp.guideNpcCopyTalk = GuideNpcCopyTalkView:new()
--信息查询tip
temp.queryUserId = 0 	--当前查询的用户ID
temp.queryUserType = 0  --当前查询的用户类型：如人物、坐骑、妖精等（此处为依据来打开切卡）
temp.infoQueryPanel = nil
temp.fightComparePanel = nil
temp.tempGoodsInfo = nil
return temp
end)
function TipsManager:ctor()
self:initEvent()
end
function TipsManager:showString(message,size)
self:hide()
self.tips = StringTip:new()
self.tips:setString(message,size)
globalData.uiClickContainer:addItem(self.tips)
end
function TipsManager:showMarryInfo(message,type)
self:hide()
if type then
self.tips = MarryRingTip:new(type)
else
self.tips = MarryRingTip:new()
end
self.tips:setMarryTemplateInfo(message)
self.tips:show()
globalData.uiClickContainer:addItem(self.tips)
end
function TipsManager:showGoods(message,params,level)
self:hide()
if(globalData.allStaticTypes.categoryType:IsFiveEquip(message:getTemplate().categoryId)) then
self.tips = FiveEquipTip:new()
local info = globalData.fiveEquipList:getFiveEquipInfo(message:getTemplate().property2,globalData.allTemplates.fiveEquipTemplateList:getTemplate(message:getTemplate().property1).place)
local jingLianLevel = 0
if(info ~= nil)then
jingLianLevel = info.level
end
self.tips:setTempInfo(globalData.allTemplates.fiveEquipTemplateList:getTemplate(message:getTemplate().property1),message.stage,jingLianLevel)
self.tips:configureButtons(message,params)
self.tips:show()
else
params = params or globalData.allStaticTypes.goodsTipType.OTHER_TIP
self.tips = GoodsTipII:new()
self.tips:setGoodsInfo(message,level)
self.tips:configureButtons(params)
self.tips:show()
end
globalData.uiClickContainer:addItem(self.tips)
end
function TipsManager:showShenMiGoods(message,index,currentType)
self:hide()
local goodsTemplate = globalData.allTemplates.goodsTemplateList:getTemplate(message.itemList[1][1])
if(globalData.allStaticTypes.categoryType:IsFiveEquip(goodsTemplate.categoryId)) then
self.tips = FiveEquipTip:new()
self.tips:setTempInfo(globalData.allTemplates.fiveEquipTemplateList:getTemplate(goodsTemplate.property1),message.itemList[1][5],message.itemList[1][4])
self.tips:show()
else
self.tips = GoodsTipII:new()
self.tips:setGoodsTemplate(goodsTemplate)
self.tips:show()
end
self.tips:setShenmiTip(message,index,currentType)
globalData.uiClickContainer:addItem(self.tips)
end
function TipsManager:showDoubleElevenGoods(info)
self:hide()
local goodsTemplate = globalData.allTemplates.goodsTemplateList:getTemplate(info[1])
self.tips = GoodsTipII:new()
self.tips:setGoodsTemplate(goodsTemplate)
self.tips:show()
self.tips:setDoubleElevenTip(info)
globalData.uiClickContainer:addItem(self.tips)
end
--显示农场种子购买界面
function TipsManager:showSeedGoods(info,landId)
self:hide()
local goodsTemplate = globalData.allTemplates.goodsTemplateList:getTemplate(info.templateId)
self.tips = GoodsTipII:new()
self.tips:setGoodsTemplate(goodsTemplate)
self.tips:show()
self.tips:setSeedTip(info,landId)
globalData.uiClickContainer:addItem(self.tips)
end
--显示元宵集福购买界面
function TipsManager:showJiFuGoods(info,isPass)
self:hide()
local goodsTemplate = globalData.allTemplates.goodsTemplateList:getTemplate(info.awardList[1])
self.tips = GoodsTipII:new()
self.tips:setGoodsTemplate(goodsTemplate)
self.tips:show()
self.tips:setJiFuTip(info,isPass)
globalData.uiClickContainer:addItem(self.tips)
end
function TipsManager:showGoodsTemplate(message,params,level)
self:hide()
if(globalData.allStaticTypes.categoryType:IsFiveEquip(message.categoryId)) then
self.tips = FiveEquipTip:new()
self.tips:setTempInfo(globalData.allTemplates.fiveEquipTemplateList:getTemplate(message.property1),3,0)
self.tips:configureButtons(message,nil)
self.tips:show()
else
params = params or globalData.allStaticTypes.goodsTipType.OTHER_TIP
self.tips = GoodsTipII:new()
self.tips:setGoodsTemplate(message,level)
self.tips:configureButtons(params)
self.tips:show()
end
globalData.uiClickContainer:addItem(self.tips)
end
function TipsManager:showShopGoodsTemplate(message,params)
self:hide()
params = params or globalData.allStaticTypes.goodsTipType.OTHER_TIP
self.tips = GoodsTipII:new()
self.tips:setShopGoodsTemplate(message)
self.tips:configureButtons(params)
self.tips:show()
globalData.uiClickContainer:addItem(self.tips)
end
function TipsManager:showEquipStrength(message)
self:hide()
self.tips = EquipStrengthTip:new()
self.tips:setEquipInfo(message)
globalData.uiClickContainer:addItem(self.tips)
end
function TipsManager:showTalentTemplate(message,params,type)
self:hide()
self.tips = TalentTip:new(type)
self.tips:setTemplate(message,params)
globalData.uiClickContainer:addItem(self.tips)
end
function TipsManager:showFiveEquip(message,tempGoodsInfo,params,type)
self:hide()
self.tips = FiveEquipTip:new()
self.tips:setType(type)
self.tips:setInfo(message)
self.tips:configureButtons(tempGoodsInfo,params)
self.tips:show()
globalData.uiClickContainer:addItem(self.tips)
end
function TipsManager:showFiveEquipSuitTip(stage,type)
self:hide()
self.tips = FiveEquipSuitTip:new(stage,type)
globalData.uiClickContainer:addItem(self.tips)
end
function TipsManager:hide()
if(self.tips ~= nil)then
globalData.uiClickContainer:close(self.tips)
self.tips:dispose()
self.tips = nil
end
end
-----------------------------------------------------------------
-- 分割线,
-----------------------------------------------------------------
function TipsManager:initEvent()
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.playerInfo_goodsQuery,self.goodsQueryComplete,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.friend_infoQuery,self.infoQueryComplete,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_closeOtherPanel,self.hide,self)
end
function TipsManager:goodsQueryComplete(evt)
if(self.tempGoodsInfo ~= nil) then
self.tempGoodsInfo:dispose()
end
self.tempGoodsInfo  = evt.data
self:show(self.tempGoodsInfo)
end
--角色信息查询完成
function TipsManager:infoQueryComplete(evt)
--	globalData.uiPanelContainer:close()
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_closeOtherPanel,globalManager.gameDispatcher))
local queryItem = evt.data
if(globalManager.tipsManager.queryUserType == 9)then
self:showFightComparePanel(queryItem)
else
self:_showInfoQueryPanel(queryItem)
end
end
function TipsManager:showFightChangeTip(oldValue,addValue)
self.fightChangeTip:show(oldValue,addValue)
end
--显示信息查询界面，不需要手动调用，接收事件显示
function TipsManager:_showInfoQueryPanel(queryItem)
self:hideInfoQueryPanel()
self.infoQueryPanel = InfoQueryPanel:new(queryItem)
-- globalManager.containerManager.panelContainer:addChild(self.infoQueryPanel)
-- self.infoQueryPanel:setPosition(cc.p((globalData.GAME_WIDTH - 960) / 2,(globalData.GAME_HEIGHT - 640) / 2))
globalData.uiClickContainer:addItem(self.infoQueryPanel,true,true)
end
function TipsManager:hideInfoQueryPanel()
if(self.infoQueryPanel ~= nil)then
globalData.uiClickContainer:close(self.infoQueryPanel)
self.infoQueryPanel:dispose()
self.infoQueryPanel = nil
end
end
function TipsManager:showFightComparePanel(queryItem)
self:hideInfoQueryPanel()
self:hideFightComparePanel()
self.fightComparePanel = FightComparePanel:new(queryItem)
globalManager.containerManager.fixUIContainer:addChild(self.fightComparePanel,9)
self.fightComparePanel:setPosition(cc.p((globalData.GAME_WIDTH - 960) / 2,(globalData.GAME_HEIGHT - 640) / 2))
globalData.uiPanelContainer:close()
end
function TipsManager:hideFightComparePanel()
if(self.fightComparePanel ~= nil)then
self.fightComparePanel:dispose()
self.fightComparePanel = nil
end
end
WarmTipsView = class("WarmTipsView", function(self)
local temp = globalManager.ccCreator:newJsonWidget("WarmTipsView")
temp.closeBtn = temp:getChildByName("closeBtn")
temp.listPanel = temp:getChildByName("list_panel")
temp:getChildByName("LabelBMFont_8508_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("WarmTipsView.text14"))
temp.itemList = {}
return temp
end)
function WarmTipsView:ctor()
local itemClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
local index = sender:getIndex()
if(index == 1) then
globalManager.playerInfoTester._isShowSkill = false
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab1,globalData.allStaticTypes.panelTabType.skill)
elseif(index == 2) then
if(globalManager.playerInfoTester._isShowRider)then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab4,globalData.allStaticTypes.panelTabType.rider)
elseif(globalManager.playerInfoTester._isShowPet)then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab4,globalData.allStaticTypes.panelTabType.pet)
elseif(globalManager.playerInfoTester._isShowWing)then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab4,globalData.allStaticTypes.panelTabType.wing)
elseif(globalManager.playerInfoTester._isShowGod)then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab4,globalData.allStaticTypes.panelTabType.god)
elseif(globalManager.playerInfoTester._isShowSprite)then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab4,globalData.allStaticTypes.panelTabType.sprite)
elseif(globalManager.playerInfoTester._isShowFazhen)then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab4,globalData.allStaticTypes.panelTabType.fazhen)
elseif(globalManager.playerInfoTester._isShowLonghun)then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab4,globalData.allStaticTypes.panelTabType.longhun)
end
globalManager.playerInfoTester._isShowPet = false
globalManager.playerInfoTester._isShowRider = false
globalManager.playerInfoTester._isShowWing = false
globalManager.playerInfoTester._isShowGod = false
globalManager.playerInfoTester._isShowSprite = false
globalManager.playerInfoTester._isShowFazhen = false
globalManager.playerInfoTester._isShowLonghun = false
-- elseif(index == 4) then
-- 	globalManager.playerInfoTester._isShowPet = false
-- 	globalManager.playerInfoTester._isShowRider = false
-- 	globalManager.playerInfoTester._isShowWing = false
-- 	globalManager.playerInfoTester._isShowGod = false
-- 	globalManager.playerInfoTester._isShowSprite = false
-- 	globalManager.playerInfoTester._isShowFazhen = false
-- 	globalManager.playerInfoTester._isShowLonghun = false
-- 	globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab4,globalData.allStaticTypes.panelTabType.wing)
elseif(index == 11) then
globalManager.playerInfoTester._isShowActivity = false
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tabDaily)
elseif(index == 12) then
globalManager.playerInfoTester._isShowSign = false
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.welfareTab)
elseif(index == 13) then
globalManager.playerInfoTester._isShowLYGift =  false
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tabCopy)
if(globalData.uiPanelContainer:getCurrentPanel() ~= nil) then
globalData.uiPanelContainer:getCurrentPanel():jumpToTab(2)
end
elseif(index == 16) then
globalManager.playerInfoTester._isShowRiderTalent =  false
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab7,globalData.allStaticTypes.panelTabType.riderTalent)
elseif(index == 17) then
globalManager.playerInfoTester._isShowAchievement =  false
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tabDaily,globalData.allStaticTypes.panelTabType.activity)
if(globalData.uiPanelContainer:getCurrentPanel() ~= nil) then
globalData.uiPanelContainer:getCurrentPanel():setIndex(5)
end
elseif(index == 18) then
globalManager.playerInfoTester._isShowPetTalent =  false
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab7,globalData.allStaticTypes.panelTabType.petTanlent)
elseif(index == 19) then
globalManager.playerInfoTester._isShowTaoYuan =  false
if(globalData.oathInfo.oathPosition > 0) then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.showTaoYuanPanel,globalManager.gameDispatcher))
end
elseif(index == 20) then
globalManager.playerInfoTester._oath =  false
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab3,globalData.allStaticTypes.panelTabType.oath)
elseif(index == 21) then
globalManager.playerInfoTester._isShowXianYuan =  false
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab3,globalData.allStaticTypes.panelTabType.xianYuan)
elseif(index == 22) then
globalManager.playerInfoTester._isShowTaoYuanCopy =  false
if(globalData.oathInfo.oathPosition > 0) then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab3,globalData.allStaticTypes.panelTabType.oath)
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.showTaoYuanPanel,globalManager.gameDispatcher))
end
elseif(index == 23) then
globalManager.playerInfoTester._isShowWakeUp = false
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab1,globalData.allStaticTypes.panelTabType.property)
elseif(index == 24) then
globalManager.playerInfoTester._isShowHomeUp = false
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab3,globalData.allStaticTypes.panelTabType.home)
globalManager.moduleManager:addModule(globalData.allStaticTypes.moduleType.home,ToHomeModuleData:new(1,globalData.homeInfo),false)
elseif(index == 25) then
globalManager.playerInfoTester._isShowLuckTree = false
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab3,globalData.allStaticTypes.panelTabType.home)
globalManager.moduleManager:addModule(globalData.allStaticTypes.moduleType.home,ToHomeModuleData:new(1,globalData.homeInfo),false)
elseif(index == 26) then
globalManager.playerInfoTester._isShowWishPanel = false
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab3,globalData.allStaticTypes.panelTabType.home)
globalManager.moduleManager:addModule(globalData.allStaticTypes.moduleType.home,ToHomeModuleData:new(1,globalData.homeInfo),false)
elseif(index == 27) then
globalManager.playerInfoTester._isShowWaterTree = false
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab3,globalData.allStaticTypes.panelTabType.home)
globalManager.moduleManager:addModule(globalData.allStaticTypes.moduleType.home,ToHomeModuleData:new(1,globalData.homeInfo),false)
elseif(index == 28) then
globalManager.playerInfoTester._isShowFactoryExchange = false
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab3,globalData.allStaticTypes.panelTabType.home)
globalManager.moduleManager:addModule(globalData.allStaticTypes.moduleType.home,ToHomeModuleData:new(1,globalData.homeInfo),false)
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.farm_openFactoryExchangePanel,globalManager.gameDispatcher,nil))
elseif(index == 29) then
globalManager.playerInfoTester._isShowFarmPanel = false
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab3,globalData.allStaticTypes.panelTabType.home)
globalManager.moduleManager:addModule(globalData.allStaticTypes.moduleType.home,ToHomeModuleData:new(1,globalData.homeInfo),false)
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.farm_openFarmPanel,globalManager.gameDispatcher,nil))
elseif(index == 30) then
globalManager.playerInfoTester._isShowPeishi = false
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_showPeiShiPanel,globalManager.gameDispatcher,nil))
elseif(index == 48)then
globalManager.playerInfoTester._isShowFashion = false
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab1,globalData.allStaticTypes.panelTabType.bag)
FashionViewPanel:new(globalData.fashionInfo,globalData.allStaticTypes.careerType:getCareer(globalData.selfPlayerInfo.career),globalData.selfPlayerInfo.userId)
end
globalManager.playerInfoTester:checkShow()
self:dispose()
end
end
local item
if(globalManager.playerInfoTester._isShowSkill) then
item = WarmTipsItem:new(globalManager.yuyanbaoManager:getYuyanbao("WarmTipsView.text1"),1)
item:addTouchEventListener(itemClickHandler)
self.listPanel:pushBackCustomItem(item)
table.insert(self.itemList,item)
end
if(globalManager.playerInfoTester._isShowPet or globalManager.playerInfoTester._isShowRider
or globalManager.playerInfoTester._isShowWing or globalManager.playerInfoTester._isShowGod
or globalManager.playerInfoTester._isShowSprite or globalManager.playerInfoTester._isShowFazhen
or globalManager.playerInfoTester._isShowLonghun) then
item = WarmTipsItem:new(globalManager.yuyanbaoManager:getYuyanbao("WarmTipsView.text2"),2)
item:addTouchEventListener(itemClickHandler)
self.listPanel:pushBackCustomItem(item)
table.insert(self.itemList,item)
end
-- if(globalManager.playerInfoTester._isShowWing or globalManager.playerInfoTester._isShowGod
-- 	or globalManager.playerInfoTester._isShowSprite or globalManager.playerInfoTester._isShowFazhen
-- 	or globalManager.playerInfoTester._isShowLonghun) then
-- 	item = WarmTipsItem:new(globalManager.yuyanbaoManager:getYuyanbao("WarmTipsView.text3"),4)
-- 	item:addTouchEventListener(itemClickHandler)
-- 	self.listPanel:pushBackCustomItem(item)
-- 	table.insert(self.itemList,item)
-- end
if(globalManager.playerInfoTester._isShowActivity) then
item = WarmTipsItem:new(globalManager.yuyanbaoManager:getYuyanbao("WarmTipsView.text7"),11)
item:addTouchEventListener(itemClickHandler)
self.listPanel:pushBackCustomItem(item)
table.insert(self.itemList,item)
end
if(globalManager.playerInfoTester._isShowSign) then
item = WarmTipsItem:new(globalManager.yuyanbaoManager:getYuyanbao("WarmTipsView.text8"),12)
item:addTouchEventListener(itemClickHandler)
self.listPanel:pushBackCustomItem(item)
table.insert(self.itemList,item)
end
if(globalManager.playerInfoTester._isShowLYGift) then
item = WarmTipsItem:new(globalManager.yuyanbaoManager:getYuyanbao("WarmTipsView.text9"),13)
item:addTouchEventListener(itemClickHandler)
self.listPanel:pushBackCustomItem(item)
table.insert(self.itemList,item)
end
if(globalManager.playerInfoTester._isShowAchievement) then
item = WarmTipsItem:new(globalManager.yuyanbaoManager:getYuyanbao("WarmTipsView.text12"),17)
item:addTouchEventListener(itemClickHandler)
self.listPanel:pushBackCustomItem(item)
table.insert(self.itemList,item)
end
if(globalManager.playerInfoTester._isShowFashion)then
item = WarmTipsItem:new(globalManager.yuyanbaoManager:getYuyanbao("WarmTipsView.text28"),48)
item:addTouchEventListener(itemClickHandler)
self.listPanel:pushBackCustomItem(item)
table.insert(self.itemList,item)
end
--功能屏蔽：温馨提示
-- if(globalManager.playerInfoTester._isShowRiderTalent) then
-- 	item = WarmTipsItem:new(globalManager.yuyanbaoManager:getYuyanbao("WarmTipsView.text11"),16)
-- 	item:addTouchEventListener(itemClickHandler)
-- 	self.listPanel:pushBackCustomItem(item)
-- 	table.insert(self.itemList,item)
-- end
-- if(globalManager.playerInfoTester._isShowPetTalent) then
-- 	item = WarmTipsItem:new(globalManager.yuyanbaoManager:getYuyanbao("WarmTipsView.text13"),18)
-- 	item:addTouchEventListener(itemClickHandler)
-- 	self.listPanel:pushBackCustomItem(item)
-- 	table.insert(self.itemList,item)
-- end
-- if(globalManager.playerInfoTester._isShowTaoYuan) then
-- 	item = WarmTipsItem:new(globalManager.yuyanbaoManager:getYuyanbao("WarmTipsView.text15"),19)
-- 	item:addTouchEventListener(itemClickHandler)
-- 	self.listPanel:pushBackCustomItem(item)
-- 	table.insert(self.itemList,item)
-- end
-- if(globalManager.playerInfoTester._oath) then
-- 	item = WarmTipsItem:new(globalManager.yuyanbaoManager:getYuyanbao("WarmTipsView.text16"),20)
-- 	item:addTouchEventListener(itemClickHandler)
-- 	self.listPanel:pushBackCustomItem(item)
-- 	table.insert(self.itemList,item)
-- end
-- if(globalManager.playerInfoTester._isShowXianYuan) then
-- 	item = WarmTipsItem:new(globalManager.yuyanbaoManager:getYuyanbao("WarmTipsView.text17"),21)
-- 	item:addTouchEventListener(itemClickHandler)
-- 	self.listPanel:pushBackCustomItem(item)
-- 	table.insert(self.itemList,item)
-- end
-- if(globalManager.playerInfoTester._isShowTaoYuanCopy) then
-- 	item = WarmTipsItem:new(globalManager.yuyanbaoManager:getYuyanbao("WarmTipsView.text18"),22)
-- 	item:addTouchEventListener(itemClickHandler)
-- 	self.listPanel:pushBackCustomItem(item)
-- 	table.insert(self.itemList,item)
-- end
-- if(globalManager.playerInfoTester._isShowWakeUp) then
-- 	item = WarmTipsItem:new(globalManager.yuyanbaoManager:getYuyanbao("WarmTipsView.text19"),23)
-- 	item:addTouchEventListener(itemClickHandler)
-- 	self.listPanel:pushBackCustomItem(item)
-- 	table.insert(self.itemList,item)
-- end
-- if(globalManager.playerInfoTester._isShowHomeUp) then
-- 	item = WarmTipsItem:new(globalManager.yuyanbaoManager:getYuyanbao("WarmTipsView.text20"),24)
-- 	item:addTouchEventListener(itemClickHandler)
-- 	self.listPanel:pushBackCustomItem(item)
-- 	table.insert(self.itemList,item)
-- end
-- if(globalManager.playerInfoTester._isShowLuckTree) then
-- 	item = WarmTipsItem:new(globalManager.yuyanbaoManager:getYuyanbao("WarmTipsView.text21"),25)
-- 	item:addTouchEventListener(itemClickHandler)
-- 	self.listPanel:pushBackCustomItem(item)
-- 	table.insert(self.itemList,item)
-- end
-- if(globalManager.playerInfoTester._isShowWishPanel) then
-- 	item = WarmTipsItem:new(globalManager.yuyanbaoManager:getYuyanbao("WarmTipsView.text22"),26)
-- 	item:addTouchEventListener(itemClickHandler)
-- 	self.listPanel:pushBackCustomItem(item)
-- 	table.insert(self.itemList,item)
-- end
-- if(globalManager.playerInfoTester._isShowWaterTree) then
-- 	item = WarmTipsItem:new(globalManager.yuyanbaoManager:getYuyanbao("WarmTipsView.text23"),27)
-- 	item:addTouchEventListener(itemClickHandler)
-- 	self.listPanel:pushBackCustomItem(item)
-- 	table.insert(self.itemList,item)
-- end
-- if(globalManager.playerInfoTester._isShowFactoryExchange) then
-- 	item = WarmTipsItem:new(globalManager.yuyanbaoManager:getYuyanbao("WarmTipsView.text24"),28)
-- 	item:addTouchEventListener(itemClickHandler)
-- 	self.listPanel:pushBackCustomItem(item)
-- 	table.insert(self.itemList,item)
-- end
-- if(globalManager.playerInfoTester._isShowFarmPanel) then
-- 	item = WarmTipsItem:new(globalManager.yuyanbaoManager:getYuyanbao("WarmTipsView.text25"),29)
-- 	item:addTouchEventListener(itemClickHandler)
-- 	self.listPanel:pushBackCustomItem(item)
-- 	table.insert(self.itemList,item)
-- end
-- if(globalManager.playerInfoTester._isShowPeishi) then
-- 	item = WarmTipsItem:new(globalManager.yuyanbaoManager:getYuyanbao("WarmTipsView.text26"),30)
-- 	item:addTouchEventListener(itemClickHandler)
-- 	self.listPanel:pushBackCustomItem(item)
-- 	table.insert(self.itemList,item)
-- end
--屏蔽完成
self.listPanel:refreshView()
globalData.uiClickContainer:addItem(self,true,true)
globalManager.tickManager:addTick(self.tick,self)
self:initEvent()
end
function WarmTipsView:initEvent()
local closeClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self:dispose()
end
end
self.closeBtn:addTouchEventListener(closeClickHandler)
end
function WarmTipsView:tick()
globalManager.tickManager:removeTick(self.tick,self)
self.listPanel:jumpToPercentVertical(0)
end
function WarmTipsView:hideFormClickContainer()
self:dispose()
end
function WarmTipsView:dispose()
self.closeBtn = nil
if(self.itemList ~= nil) then
for __,item in pairs(self.itemList) do
item:dispose()
end
self.itemList = nil
end
self.listPanel:removeAllItems()
self.listPanel = nil
globalData.uiClickContainer:close(self)
globalManager.ccCreator:release(self)
end
WarmTipsItem = class("WarmTipsItem", function(self,str,index)
local temp = globalManager.ccCreator:newJsonWidget("WarmTipsItem")
temp._index = index
local titleLabel = temp:getChildByName("title_label")
titleLabel:setText(str)
return temp
end)
function WarmTipsItem:getIndex()
return self._index
end
function WarmTipsItem:dispose()
globalManager.ccCreator:release(self)
end
XiaofeiSkillTipPanel = class("XiaofeiSkillTipPanel", function(self)
local temp = globalManager.ccCreator:newJsonWidget("xiaofeiSkillTip")
local skillBg = temp:getChildByName("skill_bg")
temp.cell = SkillInfoGrid:new()
temp.cell:setPicTouchEnabled(false)
skillBg:addChild(temp.cell)
temp.nameLabel = temp:getChildByName("name_label")
temp.typeLabel = temp:getChildByName("type_label")
temp.effectLabel = temp:getChildByName("effect_label")
temp.stageLabel = temp:getChildByName("stage_label")
temp:getChildByName("Label_72064_Copy1"):setText(globalManager.yuyanbaoManager:getYuyanbao("XiaofeiSkillTipPanel.text4"))
temp:getChildByName("Label_72064"):setText(globalManager.yuyanbaoManager:getYuyanbao("XiaofeiSkillTipPanel.text5"))
temp:getChildByName("Label_72064_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("XiaofeiSkillTipPanel.text6"))
temp:getChildByName("content1"):setText(globalManager.yuyanbaoManager:getYuyanbao("XiaofeiSkillTipPanel.text7"))
temp.content2      = temp:getChildByName("content2")
temp.content2:setText(globalManager.yuyanbaoManager:getYuyanbao("XiaofeiSkillTipPanel.text8"))
temp.attrDesLabel  = temp:getChildByName("desLabel1")
temp.materialLabel = temp:getChildByName("desLabel2")
temp.upBtn = temp:getChildByName("upBtn")
temp.upBtn:setEnabled(false)
return temp
end)
--type:1妖精   2坐骑
--增加参数myStage,如果此参数从外部传入，则使用它
function XiaofeiSkillTipPanel:setSkillInfo(skillInfo,stage,type,myStage,level)
if(self.cell ~= nil) then
self.cell:setGoodsTempInfo(skillInfo)
end
local name = skillInfo.name
local nextLevel = level + 1
local totalLen  = skillInfo.totalLevel
local nowStage = 0
local typeStr = ""
if(type == globalData.allStaticTypes.petXiaofeiType.CHONGWU) then
nowStage = globalData.petItemInfo.stage
typeStr = globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel14")
elseif(type == globalData.allStaticTypes.petXiaofeiType.ZUOQI) then
nowStage = globalData.riderItemInfo.stage
typeStr = globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel15")
elseif(type == globalData.allStaticTypes.petXiaofeiType.CHIBANG) then
nowStage = globalData.wingItemInfo.stage
typeStr = globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel17")
elseif(type == globalData.allStaticTypes.petXiaofeiType.SHENBING) then
nowStage = globalData.godItemInfo.stage
typeStr = globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel16")
elseif(type == globalData.allStaticTypes.petXiaofeiType.JINGLING) then
nowStage = globalData.spriteItemInfo.stage
typeStr = globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel19")
elseif(type == globalData.allStaticTypes.petXiaofeiType.FAZHEN) then
nowStage = globalData.fazhenItemInfo.stage
typeStr = globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel20")
elseif(type == globalData.allStaticTypes.petXiaofeiType.LONGHUN) then
nowStage = globalData.longhunItemInfo.stage
typeStr = globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel21")
elseif(type == globalData.allStaticTypes.petXiaofeiType.HUOBAN)then
nowStage = globalData.partnerInfo.stage
if(nowStage == nil)then
nowStage = 0
end
typeStr  = globalManager.yuyanbaoManager:getYuyanbao("PanelTabGroupType.text51")
end
if(level > 0) then
name = name .. "Lv." .. level
self.effectLabel:setText(skillInfo.descriptText[level])
--self.effectLabel:setColor(globalData.allStaticTypes.colorType.COLORWHITE)
if(nextLevel <= totalLen)then
self.attrDesLabel:setText(skillInfo.descriptText[nextLevel])
local needState = skillInfo.upgradeNeedLevel[nextLevel]
local str1 = globalData.numList[math.ceil(needState / globalData.allTemplates.xiaofeiTemplateList.STAGE_PRE_STAR)]
local str2 = (needState - 1) % globalData.allTemplates.xiaofeiTemplateList.STAGE_PRE_STAR + 1
if(type == globalData.allStaticTypes.petXiaofeiType.HUOBAN)then
local content = string.format(globalManager.yuyanbaoManager:getYuyanbao("PartnerEquipUpView.text7"),needState)
self.materialLabel:setText(content)
else
self.materialLabel:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("XiaofeiSkillTipPanel.text12"),typeStr,str1,str2))
end
self.materialLabel:setColor(globalData.allStaticTypes.colorType.FALSE_COLOR)
else
self.materialLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("SkillPanel.text3"))
self.materialLabel:setColor(globalData.allStaticTypes.colorType.ITEMCOLOR5)
self.attrDesLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("XiaofeiSkillTipPanel.text9"))
end
else
self.effectLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("GoodsTipII.text10"))
self.effectLabel:setColor(globalData.allStaticTypes.colorType.COLORRED)
self.attrDesLabel:setText(skillInfo.descriptText[1])
self.content2:setText(globalManager.yuyanbaoManager:getYuyanbao("XiaofeiSkillTipPanel.text6"))
if(myStage ~= nil)then
nowStage = myStage
end
if(type == globalData.allStaticTypes.petXiaofeiType.HUOBAN)then
local content = string.format(globalManager.yuyanbaoManager:getYuyanbao("PartnerEquipUpView.text7"),stage)
self.materialLabel:setText(content)
else
local needState = skillInfo.upgradeNeedLevel[nextLevel] - 1
local str1 = globalData.numList[math.ceil(needState / globalData.allTemplates.xiaofeiTemplateList.STAGE_PRE_STAR)]
local str2 = (needState - 1) % globalData.allTemplates.xiaofeiTemplateList.STAGE_PRE_STAR + 1
self.materialLabel:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("XiaofeiSkillTipPanel.text2"),typeStr,str1,str2))
end
self.materialLabel:setColor(globalData.allStaticTypes.colorType.FALSE_COLOR)
end
self.nameLabel:setText(name)
self.typeLabel:setText(skillInfo:getDes())
end
function XiaofeiSkillTipPanel:dispose()
self.nameLabel = nil
self.typeLabel = nil
self.effectLabel = nil
self.stageLabel = nil
if(self.cell ~= nil) then
self.cell:dispose()
self.cell = nil
end
self.content2      = nil
self.attrDesLabel  = nil
self.materialLabel = nil
globalManager.ccCreator:release(self)
end
--
-- 称号显示
-- Date: 2014-06-20 15:09:59
--
TitleItemView = class("TitleItemView", function(self)
local temp = globalManager.ccCreator:newWidget()
temp._titleTemplateId = -1
temp._titleLabel = nil
temp._titleImg = nil
temp._effect = nil
temp._imgPath = nil
return temp
end)
function TitleItemView:ctor()
end
function TitleItemView:setTitleId(titleTemplateId)
if(self._titleTemplateId == titleTemplateId)then return end
self._titleTemplateId = titleTemplateId
self:updateView()
end
function TitleItemView:updateView()
self:clear()
local titleTemplate = globalData.allTemplates.titleTemplateList:getTitle(self._titleTemplateId)
if(titleTemplate == nil)then return end
--文字
if(titleTemplate.resouceType == 0)then
self._titleLabel = globalManager.ccCreator:newBMFont()
self:addChild(self._titleLabel)
self._titleLabel:setScale(0.7)
self._titleLabel:setText(titleTemplate.name)
self._titleLabel:setColor(globalData.allStaticTypes.colorType:getColorByQuality(titleTemplate.quality))
--图片
elseif(titleTemplate.resouceType == 1)then
self._titleImg = globalManager.ccCreator:newImageView()
self:addChild(self._titleImg)
self._imgPath = globalManager.pathManager:getTitleImgPath(titleTemplate.picPath)
globalManager.sourceCacheManager:setImage(self._titleImg,self._imgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
--特效
elseif(titleTemplate.resouceType == 2)then
self._effect = globalManager.effectCreator:create(tonumber(titleTemplate.picPath), nil, nil,false)
self._effect:move2(self,0,0)
self._effect:play()
self:addNode(self._effect)
end
end
function TitleItemView:show()
end
function TitleItemView:hide()
end
function TitleItemView:clear()
if(self._imgPath ~= nil)then
globalManager.sourceCacheManager:removeQuote(self._imgPath)
self._imgPath = nil
end
if(self._titleLabel ~= nil)then
globalManager.ccCreator:release(self._titleLabel)
self._titleLabel = nil
end
if(self._titleImg ~= nil)then
globalManager.ccCreator:release(self._titleImg)
self._titleImg = nil
end
if(self._effect ~= nil)then
self._effect:dispose()
self._effect = nil
end
end
function TitleItemView:dispose()
self:clear()
globalManager.ccCreator:release(self)
end
ScrollBarWrapper = class("ScrollBarWrapper",function(self,scrollView,parent,onDown)
local temp = {}
if(scrollView == nil or scrollView:getParent() == nil) then return nil end
temp.view = scrollView
temp.slider = globalManager.ccCreator:newImageView("icon/ui_sliderIcon.png",1)
temp.slider:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[7])
temp._parent = parent
temp._x = scrollView:getPositionX()
temp._y = scrollView:getPositionY()
temp._width = scrollView:getSize().width
temp._height = scrollView:getSize().height
if(onDown == nil) then onDown = false end
temp._setDefaultY = onDown
temp.sliderX = temp._x + temp._width
return temp
end)
function ScrollBarWrapper:ctor()
local scrollHandler = function(sender,type)
if(type == 4) then
self:updateView()
end
end
self.view:addEventListenerScrollView(scrollHandler)
end
--更新滑块状态
function ScrollBarWrapper:updateView()
local offset = self.view:getInnerContainerSize().height - self._height
local isShow = offset > 0
if(isShow) then
local max = self._height - self.slider:getSize().height
local y
if(self._setDefaultY == false)then
y = -max
self._setDefaultY = true
else
y = self.view:getInnerContainer():getPositionY() / offset * max
end
if(y > 0)then
y = 0
elseif(y < -max) then
y = -max
end
self.slider:setPosition(globalManager.ccCreator:newPoint(self.sliderX,self._y - y))
if(self.slider:getParent() == nil) then
self._parent:addChild(self.slider)
end
else
self.slider:removeFromParent()
end
end
function ScrollBarWrapper:pushBackCustomItem(item)
self.view:pushBackCustomItem(item)
end
function ScrollBarWrapper:removeAllItems()
self.view:removeAllItems()
end
function ScrollBarWrapper:dispose()
self.view = nil
globalManager.ccCreator:release(self.slider)
self.slider = nil
self._parent = nil
end
ActivityInfo = class("ActivityInfo",function(self)
local temp = EventDispatcher:new()
temp.__eventDispose = temp.dispose
temp.activity = 0
temp.infoList = {}
temp.awardList = {}
temp.achievementCount = 0
temp.achievementInfoList = {}
temp.doubleWelfare    = {}   --21一锤定音、22全民探宝、23尊武殿、24、竞技场 、29降妖boss 31兑换经验
return temp
end)
function ActivityInfo:ctor()
self:initEvent()
end
function ActivityInfo:initEvent()
end
function ActivityInfo:initInfo(data)
local len = data:readByte()
for i = 1,len,1 do
local index = data:readInt()
self.infoList[index] = data:readInt()
end
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.activity_info,self))
end
function ActivityInfo:initAward(data)
self.awardList = {}
local len = data:readByte()
for i = 1,len,1 do
self.awardList[data:readShort()] = 1
end
self.activity = data:readShort()
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.activity_award,self))
end
function ActivityInfo:achievementInfo(data)
self.achievementCount = data:readShort()
local len = data:readByte()
for i = 1,len,1 do
local type = data:readByte()
local judge= data:readByte()
local sign = data:readInt()
local len  = data:readByte()
local idList = {}
for i = 1,len,1 do
local id = data:readByte()
table.insert(idList,id)
end
self.achievementInfoList[type] = {type,judge,sign,idList}
end
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.activity_achievement_info,self))
end
function ActivityInfo:showDoubleWelfare(data)
local len = data:readByte()
for i = 1,len,1 do
local showType = data:readByte()
local isShow   = data:readBoolean()
self.doubleWelfare[showType] = isShow
end
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.doubleWelfareShow,self))
end
function ActivityInfo:clearAllDatas()
self.activity = 0
self.infoList = {}
self.awardList = {}
self.achievementCount = 0
self.achievementInfoList = {}
end
ActivityIconInfo = class("ActivityIconInfo", function(_, id, res, order, minLevel)
local self = {}
assert(id, "id不能为空")
if res == nil then
res = ""		--默认图标
end
if order == nil then
order = 0
end
self.id        = id
self.res       = res
self.order     = order
self.minLevel  = minLevel		--最低等级, 为nil则所有等级
self.timeType  = 0
self.timeBegin = 0
self.timeEnd   = 0
return self
end)
function ActivityIconInfo:ctor()
end
function ActivityIconInfo:canShow()
if self.minLevel == nil then return true end
if self.minLevel <= globalData.selfPlayerInfo.level then return true end
return false
end
--##globalData.activityIcons
ActivityIconList = class("ActivityIconList", function()
local self = EventDispatcher:new()
self.infoList = {}
self.showing  = true
self.DATI     = ActivityIconInfo:new(2, "icon/ui_caigaobadou_icon.png", 1, 30)
self.DATI2     = ActivityIconInfo:new(3, "icon/ui_caigaobadou_icon.png", 1, 30)
self.TJHC = ActivityIconInfo:new(7, "icon/ui_hencai_icon.png", 1, 40)
self.TJHC2 = ActivityIconInfo:new(12, "icon/ui_hencai_icon.png", 1, 40)
self.TJHC3 = ActivityIconInfo:new(21, "icon/ui_hencai_icon.png", 1, 40)
self.YUANGU = ActivityIconInfo:new(15, "icon/ui_zhanchang_icon.png", 1, 40)
self.YUANGU2 = ActivityIconInfo:new(16, "icon/ui_zhanchang_icon.png", 1, 40)
-- 全民探宝
self.TANBAO = ActivityIconInfo:new(17, "icon/ui_tanbao_icon.png", 1, 40)
-- 1v1
self.PVP11 = ActivityIconInfo:new(18, "icon/mainmenu_rightBtn7.png", 1, 40)
-- 一锤定音
self.HUDIE = ActivityIconInfo:new(19, "icon/ui_yichui_icon.png", 1, 40)
--新帮战
self.BANGZHAN = ActivityIconInfo:new(20, "icon/ui_bangzhan_icon.png", 1, 40)
--群雄争霸
self.STARCRAFT = ActivityIconInfo:new(22, "icon/ui_starcraftIcon.png", 1, 50)
--新帮战报名
self.BANGZHANAPLLICANT = ActivityIconInfo:new(23, "icon/ui_leagueWarApplicantIcon.png", 1, 40)
--跨服Boss
self.CROSSBOSS = ActivityIconInfo:new(24,"icon/crossBossIcon.png", 1, 50)
-- 3v3
self.PVP33 = ActivityIconInfo:new(25,"icon/chaosIcon.png", 1, 50)
--三打白骨精
self.SANDA1 = ActivityIconInfo:new(27,"icon/sanDaIcon.png", 1, 40)
self.SANDA2 = ActivityIconInfo:new(28,"icon/sanDaIcon.png", 1, 40)
--仙皇争霸1v1
self.ARENAXH = ActivityIconInfo:new(29,"icon/arenaXH.png", 1, 40)
self._baseList = {
self.DATI,self.DATI2,
self.TJHC,self.TJHC2,self.TJHC3,
self.YUANGU,self.YUANGU2,
self.TANBAO,self.HUDIE,
self.PVP11,self.BANGZHAN,
self.STARCRAFT,self.BANGZHANAPLLICANT,
self.CROSSBOSS,self.PVP33,
self.SANDA1,self.SANDA2,
self.ARENAXH
}
return self
end)
function ActivityIconList:ctor()
end
function ActivityIconList:getTemplate(id)
assert(id > 0, "活动ID不能小于0:"..id)
for i = 1, #self._baseList do
if self._baseList[i].id == id then
return self._baseList[i]
end
end
return nil
end
function ActivityIconList:setOrder()
local function compa(a, b)
return a.order < b.order
end
table.sort(self.infoList, compa)
end
function ActivityIconList:setShowing(show)
if self.showing ~= show then
self.showing = show
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.activityIcon_stateChange,self,show))
end
end
function ActivityIconList:get(id)
for i=1, #self.infoList do
if self.infoList[i].id == id then
return self.infoList[i], i
end
end
return nil
end
function ActivityIconList:add(info)
if info == nil then return end
if info:canShow() == false then return end
local inf, idx = self:get(info.id)
if inf ~= nil then
table.remove(self.infoList, idx)
end
table.insert(self.infoList, info)
if self.showing then
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.activityIcon_add,self,info))
end
end
function ActivityIconList:remove(id)
local info, idx = self:get(id)
if info ~= nil then
table.remove(self.infoList, idx)
if self.showing then
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.activityIcon_remove,self,info))
end
end
end
function ActivityIconList:clearAllDatas()
self.infoList = {}
self:setShowing(false)
end
ArenaInfo = class("ArenaInfo", function(self,type)
local temp = EventDispatcher:new()
temp.rank = 0 				--竞技场排名
temp.awardRank = 0 			--上次竞技场排名（领奖用）
temp.canGainAward = false   --今日是否可领取奖励
temp.times = 0 	--可挑战次数
temp.cdTime = 0    --挑战时间CD到的时间(时间戳)
temp.activeTimes = 0    	--激励次数
temp.activeFightValue = 0 	--激励增加战力
temp.rankList = {}			--排名列表数据
temp.rankData = {} 	--最后一次请求到的排行数据（包含4个数据） Vector.<ArenaRankItemInfo>
temp.ACTIVE_COST = 20 		--激励消耗钻石
temp.ACTIVE_MAX = 10        --激励上限
temp.ADD_TIME_COST = 5 		--重置消耗钻石
temp.ADD_TIME_CD = 900    --重置一次CD
temp.todayCount = 0--今日次数
temp.type = type
return temp
end)
function ArenaInfo:setRankData(data)
if(#self.rankData > 0) then
for __,info in pairs(self.rankData) do
info:dispose()
end
end
self.rankData = data
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.arenaInfo_rankUpdate,self,nil))
end
function ArenaInfo:setCanGainAward(value)
if(self.canGainAward == value) then return end
self.canGainAward = value
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.arenaInfo_canAward,self))
end
function ArenaInfo:update()
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.arenaInfo_update,self))
end
function ArenaInfo:setTimes(time)
if(self.times ~= time) then
self.times = time
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.arenaInfo_max,self))
end
end
function ArenaInfo:setTodayCount(count)
if(self.todayCount == count) then return end
self.todayCount = count
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.arenaInfo_countUpdate,self))
end
function ArenaInfo:fightReturn(result)
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.arenaInfo_fightReturn,self,result))
end
function ArenaInfo:activeReturn()
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.arenaInfo_scucessUpdate,self,nil))
end
function ArenaInfo:clearAllDatas()
self.rank = 0
self.awardRank = 0
self.canGainAward = false
self.times = 0
self.cdTime = 0
self.activeTimes = 0
self.activeFightValue = 0
end
ArenaRankItemInfo = class("ArenaRankItemInfo", function(self,type)
local temp = {}
temp.rank = 0
temp.type = type
temp.totalHp = 0
temp.playerInfo = FigurePlayerInfo:new()
return temp
end)
function ArenaRankItemInfo:setPlayerInfo()
self.playerInfo.combat,self.playerInfo.level = globalData.allTemplates.arenaRankTemplateList:getFightByValue(self.rank,self.type)
local career = (self.rank % 2) + 1
self.playerInfo:setCareer(career)
if(career == 1) then
self.playerInfo.characterInfo:setStyleBin(2,130001)
elseif(career == 2) then
self.playerInfo.characterInfo:setStyleBin(2,130011)
end
self.playerInfo.serverId = -1
self.playerInfo.nick = globalManager.yuyanbaoManager:getYuyanbao("ArenaRankItemInfo.text1")
end
function ArenaRankItemInfo:dispose()
self.playerInfo:dispose()
self.playerInfo = nil
end
BangZhanClubInfo = class("BangZhanClubInfo",function()
local bz = {}
bz.rank     = 0
bz.clubName = ""
bz.strength = 0
bz.victory  = 0
bz.serverId = 0
return bz
end)
function BangZhanClubInfo:setData(bytes)
self.rank     = bytes:readByte()
self.strength = bytes:readInt()
self.victory  = bytes:readInt()
self.serverId = bytes:readInt()
self.clubName = bytes:readString()
end
BangZhanClubRankInfo = class("BangZhanClubRankInfo",function()
local bz = EventDispatcher:new()
bz.clubId = 0
bz.monster = 0
bz.serverId = 0
bz.rank = 0
bz.score = 0
bz.name = ""
return bz
end)
function BangZhanClubRankInfo:init(bytes)
self.clubId = bytes:readNumber()
self.monster = bytes:readInt()
self.serverId = bytes:readShort()
self.score = bytes:readInt()
self.name = bytes:readString()
end
function BangZhanClubRankInfo:init2(bytes)
self.clubId = bytes:readNumber()
self.monster = bytes:readInt()
self.serverId = bytes:readShort()
self.rank = bytes:readByte()
self.score = bytes:readInt()
self.name = bytes:readString()
end
BangZhanInfo = class("BangZhanInfo",function()
local bz = EventDispatcher:new()
bz._baseDispose = bz.dispose
bz.applicantNum = 0
bz.rankInfoList = {}
bz.totalPage    = 0
bz.currentPage  = 0
bz.victoryNum   = 0
bz.personScore  = 0
bz.awards       = {}
return bz
end)
function BangZhanInfo:ctor()
self.awards = { {item1 = 120001,count1 = 10,item2 = 170009,count2 = 10,item3 = 150060,count3 = 				 10,item4 =150023,count4 = 10},
{item1 = 120001,count1 = 8,item2 = 170009,count2 = 8,item3 = 150060,count3 = 8,item4 =150023,count4 = 8},
{item1 = 120001,count1 = 6,item2 = 170009,count2 = 6,item3 = 150060,count3 = 6,item4 =150023,count4 = 6},
{item1 = 120001,count1 = 4,item2 = 170009,count2 = 4,item3 = 150060,count3 = 4,item4 =150023,count4 = 4}
}
end
function BangZhanInfo:updateInfo(data)
self.totalPage   = data:readByte()
self.currentPage = data:readByte()
self.victoryNum  = data:readInt()
self.personScore = data:readInt()
local len = data:readByte()
for i = 1,len,1 do
local rankInfo = BangZhanClubInfo:new()
rankInfo:setData(data)
self.rankInfoList[rankInfo.rank] = rankInfo
end
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.bangzhanRankInfo_update, self, nil))
end
function BangZhanInfo:sendUpdateApplicantNum()
-- self:dispatchEvent(BaseEvent:new(globalData.globalEventType.bangzhan_applicantNum, self, nil))
end
function BangZhanInfo:getAwardByIndex(index)
if(index == 1)then
return self.awards[1]
elseif(index == 2)then
return self.awards[2]
elseif(index == 3)then
return self.awards[3]
elseif(index == 4)then
return self.awards[4]
end
return nil
end
function BangZhanInfo:clearAllDatas()
self.applicantNum = 0
self.rankInfoList = {}
self.totalPage    = 0
self.victoryNum   = 0
self.personScore  = 0
end
BangZhanPlayerRankInfo = class("BangZhanPlayerRankInfo",function()
local bz = {}
bz.userId = 0
bz.rank = 0
bz.level = 0
bz.score = 0
bz.name = ""
bz.clubName = ""
return bz
end)
function BangZhanPlayerRankInfo:init(bytes)
self.userId = bytes:readNumber()
self.rank = bytes:readShort()
self.level = bytes:readShort()
self.score = bytes:readInt()
self.name = bytes:readString()
self.clubName = bytes:readString()
end
WorldBossInfo = class("WorldBossInfo",function()
local wb = {}
wb.killName = ""
wb.killId = 0
wb.id = 0
--世界boss,1可击杀
--精英boss,刷新时间,当前时间》刷新时间，表示可击杀，
wb.state = 0
return wb
end)
function WorldBossInfo:parseData(bytes)
self.id = bytes:readInt()
self.state = bytes:readInt()
self.killId = bytes:readNumber()
self.killName = bytes:readString()
end
--是否精英boss
function WorldBossInfo:isJingYin()
return globalData.allTemplates.worldBossTemplateList:getTemplate(self.id).type == 1
end
--是否狂暴boss
function WorldBossInfo:isKuangbao()
return globalData.allTemplates.worldBossTemplateList:getTemplate(self.id).kuangbao == 1
end
WorldBossList = class("WorldBossList",function()
local wb = EventDispatcher:new()
wb.bossList = {}
wb.jingyinList = {}
return wb
end)
function WorldBossList:init(bytes)
local result = {}
local isJingYing = false
local len = bytes:readByte()
for i = 1,len,1 do
local bossItem = WorldBossInfo:new()
bossItem:parseData(bytes)
if(bossItem:isJingYin())then
--self.jingyinList[bossItem.id] = bossItem
table.insert(result, bossItem)
isJingYing = true
else
table.insert(result, bossItem)
end
end
if(isJingYing) then
self.jingyinList = result
else
self.bossList = result
end
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.sceneInfo_worldBossList,self,nil))
end
function WorldBossList:getJingYin(id)
if self.jingyinList ~= nil then
for i = 1, #self.jingyinList do
if self.jingyinList[i].id == id then
return self.jingyinList[i]
end
end
end
return nil
end
function WorldBossList:getBoss(id)
if self.bossList ~= nil then
for i = 1, #self.bossList do
if self.bossList[i].id == id then
return self.bossList[i]
end
end
end
return nil
end
function WorldBossList:clear(type)
self.bossList = {}
self.jingyinList = {}
end
WorldBossVipInfo = class("WorldBossVipInfo",function()
local temp = EventDispatcher:new()
temp.flushTime = {}
temp.times = 0
return temp
end)
function WorldBossVipInfo:setWorldBossVipTime(flushTimeList)
self.flushTime = flushTimeList
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_worldBossVipTime, self, nil))
end
function WorldBossVipInfo:getFlushTime(copyId)
return self.flushTime[copyId]
end
function WorldBossVipInfo:getTimes(time)
-- body
self.times = time
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_worldBossChargeBattleTimes, self, nil))
end
function WorldBossVipInfo:clearAllDatas()
self.flushTime = {}
self.complateTime = {}
self.times = 0
end
ChatItemInfo = class("ChatItemInfo", function(self)
local temp = {}
temp.playerInfo = nil --消息发送方 BasePlayerInfo
temp.currentServerId = 0
temp.channel = 0 --频道
temp.toUserId = 0 	--发送给谁，私聊或好友聊天需要用
temp.message = ""
temp.time = ""
temp.isShowEffect = true
temp.uniteJobId = 0
temp.deployInfo = nil
--是否已读：私聊信息记录
temp._unread = false
return temp
end)
function ChatItemInfo:setUnread(value)
if(self._unread == value)then
return
end
self._unread = value
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.quickIcon_chat,globalManager.gameDispatcher))
end
function ChatItemInfo:getUnread()
return self._unread
end
function ChatItemInfo:dispose()
if(self.playerInfo ~= nil) then
self.playerInfo:dispose()
self.playerInfo = nil
end
self.message = nil
self.time = nil
end
ChatItemList = class("ChatItemList", function(self)
local temp = EventDispatcher:new()
temp.CHANNEL_MAX = 30 --单个频道聊天记录数
temp.clubChatUnreadCount =  0 --公会聊天未读信息
temp.currentChannel = globalData.allStaticTypes.channelType.WORLD
temp.sendCd = {10,3,3,3,0,0} --聊天发送CD
temp.sendTime = {-99999,-99999,-99999,-99999,-99999,-99999} --上一次发送时间,第一次发送，无CD
temp.channelList = {} --频道聊天数据 : Dictionary,键值是channelType
--游戏私聊数据存储: Dictionary:键值：userId
temp.privateChatList = {}
return temp
end)
function ChatItemList:ctor()
for __,channel in pairs(globalData.allStaticTypes.channelType.CHANNELLIST) do
self.channelList[channel] = {}
end
end
function ChatItemList:appendChatItem(chatItemInfo)
if(chatItemInfo.message == nil or chatItemInfo.message == "") then return end
--聊天频道
for channelType,chatlist in pairs(self.channelList) do
local flag = globalData.allStaticTypes.channelType:isInFilter(channelType,chatItemInfo.channel)
if(flag)then
table.insert(chatlist,chatItemInfo)
if(#chatlist > self.CHANNEL_MAX) then
local item = table.remove(chatlist,1)
item:dispose()
end
end
end
--私聊
if(chatItemInfo.channel == globalData.allStaticTypes.channelType.PRIVATE)then
--我发送给别人
if(chatItemInfo.toUserId ~= globalData.selfPlayerInfo.userId)then
if(self.privateChatList[chatItemInfo.toUserId] == nil)then
self.privateChatList[chatItemInfo.toUserId] = {}
end
table.insert(self.privateChatList[chatItemInfo.toUserId], chatItemInfo)
if(#self.privateChatList[chatItemInfo.toUserId] > self.CHANNEL_MAX) then
local item = table.remove(self.privateChatList[chatItemInfo.toUserId],1)
item:dispose()
end
--别人发给我
else
if(self.privateChatList[chatItemInfo.playerInfo.userId] == nil)then
self.privateChatList[chatItemInfo.playerInfo.userId] = {}
end
table.insert(self.privateChatList[chatItemInfo.playerInfo.userId], chatItemInfo)
if(#self.privateChatList[chatItemInfo.playerInfo.userId] > self.CHANNEL_MAX) then
local item = table.remove(self.privateChatList[chatItemInfo.playerInfo.userId],1)
item:dispose()
end
chatItemInfo:setUnread(true)
end
end
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.chat_appendItem,self,chatItemInfo))
end
function ChatItemList:appendSystemItem(string)
globalManager.tipsManager.quickTip:show(string)
local chatItemInfo = ChatItemInfo:new()
chatItemInfo.channel = globalData.allStaticTypes.channelType.SYSTEM
chatItemInfo.message = string
table.insert(self.channelList[globalData.allStaticTypes.channelType.SYSTEM],chatItemInfo)
if(#self.channelList[globalData.allStaticTypes.channelType.SYSTEM] > self.CHANNEL_MAX) then
local item = table.remove(self.channelList[globalData.allStaticTypes.channelType.SYSTEM],1)
item:dispose()
end
end
--获取聊天频道信息
function ChatItemList:getChatItemList(channel)
return self.channelList[channel]
end
--获取跟玩家的私聊信息
function ChatItemList:getPrivateList(userId)
return self.privateChatList[userId]
end
--获取私聊信息未读总数量
function ChatItemList:getTotalUnreadCount()
local unreadCount = 0
for userId,v in pairs(self.privateChatList) do
unreadCount = unreadCount + self:getUnreadCount(userId)
end
return unreadCount
end
--获取第一个未读私聊玩家ID
function ChatItemList:getAUnreadPlayerId()
for userId,v in pairs(self.privateChatList) do
if(self:getUnreadCount(userId) > 0) then
return userId
end
end
return nil
end
--获取某个ID私聊未读消息数量
function ChatItemList:getUnreadCount(userId)
local list = self.privateChatList[userId]
local unreadCount = 0
if(list ~= nil)then
local len = table.getn(list)
local startIndex = 1
if(len > self.CHANNEL_MAX)then startIndex = len - self.CHANNEL_MAX + 1 end
for i=startIndex,len do
if(list[i]:getUnread() == true)then
unreadCount = unreadCount + 1
end
end
end
return unreadCount
end
function ChatItemList:clearAllDatas()
self.clubChatUnreadCount =  0
self.currentChannel = globalData.allStaticTypes.channelType.WORLD
self.sendTime = {-99999,-99999,-99999,-99999,-99999,-99999} --上一次发送时间,第一次发送，无CD
for __,channel in pairs(globalData.allStaticTypes.channelType.CHANNELLIST) do
if(self.channelList[channel] ~= nil) then
for __,item in pairs(self.channelList[channel]) do
item:dispose()
end
end
self.channelList[channel] = {}
end
for __,list in pairs(self.privateChatList) do
for __,item in pairs(list) do
item:dispose()
end
end
self.privateChatList = {}
end
FaceInfo = class("FaceInfo", function(self)
local temp = {}
temp.FACE1 = {0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1}
temp.FACE2 = {2,2,2,2,3,3,3,3,4,4,4,4}
temp.FACE74 = {5,5,5,5,5,5,6,6,6,6,6,6,7,7,7,7,7,7,8,8,8,8,8,8}
temp.FACE4 = {9,9,9,9,9,9,9,9,9,9,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,11,11,12,12,12,12,12,12,13,13,13,13,13,13,14,14}
temp.FACE5 = {15,15,15,15,16,16,16,16}
temp.FACE6 = {17,17,18,18,19,19,20,20,21,21,22,22,23,23,24,24,25,25,26,26}
temp.FACE7 = {27,27,28,28}
temp.FACE8 = {29,29,29,29,29,29,30,30,30,30,30,30}
temp.FACE9 = {31,31,32,32,33,33,34,34,35,35,36,36,37,37}
temp.FACE10 = {38,38,38,38,38,38,39,39,39,39,39,39}
temp.FACE11 = {40,40,40,40,41,41,41,41}
temp.FACE12 = {42,42,43,43,44,44,45,45}
temp.FACE73 = {46,46,47,47,48,48,49,49}
temp.FACE14 = {50,50,51,51}
temp.FACE15 = {52,52,53,53,54,54,55,55,56,56,57,57,58,58,59,59,60,60,61,61,62,62,63,63,64,64,65,65,66,66,67,67,68,68,69,69,70,70}
temp.FACE16 = {71,71,72,72}
temp.FACE17 = {73,73,74,74}
temp.FACE18 = {75,75,75,75,75,75,76,76,76,76,76,76,77,77,77,77,77,77,78,78,78,78,78,78}
temp.FACE19 = {79,79,80,80,81,81,82,82}
temp.FACE20 = {83,83,83,83,83,83,84,84,84,84,84,84,85,85,85,85,85,85,86,86,86,86,86,86,87,87,87,87,87,87,88,88,88,88,88,88,89,89,89,89,89,89,89,89,89,89,89,89,90,90,91,91,92,92,93,93,97,97,95,95,96,96,97,97,98,98,99,99}
temp.FACE21 = {100,100,101,101,102,102,103,103,104,104,105,105,105,105,105,105,105,105}
temp.FACE22 = {106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,107,107,108,108,109,109,110,110,111,111,112,112,112,112,112,112,112,112,112,112}
temp.FACE23 = {113,113,114,114,115,115,116,116,117,117,118,118,119,119,120,120}
temp.FACE24 = {121,121,121,121,121,121,122,122,122,122,122,122,123,123,123,123,123,123,124,124,124,124,124,124,125,125,125,125,125,125,125,125,125,125,125,125,125,125,125,125,125,125,125,125,125,125,125,125}
temp.FACE25 = {126,126,127,127,128,128,129,129,130,130,131,131,132,132,133,133,134,134,135,135,136,136}
temp.FACE26 = {137,137,138,138,137,137,138,138,137,137,138,138,137,137,138,138,137,137,138,138,139,139,140,140,141,141,143,143,142,142,143,143,142,142,143,143,142,142,143,143,142,142,143,143,144,144,145,145,146,146,138,138}
temp.FACE27 = {147,147,147,147,147,147,147,147,147,147,147,147,148,148,149,149,149,149,149,149,149,149,149,149,149,149,147,147,149,149,148,148,149,149,147,147,149,149,147,147,147,147,147,147,147,147,147,147,147,147,148,148,148,148,148,148,150,150,150,150,150,150,151,151,151,151,151,151,152,152,152,152,152,152,153,153,153,153,153,153,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154}
temp.FACE28 = {155,155,156,156,156,156,156,156,156,156,155,155,155,155,155,155,155,155,156,156,157,157,158,158,157,157,158,158}
temp.FACE29 = {159,159,160,160,161,161,162,162,163,163,164,164,165,165,166,166,167,167,168,168,169,169,170,170,171,171,172,172,172,172,172,172}
temp.FACE30 = {173,173,173,173,173,173,174,174,174,174,174,174,175,175,176,176,175,175,176,176,175,175,176,176,177,177,177,177,178,178,178,178,179,179,179,179,177,177,177,177,178,178,178,178,179,179,179,179,177,177,177,177,178,178,178,178,179,179,179,179}
temp.FACE31 = {180,180,180,180,180,180,181,182,181,182,183,183,184,184,185,185,186,186,187,187,188,188,189,189,190,190,191,191,192,192,193,193,194,194,195,195,196,196,197,197,198,198,199,199,200,200,201,201,202,202,203,203,204,204,205,205,206,206,207,207,208,208,209,209,209,209,209,209,209,209}
temp.FACE32 = {210,210,210,210,211,211,211,211,212,212,212,212,213,213,214,214,215,215,214,214,215,215,214,214,214,214}
temp.FACE33 = {216,216,216,216,216,216,216,216,216,216,216,216,217,217,218,218,219,219,220,220,221,221,222,222,223,223,224,224,225,225,225,225,225,225,225,225,225,225,225,225,225,225,225,225,225,225,225,225,224,224,223,223,222,222,221,221,220,220,219,219,218,218,217,217,216,216,216,216,216,216,216,216}
temp.FACE34 = {226,226,226,226,226,226,227,227,227,227,227,227,228,228,228,228,228,228,226,226,226,226,226,226,228,228,228,228,228,228,227,227,227,227,227,227,228,228,228,228,228,228,226,226,226,226,226,226,228,228,228,228,228,228,226,226,226,226,226,226,227,227,227,227,227,227,229,229,229,229,229,229,230,230,230,230,230,230,231,231,232,232}
temp.FACE35 = {234,234,234,234,235,235,235,235}
temp.FACE36 = {236,236,237,237,236,236,237,237,236,236,237,237}
temp.FACE37 = {238,238,238,238,239,239,239,239,240,240,240,241,241,241}
temp.FACE38 = {242,242,242,242,243,243,243,243,244,244,244,244,245,245,245,245,246,246,246,246,247,247,247,247,248,248,248,248}
temp.FACE39 = {249}
temp.FACE40 = {250,250,250,250,251,251,251,251}
temp.FACE41 = {252,252,252,252,252,252,252,252,252,252,252,252,253,253,252,252,252,252,252,252,252,252,252,252,252,252,252,252,252,252,252,252,252,252,252,252,252,252,252,252,254,254,255,255,254,254,252,252,254,254,254,254,254,254,252,252,254,254,255,255,252,252}
temp.FACE42 = {256,256,256,256,256,256,256,256,256,256,256,256,256,256,256,256,256,256,256,257,257,258,258,257,257,258,258,257,257,258,258,257,257,258,258,257,257,258,258,259,259,260,260,259,259,260,260,259,259,260,260,259,259,260,260,259,259,260,260}
temp.FACE43 = {261}
temp.FACE44 = {262,262,262,262,262,262,263,263,263,263,264,264,264,264,264,264,265,265,265,265,265,265,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266}
temp.FACE45 = {267,267,267,267,267,267,268,268,268,268,268,268,269,269,269,269,269,269,268,268,268,268,268,268,268,268,268,268,268,268,268,268,268,268,268,268,268,268,268,268,268,268,268,268,268,268,268,268,268}
temp.FACE46 = {270,270,270,270,270,270,271,271,272,272,272,272,272,272,273,273,273,273,273,273,274,274,274,274,274,274,275,275,275,275,275,275,276,276,276,276,276,276}
temp.FACE47 = {277,277,277,277,277,277,278,278,279,279,280,280,281,281,282,282,283,283,284,284,285,285,286,286,287,287,288,288,289,289,290,290,291,291,292,292,293,293,294,294,295,295,296,296,297,297,298,298,299,299,299,299,299,299,277,277}
temp.FACE48 = {300,300,301,301,302,302}
temp.FACE49 = {303,303,304,304,303,303,305,305}
temp.FACE50 = {306,306,306,306,306,306,306,306,306,306,306,306,306,306,306,306,306,306,306,306,306,306,306,306,307,307,308,308,309,309,308,308,307,307,308,308,309,309,308,308,307,307,308,308,309,309,310,310,311,311,312,312,313,313,314,314,315,315,316,316,317,317,318,318,319,319,320,320,321,321,322,322,323,323,324,324,308,308,309,309,309,309}
temp.FACE51 = {325,325,325,325,325,325,325,325,325,325,325,325,326,326,326,326,326,326,326,326,326,326,326,326}
temp.FACE52 = {327,327,327,327,327,327,328,328,329,329,330,330,331,331,332,332,333,333,334,334,335,335,336,336,337,337,338,338,339,339,340,340,341,341,342,342,343,343,344,344,345,345,346,346,347,347,348,348,349,349,350,350,351,351,352,352,353,353,354,354,355,355,355,355,355,355,355,355}
temp.FACE53 = {356,356,357,357,358,358,359,359,360,360,361,361,362,362,363,363,364,364,365,365,366,366,367,367,368,368,369,369,370,370,371,371,372,372,373,373,374,374,375,375,376,376,377,377,356,356,378,378,376,376,379,379,377,377,379,379,380,380,356,356,378,378,375,375,356,356,376,376,379,379}
temp.FACE54 = {384,384,385,385}
temp.FACE55 = {386,386,386,386,386,386,387,387,387,387,387,387,388,388,388,388,388,388,389,389,389,389,389,389,389,389,389,389,389,389,389,389,389,389,389,389,389,389,389,389,389,389,389,389,389,389,389,389,389,389,390,390,390,390,390,390,390,390,390,390,390,390,391,391,391,391,391,391,391,391,391,391,391,391}
temp.FACE56 = {392}
temp.FACE57 = {393,393,394,394,393,393,394,394,393,393,394,394,395,395,396,396,395,395,396,396,395,395,396,396,397,397,398,398,397,397,398,398,397,397,398,398,399,399,400,400,399,399,400,400,399,399,400,400,401,401,402,402,401,401,402,402,401,401,402,402,403,403,404,404,403,403,404,404,403,403,404,404}
temp.FACE58 = {405,405,405,405,406,406,406,406}
temp.FACE59 = {407}
temp.FACE60 = {408,408,409,409,410,410,411,411,412,412}
temp.FACE61 = {413,413,414,414,415,415,414,414}
temp.FACE62 = {416,416,416,416,416,416,417,417,417,416,416,416,416,416,416,416,416,416,417,417,417,416,416,416,418,418,418,419,418,419,418,419,418,419,418,419,418,419,418,419,418,419,418}
temp.FACE63 = {420}
temp.FACE64 = {421,421,422,422,423,423,422,422,423,423,422,422,423,423,422,422,423,423,422,422,423,423,424,424,425,425,424,424,425,425,424,424,425,425,424,424,425,425,424,424,425,425}
temp.FACE65 = {426,426,427,427,428,428,427,427}
temp.FACE66 = {429,429,429,429,429,429,429,429,429,429,429,429,430,430}
temp.FACE67 = {431,431,431,431,431,431,431,431,432,432,432,432,432,432,432,432}
temp.FACE68 = {433,434,433,433,434,433,434,434,433,433,433,433,433,433,433,433,433,433,433,433,433}
temp.FACE69 = {435}
temp.FACE70 = {436,436,437,437,438,438,439,439,440,440,441,441,442,442,443,443,444,444,445,445,446,446,447,447,448,448,449,449}
temp.FACE71 = {450,450,450,450,450,450,451,451,451,451,451,451}
temp.FACE72 = {452,452,452,452,452,452,453,453,453,453,453,453}
temp.FACE13 = {454,454,455,455,456,456,457,457,458,458,459,459,460,460,460,460,458,458,461,461,462,462,461,461}
temp.FACE3 = {463,463,463,463,463,463,463,463,463,463,463,463,463,464,464,464,463,463,463,464,464,464,463,463,463,463,463,463,463,463,463,463,463,463,465,466,467,467,467,467,467,467,467,467,467,467,467,467,467,468,468,468,467,467,467,468,468,468,467,467,467,468,468,468,467,467,467,468,468,468}
temp.FACES = {
temp.FACE1,temp.FACE2,temp.FACE3,temp.FACE4,temp.FACE5,temp.FACE6,temp.FACE7,temp.FACE8,temp.FACE9,temp.FACE10,temp.FACE11,temp.FACE12,temp.
FACE73,temp.FACE14,temp.FACE15,temp.FACE16,temp.FACE17,temp.FACE18,temp.FACE19,temp.FACE20,temp.FACE21,temp.FACE22,temp.FACE23,temp.FACE24,temp.
FACE25,temp.FACE26,temp.FACE27,temp.FACE28,temp.FACE29,temp.FACE30,temp.FACE31,temp.FACE32,temp.FACE33,temp.FACE34,temp.FACE35,temp.FACE36,temp.
FACE37,temp.FACE38,temp.FACE39,temp.FACE40,temp.FACE41,temp.FACE42,temp.FACE43,temp.FACE44,temp.FACE45,temp.FACE46,temp.FACE47,temp.FACE48,temp.
FACE49,temp.FACE50,temp.FACE51,temp.FACE52,temp.FACE53,temp.FACE54,temp.FACE55,temp.FACE56,temp.FACE57,temp.FACE58,temp.FACE59,temp.FACE60,temp.
FACE61,temp.FACE62,temp.FACE63,temp.FACE64,temp.FACE65,temp.FACE66,temp.FACE67,temp.FACE68,temp.FACE69,temp.FACE70,temp.FACE71,temp.FACE72
}
local picComplete = function(data)
local tmp = tolua.cast(data,"LoaderResult")
local texture = tmp:getData()
if(texture ~= nil)then
--添加表情plist到缓存
local plistPath = globalManager.pathManager:getUISource("face/face.plist")
cc.SpriteFrameCache:getInstance():addSpriteFrames(plistPath)
end
end
local picPath = globalManager.pathManager:getUISource("face/face.png")
globalManager.loaderManager:getPic(picPath,picComplete,nil)
return temp
end)
CombinedActiveInfo = class("CombinedActiveInfo",function()
local temp = EventDispatcher:new()
temp.recharge    = 0  --大于1000 可领
temp.mergeAward  = 0  --0可以领 1已领
temp.clubAward   = 0  --0 不可以领 1,2,3可以领
temp.clubSign    = 0  --1,2,3已领
temp.hasIdList   = nil
return temp
end)
function CombinedActiveInfo:infoReturn(data)
self.recharge   = data:readInt()
self.mergeAward = data:readByte()
self.clubAward  = data:readByte()
self.clubSign   = data:readByte()
self.hasIdList  = {}
local len = data:readByte()
for i = 1,len,1 do
local id = data:readByte()
table.insert(self.hasIdList,id)
end
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.combined_Active_Info,self,nil))
end
function CombinedActiveInfo:clearAllDatas()
self.recharge    = 0  --大于1000 可领
self.mergeAward  = 0  --0可以领 1已领
self.clubAward   = 0  --0 不可以领 1,2,3可以领  4已领
self.hasIdList   = nil
end
FunctionData = class("FunctionData",function(self,func,target)
local fn = {}
fn.func = func
fn.target = target
--是否标记为删除
fn.removeFlag = false
return fn
end)
SystemDateInfo = class("SystemDateInfo",function(self,sceneInfo)
local temp = {}
temp.timeZone = 0--时区int
temp.timeZoneSecond = 0 --时区附加秒数s
temp._serverDateTime = 0--服务器时间number
temp._clientDateTime = 0--客户端时间number
temp._startTime = 0--游戏开始记录时间
temp._oldHour = -1--整点计时用
temp.secondsOfDay = 86400
temp.millsecondsOfDay = 86400000
temp.hourTickCount = -1
return temp
end)
function SystemDateInfo:start()
globalManager.tickManager:addTick(self.tick,self)
self._startTime = globalManager.tickManager.currentTime
end
function SystemDateInfo:tick(delta,tickCount)
self._clientDateTime = self._serverDateTime + (globalManager.tickManager.currentTime - self._startTime)
if(self._serverDateTime == 0) then return end
local hour = math.floor(self._clientDateTime / 3600000)
if(self._oldHour < hour) then
self.hourTickCount = 5
globalManager.tickManager:addTick(self.hourTick,self)
self._oldHour = hour
end
end
function SystemDateInfo:hourTick()
self.hourTickCount = self.hourTickCount - 1
if(self.hourTickCount > 0)then return end
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.global_systemHour,globalManager.gameDispatcher,nil))
globalManager.tickManager:removeTick(self.hourTick,self)
end
--获取系统时间ms
function SystemDateInfo:getSystemTime()
return self._clientDateTime
end
--获取当前系统时间hh:mm
function SystemDateInfo:getSystemTimeString()
local hour = (math.floor(self._clientDateTime / 3600000) + self.timeZone) % 24
local min = math.floor(self._clientDateTime / 60000) % 60
return globalData.systemDateInfo:singleToDouble(hour)..":"..globalData.systemDateInfo:singleToDouble(min)
end
--服务器通知更新时间s
function SystemDateInfo:syncSystemDate(time)
print("#更新时间", time)
if(self._serverDateTime ~= 0 and math.abs(self._clientDateTime - time*1000) > 300000) then
globalData.messageAdder:sendTimeError(math.floor(self._clientDateTime/1000),time)
end
self._serverDateTime = time*1000
self._clientDateTime = self._serverDateTime
self._oldHour = math.floor(time / 3600)
self._startTime = globalManager.tickManager.currentTime
end
function SystemDateInfo:setTimeZone(timeZone)
self.timeZone = timeZone
self.timeZoneSecond = timeZone * 3600
end
--获取今天过去的时间s
function SystemDateInfo:getZeroPassTime(time)
if(time == nil) then
time = math.floor(self._clientDateTime / 1000)
end
return (time + self.timeZoneSecond) % self.secondsOfDay
end
--根据天数获取时间戳
function SystemDateInfo:getOpenDay(day)
local openZeroTime = globalData.openTime - globalData.openTime % globalData.systemDateInfo.secondsOfDay
return day * globalData.systemDateInfo.secondsOfDay + openZeroTime - globalData.systemDateInfo.timeZoneSecond
end
--将秒数转换为日期
--param seconds(秒):int return date
--year(4位),month(1-12),day(1-31),hour(0-23),min(0-59),sec(0-61),wday(1-7,周日为1),yday(年内天数)
function SystemDateInfo:getDate(seconds)
return os.date("*t",seconds)
end
function SystemDateInfo:getWday(seconds)
local day = self:getDate(seconds).wday - 1
if(day == 0) then day = 7 end
return day
end
--根据起始结束时间戳获取间隔天数(不足1天算0天)
--param startDate:number(毫秒) endDate:number(毫秒) return int
function SystemDateInfo:getBetweenTimeDay(startDate,endDate)
local startDay = math.floor((startDate + self.timeZoneSecond * 1000) / self.millsecondsOfDay)
local endDay = math.floor((endDate + self.timeZoneSecond * 1000) / self.millsecondsOfDay)
return endDay - startDay
end
--将秒数转换为hh:mm:ss
--param seconds:int return string
function SystemDateInfo:secondsToDateString(seconds)
local time = {}
time.hour = math.floor(seconds / 3600)
time.min = math.floor(seconds / 60) % 60
time.sec = seconds % 60
return self:singleToDouble(time.hour)..":"..self:singleToDouble(time.min)..":"..self:singleToDouble(time.sec)
end
--将秒数转换成mm分ss秒  副本倒计时用到
function SystemDateInfo:secondsToDateString2(seconds)
return string.format(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel84"),self:singleToDouble(math.floor(seconds / 60)),self:singleToDouble(seconds % 60))
end
--将秒数转换成hh:mm  活动面板用到
function SystemDateInfo:secondsToDateString3(seconds)
local mins = math.floor(seconds / 60)
return self:singleToDouble(math.floor(mins / 60))..":"..self:singleToDouble(mins % 60)
end
--将秒数转换成hh时:mm分  开服活动面板用到
function SystemDateInfo:secondsToDateString4(seconds)
local hour = math.floor(seconds / 3600)
local min = math.floor(seconds / 60) % 60
return string.format(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel85"),self:singleToDouble(hour),self:singleToDouble(min))
end
--将秒数转换成XX年XX月XX日XX时:XX分  帮派分配记录面板用到
--year(4位),month(1-12),day(1-31),hour(0-23),min(0-59),sec(0-61),wday(1-7,周日为1),yday(年内天数)
function SystemDateInfo:secondsToDateString5(seconds)
local timeTable = self:getDate(seconds)
return timeTable.year .. globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel72").. timeTable.month ..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel73") ..timeTable.day..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel74")..
string.format(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel85"),self:singleToDouble(timeTable.hour),self:singleToDouble(timeTable.min))
end
--将秒数转换成hh:mm 活动图标用到
function SystemDateInfo:secondsToDateString7(seconds)
local time = {}
time.hour = math.floor(seconds / 3600)
time.min = math.floor(seconds / 60) % 60
return self:singleToDouble(time.hour)..":"..self:singleToDouble(time.min)
end
--将秒数转换为mm:ss
--param seconds:int return string
function SystemDateInfo:secondsToDateString8(seconds)
local time = {}
time.min = math.floor(seconds / 60)
time.sec = seconds % 60
return self:singleToDouble(time.min)..":"..self:singleToDouble(time.sec)
end
--将个数转换为两位数格式0~9->00~09
--param num:int return string
function SystemDateInfo:singleToDouble(num)
if(num > 9) then
return num
else
return "0"..num
end
end
--日期转换为YYYYMMDD
function SystemDateInfo:dateToString(date)
return date.year .. self:singleToDouble(date.month) .. self:singleToDouble(date.day)
end
function SystemDateInfo:clearAllData()
self._serverDateTime = 0
self._oldHour = -1
end
ConsumenGiftInfo = class("ConsumenGiftInfo",function()
local temp = EventDispatcher:new()
--消费送礼
temp.consumenType    = 0
temp.currentConsumen = 99999999
temp.hasIdList       = {}
temp.isShow          = false
temp.endTime         = 0
--专享福利
temp.chargeList      = {}
temp.chargeShowList  = {}
--跨服充值榜
temp.crossRechargeIsShow = false
temp.crossRechargeEndTime = 0
--鲜花榜
temp.flowerIsShow = false
temp.flowerEndTime = 0
--烟花榜
temp.yanhuaIsShow = false
temp.yanhuaRankEndTime = 0
temp.washGold = false
temp.washGoldEndTime = 0
temp.integralMall = false
temp.integralMallEndTime = 0
temp.backGold = false
temp.backGoldEndTime = 0
temp.doubleEleven = false
temp.doubleElevenEndTime = 0
temp.consumRank = false
temp.consumRankEndTime = 0
--新服大馈赠
temp.newServerGift = false
--送电影票
temp.filmTetickIsShow = false
temp.filmTetickTime = 0
--寻宝轮盘
temp.xunBaoIsShow = false
temp.xunBaoEndTime = 0
--双倍活动降妖
temp.vipBossIsShow = false
temp.vipBossEndTime = 0
--双倍活动尊武殿
temp.arenaIsShow = false
temp.arenaEndTime = 0
--双倍活动兑换
temp.exchangeExpIsShow = false
temp.exchangeExpEndTime = 0
--双倍活动全民探宝
temp.tanBaoIsShow = false
temp.tanBaoExpEndTime = 0
--双倍活动一锤定音
temp.yiChuiExpIsShow = false
temp.yiChuiExpEndTime = 0
--双倍活动充值转盘
temp.zhuanPan3IsShow = false
temp.zhuanPan3EndTime = 0
--金猴送礼
temp.springActivityIsShow = false
temp.springActivityEndTime = 0
--元宵集福
temp.jiFuIsShow = false
temp.jiFuEndTime = 0
--红包积分
temp.redBagIsShow = false
temp.redBagEndTime = 0
--元宵答题
temp.yuanXiaoDaTiIsShow = false
temp.yuanXiaoDaTiEndTime = 0
--神秘商店
temp.shenMiIsShow = false
temp.shenMiEndTime = 0
temp.tickCount = -1
return temp
end)
function ConsumenGiftInfo:ctor()
self:initEvent()
end
function ConsumenGiftInfo:initEvent()
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.global_systemHour,self.systemHourUpdateHandler,self)
end
function ConsumenGiftInfo:updateInfo(data)
local len = data:readByte()
for i = 1,len,1 do
local consumenType    = data:readByte()     --1.充值2.消费
local currentConsumen = data:readInt()
local len = data:readByte()
local hasIdList = {}
for i = 1,len,1 do
local id = data:readByte()
table.insert(hasIdList,id)
end
if(consumenType == 2)then
self.consumenType    = consumenType
self.currentConsumen = currentConsumen
self.hasIdList       = hasIdList
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.consumen_infoUpdate,self,nil))
elseif(consumenType == 1)then
self.chargeList      = {consumenType,currentConsumen,hasIdList}
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.charge_infoUpdate,self,nil))
end
end
end
function ConsumenGiftInfo:updateShow(data)
local len = data:readByte()
for i = 1,len,1 do
local consumenType = data:readByte()        --19.消费25充值
local isShow       = data:readBoolean()
local endTime      = data:readInt()
if(consumenType == 17)then
self.zhuanPan3IsShow = isShow
self.zhuanPan3EndTime = endTime
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.zhuanPan3_showUpdate,self,nil))
elseif(consumenType == 19)then
self.isShow    = isShow
self.endTime   = endTime
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.consumen_showUpdate,self,nil))
elseif(consumenType == 21)then
self.yiChuiExpIsShow = isShow
self.yiChuiExpEndTime = endTime
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.yiChuiExpIsShow_showUpdate,self,nil))
elseif(consumenType == 22)then
self.tanBaoIsShow = isShow
self.tanBaoExpEndTime = endTime
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.tanBaoIsShow_showUpdate,self,nil))
elseif(consumenType == 23)then
self.arenaIsShow = isShow
self.arenaEndTime = endTime
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.arena_showUpdate,self,nil))
elseif(consumenType == 25)then
self.chargeShowList = {consumenType,isShow,endTime}
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.charge_showUpdate,self,nil))
elseif(consumenType == 26)then
self.crossRechargeIsShow = isShow
self.crossRechargeEndTime = endTime
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.crossRecharge_showUpdate,self,nil))
elseif(consumenType == 27)then
self.flowerIsShow = isShow
self.flowerEndTime = endTime
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.flowerRank_showUpdate,self,nil))
elseif(consumenType == 29)then
self.vipBossIsShow = isShow
self.vipBossEndTime = endTime
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.vipBoss_showUpdate,self,nil))
elseif(consumenType == 30)then
self.washGold = isShow
self.washGoldEndTime = endTime
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_showWashGold,self,nil))
elseif(consumenType == 31)then
self.exchangeExpIsShow = isShow
self.exchangeExpEndTime = endTime
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.exchangeExp_showUpdate,self,nil))
elseif(consumenType == 32)then
self.integralMall = isShow
self.integralMallEndTime = endTime
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_show_integralMall,self,nil))
elseif(consumenType == 34)then
self.doubleEleven = isShow
self.doubleElevenEndTime = endTime
elseif(consumenType == 33)then
self.backGold = isShow
self.backGoldEndTime = endTime
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_show_doubleElevenIcon,self,nil))
elseif(consumenType == 35)then
self.consumRank = isShow
self.consumRankEndTime = endTime
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_show_doubleElevenIcon,self,nil))
elseif(consumenType == 36)then
self.yanhuaIsShow = isShow
self.yanhuaRankEndTime = endTime
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.yanhuaRank_showUpdate,self,nil))
elseif(consumenType == 38)then
self.xunBaoIsShow = isShow
self.xunBaoEndTime = endTime
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.xunbao_showUpdate,self,nil))
elseif(consumenType == 39)then --送电影票是否显示
self.filmTetickIsShow = isShow
self.filmTetickTime   = endTime
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.filmTetick_showUpdate,self,nil))
elseif(consumenType == 40)then --金猴送礼
self.springActivityIsShow = isShow
self.springActivityEndTime = endTime
elseif(consumenType == 41)then --红包积分
self.redBagIsShow = isShow
self.redBagEndTime = endTime
elseif(consumenType == 43)then --元宵集福
self.jiFuIsShow = isShow
self.jiFuEndTime = endTime
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.isShow_jiFuUpdate,self,nil))
elseif(consumenType == 42)then --元宵答题
self.yuanXiaoDaTiIsShow = isShow
self.yuanXiaoDaTiEndTime = endTime
elseif(consumenType == 44)then --神秘商店
self.shenMiIsShow = isShow
self.shenMiEndTime = endTime
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.isShow_shenMiPanel,self,nil))
end
end
end
function ConsumenGiftInfo:newServerGiftUpdate(data)
self.newServerGift = data:readBoolean()
self:checkNewServerGift()
end
function ConsumenGiftInfo:systemHourUpdateHandler(evt)
self.tickCount = 60
globalManager.tickManager:addTick(self.tick,self)
end
function ConsumenGiftInfo:tick()
self.tickCount = self.tickCount - 1
if(self.tickCount < 0) then
self:checkNewServerGift()
globalManager.tickManager:removeTick(self.tick,self)
end
end
function ConsumenGiftInfo:checkNewServerGift()
if(self.newServerGift) then
local _,result = globalData.allTemplates.openTemplateList:getNewServerGiftList()
self.newServerGift = result
end
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_show_newServerGiftIcon,self,nil))
end
function ConsumenGiftInfo:clearAllDatas()
globalManager.tickManager:removeTick(self.tick,self)
self.newServerGift   = false
self.consumenType    = 0
self.currentConsumen = 99999999
self.hasIdList       = {}
self.isShow          = false
self.endTime         = 0
self.crossRechargeIsShow = false
self.crossRechargeEndTime = 0
self.flowerIsShow = false
self.flowerEndTime = 0
self.washGoldEndTime = 0
self.washGold = false
self.backGoldEndTime = 0
self.backGold = false
self.doubleElevenEndTime = 0
self.doubleEleven = false
self.consumRankEndTime = 0
self.consumRank = false
self.integralMallEndTime = 0
self.integralMall = false
self.chargeList      = {}
self.chargeShowList  = {}
self.xunBaoIsShow = false
self.xunBaoEndTime = 0
self.filmTetickIsShow = false
self.filmTetickTime = 0
self.vipBossIsShow = false
self.vipBossEndTime = 0
self.arenaIsShow = false
self.arenaEndTime = 0
self.exchangeExpIsShow = false
self.exchangeExpEndTime = 0
self.tanBaoIsShow = false
self.tanBaoExpEndTime = 0
self.yiChuiExpIsShow = false
self.yiChuiExpEndTime = 0
self.zhuanPan3IsShow = false
self.zhuanPan3EndTime = 0
self.springActivityIsShow = false
self.springActivityEndTime = 0
self.redBagIsShow = false
self.redBagEndTime = 0
self.jiFuIsShow = false
self.jiFuEndTime = 0
self.yuanXiaoDaTiIsShow = false
self.yuanXiaoDaTiEndTime = 0
self.shenMiIsShow = false
self.shenMiEndTime = 0
end
CrossRechargeRankInfo = class("CrossRechargeRankInfo",function()
local temp = EventDispatcher:new()
temp.type  = nil     --1.跨服充值榜 2.鲜花榜
temp.MyRank  = 0
temp.selfValue = 0
temp.totalPage = 0  --页数
--跨服充值榜
temp.rechargeRankList = {}
temp.rechargeValueList = {}
temp.consumeRankList = {}
--鲜花榜
temp.flowerRankInfoList = {}
--烟花榜
temp.yanhuaRankInfoList = {}
return temp
end)
function CrossRechargeRankInfo:updateInfo(data)
self.type  = data:readByte()
self.MyRank  = data:readInt()
self.selfValue = data:readInt()
self.totalPage = data:readByte()
local len = data:readByte()
local index = 1
self.consumeRankList = {}
for i = 1,len,1 do
if(self.type == 1)then
local rank = data:readShort()
local rechargeValue = data:readInt()
self.rechargeRankList[rank] = rank
self.rechargeValueList[rank] = rechargeValue
elseif(self.type == 2)then
local rank = data:readShort()
local userId = data:readNumber()
local vipLevel = data:readByte()
local nick = data:readString()
local serverId = data:readShort()
local fight = data:readInt()
local meiliValue = data:readInt()
self.flowerRankInfoList[rank] = {rank,userId,nick,vipLevel,serverId,fight,meiliValue}
--print(rank,userId,nick,vipLevel,serverId,fight,meiliValue)
elseif self.type == 3 then
local rank = data:readShort()
local rechargeValue = data:readInt()
self.consumeRankList[rank] = rank
self.consumeRankList[rank] = rechargeValue
elseif self.type == 4 then
local rank = data:readShort()
local userId = data:readNumber()
local vipLevel = data:readByte()
local nick = data:readString()
local serverId = data:readShort()
local fight = data:readInt()
local renqiValue = data:readInt()
self.yanhuaRankInfoList[rank] = {rank,userId,nick,vipLevel,serverId,fight,renqiValue}
end
end
if(self.type == 1)then
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.crossRecharge_infoUpdate,self,nil))
elseif(self.type == 2)then
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.flowerRank_infoUpdate,self,nil))
elseif self.type == 3 then
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.consumRank_infoUpdate,self,nil))
elseif self.type == 4 then
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.yanhuaRank_infoUpdate,self,nil))
end
end
function CrossRechargeRankInfo:clearAllDatas()
self.type  = nil     --1.跨服充值榜 2.鲜花榜
self.MyRank  = 0
self.selfValue = 0
self.totalPage = 0  --页数
--跨服充值榜
self.rechargeRankList = {}
self.consumeRankList = {}
self.rechargeValueList = {}
--鲜花榜
self.flowerRankInfoList = {}
self.yanhuaRankInfoList = {}
end
DoubleElevenInfo = class("DoubleElevenInfo", function(self)
local temp = EventDispatcher:new()
temp.restTimes = 9
temp.endTimes  = 999
temp.itemList  = {}
return temp
end)
function DoubleElevenInfo:updateInfo(infoList)
self.restTimes = infoList.restTimes
self.endTimes  = infoList.endTimes
self.itemList  = infoList.itemList
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_doubleFourInforUpdate,globalManager.gameDispatcher,nil))
end
function DoubleElevenInfo:updateTimes(time)
self.endTimes = time
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_doubleFourInforUpdate,globalManager.gameDispatcher,nil))
end
function DoubleElevenInfo:clearAllData()
self.restTimes = 9
self.endTimes  = 999
self.itemList  = {}
end
FashionInfo = class("FashionInfo", function(self)
local temp = EventDispatcher:new()
temp.currentFashion = 0
temp.hasIdList      = {}
temp.hasStarList    = {}
temp.hasStarIdList  = {}
return temp
end)
function FashionInfo:updateFashionInfo(data)
self.currentFashion = data:readInt()
self.hasIdList = {}
local len = data:readByte()
for i = 1,len,1 do
local hasId = data:readInt()
table.insert(self.hasIdList,hasId)
end
self.hasStarIdList = {}
local len1 = data:readByte()
for i = 1,len1,1 do
local templateId = data:readInt()
local starLevel  = data:readShort()
table.insert(self.hasStarIdList,templateId)
self.hasStarList[templateId] = starLevel
end
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.update_FashionInfo,self,nil))
end
function FashionInfo:clearAllData()
self.currentFashion = 0
self.hasIdList      = {}
self.hasStarList    = {}
self.hasStarIdList  = {}
end
FindTreasureInfo = class("FindTreasureInfo", function(self)
local temp = EventDispatcher:new()
temp._baseDispose = temp.dispose
temp.layer = 1           --当前层
temp.hard  = 1 			 --当前难度
temp.openCardNum = 10     --翻牌机会
temp.openCardList = {}   --已经打开卡牌的数组
temp.treasureInfoList = {} --宝藏信息数据
temp.remainTimes = 0     --剩余宝藏数量
temp.doneNum = 0 --已完成宝藏数量
return temp
end)
function FindTreasureInfo:sendTreasureInfoEvent()
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.findTreasureInfo_update, self, nil))
end
function FindTreasureInfo:sendTreasureOpenCardEvent()
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.findTreasureOpenCard_update, self, nil))
end
function FindTreasureInfo:saoDangAward(infoList)
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.findTreasureSD_award, self, infoList))
end
function FindTreasureInfo:clearAllDatas()
self.openCardList     = {}
self.treasureInfoList = {}
self.layer = 1           --当前层
self.hard  = 1 			 --当前难度
self.openCardNum = 10     --翻牌机会
self.remainTimes = 0     --剩余宝藏数量
self.doneNum = 0 --已完成宝藏数量
end
FriendInfo = class("FriendInfo", function(self)
local temp = {}
temp.online = 0 --0：下线  1：在线
temp.info = BasePlayerInfo:new() --玩家基本信息：BasePlayerInfo
temp.friendState = 0 --类型，好友状态
temp.relationValue = 0 --亲密度
temp.mapId = 0 --地图ID
temp.isFriend = false --是否好友
temp.records = {} --聊天信息
temp.remark = "" --备注
temp.isWater = 0 --浇水
return temp
end)
function FriendInfo:parseData(data)
self.info.userId = data:readNumber()
self.info.serverId = data:readShort()
self.info.nick = data:readString()
self.info.sex = data:readByte()
self.info:setCareer(data:readByte())
self.friendState = data:readInt()
self.online = data:readInt()
self.info.level = data:readShort()
self.relationValue = data:readInt()
self.info.vipLevel = data:readByte()
data:readBoolean() --activeState
data:readBoolean() --passiveState
data:readInt() --prayTime
self.isWater = data:readByte()
data:readShort() --prayAmount
self:updateState()
end
function FriendInfo:updateState()
self.isFriend = globalManager.bit:dand(self.friendState,globalManager.bit:dleft(1,14)) > 0
end
function FriendInfo:dispose()
if(self.info ~= nil)then
self.info:dispose()
self.info = nil
end
self.records = {}
end
FriendList = class("FriendList", function(self)
local temp = EventDispatcher:new()
temp.friendList = {}	--好友
temp.friendResponseInfo = FriendResponseInfo:new()
return temp
end)
function FriendList:loadData(data)
local len = data:readInt()
for i=1,len do
local friendInfo = FriendInfo:new()
friendInfo:parseData(data)
self:updateFriend(friendInfo)
end
end
function FriendList:updateFriend(friendInfo)
if(friendInfo.isFriend)then
self:addFriend(friendInfo)
else
self:removeFriend(friendInfo.info.userId)
end
end
function FriendList:addFriend(friendInfo)
local index = self:getIndexInList(self.friendList,friendInfo.info.userId)
if(index == -1)then
table.insert(self.friendList,friendInfo)
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.friend_addFriend,self,friendInfo))
end
end
function FriendList:removeFriend(userId)
local index = self:getIndexInList(self.friendList,userId)
if(index ~= -1)then
table.remove(self.friendList,index)
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.friend_removeFriend,self,userId))
end
end
function FriendList:getPlayer(userId)
for __,friendInfo in pairs(self.friendList) do
if(friendInfo ~= nil and friendInfo.info.userId == userId)then
return friendInfo
end
end
return nil
end
--获取在线好友列表
function FriendList:getOnlineList()
local result = {}
for __,friendInfo in pairs(self.friendList) do
if(friendInfo ~= nil and friendInfo.online == 1)then
table.insert(result,friendInfo)
end
end
return result
end
--好友是否在线
function FriendList:isOnline(userId)
for __,friendInfo in pairs(self.friendList) do
if(friendInfo ~= nil and friendInfo.info.userId == userId and friendInfo.online == 1)then
return true
end
end
return false
end
--是否在好友列表
function FriendList:isFriend(userId)
for __,friendInfo in pairs(self.friendList) do
if(friendInfo ~= nil and friendInfo.info.userId == userId)then
return true
end
end
return false
end
function FriendList:getIndexInList(list,userId)
local len = table.getn(list)
for i=1,len do
if(list[i].info.userId == userId)then
return i
end
end
return -1
end
function FriendList:clearAllData()
for k,v in pairs(self.friendList) do
if(v ~= nil)then
v:dispose()
end
end
self.friendList = {}
self.friendResponseInfo:clearAllData()
end
FriendResponseInfo = class("FriendResponseInfo", function(self)
local temp = {}
--好友请求列表  Vecor<BasePlayerInfo>
temp.responseList = {}
return temp
end)
function FriendResponseInfo:ctor()
end
function FriendResponseInfo:addInfo(info)
if(self:hasId(info.userId))then
else
table.insert(self.responseList, info)
self:update()
end
end
function FriendResponseInfo:removeInfo(userId)
local index = self:getIndexById(userId)
if(index ~= -1)then
self.responseList[index]:dispose()
table.remove(self.responseList,index)
self:update()
else
end
end
function FriendResponseInfo:hasId(userId)
for __,info in pairs(self.responseList) do
if(info.userId == userId)then
return true
end
end
return false
end
function FriendResponseInfo:getIndexById(userId)
local len = table.getn(self.responseList)
for i=1,len do
if(self.responseList[i].userId == userId)then
return i
end
end
return -1
end
function FriendResponseInfo:update()
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.quickIcon_friend,globalManager.gameDispatcher))
end
--清除所有数据，重连时调用
function FriendResponseInfo:clearAllData()
local len = table.getn(self.responseList)
for i=1,len do
self.responseList[i]:dispose()
end
self.responseList = {}
end
HomeInfo = class("HomeInfo", function(self)
local temp = EventDispatcher:new()
temp.userId = 0
temp.hallLevel = 1
temp.waterCount = 0 --已浇水次数
temp.hasWaterCount = 0 --剩余浇水次数
temp.helpWaterCount = 0 --别人已帮忙浇水次数
temp.waterTime = 0 --上一次获得浇水次数的时间戳
temp.starAmount = 0 --已获得星星数
temp.canGetStar = 0 --可摘取的星星
temp.todaysGot = 0 --今天已摘取的星星
temp.wishAwardList = {}
temp.wishStartTime = 0
temp.systemTime = 0
temp.oldWishStartTime = 0
temp.wishAwardList[1] = {}    --第一个许愿池奖励
temp.wishAwardList[2] = {}		--第2个许愿池奖励
temp.wishAwardList[3] = {}		--第3个许愿池奖励
temp.helpOthersCount = 0  --已帮助别人浇水的次数
temp.isOther = false  --是否查询别人
temp.updateInfoTime = 0  --上线服务器推过数据时的时间
return temp
end)
function HomeInfo:ctor()
end
function HomeInfo:updateAwardList(place,infoList,startAmount)
if infoList ~= nil then
self.wishAwardList[place] = infoList
end
self.starAmount = startAmount
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.wish_infoUpdate,globalManager.gameDispatcher,nil))
end
function HomeInfo:updateAwardList2(place,infoList)
if infoList ~= nil then
self.wishAwardList[place] = infoList
end
end
function HomeInfo:updateStarInfo(starTime,canGetStar,hasStarCount,totalStarCount)
--local systemTime = globalData.systemDateInfo:getSystemTime()
--if self.oldWishStartTime == starTime then
--	self.wishStartTime = self.oldWishStartTime + (systemTime - self.systemTime)/1000
--else
self.wishStartTime = starTime
self.oldWishStartTime = starTime
self.systemTime = systemTime
--end
self.canGetStar = canGetStar
self.starAmount = hasStarCount
self.todaysGot = totalStarCount
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.home_infoUpdate,self,nil))
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.wish_infoUpdate,globalManager.gameDispatcher,nil))
end
function HomeInfo:updateWaterCount(count)
if(self.helpOthersCount == count) then return end
self.helpOthersCount = count
end
function HomeInfo:homeInfoUpdate(info)
self.userId = globalData.selfPlayerInfo.userId
self.hallLevel = info.hallLevel
self.waterCount = info.waterCount
self.hasWaterCount = info.hasWaterCount
self.helpWaterCount = info.helpWaterCount
self.waterTime = info.waterTime
self.starAmount = info.starAmount
self.canGetStar = info.canGetStar
self.todaysGot = info.todaysGot
if info.wishAwardList[1] ~= nil then
self.wishAwardList[1] = info.wishAwardList[1]
else
self.wishAwardList[1] = {}
end
if info.wishAwardList[2] ~= nil then
self.wishAwardList[2] = info.wishAwardList[2]
else
self.wishAwardList[2] = {}
end
if info.wishAwardList[3] ~= nil then
self.wishAwardList[3] = info.wishAwardList[3]
else
self.wishAwardList[3] = {}
end
self.systemTime = globalData.systemDateInfo:getSystemTime()
self.updateInfoTime = globalData.systemDateInfo:getSystemTime()
self.wishStartTime = info.startTime
self.oldWishStartTime = info.startTime
self.helpOthersCount = info.helpOthersCount
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.home_infoUpdate,self,nil))
info.wishAwardList = nil
end
function HomeInfo:treeInfoUpdate(data)
self.waterCount = data:readShort()
self.hasWaterCount = data:readShort()
self.helpWaterCount = data:readShort()
self.helpOthersCount = data:readShort()
self.waterTime = data:readInt()
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.home_infoUpdate,self,nil))
end
--清除所有数据，重新连接时调用
function HomeInfo:clearAllData()
self.wishAwardList = {}
self.wishAwardList[1] = {}
self.wishAwardList[2] = {}
self.wishAwardList[3] = {}
self.userId = 0
self.hallLevel = 1
self.systemTime = 0
self.updateInfoTime = 0
self.oldWishStartTime = 0
self.waterCount = 0
self.hasWaterCount = 0
self.helpWaterCount = 0
self.helpOthersCount = 0
self.starAmount = 0
self.isOther = false
end
FarmInfo = class("FarmInfo", function(self)
local temp = EventDispatcher:new()
temp.landList = {} --已激活土地列表
temp.plantInfoList = {} --{{土地id,种子id,种植时间,上次浇水时间},...}
return temp
end)
function FarmInfo:landUpdate(landList)
self.landList = landList
end
function FarmInfo:plantUpdate(plantInfoList)
self.plantInfoList = plantInfoList
end
function FarmInfo:harvestUpdate(landList)
local sortFunc = function(info1,info2)
return tonumber(info1) < tonumber(info2)
end
table.sort(landList, sortFunc)
for i = #landList,1,-1 do
for j = 1,#self.plantInfoList,1 do
if(self.plantInfoList[j][1] == landList[i])then
table.remove(self.plantInfoList,j)
break
end
end
end
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.farm_infoUpdate,self,nil))
end
function FarmInfo:waterTimeUpdate(infoList)
for i = 1,#infoList,1 do
for j = 1,#self.plantInfoList,1 do
if(infoList[i][1] == self.plantInfoList[j][1])then
self.plantInfoList[j][3] = infoList[i][3]
self.plantInfoList[j][4] = infoList[i][4]
end
end
end
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.farm_infoUpdate,self,nil))
end
function FarmInfo:addPlantInfo(info)
if(self:getPlant(info[1]) ~= nil)then return end
table.insert(self.plantInfoList,info)
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.farm_landUpdate,self,info[1]))
end
function FarmInfo:addLand(landId)
if(self:checkIsBuyLand(landId))then return end
table.insert(self.landList,landId)
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.farm_landUpdate,self,landId))
end
--检测该土地是否已激活
function FarmInfo:checkIsBuyLand(landId)
for i = 1,#self.landList,1 do
if(self.landList[i] == landId)then
return true
end
end
return false
end
--该土地种植的信息
function FarmInfo:getPlant(landId)
for i = 1,#self.plantInfoList,1 do
if(self.plantInfoList[i][1] == landId)then
return self.plantInfoList[i]
end
end
return nil
end
function FarmInfo:checkLandCanBuy(landId)
if(self:checkIsBuyLand(landId)) then return false end
local tempInfo = globalData.allTemplates.landTemplateList:getTemplateById(landId)
local myFarmLevel = globalData.allTemplates.homeTemplateList:getTemplateByLevel(globalData.homeInfo.hallLevel).farmLevel
if(tempInfo.needFarmLevel <= myFarmLevel)then
return true
else
return false
end
end
function FarmInfo:clearAllData()
self.landList = {}
self.plantInfoList = {}
end
LeagueInfo = class("LeagueInfo", function(self)
local temp = EventDispatcher:new()
temp.id = 0 		--帮派ID
temp.name = "" 		--帮派名字
temp.level = 0 		--帮派等级
temp.wealth = 0 	--帮派财富
temp.descript = ""  --帮派说明
temp.rank = 0  		--排名
temp.serverId = 0   --服务器ID
temp.updateTime = 0 --下一次可升级时间
temp.autoLevel = 0 	--允许成员申请自动进入等级
temp.totalFight = 0 --帮派总战力
temp.member = 0 	--成员数量
temp.masterName = 0 --帮主名字
temp.myJob = 0 			--我的职务
temp.myGongxian = 0 	--我的贡献
temp.myTotalGongxian = 0 	--我的总贡献
temp.yuanbaoCount = 0 	--钻石捐献次数
temp.copperCount = 0 	--铜币捐献次数
temp.giveCount   = 0    --已经捐赠帮派总共次数
temp.leagueList = {} --帮派列表 vector<{}>
temp.canInList = {}--可加入帮列表vector<int>
temp.leagueMembers = {} --帮派成员列表 vector<{}>
temp.applyList = {} --玩家申请列表 vector<{}>
temp.hasApplyList = {} --已申请帮派列表 vector<int>
temp.wareHouseList = nil 	--物品请求列表
temp.wareHouseLog = {} 		--仓库日志
temp.bossMissionList = {}  --帮派boss进度
return temp
end)
function LeagueInfo:ctor()
self.wareHouseList = LeagueWareHouseInfo:new()
end
--获取帮派成员信息
function LeagueInfo:getUser(userId)
for __,info in pairs(self.leagueMembers) do
if(info.userId == userId)then
return info
end
end
return nil
end
function LeagueInfo:hasApply(id)
for i=1,#self.hasApplyList do
if(self.hasApplyList[i] == id)then
return true
end
end
return false
end
function LeagueInfo:changeJob(userId,job)
if(userId == globalData.selfPlayerInfo.userId)then
self.myJob = job
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.league_myInfo,self))
end
for __,info in pairs(self.leagueMembers) do
if(info.userId == userId)then
if(job == 1)then
globalManager.tipsManager.quickTip:show(info.name .. globalManager.yuyanbaoManager:getYuyanbao("LeagueInfo.text1"))
elseif(job == 2)then
globalManager.tipsManager.quickTip:show(info.name .. globalManager.yuyanbaoManager:getYuyanbao("LeagueInfo.text2"))
elseif(info.job == 2)then
globalManager.tipsManager.quickTip:show(info.name .. globalManager.yuyanbaoManager:getYuyanbao("LeagueInfo.text3"))
end
info.job = job
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.league_jobChange,self))
end
end
end
--成员排序
function LeagueInfo:leagueMembersSort()
local sortFunc = function(info1,info2)
if(info1.state ~= info2.state) then
return info1.state > info2.state
end
if(info1.job ~= info2.job) then
if(info1.job ~= 0 and info2.job ~= 0)then
return info1.job < info2.job
else
return info1.job > info2.job
end
end
if(info1.fight ~= info2.fight) then
return info1.fight > info2.fight
end
if(info1.gongxian ~= info2.gongxian) then
return info1.gongxian > info2.gongxian
end
return info1.userId > info2.userId
end
self.leagueMembers = globalManager.commonUtils:tableSort(self.leagueMembers,sortFunc)
end
--帮派列表排序
function LeagueInfo:leagueListSort()
local sortFunc = function(info1,info2)
return info1.rank < info2.rank
end
table.sort(self.leagueList,sortFunc)
table.sort(self.canInList,sortFunc)
end
function LeagueInfo:kick(userId)
local info = self:getUser(userId)
globalManager.tipsManager.quickTip:show(info.name .. globalManager.yuyanbaoManager:getYuyanbao("LeagueInfo.text4"))
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.league_kick,self,userId))
end
function LeagueInfo:quit()
self:reset()
globalData.selfPlayerInfo:updateUniteId(0,0)
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.league_quit,self))
end
function LeagueInfo:reset()
self.id = 0
self.hasApplyList = {}
self.bossMissionList = {}
end
function LeagueInfo:updateCopyInfo(data)
local len   = data:readByte()
for i = 1,len,1 do
local copyId = data:readInt()
local missionId = data:readInt()
local hp = data:readNumber()
--local hp = data:readInt()
self.bossMissionList[copyId] = {missionId,hp}
end
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.league_bossHp,self,nil))
end
function LeagueInfo:restUpdateInfo(copyId,missionId,hp)
for index,info in pairs(self.bossMissionList) do
if(index == copyId)then
info[1] = missionId
info[2] = hp
end
end
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.league_bossHp,self,nil))
end
function LeagueInfo:updateBossHurt(copyId,missionId,hp)
if(copyId == globalData.copyInfo.currentCopyId) then
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.league_bossHurt,self,hp))
end
end
function LeagueInfo:clearAllDatas()
self.id = 0
self.name = ""
self.level = 0
self.wealth = 0
self.totalFight = 0
self.leagueList = {}
self.leagueMembers = {}
self.applyList = {}
self.hasApplyList = {}
self.wareHouseLog = {}
self.bossMissionList = {}
if(self.wareHouseList ~= nil)then
self.wareHouseList:clear()
end
end
LeagueWareHouseInfo = class("LeagueWareHouseInfo", function()
local self = {}
self._list = {}
return self
end)
function LeagueWareHouseInfo:initData()
self._list = {}
local list = globalData.allTemplates.leagueWareHouseTemplateList:getList()
for k,v in pairs(list) do
local info = LeagueWareHouseItemInfo:new()
info.itemId = v.templateId
info.needWealth = v.club_wealth
table.insert(self._list, info)
end
end
function LeagueWareHouseInfo:forEach(func)
local ret = true
for i = 1, #self._list do
if func(self._list[i]) == false then
ret = false
break
end
end
return ret
end
function LeagueWareHouseInfo:getCount()
return #self._list
end
function LeagueWareHouseInfo:clear()
self._list = {}
end
function LeagueWareHouseInfo:getInfo(itemId)
for i = 1, #self._list do
local info = self._list[i]
if info ~= nil and info.itemId == itemId then
return info
end
end
return nil
end
function LeagueWareHouseInfo:update(data)
local itemId = data:readInt()
local info = self:getInfo(itemId)
if info ~= nil then
info.amount = data:readShort()
info.isAuto = data:readByte()
info.needWealth = data:readShort()
else
data:readShort()
data:readByte()
data:readShort()
print("#物品不存在"..itemId)
end
end
function LeagueWareHouseInfo:addUser(data)
local userInfo = LeagueWareHouseUserInfo:new(data)
local info = self:getInfo(userInfo.itemId)
if info ~= nil then
table.insert(info.applyUsers, userInfo)
else
print("#帮派仓库物品不存在", userInfo.itemId)
end
end
LeagueWareHouseLogInfo = class("LeagueWareHouseLogInfo", function(_, data)
local self = {}
self.itemId = 0
self.templateId = 0
self.amount = 0
self.date = 0
self.deal = ""
self.request = ""
self.strength = 0
self.stage = 0
if data ~= nil then
self.itemId = data:readInt()
self.templateId = self.itemId
self.amount = data:readInt()
self.date = data:readInt()
self.deal = data:readString()
self.request = data:readString()
self.strength = data:readByte()
self.stage = data:readByte()
end
return self
end)
LeagueWareHouseItemInfo = class("LeagueWareHouseItemInfo", function(_, data)
local self = {}
self.itemId = 0
self.amount = 0
self.isAuto = 0
self.needWealth = 0
if data ~= nil then
self.itemId = data:readInt()
self.amount = data:readShort()
self.isAuto = data:readByte()
self.needWealth = data:readShort()
end
self.applyUsers = {}
return self
end)
LeagueWareHouseUserInfo = class("LeagueWareHouseUserInfo", function(_, data)
local self = {}
self.userId = 0
self.itemId = 0
self.name = ""
self.level = 0
self.career = 0
self.sex = 0
self.club_wealth = 0
self.offline = 0
self.state = 0
if data ~= nil then
self.userId = data:readNumber()
self.itemId = data:readInt()
self.name = data:readString()
self.level = data:readShort()
self.career = data:readByte()
if(self.career == 1) then
self.sex = 1
else
self.sex = 2
end
self.club_wealth = data:readInt()
self.offline = data:readInt()
self.state = data:readByte()
end
return self
end)
LetterInfoList = class("LetterInfoList",function(self)
local temp = EventDispatcher:new()
self._pageSize = 5--每页显示邮件数量
self.letterList = {}--邮件数据Vector.<LetterItemInfo>
self.letterSeed = 0--邮件防刷种子
self.random = {768,565,645,345,765,432,123,543,876,456,234,123,234,345,432,865,563,565,768,565,456,477,836,268,652,548,324,326,765,123,432}
self.index = 1--邮件防刷索引
return temp
end)
--更新邮箱信息
--param letterList:Vector.<LetterItemInfo>
function LetterInfoList:updates(list)
local letterSort = function(letter1,letter2)
if(letter1.read == letter2.read) then
if(letter1.sendDate == letter2.sendDate) then
return letter1.letterId > letter2.letterId
end
return letter1.sendDate > letter2.sendDate
end
return letter2.read
end
--self:clearAllLetter()
if(list == nil or #list == 0) then return end
local letterIdList = {}
for i = 1, #self.letterList,1 do
table.insert(letterIdList,self.letterList[i].letterId)
end
for i,letter in pairs(list) do
local index = globalManager.commonUtils:getIndexOfTable(letterIdList,letter.letterId)
if(index == -1)then
table.insert(self.letterList,letter)
table.insert(letterIdList,letter.letterId)
else
self.letterList[index]:dispose()
self.letterList[index] = letter
end
end
table.sort(self.letterList,letterSort)
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_letterAdd,self))
end
--获取未读邮件数量
--return int
function LetterInfoList:getUnReadCount()
local tempCount = 0
for i,letter in pairs(self.letterList) do
if(not letter.read) then
tempCount = tempCount + 1
end
end
return tempCount
end
--获取未读邮件和未提取附件邮件数量和邮件数
--return int
function LetterInfoList:getUnReadOrAttachCount()
local tempCount = 0
local mailCount = 0
for i,letter in pairs(self.letterList) do
if(not letter.read or letter:canReceiveGoods()) then
tempCount = tempCount + 1
end
end
return tempCount, #self.letterList
end
--批量删除邮件
--list:Vector.<int>
function LetterInfoList:removeLettersAll(list)
for i,id in pairs(list) do
for j,letter in pairs(self.letterList) do
if(letter.letterId == id) then
local letter = self.letterList[j]
table.remove(self.letterList,j)
letter:dispose()
break
end
end
end
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_letterDeleteAll,self))
end
--删除邮件
--list:Vector.<int>
function LetterInfoList:removeLetters(id)
for i,item in pairs(self.letterList) do
if(item.letterId == id)then
table.remove(self.letterList,i)
item:dispose()
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_letterDelete,self,id))
break
end
end
end
--更改邮件读取标志
--param letterId:number value:bool
function LetterInfoList:changeReadState(letterId,value)
local changeLetter
for i,letter in pairs(self.letterList) do
if(letter.letterId == letterId) then
letter.read = value
changeLetter = letter
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_letterRead,self,changeLetter))
break;
end
end
end
--更改附件获取状态
--param letterId:number flag:int
function LetterInfoList:changeAttachState(letterId,flag)
for i,letter in pairs(self.letterList) do
if(letter.letterId == letterId) then
letter:setFetchFlag(flag)
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_letterAttach,self,letterId))
return letter
end
end
return nil
end
--是否发送成功
--param value:bool
function LetterInfoList:updateSuccess(value)
if(value) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("LetterInfoList.text1"))
end
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_letterSend,self,value))
end
function LetterInfoList:getProtectMessOut(out)
self.letterSeed = self.letterSeed + self.random[self.index]
if(self.letterSeed > 59000) then
self.letterSeed = self.letterSeed - 8000
end
local code = globalManager.bit:dxor(self.letterSeed,out:getLength() - 2)
out:setPosition(3)
out:writeShort(code)
self.index = self.index + 1
if(self.index > #self.random) then
self.index = 1
end
return out
end
--清除所有数据，重新连接时调用
function LetterInfoList:clearAllLetter()
self.letterSeed = 0
self.index = 1--邮件防刷索引
local len = table.getn(self.letterList)
for i = 1,len,1 do
self.letterList[i]:dispose()
end
self.letterList = {}
end
LetterItemInfo = class("LetterItemInfo",function(self)
local temp = {}
temp.letterId = 0--信件ID number
temp.fromServerId = 0--发送者服务器int
temp.fromId = 0--发送者ID number
temp.fromNick = ""--发送者名称String
temp.toId = 0--接收者ID Number
temp.toNick = ""--接收者名称String
temp.title = ""--信件标题String
temp.content = ""--信件内容String
temp.read = false--是否已读Boolean
temp.copper = 0--附带铜币int
temp.gold = 0--附带钻石int
temp.bindGold = 0--附带绑钻int
temp.goodsList = {}--附件列表Vector.<GoodsInfo>
temp.type = 0--邮件类型int
temp.sendDate = 0--发送日期s int
temp.readDate = 0--读取日期s int
temp.fetchState = 0--附件获取标志(物品和货币获取判断)int
temp.remark = ""--备注(附件物品显示)String
temp.validDate = 0--有效小时数int
temp.leftDay = 0--剩余天数int
return temp
end)
--param data:ByteArray
function LetterItemInfo:init(data)
self.letterId = data:readNumber()
self.fromServerId = data:readShort()
self.fromId = data:readNumber()
self.fromNick = data:readString()
self.toId = data:readNumber()
self.toNick = data:readString()
self.title = data:readString()
self.content = data:readString()
self.sendDate = data:readInt()
self.read = data:readBoolean()
self.readDate = data:readInt()
self.copper = data:readInt()
self.gold = data:readInt()
self.bindGold = data:readInt()
self.fetchState = data:readInt()
self.remark = data:readString()
self.type = data:readInt()
self.validDate = data:readInt()
local len = data:readInt()
for i = 1,len,1 do
local tempGoods = GoodsInfo:new()
globalManager.messageUtils:setGoods(tempGoods,data)
self.goodsList[i] = tempGoods
end
if(self.gold > 0)then
local goldGoods = GoodsInfo:new()
goldGoods:setTemplateId(globalData.allStaticTypes.categoryType.goldItem)
goldGoods.count = self.gold
table.insert(self.goodsList,goldGoods)
end
if(self.bindGold > 0)then
local goldGoods = GoodsInfo:new()
goldGoods:setTemplateId(globalData.allStaticTypes.categoryType.bindGoldItem)
goldGoods.count = self.bindGold
table.insert(self.goodsList,goldGoods)
end
if(self.copper > 0)then
local copperGoods = GoodsInfo:new()
copperGoods:setTemplateId(globalData.allStaticTypes.categoryType.copperItem)
copperGoods.count = self.copper
table.insert(self.goodsList,copperGoods)
end
self.leftDay = self.validDate/24 - globalData.systemDateInfo:getBetweenTimeDay(self.sendDate*1000,globalData.systemDateInfo:getSystemTime())
end
--是否可以获取附件
--return bool
function LetterItemInfo:canReceiveGoods()
local len = 0
if(self.copper > 0)then
len = len + 1
end
if(self.gold > 0)then
len = len + 1
end
if(self.bindGold > 0)then
len = len + 1
end
if(#self.goodsList - len > 0) then
if(self.fetchState ~= 1 and self.fetchState ~= 1025) then
return true
end
end
if(self.copper > 0 or self.gold > 0 or self.bindGold > 0) then
if(self.fetchState ~= 1024 and self.fetchState ~= 1025) then
return true
end
end
return false
end
function LetterItemInfo:checkBagEnough()
local count = 0
local fiveEquipCount = 0
for i = 1, #self.goodsList do
local templateId = self.goodsList[i]:getTemplateId()
if(templateId ~= nil and templateId ~= globalData.allStaticTypes.categoryType.goldItem and templateId ~= globalData.allStaticTypes.categoryType.bindGoldItem and templateId ~= globalData.allStaticTypes.categoryType.copperItem)then
if(globalData.allStaticTypes.categoryType:IsFiveEquip(self.goodsList[i]:getTemplate().categoryId))then
fiveEquipCount = fiveEquipCount + 1
else
count = count + 1
end
end
end
return globalData.goodsInfoList:getHasPos(count,1) and globalData.goodsInfoList:getHasPos(fiveEquipCount,2)
end
--param value:int
function LetterItemInfo:setFetchFlag(value)
self.fetchState = value
end
function LetterItemInfo:dispose()
if(self.goodsList ~= nil) then
for i = 1,#self.goodsList,1 do
self.goodsList[i]:dispose()
end
self.goodsList = nil
end
end
MarryInfo = class("MarryInfo",function(self)
local temp = EventDispatcher:new()
temp.marryId = 0
temp.marryName = nil
temp.marryType = 0
temp.marryLevel = 0
return temp
end)
function MarryInfo:updateMarryInfo(id,name,type,level)
self.marryId = id
self.marryName = name
self.marryType = type
self.marryLevel = level
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_marryUpdate,self,nil))
end
--清除所有数据，重新连接时调用
function MarryInfo:clearAllDatas()
self.marryId = 0
self.marryName = nil
self.marryType = 0
self.marryLevel = 0
end
OathInfo = class("OathInfo",function(self)
local temp = EventDispatcher:new()
temp.oathPosition = 0  --自己的是几号位 老大 老二 老三
temp.oathType = 0      --结义类型
temp.oathLevel = 0
temp.oathValue = 0     --义气值
temp.oathName = nil    -- 结义称谓名称
temp.playerInfoList = {}
temp.valueList = {}
return temp
end)
function OathInfo:updateOathInfo(oathPosition,oathType,oathLevel,oathValue,oathName)
self.oathPosition = oathPosition
self.oathType = oathType
self.oathLevel = oathLevel
self.oathValue = oathValue
self.oathName = oathName
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_oathUpdate,self,nil))
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_oath,self,nil))
end
function OathInfo:updateTheOtherPersonInfo(playerInfoList,valueList)
-- body
self.playerInfoList = playerInfoList
self.valueList = valueList
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.taoYuanInfoUpdate,self,nil))
end
--type nil:全部,0：不在线，1：在线
function OathInfo:getOtherUserId(type)
local userId = {}
if(type == nil)then
for i=1,#self.playerInfoList,1 do
if(self.playerInfoList[i][5] ~= globalData.selfPlayerInfo.userId)then
table.insert(userId,self.playerInfoList[i][5])
end
end
else
for i=1,#self.playerInfoList,1 do
if(type == self.playerInfoList[i][6] and self.playerInfoList[i][5] ~= globalData.selfPlayerInfo.userId)then
table.insert(userId,self.playerInfoList[i][5])
end
end
end
return userId
end
function OathInfo:getOtherTwoName()
-- body
local nameList = {}
for k,v in pairs(self.playerInfoList) do
if v[4] ~= globalData.selfPlayerInfo.nick then
table.insert(nameList, v[4])
end
end
return nameList
end
function OathInfo:isCanGetAward(type)
local growValue = 0
for i = 1,#self.playerInfoList,1 do
growValue = growValue + self.playerInfoList[i][3]
end
local count = 0
for i=1,5,1 do
if(growValue >= globalData.allTemplates.taoYuanTemplateList.list[i].condition)then
count = count + 1
end
end
local index = globalManager.commonUtils:getIndexOfTable(self.valueList,type)
if(index == -1 and type <= count)then
return true
else
return false
end
end
--清除所有数据，重新连接时调用
function OathInfo:clearAllDatas()
self.oathPosition = 0
self.oathType = 0
self.oathLevel = 0
self.oathValue = 0
self.oathName = nil
self.playerInfoList = {}
self.valueList = {}
end
ToCommonModuleData = class("ToCommonModuleData",function(self,showIndex)
local ts = {}
ts.showIndex = showIndex
return ts
end)
ToHomeModuleData = class("ToHomeModuleData",function(self,tab,info)
local ts = {}
ts.tab = tab -- 1:家园，2：许愿池
ts.info = info
return ts
end)
ToSceneData = class("ToSceneData",function(self,amapId,abornX,abornY,isRelogin)
local ts = {}
ts.isRelogin = isRelogin
ts.mapId = amapId
ts.bornX = abornX
ts.bornY = abornY
return ts
end)
OnlineRewardsInfo = class("OnlineRewardsInfo",function()
local temp = EventDispatcher:new()
temp.num = -1 --第几次领奖
temp.time = -1 --上次领取的时间戳
temp.awardItemList = {}
temp.awardNumList = {}
return temp
end)
function OnlineRewardsInfo:setInfo(num,time,awardItemList,awardNumList)
self.num = num
self.time = time
self.awardItemList = awardItemList
self.awardNumList = awardNumList
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.onlineRewards_timeChange,self))
end
function OnlineRewardsInfo:clearAllDatas()
self.num = -1
self.time = -1
self.awardItemList = {}
self.awardNumList = {}
end
OpenInfo = class("OpenInfo", function(self)
local temp = EventDispatcher:new()
temp.selfInfoList = {}--开服玩家数据
temp.stageList = {}--全民活动的品阶数据
temp.numberPeople = 0--充值活动人数
temp.rankInfoList = {}--冲榜活动的排行榜数据
temp.rankList = {}--冲榜活动的个人排行
temp.count = 0
temp.hasGrowUpProjectList = nil --获取成长计划领取列表
temp.stageNumList = {} --获取七大模块进阶信息
temp.percent = 0	--金猴送礼
temp.awardList = {} --金猴送礼
temp.wishList = {}  --金猴送礼
temp.redPakectScore = 0 --红包积分
temp.jiFuAwardList = {} --集福已领的天数
temp.yuanXiaoDaTiInfo = {}--元宵答题信息
return temp
end)
function OpenInfo:ctor()
self:initEvent()
end
function OpenInfo:initEvent()
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.global_systemHour,self.systemHourUpdateHandler,self)
end
--寻宝轮盘获取位置
function OpenInfo:pickReturn(data)
local index = data:readByte()
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.zhuanpan_XunBao_pick,self,index))
end
function OpenInfo:systemHourUpdateHandler(evt)
self.count = 0
globalManager.tickManager:addTick(self.tick,self)
end
function OpenInfo:tick()
self.count = self.count + 1
if(self.count > 120) then
self:setTemplateInfo()
globalManager.tickManager:removeTick(self.tick,self)
end
end
function OpenInfo:setTemplateInfo()
globalData.allTemplates.openTemplateList:updateList()
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_openTemplate,self))
end
function OpenInfo:setSelfInfo(data)
local len = data:readInt()
local info = nil
for i = 1,len,1 do
info = OpenSelfInfo:new()
info:init(data)
self:insertSelfInfo(info)
end
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_openInfo,self))
end
function OpenInfo:insertSelfInfo(selfInfo)
if(#self.selfInfoList > 0)  then
for i,info in pairs(self.selfInfoList) do
if (info.id == selfInfo.id) then
self.selfInfoList[i] = selfInfo
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_openInfo,self,selfInfo.id))
return
end
end
end
table.insert(self.selfInfoList,selfInfo)
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_openInfo,self,selfInfo.id))
end
function OpenInfo:getInfoByShowType(showType)
local data = {}
for __,info in pairs(globalData.allTemplates.openTemplateList.openInfoList) do
if (info.showType == showType) then
table.insert(data,info)
end
end
return data
end
function OpenInfo:getInfoByType(type)
local data = {}
for __,info in pairs(globalData.allTemplates.openTemplateList.openInfoList) do
if (info.type == type) then
table.insert(data,info)
end
end
return data
end
function OpenInfo:getStageInfoByType(type)
local data = {}
for __,info in pairs(globalData.allTemplates.openTemplateList.stageInfoList) do
if (info.type == type) then
table.insert(data,info)
end
end
return data
end
function OpenInfo:getSelfInfoById(id)
for __,info in pairs(self.selfInfoList) do
if (info.id == id) then
return info
end
end
return nil
end
function OpenInfo:getTempInfoById(id)
for __,info in pairs(globalData.allTemplates.openTemplateList.allData) do
if (info.id == id) then
return info
end
end
return nil
end
function OpenInfo:setRankInfo(data)
local sortFunc = function(info1,info2)
return tonumber(info1.fight) > tonumber(info2.fight)
end
local type = data:readShort()
local len = data:readInt()
local rankList = {}
for i = 1,len,1 do
local info = OpenRankInfo:new()
info:initData(data)
table.insert(rankList,info)
end
if(self.rankInfoList[type] ~= nil) then
for __,info in pairs(self.rankInfoList[type]) do
info:dispose()
end
end
table.sort(rankList, sortFunc)
self.rankInfoList[type] = rankList
local rankIndex = -1
for i = 1,len,1 do
if(rankList[i].userId == globalData.selfPlayerInfo.userId) then
rankIndex = i
end
end
self.rankList[type] = rankIndex
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_rechargeRank,self))
end
function OpenInfo:setStageInfo(data)
local type = data:readShort()
local stage = data:readShort()
self.stageList[type] = stage
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_rechargeStage,self))
end
function OpenInfo:setPeopleNumber(data)
self.numberPeople = data:readShort()
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_rechargePeople,self))
end
function OpenInfo:setGrowUpProject(data)
self.hasGrowUpProjectList = {}
local len = data:readByte()
for i = 1,len,1 do
local hasId = data:readByte()
table.insert(self.hasGrowUpProjectList,hasId)
end
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_growUpPlaneUpdate,self,nil))
end
function OpenInfo:getOpen13Info(data)
self.stageNumList = {}
local len = data:readByte()
for i = 1,len,1 do
local stage = data:readByte()
local completeNum =  data:readShort()
self.stageNumList[stage] = completeNum
end
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_hasStageNumUpdate,self,nil))
end
--更新金猴百分比
function OpenInfo:updatePercent(percent)
self.percent = math.floor( percent / globalData.allTemplates.newYearTemplateList:getAwardByIndex(5).score * 100)
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.newYearGiven,self,nil))
end
--更新随机物品
function OpenInfo:updateAwardList(awardList,wishList)
self.awardList = awardList
self.wishList = wishList
for k,v in pairs(self.awardList) do
if self.wishList[k] ~= nil then
self.awardList[k][3] =  self.wishList[k][3]
end
end
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.newYearWish,self,nil))
end
function OpenInfo:redPakectUpdateInfo(data)
local userId = data:readNumber()
if(userId == globalData.selfPlayerInfo.userId)then return end
local redPakectInfo = {}
redPakectInfo["userId"]      = userId
redPakectInfo["serverId"]    = data:readInt()
redPakectInfo["nickName"]    = data:readString()
redPakectInfo["clubId"]      = data:readNumber()
redPakectInfo["stageType"]   = data:readUByte()
RedRainView:new(redPakectInfo)
end
function OpenInfo:redPakectUpdateScore(data)
self.redPakectScore = data:readInt()
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.redPacket_updateScore,self,nil))
end
function OpenInfo:jiFuAwardListUpdate(data)
local len = data:readByte()
local list = {}
for i = 1,len,1 do
table.insert(list,data:readByte())
end
self.jiFuAwardList = list
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.openView_jiFuUpdate,self,nil))
end
--获取集福活动领到第几天了
function OpenInfo:getJiFuDay()
--新服
local openTime = globalData.openTime
local systemTime = math.floor(globalData.systemDateInfo:getSystemTime() / 1000)
local oepnDays = globalData.systemDateInfo:getBetweenTimeDay(openTime * 1000,systemTime * 1000)
--老服
local endTime = globalData.consumenGiftInfo.jiFuEndTime
local days = globalData.systemDateInfo:getBetweenTimeDay(systemTime * 1000,endTime * 1000 - 1000)
local curDay = 0
if(days >= 0 and days <= 7)then
curDay = 7 - days
else
curDay = 7
end
return math.min(oepnDays,curDay)
end
function OpenInfo:yuanXiaoDiTiInfo(data)
self.yuanXiaoDaTiInfo = {}
self.yuanXiaoDaTiInfo["rightNum"]    = data:readByte()
self.yuanXiaoDaTiInfo["wrongNum"]    = data:readByte()
self.yuanXiaoDaTiInfo["answerId"]    = data:readShort()
self.yuanXiaoDaTiInfo["queContent"]  = data:readString()
self.yuanXiaoDaTiInfo["isAward"]     = data:readByte()
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.yuanXiaoDaTi_updateInfo,self,nil))
end
function OpenInfo:clearAllDatas()
globalManager.tickManager:removeTick(self.tick,self)
self.selfInfoList = {}
self.rankList = {}
self.stageList = {}
for __,infoList in pairs(self.rankInfoList) do
for __,info in pairs(infoList) do
info:dispose()
end
end
self.payId = 0
self.fetch = 0
self.rankInfoList = {}
self.stageNumList = {}
self.hasGrowUpProjectList = nil
self.percent = 0
self.awardList = {}
self.wishList = {}
self.jiFuAwardList = {}
self.yuanXiaoDaTiInfo = {}
end
OpenRankInfo = class("OpenRankInfo", function(self)
local temp = {}
temp.userId = 0
temp.condition = 0
temp.fight = 0
temp.nick = ""
return temp
end)
function OpenRankInfo:initData(data)
self.userId = data:readNumber()
self.condition = data:readInt()
self.fight = data:readInt()
self.nick = data:readString()
end
function OpenRankInfo:dispose()
self.nick = nil
end
OpenSelfInfo = class("OpenSelfInfo", function(self)
local temp = {}
temp.id = 0
temp.time = 0
temp.count = 0
temp.sign = 0
return temp
end)
function OpenSelfInfo:init(data)
self.id = data:readInt()
self.time = data:readInt()
self.count = data:readInt()
self.sign = data:readInt()
end
PartnerInfo = class("PartnerInfo", function(self)
local temp = EventDispatcher:new()
temp.partnerList = {}
temp._currentPartner = nil
temp._afkSkills = {}
--默认挂机技能
temp.defaultSkillInfo = SkillItemInfo:new()
temp.defaultSkillInfo.templateId = 3105
temp.defaultSkillInfo.level = 1
temp.perFightValueList = {}
temp.stageList  = {}
return temp
end)
function PartnerInfo:setCurrentPartnerId(id)
if(id == 0) then self._currentPartner = nil end
self._currentPartner = self.partnerList[id]
self:initAFKSkills()
end
function PartnerInfo:updatePartnerInfo(data)
local len = data:readByte()
local currentId = 0
for i = 1,len,1 do
local item = PartnerItemInfo:new()
item:init(data)
self.partnerList[item.templateId] = item
if(item.isEquip == 1) then
currentId = item.templateId
end
end
self:setCurrentPartnerId(currentId)
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.update_PartnerInfo,self,nil))
end
--获取伙伴技能列表 Vector.<SkillItemInfo>
function PartnerInfo:getPartnerAFKSkill()
local len = table.getn(self._afkSkills)
local skill = nil
for i = 1,len,1 do
skill = self._afkSkills[i]
if(skill:getCanAFKUse())then
break
end
skill = nil
end
return skill
end
function PartnerInfo:getAfkSkills()
return self._afkSkills
end
function PartnerInfo:initAFKSkills()
if(self._afkSkills ~= nil)then
local len = table.getn(self._afkSkills)
for i = 1,len,1 do
self._afkSkills[i]:dispose()
end
end
self._afkSkills = {}
if(self._currentPartner ~= nil)then
for id,level in pairs(self._currentPartner.skillList) do
if(level > 0 and id ~= self.defaultSkillInfo.templateId and id > 0) then
local skill = globalData.allTemplates.skillTemplateList:getSkillTemplate(id)
if(skill ~= nil and skill and skill:isAttack() and skill:isActive())then
local skillItem = SkillItemInfo:new()
skillItem.templateId = id
skillItem.level = 1
table.insert(self._afkSkills,skillItem)
end
end
end
end
end
function PartnerInfo:setAFKSkillToBack(skill)
local len = table.getn(self._afkSkills)
local doInsert = false
for i = 1,len,1 do
if(self._afkSkills[i] == skill)then
table.remove(self._afkSkills,i)
doInsert = true
break
end
end
if(doInsert)then
table.insert(self._afkSkills,skill)
end
end
function PartnerInfo:getPartnerDefaultSkill()
return self.defaultSkillInfo
end
function PartnerInfo:clearAllData()
for i,info in pairs(self.partnerList) do
info:dispose()
end
self.partnerList = {}
self._currentPartner = nil
end
PartnerItemInfo = class("PartnerItemInfo", function(self)
local temp = {}
temp.partnerId  = 0
temp.templateId = 0
temp.stage      = 0
temp.fightValue = 0
temp.isEquip    = 0
temp.atrrList   = {}
temp.skillList  = {}
temp.equipList  = {}
return temp
end)
function PartnerItemInfo:init(data)
self.partnerId  = data:readNumber()
self.templateId = data:readInt()
self.stage      = data:readByte()
self.fightValue = data:readInt()
self.isEquip    = data:readByte()
local len1      = data:readByte()
for i = 1,len1,1 do
local id    = data:readInt()
local value = data:readInt()
self.atrrList[id] = value
end
local len2      = data:readByte()
for i = 1,len2,1 do
local id    = data:readInt()
local level = data:readInt()
self.skillList[id] = level
end
local len3      = data:readByte()
for i = 1,len3,1 do
local place    = data:readInt()
local level    = data:readInt()
self.equipList[place] = level
end
end
function PartnerItemInfo:dispose()
self.partnerId  = 0
self.templateId = 0
self.stage      = 0
self.fightValue = 0
self.isEquip    = 0
self.atrrList   = {}
self.skillList  = {}
self.equipList  = {}
end
PeiShiInfo = class("PeiShiInfo",function()
local temp = EventDispatcher:new()
temp.list = {}
return temp
end)
function PeiShiInfo:initData(bytes)
local len = bytes:readShort()
for i = 1,len,1 do
local info = PeiShiItemInfo:new()
info:initData(bytes)
self.list[info.id] = info
end
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_peiShiInfo,self))
end
function PeiShiInfo:getInfo(id)
return self.list[id]
end
function PeiShiInfo:getTotalFight()
local fight = 0
for k,v in pairs(self.list) do
local templateInfo = globalData.allTemplates.peiShiTemplateList.list[k]
if(templateInfo ~= nil)then
for i = 1,#templateInfo.propertys do
fight = fight + globalData.allStaticTypes.propertyType:fightCalculate(templateInfo.propertys[i].propertyId,templateInfo.propertys[i].propertyValue * self.list[k].level)
end
end
end
return fight
end
function PeiShiInfo:clearAllDatas()
self.list = {}
end
PeiShiItemInfo = class("PeiShiItemInfo",function(self)
local temp = {}
temp.id = 0
temp.level = 0
return temp
end)
function PeiShiItemInfo:initData(bytes)
self.id = bytes:readByte()
self.level = bytes:readInt()
--print("######################ryhyrh",self.id,self.level)
end
BasePlayerInfo = class("BasePlayerInfo",function(self)
local temp = EventDispatcher:new()
temp.serverId = 0--服务器IDint
temp.combinedServerId = 0--合服IDint
temp.userId = 0--玩家IDNumber
temp.nick = ""--玩家昵称string
temp.sex = 0--0无；1男；2女int
temp.level = 0--等级int
temp.career = 0--职业int
temp.vipLevel = 0--VIP等级
temp.gm = 0--0:普通玩家，1:指导员，2:GM
return temp
end)
function BasePlayerInfo:setCareer(career)
self.career = career
if(self.career == 1) then
self.sex = 1
else
self.sex = 2
end
end
function BasePlayerInfo:setLevel(value)
if(self.level == value)then return end
self.level = value
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_level,self,nil))
end
function BasePlayerInfo:setVipLevel(vipLevel)
if(self.vipLevel == vipLevel)then return end
self.vipLevel = vipLevel
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_vip,self,nil))
end
DetailPlayerInfo = class("DetailPlayerInfo",function(self)
local temp = FigurePlayerInfo:new()
temp.maxHP = 0--最大生命值int
temp.currentHP = 0--当前生命值int
temp.attack = 0--普通攻击力int
temp.defense = 0--普通防御力int
temp.hurt = 0   --伤害
temp.inhurt = 0 --免伤
temp.abilitys = {}--小属性(命中、闪避、暴击、坚韧)Vector.<int>
temp.resistances = {0,0,0,0,0,0}--抗性(冰，晕，变，缓、定、沉默)Vector.<int>
temp.proAttack = 0--属攻int
temp.proDefense = 0--属防int
temp.sunder = 0 --破甲
temp.criHurt = 0 --爆伤
temp.honour = 0--荣誉int
temp.tribute = 0--贡献int
temp.charm = 0--魅力值
temp.renqi = 0 --人气值
return temp
end)
--设置小属性
--param value:int
function DetailPlayerInfo:setAbilitys(value1,value2,value3,value4)
self.abilitys[1] = value1
self.abilitys[2] = value2
self.abilitys[3] = value3
self.abilitys[4] = value4
end
function DetailPlayerInfo:sendPropertyHp()
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_property,self,nil))
end
--设置抗性
--param value:int
function DetailPlayerInfo:setResistances(value1,value2,value3,value4,value5,value6)
self.resistances[1] = value1
self.resistances[2] = value2
self.resistances[3] = value3
self.resistances[4] = value4
self.resistances[5] = value5
self.resistances[6] = value6
end
--*100返回
function DetailPlayerInfo:getHPPercent()
return math.floor((self.currentHP / self.maxHP) * 100)
end
FigurePlayerInfo = class("FigurePlayerInfo",function(self)
local temp = BasePlayerInfo:new()
temp.uniteId = 0--公会IDint
temp.uniteName = ""--公会名称string
temp.uniteLevel = 0--公会等级int
temp.uniteJob = 0--公会职位int 0普通  1会长   2副会长
temp.pvpMode = 0--PK模式int
temp.pvpChangeDate = 0--PK模式更改时间int
temp.killValue = 0--罪恶值int
temp.ipIsValid = true--VIP是否过期bool
temp.combat = 0--战斗力int
temp.titleInfo = TitleList:new()--称号列表TitleInfo
-- temp.isHorse = false--是否显示坐骑bool
temp.strengthLevel = 0--强化等级int
temp.hideSuit = false--是否隐藏时装bool
temp.clothAboutSex = false--衣服跟性别是否有关bool
temp.getMounts = false--是否骑宠bool
temp.mountAvoid = false--坐骑是否激活bool
temp.teamId = 0 --队长ID  0标示无队伍
temp.marryId = 0
temp.marryType = 0--查询玩家信息才会被写入
temp.marryName = ""
temp.jieyiPos = 0
temp.jieyiName = ""
temp.characterInfo = PlayerCharacterInfo:new(globalData.allStaticTypes.sourceStaticType.player)
-- temp.characterInfo:setFigurePlayerInfo(temp)
temp.__BasePlayerInfoDispose = temp.dispose
temp.__BasePlayerSetCareer = temp.setCareer
return temp
end)
function FigurePlayerInfo:getIsHorse()
return self.characterInfo.isHorse
end
function FigurePlayerInfo:setIsHorse(isHorse)
self.characterInfo.isHorse = isHorse
end
function FigurePlayerInfo:setCareer(career)
self:__BasePlayerSetCareer(career)
self.characterInfo:setCareer(career)
end
function FigurePlayerInfo:resetCharacter()
if(self.characterInfo ~= nil)then
self.characterInfo:dispose()
end
self.characterInfo = PlayerCharacterInfo:new(globalData.allStaticTypes.sourceStaticType.player)
--    self.characterInfo:setFigurePlayerInfo(self)
end
function FigurePlayerInfo:setNick(nick)
if(self.nick == nick)then
return
end
self.nick = nick
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_changeNick,self,nil))
end
function FigurePlayerInfo:getClubJobName()
if(self.uniteJob == 1)then
return globalManager.yuyanbaoManager:getYuyanbao("FigurePlayerInfo.text1")
elseif(self.uniteJob == 2)then
return globalManager.yuyanbaoManager:getYuyanbao("FigurePlayerInfo.text2")
end
return globalManager.yuyanbaoManager:getYuyanbao("FigurePlayerInfo.text3")
end
function FigurePlayerInfo:updateUniteId(value,job)
self.uniteId = value
self.uniteJob = job
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.league_idOrJobUpdate,self,nil))
end
function FigurePlayerInfo:getHorseId()
if(self.characterInfo == nil)then return 0 end
local id = self.characterInfo:getStyleBin()[3]
if(id == nil)then return 0 end
return id
end
--Pk模式更新
function FigurePlayerInfo:setPKmode(mode)
if(self.pvpMode ~= mode) then
self.pvpMode = mode
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_modeUpdate,self,nil))
end
end
--param value:int
function FigurePlayerInfo:updateCombat(value)
if(self.combat == value)then
return
end
self.combat = value
end
function FigurePlayerInfo:clearAllData()
if(self.titleInfo ~= nil)then
self.titleInfo:clearAllData()
end
end
function FigurePlayerInfo:dispose()
if(self.titleInfo ~= nil)then
self.titleInfo:dispose()
end
if(self.characterInfo ~= nil)then
self.characterInfo:dispose()
self.characterInfo = nil
end
self.marryName = nil
self.jieyiName = nil
self:__BasePlayerInfoDispose()
self.__BasePlayerInfoDispose = nil
self.__BasePlayerSetCareer = nil
end
MoneyInfo = class("MoneyInfo",function(self)
local temp = EventDispatcher:new()
temp.gold = -1--钻石int
temp.bindGold = -1--绑定钻石int
temp.copper = -1--铜币int
temp.chargeValue = 0--充值积分int
temp.payValue = 0--消费积分int
return temp
end)
--设置货币信息
--param data:ByteArray
function MoneyInfo:setMoney(data)
self:updateMoney(data)
end
function MoneyInfo:updateMoney(data)
local tmpGold = data:readInt()
local tmpBindGold = data:readInt()
local tmpCopper = data:readInt()
local tmpChargeValue = data:readInt()
local tmpPayValue = data:readInt()
local tmpHonor = data:readInt()
--金钱更新，弹出提示
if(self.gold ~= -1)then
if(tmpGold > self.gold)then
globalData.chatItemList:appendSystemItem(globalManager.yuyanbaoManager:getYuyanbao("SelfPlayerInfo.text1").."[0xfff35b]" .. (tmpGold - self.gold) .. globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel58").."[-]")
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_gold))
end
end
if(self.bindGold ~= -1)then
if(tmpBindGold > self.bindGold)then
globalData.chatItemList:appendSystemItem(globalManager.yuyanbaoManager:getYuyanbao("SelfPlayerInfo.text1").."[0xfff35b]" .. (tmpBindGold  - self.bindGold) .. globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel9").."[-]")
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_bindGold))
end
end
if(self.copper ~= -1)then
if(tmpCopper > self.copper)then
globalManager.soundManager:playSound(globalManager.soundManager.GETGOLD)
globalData.chatItemList:appendSystemItem(globalManager.yuyanbaoManager:getYuyanbao("SelfPlayerInfo.text1").."[0xfff35b]" .. (tmpCopper - self.copper) .. globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel67").."[-]")
end
end
self.gold = tmpGold
self.bindGold = tmpBindGold
self.copper = tmpCopper
self:updateCharge(tmpChargeValue)
self.payValue = tmpPayValue
globalData.selfPlayerInfo:updateHonour(tmpHonor)
self:update()
end
function MoneyInfo:updateCharge(value)
if(self.chargeValue == value) then return end
self.chargeValue = value
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerRechargeInfo_update))
end
function MoneyInfo:update()
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_money))
end
function MoneyInfo:getAllGold()
return self.gold + self.bindGold
end
function MoneyInfo:clearAllData()
self.gold = -1
self.bindGold = -1
self.copper = -1
self.chargeValue = 0
self.payValue = 0
end
RoleBuffInfo = class("RoleBuffInfo",function()
local rb = EventDispatcher:new()
--map<int,BuffItemInfo>
rb._buffList = {}
--map<int,bool>
rb._buffState = {}
--特效
rb.effect = 0
rb.scale = 1
rb.__eventDispose = rb.dispose
return rb
end)
--buff:BuffItemInfo
function RoleBuffInfo:addBuff(buff)
self._buffList[buff.templateId] = buff
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_addBuff,self,buff));
end
--id:int
function RoleBuffInfo:removeBuff(id)
local b = self._buffList[id]
if(b ~= nil) then
self._buffList[id] = nil
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_removeBuff,self,b));
b:dispose()
end
end
function RoleBuffInfo:updateBuffState()
self._buffState = {}
-- local tmpEffect = 0
self.effect = 0
self.scale = 1
local tmpPriority = -1
for k,v in pairs(self._buffList) do
local stateTemplate = v.template:getBuffStateTemplate()
if(stateTemplate ~= nil)then
local len = table.getn(stateTemplate.states)
for i = 1,len,1 do
self._buffState[stateTemplate.states[i]] = true
end
if(stateTemplate.priority > tmpPriority and stateTemplate.effect ~= 0)then
tmpPriority = stateTemplate.priority
if(stateTemplate.type == 1)then
self.effect = stateTemplate.effect
elseif(stateTemplate.type == 3)then
self.scale = stateTemplate.effect / 100
end
end
end
end
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_updateBuff,self, nil));
end
--buffId:int
function RoleBuffInfo:getBuff(buffId)
return self._buffList[buffId]
end
function RoleBuffInfo:getCanMove()
if(self._buffState[1])then return false end
return true
end
function RoleBuffInfo:getCanDoAttack()
if(self._buffState[2])then return false end
return true
end
function RoleBuffInfo:getCanUseSkill()
if(self._buffState[4])then return false end
return true
end
function RoleBuffInfo:getCanUseItem()
if(self._buffState[3])then return false end
return true
end
--是否恐惧
function RoleBuffInfo:getIsFear()
if(self._buffState[6])then return true end
return false
end
--是否隐身
function RoleBuffInfo:getIshide()
if(self._buffState[5])then return true end
return false
end
--是否无敌
function RoleBuffInfo:getIsWudi()
if(self._buffState[7] == true)then return true end
return false
end
--是否半透明（幽灵等）
function RoleBuffInfo:getIsAlpha()
if(self._buffState[8] == true)then return true end
return false
end
function RoleBuffInfo:clearBuffList()
if(self._buffList ~= nil)then
for k,v in pairs(self._buffList) do
if(v ~= nil)then
v:dispose()
end
end
end
self._buffList = {}
end
function RoleBuffInfo:dispose()
self:clearBuffList()
self._buffList = nil
self._buffState = nil
self:__eventDispose()
self.__eventDispose = nil
end
RoleStateInfo = class("RoleStateInfo",function()
local rs = EventDispatcher:new()
rs.FIGHT_FALSE = 4294967293
rs.DEAD_FALSE = 4294967291
--客户端状态值
rs._clientCommon = 1
rs._clientSit = 2
rs._clientAfk = 3
rs._clientAttack = 4
rs._clientWalk = 5
rs._clientState = 0
rs._serverState = 2147483649--通常状态
--跳跃，击退
rs.isJumping = false
return rs
end)
--value:int
function RoleStateInfo:setServerState(value)
if(self._serverState == value)then return end
self._serverState = value
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_serverState,self,nil))
end
--设置普通状态(复活,脱离战斗时用) (客户端自己重置状态)
function RoleStateInfo:setServerCommon()
if(self:getIsCommon() == value)then return end
self._serverState = globalManager.bit:dand(self._serverState,self.FIGHT_FALSE)
self._serverState = globalManager.bit:dand(self._serverState,self.DEAD_FALSE)
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_serverState,self,nil))
end
--return bool 普通状态
function RoleStateInfo:getIsCommon()
return (globalManager.bit:dand(self._serverState,math.pow(2,0)) > 0)
end
--return bool 战斗状态
function RoleStateInfo:getIsFight()
return (globalManager.bit:dand(self._serverState,math.pow(2,1)) > 0)
end
--死亡状态
function RoleStateInfo:getIsDead()
return (globalManager.bit:dand(self._serverState,math.pow(2,2)) > 0)
end
--吟唱状态
function RoleStateInfo:getIsReady()
return (globalManager.bit:dand(self._serverState,math.pow(2,3)) > 0)
end
--灵魂状态
function RoleStateInfo:getIsSoul()
return (globalManager.bit:dand(self._serverState,math.pow(2,4)) > 0)
end
--客户端状态
function RoleStateInfo:setClientState(state)
if(self._clientState == state)then return end
self._clientState = state
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_clientState,self,nil))
end
function RoleStateInfo:getCommon()
return self._clientState == self._clientCommon
end
function RoleStateInfo:setComomon()
self:setClientState(self._clientCommon)
end
function RoleStateInfo:getSit()
return self._clientState == self._clientSit
end
function RoleStateInfo:setSit()
self:setClientState(self._clientSit)
end
function RoleStateInfo:getAfk()
return self._clientState == self._clientAfk
end
function RoleStateInfo:setAfk()
self:setClientState(self._clientAfk)
end
function RoleStateInfo:getAttack()
return self._clientState == self._clientAttack
end
function RoleStateInfo:doingAttack()
return (self:getAttack() or self:getAfk())
end
function RoleStateInfo:setAttack()
self:setClientState(self._clientAttack)
end
function RoleStateInfo:getWalk()
return self._clientState == self._clientWalk
end
function RoleStateInfo:setWalk()
self:setClientState(self._clientWalk)
end
--能否移动
function RoleStateInfo:getCanMove()
if((self:getIsDead() == true) or (self.isJumping == true) or (self.isRepeling == true))then return false end
return true
end
--能否攻击
function RoleStateInfo:getCanDoAttack()
if((self:getIsDead() == true) or (self:getIsSoul() == true))then return false end
return true
end
--能否被击
function RoleStateInfo:getCanBeAttack()
if((self:getIsDead() == true) or (self:getIsSoul() == true))then return false end
return true
end
--能否使用技能
function RoleStateInfo:getCanUseSkill()
if((self:getIsDead() == true) or (self:getIsSoul() == true))then return false end
return true
end
--##globalData.selfPlayerInfo
SelfPlayerInfo = class("SelfPlayerInfo",function(self)
local temp = DetailPlayerInfo:new()
temp.account = ""--登录账号string
temp.shortAccount = "" --短账号,去掉平台
temp.baggageMaxCount = 0--当前拥有最大背包容量int
temp.moneyInfo = MoneyInfo:new()--货币信息MoneyInfo
temp.vipInfo = VipInfo:new() --vip信息
temp.exp = 0--经验值Number
--在场景中的坐标Point
temp.scenePos = {}
temp.qinmidu = 0--亲密度
--跨图寻路相关数据
temp.scenePath = nil
temp.scenePathTarget = nil
temp.scenePathCallback = nil
temp.scenePathStopAtDistance = 0
--传送回调
temp.flyCallback = nil
--切城后调用
temp.changeSceneTrigger = {}
--出副本后调用并清除
temp.outCopyTrigger = {}
--觉醒的阶段(已完成)
temp.wakeUpState = 0
temp.__detailClearAllData = temp.clearAllData
return temp
end)
--param count:int
function SelfPlayerInfo:updateBagMaxCount(count)
if(self.baggageMaxCount ~= count) then
self.baggageMaxCount = count
end
end
function SelfPlayerInfo:updateQinmidu(value)
if(self.qinmidu ~= value) then
self.qinmidu = value
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_qinmiduUpdate,self,nil))
end
end
function SelfPlayerInfo:updateWakeUpState(value)
if(self.wakeUpState ~= value)then
self.wakeUpState = value
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_wakeUpStateUpdate,self,nil))
end
end
function SelfPlayerInfo:updateCharm(value)
if(self.charm ~= value) then
self.charm = value
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_charmUpdate,self,nil))
end
end
--人气值更新
function SelfPlayerInfo:updateRenqi(value)
if(self.renqi ~= value) then
self.renqi = value
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_renqiUpdate,self,nil))
end
end
--param value:Number
function SelfPlayerInfo:updateExp(value)
if(self.exp ~= value) then
if(self.exp ~= 0 and value - self.exp >= 200) then
globalData.chatItemList:appendSystemItem(globalManager.yuyanbaoManager:getYuyanbao("SelfPlayerInfo.text1").."[0xfff35b]" .. tostring(value - self.exp) .. globalManager.yuyanbaoManager:getYuyanbao("SelfPlayerInfo.text2").."[-]")
end
self.exp = value
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_exp,self,nil))
end
end
function SelfPlayerInfo:updateHonour(honour)
if(self.honour ~= honour) then
if(self.honour ~= 0 and honour > self.honour) then
globalData.chatItemList:appendSystemItem(globalManager.yuyanbaoManager:getYuyanbao("SelfPlayerInfo.text1").."[0xfff35b]" .. (honour - self.honour) .. globalManager.yuyanbaoManager:getYuyanbao("SelfPlayerInfo.text3").."[-]")
end
self.honour = honour
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_honour,self,nil))
end
end
--切换账号或角色触发
function SelfPlayerInfo:changeInfo()
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_selfInfo,globalManager.gameDispatcher,nil))
end
function SelfPlayerInfo:updateCombat(value)
if(self.combat == value)then
return
end
local showTip = true
if(self.combat == 0)then
showTip = false
end
if(showTip and value > self.combat)then
globalManager.tipsManager:showFightChangeTip(self.combat,value - self.combat)
end
self.combat = value
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_combat,self,nil))
end
--设置跨图寻路数据
function SelfPlayerInfo:setScenePath(path,target,callback,stopAtDistance)
self.scenePath = path
self.scenePathTarget = target
self.scenePathCallback = callback
self.scenePathStopAtDistance = stopAtDistance
end
function SelfPlayerInfo:addOutCopyTrigger(triggerInfo)
table.insert(self.outCopyTrigger,triggerInfo)
end
function SelfPlayerInfo:setLevel(value)
if(self.level == value)then return end
local isNew = false
if(self.level == 0) then
isNew = true
end
self.level = value
if(isNew) then return end
globalManager.kyPlatformSDK:luaCall( { globalManager.kyPlatformSDK.sendData,
"levelChange",
globalData.selfPlayerInfo.nick,
globalData.selfPlayerInfo.level,
globalData.selfPlayerInfo.moneyInfo.gold } )
globalData.goodsInfoList:GoodsInfoResetEquipFight()
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_level,self,nil))
end
function SelfPlayerInfo:clearAllData()
self:__detailClearAllData()
if(self.moneyInfo ~= nil)then
self.moneyInfo:clearAllData()
end
if self.vipInfo ~= nil then
self.vipInfo:clearAllData()
end
self.level = 0
self.scenePath = nil
self.scenePathTarget = nil
self.scenePathCallback = nil
self.scenePathStopAtDistance = 0
self.exp = 0
self.combat = 0
self.renqi = 0
self.flyCallback = nil
self.changeSceneTrigger = {}
self.outCopyTrigger = {}
self.honour = 0
self.tribute = 0
self.wakeUpState = 0
end
RankInfo = class("RankInfo", function(self)
local temp = EventDispatcher:new()
temp.rankList      = {}
temp.levelList     = {}
temp.riderList     = {}
temp.petList       = {}
temp.wingList      = {}
temp.godList       = {}
temp.spriteList    = {}
temp.fazhenList    = {}
temp.longhunList   = {}
temp.arenaList     = {}
temp.fightList     = {}
temp.clubList      = {}
temp.typeList      = {13,12,1,2,3,4,5,6,7,8}--,11}屏蔽竞技帮
temp.totalPageList = {}
temp.personRankList= {}
return temp
end)
function RankInfo:ctor()
self:initEvent()
end
function RankInfo:initEvent()
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.global_systemHour,self.systemHourUpdateHandler,self)
end
function RankInfo:removeEvent()
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.global_systemHour,self.systemHourUpdateHandler,self)
end
function RankInfo:systemHourUpdateHandler()
self:clearAllDatas()
end
function RankInfo:initRankInfo(data)
local type = data:readByte()
self.personRankList[type]    = data:readByte()
self.totalPageList[type]     = data:readByte()
local len  = data:readByte()
if(type == 1)then
for i = 1,len,1 do
local item = RankItemInfo:new()
item:init(data)
self.levelList[item.rank] = item
end
self.rankList[type] = self.levelList
elseif(type == 2)then
for i = 1,len,1 do
local item = RankItemInfo:new()
item:init(data)
self.riderList[item.rank] = item
end
self.rankList[type] = self.riderList
elseif(type == 3)then
for i = 1,len,1 do
local item = RankItemInfo:new()
item:init(data)
self.petList[item.rank] = item
end
self.rankList[type] = self.petList
elseif(type == 4)then
for i = 1,len,1 do
local item = RankItemInfo:new()
item:init(data)
self.wingList[item.rank] = item
end
self.rankList[type] = self.wingList
elseif(type == 5)then
for i = 1,len,1 do
local item = RankItemInfo:new()
item:init(data)
self.godList[item.rank] = item
end
self.rankList[type] = self.godList
elseif(type == 6)then
for i = 1,len,1 do
local item = RankItemInfo:new()
item:init(data)
self.spriteList[item.rank] = item
end
self.rankList[type] = self.spriteList
elseif(type == 7)then
for i = 1,len,1 do
local item = RankItemInfo:new()
item:init(data)
self.fazhenList[item.rank] = item
end
self.rankList[type] = self.fazhenList
elseif(type == 8)then
for i = 1,len,1 do
local item = RankItemInfo:new()
item:init(data)
self.longhunList[item.rank] = item
end
self.rankList[type] = self.longhunList
elseif(type == 11)then
for i = 1,len,1 do
local item = RankItemInfo:new()
item:init(data)
self.arenaList[item.rank] = item
end
self.rankList[type] = self.arenaList
elseif(type == 12)then
for i = 1,len,1 do
local item = RankItemInfo:new()
item:init(data)
self.fightList[item.rank] = item
end
self.rankList[type] = self.fightList
elseif(type == 13)then
for i = 1,len,1 do
local item = RankItemInfo:new()
item:init(data)
self.clubList[item.rank] = item
end
self.rankList[type] = self.clubList
end
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.rankInfo_update,self,type))
end
function RankInfo:clearAllDatas()
self.rankList      = {}
self.levelList     = {}
self.riderList     = {}
self.petList       = {}
self.wingList      = {}
self.godList       = {}
self.spriteList    = {}
self.fazhenList    = {}
self.longhunList   = {}
self.arenaList     = {}
self.fightList     = {}
self.totalPageList = {}
self.personRankList= {}
end
RankItemInfo = class("RankItemInfo", function(self)
local temp     = {}
temp.userId    = 0
temp.rank      = 0
temp.level     = 0
temp.career    = 0
temp.personFight = 0
temp.serverId  = 0
temp.vipLevel  = 0
temp.stage     = 0
temp.othersFight  = 0
temp.userName  = ""
temp.otherName = ""
temp.clubName  = ""
return temp
end)
function RankItemInfo:init(data)
self.userId    = data:readNumber()
self.rank      = data:readByte()
self.level     = data:readShort()
self.career    = data:readByte()
self.personFight = data:readInt()
self.serverId  = data:readShort()
self.vipLevel  = data:readShort()
self.stage     = data:readInt()
self.othersFight = data:readInt()
self.userName  = data:readString()
self.otherName = data:readString()
self.clubName  = data:readString()
end
--
-- 玩家请求信息列表  如：好友添加、组队、帮派邀请等请求
-- 类型说明：  1 好友申请   2 组队申请  3 帮派申请
--
ResponseInfoList = class("ResponseInfoList", function(self)
local temp = {}
--请求列表，存储数据类型BasePlayerInfo
temp.responseList = {}
return temp
end)
function ResponseInfoList:ctor()
end
function ResponseInfoList:getList(type)
if(self.responseList[type] == nil)then
self.responseList[type] = {}
end
return self.responseList[type]
end
function ResponseInfoList:addInfo(info,type)
if(self:hasId(info.userId,type))then
else
if(type == 1)then
if(not globalData.gameSetting.imRequest)then
return
end
end
table.insert(self:getList(type), info)
self:update(type)
end
end
function ResponseInfoList:removeInfo(userId,type)
local index = self:getIndexById(userId,type)
if(index ~= -1)then
table.remove(self:getList(type),index)
self:update(type)
else
end
end
function ResponseInfoList:hasId(userId,type)
for __,info in pairs(self:getList(type)) do
if(info.userId == userId)then
return true
end
end
return false
end
function ResponseInfoList:getIndexById(userId,type)
local len = table.getn(self:getList(type))
for i=1,len do
if(self:getList(type)[i].userId == userId)then
return i
end
end
return -1
end
function ResponseInfoList:update(type)
if(type == 1)then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.quickIcon_friend,globalManager.gameDispatcher))
end
end
RongLuInfo = class("RongLuInfo", function()
local self = EventDispatcher:new()
self.level   = 0
self.total_exp    = 0
return self
end)
function RongLuInfo:ctor()
end
function RongLuInfo:updateInfo(bytes)
self.total_exp = bytes:readInt()
self.level = bytes:readShort()
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.ronglu_update,self,nil))
end
function RongLuInfo:clearAllDatas()
self.level   = 0
self.total_exp    = 0
end
function RongLuInfo:getRongLuEquipList()
local list = globalData.goodsInfoList:getGoodsList(2)
local result = {}
local count = 0
local ronglianCount = 0
local secondaryGoods = {}
for k,v in pairs(list) do
local stage = globalData:getXiaoFeiInfoByType(globalData.allTemplates.fiveEquipTemplateList:getTemplate(v:getTemplate().property1).categoryId).stage
if(v.stage <= stage)then
table.insert(result,{ v.goodsId, v.count })
ronglianCount = ronglianCount + math.floor(globalData.allStaticTypes.propertyType.FIVEEQUIP_FIGHT * v.stage * 0.01) * v.count
count = count + v.count
else
if(secondaryGoods[v:getTemplate().templateId] == nil)then
secondaryGoods[v:getTemplate().templateId] = {}
end
table.insert(secondaryGoods[v:getTemplate().templateId],v)
end
end
for k,goodsList in pairs(secondaryGoods) do
local hasThisStageTab = {}
for i = 1, #goodsList do
if(hasThisStageTab[goodsList[i].stage])then
table.insert(result,{ goodsList[i].goodsId, goodsList[i].count })
ronglianCount = ronglianCount + math.floor(globalData.allStaticTypes.propertyType.FIVEEQUIP_FIGHT * goodsList[i].stage * 0.01)  * goodsList[i].count
count = count + goodsList[i].count
else
hasThisStageTab[goodsList[i].stage] = true
if(goodsList[i].count > 1)then
table.insert(result,{ goodsList[i].goodsId, goodsList[i].count - 1 })
ronglianCount = ronglianCount + math.floor(globalData.allStaticTypes.propertyType.FIVEEQUIP_FIGHT * goodsList[i].stage * 0.01)  * (goodsList[i].count - 1)
count = count + goodsList[i].count - 1
end
end
end
end
return result, count, ronglianCount
end
--##globalData.gameSetting
GameSetting = class("GameSetting", function(self)
local temp = EventDispatcher:new()
--存服务器
temp.showOtherPlayer = true --是否显示周围玩家
temp.showOtherPet = true --显示他人妖精
temp.showOtherPlayerTitle = true --玩家头顶信息
--存储本地
temp.lifeAutoFactor = 80 --生命自动回复阀值
temp.autoBuyDrug = true --自动购买药品（挂机时）
temp.musicToggle = true --音乐音效
temp.effectToggle = true --特效开关
temp.shakeToggle = false --震动开关
temp.tempRequest = true --接收组队请求
temp.imRequest = true --接收好友请求
temp.showNpcTitle = true --显示NPC头顶信息
temp.showMonsterTitle = false --显示怪物头顶信息
temp.tuiStarUp = true --外形升星推送
temp.tuiBOSS = true--降妖BOSS推送
temp.tuiWest = true--西行次数满推送
temp.tuiOnline = true--炼丹炉可领取推送
temp.tuiArena = true--竞技场挑战次数满推送
temp.tuiLeagueWar = true--帮战推送
--判断是否有存储过数据
temp.firstSaveKey = "userDataSaveFlag"
return temp
end)
function GameSetting:ctor()
if(globalData:isWin())then
print("我是windows系统，我可耻,我取不了UserDefault数据")
return
end
self:getUserData()
end
function GameSetting:getUserData()
local hasSave = cc.UserDefault:getInstance():getBoolForKey(self.firstSaveKey)
if(hasSave == false)then
cc.UserDefault:getInstance():setBoolForKey(self.firstSaveKey, true)
self:saveValues()
else
self.showOtherPlayer = cc.UserDefault:getInstance():getBoolForKey("showOtherPlayer",true)
self.showOtherPet = self.showOtherPlayer
--self.showOtherPet = cc.UserDefault:getInstance():getBoolForKey("showOtherPet")
--self.showOtherPlayerTitle = cc.UserDefault:getInstance():getBoolForKey("showOtherPlayerTitle")
self.lifeAutoFactor = cc.UserDefault:getInstance():getIntegerForKey("lifeAutoFactor",true)
self.autoBuyDrug = cc.UserDefault:getInstance():getBoolForKey("autoBuyDrug",true)
self.musicToggle = cc.UserDefault:getInstance():getBoolForKey("musicToggle",true)
if(not self.musicToggle) then
globalManager.soundManager:setMusicMute(true)
globalManager.soundManager:setSoundMute(true)
end
--self.effectToggle = cc.UserDefault:getInstance():getBoolForKey("effectToggle")
--self.shakeToggle = cc.UserDefault:getInstance():getBoolForKey("shakeToggle")
--self.tempRequest = cc.UserDefault:getInstance():getBoolForKey("tempRequest")
--self.imRequest = cc.UserDefault:getInstance():getBoolForKey("imRequest")
--self.showNpcTitle = cc.UserDefault:getInstance():getBoolForKey("showNpcTitle")
--self.showMonsterTitle = cc.UserDefault:getInstance():getBoolForKey("showMonsterTitle")
self.tuiStarUp = cc.UserDefault:getInstance():getBoolForKey("tuiStarUp",true) --外形升星推送
self.tuiBOSS = cc.UserDefault:getInstance():getBoolForKey("tuiBOSS",true)--降妖BOSS推送
self.tuiWest = cc.UserDefault:getInstance():getBoolForKey("tuiWest",true)--西行次数满推送
self.tuiOnline = cc.UserDefault:getInstance():getBoolForKey("tuiOnline",true)--炼丹炉可领取推送
self.tuiArena = cc.UserDefault:getInstance():getBoolForKey("tuiArena",true)--竞技场挑战次数满推送
self.tuiLeagueWar = cc.UserDefault:getInstance():getBoolForKey("tuiLeagueWar",true)--帮战推送
end
end
function GameSetting:saveValues()
if(globalData:isWin())then
print("我是windows系统，我可耻,我存不了UserDefault数据")
return
end
cc.UserDefault:getInstance():setBoolForKey("showOtherPlayer",self.showOtherPlayer)
--cc.UserDefault:getInstance():setBoolForKey("showOtherPet",self.showOtherPet)
--cc.UserDefault:getInstance():setBoolForKey("showOtherPlayerTitle",self.showOtherPlayerTitle)
cc.UserDefault:getInstance():setIntegerForKey("lifeAutoFactor",self.lifeAutoFactor)
cc.UserDefault:getInstance():setBoolForKey("autoBuyDrug",self.autoBuyDrug)
cc.UserDefault:getInstance():setBoolForKey("musicToggle",self.musicToggle)
--cc.UserDefault:getInstance():setBoolForKey("effectToggle",self.effectToggle)
--cc.UserDefault:getInstance():setBoolForKey("shakeToggle",self.shakeToggle)
--cc.UserDefault:getInstance():setBoolForKey("tempRequest",self.tempRequest)
--cc.UserDefault:getInstance():setBoolForKey("imRequest",self.imRequest)
--cc.UserDefault:getInstance():setBoolForKey("showNpcTitle",self.showNpcTitle)
--cc.UserDefault:getInstance():setBoolForKey("showMonsterTitle",self.showMonsterTitle)
cc.UserDefault:getInstance():setBoolForKey("tuiStarUp",self.tuiStarUp)
cc.UserDefault:getInstance():setBoolForKey("tuiBOSS",self.tuiBOSS)
cc.UserDefault:getInstance():setBoolForKey("tuiWest",self.tuiWest)
cc.UserDefault:getInstance():setBoolForKey("tuiOnline",self.tuiOnline)
cc.UserDefault:getInstance():setBoolForKey("tuiArena",self.tuiArena)
cc.UserDefault:getInstance():setBoolForKey("tuiLeagueWar",self.tuiLeagueWar)
cc.UserDefault:getInstance():flush()
end
function GameSetting:setValue(key,value)
if(key == "showOtherPlayer")then
self.showOtherPlayer = value
self.showOtherPet = value
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.setting_otherPlayer,self))
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.setting_otherPet,self))
elseif(key == "showOtherPet")then
self.showOtherPet = value
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.setting_otherPet,self))
elseif(key == "showOtherPlayerTitle")then
self.showOtherPlayerTitle = value
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.setting_otherPlayerTitle,self))
elseif(key == "lifeAutoFactor")then
self.lifeAutoFactor = value
elseif(key == "autoBuyDrug")then
self.autoBuyDrug = value
elseif(key == "musicToggle")then
self.musicToggle = value
globalManager.soundManager:setMusicMute(not value)
globalManager.soundManager:setSoundMute(not value)
elseif(key == "effectToggle")then
self.effectToggle = value
elseif(key == "shakeToggle")then
self.shakeToggle = value
elseif(key == "tempRequest")then
self.tempRequest = value
elseif(key == "imRequest")then
self.imRequest = value
elseif(key == "showNpcTitle")then
self.showNpcTitle = value
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.setting_npcTitle,self))
elseif(key == "showMonsterTitle")then
self.showMonsterTitle = value
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.setting_monsterTitle,self))
elseif(key == "tuiStarUp")then
self.tuiStarUp = value
elseif(key == "tuiBOSS")then
self.tuiBOSS = value
elseif(key == "tuiWest")then
self.tuiWest = value
elseif(key == "tuiOnline")then
self.tuiOnline = value
elseif(key == "tuiArena")then
self.tuiArena = value
elseif(key == "tuiLeagueWar")then
self.tuiLeagueWar = value
end
self:saveValues()
end
function GameSetting:getValue(key)
if(key == "showOtherPlayer")then
return self.showOtherPlayer
elseif(key == "showOtherPet")then
return self.showOtherPet
elseif(key == "showOtherPlayerTitle")then
return self.showOtherPlayerTitle
elseif(key == "lifeAutoFactor")then
return self.lifeAutoFactor
elseif(key == "autoBuyDrug")then
return self.autoBuyDrug
elseif(key == "musicToggle")then
return self.musicToggle
elseif(key == "effectToggle")then
return self.effectToggle
elseif(key == "shakeToggle")then
return self.shakeToggle
elseif(key == "tempRequest")then
return self.tempRequest
elseif(key == "imRequest")then
return self.imRequest
elseif(key == "showNpcTitle")then
return self.showNpcTitle
elseif(key == "showMonsterTitle")then
return self.showMonsterTitle
elseif(key == "tuiStarUp")then
return self.tuiStarUp
elseif(key == "tuiBOSS")then
return self.tuiBOSS
elseif(key == "tuiWest")then
return self.tuiWest
elseif(key == "tuiOnline")then
return self.tuiOnline
elseif(key == "tuiArena")then
return self.tuiArena
elseif(key == "tuiLeagueWar")then
return self.tuiLeagueWar
end
end
function GameSetting:getDescribe(key)
if(key == "showOtherPlayer")then
return globalManager.yuyanbaoManager:getYuyanbao("GameSetting.text1")
elseif(key == "showOtherPet")then
return globalManager.yuyanbaoManager:getYuyanbao("GameSetting.text2")
elseif(key == "showOtherPlayerTitle")then
return globalManager.yuyanbaoManager:getYuyanbao("GameSetting.text3")
elseif(key == "lifeAutoFactor")then
return globalManager.yuyanbaoManager:getYuyanbao("GameSetting.text4")
elseif(key == "autoBuyDrug")then
return globalManager.yuyanbaoManager:getYuyanbao("GameSetting.text6")
elseif(key == "musicToggle")then
return globalManager.yuyanbaoManager:getYuyanbao("GameSetting.text7")
elseif(key == "effectToggle")then
return globalManager.yuyanbaoManager:getYuyanbao("GameSetting.text8")
elseif(key == "shakeToggle")then
return globalManager.yuyanbaoManager:getYuyanbao("GameSetting.text9")
elseif(key == "tempRequest")then
return globalManager.yuyanbaoManager:getYuyanbao("GameSetting.text10")
elseif(key == "imRequest")then
return globalManager.yuyanbaoManager:getYuyanbao("GameSetting.text11")
elseif(key == "showNpcTitle")then
return globalManager.yuyanbaoManager:getYuyanbao("GameSetting.text12")
elseif(key == "showMonsterTitle")then
return globalManager.yuyanbaoManager:getYuyanbao("GameSetting.text13")
elseif(key == "tuiStarUp")then
return globalManager.yuyanbaoManager:getYuyanbao("GameSetting.text14")
elseif(key == "tuiBOSS")then
return globalManager.yuyanbaoManager:getYuyanbao("GameSetting.text15")
elseif(key == "tuiWest")then
return globalManager.yuyanbaoManager:getYuyanbao("GameSetting.text16")
elseif(key == "tuiOnline")then
return globalManager.yuyanbaoManager:getYuyanbao("GameSetting.text17")
elseif(key == "tuiArena")then
return globalManager.yuyanbaoManager:getYuyanbao("GameSetting.text18")
elseif(key == "tuiLeagueWar")then
return globalManager.yuyanbaoManager:getYuyanbao("GameSetting.text19")
end
end
DiscountGoodsInfo = class("DiscountGoodsInfo", function(self)
local temp = EventDispatcher:new()
temp.id = 0
temp.type = 0  --type：1：钻石商城  2：绑钻   3，荣誉   4，声望  5,帮派商城,6开服优惠商城
temp.shopGoodsTemplate = ShopGoodsTemplateInfo:new()
temp.totalCount = 0 	--全部可购买总数量
temp.myTotalCount = 0 	--自己可购买总数量,大于10000表示不限购
temp.canBuy = 0 	--可买数量
temp.needLevel = 0 	--需要等级
temp.needLeagueLevel = 0 --需要帮派等级
return temp
end)
function DiscountGoodsInfo:parseData(data)
self.shopGoodsTemplate.shopId = self.id
self.canBuy = data:readInt()
local limitTemp = globalData.allTemplates.shopLimitTemplateList:getTemplate(self.id)
self.type = limitTemp.type
self.shopGoodsTemplate.goodsTemplateId = limitTemp.goodsTemplateId
self.shopGoodsTemplate.payType = limitTemp.payType
self.shopGoodsTemplate.oldPrice = limitTemp.oldPrice
self.shopGoodsTemplate.price = limitTemp.price
self.shopGoodsTemplate.descript = limitTemp.descript
self.shopGoodsTemplate.priceOff = limitTemp.priceOff
self.totalCount = limitTemp.totalCount
self.myTotalCount = limitTemp.limitCount
self.needLevel = limitTemp.needLevel
self.needLeagueLevel = limitTemp.needLeagueLevel
end
function DiscountGoodsInfo:updateCount(hasBuy)
self.canBuy = self.canBuy - hasBuy
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.shop_discountCount))
end
function DiscountGoodsInfo:dispose()
shopGoodsTemplate = nil
end
DiscountGoodsList = class("DiscountGoodsList", function(self)
local temp = EventDispatcher:new()
temp._list = {}
return temp
end)
function DiscountGoodsList:addInfo(info)
table.insert(self._list,info)
end
function DiscountGoodsList:update()
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.shop_discount))
end
function DiscountGoodsList:hasId(id)
for __,info in pairs(self._list) do
if(info.id == id)then
return true
end
end
return false
end
function DiscountGoodsList:getInfo(id)
for __,info in pairs(self._list) do
if(info.id == id)then
return info
end
end
return nil
end
--type：1铜币商城  2专区   3功勋   4荣誉  5帮贡商城  6开服限时抢购
function DiscountGoodsList:getListByType(type)
local result = {}
for __,info in pairs(self._list) do
if(info.type == type)then
table.insert(result,info)
end
end
local sortFunc = function(info1,info2)
return info1.id < info2.id
end
table.sort(result,sortFunc)
return result
end
function DiscountGoodsList:clearInfoByType(type)
local i = 1
while(i <= #self._list) do
if(self._list[i].type == type) then
table.remove(self._list,i):dispose()
else
i = i + 1
end
end
end
ShenmiShopInfo = class("ShenmiShopInfo", function(self)
local temp = EventDispatcher:new()
temp.itemList = {}
return temp
end)
function ShenmiShopInfo:updateItemList(data)
self.itemList = {}
local len = data:readByte()
for i = 1,len,1 do
local id = data:readInt()
local is = data:readBoolean()
table.insert(self.itemList,{id,is})
end
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.update_ShenmiShopInfo,self,nil))
end
function ShenmiShopInfo:setItemBuy(index)
local len = #self.itemList
for i = 1,len,1 do
if(i == index)then
self.itemList[i][2] = true
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.update_ShenmiShopBuy,self,i))
break
end
end
end
function ShenmiShopInfo:clearAllData()
self.itemList      = {}
end
VipMallInfo = class("VipMallInfo", function(self)
local temp = EventDispatcher:new()
--temp.itemList = {}
temp.vipScore = 0
return temp
end)
function VipMallInfo:updateItemList(data)
--self.itemList = {}
self.vipScore = data:readInt()
-- local len = data:readByte()
-- for i = 1,len,1 do
-- 	local id = data:readInt()
-- 	local is = data:readBoolean()
-- 	table.insert(self.itemList,{id,is})
-- end
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.update_VipMallInfo,self,nil))
end
-- function VipMallInfo:setItemBuy(index)
-- 	local len = #self.itemList
-- 	for i = 1,len,1 do
-- 		if(i == index)then
-- 			self.itemList[i][2] = true
-- 			self:dispatchEvent(BaseEvent:new(globalData.globalEventType.update_VipMallShopBuy,self,i))
-- 		 	break
-- 		end
-- 	end
-- end
function VipMallInfo:clearAllData()
--self.itemList      = {}
self.vipScore      = 0
end
SkyDreamLandInfo = class("SkyDreamLandInfo", function(self)
local temp = EventDispatcher:new()
temp.leftTime = 0            --剩余时间秒
temp.itemList = {}
return temp
end)
function SkyDreamLandInfo:skyDreamInfo(data)
self.itemList = {}
self.leftTime = data:readShort()
local len = data:readByte()
for i = 1,len,1 do
local mapId         = data:readNumber()
local mapTemplateId = data:readInt()
local playerNum     = data:readByte()
local mapType = data:readByte()
print("仙境数据",mapId,mapTemplateId,playerNum,mapType)
table.insert(self.itemList,{mapId,mapTemplateId,playerNum,mapType})
end
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.update_skyDreamLandInfo,self,nil))
end
function SkyDreamLandInfo:clearAllData()
self.leftTime      = 0
self.itemList      = {}
end
StarcraftInfo = class("StarcraftInfo", function(self)
local temp = EventDispatcher:new()
temp._baseDispose = temp.dispose
temp.rank         = 0
temp.score        = 0
temp.totalPage    = 0
temp.progress     = 0
temp.rankInfoList = {}
temp.state        = 0
temp.stateTime    = 0
--temp.flag         = 0   --1：成功、2：CD中
--temp.cdTime       = 0
--temp.btnState     = 0   --0:匹配、1:进入副本
return temp
end)
function StarcraftInfo:updateInfo(data)
local len = data:readByte()
for i = 1,len,1 do
local rankInfo = StarcraftRankInfo:new()
rankInfo:setData(data)
self.rankInfoList[rankInfo.rank] = rankInfo
end
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.starcraftInfo_update, self, nil))
end
function StarcraftInfo:sendStateEvent()
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.starcraftState_update, self, nil))
end
-- function StarcraftInfo:sendRestStateEvent()
-- 	self:dispatchEvent(BaseEvent:new(globalData.globalEventType.starcraftRestCopyState, self, nil))
-- end
-- function StarcraftInfo:sendSelfInfoEvent()
-- 	self:dispatchEvent(BaseEvent:new(globalData.globalEventType.starcraftSelfInfo_update, self, nil))
-- end
function StarcraftInfo:clearAllDatas()
self.rank         = 0
self.score        = 0
self.totalPeople  = 0
self.progress     = 0
self.rankInfoList = {}
self.state        = 0
self.stateTime    = 0
self.flag         = 0
self.cdTime       = 0
self.btnState     = 0
end
StarcraftRankInfo = class("StarcraftRankInfo", function()
local self = {}
self.nick   = ""
self.rank   = 0
self.userId = 0
self.serverId = 0
self.level  = 0
self.career = 0
self.score  = 0
self.fight  = 0
return self
end)
function StarcraftRankInfo:setData(data)
self.rank   = data:readByte()
self.userId = data:readNumber()
self.serverId = data:readShort()
self.level  = data:readShort()
self.career = data:readByte()
self.score  = data:readInt()
self.fight  = data:readInt()
self.nick   = data:readString()
end
--##globalData.allStaticTypes
AllStaticTypes = class("AllStaticTypes",function()
local ast = {}
ast.directType = DirectType:new()
ast.animaInfoList = AnimaInfoList:new(ast.directType)
ast.behaviorType = BehaviorType:new()
ast.careerType = CareerType:new()
ast.castType = CastType:new()
ast.categoryType = CategoryType:new()
ast.channelType = ChannelType:new()
ast.colorType = ColorType:new()
ast.goodsIconPathType = GoodsIconPathType:new()
ast.goodsTipType = GoodsTipType:new()
ast.mapBlockType = MapBlockType:new()
ast.menuType = MenuType:new()
ast.messageType = MessageType:new()
ast.moduleType = ModuleType:new()
ast.panelTabType = PanelTabGroupType:new()
ast.sceneObjType = SceneObjType:new()
ast.shopType = ShopType:new()
ast.sourceStaticType = SourceStaticType:new()
ast.taskStaticInfo = TaskStaticInfo:new()
ast.triggerEventType = TriggerEventType:new()
ast.payType = PayType:new()
ast.pKmodeType = PKmodeType:new()
ast.propertyType = PropertyType:new()
ast.petXiaofeiType = PetXiaofeiType:new()
return ast
end)
--##globalData.allStaticTypes.animaInfoList
AnimaInfoList = class("AnimaInfoList",function(self,directType)
local ai = {}
--    animaType,dirFrameCount,frames,DirectType,doRepeat,replaceSame,unreplaceList
--衣服，五器，坐骑，翅膀
ai.sit = CharacterAnimaInfo:new(101,
1,
"1",
{{"200.png","400.png"},nil,nil,nil},
{directType.countTwo,directType.countTwo,directType.countTwo,directType.countTwo},
true,
false,
{},
100000000
)
ai.behit = CharacterAnimaInfo:new(102,
2,
"",
{{0,0,1,1,2,2,3,3,4,4},{0,0,1,1,2,2,3,3,4,4},{0,0,1,1,2,2,3,3,4,4},{0,0,1,1,2,2,3,3,4,4}},
{directType.countThree,directType.countThree,directType.countThree,directType.countThree},
false,
false,
{},
8
)
ai.hitDown = CharacterAnimaInfo:new(103,
1,
"5",
{{"200.png","400.png"},
{"200.png","400.png"},
{"200.png","400.png"},
{"200.png","400.png"}},
{directType.countTwo,directType.countTwo,directType.countTwo,directType.countTwo},
true,
false,
{},
8
)
ai.jump = CharacterAnimaInfo:new(104,
0,
"",
{},
{directType.countThree,directType.countThree,directType.countThree,directType.countThree},
false,
false,
{},
8
)
--普通站
ai.stand1 = CharacterAnimaInfo:new(105,
6,
"6",
{{"200.png","201.png","202.png","203.png","204.png","205.png","400.png","401.png","402.png","403.png","404.png","405.png"},
{"200.png","201.png","202.png","203.png","204.png","205.png","400.png","401.png","402.png","403.png","404.png","405.png"},
{"200.png","201.png","202.png","203.png","204.png","205.png","400.png","401.png","402.png","403.png","404.png","405.png"},
{"200.png","201.png","202.png","203.png","204.png","205.png","400.png","401.png","402.png","403.png","404.png","405.png"}},
{directType.countTwo,directType.countTwo,directType.countTwo,directType.countTwo},
true,
false,
{},
8
)
--骑坐骑站
ai.stand2 = CharacterAnimaInfo:new(106,
4,
"8",
{{"200.png","201.png","202.png","203.png","400.png","401.png","402.png","403.png"},
{"200.png","201.png","202.png","203.png","400.png","401.png","402.png","403.png"},
{"200.png","201.png","202.png","203.png","400.png","401.png","402.png","403.png"},
{"200.png","201.png","202.png","203.png","400.png","401.png","402.png","403.png"}},
{directType.countTwo,directType.countTwo,directType.countTwo,directType.countTwo},
true,
false,
{},
8
)
--坐坐骑站
ai.stand3 = CharacterAnimaInfo:new(107,
0,
"",
{},
{directType.countThree,directType.countThree,directType.countThree,directType.countThree},
true,
false,
{},
8
)
--普通走
ai.walk1 = CharacterAnimaInfo:new(108,
6,
"2",
{{"200.png","201.png","202.png","203.png","204.png","205.png","400.png","401.png","402.png","403.png","404.png","405.png"},
{"200.png","201.png","202.png","203.png","204.png","205.png","400.png","401.png","402.png","403.png","404.png","405.png"},
{"200.png","201.png","202.png","203.png","204.png","205.png","400.png","401.png","402.png","403.png","404.png","405.png"},
{"200.png","201.png","202.png","203.png","204.png","205.png","400.png","401.png","402.png","403.png","404.png","405.png"}},
{directType.countTwo,directType.countTwo,directType.countTwo,directType.countTwo},
true,
false,
{},
8
)
--骑坐骑走
ai.walk2 = CharacterAnimaInfo:new(109,
6,
"7",
{{"200.png","201.png","202.png","203.png","204.png","205.png","400.png","401.png","402.png","403.png","404.png","405.png"},
{"200.png","201.png","202.png","203.png","204.png","205.png","400.png","401.png","402.png","403.png","404.png","405.png"},
{"200.png","201.png","202.png","203.png","204.png","205.png","400.png","401.png","402.png","403.png","404.png","405.png"},
{"200.png","201.png","202.png","203.png","204.png","205.png","400.png","401.png","402.png","403.png","404.png","405.png"}},
{directType.countTwo,directType.countTwo,directType.countTwo,directType.countTwo},
true,
false,
{},
8
)
--站坐骑走
ai.walk3 = CharacterAnimaInfo:new(110,
0,
"",
{},
{directType.countThree,directType.countThree,directType.countThree,directType.countThree},
false,
false,
{},
8
)
--无职业攻击
ai.attack1 = CharacterAnimaInfo:new(111,
6,
"3",
{{"200.png","201.png","202.png","203.png","204.png","205.png","400.png","401.png","402.png","403.png","404.png","405.png"},
{"200.png","201.png","202.png","203.png","204.png","205.png","400.png","401.png","402.png","403.png","404.png","405.png"},
{"200.png","201.png","202.png","203.png","204.png","205.png","400.png","401.png","402.png","403.png","404.png","405.png"},
{"200.png","201.png","202.png","203.png","204.png","205.png","400.png","401.png","402.png","403.png","404.png","405.png"}
},
{directType.countTwo,directType.countTwo,directType.countTwo,directType.countTwo},
false,
false,
-- {ai.stand1,ai.stand2,ai.stand3,ai.walk1,ai.walk2,ai.walk3},
{},
6
)
--npc站立
ai.npcStand = CharacterAnimaInfo:new(201,
4,
"",
{{"000.png","001.png","002.png","003.png"}},
{directType.countOne},
true,
false,
{},
8
)
--monster站立
ai.monsterStand = CharacterAnimaInfo:new(301,
3,
"6",
{{"200.png","201.png","202.png","400.png","401.png","402.png"}},
{directType.countTwo},
true,
false,
{},
8
)
--monster走路
ai.monsterWalk = CharacterAnimaInfo:new(302,
4,
"2",
{{"200.png","201.png","202.png","203.png","400.png","401.png","402.png","403.png"}},
{directType.countTwo},
true,
false,
{},
8
)
--monster攻击
ai.monsterAttack = CharacterAnimaInfo:new(303,
4,
"3",
-- {{"200.png","201.png","202.png","203.png","204.png","205.png","206.png","207.png","400.png","401.png","402.png","403.png","404.png","405.png","406.png","407.png"}},
{{"200.png","201.png","202.png","203.png","400.png","401.png","402.png","403.png"}},
{directType.countTwo},
false,
false,
{},
6
)
ai.monsterHitDown = CharacterAnimaInfo:new(304,
1,
"5",
{{"200.png","400.png"}},
{directType.countTwo},
true,
false,
{},
8
)
--pet站立
ai.petStand = CharacterAnimaInfo:new(401,
4,
"6",
{{"200.png","201.png","202.png","203.png","400.png","401.png","402.png","403.png"}},
{directType.countTwo},
true,
false,
{},
8
)
--pet走路
ai.petWalk = CharacterAnimaInfo:new(402,
6,
"2",
{{"200.png","201.png","202.png","203.png","204.png","205.png","400.png","401.png","402.png","403.png","404.png","405.png"}},
{directType.countTwo},
true,
false,
{},
6
)
--pet攻击
ai.petAttack = CharacterAnimaInfo:new(403,
6,
"3",
{{"200.png","201.png","202.png","203.png","204.png","205.png","400.png","401.png","402.png","403.png","404.png","405.png"}},
{directType.countTwo},
false,
false,
{},
8
)
--采集物站立
ai.collectStand = CharacterAnimaInfo:new(501,
4,
"",
{{"000.png","001.png","002.png","003.png"}},
{directType.countOne},
true,
false,
{},
8
)
return ai
end)
--##globalData.allStaticTypes.behaviorType
BehaviorType = class("BehaviorType",function()
local bh = {}
--动作类型
bh.attack = 1
bh.behit = 2
bh.prepare = 3--吟唱
bh.updateBlood = 4
bh.cancelPrepare = 5
--攻击结果类型
bh.hit = 1  --命中
bh.miss = 2 --闪避
bh.block = 3    --格档
bh.powerHit = 4 --暴击
bh.reduce = 5   --减伤
bh.addBlood = 6 --加血
bh.dead = 8     --死
bh.hitDown = 9  --击倒
bh.subblood = 10    --减血
bh.addSpeed = 11    --加速
bh.nobeAttack = 12  --无敌
return bh
end)
--##globalData.allStaticTypes.careerType
CareerType = class("CareerType",function()
local ct = {}
ct.careerNone = 0
ct.career1 = 1
ct.career2 = 2
return ct
end)
function CareerType:getCareerName(career)
if(career == 1)then
return globalManager.yuyanbaoManager:getYuyanbao("Common.career1")
elseif(career == 2)then
return globalManager.yuyanbaoManager:getYuyanbao("Common.career2")
end
return globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel75")
end
--career 100为NPC  101为怪物
function CareerType:getHeadPath(career,sex)
if(career == 1)then
return "headIcons/ZhanHeadIcon.png"
elseif(career == 2)then
return "headIcons/FaHeadIcon.png"
elseif(career == 100)then
return "headIcons/NPCHeadIcon.png"
elseif(career == 102)then
return "headIcons/BossHeadIcon.png"
else
return "headIcons/MonsterHeadIcon.png"
end
end
function CareerType:getCareer(career)
local result = career
if(result > 10) then result = result - 10 end
return result
end
CastType = class("CastType",function()
local ct = {}
ct.versiton = 3
if (ct.versiton == 2) then
ct.Layer = "CCLayer"
ct.Sprite = "CCSprite"
ct.Node = "CCNode"
ct.Scene = "CCScene"
ct.Director = "CCDirector"
ct.Point = "CCPoint"
ct.Array = "CCArray"
ct.texture = "CCTexture2D"
ct.Label = "Label"
ct.Button = "Widget"
ct.Widget = "Widget"
ct.Layout = "Layout"
ct.ImageView = "ImageView"
elseif (ct.versiton == 3) then
ct.Layer = "cc.Layer"
ct.Sprite = "cc.Sprite"
ct.Node = "cc.Node"
ct.Scene = "cc.Scene"
ct.Director = "cc.Director"
ct.Point = "cc.Point"
ct.Array = "cc.Array"
ct.texture = "cc.Texture2D"
ct.Label = "ccui.Text"
ct.Button = "ccui.Button"
ct.Widget = "ccui.Widget"
ct.Layout = "ccui.Layout"
ct.ImageView = "ccui.ImageView"
end
return ct
end)
--##globalData.allStaticTypes.categoryType
CategoryType = class("CategoryType",function()
local temp = {}
--装备类型
temp.WEAPON = 1 --武器
temp.NECKLACK = 2 --项链
temp.CLOTH = 3 --衣服
temp.CAESTUS = 4 --裤子
temp.BANGLE = 5 --手镯
temp.CUFF = 6 --手套
temp.RING = 7 --戒指
temp.SHOUDER = 8   --护肩
temp.SHOES = 9 --鞋子(玉佩)
temp.HUIZHANG = 10 -- 徽章
temp.AMULET = 14 --护符
--装备列表Vector.<int>
temp.BAGGAGE_EQUIPCATETYPES = {
temp.WEAPON,
temp.NECKLACK,
temp.CLOTH,
temp.CAESTUS,
temp.BANGLE,
temp.CUFF,
temp.RING,
temp.SHOUDER,
temp.SHOES,
temp.HUIZHANG,
temp.AMULET
}
temp.CATE_ALMIRAH_CARD = 621 --衣橱幻化卡
temp.flyShoe = 100006            --飞鞋
temp.speakerId = 100001          --喇叭道具ID
--任务奖历
--temp.loudspeakerItem = 100001   --喇叭物品
temp.expItem      = 100002      --经验物品
temp.liftExpItem  = 100039      --历练物品
temp.copperItem   = 100003      --铜币
temp.featItem     = 100012      --声望物品
temp.honourItem   = 100005      --荣誉物品
temp.goldItem     = 100004      --钻石
temp.bindGoldItem = 100008      --绑钻
temp.leagueMoney  = 100007      --帮派财富
temp.leagueDevote = 100006      --帮派贡献
temp.copperType   = 270         --铜币物品类型
temp.expType      = 201         --经验丹物品类型
temp.NORMAL_STONE = 150015      --普通强化石
temp.SUPER_STONE  = 150016      --超级强化石
temp.EPIC_STONE   = 150063      --史诗强化石s
temp.CHANGECAREER_CARD = 160102--转职卡
temp.CHANGE_NAME_CARD = 160101--改名卡
--兑换装备的碎片类型
temp.FRAGMENT1 = 101021
temp.FRAGMENT2 = 101022
temp.FRAGMENT3 = 101023
temp.REBUILD_LOCK_ID = 101016  --洗练锁ID
temp.PAY_BOX = 263 --付费箱子
temp.CLUB_DAN = 234  --帮贡丹类型
temp.PET_BLESS = 215  --妖精祝福卡
temp.WING_BLESS = 229  --羽翼祝福卡
temp.IMMORTALS_BLESS = 225  --足迹祝福卡
temp.SPRITE_BLESS = 233  --仙灵祝福卡
temp.MATRIX_BLESS = 283  --法阵祝福卡
temp.DRAGONSOUL_BLESS = 287  --龙魂祝福卡
temp.MOUNT_BLESS = 219  --坐骑祝福卡
temp.RARE_GOODS = 255 --珍贵道具（显示稀有图标）
----------------------------------------------------
-- 108快速购买物品ID
-- 快速购买是传入物品ID，然后再在108商店检索
----------------------------------------------------
temp.QUCIK_BUY_COPPER_ID = 100029  --快速购买金币
temp.SKILL_BOOK = 150019              --技能升级书
temp.TAOYUAN_GANLU = 160416           --甘露
temp.WUTONGMU = 160546                --梧桐木
temp.FASHIONLIST = {160174,160175,160176,160177,160178,160179,160180,160181,160182,160183,160184,160185}                 --时装
temp.VIP_TIME_CARD = {160103,160105} --VIP时间卡
temp.VIP_EXP_CARD = {160103,160104,160105,160106,160107,160108} --VIP经验卡
temp.VIP_HALF_HOUR_CARD = 160103
temp.VIP_ONE_DAY_CARD = 160105
return temp
end)
--根据货币类型获取本身的货币数量
function CategoryType:getTypeMoneyByType(typeMoney,goodsNum)
if(self.goldItem == typeMoney)then
goodsNum = globalData.selfPlayerInfo.moneyInfo.gold
elseif(self.bindGoldItem == typeMoney)then
goodsNum = globalData.selfPlayerInfo.moneyInfo.bindGold
elseif(self.copperItem   == typeMoney)then
goodsNum = globalData.selfPlayerInfo.moneyInfo.copper
elseif(self.honourItem   == typeMoney)then
goodsNum = globalData.selfPlayerInfo.honour
elseif(self.leagueDevote == typeMoney)then
goodsNum = globalData.selfPlayerInfo.tribute
end
return goodsNum
end
--判断是否为VIP时间卡
--param cateId:int return bool
function CategoryType:IsVipTimeCard(cateId)
return globalManager.commonUtils:getIndexOfTable(self.VIP_TIME_CARD,cateId) >= 0
end
--判断是否为VIP经验卡
--param cateId:int return bool
function CategoryType:IsVipExpCard(cateId)
return globalManager.commonUtils:getIndexOfTable(self.VIP_EXP_CARD,cateId) >= 0
end
--判断是否为装备
--param cateId:int return bool
function CategoryType:IsEquip(cateId)
return globalManager.commonUtils:getIndexOfTable(self.BAGGAGE_EQUIPCATETYPES,cateId) >= 0
end
function CategoryType:IsFashion(fashionId)
return globalManager.commonUtils:getIndexOfTable(self.FASHIONLIST,fashionId)
end
function CategoryType:IsFiveEquip(cateId)
return cateId == 235
end
--根据类型获取名称
function CategoryType:getCategoryName(categoryId)
if(categoryId == self.WEAPON)then
return globalManager.yuyanbaoManager:getYuyanbao("CategoryType.text1")
elseif(categoryId == self.NECKLACK)then
return globalManager.yuyanbaoManager:getYuyanbao("CategoryType.text2")
elseif(categoryId == self.CLOTH)then
return globalManager.yuyanbaoManager:getYuyanbao("CategoryType.text3")
elseif(categoryId == self.SHOES)then
return globalManager.yuyanbaoManager:getYuyanbao("CategoryType.text4")
elseif(categoryId == self.CAESTUS)then
return globalManager.yuyanbaoManager:getYuyanbao("CategoryType.text5")
elseif(categoryId == self.BANGLE)then
return globalManager.yuyanbaoManager:getYuyanbao("CategoryType.text6")
elseif(categoryId == self.CUFF)then
return globalManager.yuyanbaoManager:getYuyanbao("XiaofeiComparePanel.text17")
elseif(categoryId == self.RING)then
return globalManager.yuyanbaoManager:getYuyanbao("CategoryType.text8")
elseif(categoryId == self.SHOUDER)then
return globalManager.yuyanbaoManager:getYuyanbao("CategoryType.text9")
elseif(categoryId == self.AMULET)then
return globalManager.yuyanbaoManager:getYuyanbao("CategoryType.text10")
end
return globalManager.yuyanbaoManager:getYuyanbao("CategoryType.text11")
end
--获取装备位置
--return 位置列表
function CategoryType:getEquipPlace(categoryId)
if(categoryId == self.WEAPON)then
return {5}
elseif(categoryId == self.NECKLACK)then
return {8}
elseif(categoryId == self.CLOTH)then
return {1}
elseif(categoryId == self.CAESTUS)then
return {3}
elseif(categoryId == self.BANGLE)then
return {6}
elseif(categoryId == self.CUFF)then
return {2}
elseif(categoryId == self.RING)then
return {7}
elseif(categoryId == self.SHOUDER)then
return {0}
elseif(categoryId == self.SHOES)then
return {4}
elseif(categoryId == self.AMULET)then
return {9}
end
return {-1}
end
--##globalData.allStaticTypes.channelType
ChannelType = class("ChannelType", function(self)
local temp = {}
--以下类型为聊天协议发送类型，服务器发送
temp.WORLD = 1 --世界
temp.CLUB = 3 --帮派
temp.TEAM = 4 --队伍
temp.NEARLY = 5 --附近
temp.SPEAKER = 6 --喇叭
temp.ALLIANCE = 7 --帮派
temp.FRIEND = 8  --好友
temp.GRIDDLE = 9 --帮派色子
temp.SYSTEM = 99--系统提示
temp.PRIVATE = 100 -- 私聊
--以下类型为客户端使用，根据服务器协议自己组织
temp.EVENT = 201 --事件
temp.SYSTEM_NOTICE = 901  	--系统公告传闻
temp.WORLD_NOTICE = 902  	--世界公告传闻
temp.CLUB_NOTICE = 904  	--帮派公告传闻
temp.TEAM_NOTICE = 905 		--队伍公告传闻
temp.CHANNELLIST = {temp.WORLD,temp.CLUB,temp.TEAM,temp.SPEAKER,temp.SYSTEM}
temp.CHANNELFILTER = {{temp.SYSTEM_NOTICE,temp.WORLD_NOTICE,temp.WORLD,temp.SPEAKER},
{temp.CLUB_NOTICE,temp.CLUB},
{temp.TEAM_NOTICE,temp.TEAM},
{temp.SPEAKER},
{temp.SYSTEM}}
return temp
end)
--判断消息是否在频道中
--param channenType:聊天频道5个类型
--param messageType:消息类型
function ChannelType:isInFilter(channelType,messageType)
local index = globalManager.commonUtils:getIndexOfTable(self.CHANNELLIST,channelType)
if(index == -1) then return false end
index = globalManager.commonUtils:getIndexOfTable(self.CHANNELFILTER[index], messageType)
return index > -1
end
--是否显示昵称
function ChannelType:isShowNick(type)
if(globalManager.commonUtils.getIndexOfTable({self.SYSTEM_NOTICE,self.HEARSAY},type) > -1)then
return false
end
return true
end
function ChannelType:getChannelName(type)
if(type == self.WORLD)then
return globalManager.yuyanbaoManager:getYuyanbao("ChannelType.text1")
elseif(type == self.WORLD_NOTICE
or type == self.TEAM_NOTICE
or type == self.CLUB_NOTICE
)then
return globalManager.yuyanbaoManager:getYuyanbao("ChannelType.text2")
elseif(type == self.CLUB)then
return globalManager.yuyanbaoManager:getYuyanbao("ChannelType.text3")
elseif(type == self.TEAM)then
return globalManager.yuyanbaoManager:getYuyanbao("ChannelType.text4")
elseif(type == self.NEARLY)then
return globalManager.yuyanbaoManager:getYuyanbao("ChannelType.text5")
elseif(type == self.SPEAKER)then
return globalManager.yuyanbaoManager:getYuyanbao("ChannelType.text6")
elseif(type == self.HEARSAY)then
return globalManager.yuyanbaoManager:getYuyanbao("ChannelType.text7")
elseif(type == self.SYSTEM_NOTICE)then
return globalManager.yuyanbaoManager:getYuyanbao("ChannelType.text8")
end
return ""
end
function ChannelType:getChannelColor(type)
if(type == self.WORLD)then
return "[0x2FECDC]"
elseif(type == self.WORLD_NOTICE
or type == self.TEAM_NOTICE
or type == self.CLUB_NOTICE
or type == self.HEARSAY
or type == self.SYSTEM_NOTICE
)then
return "[0xFFF45C]"
elseif(type == self.CLUB)then
return "[0x00E820]"
elseif(type == self.TEAM)then
return "[0xB4F000]"
elseif(type == self.NEARLY)then
return "[0x88DCE1]"
elseif(type == self.SPEAKER)then
return "[0xFFE500]"
elseif(type == self.PRIVATE)then
return "[0xCCFFFF]"
end
return "[0xFFFFFF]"
end
--##globalData.allStaticTypes.colorType
ColorType = class("ColorType", function(self)
local temp = {}
temp.COLORRED = cc.c3b(255,0,0)
temp.COLORGREEN = cc.c3b(0,255,0)
temp.COLORBLACKGREEN = cc.c3b(0,127,0)
temp.COLORWHITE = cc.c3b(255,255,255)
temp.COLORYELLOW = cc.c3b(255,244,92)
temp.COLORGRAY_DEEP = cc.c3b(55,55,55)
temp.COLORGRAY = cc.c3b(187,171,135)
temp.COLORBLUE = cc.c3b(0,255,255)
temp.COLORBLACK = cc.c3b(0,0,0)
temp.COLORORANGE = cc.c3b(255,153,0)
temp.COLORBLUE_DEEP = cc.c3b(0,101,139)
temp.COLORPURPLE = cc.c3b(240,0,214)
temp.ITEMCOLOR1 = nil    --白色
temp.ITEMCOLOR1_STR = nil
temp.ITEMCOLOR2 = nil        --绿色
temp.ITEMCOLOR2_STR = nil
temp.ITEMCOLOR3 = nil      --蓝色
temp.ITEMCOLOR3_STR = nil
temp.ITEMCOLOR4 = nil      --紫色
temp.ITEMCOLOR4_STR = nil
temp.ITEMCOLOR5 = nil      --橙色
temp.ITEMCOLOR5_STR = nil
temp.ITEMCOLOR6 = nil     --金色
temp.ITEMCOLOR6_STR = nil
temp.ITEMCOLOR7 = nil        --红色
temp.ITEMCOLOR7_STR = nil
--正确/增长/满足条件
temp.TRUE_COLOR = nil
temp.TRUE_COLOR_STR = nil
--错误/减少/不满足条件
temp.FALSE_COLOR = nil
temp.FALSE_COLOR_STR = nil
--按钮颜色
temp.TAB_COLOR1 = nil  --切卡普通
temp.TAB_COLOR2 = nil  --切卡选中
--输入框颜色
temp.EDITBOX_COLOR = nil
--货币文本颜色
temp.MONEY_COLOR = nil
--玩家攻击伤害颜色
temp.PLAYERATTACK_COLOR = nil
--妖精攻击伤害颜色
temp.PETATTACK_COLOR = nil
--伙伴攻击伤害颜色
temp.PARTNERATTACK_COLOR = nil
--受到攻击伤害颜色
temp.BEHIT_COLOR = nil
--Tips激活状态颜色
temp.TIPACT_COLOR = nil
--Tips标题颜色
temp.TIPTITLE_COLOR = nil
temp.TIPTITLE_COLOR_STR = nil
--Tips未激活状态颜色
temp.TIPUNACT_COLOR = nil
--RichLabel默认颜色
temp.DEFAULT_COLOR = nil
--RichLabel部署颜色
temp.TRIGGER_COLOR = nil
--RichLabel名称颜色
temp.NICK_COLOR = nil
--聊天文本默认颜色
temp.CHAT_COLOR = nil
return temp
end)
function ColorType:setData(type)
self.ITEMCOLOR1 = cc.c3b(255,255,255)
self.ITEMCOLOR1_STR = "0xFFFFFF"
self.ITEMCOLOR2 = cc.c3b(40,183,40)
self.ITEMCOLOR2_STR = "0x28b728"
self.ITEMCOLOR3 = cc.c3b(52,193,236)
self.ITEMCOLOR3_STR = "0x34c1ec"
self.ITEMCOLOR4 = cc.c3b(240,0,214)
self.ITEMCOLOR4_STR = "0xF000D6"
self.ITEMCOLOR5 = cc.c3b(255,162,0)
self.ITEMCOLOR5_STR = "0xffa200"
self.ITEMCOLOR6 = cc.c3b(255,202,18)
self.ITEMCOLOR6_STR = "0xffca12"
self.ITEMCOLOR7 = cc.c3b(255,0,0)
self.ITEMCOLOR7_STR = "0xFF0000"
self.TRUE_COLOR = cc.c3b(0,127,0)
self.TRUE_COLOR_STR = "0x007F00"
self.FALSE_COLOR = cc.c3b(193,0,0)
self.FALSE_COLOR_STR = "0xC10000"
self.TAB_COLOR1 = cc.c3b(255,255,255)
self.TAB_COLOR2 = cc.c3b(255,255,255)
self.EDITBOX_COLOR = cc.c3b(154,96,00)
self.MONEY_COLOR = cc.c3b(87,51,24)
self.PLAYERATTACK_COLOR = cc.c3b(239,191,77)
self.PETATTACK_COLOR = cc.c3b(242,102,33)
self.PARTNERATTACK_COLOR = cc.c3b(174,93,161)
self.BEHIT_COLOR = cc.c3b(234,116,129)
self.TIPACT_COLOR = cc.c3b(87,51,24)
self.TIPTITLE_COLOR = cc.c3b(153,95,0)
self.TIPTITLE_COLOR_STR = "0x995F00"
self.TIPUNACT_COLOR = cc.c3b(204,204,204)
self.DEFAULT_COLOR = cc.c3b(87,51,24)
self.TRIGGER_COLOR = cc.c3b(0,255,0)
self.NICK_COLOR = cc.c3b(255,204,0)
self.CHAT_COLOR = cc.c3b(255,255,255)
end
--16进制值转换 ccc3b
--param val : 值格式如 0xff0000
function ColorType:intToColor3b(val)
local bit = globalManager.bit
local inv = 1
local r = inv * bit:dand(bit:dright(val, 16),0xff)
local g = inv * bit:dand(bit:dright(val, 8),0xff)
local b = inv * bit:dand(val,0xff)
return cc.c3b(r,g,b)
end
--16进制值转换 ccc4b
--param val : 值格式如 0xffff0000
function ColorType:intToColor4b(val)
local bit = globalManager.bit
local inv = 1
local r = inv * bit:dand(bit:dright(val, 24),0xff)
local g = inv * bit:dand(bit:dright(val, 16),0xff)
local b = inv * bit:dand(bit:dright(val, 8),0xff)
local a = inv * bit:dand(val,0xff)
return cc.c4b(r,g,b,a)
end
--ccc3b转换成16进制值
function ColorType:colorToInt(color3b)
local bit = globalManager.bit
local retVal = 0
retVal = bit:dor(retVal,bit:dleft(color3b.r,16))
retVal = bit:dor(retVal,bit:dleft(color3b.g,8))
retVal = bit:dor(retVal,color3b.b)
local result = string.format("%x",retVal)
--补齐前面的0, 如：00ff00 输出为 ff00
local len = string.len(result)
for i=len,5 do
result = "0" .. result
end
return "0x" .. result
end
--根据品质获取装备颜色
--
function ColorType:getColorByQuality(quality)
if(quality == 0)then return self.ITEMCOLOR1
elseif(quality == 1)then return self.ITEMCOLOR2
elseif(quality == 2)then return self.ITEMCOLOR3
elseif(quality == 3)then return self.ITEMCOLOR4
elseif(quality == 4)then return self.ITEMCOLOR5
elseif(quality == 5)then return self.ITEMCOLOR6
elseif(quality >= 6)then return self.ITEMCOLOR7
else return self.ITEMCOLOR1
end
end
function ColorType:getColorStrByQuality(quality)
if(quality == 0)then return self.ITEMCOLOR1_STR
elseif(quality == 1)then return self.ITEMCOLOR2_STR
elseif(quality == 2)then return self.ITEMCOLOR3_STR
elseif(quality == 3)then return self.ITEMCOLOR4_STR
elseif(quality == 4)then return self.ITEMCOLOR5_STR
elseif(quality == 5)then return self.ITEMCOLOR6_STR
elseif(quality >= 6)then return self.ITEMCOLOR7_STR
else return self.ITEMCOLOR1_STR
end
end
function ColorType:getFazhenEffectColor(stage)
if(stage == 0) then
return self.ITEMCOLOR1
elseif(stage < 11) then
return cc.c3b(86,201,40)
elseif(stage < 21) then
return cc.c3b(17,194,194)
elseif(stage < 31) then
return cc.c3b(212,30,203)
elseif(stage < 41) then
return cc.c3b(17,194,194)
elseif(stage < 51) then
return cc.c3b(212,30,203)
elseif(stage < 61) then
return cc.c3b(207,160,37)
elseif(stage < 71) then
return cc.c3b(17,194,194)
elseif(stage < 81) then
return cc.c3b(212,30,203)
elseif(stage < 91) then
return cc.c3b(207,160,37)
elseif(stage < 101) then
return cc.c3b(212,30,203)
elseif(stage < 111) then
return cc.c3b(207,160,37)
elseif(stage < 121) then
return cc.c3b(226,255,0)
elseif(stage < 131) then
return cc.c3b(207,160,37)
elseif(stage < 141) then
return cc.c3b(226,255,0)
elseif(stage < 151) then
return cc.c3b(227,38,0)
end
end
function ColorType:getBodyEffectColor(stage)
return self.ITEMCOLOR1
end
--##globalData.allStaticTypes.directType
DirectType = class("DirectType",function()
local dt = {}
dt.countOne = 1--一个方向NPC,采集
dt.countTwo = 2--
dt.countThree = 3--三个方向，上，下，左
dt.leftTop = 1
dt.top = 2
dt.rightTop = 3
dt.left = 4
dt.right = 5
dt.leftBottom = 6
dt.bottom = 7
dt.rightBottom = 8
return dt
end)
function DirectType:getRandomDir()
local tmp = math.random()
if(tmp < 0.25) then
return self.leftTop
elseif(tmp < 0.5)then
return self.rightTop
elseif(tmp < 0.75)then
return self.leftBottom
else
return self.rightBottom
end
end
--p1:ccpoint,p2:ccpoint
function DirectType:getDir(p1,p2)
local degree = self:getDegrees(p1, p2)
if(degree > 0 and degree <= 90) then
return self.rightBottom
elseif(degree > 90 and degree <= 180) then
return self.leftBottom
elseif(degree < 0 and degree >= -90) then
return self.rightTop
elseif(degree < -90 and degree >= -180) then
return self.leftTop
end
return self.rightBottom
end
--返回两点间角度
--p1:ccpoint,p2:ccpoint
function DirectType:getDegrees(p1,p2)
return self:getRadian(p1, p2) / math.pi * 180
end
--返回两点间弧度
--一二象限为正，三象限为负
function DirectType:getRadian(p1,p2)
local dx = p2.x - p1.x
local dy = p2.y - p1.y
return math.atan2(dy ,dx)
end
--延angle方向取下一个点
function DirectType:getNextPoint(p,angle,distance)
return globalManager.ccCreator.newPoint(p.x + math.cos(angle) * distance,p.y + math.sin(angle) * distance)
end
function DirectType:isLeft(dir)
if(dir == self.leftTop or dir == self.left or dir == self.leftBottom)then
return true
end
return false
end
GlobalEventType = class("GlobalEventType",function()
local ge = {}
--聊天
ge.chat_appendItem 				= 100001 --聊天记录增加
--好友
ge.friend_addFriend 			= 101001 --添加好友
ge.friend_removeFriend 			= 101002 --删除好友
ge.friend_onlineUpdate			= 101007 --好友上下线更新
ge.friend_infoQuery             = 101008 --用户信息查询完成
ge.friend_select                = 101009 --好友面板选择目标
ge.firend_giveGoldSuccess       = 101010 --好友赠送钻石成功
--神炉
ge.furnace_strength 			= 102001 --强化更新
ge.furnace_rebuild 				= 102002 --洗练更新
ge.furnace_stage 				= 102003 --提品更新
ge.furnace_advance 				= 102004 --进阶更新
ge.furnace_upgrade 				= 102005 --升级更新
ge.furnace_rebuildReplace 		= 102006 --洗练替换更新
ge.furnace_batchRebuild 		= 102007 --批量洗练更新
ge.furnace_luck 				= 102008  --幸运值更新
--设置
ge.setting_otherPlayerTitle 	= 103001 --其他玩家头顶信息更新
ge.setting_npcTitle 			= 103002 --NPC头顶信息更新
ge.setting_monsterTitle 		= 103003  --怪物头顶信息更新
ge.setting_otherPlayer 			= 103004 --显示周围玩家更新
ge.setting_otherPet 			= 103005 --显示别人妖精伙伴更新
--帮派
ge.league_create 				= 104001 --帮派创建成功
ge.league_listUpdate 			= 104002 --帮派列表更新
ge.league_info 					= 104003 --帮派信息更新
ge.league_myInfo 				= 104004 --自己帮贡信息更新
ge.league_memberList 			= 104005 --帮派成员列表更新
ge.league_requestList 			= 104006 --帮派申请列表更新
ge.league_quit 					= 104007 --帮派退出
ge.league_kick 					= 104008 --帮派踢人
ge.league_jobChange 			= 104009 --帮派职务改变
ge.league_join 					= 104010 --加入帮派成功
ge.league_bossHp                = 104012 --帮派BOSS血量更新
ge.league_goodsAppli 			= 104013 --帮派仓库物品申请
ge.league_idOrJobUpdate 		= 104014 --帮派或职位更新
ge.league_bossHurt              = 104015 --帮派BOSS伤害刷新
ge.league_contributeSet         = 104016 --帮派帮贡设置
ge.league_level                 = 104017 --帮派等级变化
--quickIcon
ge.quickIcon_friend 			= 105001 --好友图标更新
ge.quickIcon_chat 				= 105003 --好友聊天图标更新
ge.quickIcon_skill 				= 105004 --技能图标更新
ge.quickIcon_popData 			= 105005 --气泡提示更新
ge.quickIcon_open 				= 105006 --开服活动可领取提示
ge.quickIcon_responsePanel      = 105008 --打开请求面板
ge.needExchange_popData         = 105009 --开服活动极品兑换
ge.operateIcon_popData          = 105010 --开服活动极品兑换
--排行榜
ge.rankInfo_update 			    = 106001	--排行榜更新
ge.rank_club 					= 106002	--公会排行榜更新
--starter
ge.start_roleList 				= 107001	--角色列表返回
--activityIcon
ge.activityIcon_update 			= 109001
ge.activityIcon_add         	= 109002
ge.activityIcon_remove      	= 109003
ge.activityIcon_stateChange 	= 109004
--activity
ge.activity_info 				= 110001	--活跃度更新
ge.activity_award 				= 110002	--奖励更新
ge.activity_achievement_info    = 110003    --成就信息更新
--人物属性
ge.playerInfo_level 			= 111001            --等级更新
ge.playerInfo_exp 				= 111003              --经验更新
ge.playerInfo_honour 			= 111005           --荣誉更新
ge.playerInfo_combat 			= 111006           --战斗力更新
ge.playerInfo_vip 				= 111007              --vip类型和等级更新
ge.playerInfo_property 			= 111008           --属性更新
ge.playerInfo_selfInfo 			= 111009         --selfInfo大部分数据更新(更换账号或角色)
ge.playerInfo_style 			= 111011 --figureStyleUpdate
ge.playerInfo_serverState 		= 111012 --服务器状态更新
ge.playerInfo_clientState 		= 111013 --客户端状态更新
ge.playerInfo_money 			= 111014 --货币信息更新
ge.playerInfo_xiaoFeiEquipUpdate= 111015 --消费特殊道具更新
ge.playerInfo_gold              = 111019 --钻石增加
ge.playerInfo_bindGold          = 111020 --绑定钻石增加
ge.playerInfo_modeUpdate        = 111021 --PK模式更新
ge.playerInfo_qinmiduUpdate     = 111022 --亲密度更新
ge.playerInfo_charmUpdate       = 111023 --魅力值更新
ge.playerInfo_marryUpdate       = 111024 --结婚信息更新
ge.playerInfo_changeNick        = 111026 --改名
ge.playerInfo_oathUpdate       = 111027 --结义信息更新
ge.playerInfo_doubleFourInforUpdate       = 111028 --双11活动4信息更新
--佩饰
ge.playerInfo_peiShiInfo = 111029 --佩饰
ge.playerInfo_renqiUpdate = 111030 --人气值更新
--buff
ge.playerInfo_addBuff 			= 111050
ge.playerInfo_removeBuff 		= 111051
ge.playerInfo_updateBuff 		= 111052
--任务
ge.playerInfo_addTask 			= 111100
ge.playerInfo_removeTask 		= 111101
ge.playerInfo_taskList 			= 111102
ge.playerInfo_taskDaily 		= 111103
ge.playerInfo_taskSubmit        = 111104 --有新任务完成
ge.playerInfo_canSubmit         = 111105--有新任务可提交
ge.playerInfo_taskAccept        = 111106--新接任务
ge.playerInfo_countUpdate       = 111107--任务完成数量更新
ge.playerInfo_stateUpdate       = 111108--任务状态更新
--邮件
ge.playerInfo_letterRead 		= 111150--读取状态更新
ge.playerInfo_letterDelete 		= 111151--删邮件
ge.playerInfo_letterAdd 		= 111152--新邮件
ge.playerInfo_letterSend 		= 111153--是否发送成功（清空写信面板）
ge.playerInfo_letterAttach 		= 111154--附件提取状态
--技能
ge.playerInfo_addSkill 			= 111200
ge.playerInfo_removeSkill 		= 111201
ge.playerInfo_askillUpdate 		= 111202   --一个技能更新
ge.playerInfo_skillList 		= 111203    --技能列表更新
ge.playerInfo_skillCD           = 111204 --技能CD更新
ge.changeSkill                    = 111205 --切换技能方案
ge.isWakeUp 			          = 111206 --是否觉醒
--物品
ge.playerInfo_itemUpdate 		= 111250  --道具背包物品更新
ge.playerInfo_roleUpdate 		= 111251  --身上装备更新
ge.playerInfo_equipUpdate		= 111252  --装备背包物品更新
ge.playerInfo_goodsExchange 	= 111253    --物品兑换更新
ge.playerInfo_gridClick         = 111255 --背包模块点击格子事件
ge.playerInfo_gridDoubleClick   = 111256 --背包模块双击格子事件
ge.playerInfo_equipGridClick    = 111257 --背包点击装备格子事件
ge.playerInfo_equipGridDClick   = 111258 --背包双击装备格子事件
ge.playerInfo_furnaceGridClick  = 111259 --炼器单击装备格子事件
ge.playerInfo_goodsQuery        = 111260 --物品信息查询完成
--妖精
ge.playerInfo_addPet 			= 111300 --添加妖精
ge.playerInfo_petTemplate 		= 111301 --妖精模版改变
ge.playerInfo_petInfo 			= 111302 --妖精属性更新
ge.playerInfo_petHuanhua        = 111303 --妖精幻化更新
ge.playerInfo_petHuaXing        = 111304 --妖精化形更新
ge.playerInfo_petTalentUpdate   = 111305 --妖精天赋
ge.playerInfo_petJinHua         = 111306 --进化信息更新
--坐骑
ge.playerInfo_riderTemplate 	= 111320--坐骑模板改变
ge.playerInfo_riderInfo 		= 111321 --坐骑属性更新
ge.playerInfo_riderUpAndDown    = 111322 --上下坐骑
ge.playerInfo_riderHuanhua      = 111323 --坐骑幻化更新
ge.playerInfo_addRider          = 111324 --新增坐骑
ge.playerInfo_riderHuaXing      = 111325 --坐骑化形
ge.playerInfo_riderTalentUpdate = 111326 --坐骑天赋
ge.openRiderHuaXingPanel        = 111327 --打开坐骑化形面板
ge.playerInfo_riderJinHua       = 111328 --进化信息更新
--足迹
ge.playerInfo_godTemplate 		= 111340--足迹模板改变
ge.playerInfo_godInfo 			= 111341 --足迹属性更新
ge.playerInfo_godHuanhua        = 111342 --足迹幻化更新
ge.playerInfo_addGod            = 111343 --新增足迹
--羽翼
ge.playerInfo_wingTemplate 		= 111360 --羽翼模板改变
ge.playerInfo_wingInfo 			= 111361 --羽翼属性更新
ge.playerInfo_wingHuanhua       = 111362 --羽翼幻化更新
ge.playerInfo_addWing           = 111363 --新增羽翼
ge.playerInfo_wingHuaXing       = 111364 --羽翼化形
ge.playerInfo_wingJinHua        = 111365 --进化信息更新
--仙灵
ge.playerInfo_spriteTemplate 	= 111380 --仙灵模板改变
ge.playerInfo_spriteInfo 		= 111381 --仙灵属性更新
ge.playerInfo_spriteHuanhua     = 111382 --仙灵幻化更新
ge.playerInfo_addSprite         = 111383 --新增仙灵
--武魂
ge.playerInfo_wuhunWish 		= 111400
ge.playerInfo_wuhunInfo 		= 111401
--法阵
ge.playerInfo_fazhenTemplate 	= 111420  --法阵模板改变
ge.playerInfo_fazhenInfo 		= 111421  --法阵属性更新
ge.playerInfo_fazhenShowType 	= 111422  --法阵显示类型
ge.playerInfo_fazhenHuanhua     = 111423  --法阵幻化更新
ge.playerInfo_fazhenHuaXing     = 111424  --法阵化形
ge.playerInfo_fazhenJinHua      = 111425  --法阵进化
--龙魂
ge.playerInfo_longhunTemplate 	= 111440  --龙魂模板改变
ge.playerInfo_longhunInfo 		= 111441  --龙魂属性更新
ge.playerInfo_longhunShowType 	= 111442  --龙魂显示类型
ge.playerInfo_longhunHuanhua    = 111443  --龙魂幻化更新
--title
ge.playerInfo_addTitle 			= 111460   --添加称号
ge.playerInfo_removeTitle 		= 111461   --删除称号
ge.playerInfo_changeTitle 		= 111462   --当前称号更改
ge.playerInfo_oath 			= 111502 --结义数据更新
--welfare
ge.playerInfo_lossExp 		    = 111600 --补偿经验更新
ge.playerInfo_signUpdate 		= 111601    --签到更新
ge.playerInfo_loginUpdate 		= 111602   --累计登陆更新
--开服活动
ge.playerInfo_openInfo 		    = 111605 --领取信息更新
ge.playerInfo_rechargeRank 		= 111606 --充值排行更新
ge.playerInfo_openTemplate 		= 111607 --开服模板信息更新
ge.playerInfo_rechargeStage 	= 111608 --全服品阶更新
ge.playerInfo_rechargePeople 	= 111609   --获取N人充值
ge.playerInfo_monthInfo         = 111610 --月卡信息更新
ge.playerInfo_expBuyUpdate      = 111611 --经验购买更新
ge.playerInfo_growUpPlaneUpdate = 111612 --成长计划更新
ge.playerInfo_inviteCode 		= 111613 --邀请码数据改变
ge.playerInfo_hasStageNumUpdate = 111614 --七大模块冲阶达到人数
ge.playerInfo_rechargeCountInfo = 111615 --充值好礼信息更新
--copy
ge.playerInfo_copyCount 		= 111700--副本次数更新
ge.playerInfo_copyKing 			= 111701    --副本霸主信息更新
ge.playerInfo_copySweep 		= 111702   --扫荡数据更新
ge.playerInfo_copyMonster 		= 111703     --副本怪物数量更新
ge.playerInfo_copyTime 			= 111704        --副本时间更新
ge.playerInfo_copyComplete 		= 111705       --副本完成通知(守护专用)
ge.playerInfo_copyExpUpdate 	= 111706         --副本累计经验更新
ge.playerInfo_copyShowZhuangPan = 111707    --显示副本转盘
ge.playerInfo_copyMonsterBall 	= 111708 --怪物波数更新
ge.playerInfo_copyBossKill 		= 111709          --boss击杀面板
ge.playerInfo_sweepUncomplete 	= 111710       --有扫荡奖励可领取
ge.playerInfo_copyDataUpdate 	= 111711        --副本数据初始化
ge.playerInfo_copyTodayMax 		= 111712    --副本今日通关数据更新(目前仅降魔)
ge.playerInfo_copyEntrus 		= 111713      --副本委托奖励返回
ge.playerInfo_copyMissionAward 	= 111714  --关卡信息更新
ge.playerInfo_xiXingStarUpdate  = 111715 --西行星星更新
ge.playerInfo_hideEnterPanel    = 111717     --关闭进入副本的面板
ge.playerInfo_enterCopy         = 111718     --玩家点击进入副本
ge.playerInfo_exitCopy          = 111719     --玩家点击退出副本
ge.playerInfo_showTryCopyPanel  = 111720     --打开试炼面板
ge.playerInfo_lianyuCopyUpdate  = 111721     --炼狱副本信息更新
ge.playerInfo_datiCopyUpdate    = 111722     --答题副本信息更新
ge.playerInfo_datiCopyTiMu      = 111723     --答题副本题目更新
ge.playerInfo_datiShowRight     = 111724     --答题特效
ge.playerInfo_materialBoxNum    = 111725     --材料副本箱子个数
ge.playerInfo_expeditionAwardState = 111726  --远征副本通关奖励状态
ge.playerInfo_worldBossVipTime  = 111727     --vip副本信息更新
ge.playerInfo_showTreasurePanel = 111728     --打开藏宝秘境
ge.playerInfo_worldBossChargeBattleTimes = 111729     --猎魂付费次数
--守护副本特殊数据
ge.defCopy_callListUpdate       = 111780     --可召唤列表更新
ge.defCopy_calledListUpdate     = 111781     --已召唤列表更新
ge.defCopy_NpcHpUpdate          = 111782     --守护NPC血量更新
ge.defCopy_teamListUpdate       = 111783     --队友数据更新
--西行副本跳转
ge.epeditionCopy_select         = 111784    --西行副本跳转
--系统
ge.global_reconnect             = 111800 --重新连接
ge.global_sdkLoginSuccess       = 111801 --接口回调成功
ge.global_clearAllData          = 111802 --清除所有数据，重新连接之前
ge.global_gm                    = 111803 --GM命令发送成功
ge.global_systemHour            = 111804 --整点报时
ge.global_comboBox              = 111805 --combobox选择
ge.global_closeChatPanel        = 111806 --切换账号关闭聊天面板
--商城
ge.shop_discount                = 111900 --优惠商城数据更新
ge.shop_discountCount           = 111901 --单个折扣数据更新
ge.update_ShenmiShopInfo        = 111910 --神秘商城物品更新
ge.update_ShenmiShopBuy         = 111911 --神秘商城物品购买
ge.update_VipMallInfo           = 111912 --vips商城物品更新
ge.update_VipMallShopBuy        = 111913 --vips商城物品购买
--trigger
ge.trigger_walkToPoint          = 112000 --走到Point
ge.trigger_walkToNpc            = 112001 --走到Npc
ge.trigger_walkToMonster        = 112002 --走到怪点
ge.trigger_walkToCollect        = 112003 --走到采集点
ge.trigger_stopMoving           = 112004 --站立
ge.trigger_flyToPoint           = 112005 --飞到Point
ge.trigger_flyToNpc             = 112006 --飞到Npc
ge.trigger_flyToMonster         = 112007 --飞到怪点
ge.trigger_flyToCollect         = 112008 --飞到采集点
ge.trigger_jumpToMap            = 112009 --免费飞图
ge.trigger_panelDispose         = 112010 --关闭面板
ge.trigger_next                 = 112011 --进入下一个trigger
ge.trigger_hangUp               = 112012 --开始挂机
ge.trigger_backCity             = 112013 --强制回城（脱离卡死）
--npcPanel
ge.npcPanel_close               = 112100 --npc面板，子面板通知父面板关闭
ge.npcPanel_change              = 112101 --npc面板，子面板通知父面板跳转
--scene
ge.scene_pathChange             = 112202 --个人路径更新
ge.scene_monsterHpZero          = 112203 --怪物血量降为0（添加到死亡列表）
ge.scene_monsterOwnerChange     = 112204 --怪物归属更新
ge.scene_showMainMenuBtn        = 112205 --点击头像显示或隐藏菜单按钮
ge.scene_showCopyInfo           = 112206 --显示隐藏副本信息面板
ge.scene_stopJump               = 112209 --停止跳等位移
ge.scene_showChatPanel          = 112210 --显示聊天界面
ge.scene_hideChatPanel          = 112211 --关闭聊天界面
ge.scene_reConnect              = 112212 --重连触发（关闭面板）
ge.scene_stopAfk                = 112213 --停止挂机
ge.scene_closeOtherPanel        = 112214 --关闭非常规面板（uiPanelContainer上的为常规面板）
ge.scene_showBuffPanel          = 112219 --显示BUFF面板
ge.scene_beforeClearData        = 112220 --跨图清除场景数据前发
ge.scene_moduleOpen             = 112221 --模块开启更新
ge.scene_controllPadReset       = 112222 --控制摇杆松开
ge.scene_menuTouch              = 112223 --菜单点击
ge.scene_showPayPanel           = 112226 --打开充值面板
ge.scene_selectMatterItem       = 112227 --选择定时活动面板某项
ge.scene_comboKill              = 112228 --连斩更新
ge.scene_targetChange           = 112229 --目标改变
ge.scene_skillChange            = 112230 --技能改变
ge.scene_showArena2Panel        = 112238 --显示尊武殿面板
ge.scene_showSkillBtn           = 112239 --隐藏显示技能按钮
ge.scene_showStarcraftPanel     = 112241 --显示群雄争霸面板
ge.scene_showZhuanpanPanel      = 112242 --打开转盘面板
ge.scene_showQuickIcon          = 112244 --隐藏显示活动图标
ge.scene_showRightBtn           = 112245 --隐藏显示右边图标
ge.scene_showMapPanel           = 112246 --显示地图面板
ge.scene_showOnlineRewardsPanel = 112247 --打开在线奖励转盘
ge.scene_showZhuanpan3Panel     = 112248 --打开财运亨通面板
ge.scene_showSendFlowerPanel    = 112249 --打开送花面板
ge.scene_showReceiveFlowerPanel = 112250 --打开收花面板
ge.scene_showSendMarryPanel     = 112251 --打开送婚面板
ge.scene_showReceiveMarryPanel  = 112252 --打开收婚面板
ge.scene_showMarryBreakPanel    = 112253 --打开离婚面板
ge.scene_flyflower              = 112254 --飘花
ge.scene_showRenamePanel        = 112255 --打开改名面板
ge.scene_showSendOathPanel     = 112256 --打开结义面板
ge.scene_showReceiveOathPanel     = 112257 --打开接受结义面板
ge.scene_showOathBreakPanel     = 112258 --打开解除结义面板
ge.scene_showWashGoldPanel     = 112259 --打开欢乐淘金
ge.scene_showWashGold           = 112260 --是否显示欢乐淘金按钮
ge.scene_showChangeProfessionPanl   = 112261 --打开转职界面
ge.scene_show_integralMall   = 112262 --打开积分商城
ge.scene_show_doubleEleven   = 112263 --打开双11
ge.scene_show_doubleElevenIcon   = 112264 --是否限时双11入口
ge.scene_show_newServerGift     = 112265 --新服大馈赠
ge.scene_show_newServerGiftIcon = 112266 --新服大馈赠限时
ge.scene_show_payCountGift      = 112267 --充值好礼
ge.scene_show_payCountGiftIcon  = 112268 --充值好礼限时
ge.scene_showPeiShiPanel        = 112272 --打开佩饰界面
ge.scene_showSendYanhuaPanel    = 112273 --打开送烟花界面
ge.scene_showYanhuaReceivePanel = 112274 --打开烟花回赠界面
ge.scene_quickIconUpdate        = 112275 --快捷图标更新
ge.scene_showRedBag             = 112276 --显示红包面板
ge.scene_show_privilegePanel    = 112277 --显示特权面板
--新手强制引导
ge.newly_enterMaterialCopy      = 112300 --进入材料副本
ge.newly_petAutoUpdate          = 112301 --妖精自动进阶
ge.newly_furnaceClick           = 112302 --强化界面点击武器
ge.newly_furnaceAutoUpdate      = 112303 --装备自动强化
ge.newly_copyTab                = 112304 --副本子切卡
ge.newly_startRongLian			= 112305 --开始熔炼
ge.newly_riderAutoUpdate        = 112307 --坐骑自动进阶
ge.newly_enterLYCopy            = 112308 --进入炼狱副本
ge.newly_furnaceTab             = 112309 --强化子切卡
ge.newly_taskFollowClick        = 112310 --任务追踪点击
ge.newly_controllSkill          = 112311 --技能使用
ge.newly_wingAutoUpdate         = 112312 --羽翼自动进阶
ge.newly_welfareChangeTab       = 112313 --福利切卡
ge.newly_welfareLevelAccept     = 112314 --30级等级奖励领取
ge.newly_welfareLoginAccept     = 112315 --第1天登录奖励领取
ge.newly_welfareSign            = 112316 --签到
ge.newly_enterYZCopy            = 112322 --进入远征副本
ge.newly_arenaSelect            = 112323 --竞技场选择对象
ge.newly_arenaFight             = 112324 --竞技场开始挑战
ge.newly_welfareSignAward       = 112325 --确认领取签到奖励
ge.newly_godAutoUpdate          = 112326 --足迹进阶
ge.newly_wuhunAutoUpdate        = 112328 --武魂进阶
ge.newly_shouhuCopyEnter        = 112329 --守护副本组队
ge.newly_partnerUpdate          = 112330 --伙伴激活
ge.newly_onlineAccept           = 112331 --领取在线奖励
--帮战
ge.bangzhan_info                = 112300 --帮战数据更新
ge.bangzhan_rank                = 112301 --帮战排行更新
ge.bangzhan_club                = 112302 --帮战帮派数据更新
ge.bangzhan_submit              = 112303 --帮战水晶提交
ge.bangzhan_applicantNum        = 112304 --帮战申请人数更新
ge.bangzhanRankInfo_update      = 112305 --帮战排行更新
--progressBar
ge.progress_dispose             = 112400--进度条删除
ge.progress_complete            = 112401--进度条完成
--探宝
ge.tanbao_infoUpdate            = 112500  --全民探宝信息更新
ge.tanbao_rankUpdate            = 112501  --全民探宝排行信息更新
ge.tanbao_overView              = 112502  --全民探宝结束面板
--世界BOSS
ge.worldboss_showPanel          = 112600 --打开世界boss面板
ge.worldboxx_showJingYing       = 112601 --打开精英boss面板
ge.worldbossVip_showVip         = 112602 --打开猎魂面板
--远古战场
ge.yuangu_info                  = 112700 --远古战场数据更新
ge.yuangu_rank                  = 112701 --远古战场排行更新
--一锤定音
ge.yichui_info                  = 112900 --一锤数据更新
ge.yichui_card                  = 112901 --一锤翻牌
ge.yichui_cardAward             = 112902 --一锤翻牌奖励
ge.yichui_monster               = 112903 --怪物刷新时间
--sceneInfo
ge.sceneinfo_move               = 113100 --玩家移动
ge.sceneinfo_direct             = 113101 --玩家朝向
ge.sceneinfo_target             = 113102 --改变目标
ge.sceneinfo_dispose            = 113103 --玩家移除
ge.sceneinfo_walkStart          = 113104 --开始移动
ge.sceneInfo_walkComplete       = 113105 --移动结束
ge.sceneInfo_collect            = 113106 --自己采集
ge.sceneInfo_levelUp            = 113107 --玩家升级
ge.sceneInfo_hpUpdate           = 113108 --血量更新
ge.sceneInfo_otherCollect       = 113109 --他人采集
ge.sceneInfo_npcState           = 113110 --NPC状态更新
ge.sceneInfo_mapData            = 113111 --地图数据更新
ge.sceneInfo_addGate            = 113112 --添加传送门
ge.sceneInfo_removeGate         = 113113 --移除传送门
ge.sceneInfo_addNpc             = 113114 --添加NPC
ge.sceneInfo_removeNpc          = 113115 --移除NPC
ge.sceneInfo_addMonster         = 113116 --添加怪物
ge.sceneInfo_removeMonster      = 113117 --移除怪物
ge.sceneInfo_selfInfo           = 113118 --个人数据更新
ge.sceneInfo_addPlayer          = 113119 --添加玩家
ge.sceneInfo_removePlayer       = 113120 --移除玩家
ge.sceneInfo_addCollect         = 113119 --添加采集物
ge.sceneInfo_removeCollect      = 113120 --移除采集物
ge.sceneInfo_addDrop            = 113121 --添加掉落物
ge.sceneInfo_removeDrop         = 113122 --移除掉落物
ge.sceneInfo_addPet             = 113123 --添加妖精
ge.sceneInfo_removePet          = 113124 --移除妖精
ge.sceneInfo_worldBossList      = 113125 --世界BOSS列表
ge.sceneInfo_worldBossKiller    = 113126 --世界BOSS伤害
ge.sceneInfo_marryUpdate        = 113127 --场景玩家结婚状态改变
ge.sceneInfo_jieyiUpdate        = 113128 --场景玩家结义状态改变
ge.sceneInfo_addPartner			= 113129 --添加伙伴
ge.sceneInfo_removePartner		= 113130 --移除伙伴
--竞技场
ge.arenaInfo_update             = 113201 --竞技场数据更新
ge.arenaInfo_rankUpdate         = 113202 --竞技场排名更新
ge.arenaInfo_result             = 113203 --战斗结束面板
ge.arenaInfo_fightReturn        = 113206 --竞技场结果返回
ge.arenaInfo_canAward           = 113207 --竞技场可领奖
ge.arenaInfo_countUpdate        = 113208 --竞技场今日次数更新
ge.arenaInfo_scucessUpdate      = 113209 --竞技场激励成功更新
ge.arenaInfo_max                = 113210 --竞技场次数更新
--宝藏秘境
ge.findTreasureInfo_update      = 113301 --宝藏秘境信息更新
ge.findTreasureOpenCard_update  = 113302 --宝藏翻牌信息更新
ge.findTreasureSD_award         = 113303 --宝藏扫荡
--群雄争霸
ge.starcraftInfo_update         = 113401 --群雄争霸积分信息更新
ge.starcraftCopyInfo_update     = 113402 --群雄争霸副本内信息更新
ge.starcraftState_update        = 113403 --群雄争霸匹配状态更新
ge.starcraftReadZoneTime_update = 113404 --群雄争霸准备区倒计时更新
--ge.starcraftRestCopyState       = 113404 --群雄争霸重进副本状态
--ge.starcraftSelfInfo_update     = 113405 --群雄争霸个人状态更新
--欢乐转盘抽奖
ge.zhuanpan_pick                = 113501 --转盘抽奖数据返回
ge.zhuanpan_infoUpdate          = 113502 --转盘数据更新
ge.zhuanpan_exchangeUpdate      = 113503 --转盘兑换更新
ge.zhuanpan_awardUpdate         = 113504 --十连抽转盘奖励
ge.washGold_infoUpdate          = 113511 --淘金信息
ge.washGold_index               = 113512 --淘金返回位置
ge.washGold_awardList           = 113513 --淘金返回物品列表
ge.washGold_times               = 113514 --淘金可抽奖次数
ge.washGold_bigAwardList        = 113516 --淘金大奖
--充值转盘
ge.zhuanpan_Yuanbao_pick        = 113601 --充值转盘抽奖数据返回
ge.zhuanpan_Yuanbao_info        = 113602 --充值转盘公告信息
ge.zhuanpan_Yuanbao_infoUpdate  = 113603 --充值转盘是否开启
--寻宝转盘
ge.zhuanpan_XunBao_pick         = 113604 --寻宝转盘抽奖数据返回
--合服活动
ge.combined_Active_Info         = 113605 --合服活动数据更新
ge.quickIcon_combinedActive     = 113606 --合服活动tip更新
ge.quickIcon_combinedActive1    = 113607 --合服活动类型1
ge.quickIcon_combinedActive3    = 113608 --合服活动类型3
ge.quickIcon_combinedActive5    = 113609 --合服活动类型5
ge.quickIcon_combinedActiveTimeUpdate = 113610 --合服活动时间更新
--打开vip面板
ge.scene_showVipPanel           = 113701 --打开vip面板
ge.scene_vipPanelSetValue       = 113702 --打开vip面板默认值设置
ge.vip_infoUpdate               = 113703 --vip信息更新（不是升级)
ge.scene_openVipRechargeView    = 113704 --打开vip面板的购买界面
ge.privilege_infoUpdate         = 113705 --特权信息更新
--在线奖励
ge.onlineRewards_timeChange     = 113802  --刷新在线奖励图标
ge.checkOperate                 = 113803 --开服活动检测
--双倍福利
ge.doubleWelfareShow            = 113901  --双倍福利
--消费福利
ge.consumen_infoUpdate          = 113902  --消费福利信息更新
ge.consumen_showUpdate          = 113903  --消费福利是否显示
ge.scene_showConsumeGiftPanel   = 113904  --打开消费福利面板
--跨服Boss
ge.crossBoss_allBossInfo        = 113905  --跨服boss信息更新
ge.crossBoss_hurtBossInfo       = 113906  --跨服boss伤害更新
--限时充值返励
--ge.zhuanXiangWelfare_infoUpdate = 114000    --专享福利是否开启
ge.scene_showZhuanXiangWelfarePanel = 114001  --打开专享福利面板
ge.charge_showUpdate            = 114002      --是否显示充值返励
ge.charge_infoUpdate            = 114003      --充值返励更新
--跨服充值排行榜奖励
ge.scene_showCrossRechargePanel = 114050 --打开跨服充值排行榜
ge.crossRecharge_showUpdate     = 114051 --是否显示跨服充值排行榜
ge.crossRecharge_infoUpdate     = 114052 --更新跨服充值排行榜数据
--鲜花榜
ge.scene_showFlowerRankPanel    = 114053 --打开鲜花榜
ge.flowerRank_showUpdate        = 114054 --是否显示鲜花榜
ge.flowerRank_infoUpdate        = 114055 --更新鲜花榜数据
ge.consumRank_infoUpdate        = 114056 --更新消费榜数据
ge.scene_showYanhuaRankPanel    = 114057 --打开烟花榜
ge.yanhuaRank_infoUpdate        = 114058 --烟花排行榜数据
ge.yanhuaRank_showUpdate        = 114059 --是否显示烟花榜
--是否显示送电影票
ge.filmTetick_showUpdate        = 114060 --是否显示送电影票
--是否显示双倍降妖
ge.vipBoss_showUpdate           = 114061 --是否显示双倍降妖
--是否显示双倍兑换经验
ge.exchangeExp_showUpdate       = 114062 --是否显示双倍兑换经验
--是否显示双倍尊武殿
ge.arena_showUpdate             = 114063 --是否显示双倍尊武殿
ge.zhuanPan3_showUpdate         = 114064 --是否显示充值转盘
ge.yiChuiExpIsShow_showUpdate   = 114065 --是否显示一锤
ge.tanBaoIsShow_showUpdate      = 114066 --是否显示探宝
--充值信息更新
ge.playerRechargeInfo_update    = 114550 --充值信息更新
--扩展包奖励信息
ge.playerInfo_loadPlusUpdate    = 114560 --扩展包奖励信息更新
--电影票信息更新
ge.playerInfo_filmTicketUpdate  = 114561 --电影票信息更新
ge.playerInfo_filmTicketNumsUpdate = 114562 --电影票数量信息更新
--混沌战场
ge.scene_showChaosPanel         = 114600 --显示混沌战场
ge.scene_showChaosResultPanel   = 114602 --显示混沌战场结算面板
ge.chaosCopyInfo_update         = 114603 --副本数据更新
ge.chaosShowPopIcon             = 114604 --是否显示角标
--时装
ge.update_FashionInfo           = 115000      --时装信息更新
--伙伴
ge.update_PartnerInfo           = 115110      --伙伴信息更新
ge.guide_OpenParnterEquipUpView = 115111      --引导打开伙伴装备（项链）升级界面
ge.guide_ParnterEquipUp         = 115112      --引导伙伴装备（项链）升级
ge.guide_CloseParnterEquipUpView= 115113      --引导关闭伙伴装备（项链）升级界面
--天空幻境
ge.update_skyDreamLandInfo      = 115100      --天空幻境信息 更新
ge.update_copySkyDreamLandInfo  = 115101      --天空幻境副本信息 更新
ge.showTaoYuanPanel             = 115200      --打开桃园面板
ge.taoYuanInfoUpdate            = 115201      --桃园面板信息
ge.xiaofei_jingLianInfo         = 115250      --特殊装备的精炼信息更新
ge.playerInfo_wakeUpStateUpdate = 115260      --觉醒阶段更新
--双11
ge.doubleElevenViewOne_infoUpdate = 115270    --限时秒杀信息更新
ge.doubleElevenViewTwo_infoUpdate = 115271    --限时团购信息更新
--家园
ge.home_infoUpdate = 115300 --家园信息更新
ge.friendHome_infoUpdate = 115301 ----好友家园信息
ge.wish_infoUpdate = 115302 ----许愿池信息刷新
ge.factory_exchange_panel = 115303 ----打开工坊界面
ge.factory_exchange_panel_update = 115304 ----工坊界面刷新
--农场
ge.farm_infoUpdate = 115350 -- 农场信息更新
ge.farm_landUpdate = 115351 -- 单个土地信息更新
ge.farm_closeSeedShop = 115352 --购买后关闭商店
ge.farm_openFarmPanel = 115353 --打开农场
ge.farm_openFactoryExchangePanel = 115354 --打开工坊
--仙皇争霸1v1
ge.open_arenaXHPanel = 115410 --打开仙皇争霸1v1
-- ge.arenaXH_updateTime = 115411 --仙皇争霸1v1更新时间
--熔炼
ge.ronglu_update = 115440 --熔炉更新
--寻宝轮盘开关
ge.xunbao_showUpdate = 115450 --寻宝轮盘开关
--金猴献礼
ge.newYearGiven = 115451
--新年愿望数据
ge.newYearWish = 115452
--西行副本次数恢复时间更新
ge.expedition_countTimeUpdate = 115455 --西行副本次数恢复时间更新
--打开天空幻境
ge.scene_showSkyDreamLand = 115456
ge.scene_showGuideAlert = 115500 --一分钟无操作，显示引导界面
ge.redPacket_updateInfo = 115457 --全民红包信息更新
ge.redPacket_updateScore = 115458 --全民红包积分更新
ge.scene_openBangZhanRankPanel = 115550 --打开帮战排行榜
ge.yuanXiaoDaTi_updateInfo = 115551 --元宵答题信息更新
ge.guide_partnerUp = 115600 --引导伙伴进阶
ge.openView_jiFuUpdate = 115610 --集福信息更新
ge.isShow_jiFuUpdate = 115610 --集福活动开关更新
ge.toWest_InfoUpdate = 115650 --一路向西领取更新
ge.show_toWestPanel  = 115651 --打开一路向西领界面
ge.isShow_shenMiPanel = 115655 --是否显示神秘商店
return ge
end)
--##globalData.allStaticTypes.goodsIconPathType
GoodsIconPathType = class("GoodsIconPathType",function()
local temp = {}
--背包格子一类小图片
temp.GOODS_ICON = "icon.jpg"
--技能图标
temp.SKILL_ICON = "skillIcon.png"
--快捷栏技能圆形技能图标
temp.SKILLBAR_ICON = "skillBarIcon.jpg"
--商店图标
temp.SHOP_ICON = "shopIcon.jpg"
--场景图标（如：掉落物图标）
temp.SCENE_ICON = "sceneIcon.png"
--buff图标
temp.BUFF_ICON = "buffIcon.jpg"
return temp
end)
--##globalData.allStaticTypes.goodsTipType
--
-- 弹出Tips的类型，决定tips里面的按钮配置
-- Date: 2014-05-09 11:59:12
--
GoodsTipType = class("GoodsTipType", function(self)
local temp = {}
temp.OTHER_TIP = 1 --无操作按钮
temp.EQUIP = 2 --身上装备物品
temp.BAG = 3 --背包物品
temp.FIRE = 4 --炼器
temp.STORE = 8 --商店、商城
temp.EXCHANGE_STORE = 9 --兑换商城
temp.CLUB_WAREHOUSE = 10 --帮派仓库
return temp
end)
--##globalData.allStaticTypes.mapBlockType
MapBlockType = class("MapBlockType",function()
local mb = {}
mb.empty = 0    --不可走
mb.full = 100     --可走
mb.alpha = 200    --透明
return mb
end)
MenuType = class("MenuType", function(self)
local temp = {}
--player tip
temp.showPlayerInfo = 100 --查看信息
temp.addFriend = 101 --添加好友
temp.deleteFriend = 102 --删除好友
temp.sendMessage = 113 --发送聊天
temp.compareFight = 114 --战力对比
temp.friendHome = 115  --好友家园
---------------------------
--点击（其他操作）弹出菜单的类型
---------------------------
temp.fromChat = 1001	--从聊天窗口
temp.fromFriend = 1002 	--从好友面板好友
return temp
end)
function MenuType:getIcon(menuType)
local result = ""
if(menuType == self.showPlayerInfo)then
result = "icon/ui_operation7.png"
elseif(menuType == self.sendMessage)then
result = "icon/ui_operation5.png"
elseif(menuType == self.addFriend)then
result = "icon/ui_operation2.png"
elseif(menuType == self.deleteFriend)then
result = "icon/ui_operation6.png"
elseif(menuType == self.compareFight)then
result = "icon/ui_operation4.png"
elseif(menuType == self.friendHome)then
result = "icon/home_friendIcon.png"
end
return result
end
--##globalData.allStaticTypes.messageType
MessageType = class("MessageType",function()
local mt = {}
mt.ACCOUNT_LOGIN = 10001                    --帐号登陆
mt.ACCOUNT_USRE_RETURN = 10002              --
mt.ACCOUNT_SELECT = 10003                   --
mt.ACCOUNT_CREATE = 10004                   --创建角色
mt.ACCOUNT_HEARTBEAT = 10006                --心跳包
mt.ACCOUNT_DELETE = 10007          	      --删除角色
mt.ACCOUNT_LOST_CONNECT = 10012             --断开连接
mt.LOGIN = 10013                            --登陆
--帮派
mt.LEAGUE_CREATE            = 11001         -- 帮会创建
mt.AUTO_JOIN_LEAGUE         = 11062         -- 自动加入帮派
mt.LEAGUE_REQUEST           = 11003         -- 请求
mt.LEAGUE_REQUEST_LIST      = 11004         -- 请求列表
mt.LEAGUE_REQUEST_DEAL      = 11005         -- 请求处理
mt.LEAGUE_INFO              = 11006         -- 帮会信息
mt.LEAGUE_LIST              = 11007         -- 帮会列表
mt.LEAGUE_MEMBER_LIST       = 11008         -- 成员列表
mt.LEAGUE_QUIT              = 11009         -- 退出帮会
mt.LEAGUE_AUTO_LEVEL        = 11010         --自动入帮等级更新
mt.LEAGUE_GONGXIAN          = 11011         --捐献
mt.LEAGUE_UPGRADE           = 11012         --升级
mt.LEAGUE_GONGXIAN_INFO     = 11013         --自己贡献信息
mt.LEAGUE_NOTICE_UPDATE     = 11014         --帮会公告更新
mt.LEAGUE_JOB_UPDATE        = 11015         -- 职务更改
mt.LEAGUE_MATER_UPDATE      = 11016         -- 会长更改
mt.LEAGUE_KICK              = 11017         -- 踢除会员
mt.RANK_CLUB_INFO           = 11018         --帮派排行榜信息
mt.LEAGUE_DICE              = 11019         --帮会骰子
mt.LEAGUE_ITEM_REQUEST      = 11031         -- 请求
mt.LEAGUE_ITEM_REQUEST_LIST = 11032         -- 请求列表
mt.LEAGUE_ITEM_REQUEST_DEAL = 11033         -- 请求处理
mt.LEAGUE_ITEM_REQUEST_LOG  = 11034         -- 物品请求日志
mt.LEAGUE_ITEM_REQUEST_SET  = 11035         -- 帮贡设置
mt.LEAGUE_LEVEL_UPDATE      = 11036         --帮派等级更新
-- 地图信息
mt.MAP_ENTER = 12001
mt.MAP_USER_ADD = 12003
mt.MAP_USER_REMOVE = 12004                  --地图用户删除
mt.MAP_MONSTER_INFO_UPDATE = 12005          --怪物数据更新
mt.MAP_ROUND_INFO = 12007                   --获取地图人物信息
mt.MAP_MONSTER_MOVE = 12009                 --怪物移动
mt.PLAYER_MOVE = 12010                      --玩家移动
mt.PLAYER_MOVE_STEP = 12011                 --玩家移动同步
mt.PLAYER_RELIVE = 12013                    --玩家复活
mt.LEAGUE_MAP_MEMBER = 12014                --帮会成员地图广播
mt.JUMP_MAP = 12015                         --地图跳转(无飞鞋固定点)
mt.PLAYER_STYLE_UPDATE = 12017              --玩家形象更新
mt.WARSTATE_UPDATE = 12019                  --玩家阵营信息更新
mt.MAP_PET_UPDATE = 12021                   --地图妖精信息更新
mt.MAP_COLLECT_STATE = 12023                --采集物广播
mt.MAP_COLLECT_FAIL = 12024                 --采集失败
mt.PLAYER_TEMP_TITLE = 12025                --玩家临时称号
mt.XIXING_STAR_INFO = 12026                 --西行星星信息
mt.XIXING_STAR_AWARD = 12027                --西行星星奖励
mt.MAP_REMOVE_MONSTER = 12030               --移除怪物
mt.MAP_COLLECT_UPDATE = 12031               --采集物更新
mt.MAP_COLLECT_START = 12032                --开始采集
mt.TRY_COPY_COMPLETE = 12040                --试炼副本结束
mt.ENTER_COPY = 12041                       --进入副本
mt.COPY_ENTER_COUNT = 12042                 --获取副本进入次数列表
mt.QUIT_COPY = 12043                        --退出副本
mt.COPY_TIMEUPDATE = 12044                  --守护副本
mt.COPY_MAXMISSION = 12045                  --副本最高关卡信息
mt.COPY_ZHUANGPAN = 12046                   --副本转盘协议
mt.COPY_BOSSSKILL = 12050                   --副本BOSS击杀面板协议
mt.COPY_RESETTIME_UPDATE = 12051            --副本恢复次数时间更新
mt.RANK_INFO = 12055					    --排行榜信息
mt.COPY_KING_INFO = 12056                   --获取副本霸主信息
mt.COPY_BALL_INFO = 12057                   --波次副本信息
mt.CROSS_RECHARGE_RANK_INFO = 12060         --跨服充值榜
mt.PLAYER_JUMP = 12510                      --玩家跳跃
mt.COPY_TIME_INFO = 12800                   --副本时间信息
mt.COPY_MONSTER_COUNT = 12801               --副本怪物数量信息
mt.COPY_DROP_INFO     = 12802               --副本物品掉落信息
--副本扫荡
mt.COPY_SD_START = 13004                    --开始扫荡
mt.COPY_SD_INFO = 13005                     --扫荡信息
mt.COPY_SD_AWARD = 13006                    --扫荡奖励
mt.COPY_SD_FAST = 13007                     --扫荡立即完成
mt.COPY_SD_ENTRUST = 13008                  --委托
--炼狱副本
mt.COPY_MISSION_RESET_COUNT = 13030          --请求副本重置次数
mt.COPY_MISSION_AWARD_GET = 13031           --获取副本奖励
mt.COPY_MISSION_RESET = 13032               --重置副本
--斩仙排行
mt.ZX_RANK = 13070                          --排行榜
mt.ZX_INFO = 13071                          --斩仙信息
mt.ZX_MATCH_BEGIN = 13072                    --开始匹配
mt.ZX_MATCH_QUIT = 13073                     --结束匹配
mt.ZX_QUIT_INFO = 13074                     --结束信息
mt.ZX_AWARD = 13075                         --奖励
mt.ZX_ADDTIME = 13076                       --添加次数
--全民探宝
mt.TB_INFO  = 13080                          --探宝信息
mt.TB_RANK  = 13081                          --探宝排行信息
mt.TB_AWARD = 13082                          --探宝排行信息
--组队副本
mt.COPY_TEAM_MATCH = 13090					--开始匹配
mt.COPY_TEAM_QUIT = 13091					--取消匹配
--守护副本
mt.SH_CREATE_TEAM = 13092                   --创建队伍
mt.SH_INVITE = 13093                        --邀请好友
mt.SH_INVITE_REQUEST = 13094                --被邀请(弹框)
mt.SH_INVITE_REPLY = 13095                  --回应邀请
mt.SH_QUIT_TEAM = 13096                     --退出队伍
mt.SH_KICK_TEAM = 13097                     --踢出队伍
mt.SH_TEAM_INFO = 13098                     --队伍信息
mt.SH_ENTER_COPY = 13099                    --进入副本
--1v1竞技场
mt.ARENA_INFO = 13100                       --1v1信息
mt.ARENA_RANK = 13101                       --1v1排行
mt.ARENA_SPEED = 13102                      --冷却时间加速
mt.ARENA_ADD_TIME = 13103                   --挑战次数增加
mt.ARENA_FIGHT = 13104                      --挑战玩家
mt.ARENA_ACTIVE = 13105                     --玩家激励自己
mt.ARENA_AWARD = 13106                      --竞技场领奖
mt.ARENA_CANAWARD = 13107					--是否可领奖
--远古战场
mt.CAMPWAR_INFO = 13150                     --信息
mt.CAMPWAR_RANK = 13151                     --排行榜
mt.CAMPWAR_AWARD = 13152                    --结算
--一锤定音
mt.YCDY_INFO = 13161                        --一锤定音信息
mt.YCDY_AWARD = 13162                       --一锤定音奖励
mt.YCDY_CARD = 13163                        --能否翻牌
mt.YCDY_CARD_AWARD = 13164                  --翻牌奖励
mt.YCDY_MON_TIME = 13165                    --怪物刷新
--新帮战
mt.CLUB_WAR_INFO = 13170                    --帮战信息
mt.CLUB_WAR_RANK = 13171                    --排行榜
mt.CLUB_WAR_CLUBS = 13172                   --帮派列表
mt.CLUB_WAR_SUBMIT = 13173                  --帮战采集提交
mt.CLUB_WAR_AWARD = 13174                   --退出奖励
mt.CLUB_WAR_MEMBERS = 13175	                --拉人通知
mt.CLUB_WAR_MEMBERS_REPLY = 13176           --拉人响应
mt.CLUB_WAR_APPLICANT = 13177               --帮战报名
mt.CLUB_WAR_APPLICANT_NUM = 13178           --帮战报名人数
mt.CLUB_WAR_PERSON_RANK = 13179             --帮战信息排行
--天空幻境
mt.SKYDREAMLAND_INFO  = 13180               --天空幻境信息
mt.SKYDREAMLAND_ENTER = 13181               --进入天空幻境
mt.SKYDREAMLAND_BUY   = 13182               --天空幻境购买时间
mt.SKYDREAMLAND_COPYINFO = 13183            --天空幻境副本数据
mt.SKYDREAMLAND_KICK  = 13184               --天空幻境踢出
--答题
mt.WAR_TIME           = 13200               --战场时间
mt.ANSWER_INFO        = 13201               --获取答题面板信息
mt.ANSWER_RESULT      = 13202               --签题
mt.ANSWER_TOPIC       = 13203               --广播题目
mt.BROADCAST_QUIT_MAP = 13204               --时间到需要广播的某张地图(有倒计时的)
mt.DATISKILL          = 13205               --副本中特殊技能
mt.ANSWER_QUIT        = 13210               --答题结算面板
mt.ANSWER_FAILCOUNT   = 13211               --本轮答错人数
--帮派BOSS
mt.CLUBCOPY_AWARD = 13300                   --帮派副本奖励结算
mt.CLUBCOPY_BOSS_HP = 13301                 --帮派副本BOSS血量信息
mt.CLUBCOPY_HURT = 13302                    --帮派副本BOSS伤害值
mt.CLUBCOPY_RESET = 13303                   --帮派副本重置
mt.COPY_NPCUPDATE = 13310                   --守卫升级
mt.COPY_NPCHPUPDATE = 13311                 --守护副本NPC血量更新
mt.COPY_NPCCALL = 13312                     --召唤守卫
mt.COPY_NPCCALLLIST = 13313                 --守卫信息
mt.COPY_NPCCALLEDLIST = 13314               --已召唤守卫信息
mt.COPY_DEFENCEDAWARD = 13315               --守护副本奖励信息
mt.COPY_WORLDBOSSVIP  = 13320               --猎魂副本信息
mt.COPY_FINDTREASURE_INFO = 13330           --宝藏副本信息
mt.COPY_FINDTREASURE_OPENCARD = 13331       --宝藏副本翻牌
mt.COPY_FINDTREASURE_ENTER = 13332          --宝藏副本进入
mt.COPY_FINDTREASURE_SAODAND = 13333        --宝藏扫荡
--群雄争霸
mt.STARCRAFT_RANK_INFO  = 13400             --10人战场排行榜信息
mt.STARCRAFT_INFO       = 13401             --本场次信息
mt.STARCRAFT_MATCHING   = 13402             --开始匹配、报名
mt.STARCRAFT_QUIT_MATCH = 13403             --放弃匹配
mt.STARCRAFT_READYZONE_TIME = 13404         --准备区倒计时
--mt.STARCRAFT_REST_ENTER = 13404             --重进副本
--mt.STARCRAFT_SELFINFO   = 13405             --个人信息
--跨服Boss
mt.ALLCROSSBOSS_HURT_INFO = 13500           --所有boss血量信息
mt.CROSSBOSS_HURT_INFO    = 13501           --单个boss伤害信息
--混沌战场
mt.KICK_MEMBER_3V3        = 13600           --踢出队伍
mt.QUIT_TEAM_3V3          = 13601           --退出3v3队伍
mt.INVITE_FRIEND_3V3      = 13602           --邀请好友
mt.INVITE_REQUEST_3V3     = 13603           --回应邀请
mt.SELF_INFO_3V3          = 13604           --3V3信息（包括参赛信息，队伍信息）
mt.BEGIN_MATCH_3V3        = 13605           --开始匹配
mt.QUIT_MATCH_3V3         = 13606           --放弃匹配
mt.WAR_INFO_3V3           = 13607           --本场次信息
mt.RANK_INFO_3V3          = 13608           --3V3排行榜信息
mt.RANK_AWARD_3V3         = 13609           --每日排行榜领奖
mt.INVITE_ERROR_3V3       = 13610           --回应邀请报错
mt.REPORT_3V3             = 13611           --举报队友
mt.RESULT_INFO_3V3        = 13612           --结算信息
mt.VIP_BOSS_CHARGE_BATTLE_TIME        = 13701           --猎魂BOSS付费挑战次数
--三打
mt.SANDA_MATCHING         = 13710           --三打副本报名匹配
mt.SANDA_COPY_INFO        = 13711           --三打副本副本信息
mt.SANDA_CANEL_MATCH      = 13712           --取消匹配
mt.SANDA_AWARD            = 13713           --奖品显示
-- 物品
mt.GOODS_SPLIT = 14002                      --道具拆分
mt.ITEM_ARRANGE = 14003                     --道具整理
mt.ITEM_PLACE_UPDATE = 14006                --物品更新
mt.GOODS_MOVE = 14007                       --物品移动
mt.GOODS_FIVEEQUIP_UPDATE = 14008           --特殊物品更新
mt.ITEM_FIVEEQUIP_ARRANGE = 14009           --特殊物品整理
mt.GOODS_USE = 14012                        --物品使用
mt.GOODS_BUY = 14014                        --够买物品
mt.GOODS_FUSION = 14016						--物品融合
mt.GOODS_COMPOSE = 14028                    --合成物品
mt.GOODS_SELL = 14029                       --出售物品
mt.GOODS_EXCHANGE = 14110                   --物品兑换
mt.GOODS_EXCHANGE_LIST = 14111              --物品兑换列表信息
mt.GOODS_BATCH_USE = 14203                  --物品批量使用
mt.GOODS_QUERY = 14045                      --物品信息查询
mt.GOODS_GAIN_MSG = 14363                   --物品获得提示信息
--炼器
mt.GOODS_STRENGTH = 14011                   --道具强化
mt.GOODS_AUTO_STRENGTH = 14036              --道具自动强化
mt.GOODS_REBUILD = 14020                    --道具洗练
mt.GOODS_BATCH_REBUILD = 14041              --道具批量洗练
mt.GOODS_REBUILD_REPLACE = 14207            --道具批量洗练替换
mt.GOODS_UPGRADE = 14032                    --道具升级
mt.GOODS_ADVANCE = 14040                    --道具进阶
mt.GOODS_UP_STAGE = 14015                   --道具提品
-- 商城
mt.SHOP_DISCOUNT = 14037                    --获取优惠商品
mt.SHOP_DISCOUNT_BUY = 14039                --购买优惠商品
--飞鞋
mt.USER_FLY = 14060                         --飞天鞋使用
mt.ITEM_PAY_BOX = 14364                     --付费箱子使用
--时装
mt.FASHION_INFO   = 14400                   --时装信息
mt.FASHION_STATE  = 14401                   --时装隐藏或装备
mt.FASHION_ACTIVE = 14402                   --时装激活
mt.FASHION_STARUP = 14403                   --时装升星
--精炼
mt.JINGLIAN_INFO = 14501                    --精炼装备
--福利
mt.DAY_AWARD_INFO = 15001                    -- 七天奖励信息
mt.DAY_AWARD_FETCH = 15002                   -- 七天奖励领取
mt.FILM_TICKET_INFO = 15003                  -- 电影票兑换码信息
mt.FILM_TICKET_NUM_INFO = 15004              -- 电影票数量信息
mt.PAY_COUNT_AWARD_INFO = 15005              -- 充值好礼信息
mt.MONTH_AWARD_INFO = 15011                  -- 月签到奖励信息
mt.MONTH_AWARD_FETCH = 15012                 -- 月签到奖励领取
mt.MONTH_AWARD_SIGN_ALL = 15014              -- 补签
mt.SEVEN_DAY_GET = 15015              -- 第七天领取
mt.JIFU_INFO = 15020                         --集福信息更新 / 领取
mt.LOSS_INFO = 15021                         -- 经验补尝信息
mt.LOSS_FETCH = 15022                        -- 经验补尝领取
--活跃度
mt.BRISK_INFO = 15031                        --活跃度信息
mt.BRISK_AWARD_INFO = 15032                  --活跃度奖励信息
mt.BRISK_AWARD_ACCEPT =  15033               --活跃度奖励领取
--VIP
mt.VIP_INFO = 15041                         --VIP信息
mt.VIP_WEEK_AWARD = 15042                   --VIP周奖励领取
mt.VIP_BUY = 15043                          --VIP购买
mt.VIP_LOSE = 15044                         --vip过期，弹框
mt.VIP_CARD_USE = 15045                     --vip卡使用
mt.PRIVILEGE_AWARD = 15049                  --特权激活码奖励
mt.PRIVILEGE_INFO = 15050                   --特权信息
mt.PAY_INFO = 15051                         --充值信息
mt.ACTIVE_CODE = 15060                      --领取激活码奖励
--开服活动
mt.ACTIVE_OS_TEMP = 15070					--活动模板
mt.ACTIVE_OS_INFO = 15071					--用户数据
mt.ACTIVE_OS_AWARD = 15072                  --领取奖励
mt.ACTIVE_OS_RANK = 15073                   --消费排行
mt.ACTIVE_OS_STAGE = 15074                  --全服品阶
mt.ACTIVE_OS_TOTAL_PAY = 15075              --N人充值
mt.ACTIVE_OS_STAGENUM = 15076               --七大模块冲阶人数
--成长计划
mt.GROWUPPROJECT_BUY  = 15804                --成长计划购买
mt.GROWUPPROJECT_PLAN = 15805                --成长计划领取
mt.GROWUPPROJECT_GET  = 15806                --成长计划信息
--等级礼包
mt.PP_LEVEL_AWARD_INFO = 15091              --等级奖励信息
mt.PP_LEVEL_AWARD_FETCH = 15092             --等级奖励领取
--神秘商店
mt.SHENMI_SHOP_UPDATE = 15111               --神秘商店数据更新
mt.SHENMI_SHOP_BUY = 15112                  --神秘商店购买
mt.SHENMI_SHOP_REFRESH = 15113              --神秘商店刷新
--vip商店
mt.VIP_MALL_UPDATE = 15116                 --VIP商店数据更新
mt.VIP_MALL_BUY = 15117                    --VIP商店购买
mt.VIP_MALL_REFRESH = 15118                --VIP商店刷新
--合服活动
mt.COMBINEDACTIVE_INFO = 15121              --合服活动信息
mt.COMBINEDACTIVE_GET  = 15122              --合服活动领奖
--月卡
mt.MONTH_CARD_INFO  = 15200                  --月卡信息
mt.MONTH_CARD_BUY   = 15201                  --月卡购买
mt.MONTH_CARD_FETCH = 15202                  --月卡领奖
--改名卡
mt.CHANGE_NAME = 15211                       --改名
--转职
mt.CHANGE_PROFESSION = 20710                       --转职
--欢迎奖励
mt.WELCOME_AWARD = 15300                     --奖励信息
--双11
mt.DOUBLE_ELEVEN_ONE_BUY = 15310             --双11秒杀购买协议
mt.DOUBLE_ELEVEN_ONE_INFO = 15311            --双11秒杀购买信息
mt.DOUBLE_ELEVEN_FOUR_INFOR = 15320          --双11活动4信息
mt.DOUBLE_ELEVEN_OPENCARD = 15321            --双11活动4翻卡
mt.DOUBLE_ELEVEN_OPENCARD_TIME = 15322            --双11活动4剩余时间
mt.DOUBLE_ELEVEN_THREE_BUY = 15324           --双11限时折扣购买物品
mt.DOUBLE_ELEVEN_TWO_BUY = 15330             --双11团购购买
mt.DOUBLE_ELEVEN_TWO_INFO = 15331            --双11团购信息
--欢乐转盘
mt.ZHUANPAN_PICK  = 15400					--转盘抽奖
mt.ZHUANPAN_EXCHANGE = 15401				--转盘兑换
mt.ZHUANPAN_INFO  = 15402 					--转盘信息
mt.ZHUANPAN_AWARD =15403                    --转盘奖励
--经验回购
mt.WELFARE_EXP_BUY  = 15500                 --经验回购
mt.WELFARE_EXP_INFO = 15501                 --经验信息
--充值转盘
mt.ZHUANPAN_YUANBAO_PICK = 15600            --充值转盘抽奖
mt.ZHUANPAN_YUANBAO_GET  = 15601            --充值转盘获得奖励
mt.ZHUANPAN_YUANBAO_INFO = 15602            --充值转盘信息
mt.ZHUANPAN_YUANBAO_ISOPEN = 15603          --是否开启财运亨通
--1v1
mt.ARENA_XH_RANK_INFO = 13801               --1v1排行榜信息
mt.ARENA_BEGIN_MATCH = 13802                --1v1开始匹配
mt.ARENA_QUIT_MATCH = 13803                 --1V1退出匹配
mt.ARENA_XH_RESULT = 13804                  --1V1结算
--寻宝转盘
mt.ZHUANPAN_XUNBAO_PICK  = 20504            --寻宝转盘抽奖
mt.ZHUANPAN_XUNBAO_INFO  = 20505            --寻宝转盘获得数据
mt.ZHUANPAN_XUNBAO_GET   = 20506            --寻宝转盘获得物品
--淘金
mt.WASH_INFO   = 20507                      --淘金信息
mt.WASH_INDEX   = 20508                     --转盘结束位置
mt.WASH_REWARD_LIST   = 20509               --获得物品信息
mt.WASH_TIMES   = 20510                     --获得可抽獎次數
mt.WASH_BIGAWARDLIST   = 20511                     --大奖列表
--元宵答题
mt.YUANXIAO_DATI_INFO   = 15016             --元宵答题信息
mt.YUANXIAO_DATI_START  = 15017             --开始答题
mt.YUANXIAO_DATI_ANSWER = 15018             --答题
--成就系统
mt.ACHIEVEMENT_INFO      = 15700            --成就信息
mt.ACHIEVEMENT_FETCH     = 15701            --成就领取
--一路向西
mt.TOWEST_CREATE_TIME    = 15704            --创角时间更新
mt.TOWEST_INFO           = 15705            --一路向西信息更新
mt.TOWEST_GET_AWARD      = 15706            --获取奖励
--双倍福利
mt.DOUBLEWELFARE    = 15800                    --双倍福利
--消费送礼
mt.CONSUMENGIFTINFO = 15801                 --消费送礼信息更新
mt.CONSUMENGIFTGET  = 15802                 --发送消费送礼领奖
mt.CONSUMENGIFTSHOW = 15803                 --是否开启消费送礼
mt.CONSUMENEWSERVERGIFT = 15880             --新服大馈赠
mt.LOADPLUSAWARDINFO = 15885                --下载扩展包获得奖励
--觉醒
mt.WAKEUP_INFO = 15900                      --觉醒信息
mt.WAKEUP_UPDATE = 15901                    --觉醒升级
--新年活动
mt.NEW_YEAR_GIVE = 15921            --金猴活动提交物品
mt.NEW_YEAR_GET_PERCENT = 15922     --金猴活动获取进度
mt.OFF_SALE = 15923                 --打折通知
mt.NEW_YEAR_WISH_INFO = 15924       --新年愿望信息
mt.NEW_YEAR_AWARD = 15925           --随机奖励物品
mt.NEW_YEAR_CHOICE = 15926          --许愿确认选择
--新年红包
mt.RED_PACKET_INFO  = 15930          --红包信息
mt.RED_PACKET_SCORE = 15931          --红包积分
mt.RED_PACKET_GET   = 15932          --红包领取
--聊天
mt.CHAT = 16001                             --用户聊天
mt.PLAYER_NOTICE = 16011                    --玩家公告
mt.COMBO_KILL = 16021                       --连斩信息
--好友
mt.FRIEND_UPDATE = 18002                    --更新好友信息
mt.FRIEND_GET_LIST = 18004                  --获取好友列表
mt.FRIEND_DELETE = 18012                    --好友删除
mt.FRIEND_RESPONSE = 18014                  --好友添加响应[出现快捷图标]
mt.FRIEND_ONLINE_STATE = 18015              --好友在线状态更新
mt.FRIEND_ACCEPT = 18016                    --好友同意拒绝
mt.FRIEDN_WATER = 18017                     --好友浇水信息更新
mt.PLAYER_INFO = 18020                      --查询用户信息
mt.QUERY_FRIEND_INFO = 18021                --搜素好友
mt.QUERY_OFFLINE_TIPS = 18023              --查看的玩家不在线时，飘字提示
mt.FRIEND_RELATION_UPDATE = 18055           --亲密度更新
mt.BATCH_FRIEND_ACCPET = 18056              --批量同意好友申请
mt.FRIEND_BATCH_INVITE = 18065              --一键征友
mt.FRIEND_BATCH_INFO_LIST = 18065           --一键征友信息
--信息查询
mt.INFO_QUERY = 18022                       --用户信息查询
mt.PET_INFO = 18031                         --妖精信息查询
mt.OATH_INFO_2 = 18039                      --结义查询
--邮件
mt.LETTER_SEND = 19001                      --发邮件
mt.LETTER_ATTACH_RECEIVE = 19002            --收附件
mt.LETTER_READ = 19003                      --读邮件
mt.LETTER_DELETE_ONE = 19005                --邮件删除
mt.LETTER_DELETE = 19007                    --批量邮件删除
mt.LETTER_UPDATE = 19008                    --更新邮件
mt.QUERY_SELF_OTHER = 20002                 --获取各种数据
mt.UPDATE_SELF_MONEY = 20003                --更新货币
mt.UPDATE_USER_INFO = 20004                 --更新玩家信息公开信息
mt.UPDATE_SELF_EXP = 20006                  --个人经验更新-传总exp,及战斗中的妖精的总exp
mt.UPDATE_PLAYER_LEVEL = 20007              --升级更新
mt.UPDATE_PLAYER_HONOUR = 20009              --荣誉更新
mt.CAREER_UPDATE = 20010                    --职业更新
mt.BUFF_UPDATE = 20012                      --buff更新
--技能
mt.SKILL_LEARN = 20013                      --技能学习/升级
mt.SKILL_INIT = 20014                       --技能加载
mt.SKILL_PLAN_INIT = 20015                  --技能方案初始化
mt.CHANGE_SKILL_OF_PLAN = 20016             --改变技能方案里面的技能
mt.CHOOSE_SKILL_PLAN = 20017                --选择技能方案x
--称号
mt.PLAYER_CHOOSE_TITLE = 20018              --选择称号
mt.PLAYER_TITLE_INFO = 20021                --称号信息列表
mt.PLAYER_TITLE_DELETE = 20022              --称号删除
mt.PLAYER_ATTACK = 20031                    --玩家攻击
mt.PLAYER_GET_DROPITEM = 20032              --拾取
mt.PLAYER_PKMODE_CHANGE = 20050             --PK模式变更
mt.PLAYER_COLLECT = 20062                   --采集完成
--MONEY
mt.PAY_VALUE_UPDATE = 20141                --消费积分更新
--在线奖励
mt.ONLINE_AWARD_INFO = 20501                --在线奖励信息
mt.ONLINE_AWARD_GET = 20503                 --在线奖品领取
mt.WUHUN_INFO   = 20601                     --武魂信息
mt.WUHUN_UPDATE = 20602                     --武魂升级
--家园
mt.HOME_INFO = 20801                        --家园信息
mt.HOME_COUNT_OF_HELP = 20803               --已帮助别人浇水的次数
mt.HOME_UPGRADE = 20804                     --家园升级
mt.HOME_GET_TREE_AWARD = 20805              --获取幸运树奖励
mt.HOME_WATER_TREE = 20806                  --浇水
mt.HOME_HELP_WATER = 20807                  --帮助好友浇水
mt.HOME_INFO_FRIEND = 20808                 --获取好友家园信息
mt.WISH_GET_STAR = 20809                    --摘星星
mt.WISH = 20810                             --许愿
mt.WISH_AWARD_LIST = 20811                 --获取许愿池物品奖励
mt.WISH_UPDATE_INFO = 20812                 --更新许愿池数据
mt.HOME_TREE_INFO = 20813                   --幸运树信息更新
mt.HOME_FRIEND_INFO_NIL = 20814            --好友家园信息为空
mt.HOME_HELP_WATER_ALL = 20815             --幸运树一键浇水
mt.HOME_HELP_FRIEND_LIST = 20816           --获取可浇水好友列表
mt.FACTORY_EXCHANGE = 20821            --工坊物品兌換
--农场
mt.FARM_INFO = 20831                        --农场信息
mt.FARM_BUY_LAND = 20832                    --激活土地
mt.FARM_BUY_SEED = 20833                    --购买种子
mt.FARM_WATER_PRANT = 20834                 --一键浇水
mt.HARM_HARVEST = 20835                     --一键收获
--邀请码
mt.INVITE_CODE_GET = 20901					--获取邀请码数据
mt.INVITE_CODE_USE = 20902					--使用邀请码
mt.INVITE_CODE_AWARD = 20903                --邀请人数奖励
--熔炉
mt.RONGLU_INFO = 20911                      --熔炉信息
--boss
mt.BOSS_UPDATE = 21001                      --boss状态
mt.BOSS_HART_INFO = 21002                   --boss伤害信息
mt.BOSS_ELITE_DEAD = 21003                  --精英boss死亡
mt.BOSS_ELITE_HART_INFO = 21004             --精英boss伤害信息
mt.TARGET_ATTACK = 23001                    --通知用户目标战斗信息更新
mt.TARGET_DROPITEM_ADD = 23002              --掉落物添加
mt.TARGET_DROPITEM_REMOVE = 23003           --掉落物删除
mt.TARGET_DROPITEM_UPDATE = 23005           --掉落物更新
mt.TARGET_ATTACKED_WAITING = 23006          --蓄气吟唱
mt.TARGET_UPDATE_BLOOD = 23007              --加血
mt.SCENE_WORD_SHOW = 23021					--屏幕紫色背景提示
mt.CHANGE_FIGHT_STATE = 23022               --更新战斗状态
--任务
mt.TASK_ACCEPT = 24001                      --接受任务
mt.TASK_UPDATE = 24002                      --任务更新
mt.TASK_CANCEL = 24003                      --任务取消
mt.TASK_SUBMIT = 24004                      --任务提交
mt.TASK_CLIENT = 24005                      --客户端控制
mt.TASK_ZHENYAO_REFRESH = 24071             --刷镇妖任务
mt.TASK_ZHENYAO_UPDATE  = 24072             --镇妖任务列表
mt.TASK_QUICK_FINISH    = 24032             --立即完成任务
mt.TASK_CLUB_UPDATE     = 24081             --帮派任务更新
mt.TASK_WAKE_UP_UPDATE     = 24082             --觉醒任务更新
--妖精
mt.PET_UPDATE = 25001                       --妖精更新
mt.PET_ATTACK = 25002                       --妖精攻击
mt.PET_ADVANCE = 25003                      --妖精进阶
mt.PET_QIANGNENG = 25004                    --潜能提升
mt.PET_HUAXING = 25005                      --宠物化形
mt.PET_JINHUA  = 25006                      --宠物进化
mt.PET_SKILLUPDATE = 25007                  --技能升级
--消费
mt.XIAOFEI_JINJIE = 26001                  --进阶更新
mt.XIAOFEI_HUAXING = 26002                  --化形
mt.XIAOFEI_JIHUO = 26003                    --激活
mt.XIAOFEI_INFO = 26004                     --消费信息
mt.XIAOFEI_ADVANCE = 26005                  --进阶成功
mt.XIAOFEI_QN_CZ_FS = 26006                 --成长潜能飞升
--幻化
mt.XIAOFEI_HUANHUA = 26011                  --幻化
mt.XIAOFEI_SKILLUP = 26012                  --技能升级
mt.XIAOFEI_JINGHUA = 26010                  --化形进化
mt.BLESS_USE = 26005                        --祝福卡使用
mt.RIDER_UPDOWN = 26008                     --上下坐骑
mt.XIAOFEI_SHOW = 26007                --设置可见隐藏
mt.RIDER_TALENTUPDATE = 26009               --坐骑天赋数据
mt.SPECIAL_INFO = 26400                     --特殊装备更新
mt.SPECIAL_JINGLIAN_INFO = 26401            --获取特殊装备的精炼信息
--伙伴
mt.PARTNER_ACTIVE = 26701                   --伙伴激活
mt.PARTNER_FIGHT_STATE = 26702              --伙伴出战或休息
mt.PARTNER_ATTACK = 26703                   --伙伴攻击
mt.PARTNER_EQUIP_ADVANCE = 26704            --伙伴装备进阶
mt.PARTNER_ADVANCE = 26705                  --伙伴升阶段
mt.PARTNER_SKILLUP = 26706                  --伙伴技能升级
mt.PARTNER_UPDATE = 26707					--伙伴信息更新
mt.QUERY_PARTNER_FIGHT = 26708              --查询玩家伙伴战斗力
mt.MARRY_REQUEST = 29001					--结婚请求
mt.MARRY_REPLEY = 29002                     --结婚回复
mt.MARRY_DIVORCE = 29003                    --离婚
mt.MARRY_INFOUPDATE = 29004                 --结婚信息
mt.XY_UP_LEVEL = 29005                      --升级仙缘
mt.SEND_FLOWER = 29010						--送花
mt.QINMIDU_CHANGE = 29011                   --亲密度更新
mt.CHARM_CHANGE = 29012						--魅力值更新
mt.RECEIVE_FLOWER = 29013                   --收花
mt.RENQI_CHANGE = 29014                     --人气值更新
mt.SEND_YANHUA = 29015                      --送烟花
mt.PEISHI_UPGRAD = 29050                    --佩饰升级
mt.PEISHI_UPDATE = 29051                    --佩饰信息
mt.OATH_REQUEST = 29100                   --请求结义
mt.OATH_REPLAY = 29101                   --结义回应
mt.OATH_INFO = 29102                   --结义信息
mt.OATH_DEVOICE = 29103                   --解除结义关系
mt.OATH_UPDATE = 29104					--结义升级
mt.TAOYUAN_INFO = 29105                 --桃园副本信息
mt.TAOYUAN_UPDATE = 29106               --提升桃子成熟度
mt.TAOYUAN_PICK = 29107                 --摘桃子
mt.SYS_MESS = 30005                         --系统消息
--时间
mt.SYS_DATE = 30006                         --系统时间
mt.SYS_SPEEDCHECK = 30007                   --判断加速
mt.SYS_TIMEERROR = 30008					--时间同步出错
mt.SYS_DAY_REFRESH = 30023                  --同步时间
mt.GM_MESSAGE = 30030                       --GM报BUG
mt.GM_TICK_INFO = 30052						--GM踢掉全服
return mt
end)
--##globalData.allStaticTypes.panelTabType
PanelTabGroupType = class("PanelTabGroupType",function()
local pt = {}
pt.bag = 101--背包
pt.property = 102--属性
pt.skill = 103--技能
pt.heart = 104--心缘
pt.shop = 401--商城
--社交
pt.friend = 601 --好友
pt.friendResponse = 605 --好友请求
--妖精
pt.pet = 711
pt.petTanlent  = 719
--坐骑
pt.rider = 712
pt.riderTalent = 718
--足迹
pt.god = 713
--翅膀
pt.wing = 714
--仙灵
pt.sprite = 715
--法阵
pt.fazhen = 716
--龙魂
pt.longhun = 717
--日常
pt.dailyCopy = 1001     --副本
pt.matter = 1002 --活动
pt.activity = 1003  --活跃度
pt.findTreasure = 1004 --藏宝秘境
--炼器
pt.furnaceStrength = 1102   --强化
--仙缘
pt.xianYuan = 1103          --仙缘
pt.oath = 1104          --结义
--竞技场
pt.arena2 = 1011            --尊武殿
pt.starcraft = 1015         --群雄争霸
pt.chaos = 1016             --混沌战场
pt.arenaXH = 1017          --仙皇争霸1v1
--排行榜
pt.rank  = 1020             --排行榜
--pt.rank1 = 1020
--pt.rank2 = 1021
--帮派
pt.league = 1030            --帮派界面
pt.leagueList = 1031        --帮派列表
--领奖(福利)
pt.welfare = 1040           --福利
--开服活动
pt.open = 1050
--开服运营活动
pt.operateActive = 1055
--合服活动
pt.combinedActive = 1056
pt.worldBoss = 1060         --worldBoss
pt.jingYingBoss = 1061      --精英boss
pt.worldBossVip = 1062      --vip副本
pt.zhuanpan = 1090 --欢乐转盘
pt.washGold = 1101 --欢乐淘金
pt.zhuanpan3 = 1091 --财运亨通
pt.welfareExp = 1092 --经验兑换
pt.needExchange = 1093 --极品兑换
pt.consumenGift = 1094 --消费送礼
--家园
pt.home = 1105 --家园系统
--伙伴
pt.partner = 1106 --伙伴系统
pt.rankCrossRecharge = 1111 --跨服充值排行榜奖励
pt.vip = 1120 --vip面板
pt.pay = 1130 --充值
pt.riderHuaXing  = 1141--坐骑化形
pt.petHuaXing    = 1142--妖精化形
pt.wingHuaXing   = 1143--羽翼化形
pt.bangZhanRank = 1150 --帮战排行榜
pt.toWest = 1155 --一路向西
pt.fightUp = 1156 --战力提升
pt.tab1 = {pt.bag,pt.property,pt.skill,pt.fightUp}
--功能屏蔽：结婚、结义、家园
--pt.tab3 = {pt.friend, pt.xianYuan, pt.oath,pt.home}
pt.tab3 = {pt.friend}
--屏蔽完成
pt.tab4 = {pt.rider,pt.pet,pt.wing,pt.god,pt.sprite,pt.fazhen,pt.longhun}
pt.tab7 = {pt.riderTalent,pt.petTanlent}
pt.tabRank = {pt.rank}
pt.tabShop = {pt.shop}
--功能屏蔽：宝藏秘境
--pt.tabDaily = {pt.activity,pt.findTreasure,pt.matter}
pt.tabDaily = {pt.activity,pt.matter}
--屏蔽完成
pt.tabCopy = {pt.dailyCopy}
pt.furnace = {pt.furnaceStrength}
--功能屏蔽：群雄争霸、混沌战场
--pt.arenaTab = {pt.arena2,pt.arenaXH,pt.starcraft,pt.chaos}
pt.arenaTab = {pt.arena2}
--屏蔽完成
pt.leagueTab = {pt.league}
pt.leagueListTab = {pt.leagueList}
pt.welfareTab = {pt.welfare}
pt.worldBossTab = {pt.worldBossVip,pt.worldBoss,pt.jingYingBoss}
--pt.zhuanTab = {pt.zhuanpan,pt.zhuanpan3}
pt.vipTab = {pt.vip}
pt.payTab = {pt.pay}
pt.huaXingTab = {pt.riderHuaXing,pt.petHuaXing,pt.wingHuaXing}
pt.toWestTab = {pt.toWest}
return pt
end)
function PanelTabGroupType:updateShenHeType()
if(globalData:isShenHe()) then
self.arenaTab = {self.arena2,self.arenaXH,self.bangZhanRank}
else
self.arenaTab = {self.arena2,self.arenaXH,self.bangZhanRank}
end
end
--处理回调事件
--tab:int
function PanelTabGroupType:handleByTab(tab)
if(tab == self.bag) then
globalManager.moduleManager:addModule(globalData.allStaticTypes.moduleType.bag,nil,false)
elseif(tab == self.property) then
globalManager.moduleManager:addModule(globalData.allStaticTypes.moduleType.role,nil,false)
elseif(tab == self.skill) then
globalManager.moduleManager:addModule(globalData.allStaticTypes.moduleType.skill,nil,false)
elseif(tab == self.fightUp)then
globalManager.moduleManager:addModule(globalData.allStaticTypes.moduleType.fightUp,nil,false)
--globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.show_fightUpPanel,globalManager.gameDispatcher,false))
elseif(tab == self.xianYuan) then
globalManager.moduleManager:addModule(globalData.allStaticTypes.moduleType.xianYuan,nil,false)
elseif(tab == self.oath) then
globalManager.moduleManager:addModule(globalData.allStaticTypes.moduleType.oath,nil,false)
--商城
elseif(tab == self.shop) then
globalManager.moduleManager:addModule(globalData.allStaticTypes.moduleType.shop,tab,false)
--社交
elseif(tab == self.friend) then
globalManager.moduleManager:addModule(globalData.allStaticTypes.moduleType.friend,tab,false)
--日常
elseif(tab == self.activity) then
globalManager.moduleManager:addModule(globalData.allStaticTypes.moduleType.activity,tab,false)
elseif(tab == self.dailyCopy)then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_showTryCopyPanel,globalManager.gameDispatcher,nil))
elseif(tab == self.matter) then
globalManager.moduleManager:addModule(globalData.allStaticTypes.moduleType.matter,tab,false)
elseif(tab == self.findTreasure) then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_showTreasurePanel,globalManager.gameDispatcher,nil))
elseif(tab == self.pet) then
globalManager.moduleManager:addModule(globalData.allStaticTypes.moduleType.xiaofei,1,false)
elseif(tab == self.petTanlent)then
globalManager.moduleManager:addModule(globalData.allStaticTypes.moduleType.xiaofei,9,false)
elseif(tab == self.rider) then
globalManager.moduleManager:addModule(globalData.allStaticTypes.moduleType.xiaofei,2,false)
elseif(tab == self.riderTalent)then
globalManager.moduleManager:addModule(globalData.allStaticTypes.moduleType.xiaofei,8,false)
elseif(tab == self.wing) then
globalManager.moduleManager:addModule(globalData.allStaticTypes.moduleType.xiaofei,3,false)
elseif(tab == self.god) then
globalManager.moduleManager:addModule(globalData.allStaticTypes.moduleType.xiaofei,4,false)
elseif(tab == self.sprite) then
globalManager.moduleManager:addModule(globalData.allStaticTypes.moduleType.xiaofei,5,false)
elseif(tab == self.fazhen) then
globalManager.moduleManager:addModule(globalData.allStaticTypes.moduleType.xiaofei,6,false)
elseif(tab == self.longhun) then
globalManager.moduleManager:addModule(globalData.allStaticTypes.moduleType.xiaofei,7,false)
elseif(tab == self.riderHuaXing)then
globalManager.moduleManager:addModule(globalData.allStaticTypes.moduleType.xiaofei,12,false)
elseif(tab == self.petHuaXing)then
globalManager.moduleManager:addModule(globalData.allStaticTypes.moduleType.xiaofei,11,false)
elseif(tab == self.wingHuaXing)then
globalManager.moduleManager:addModule(globalData.allStaticTypes.moduleType.xiaofei,13,false)
elseif(tab == self.furnaceStrength)then
globalManager.moduleManager:addModule(globalData.allStaticTypes.moduleType.furnace,tab,false)
elseif(tab == self.arena2)then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_showArena2Panel,globalManager.gameDispatcher,nil))
elseif(tab == self.arenaXH)then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.open_arenaXHPanel,globalManager.gameDispatcher,nil))
elseif(tab == self.starcraft)then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_showStarcraftPanel,globalManager.gameDispatcher,nil))
elseif(tab == self.chaos)then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_showChaosPanel,globalManager.gameDispatcher,nil))
elseif(tab == self.rank)then
globalManager.moduleManager:addModule(globalData.allStaticTypes.moduleType.rank,1,false)
elseif(tab == self.league)then
globalManager.moduleManager:addModule(globalData.allStaticTypes.moduleType.league,1,false)
elseif(tab == self.leagueList)then
globalManager.moduleManager:addModule(globalData.allStaticTypes.moduleType.league,10,false)
elseif(tab == self.welfare)then
globalManager.moduleManager:addModule(globalData.allStaticTypes.moduleType.welfare,1,false)
elseif(tab == self.open) then
globalManager.moduleManager:addModule(globalData.allStaticTypes.moduleType.open,1,false)
elseif(tab == self.operateActive) then
globalManager.moduleManager:addModule(globalData.allStaticTypes.moduleType.operateActive,nil,false)
elseif(tab == self.partner) then
globalManager.moduleManager:addModule(globalData.allStaticTypes.moduleType.partner,nil,false)
elseif(tab == self.washGold) then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_showWashGoldPanel,globalManager.gameDispatcher,nil))
elseif(tab == self.combinedActive)then
globalManager.moduleManager:addModule(globalData.allStaticTypes.moduleType.combinedActive,nil,false)
elseif(tab == self.worldBoss)then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.worldboss_showPanel,globalManager.gameDispatcher,false))
elseif(tab == self.jingYingBoss)then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.worldboxx_showJingYing,globalManager.gameDispatcher,false))
elseif(tab == self.worldBossVip)then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.worldbossVip_showVip,globalManager.gameDispatcher,false))
elseif(tab == self.zhuanpan)then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_showZhuanpanPanel,globalManager.gameDispatcher,nil))
elseif(tab == self.zhuanpan3)then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_showZhuanpan3Panel,globalManager.gameDispatcher,nil))
elseif(tab == self.consumenGift)then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_showConsumeGiftPanel,globalManager.gameDispatcher,nil))
elseif(tab == self.rankCrossRecharge)then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_showCrossRechargePanel,globalManager.gameDispatcher,nil))
elseif(tab == self.home)then
globalManager.moduleManager:addModule(globalData.allStaticTypes.moduleType.home,ToHomeModuleData:new(1,globalData.homeInfo),false)
elseif(tab == self.vip)then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_showVipPanel,globalManager.gameDispatcher,nil))
elseif(tab == self.pay)then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_showPayPanel,globalManager.gameDispatcher,nil))
elseif(tab == self.bangZhanRank)then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_openBangZhanRankPanel,globalManager.gameDispatcher,nil))
elseif(tab == self.toWest)then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.show_toWestPanel,globalManager.gameDispatcher,nil))
end
end
function PanelTabGroupType:getTabTitle(tab)
if(tab == self.bag)then
return globalManager.yuyanbaoManager:getYuyanbao("PanelTabGroupType.text1")
elseif(tab == self.property)then
return globalManager.yuyanbaoManager:getYuyanbao("PanelTabGroupType.text2")
elseif(tab == self.skill)then
return globalManager.yuyanbaoManager:getYuyanbao("PanelTabGroupType.text3")
elseif(tab == self.fightUp)then
return globalManager.yuyanbaoManager:getYuyanbao("PanelTabGroupType.text58")
elseif(tab == self.xianYuan)then
return globalManager.yuyanbaoManager:getYuyanbao("PanelTabGroupType.text5")
elseif(tab == self.npcStore)then
return globalManager.yuyanbaoManager:getYuyanbao("PanelTabGroupType.text6")
elseif(tab == self.exchange)then
return globalManager.yuyanbaoManager:getYuyanbao("PanelTabGroupType.text7")
elseif(tab == self.shop)then
return globalManager.yuyanbaoManager:getYuyanbao("PanelTabGroupType.text8")
elseif(tab == self.friend)then
return globalManager.yuyanbaoManager:getYuyanbao("PanelTabGroupType.text9")
elseif(tab == self.pet)then
return globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel14")
elseif(tab == self.petTanlent)then
return globalManager.yuyanbaoManager:getYuyanbao("PanelTabGroupType.text11")
elseif(tab == self.rider)then
return globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel15")
elseif(tab == self.riderTalent)then
return globalManager.yuyanbaoManager:getYuyanbao("PanelTabGroupType.text12")
elseif(tab == self.god)then
return globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel16")
elseif(tab == self.wing)then
return globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel17")
elseif(tab == self.sprite)then
return globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel19")
elseif(tab == self.fazhen)then
return globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel20")
elseif(tab == self.longhun)then
return globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel21")
elseif(tab == self.activity) then
return globalManager.yuyanbaoManager:getYuyanbao("PanelTabGroupType.text13")
elseif(tab == self.dailyCopy)then
return globalManager.yuyanbaoManager:getYuyanbao("PanelTabGroupType.text14")
elseif(tab == self.matter)then
return globalManager.yuyanbaoManager:getYuyanbao("PanelTabGroupType.text15")
elseif(tab == self.findTreasure)then
return globalManager.yuyanbaoManager:getYuyanbao("PanelTabGroupType.text16")
elseif(tab == self.furnaceStrength)then
return globalManager.yuyanbaoManager:getYuyanbao("PanelTabGroupType.text17")
elseif(tab == self.arena)then
return globalManager.yuyanbaoManager:getYuyanbao("PanelTabGroupType.text18")
elseif(tab == self.arena2)then
return globalManager.yuyanbaoManager:getYuyanbao("PanelTabGroupType.text19")
elseif(tab == self.starcraft)then
return globalManager.yuyanbaoManager:getYuyanbao("PanelTabGroupType.text20")
elseif(tab == self.chaos)then
return globalManager.yuyanbaoManager:getYuyanbao("PanelTabGroupType.text21")
elseif(tab == self.rank)then
return globalManager.yuyanbaoManager:getYuyanbao("PanelTabGroupType.text24")
-- elseif(tab == self.rank1)then
--     return "战力榜"
-- elseif(tab == self.rank2)then
--     return "帮派榜"
elseif(tab == self.league)then
return globalManager.yuyanbaoManager:getYuyanbao("PanelTabGroupType.text25")
elseif(tab == self.leagueList)then
return globalManager.yuyanbaoManager:getYuyanbao("PanelTabGroupType.text26")
elseif(tab == self.welfare)then
return globalManager.yuyanbaoManager:getYuyanbao("PanelTabGroupType.text27")
elseif(tab == self.open) then
return globalManager.yuyanbaoManager:getYuyanbao("PanelTabGroupType.text28")
elseif(tab == self.operateActive) then
return globalManager.yuyanbaoManager:getYuyanbao("PanelTabGroupType.text29")
--if globalData.trunkType == "_qmsm" then
--  return "公测活动"
--else
--  return "暑期活动"
--end
elseif(tab == self.partner) then
return globalManager.yuyanbaoManager:getYuyanbao("PanelTabGroupType.text51")
elseif(tab == self.worldBoss)then
return globalManager.yuyanbaoManager:getYuyanbao("PanelTabGroupType.text30")
elseif(tab == self.jingYingBoss)then
return globalManager.yuyanbaoManager:getYuyanbao("PanelTabGroupType.text31")
elseif(tab == self.worldBossVip)then
return globalManager.yuyanbaoManager:getYuyanbao("PanelTabGroupType.text32")
elseif(tab == self.zhuanpan)then
return globalManager.yuyanbaoManager:getYuyanbao("PanelTabGroupType.text35")
elseif(tab == self.washGold)then
return globalManager.yuyanbaoManager:getYuyanbao("PanelTabGroupType.text48")
elseif(tab == self.zhuanpan3)then
return globalManager.yuyanbaoManager:getYuyanbao("PanelTabGroupType.text37")
elseif(tab == self.consumenGift)then
return globalManager.yuyanbaoManager:getYuyanbao("PanelTabGroupType.text38")
elseif(tab == self.rankCrossRecharge)then
return globalManager.yuyanbaoManager:getYuyanbao("PanelTabGroupType.text39")
elseif(tab == self.combinedActive)then
return globalManager.yuyanbaoManager:getYuyanbao("PanelTabGroupType.text40")
elseif(tab == self.oath)then
return globalManager.yuyanbaoManager:getYuyanbao("PanelTabGroupType.text47")
elseif(tab == self.home)then
return globalManager.yuyanbaoManager:getYuyanbao("PanelTabGroupType.text50")
elseif(tab == self.vip)then
return globalManager.yuyanbaoManager:getYuyanbao("VipPanel.text1")
elseif(tab == self.pay)then
return globalManager.yuyanbaoManager:getYuyanbao("CombinedActive1.text6")
elseif(tab == self.riderHuaXing)then
return globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel15")
elseif(tab == self.petHuaXing)then
return globalManager.yuyanbaoManager:getYuyanbao("PanelTabGroupType.text53")
elseif(tab == self.wingHuaXing)then
return globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel17")
elseif(tab == self.arenaXH)then
return globalManager.yuyanbaoManager:getYuyanbao("PanelTabGroupType.text54")
elseif(tab == self.bangZhanRank)then
return globalManager.yuyanbaoManager:getYuyanbao("PanelTabGroupType.text56")
elseif(tab == self.toWest)then
return globalManager.yuyanbaoManager:getYuyanbao("PanelTabGroupType.text57")
end
end
--获取模块面板内切卡开启等级[此等级控制是否能点开该面板]
function PanelTabGroupType:getCanSelect(tab)
local level = 0
if(tab == self.dailyCopy)then
level = globalData.newModuleLevelConfig.copyLevel --日常副本
elseif(tab == self.arena)then
level = globalData.newModuleLevelConfig.warLevel --竞技场
elseif(tab == self.matter)then
level = globalData.newModuleLevelConfig.matterLevel --定时活动
elseif(tab == self.fazhen) then
level = globalData.newModuleLevelConfig.fazhenLevel --法阵
elseif(tab == self.longhun) then
level = globalData.newModuleLevelConfig.longhunLevel --龙魂
elseif(tab == self.arena2)then
level = globalData.newModuleLevelConfig.arena1Level --尊武殿
elseif(tab == self.findTreasure)then
level = globalData.newModuleLevelConfig.findTreasureLevel --宝藏秘境
elseif(tab == self.worldBossVip)then
level = globalData.newModuleLevelConfig.worldBossVipLevel --猎魂boss
elseif(tab == self.starcraft)then
level = globalData.newModuleLevelConfig.starcraftLevel --猎魂boss
elseif(tab == self.chaos)then
level = globalData.newModuleLevelConfig.chaosLevel --混沌战场
elseif(tab == self.xianYuan)then
level = globalData.newModuleLevelConfig.xianYuanLevel  --仙缘
elseif(tab == self.oath)then
level = globalData.newModuleLevelConfig.oathLevel  --结义
elseif(tab == self.home)then
level = globalData.newModuleLevelConfig.home
elseif(tab == self.arenaXH)then
level = globalData.newModuleLevelConfig.arenaXHLevel
elseif(tab == self.bangZhanRank)then
level = globalData.newModuleLevelConfig.clubLevel --帮战
elseif(tab == self.toWest)then
level = globalData.newModuleLevelConfig.toWestLevel --一路向西
elseif(tab == self.fightUp)then
level = globalData.newModuleLevelConfig.fightUpLevel --战力提升
end
if(level > globalData.selfPlayerInfo.level) then
globalManager.tipsManager.quickTip:show(level .. globalManager.yuyanbaoManager:getYuyanbao("PanelTabGroupType.text41"))
return false
end
if(tab == self.pet and globalData.petItemInfo.stage == 0) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("PanelTabGroupType.text42"))
return false
elseif(tab == self.god and globalData.godItemInfo.stage == 0) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("PanelTabGroupType.text43"))
return false
elseif(tab == self.wing and globalData.wingItemInfo.stage == 0) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("PanelTabGroupType.text55"))
return false
elseif(tab == self.sprite and globalData.spriteItemInfo.stage == 0) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("PanelTabGroupType.text44"))
return false
elseif(tab == self.petTanlent and globalData.petItemInfo.stage < 4)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("PanelTabGroupType.text45"))
return false
elseif(tab == self.riderTalent and globalData.riderItemInfo.stage < 4)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("PanelTabGroupType.text46"))
return false
end
return true
end
PayType = class("PayType", function(self)
local temp = {}
--1 钻石，2 绑钻，3铜币, 4帮贡，6荣誉,9VIP商城
temp.GOLD = 1
temp.BINGDGOLD = 2
temp.COPPER = 3
temp.GONGXIAN = 4
temp.HONOUR = 6
temp.VIPSCORE = 9
return temp
end)
PetXiaofeiType = class("PetXiaofeiType", function(self)
local temp = {}
temp.XIAOFEI_MAXLEVEL = 100 --最大等级
temp.XIAOFEI_PRICE_TIME = 600 --进阶价格10分钟1钻石
--1妖精，2坐骑，3翅膀，4足迹，5仙灵，6法阵，7龙魂，99伙伴
temp.CHONGWU = 1
temp.ZUOQI = 2
temp.CHIBANG = 3
temp.SHENBING = 4
temp.JINGLING = 5
temp.FAZHEN = 6
temp.LONGHUN = 7
temp.HUOBAN = 99
return temp
end)
PKmodeType = class("PKmodeType",function(self)
local temp = {}
--  0和平  1自由  2善恶  3队伍  4帮派  5阵营
temp.PEACE = 0
temp.FREE = 1
temp.REDNAME = 2
temp.TEAM = 3
temp.CLUB = 4
temp.CHANGECD = 30
return temp
end)
PropertyType = class("PropertyType",function()
local temp = {}
temp.NORMAL_ATTACK = 1        --普攻
temp.NORMAL_DEFENSE = 2       --普防
temp.PROPERTY_ATTACK = 3      --属攻
temp.PROPERTY_DEFENSE = 4     --属防
temp.MUMP_DEFENSE = 5         --破甲
temp.MAGIC_DEFENSE = 6        --暴伤
temp.HEARTH_POWER = 8        --生命
temp.POWER_HIT = 9           --暴击
temp.DELIGENCY = 10           --坚韧
temp.HITTARGET = 11           --命中
temp.DUCK = 12                --闪避
temp.BD_Defense = 13                      --冰冻抗性
temp.XY_Defense = 14                      --眩晕抗性
temp.SH_Defense = 15                      --定身抗性
temp.JS_Defense = 16                      --恐惧抗性
temp.DS_Defense = 17                      --变身抗性
temp.CM_Defense = 18                      --沉默抗性
temp.ATTACK_PreAdd = 25         --对敌人伤害加深百分比
temp.ATTACK_PreReduce = 26      --敌人的伤害减免百分比
temp.HURT = 27                  --伤害
--绿色属性
temp.ATTR_Attack = 100                --绿色攻击力
temp.ATTR_Defense = 101               --防御
temp.ATTR_Hp = 104                    --生命
temp.ATTR_Powerhit = 105              --致命一击
temp.ATTR_Hittarget = 106             --命中率
temp.ATTR_Add_Reduce_Hurt = 107       --增加或减少伤害
temp.ATTR_Deligency = 108             --坚韧
temp.ATTR_Duck = 109                  --闪避
temp.NORMAL_ATTACK_PRE   = 2.5          --普通攻击战力系数
temp.NORMAL_DEFENSE_PRE  = 2.5          --防御战力系数
temp.PROPERTY_DEFENSE_PRE= 2.5          --属防战力系数
temp.PROPERTY_ATTACK_PRE = 2.5          --属攻战力系数
temp.HEARTH_POWER_PRE    = 0.5          --生命战力系数
temp.SMALL_PROPER_PRE  = 10           	--小属性战力系数
temp.HURT_PRE = 5						--伤害战力系数
temp.MUMP_PRE = 5						--破甲战力系数
temp.MAGIC_PRE = 2.5					--暴伤战力系数
temp.FIVEEQUIP_FIGHT = 1000     --特殊装备每阶提升战力
return temp
end)
function PropertyType:getNameByType(propertyId)
local result = tostring(propertyId)
if(propertyId == self.NORMAL_ATTACK) then
result = globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel32")
elseif(propertyId == self.NORMAL_DEFENSE) then
result = globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel33")
elseif(propertyId == self.PROPERTY_ATTACK) then
result = globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel38")
elseif(propertyId == self.PROPERTY_DEFENSE) then
result = globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel39")
elseif(propertyId == self.MUMP_DEFENSE) then
result = globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel52")
elseif(propertyId == self.MAGIC_DEFENSE) then
result = globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel53")
elseif(propertyId == self.HEARTH_POWER) then
result = globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel31")
elseif(propertyId == self.POWER_HIT) then
result = globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel42")
elseif(propertyId == self.DELIGENCY) then
result = globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel43")
elseif(propertyId == self.HITTARGET) then
result = globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel40")
elseif(propertyId == self.DUCK) then
result = globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel41")
elseif(propertyId == self.HURT)then
result = globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel51")
elseif(propertyId == self.BD_Defense)then
result = globalManager.yuyanbaoManager:getYuyanbao("PropertyType.text5")
elseif(propertyId == self.XY_Defense)then
result = globalManager.yuyanbaoManager:getYuyanbao("PropertyType.text6")
elseif(propertyId == self.SH_Defense)then
result = globalManager.yuyanbaoManager:getYuyanbao("PropertyType.text7")
elseif(propertyId == self.JS_Defense)then
result = globalManager.yuyanbaoManager:getYuyanbao("PropertyType.text8")
elseif(propertyId == self.DS_Defense)then
result = globalManager.yuyanbaoManager:getYuyanbao("PropertyType.text9")
elseif(propertyId == self.CM_Defense)then
result = globalManager.yuyanbaoManager:getYuyanbao("PropertyType.text10")
elseif(propertyId == self.ATTR_Attack)then
result = globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel32")
elseif(propertyId == self.ATTR_Defense)then
result = globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel33")
elseif(propertyId == self.ATTR_Hp)then
result = globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel31")
elseif(propertyId == self.ATTR_Powerhit)then
result = globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel42")
elseif(propertyId == self.ATTR_Hittarget)then
result = globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel40")
elseif(propertyId == self.ATTR_Add_Reduce_Hurt)then
result = globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel51")
elseif(propertyId == self.ATTR_Deligency)then
result = globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel43")
elseif(propertyId == self.ATTR_Duck)then
result = globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel41")
elseif(propertyId == self.ATTACK_PreAdd) then
result = globalManager.yuyanbaoManager:getYuyanbao("PropertyType.text12")
elseif(propertyId == self.ATTACK_PreReduce) then
result = globalManager.yuyanbaoManager:getYuyanbao("PropertyType.text13")
end
return result
end
--客户端本地战力计算
function PropertyType:fightCalculate(propertyId,propertyValue)
local result = 0
if(propertyId == self.NORMAL_ATTACK)then
result = propertyValue * self.NORMAL_ATTACK_PRE
elseif(propertyId == self.NORMAL_DEFENSE)then
result = propertyValue * self.NORMAL_DEFENSE_PRE
elseif(propertyId == self.PROPERTY_ATTACK)then
result = propertyValue * self.PROPERTY_ATTACK_PRE
elseif(propertyId == self.PROPERTY_DEFENSE)then
result = propertyValue * self.PROPERTY_DEFENSE_PRE
elseif(propertyId == self.MUMP_DEFENSE)then
result = propertyValue * self.MUMP_PRE
elseif(propertyId == self.MAGIC_DEFENSE)then
result = propertyValue * self.MAGIC_PRE
elseif(propertyId == self.HEARTH_POWER)then
result = propertyValue * self.HEARTH_POWER_PRE
elseif(propertyId == self.POWER_HIT)then
result = propertyValue * self.SMALL_PROPER_PRE
elseif(propertyId == self.DELIGENCY)then
result = propertyValue * self.SMALL_PROPER_PRE
elseif(propertyId == self.HITTARGET)then
result = propertyValue * self.SMALL_PROPER_PRE
elseif(propertyId == self.DUCK)then
result = propertyValue * self.SMALL_PROPER_PRE
elseif(propertyId == self.HURT)then
result = propertyValue * self.HURT_PRE
end
return result
end
--根据战力算出属性值
function PropertyType:fightCalculate2(propertyId,fight)
local result = 0
if(propertyId == self.NORMAL_ATTACK)then
result = math.floor(fight / self.NORMAL_ATTACK_PRE)
elseif(propertyId == self.NORMAL_DEFENSE)then
result = math.floor(fight / self.NORMAL_DEFENSE_PRE)
elseif(propertyId == self.PROPERTY_ATTACK)then
result = math.floor(fight / self.PROPERTY_ATTACK_PRE)
elseif(propertyId == self.PROPERTY_DEFENSE)then
result = math.floor(fight / self.PROPERTY_DEFENSE_PRE)
elseif(propertyId == self.MUMP_DEFENSE)then
result = math.floor(fight / self.MUMP_PRE)
elseif(propertyId == self.MAGIC_DEFENSE)then
result = math.floor(fight / self.MAGIC_PRE)
elseif(propertyId == self.HEARTH_POWER)then
result = math.floor(fight / self.HEARTH_POWER_PRE)
elseif(propertyId == self.POWER_HIT)then
result = math.floor(fight / self.SMALL_PROPER_PRE)
elseif(propertyId == self.DELIGENCY)then
result = math.floor(fight / self.SMALL_PROPER_PRE)
elseif(propertyId == self.HITTARGET)then
result = math.floor(fight / self.SMALL_PROPER_PRE)
elseif(propertyId == self.DUCK)then
result = math.floor(fight / self.SMALL_PROPER_PRE)
elseif(propertyId == self.HURT)then
result = math.floor(fight / self.HURT_PRE)
end
return result
end
--妖精的战斗力计算
function PropertyType:fightPetCalculate(propertyId,propertyValue)
return self:fightCalculate(propertyId,propertyValue) * 0.5
end
--根据战力算出妖精属性值
function PropertyType:fightPetCalculate2(propertyId,fight)
return self:fightCalculate2(propertyId,fight*2)
end
--获取属性对应的战力系数
function PropertyType:getPreByType(propertyId)
local result = 0
if(propertyId == self.NORMAL_ATTACK)then
result = self.NORMAL_ATTACK_PRE
elseif(propertyId == self.NORMAL_DEFENSE)then
result = self.NORMAL_DEFENSE_PRE
elseif(propertyId == self.PROPERTY_ATTACK)then
result = self.PROPERTY_ATTACK_PRE
elseif(propertyId == self.PROPERTY_DEFENSE)then
result = self.PROPERTY_DEFENSE_PRE
elseif(propertyId == self.MUMP_DEFENSE)then
result = self.MUMP_PRE
elseif(propertyId == self.MAGIC_DEFENSE)then
result = self.MAGIC_PRE
elseif(propertyId == self.HEARTH_POWER)then
result = self.HEARTH_POWER_PRE
elseif(propertyId == self.POWER_HIT)then
result = self.SMALL_PROPER_PRE
elseif(propertyId == self.DELIGENCY)then
result = self.SMALL_PROPER_PRE
elseif(propertyId == self.HITTARGET)then
result = self.SMALL_PROPER_PRE
elseif(propertyId == self.DUCK)then
result = self.SMALL_PROPER_PRE
elseif(propertyId == self.HURT)then
result = self.HURT_PRE
end
return result
end
--##globalData.allStaticTypes.sceneObjType
SceneObjType = class("SceneObjType",function()
local so = {}
so.none = 0
so.player = 1
so.monster = 3
so.pet = 4
so.npc = 5
so.gate = 6
so.collect = 7
so.car = 8
so.partner = 9
return so
end)
function SceneObjType:isPlayer(t)
if(t == self.player)then return true end
return false
end
function SceneObjType:isPet(t)
if(t == self.pet)then return true end
return false
end
function SceneObjType:isPartner(t)
if(t == self.partner)then return true end
return false
end
function SceneObjType:isMonster(t)
if(t == self.monster)then return true end
return false
end
function SceneObjType:isNpc(t)
if(t == self.npc)then return true end
return false
end
function SceneObjType:isGate(t)
if(t == self.gate)then return true end
return false
end
function SceneObjType:isCollect(t)
if(t == self.collect)then return true end
return false
end
--##globalData.allStaticTypes.shopType
ShopType = class("ShopType", function(self)
local temp = {}
temp.SHOP_SECRET = 0 --神秘商城
temp.SHOP_STORE = 1000 --商城
temp.SHOP_FORGE = 1001 --快速购买
temp.SHOP_NPC_STORE = 1003 -- npc商店
return temp
end)
SourceStaticType = class("SourceStaticType",function()
local ss = {}
--资源类型
ss.player = "player"
ss.monster = "monster"
ss.npc = "npc"
ss.pet = "pet"
ss.collect = "collect"
ss.effect = "effect"
ss.rider = "rider" --坐骑
ss.wing = "wing" --翅膀
--资源清除类型
ss.neverClear = 0
ss.clearImmediately = 1 			--引用计数为0时马上清除
ss.clearFiveM = 2 					--引用计数为0时五分钟后清除
ss.changeSceneAndFiveM = 3 			--切城时引用计数为0，五分钟后清除
ss.clearOneM = 4 					--引用计数为0时1分钟后清除   暂时改为30秒
return ss
end)
--##globalData.allStaticTypes.taskStaticInfo
--任务静态数据，包括类型和状态,条件
TaskStaticInfo = class("TaskStaticInfo",function()
local ts = {}
---------------任务状态----------------------------------------------------
ts.conntAccept = 10001
ts.canAccept = 10002
ts.acceptNotFinish = 10003
ts.finishNotSubmit = 10004
ts.submit = 10005
ts.outOfDate = 10006
-----------------任务条件--------------------------------------------------
--接受就完成
ts.C_DIALOG = 1--对话
ts.C_LEVEL = 2--等级
ts.C_CLIENT = 3--客户端控制
ts.C_BUYUNBIND = 4--购买非绑
ts.C_FILL = 6--充值(只有充值就完成)
ts.C_COPY = 7--副本
ts.C_FILLCOUNT = 20--充值（充到多少完成）
ts.C_KILLMONSTER = 21--杀怪
ts.C_KILLCOLLECT = 22--杀怪掉落，没有真实物品
ts.C_USERLEVEL = 32--玩家等级
ts.C_COLLECTITEM = 41--收集，有真实物品
ts.C_COLLECT = 42--采集(不需要物品)
return ts
end)
--是否对话任务
function TaskStaticInfo:isDialog(type)
return type == self.C_DIALOG
end
--是否杀怪任务
function TaskStaticInfo:isKillMonster(type)
return type == self.C_KILLMONSTER
end
--是否杀怪收集
function TaskStaticInfo:isKillCollect(type)
return type == self.C_KILLCOLLECT
end
--是否收集
function TaskStaticInfo:isCollect(type)
return type == self.C_COLLECT
end
function TaskStaticInfo:getShowRequireCount(type)
if(type == self.C_KILLMONSTER or type == self.C_KILLCOLLECT or type == self.C_COLLECT or type == self.C_COLLECTITEM or type == self.C_COPY) then
return true
end
return false
end
--##globalData.allStaticTypes.triggerEventType
--
-- 注：RichlLabel部署格式 "{type1-type2-group-describe-p1-p2-...}"
--
TriggerEventType = class("TriggerEventType",function()
local te = {}
---------------type类型----------------------------------------------------
--引导
te.guide = 1
--弹窗
te.popup = 2
--走路
te.walk = 3
--传送
te.fly = 4
--模块事件
te.moduleEvent = 5
--tips
te.tips = 7
-------------actionType类型--------------------------------------------------------
--等待执行下一个指令
te.waitToNext = 1000
--清除前面的引导
te.guideClear = 1001
--引导箭头
--1$1002$[组]$0$[面板ID]$[方向]$x$y
--方向:0左,1上,2右,3下
te.guideArrow = 1002
--显示高亮框
--1$1003$[组]$[面板ID]$x$y$width$height
te.guideShowRect = 1003
--显示文本提示框
--1$1004$[组]$[内容]$[面板ID]$x$y$0
te.showWord = 1004
--剧情
te.guideNpcTalk = 1005
--副本剧情
te.guideNpcCopyTalk = 1007
--上坐骑引导
te.guideRider = 1006
--走到某点
--params:0 sceneId,1 sceneX,2 sceneY
te.walkToPoint = 1300
--走到NPC
te.walkToNpc = 103
--寻路找怪
--params[0]:monsterTemplateId
te.walkToMonster = 104
--出副本找NPC
te.outCopyWalkToNpc = 105
--寻路采集
--params[0]:collectId
te.walkToCollect = 107
--传送面板到NPC
te.panelFlyToNpc = 203
--传送面板找怪
--params[0]:monsterTemplateId
te.panelFlyToMonster = 204
--传送面板采集
--params[0]:collectId
te.panelFlyToCollect = 207
--传送到点
--params[1]:mapId
--params[2]:sceneX
--params[3]:sceneY
te.flyToPoint = 1400
te.flyToNpc = 1401
te.flyToMonster = 1402
te.flyToCollect = 1403
te.flyToMap = 1404
--进入pve副本
te.enterCopy = 1500
--进入pvp副本
te.enterWar = 1501
--退出副本
te.exitCopy = 1502
--接受任务
te.acceptTask = 1511
--提交任务
te.submitTask = 1512
--新手引导
te.newGuide = 1513
--更好装备检测
te.betterEquip = 1514
--取消变身
te.cancelChange = 1515
--打开NPC商店
--params[1]:shopId 要选中的物品ID
--example:{2-1601-打开商店-1001}
te.npcStore = 1601
--打开帮派列表界面
te.clubList = 1602
--打开兑换面板
--参数待定
te.exchange = 1603
--打开炼器界面
te.furnaceStrength = 1605  --强化
--打开进阶界面
te.furnaceAdvance  = 1609  --进阶
te.wuhun = 1612   --武魂
te.ronglu = 1613 --熔炉
te.tryCopyLianYuPanel = 1616 --打开炼狱面板
te.petPanel = 1618 --打开妖精面板
te.riderPanel = 1619 --打开坐骑面板
te.godPanel = 1620 --打开足迹面板
te.wingPanel = 1621 --打开羽翼面板
te.spritePanel = 1622 --打开仙灵面板
te.fazhenPanel = 1625 --打开法阵面板
te.longhunPanel = 1626 --打开龙魂面板
te.materialPanel = 1627 --打开材料副本
te.expeditionPanel = 1628 --打开西行副本
te.defencedPanel = 1629  --打开守护副本
te.skillPanel = 1630 --打开技能界面
te.charge = 1640 --打开充值界面
te.activity = 1641 --打开定时活动
te.arena = 1642 --打开竞技场
te.arena2 = 1643 --打开尊武殿
te.qiandao = 1644  --每日签到
te.lijin = 1645  --铜币商城
te.clubPanel = 1651  --帮派主界面
te.clubBoss = 1652  --帮派BOSS
te.worldBossPanel = 1654 -- 世界boss面板
te.jingyinBossPanel = 1655 -- 精英boss面板
te.shenRankPanel = 1660    --神榜面板
te.moRankPanel   = 1661    --魔榜面板
te.starcraftPanel= 1662    --群雄争霸
te.fashionPanel = 1691   --打开时装面板
te.openRechargePanel = 1692    --打开充值面板
te.openAttributePanel = 1693   --打开属性面板
te.openRiderB = 1694--打开坐骑天赋面板
te.openHuaXingPanel = 1695 --打开坐骑化形面板
te.yuanbaoPanel = 1696 --打开充值转盘
te.openBuyExpPanel = 1697 --打开经验回购
te.openNeedExchange = 1698 --打开极品兑换
te.openPetHuaXingPanel = 1699 --打开妖精化形
te.openFindTreasurePanel = 1700 --打开宝藏秘境
te.openStrongPanel       = 1701 --打开我要变强
te.openWingHuaXingPanel  = 1702 --打开羽翼化形
te.openDaily            = 1703 --打开每日必做
te.openParticularSale            = 1704 --打开特卖专场
te.openFaZhenHuaXingPanel = 1705 --打开法阵化形
te.openXianYuanPanel = 1710 --打开仙缘面板
te.openConsumenGiftPanel = 1712 --打开消费送礼面板
te.openSendFlowerPanel = 1711 --打开送花面板
te.openShenMiShopPanel = 1713 --打开神秘商店
te.openGrowUpPlanPanel = 1714 --打开成长计划
te.openWorldMapPanel   = 1715 --世界地图
te.openVipBossPanel    = 1716 --猎魂BOSS界面
te.openZhuanXiangPanel = 1717 --专享福利
te.combinedZhuanpanPanel = 1718 --打开合服活动寻宝转盘
te.openPetTanlentPanel = 1719 --打开妖精仙魂界面
te.openVipScoreMallPanel = 1720 --打开vip商店面板
te.openFightRankPanel = 1721 --打开战力排行榜
te.openFlowerRankPanel = 1800 --打开鲜花榜
te.openCrossRechargePanel = 1801 --打开跨服充值榜
te.zhuanpan3Panel = 1802 --打开财运亨通
te.operateActive = 1803 --打开服（以后此部署为节日活动）活动第一个按钮
te.magpieActive = 1808 --打开七夕活动浪漫礼盒按钮
te.magpieActive2 = 1809 --打开七夕活动甜蜜礼包按钮
te.openChaosPanel = 1804 --打开混沌战场界面
te.openTaoYuanPanel = 1810 --打开桃园界面
te.matterPanel = 1811 --打开定时活动界面
te.washGoldPanel = 1812 --打开淘金界面
te.homePanel = 1813 --打开家园界面
te.newServerGift = 1814 --打开新服大馈赠
te.farmPanel = 1815 --打开家园农场界面
te.yanhuaPanle = 1816 --打开烟花榜界面
te.sanDaCopy = 1817 --打开三打副本匹配界面
te.arenaXHPanel = 1818 --打开仙皇争霸界面
te.partnerPanel = 1819 --打开伙伴界面
te.openXunBaoPanel = 1820 --打开寻宝轮盘
te.openRedBagPanel = 1821 --打开红包界面
te.goldMonkeyPanel = 1822 --打开金猴献礼
te.goldStorePanel  = 1823 --打开钻石商城
te.openYuanXiaoDaTiPanel = 1824 --打开元宵答题
te.openJiFuPanel = 1825 --打开元宵集福
te.onlineRewardPanel = 1826 --炼丹炉
te.honorStorePanel = 1827 --荣誉商城
te.bangGongStorePanel = 1828 --帮贡商城
te.achievementPanel = 1829 --成就界面
te.vipPanel = 1830 --vip界面
--角色名字点击菜单
--params[1]:playerInfo   --BasePlayerInfo
te.playerMenu = 2001
--params[1]:userId params[2]:serverId params[3]:vipLevel params[4]:career
te.playerMenu2 = 20011
--物品展示
--params[1]:userId
--params[2]:goodsId
--params[3]:goodsTemplateId
te.goodsTip = 2002
--物品模板展示
--params[1]:goodsTemplateId
te.goodsTemplateTip = 2003
--角色信息[用途：如配置一个部署文本,可解析成BasePlayerInfo]
--params[1]:userId
--params[2]:nick
--params[3]:serverId
--params[4]:career
--params[5]:vipType
te.playerInfo = 2004
te.closePanel = 5001
--寄售购买
--params[1]:saleId
te.consignBuy = 3001
--帮战提交水晶
te.leagueWarAccpet = 5002
--显示非强制点击Tips
te.taskTip = 701
--隐藏Tips
te.hideTaskTip = 702
--模块开启引导
--params[1]:开启配置ID，此数据在newModuleLevelConfig中配置
te.moduleOpen = 704
--领养
--params[1]： 1妖精  2坐骑  3足迹  4翅膀  5仙灵
te.acceptPet = 705
--屏幕紫色字
te.sceneWord = 706
return te
end)
ActivityAchievementTemplateInfo = class("ActivityAchievementTemplateInfo",function(self)
local temp = {}
temp.id        = 0
temp.type      = 0
temp.condition = 0
temp.typeName  = ""
temp.achievementName = ""
temp.contentDes= ""
temp.awardList = {}
temp.depoly    = {}
temp.title     = {}
return temp
end)
--param data:ByteArray
function ActivityAchievementTemplateInfo:init(data)
self.id        = data:readShort()
self.type      = data:readShort()
self.condition = data:readInt()
self.typeName  = data:readString()
self.achievementName = data:readString()
self.contentDes= data:readString()
self.awardList = globalManager.messageUtils:changeStrToIntList(data:readString())
local len = data:readInt()
for i = 1,len,1 do
local trigger = TriggerInfo:new()
trigger:init(data)
table.insert(self.depoly,trigger)
end
self.title      = globalManager.messageUtils:changeStrToIntList(data:readString())
end
ActivityAchievementTemplateList = class("ActivityAchievementTemplateList",function(self)
local temp = BaseTemplateList:new()
temp._activityAchievementList = {}
temp.typeList = {}
--temp._achievementTotalList    = {}
return temp
end)
function ActivityAchievementTemplateList:parseOne()
local info = ActivityAchievementTemplateInfo:new()
info:init(self._templateData)
if(self._activityAchievementList[info.type] == nil) then
self._activityAchievementList[info.type] = {}
table.insert(self.typeList,info.type)
end
table.insert(self._activityAchievementList[info.type],info)
-- if(info.type == 21)then
-- 	table.insert(self._achievementTotalList,info)
-- else
--     if(self._activityAchievementList[info.type] == nil) then
--         self._activityAchievementList[info.type] = {}
--     end
-- 	table.insert(self._activityAchievementList[info.type],info)
-- end
end
function ActivityAchievementTemplateList:getInfoByType(type)
return self._activityAchievementList[type]
end
ActivityTemplateInfo = class("ActivityTemplateInfo",function(self)
local temp = {}
temp.templateId = 0--IDint
temp.name = ""--名称string
temp.type = 0
temp.count = 0
temp.level = 0
temp.activity = 0
temp.depoly = {}
return temp
end)
--param data:ByteArray
function ActivityTemplateInfo:init(data)
self.templateId = data:readByte()
self.name = data:readString()
self.type = data:readByte()
self.count = data:readInt()
self.level = data:readByte()
self.activity = data:readByte()
local len = data:readInt()
for i = 1,len,1 do
local trigger = TriggerInfo:new()
trigger:init(data)
table.insert(self.depoly,trigger)
end
end
ActivityTemplateList = class("ActivityTemplateList",function(self)
local temp = BaseTemplateList:new()
temp._activityList = {}
return temp
end)
function ActivityTemplateList:parseOne()
local info = ActivityTemplateInfo:new()
info:init(self._templateData)
if(self._activityList[info.type] == nil) then
self._activityList[info.type] = {}
end
table.insert(self._activityList[info.type],info)
end
function ActivityTemplateList:getInfoByType(type)
return self._activityList[type]
end
ArenaAwardTemplateInfo = class("ArenaAwardTemplateInfo",function()
local temp = {}
temp.id = 0
temp.minRank = 0
temp.maxRank = 0
temp.awardList = {}
return temp
end)
function ArenaAwardTemplateInfo:init(bytes)
self.id = bytes:readShort()
self.awardList = globalManager.messageUtils:changeStrToIntList(bytes:readString())
self.minRank = bytes:readShort()
self.maxRank = bytes:readShort()
end
ArenaAwardTemplateList = class("ArenaAwardTemplateList",function()
local temp = BaseTemplateList:new()
temp.list = {}
temp.DAILY_COUNT_MAX = 0
return temp
end)
function ArenaAwardTemplateList:parseOne()
local item = ArenaAwardTemplateInfo:new()
item:init(self._templateData)
self.list[item.id] = item
end
function ArenaAwardTemplateList:getTemplate(id)
for __,info in pairs(self.list) do
if(info.id == id)then
return info
end
end
return nil
end
ArenaRankTemplateInfo = class("ArenaRankTemplateInfo", function(self)
local temp = {}
temp.max      = 0
temp.fight    = 0
temp.type     = 0
temp.level    = 0
return temp
end)
function ArenaRankTemplateInfo:init(bytes)
self.max   = bytes:readShort()
self.fight = bytes:readInt()
self.type = bytes:readByte()
self.level = bytes:readShort()
end
ArenaRankTemplateList = class("ArenaRankTemplateList", function(self)
local temp = BaseTemplateList:new()
temp._list = {}
return temp
end)
function ArenaRankTemplateList:parseOne()
local info = ArenaRankTemplateInfo:new()
info:init(self._templateData)
table.insert(self._list,info)
end
function ArenaRankTemplateList:getFightByValue(value,type)
for __,info in pairs(self._list) do
if(value <= info.max)then
return info.fight,info.level
end
end
return 0,0
end
ArenaXHAwardTemplateInfo = class("ArenaXHAwardTemplateInfo", function(self)
local temp = {}
temp.id      = 0
temp.minRank = 0
temp.maxRank = 0
temp.awardList = {}
return temp
end)
function ArenaXHAwardTemplateInfo:init(bytes)
self.id   = bytes:readShort()
self.minRank = bytes:readShort()
self.maxRank = bytes:readShort()
self.awardList = globalManager.messageUtils:changeStrToIntList(bytes:readString())
end
ArenaXHAwardTemplateList = class("ArenaXHAwardTemplateList", function(self)
local temp = BaseTemplateList:new()
temp._list = {}
return temp
end)
function ArenaXHAwardTemplateList:parseOne()
local info = ArenaXHAwardTemplateInfo:new()
info:init(self._templateData)
table.insert(self._list,info)
end
function ArenaXHAwardTemplateList:getList()
return self._list
end
function ArenaXHAwardTemplateList:getTemplateById(id)
for k,info in pairs(self._list) do
if(info.id == id)then
return info
end
end
return nil
end
BuffItemInfo = class("BuffItemInfo",function(self)
local temp = {}
temp.templateId = 0--模板IDint
temp.template = nil
temp._endTime = 0--结束时间ms Number
temp.remain = 0--剩余量int
temp.totalValue = 0--总值int
return temp
end)
--设置结束时间
--param time:Number
function BuffItemInfo:setEndTime(time)
self._endTime = time
end
function BuffItemInfo:setTemplate(templateId)
self.templateId = templateId
self.template = globalData.allTemplates.buffTemplateList:getBuff(self.templateId)
end
function BuffItemInfo:dispose()
self.template = nil
end
BuffStateTemplateInfo = class("BuffStateTemplateInfo",function(self)
local temp = {}
temp.id = 0--模板IDint
temp.type = 0--效果类型(1:特效，2:滤镜)int
temp.states = {}--状态 BuffStateType(0:无，1:不能移动，2:不能攻击，3:不能使用物品，4:不能使用技能,5:隐身,6:恐惧,7:不能被击，8:半透明)Vector.<int>
temp.effect = 0--表现(根据效果类型区分：type为1配特效ID，type为2配滤镜类型)int
temp.priority = 0--优先级int
return temp
end)
--param data:ByteArray
function BuffStateTemplateInfo:init(data)
self.id = data:readInt()
self.type = data:readInt()
self.states = globalManager.messageUtils:splitStringToInt(data:readString(),",")
self.effect = data:readInt()
self.priority = data:readInt()
end
--##globalData.allTemplates.buffStateTemplateList
BuffStateTemplateList = class("BuffStateTemplateList",function(self)
local temp = BaseTemplateList:new()
temp._list = {}--模板列表map<int,BuffStateTemplateInfo>
return temp
end)
function BuffStateTemplateList:parseOne()
local info = BuffStateTemplateInfo:new()
info:init(self._templateData)
self._list[info.id] = info
end
--param id:int return BuffStateTemplateInfo
function BuffStateTemplateList:getTemplate(id)
return self._list[id]
end
BuffTemplateInfo = class("BuffTemplateInfo",function(self)
local temp = BaseGoodsInfo:new()
temp.name = ""--名称string
temp._descriptId = ""--描述ID
temp._descript = ""--描述
temp.valieTime = 0--有效时间ms血包时为总量int
temp.valieTimeSpan = 0--有效间隔int
temp.type = 0--buff类型 1普通buff,2血包buff,3经验buff int
temp.limitTotalTime = 0--叠加上限int
temp.skillEffectList = {}--技能效果，Vector.<PropertyInfo>
--先从字符串通过'|'分割一次才存放进来 效果列表，逗号分割 （效果1，值1)，如果没录描述，则根据此列表组织描述Vector.<string>
temp.stateId = 0--状态表ID
return temp
end)
function BuffTemplateInfo:init(data)
self.templateId = data:readInt()
self.name = data:readString()
self.picPath = data:readString()
self.iconPath = self.picPath
self.descript = data:readString()
self.valieTime = data:readInt()
self.valieTimeSpan = data:readInt()
self.type = data:readInt()
self.limitTotalTime = data:readInt()
local str = data:readString()
--分割为'a,b'的格式，存放到skillEffectList
if(str ~= "") then
self.skillEffectList = globalManager.messageUtils:parseProperty(str)
end
self.stateId = data:readInt()
end
--获取描述
--return string
function BuffTemplateInfo:getDescript()
if(self._descript == "") then
--self._descript = globalManager.descriptManager:getDescription(self._descriptId)
end
if(self._descript == "") then
return self._descriptId
end
return self._descript
end
--是否为血蓝包buff
--return bool
function BuffTemplateInfo:isHpBuff()
return self.type == 2
end
--获取buff状态表信息
--return BuffStateTemplateInfo
function BuffTemplateInfo:getBuffStateTemplate()
return globalData.allTemplates.buffStateTemplateList:getTemplate(self.stateId)
end
--##globalData.allTemplates.buffTemplateList
BuffTemplateList = class("BuffTemplateList",function(self)
local temp = BaseTemplateList:new()
temp._buffList = {}--Buff列表map<int,BuffTemplateInfo>
return temp
end)
function BuffTemplateList:parseOne()
local buff = BuffTemplateInfo:new()
buff:init(self._templateData)
self._buffList[buff.templateId] = buff
end
--param id:int return BuffTemplateInfo
function BuffTemplateList:getBuff(id)
return self._buffList[id]
end
ChaosTemplateInfo = class("ChaosTemplateInfo",function()
local temp = {}
temp.id = 0
temp.type = 0
temp.duanWei = 0
temp.minRank = 0
temp.maxRank = 0
temp.awardList = {}
return temp
end)
function ChaosTemplateInfo:init(bytes)
self.id = bytes:readShort()
self.type = bytes:readByte()
self.duanWei = bytes:readByte()
self.minRank = bytes:readShort()
self.maxRank = bytes:readShort()
self.awardList = globalManager.messageUtils:changeStrToIntList(bytes:readString())
end
ChaosTemplateList = class("ChaosTemplateList",function()
local temp = BaseTemplateList:new()
temp.dailyList = {}
temp.quarterlyList = {}
temp.DAILY_COUNT_MAX = 0
return temp
end)
function ChaosTemplateList:parseOne()
local item = ChaosTemplateInfo:new()
item:init(self._templateData)
if(item.type == 1)then
self.dailyList[item.duanWei] = item
self.DAILY_COUNT_MAX = self.DAILY_COUNT_MAX + 1
elseif(item.type == 2)then
table.insert(self.quarterlyList,item)
end
end
function ChaosTemplateList:getDailyTemplate(id)
return self.dailyList[id]
end
function ChaosTemplateList:getQuarterTemplate(id)
return self.quarterlyList[id]
end
function ChaosTemplateList:getDuanWei(index)
if(index > 0 and index <= 13)then
local duanWei =
{
globalManager.yuyanbaoManager:getYuyanbao("ChaosRank.stage1").."1",
globalManager.yuyanbaoManager:getYuyanbao("ChaosRank.stage1").."2",
globalManager.yuyanbaoManager:getYuyanbao("ChaosRank.stage1").."3",
globalManager.yuyanbaoManager:getYuyanbao("ChaosRank.stage2").."1",
globalManager.yuyanbaoManager:getYuyanbao("ChaosRank.stage2").."2",
globalManager.yuyanbaoManager:getYuyanbao("ChaosRank.stage2").."3",
globalManager.yuyanbaoManager:getYuyanbao("ChaosRank.stage3").."1",
globalManager.yuyanbaoManager:getYuyanbao("ChaosRank.stage3").."2",
globalManager.yuyanbaoManager:getYuyanbao("ChaosRank.stage3").."3",
globalManager.yuyanbaoManager:getYuyanbao("ChaosRank.stage4").."1",
globalManager.yuyanbaoManager:getYuyanbao("ChaosRank.stage4").."2",
globalManager.yuyanbaoManager:getYuyanbao("ChaosRank.stage4").."3",
globalManager.yuyanbaoManager:getYuyanbao("ChaosRank.stage5")
}
return duanWei[index]
else
print("超出段位范围",index)
return globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel75")
end
end
function ChaosTemplateList:getCurMaxScoreByDuan(duan)
if(duan == nil or duan <= 0 or duan > 13)then
print("段位为nil或超出段位范围",duan)
return 0
end
return self.dailyList[duan].maxRank
end
function ChaosTemplateList:getCurMinScoreByDuan(duan)
if(duan == nil or duan <= 0 or duan > 13)then
print("段位为nil或超出段位范围",duan)
return 0
end
return self.dailyList[duan].minRank
end
CollectTemplateInfo = class("CollectTemplateInfo",function()
local ct = {}
ct.templateId = 0
ct.type = 0--采集物类型,1:普通，2：任务
ct.mapId = 0
ct.name = ""
ct.quality = 0
ct.collectTime = 0
ct.resetTime = 0
ct.pos = nil
ct.randomPoint = nil
ct.picPath = ""
ct.width = 0
ct.height = 0
ct.offsetX = 0
ct.offsetY = 0
ct.scale = 1
ct.barDescript = ""
ct.canAFK = false--能否挂机采集
ct.minLevel = 0
ct.maxLevel = 0
return ct
end)
function CollectTemplateInfo:init(data)
self.templateId = data:readInt()
self.name = data:readString()
self.width = data:readInt()
self.height = data:readInt()
if(self.width == 0)then self.width = 80 end
if(self.height == 0)then self.height = 100 end
self.offsetX = data:readShort()
self.offsetY = data:readShort()
self.scale = data:readShort()*0.01
self.type = data:readInt()
self.collectTime = data:readInt()
self.resetTime = data:readInt()
self.picPath = data:readString()
self.mapId = data:readInt()
self.pos = globalManager.messageUtils:changeStrToPoint(data:readString())
self.canAFK = data:readBoolean()
self.quality = data:readInt()
self.minLevel = data:readShort()
self.maxLevel = data:readShort()
local pList = globalManager.messageUtils:changeStrToPointList(data:readString())
if(#pList > 0) then
self.randomPoint = pList[math.ceil(math.random()*#pList)];
else
self.randomPoint = globalManager.ccCreator:newPoint(0,0);
end
self.barDescript = data:readString()
end
--##globalData.allTemplates.collectTemplateList
CollectTemplateList = class("CollectTemplateList", function()
local ct = BaseTemplateList:new()
ct._list = {}
ct.YINYANGYU = 1910 --阴阳鱼（仙童副本采集物）
ct.BAGUAZHENG = 1911 --八卦阵(仙童副本采集物)
return ct
end)
function CollectTemplateList:parseOne()
local item = CollectTemplateInfo:new()
item:init(self._templateData)
self._list[item.templateId] = item
end
function CollectTemplateList:getCollect(id)
return self._list[id]
end
CombinedActiveTemplateList = class("CombinedActiveTemplateList",function()
local temp = BaseTemplateList:new()
temp.combinedActive1List = {}
temp.combinedActive2List = {}
temp.combinedActive3List = {}
temp.combinedActive4List = {}
temp.combinedActive5List = {}
temp.typeList            = {}
return temp
end)
function CombinedActiveTemplateList:parseOne()
local item = CombinedActiveTemplateInfo:new()
item:init(self._templateData)
if(item.type == 1)then
table.insert(self.combinedActive1List,item)
elseif(item.type == 2)then
table.insert(self.combinedActive2List,item)
elseif(item.type == 3)then
table.insert(self.combinedActive3List,item)
elseif(item.type == 4)then
table.insert(self.combinedActive4List,item)
elseif(item.type == 5)then
table.insert(self.combinedActive5List,item)
end
if(item.type ~= 2)then
self.typeList[item.type] = item.type
end
end
CombinedActiveTemplateInfo = class("CombinedActiveTemplateInfo",function()
local temp = {}
temp.type          = 0  --1欢乐送钻2寻宝轮盘3帮派排名4结缘礼包5合服礼包
temp.condition     = 0  --条件，没有条件为0
temp.awardList     = {} --奖励列表
return temp
end)
function CombinedActiveTemplateInfo:init(bytes)
self.type          = bytes:readByte()
self.condition     = bytes:readShort()
self.awardList     = globalManager.messageUtils:changeStrToIntList(bytes:readString())
end
ConsumenGiftTemplateList = class("ConsumenGiftTemplateList",function()
local temp = BaseTemplateList:new()
temp.consumenList = {}
temp.chargeList   = {}
return temp
end)
function ConsumenGiftTemplateList:parseOne()
local item = ConsumenGiftTemplateInfo:new()
item:init(self._templateData)
if(item.type == 2)then
table.insert(self.consumenList,item)
elseif(item.type == 1)then
table.insert(self.chargeList,item)
end
end
function ConsumenGiftTemplateList:getTemplate(type,id)
if(type == 2)then
for __,info in pairs(self.consumenList) do
if(info.id == id)then
return info
end
end
elseif(type == 1)then
for __,info in pairs(self.chargeList) do
if(info.id == id)then
return info
end
end
end
end
ConsumenGiftTemplateInfo = class("ConsumenGiftTemplateInfo",function()
local temp = {}
temp.type     = 0
temp.id       = 0
temp.consumen = 0
temp.itemList = {}
return temp
end)
function ConsumenGiftTemplateInfo:init(bytes)
self.type     = bytes:readByte()
self.id       = bytes:readByte()
self.consumen = bytes:readInt()
self.itemList = globalManager.messageUtils:changeStrToIntList(bytes:readString())
end
CopyInfo = class("CopyInfo",function()
local ci = EventDispatcher:new()
--当天副本进入次数map<id,count>
ci.countList = {}
--副本恢复次数（+1）时间 map<id,count>
ci.countTimeList = {}
--副本已过最高关卡map<id,missionId>
ci.maxMissionList = {}
--副本当天已过最高关卡map<id,missionId>
ci.todayMaxMissionList = {}
--上一次切图时副本ID
ci.lastCopyId = -1
--当前副本ID
ci.currentCopyId = -1
--当前副本场景数据
ci.currentCopySceneInfo = nil
--当前副本数据
ci.currentCopyInfo = nil
--副本掉落物品列表
ci.itemList = {}
--远征副本章节
ci.chapter = 0
ci.sweepInfoUncomplete = nil
--炼狱副本数据
ci.copyLYInfo          = CopyLYInfo:new()
--答题副本数据
ci.copyDTInfo          = CopyDTInfo:new()
--全民探宝数据
ci.copyTBInfo          = CopyTBInfo:new()
--远古战场数据
ci.copyYGInfo		   = CopyYuanGuInfo:new()
--一锤定音
ci.copyYCInfo 		   = CopyYCInfo:new()
--帮战
ci.copyBZInfo 		   = CopyBZInfo:new()
--帮派BOSS数据
ci.leagueCopyInfo      = CopyInfoBase:new()
--材料副本数据
ci.materialCopyInfo    = CopyMaterialInfo:new()
--远征副本数据
ci.expeditionInfo      = CopyExpeditionInfo:new()
--新手副本数据
ci.newlyCopyInfo       = CopyInfoBase:new()
--守护副本数据
ci.defenesCopyInfo     = DefenesCopyInfo:new()
--VIPBoss副本数据
ci.worldBossVipCopyInfo    = WorldBossVipCopyInfo:new()
--宝藏秘境副本数据
ci.findTreasureCopyInfo    = FindTreasureCopyInfo:new()
--群雄争霸副本数据
ci.starcraftCopyInfo   = StarcraftCopyInfo:new()
--跨服boss副本数据
ci.copyCrossBossInfo   = CopyCrossBossInfo:new()
--混沌战场副本数据
ci.copyChaosInfo       = CopyChaosInfo:new()
--天空幻境副本数据
ci.copySkyDreamLandInfo= CopySkyDreamLandInfo:new()
--桃园副本幻境
ci.copyTaoYuanInfo = CopyTaoYuanInfo:new()
--三打副本数据
ci.copySanDaInfo = CopySanDaInfo:new()
--1v1
ci.copyArenaXHInfo = CopyInfoBase:new()
--元宵副本
ci.yuanXiaoCopyInfo = WorldBossVipCopyInfo:new()
return ci
end)
function CopyInfo:getCopyInfo(copyId, mission)
local info = nil
if copyId == globalData.allTemplates.copyTemplateList.LIANYU then
info = self.copyLYInfo
elseif copyId == globalData.allTemplates.copyTemplateList.DATI then
info = self.copyDTInfo
elseif copyId == globalData.allTemplates.copyTemplateList.TANBAO then
info = self.copyTBInfo
elseif copyId == globalData.allTemplates.copyTemplateList.YUANGU then
info = self.copyYGInfo
elseif copyId == globalData.allTemplates.copyTemplateList.YICHUI then
info = self.copyYCInfo
elseif copyId == globalData.allTemplates.copyTemplateList.BANGZHAN then
info = self.copyBZInfo
elseif(copyId >= 16110 and copyId <= 16310) then
info = self.leagueCopyInfo
elseif(copyId == globalData.allTemplates.copyTemplateList.MATERIAL)then
info = self.materialCopyInfo
elseif(copyId == globalData.allTemplates.copyTemplateList.EXPEDITION)then
info = self.expeditionInfo
elseif(copyId == globalData.allTemplates.copyTemplateList.DEFENED) then
info = self.defenesCopyInfo
elseif(globalData.newlyGuideCopyConfig:getNewlyCopyType(copyId) > 0) then
info = self.newlyCopyInfo
elseif(copyId >= 70101 and copyId <= 70103)then
info = self.worldBossVipCopyInfo
elseif(copyId == globalData.allTemplates.copyTemplateList.TREASURE)then
info = self.findTreasureCopyInfo
elseif(copyId == globalData.allTemplates.copyTemplateList.STARCRAFT)then
info = self.starcraftCopyInfo
elseif(copyId == globalData.allTemplates.copyTemplateList.CROSSBOSS)then
info = self.copyCrossBossInfo
elseif(copyId == globalData.allTemplates.copyTemplateList.CHAOS)then
info = self.copyChaosInfo
elseif(copyId == globalData.allTemplates.copyTemplateList.SKYDREAMLAND)then
info = self.copySkyDreamLandInfo
elseif(copyId == globalData.allTemplates.copyTemplateList.TAOYUAN)then
info = self.copyTaoYuanInfo
elseif(copyId == globalData.allTemplates.copyTemplateList.SANDA)then
info = self.copySanDaInfo
elseif(copyId == globalData.allTemplates.copyTemplateList.ARENAXH)then
info = self.copyArenaXHInfo
elseif(copyId == globalData.allTemplates.copyTemplateList.DATICOPY)then
info = self.yuanXiaoCopyInfo
end
if(info == nil)then
-- info = self:initCopy(copyId, mission or 1)
print("#无副本数据", copyId)
else
info:setCopyId(copyId)
info:setMissionId(mission)
end
return info
end
function CopyInfo:clearCopy()
if self.currentCopyInfo ~= nil then
self.currentCopyInfo:clear()
end
end
function CopyInfo:initData(bytes)
local len = bytes:readInt()
for i = 1,len,1 do
local id = bytes:readInt()
self.countList[id] = bytes:readInt()
self.countTimeList[id] = bytes:readInt()
end
len = bytes:readInt()
for i = 1,len,1 do
local id = bytes:readInt()
local count = bytes:readInt()
self.maxMissionList[id] = count
end
len = bytes:readInt()
for i = 1,len,1 do
local id = bytes:readInt()
local count = bytes:readInt()
self.todayMaxMissionList[id] = count
end
len = bytes:readInt()
for i = 1,len,1 do
local id = bytes:readInt()
local chapter = bytes:readByte()
if(globalData.allTemplates.copyTemplateList.EXPEDITION == id)then
self.chapter = chapter
end
end
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_copyDataUpdate,self,nil))
end
--设置次数恢复时间
function CopyInfo:setCountTime(count,time)
self:copyAddCount(globalData.allTemplates.copyTemplateList.EXPEDITION,-count)
self.countTimeList[globalData.allTemplates.copyTemplateList.EXPEDITION] = time
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.expedition_countTimeUpdate,self,nil))
end
--获取次数恢复时间
function CopyInfo:getCountTime(id)
if(self.countTimeList[id] == nil)then
return 0
end
local systemTime = math.floor(globalData.systemDateInfo:getSystemTime() / 1000)
return self.countTimeList[id] - systemTime
end
--获取当天已进入次数
function CopyInfo:getCopyCount(id)
if(self.countList[id] == nil)then
return 0
end
return self.countList[id]
end
--当天进入次数+1
function CopyInfo:setCopyCount(id)
if(self.countList[id] == nil)then
self.countList[id] = 1
else
self.countList[id] = self.countList[id] + 1
end
end
--获取副本剩余次数 id=-1表示当前副本
function CopyInfo:getCopyLeftCount(id)
if(id == -1)then
id = self.currentCopyId
end
if(id == -1)then
return 0
end
local copy = globalData.allTemplates.copyTemplateList:getCopy(id)
assert(copy, "找不到副本:"..id)
return copy.dayTimes - self:getCopyCount(id)
end
--获取已通过的最高关卡missionId
function CopyInfo:getMaxMission(copyId)
if(self.maxMissionList[copyId] == nil)then
return 0
end
return self.maxMissionList[copyId]
end
--设置已通过副本的最高关卡，退出副本时更新
function CopyInfo:setMaxMission(copyId,maxMissionId)
self.maxMissionList[copyId] = maxMissionId
end
--获取今天已通过的最高关卡missionId
function CopyInfo:getTodayMaxMission(copyId)
if(self.todayMaxMissionList[copyId] == nil)then
return 0
end
return self.todayMaxMissionList[copyId]
end
function CopyInfo:setTodayMaxMission(copyId,maxMissionId,chapter)
self.todayMaxMissionList[copyId] = maxMissionId
if globalData.allTemplates.copyTemplateList.LIANYU == copyId then
if self.copyLYInfo ~= nil then
self:sendLYUpdate()
end
end
if(globalData.allTemplates.copyTemplateList.EXPEDITION == copyId)then
if(chapter ~= nil)then
self.chapter = chapter
end
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_copyTodayMax,self,nil))
end
end
function CopyInfo:copyAddCount(id,count)
if(self.countList[id] == nil)then
self.countList[id] = count
else
self.countList[id] = self.countList[id] + count
end
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_copyCount,self,nil))
end
-- function CopyInfo:createCopySceneInfo(copyId,missionId)
-- 	self:clearCopySceneInfo()
-- 	self.currentCopySceneInfo = CopySceneInfo:new(copyId,missionId)
-- end
-- function CopyInfo:clearCopySceneInfo()
-- 	if(self.currentCopySceneInfo ~= nil)then
-- 		self.currentCopySceneInfo:dispose()
-- 	end
-- 	self.currentCopySceneInfo = nil
-- end
function CopyInfo:isInCopy()
return self.currentCopyId > 0
end
--霸主信息
function CopyInfo:setCopyKingInfo(bytes)
local copyId = bytes:readInt()
local info = self:getCopyInfo(copyId)
info:setCopyKingInfo(bytes, copyId)
end
function CopyInfo:clearCopyKingInfo(copyId)
local info = self:getCopyInfo(copyId)
info:clearCopyKingInfo(copyId)
end
--获取关卡霸主信息
function CopyInfo:getCopyKingInfo(copyId,missionId)
local info = self:getCopyInfo(copyId)
return info:getCopyKingInfo(missionId, copyId)
end
--添加扫荡信息
function CopyInfo:addSweepInfo(datas)
local len = datas:readShort()
self.sweepInfoUncomplete = nil
for i = 1,len,1 do
local sweepInfo = CopySweepInfo:new()
sweepInfo:parseData(datas)
local info = self:getCopyInfo(sweepInfo.copyId)
info:addSweepInfo(info)
if sweepInfo.state ~= 1 then
self.sweepInfoUncomplete = sweepInfo
--改为直接领取不显示面板
globalData.messageAdder:sendCopySweepAward(sweepInfo.copyId)
globalData.copyInfo.sweepInfoUncomplete = nil
--			self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_sweepUncomplete,self))
end
end
end
function CopyInfo:removeSweepInfo(copyId)
local info = self:getCopyInfo(copyId)
info:removeSweepInfo(copyId)
end
function CopyInfo:addEntrustItem(itemList)
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_copyEntrus,self,itemList))
end
--获取一个已完成的扫荡数据
function CopyInfo:getSweepInfoUncomplete()
return self.sweepInfoUncomplete
end
function CopyInfo:getSweepInfo(copyId)
local info = self:getCopyInfo(copyId)
return info:getSweepInfo(copyId)
end
function CopyInfo:createCopyZhuangPanInfo(zhuangPanInfo)
local info = self:getCopyInfo(zhuangPanInfo.copyId)
info:createCopyZhuangPanInfo(zhuangPanInfo)
end
function CopyInfo:createBossKillPanel(exp,copper)
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_copyBossKill,self,{exp,copper}))
end
function CopyInfo:sendLYUpdate()
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_copyMissionAward,self,nil))
end
function CopyInfo:setXiXingStarInfo(bytes)
self.expeditionInfo:setStarInfo(bytes)
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_xiXingStarUpdate,self,nil))
end
function CopyInfo:clearAllDatas()
self.countList = {}
self.countTimeList = {}
self.maxMissionList = {}
self.todayMaxMissionList = {}
self.lastCopyId = self.currentCopyId
self.itemList = {}
self.currentCopyId = -1
self.chapter = 0
self.sweepInfoUncomplete = nil
self.expeditionInfo:clearAllDatas()
self:clearCopy()
end
CopyCompleteAwardTemplateInfo = class("CopyCompleteAwardTemplateInfo",function()
local temp = {}
temp.copyId = 0
temp.missionId = 0
--奖励物品{{career,id,count,isbind},{career,id,count,isbind}}
temp.rewardItems = {}
return temp
end)
function CopyCompleteAwardTemplateInfo:init(bytes)
self.copyId = bytes:readInt()
self.missionId = bytes:readInt()
self.rewardItems = globalManager.messageUtils:changeStrToIntList(bytes:readString())
end
CopyCompleteAwardTemplateList = class("CopyCompleteAwardTemplateList",function()
local cm = BaseTemplateList:new()
--map<id,CopyCompleteAwardTemplateInfo>
cm.list = {}
return cm
end)
function CopyCompleteAwardTemplateList:parseOne()
local item = CopyCompleteAwardTemplateInfo:new()
item:init(self._templateData)
table.insert(self.list,item)
end
function CopyCompleteAwardTemplateList:getInfoAward(copyId,missionId)
for i,info in pairs(self.list) do
if(info.copyId == copyId and info.missionId == missionId)then
return info
end
end
end
--单个副本霸主信息
CopyKingInfo = class("CopyKingInfo",function()
local ck = {}
ck.copyId = 0
--map<missionId,copyKingMissionInfo>
ck.missionInfos = {}
return ck
end)
function CopyKingInfo:setMissionInfo(datas)
local mission = CopyKingMissionInfo:new()
mission:init(datas)
self.missionInfos[mission.missionId] = mission
end
function CopyKingInfo:setSelfPassTime(missionId,value)
if(self.missionInfos[missionId] == nil)then
self.missionInfos[missionId] = CopyKingMissionInfo:new()
self.missionInfos[missionId].missionId = missionId
end
self.missionInfos[missionId]:setSelfPassTime(value)
end
function CopyKingInfo:setSelfRank(myRank)
self.myRank = myRank
end
function CopyKingInfo:dispose()
end
CopyKingMissionInfo = class("CopyKingMissionInfo",function()
local ck = {}
ck.missionId = 0
ck.kingPassTime = 0
ck.selfPassTime = 0
--vector<CopyKingPlayerInfo>
ck.players = {}
return ck
end)
function CopyKingMissionInfo:init(bytes)
self.missionId = bytes:readInt()
self.kingPassTime = bytes:readInt()
-- self.selfPassTime = bytes:readInt()
local parseType = bytes:readByte()
local len = bytes:readByte()
for i = 1,len,1 do
local player = CopyKingPlayerInfo:new()
if(parseType == 1)then
player:parse1(bytes)
else
player:parse2(bytes)
end
table.insert(self.players,player)
end
end
function CopyKingMissionInfo:setSelfPassTime(value)
self.selfPassTime = value
end
function CopyKingMissionInfo:toString()
if self.players ~= nil then
for i = 1, #self.players do
self.players[i]:toString()
end
end
end
CopyKingPlayerInfo = class("CopyKingPlayerInfo",function()
local ck = {}
ck.nick = nil
ck.serverId = 0
ck.combinedServerId = 0
ck.userId = 0
ck.career = 0
ck.level = 0
ck.vipLevel = 0
return ck
end)
function CopyKingPlayerInfo:parse1(bytes)
self.nick = bytes:readString()
end
function CopyKingPlayerInfo:parse2(bytes)
globalManager.messageUtils:setLinkPlayer(self, bytes)
end
function CopyKingPlayerInfo:toString()
end
CopyMissionTemplateInfo = class("CopyMissionTemplateInfo",function()
local cm = {}
cm.copyId = 0
cm.name = ""
cm.missionId = 0
cm.mapId = 0
cm.needLevel = -1
--奖励物品{id,id,id}
cm.rewardItems = {}
--首次通关奖励
cm.firstAwards = {}
--每日首次通关奖励
cm.todayFirstAwards = {}
cm.firstTitleId = 0
cm.bossId = 0
cm.awardExp = 0
cm.copper = 0
cm.fight = 0 --推荐战力
return cm
end)
function CopyMissionTemplateInfo:init(bytes)
self.copyId = bytes:readInt()
self.missionId = bytes:readInt()
self.mapId = bytes:readInt()
self.needLevel = bytes:readShort()
self.bossId = bytes:readInt()
self.awardExp = bytes:readInt()
self.copper   = bytes:readInt()
if(self.copyId == globalData.allTemplates.copyTemplateList.MATERIAL)then
local list = globalManager.messageUtils:splitString(bytes:readString(),"#")
self.rewardItems = {}
for __,info in pairs(list) do
local temp = globalManager.messageUtils:changeStrToIntList(info)
table.insert(self.rewardItems,temp)
end
else
self.rewardItems = globalManager.messageUtils:changeStrToIntList(bytes:readString())
end
self.firstAwards = globalManager.messageUtils:changeStrToIntList(bytes:readString())
self.firstTitleId = bytes:readInt()
self.fight = bytes:readNumber()
self.todayFirstAwards = globalManager.messageUtils:changeStrToIntList(bytes:readString())
self.name = bytes:readString()
end
function CopyMissionTemplateInfo:getASelfCareerFReward()
local len = table.getn(self.firstAwards)
for i = 1,len,1 do
if(self.firstAwards[i][1] == 0 or self.firstAwards[i][1] == globalData.allStaticTypes.careerType:getCareer(globalData.selfPlayerInfo.career))then
return self.firstAwards[i]
end
end
return nil
end
--##globalData.allTemplates.copyMissionTemplateList
CopyMissionTemplateList = class("CopyMissionTemplateList",function()
local cm = BaseTemplateList:new()
--map<id,CopyMissionTemplateInfo>
cm.list = {}
return cm
end)
function CopyMissionTemplateList:parseOne()
local item = CopyMissionTemplateInfo:new()
item:init(self._templateData)
self.list[item.missionId] = item
end
function CopyMissionTemplateList:getMission(missionId)
local mission = self.list[missionId]
--assert(mission, "mission template info is nil:"..missionId)
return mission
end
function CopyMissionTemplateList:parsePreFrame()
return 100
end
CopyPlateTemplateInfo = class("CopyPlateTemplateInfo",function()
local cp = {}
cp.id = 0
cp.name = ""
--id,count,career
cp.items = {}
return cp
end)
function CopyPlateTemplateInfo:init(data)
self.id = data:readInt()
self.name = data:readString()
self.items = globalManager.messageUtils:changeStrToIntList(data:readString())
end
CopyPlateTemplateList = class("CopyPlateTemplateList",function()
local cp = BaseTemplateList:new()
--map<int,CopyPlateTemplateInfo>
cp.list = {}
return cp
end)
function CopyPlateTemplateList:parseOne()
local item = CopyPlateTemplateInfo:new()
item:init(self._templateData)
self.list[item.id] = item
end
function CopyPlateTemplateList:getTemplate(id)
return self.list[id]
end
CopySweepInfo = class("CopySweepInfo",function()
local cs = {}
cs.copyId = 0
cs.missionId = 0
cs.times = 0
cs.endTime = 0 --结束时间
cs.state = 0 --1：扫荡
cs.exp = 0
cs.copper = 0
--id,count,isBind|id,count,isBind
cs.award = {}
return cs
end)
function CopySweepInfo:parseData(datas)
self.copyId = datas:readInt()
self.missionId = datas:readInt()
self.times = datas:readByte()
self.endTime = datas:readInt()
self.state = datas:readByte()
self.exp = datas:readInt()
self.copper = datas:readInt()
self.award = globalManager.messageUtils:changeStrToIntList(datas:readString())
if(self.exp > 0)then
table.insert(self.award,{globalData.allStaticTypes.categoryType.expItem,self.exp})
end
if(self.copper > 0)then
table.insert(self.award,{globalData.allStaticTypes.categoryType.copperItem,self.copper})
end
end
CopyTemplateInfo = class("CopyTemplateInfo",function()
local ct = {}
ct.copyId = 0
--1:渡劫2：降魔3：炼狱,
ct.cardType = 0--分卡类型
ct.type = 0 --类型,1普通副本，2闯关单人例如诛仙，3守塔副本，4特殊副本,5 帮会副本',
ct.name = ""
ct.descript = ""
ct.dayTimes = 0--每天次数
-- ct.npcId = 0--对应npcID
ct.recommend = 0--推荐度
ct.minLevel = 0--进入最小等级
ct.maxLevel = 0--进入最大等级
ct.minPlayer = 0--进入最少玩家
ct.maxPlayer = 0--进入最大玩家
-- ct.needYB = 0--需要铜币
-- ct.needCopper = 0--需要铜币
-- ct.needItemId = 0--需要道具
ct.copyTime = 0--副本总时间
ct.leagueLevel = 0--帮派等级
ct.buffId = 0--进入获得buffId
ct.missions = {}--关卡ID
ct.copyAward = {}--副本最后奖励
ct.cost = 0
ct.flushTime = 0
return ct
end)
function CopyTemplateInfo:init(bytes)
self.copyId = bytes:readInt()
self.cardType = bytes:readByte()
self.type = bytes:readByte()
self.name = bytes:readString()
self.descript = bytes:readString()
self.dayTimes = bytes:readShort()
-- self.npcId = bytes:readInt()
self.recommend = bytes:readByte()
self.minLevel = bytes:readShort()
self.maxLevel = bytes:readShort()
self.minPlayer = bytes:readShort()
self.maxPlayer = bytes:readShort()
-- self.needYB = bytes:readInt()
-- self.needCopper = bytes:readInt()
-- self.needItemId = bytes:readInt()
self.copyTime = bytes:readInt()
self.leagueLevel = bytes:readByte()
self.buffId = bytes:readInt()
self.cost = bytes:readInt()
self.missions  = globalManager.messageUtils:splitStringToInt(bytes:readString(),",")
if(self.copyId == globalData.allTemplates.copyTemplateList.TREASURE)then
self.copyAward = globalManager.messageUtils:splitString(bytes:readString(),"#")
else
self.copyAward = globalManager.messageUtils:splitStringToInt(bytes:readString(),",")
end
self.flushTime = bytes:readInt()
end
function CopyTemplateInfo:getFirstMission()
return globalData.allTemplates.copyMissionTemplateList:getMission(self.missions[1])
end
function CopyTemplateInfo:getFirstMissionId()
return self.missions[1]
end
function CopyTemplateInfo:missionIndexToId(index)
return self.missions[index]
end
function CopyTemplateInfo:missionIdToIndex(id)
local len = table.getn(self.missions)
for i = 1,len,1 do
if(self.missions[i] == id)then
return i
end
end
if(id > self.missions[#self.missions])then
return #self.missions + 1
end
return -1
end
--##globalData.allTemplates.copyTemplateList
CopyTemplateList = class("CopyTemplateList",function()
local ct = BaseTemplateList:new()
ct.LIANYU   = 10003	--炼狱副本
ct.DATI     = 10004 --答题
ct.YUANGU   = 30301	--远古战场
ct.TANBAO   = 30601	--全民探宝
ct.YICHUI   = 30501 --一锤定音
ct.CHAOS    = 18001 --混沌战场
ct.TAOYUAN  = 19001 --桃园幻境
ct.BANGZHAN    = 30701 --帮战
ct.SANDA    = 30801 --三打白骨精
ct.ARENAXH = 30901 --仙皇争霸1v1
ct.LEAGUEBOSS  = {16110,16210,16310} --帮派BOSS
ct.MATERIAL    = 50101 --材料副本
ct.EXPEDITION  = 50201 --西行副本
ct.DEFENED     = 51101 --守护副本
ct.BOSSVIP     = {70101,70102,70103}     --VIPBoss副本ID
ct.TREASURE    = 80101  --宝藏秘境副本
ct.__baseTemplateListComplete = ct.complete
ct.STARCRAFT   = 91012  --群雄争霸
ct.CROSSBOSS   = 91031  --跨服boss
ct.SKYDREAMLAND = 17110 --天空幻境
ct.DATICOPY    = 80102 --元宵副本
ct.EXPEDITIONTIME = 900 --西行次数恢复CD （s）
ct.EXPEDITIONMAX = 20 --西行次数最大上限
--帮派副本列表
ct._leagueList = {}
ct.copyList = {}
return ct
end)
function CopyTemplateList:parseOne()
local item = CopyTemplateInfo:new()
item:init(self._templateData)
self.copyList[item.copyId] = item
end
function CopyTemplateList:complete()
self:__baseTemplateListComplete()
for k,v in pairs(self.copyList) do
if(v ~= nil)then
if(v.type == 5)then
table.insert(self._leagueList,v)
end
end
end
local sortfunction = function(copy1,copy2)
return copy1.copyId < copy2.copyId
end
table.sort(self._leagueList, sortfunction)
end
function CopyTemplateList:getCopy(id)
return self.copyList[id]
end
--获取帮派BOSS副本列表
function CopyTemplateList:getLeagueBossCopyList()
return self._leagueList
end
--是否帮派副本
function CopyTemplateList:isLeagueCopy(id)
for __,template in pairs(self._leagueList) do
if(template.copyId == id)then
return true
end
end
return false
end
--副本中玩家头像点击是否弹出菜单
function CopyTemplateList:isShowPlayerMenu(copyId)
return true
end
--进副本时是否需要取时间和怪物霸主信息
function CopyTemplateList:needGetTimeAndMonsterInfo(copyId)
if(copyId == self.DATI or copyId == self.YUANGU  or copyId == self.TANBAO or copyId == self.YICHUI
or copyId == self.CHAOS or copyId == self.SANDA or copyId == self.ARENAXH or copyId == self.BANGZHAN
or copyId == self.DEFENED or copyId == self.STARCRAFT or copyId == self.CROSSBOSS or copyId == self.SKYDREAMLAND)then
return false
end
return true
end
--是否显示复活面板
function CopyTemplateList:showRelivePanel(id)
if(id == self.ARENAXH)then
return false
end
return true
end
--是否可以原地复活
function CopyTemplateList:yuandiRelivePanel(id)
if(id == self.SANDA or id == self.TAOYUAN or id == self.CHAOS or  id == self.YUANGU
or id == self.BANGZHAN or id == self.CROSSBOSS or id == self.SKYDREAMLAND
or globalManager.commonUtils:getIndexOfTable(self.BOSSVIP,id) ~= -1)then
return true
end
return false
end
function CopyTemplateList:canAttackLeague(id)
if(id == self.BANGZHAN or id == self.CROSSBOSS) then
return false
end
return true
end
--是否同阵营不攻击
function CopyTemplateList:isWarState(id)
if(id == self.CHAOS or  id == self.DEFENED or id == self.YUANGU or id == self.SKYDREAMLAND) then
return true
end
return false
end
--是否可以被玩家攻击打断采集
function CopyTemplateList:isCanStopColl(id)
if(id == self.SKYDREAMLAND or id == self.CHAOS) then
return true
end
return false
end
--是否新帮战
function CopyTemplateList:isBangZhan(id)
return id == self.BANGZHAN
end
--是否远古战场
function CopyTemplateList:isYuanGu(id)
return id == self.YUANGU
end
function CopyTemplateList:isDaTi(id)
return id == self.DATI
end
function CopyTemplateList:isYiChui(id)
return id == self.YICHUI
end
function CopyTemplateList:isTanBao(id)
return id == self.TANBAO
end
function CopyTemplateList:isDefenes(id)
return id == self.DEFENED
end
function CopyTemplateList:isStarCraft(id)
return id == self.STARCRAFT
end
function CopyTemplateList:isCrossBoss(id)
return id == self.CROSSBOSS
end
function CopyTemplateList:isChaos(id)
return id == self.CHAOS
end
function CopyTemplateList:autoDropWhenWalk(id)
if(id == self.TANBAO or id == self.YICHUI)then
return true
end
return false
end
function CopyTemplateList:showOtherCollectState(id)
if(id == self.TANBAO)then
return true
end
return false
end
--是否可以攻击
function CopyTemplateList:canAttack(id)
return true
end
--技能是否自动选人
function CopyTemplateList:skillAutoSekectPlayer(id)
if(id == self.DATI or id == self.YUANGU or id == self.CLUBCOPY)then
return true
end
return false
end
--走路完成自动选人
function CopyTemplateList:walkCompleteSelectPlayer(id)
if(id == self.DATI or id == self.YUANGU or id == self.CLUBCOPY)then
return false
end
return true
end
--是否可以使用普击或通用攻击技能
function CopyTemplateList:canUseCommonOrDefaultSkill(id)
if(id == self.DATI or id == self.YICHUI or id == self.TANBAO) then
return false
end
return true
end
--是否显示妖精（形象+数据）
function CopyTemplateList:isShowPet(copyId)
if(copyId == self.DATI or copyId == self.YICHUI or copyId == self.TANBAO
or copyId == self.BANGZHAN)then
return false
end
return true
end
--是否显示妖精（仅形象）
function CopyTemplateList:isShowPetCharacter(copyId)
if(copyId == self.YUANGU or copyId == self.CROSSBOSS)then
return false
end
return true
end
--是否显示伙伴（形象+数据）
function CopyTemplateList:isShowPartner(copyId)
if(copyId == self.DATI or copyId == self.YICHUI or copyId == self.TANBAO
or copyId == self.BANGZHAN)then
return false
end
return true
end
--是否显示伙伴（仅形象）
function CopyTemplateList:isShowPartnerCharacter(copyId)
if(copyId == self.YUANGU or copyId == self.CROSSBOSS)then
return false
end
return true
end
--能否挂机
function CopyTemplateList:canHangup(copyId)
if(copyId == self.CHAOS or copyId == self.DATI or copyId == self.CLUBCOPY
or copyId == self.TANBAO or copyId == self.STARCRAFT)then
return false
end
return true
end
--是否隐藏其他玩家名字和称号
function CopyTemplateList:hideOtherName(copyId)
return false
end
--隐藏称号
function CopyTemplateList:hideTitle(copyId)
if(copyId == self.CLUBCOPY or copyId == self.DATI or copyId == self.YICHUI
or copyId == self.TANBAO or copyId == self.BANGZHAN or copyId == self.CROSSBOSS)then
return true
end
return false
end
--是否显示帮派名
function CopyTemplateList:showClubName(copyId)
if(copyId == self.YUANGU)then
return false
end
return true
end
--点击技能是否自动选人
function CopyTemplateList:autoSelectAttackPlayer(copyId)
if(copyId == self.DATI or copyId == self.CLUBCOPY or copyId == self.YUANGU)then
return true
end
return false
end
--是否显示击杀者名称
function CopyTemplateList:showKillerName(copyId)
if(copyId == self.DATI)then
return false
end
return true
end
--是否能上坐骑
function CopyTemplateList:canRider(copyId)
if(copyId <= 0 or copyId == self.SKYDREAMLAND) then
return true
end
return false
end
-- 是否显示仙灵
function CopyTemplateList:showSprite(copyId)
if(copyId == self.DATI or copyId == self.YUANGU
or copyId == self.YICHUI or copyId == self.TANBAO or copyId == self.BANGZHAN
or copyId == self.STARCRAFT or copyId == self.CROSSBOSS)then
return false
end
return true
end
-- 是否显示龙魂
function CopyTemplateList:showLonghun(copyId)
if(copyId == self.CHAOS or copyId == self.BANGZHAN or copyId == self.STARCRAFT or copyId == self.CROSSBOSS)then
return false
end
return true
end
-- 是否显示法阵
function CopyTemplateList:showFazhen(copyId)
if(copyId == self.CHAOS)then
return false
end
return true
end
-- 是否显示足迹
function CopyTemplateList:showFoot(copyId)
if(copyId == self.CHAOS)then
return false
end
return true
end
-- 是否显示羽翼
function CopyTemplateList:showWing(copyId)
if(copyId == self.BANGZHAN or copyId == self.CROSSBOSS)then
return false
end
return true
end
--是否复活后开始挂机
function CopyTemplateList:isReliveHangup(copyId)
if(copyId == self.DEFENED or copyId == self.SANDA or copyId == self.ARENAXH or copyId == self.YUANGU or copyId == self.BANGZHAN)then
return true
end
return false
end
CopyZhuangPanInfo = class("CopyZhuangPanInfo",function()
local cz = {}
cz.exp = 0
cz.copper = 0
cz.itemId = 0
cz.itemCount = 0
cz.copyId = 0
cz.missionId = 0
return cz
end)
NewlyGuideCopyConfig = class("NewlyGuideCopyConfig", function(self)
local temp = {}
temp.newlyCopyId1 = 60101 --坐骑副本
temp.newlyCopyId2 = 60102 --妖精副本
temp.newlyCopyId3 = 60103 --羽翼副本
temp.newlyCopyId4 = 60104 --足迹副本
temp.newlyCopyId5 = 60105 --仙灵副本
return temp
end)
--return:0不属于新手副本  1坐骑副本 2妖精副本 3羽翼副本 4足迹副本 5仙灵副本
function NewlyGuideCopyConfig:getNewlyCopyType(id)
if(id == self.newlyCopyId1) then return 1 end
if(id == self.newlyCopyId2) then return 2 end
if(id == self.newlyCopyId3) then return 3 end
if(id == self.newlyCopyId4) then return 4 end
if(id == self.newlyCopyId5) then return 5 end
return 0
end
function NewlyGuideCopyConfig:getTalkId(id)
if(id == self.newlyCopyId1) then return "300101" end
if(id == self.newlyCopyId2) then return "300102" end
if(id == self.newlyCopyId3) then return "300103" end
if(id == self.newlyCopyId4) then return "300104" end
if(id == self.newlyCopyId5) then return "300105" end
return 0,0
end
NewYearTemplateInfo = class("NewYearTemplateInfo",function ()
local temp = {}
temp.id = 0
temp.score = 0
temp.award_list = {}
return temp
end)
function NewYearTemplateInfo:init(bytes)
self.id = bytes:readShort()
self.score = bytes:readInt()
self.award_list = globalManager.messageUtils:changeStr1(bytes:readString())
end
NewYearTemplateList = class("NewYearTemplateList", function(self)
local temp = BaseTemplateList:new()
temp._list = {}
return temp
end)
function NewYearTemplateList:parseOne()
local info = NewYearTemplateInfo:new()
info:init(self._templateData)
table.insert(self._list,info)
end
function NewYearTemplateList:getAwardByPercent(num)
for index,info in pairs(self._list) do
if info.score == num then
return info
end
end
end
function NewYearTemplateList:getAwardByIndex(num)
for index,info in pairs(self._list) do
if info.id == num then
return info
end
end
end
CopyExpeditionInfo = class("CopyExpeditionInfo", function(self)
local temp = CopyInfoBase:new()
temp.itemList = {}
temp.itemCount = 0
temp.state = -1
temp.restNum = 0
temp.starAmount = 0
temp.starInfoList = {}
temp.awardIdList = {}
return temp
end)
function CopyExpeditionInfo:setItemList(list,count)
self.itemList = list
self.itemCount = count
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_materialBoxNum, self, nil))
end
function CopyExpeditionInfo:setMission(state,remainNum)
self.state = state
self.restNum = remainNum
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_expeditionAwardState, self, nil))
end
function CopyExpeditionInfo:clear()
self.itemList  = {}
self.itemCount = 0
end
function CopyExpeditionInfo:dipose()
self.itemList = nil
end
function CopyExpeditionInfo:setStarInfo(data)
self.starAmount = 0
local len = data:readByte()
for i = 1, len do
local missId = data:readInt()
local starNum = data:readByte()
self.starAmount = self.starAmount + starNum
self.starInfoList[missId] = starNum
end
len = data:readByte()
for i = 1, len do
local awardId = data:readShort()
self.awardIdList[awardId] = true
end
end
function CopyExpeditionInfo:clearAllDatas()
self.itemList = {}
self.itemCount = 0
self.state = -1
self.restNum = 0
self.starAmount = 0
self.starInfoList = {}
self.awardIdList = {}
end
CopyInfoBase = class("CopyInfoBase", function(_ )
local self = EventDispatcher:new()
self.mission = 0
self.copyId       = 0
self.copy         = nil --globalData.allTemplates.copyTemplateList:getCopy(copyId)
self.leftTime     = 0
self.totalTime    = 0
self.missionId    = 0
self.leftMonster  = 0
self.totalMonster = 0
self.totalExp     = 0
self.currentExp   = 0
self.totalCopper  = 0
self.currentCopper= 0
self.monsterCurrentBall = 0 --当前波数
self.monsterTotalBall = 0 --总波数
-- print("#ms", self.mission, self.copyId)
return self
end)
function CopyInfoBase:ctor()
end
function CopyInfoBase:setCopyId(copyId)
if self.copyId ~= copyId then
self.copyId = copyId
self.copy = globalData.allTemplates.copyTemplateList:getCopy(copyId)
end
end
function CopyInfoBase:setMissionId(mission)
if self.mission ~= mission and mission ~= nil then
self.mission = mission
end
end
function CopyInfoBase:updateMonsterCount( leftMonster, totalMonster )
self.leftMonster  = leftMonster or self.leftMonster
self.totalMonster = totalMonster or self.totalMonster
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_copyMonster, self, nil))
end
function CopyInfoBase:updateTimeInfo( leftTime, totalTime )
self.leftTime  = leftTime or self.leftTime
self.totalTime = totalTime or self.totalTime
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_copyTime, self, nil))
end
function CopyInfoBase:updateExpInfo( currentExp, totalExp )
self.currentExp = currentExp or self.currentExp
self.totalExp   = totalExp or self.totalTime
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_copyExpUpdate, self, nil))
end
function CopyInfoBase:updateBall(currentBall,totalBall)
self.monsterCurrentBall = currentBall
self.monsterTotalBall = totalBall
local id = self.copy:missionIndexToId(currentBall)
local mission = globalData.allTemplates.copyMissionTemplateList:getMission(id)
assert(mission, "#关卡不存在,id:"..self.copyId..", missionId:"..id..", missionId:"..currentBall)
self.currentExp = mission.awardExp
self.currentCopper = mission.copper
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_copyMonsterBall,self,nil))
end
function CopyInfoBase:copyComplete()
end
function CopyInfoBase:clear()
self.leftTime     = 0
self.totalTime    = 0
self.missionId    = 0
self.leftMonster  = 0
self.totalMonster = 0
self.totalExp     = 0
self.currentExp   = 0
end
BaseCopyInfo = class("BaseCopyInfo", function(self, copyId)
local this = EventDispatcher:new()
this.__eventDispatcherDispose = this.dispose
this.copyId = copyId
this.copyTemp = globalData.allTemplates.copyTemplateList:getCopy(copyId)
this.sweepInfo = nil
this.copyZhuangPan = nil
this.copyKings = nil
return this
end)
--kings
--霸主信息
function BaseCopyInfo:setCopyKingInfo(bytes)
if(self.copyKings == nil)then
self.copyKings = CopyKingInfo:new()
end
local len = bytes:readShort()
for i = 1,len,1 do
self.copyKings:setMissionInfo(bytes)
end
local len = bytes:readShort()
for i = 1,len,1 do
local missId = bytes:readInt()
local time = bytes:readInt()
self.copyKings:setSelfPassTime(missId, time)
end
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_copyKing,self,nil))
end
--获取关卡霸主信息
function BaseCopyInfo:getCopyKingInfo(missionId)
if(self.copyKings == nil)then
return nil
end
local info = self.copyKings.missionInfos[missionId]
return info
end
function BaseCopyInfo:clearCopyKingInfo()
local copyKingInfo = self.copyKings
if(copyKingInfo ~= nil)then
copyKingInfo:dispose()
self.copyKings = nil
end
end
--扫荡信息
function BaseCopyInfo:addSweepInfo(info)
self.sweepInfo = info
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_copySweep,self,nil))
end
function BaseCopyInfo:removeSweepInfo()
self.sweepInfo = nil
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_copySweep,self,nil))
end
function BaseCopyInfo:getSweepInfo()
return self.sweepInfo
end
--转盘信息
function BaseCopyInfo:createCopyZhuangPanInfo(zhuangPanInfo)
self.copyZhuangPan = zhuangPanInfo
globalData.copyInfo:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_copyShowZhuangPan,globalData.copyInfo,zhuangPanInfo))
end
--关面板时清除
function BaseCopyInfo:clearCopyZhuangPanInfo()
self.copyZhuangPan = nil
end
function BaseCopyInfo:dispose()
self:__eventDispatcherDispose()
self:clearCopyZhuangPanInfo()
self.sweepInfo = nil
self.copyKings = nil
end
CopyBZInfo = class("CopyBZInfo", function(_)
local self = CopyInfoBase:new( )
self.selfRank        = 0
self.selfScore       = 0
self.stoneClubId     = 0
--自己占领的怪物，模版ID
self.selfMonsterId   = 0
self.playerRankInfos = {}
self.clubRankInfos   = {}
self._baseClear      = self.clear
return self
end)
function CopyBZInfo:initData(bytes)
self.stoneClubId = bytes:readNumber()
self.selfRank = bytes:readShort()
self.selfScore = bytes:readInt()
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.bangzhan_info,globalManager.gameDispatcher,nil))
end
function CopyBZInfo:initClubsInfo(bytes)
local len = bytes:readByte()
for i = 1,len,1 do
local rank = bytes:readByte()
local item = self.clubRankInfos[rank]
if(item == nil)then
item = BangZhanClubRankInfo:new()
self.clubRankInfos[rank] = item
item.rank = rank
end
item:init(bytes)
if(item.clubId == globalData.selfPlayerInfo.uniteId)then
self.selfMonsterId = item.monster
end
end
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.bangzhan_club,globalManager.gameDispatcher,nil))
end
function CopyBZInfo:initRank(bytes)
self.playerRankInfos = {}
local len = bytes:readShort()
for i = 1,len,1 do
local info = BangZhanPlayerRankInfo:new()
info:init(bytes)
table.insert(self.playerRankInfos,info)
end
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.bangzhan_rank,globalManager.gameDispatcher,nil))
end
function CopyBZInfo:initAwardInfo(bytes)
local selfRank = bytes:readShort()
local selfCount = bytes:readInt()
local exp     = bytes:readInt()
local clubLen = bytes:readByte()
local itemlen = bytes:readByte()
local itemList = {}
local clubList = {}
for i = 1,itemlen,1 do
table.insert(itemList,{bytes:readInt(),bytes:readByte()})
end
local wealth = bytes:readInt()
for i = 1,clubLen,1 do
local item = BangZhanClubRankInfo:new()
item:init2(bytes)
table.insert(clubList,item)
end
local resultPanel = BangZhanResultPanel:new()
resultPanel:setData(selfRank,selfCount,exp,wealth,itemList,clubList)
end
function CopyBZInfo:clear()
self._baseClear(self)
self.playerRankInfos = {}
self.clubRankInfos = {}
end
CopyChaosInfo = class("CopyChaosInfo",function (self)
local temp = CopyInfoBase:new()
temp.myCamp = 0 --1是蓝方，2是红方
temp.teamInfoList = {}
temp.playerInfoList = {}
temp.totalScore = 1600 --总积分
temp._baseClear = temp.clear
temp.endTime = 0
return temp
end)
function CopyChaosInfo:setInfo(data)
self.myCamp = data:readByte()
self.endTime = data:readInt()
local len1 = data:readByte()
for i = 1,len1,1 do
local camp = data:readByte()
local scroe = data:readInt()
local crystalNum = data:readByte()
self.teamInfoList[camp] = {crystalNum,scroe}
end
local len2 = data:readByte()
for i = 1,len2,1 do
local userId = data:readNumber()
local carrer = data:readByte()
local name = data:readString()
local score = data:readInt()
local attackTime = data:readInt()
local winsPiont = data:readInt()
local duan = data:readByte()
local level = data:readShort()
self.playerInfoList[i] = {userId,carrer,name,score,level,attackTime,winsPiont,duan}
end
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.chaosCopyInfo_update,self,nil))
end
function CopyChaosInfo:clear()
self._baseClear(self)
self.myCamp = 0
self.teamInfoList = {}
self.playerInfoList = {}
end
CopyCrossBossInfo = class("CopyCrossBossInfo", function(self)
local temp = CopyInfoBase:new()
temp.allBossInfoList = {}
temp.hurtInfoList    = {}
temp.currentBossId   = 0
return temp
end)
function CopyCrossBossInfo:crossBossAllInfo(data)
local len = data:readByte()
for i = 1,len,1 do
local bossId    = data:readInt()
local bossState = data:readByte()
local bossHp    = data:readNumber()
self.allBossInfoList[bossId] = {bossId,bossState,bossHp}
end
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.crossBoss_allBossInfo, self, nil))
end
function CopyCrossBossInfo:crossBossInfo(data)
local sign       = data:readByte()
local bossId     = data:readInt()
if(sign == 2)then                      --sign 1 单个信息 sign 2所有人信息
self.hurtInfoList = {}
end
local len        = data:readByte()
for i = 1,len,1 do
local userId     = data:readNumber()
local hurtHp     = data:readNumber()
local playerName = data:readString()
local serverId   = data:readShort()
self.hurtInfoList[userId] = {userId,hurtHp,playerName,serverId}
end
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.crossBoss_hurtBossInfo, self,nil))
end
function CopyCrossBossInfo:dispose()
self.allBossInfoList  = nil
self.hurtInfoList     = nil
self.currentBossId    = 0
end
CopyLYInfo = class("CopyLYInfo", function(self)
local this = CopyInfoBase:new( )
this._baseCopyInfoDispose = this.dispose
-- this._copyTemp = globalData.allTemplates.copyTemplateList:getCopy(globalData.allTemplates.copyTemplateList.LIANYU)
this._state = {}
this._kings = {}
this.resetTime = 0
this.myRank = 0
this._awards = {120004,120005,120006,120007,120008,120009,120010,120011,120012,120096,120097,120098}
this._max = 12
return this
end)
function CopyLYInfo:ctor()
-- self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_copyMissionAward,self,nil))
end
function CopyLYInfo:setCopyKingInfo(bytes)
self.copyKings = {}
local len = bytes:readShort()
for i = 1, len do
local mission = CopyKingMissionInfo:new()
mission:init(bytes)
table.insert(self.copyKings, mission)
end
self.myRank = bytes:readShort()
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_lianyuCopyUpdate,globalManager.gameDispatcher,nil))
end
function CopyLYInfo:setMission(state, resetTime)
for i = 1, self._max do
self._state[i] = globalManager.bit:dand(state, math.pow(2, i - 1)) > 0
end
self.resetTime = resetTime
globalData.copyInfo:sendLYUpdate()
end
function CopyLYInfo:getState(idx)
local ret
if self._state == nil then
ret = false
elseif idx < 0 or idx > self._max then
ret = false
else
ret = self._state[idx]
end
return ret
end
function CopyLYInfo:getAwardLevel()
local start = 1
-- local current = globalData.copyInfo:getTodayMaxMission(globalData.allTemplates.copyTemplateList.LIANYU)
-- if current > 0 then
-- 	current = self._copyTemp:missionIdToIndex(current) / 10
-- else
-- 	current = 1
-- end
for i = 1, self._max do
start = i
if self._state[i] == false  then
break
end
end
if start > 1 then start = start - 1 end
if start > (self._max - 3) then start = self._max - 3 end
return start
end
function CopyLYInfo:getAwardId(level)
return self._awards[level]
end
function CopyLYInfo:dipose()
self:_baseCopyInfoDispose()
self._state = nil
end
CopyMaterialInfo = class("CopyMaterialInfo", function(self)
local temp = CopyInfoBase:new()
temp.itemList = {}
temp.itemCount = 0
return temp
end)
function CopyMaterialInfo:setItemList(list,count)
self.itemList = list
self.itemCount = count
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_materialBoxNum, self, nil))
end
function CopyMaterialInfo:clear()
self.itemList  = {}
self.itemCount = 0
end
CopyDTInfo = class("CopyDTInfo", function(_)
local self = CopyInfoBase:new( )
-- self._baseCopyInfoSetCopyKingInfo = self.setCopyKingInfo
self.amount = 0
self.exp    = 0
self.copper = 0
self.timuC 	= nil
self.timeC 	= 0
return self
end)
function CopyDTInfo:setCopyKingInfo(len, bytes)
self.copyKings = {}
for i = 1, len do
local p = CopyKingPlayerInfo:new()
globalManager.messageUtils:setLinkPlayer(p, bytes)
p.amount = bytes:readInt()
table.insert(self.copyKings, p)
end
end
--当前题号,  内容
function CopyDTInfo:timu(count, time, content)
if content ~= nil and content ~= "" then
self.timuC = string.format(globalManager.yuyanbaoManager:getYuyanbao("CopyDTInfo.text1"),count)..content
end
self.timeC = time
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_datiCopyTiMu,self,nil))
end
function CopyDTInfo:update()
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_datiCopyUpdate,self,nil))
end
function CopyDTInfo:setRight(right)
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_datiShowRight,self,right))
end
CopyTBInfo = class("CopyTBInfo", function(_)
local self = CopyInfoBase:new( )
self.Info   = nil  -- rank, name, amount
self.Ranks  = nil  -- rank, name, amount, copper
self.Item   = nil  -- id, count
self.rank   = 0
self.copper = 0
self.exp    = 0
self.time   = 0
return self
end)
function CopyTBInfo:initInfo(bytes)
self.Info = {}
local len = bytes:readByte()
for i = 1, len do
table.insert(self.Info, { bytes:readByte(), bytes:readString(), bytes:readInt() })
end
self.rank = bytes:readByte()
local copper = bytes:readInt()
if self.copper ~= copper then
if(copper > self.copper) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("SelfPlayerInfo.text1")..(copper - self.copper)..globalManager.yuyanbaoManager:getYuyanbao("CopyTBInfo.text2"))
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("CopyTBInfo.text1")..(self.copper - copper)..globalManager.yuyanbaoManager:getYuyanbao("CopyTBInfo.text2"))
end
self.copper = copper
end
self.exp = bytes:readInt()
-- print("#initInfo", len, self.rank, self.copper, self.exp)
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.tanbao_infoUpdate,self,nil))
end
function CopyTBInfo:requireRank()
local now = globalData.systemDateInfo:getSystemTime()
if now - self.time < 5000 and self.Ranks ~= nil then
return false
end
self.time = now
return true
end
function CopyTBInfo:initRank(bytes)
self.Ranks = {}
local len = bytes:readByte()
-- print("#initRank", len)
for i = 1, len do
table.insert(self.Ranks, { bytes:readByte(), bytes:readString(), bytes:readShort(), bytes:readInt() })
end
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.tanbao_rankUpdate,self,nil))
end
function CopyTBInfo:initOver(bytes)
self.Item = {}
self.rank = bytes:readByte()
self.copper = bytes:readInt()
self.exp = bytes:readInt()
local len = bytes:readByte()
-- print("#initOver", len, self.rank, self.copper, self.exp)
for i = 1, len do
local id = bytes:readInt()
local count = bytes:readShort()
-- print("#info", id, count)
table.insert(self.Item, { id, count })
end
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.tanbao_overView,globalManager.gameDispatcher,self))
end
CopyYCInfo = class("CopyYCInfo", function(_)
local self = CopyInfoBase:new( )
self.currentScore = 0
self.totalScore = 1200
self.monsterList = {}
self.awardList = {}
self.hadCard = 1 --0未翻1已番
self.monsterTime = 0--怪物刷新时间
self.carAward = {}
return self
end)
function CopyYCInfo:initInfo(bytes)
self.currentScore = bytes:readShort()
self.monsterList = {}
local monsterLen = bytes:readByte()
for i = 1,monsterLen,1 do
self.monsterList[bytes:readInt()] = bytes:readShort()
end
self.awardList = {}
local awardLen = bytes:readByte()
for i = 1,awardLen,1 do
local tmp = bytes:readShort()
self.awardList[tmp] = true
end
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.yichui_info,globalManager.gameDispatcher,nil))
self:initCard()
end
function CopyYCInfo:initAward(bytes)
end
function CopyYCInfo:initCard(bytes)
if bytes ~= nil then
self.hadCard = bytes:readByte()
end
if(self.hadCard == 1 or self.currentScore < self.totalScore)then
return
end
self.hadCard = 1
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.yichui_card,globalManager.gameDispatcher,nil))
end
function CopyYCInfo:initCardAward(bytes)
local cardAward = { bytes:readInt(), bytes:readInt() }
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.yichui_cardAward,globalManager.gameDispatcher, cardAward))
-- write(?PP_YCDY_CARD_AWARD, [ItemId, Amount, Streng, Stage]) ->
-- {ok, pt:pack(?PP_YCDY_CARD_AWARD, <<ItemId:32, Amount:16, Streng:8, Stage:8>>)};
end
function CopyYCInfo:initMonTime(bytes)
self.monsterTime = bytes:readInt()
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.yichui_monster,globalManager.gameDispatcher,nil))
end
CopySanDaInfo = class("CopySanDaInfo",function()
local sd = CopyInfoBase:new()
sd.copper = 0
sd.goodsList = {}
sd.heartList = {}
sd.bossId = 0
sd.bossIdList = {906101,906102,906103}
sd.bossHp = 0
sd.curBossHp = 0
sd.endTime = 0
return sd
end)
function CopySanDaInfo:initSanDaHeartList(data)
self.endTime = data:readInt()
self.bossId = data:readInt()
self.bossHp = data:readInt()
self.curBossHp = data:readInt()
local len = data:readByte()
for i = 1,len,1 do
local rank = data:readByte()
local item = self.heartList[rank]
if(item == nil)then
item = SceneBossHeartInfo:new()
item.rank = rank
self.heartList[rank] = item
end
item.id = data:readNumber()
item.serverId = data:readShort()
item.name = data:readString()
item.heartHp = data:readInt()
end
end
function CopySanDaInfo:setAwardInfo(goodsList)
self.goodsList = goodsList
end
function CopySanDaInfo:clear()
self.copper    = 0
self.goodsList = {}
self.heartList = {}
self.bossHp = 0
self.bossId = 0
self.curBossHp = 0
end
CopyTaoYuanInfo = class("CopyTaoYuanInfo", function(self )
local this = CopyInfoBase:new()
this._baseCopyInfoDispose = this.dispose
self.itemList = {}
self.itemCount = nil
self.exp = nil
return this
end)
function CopyTaoYuanInfo:ctor()
self.copyKings = {}
self.sweepInfo = {}
self.copyZhuangPan = {}
end
function CopyTaoYuanInfo:setItemList(list,count)
self.itemList = list
self.itemCount = count
end
function CopyTaoYuanInfo:updateExpInfo(exp)
self.exp = exp
end
--霸主信息
function CopyTaoYuanInfo:setCopyKingInfo(bytes, copyId)
if(self.copyKings[copyId] == nil)then
self.copyKings[copyId] = CopyKingInfo:new()
end
local len = bytes:readShort()
for i = 1,len,1 do
self.copyKings[copyId]:setMissionInfo(bytes)
end
local len = bytes:readShort()
for i = 1,len,1 do
self.copyKings[copyId]:setSelfPassTime(bytes:readShort(),bytes:readInt())
end
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_copyKing,self,nil))
end
function CopyTaoYuanInfo:clearCopyKingInfo(copyId)
local copyKingInfo = self.copyKings[copyId]
if(copyKingInfo ~= nil)then
copyKingInfo:dispose()
self.copyKings = nil
end
end
--获取关卡霸主信息
function CopyTaoYuanInfo:getCopyKingInfo(missionId, copyId)
if(self.copyKings[copyId] == nil)then return nil end
return self.copyKings[copyId].missionInfos[missionId]
end
--关面板时清除
function CopyTaoYuanInfo:clearCopyZhuangPanInfo()
self.copyZhuangPan = nil
end
function CopyTaoYuanInfo:dispose()
self:_baseCopyInfoDispose()
end
CopyYuanGuInfo = class("CopyYuanGuInfo", function(_)
local self = CopyInfoBase:new( )
self.rankPlayerList = {}
self.camp1PlayerCount = 0
self.camp2PlayerCount = 0
self.camp3PlayerCount = 0
self.camp1PlayerScore = 0
self.camp2PlayerScore = 0
self.camp3PlayerScore = 0
self.selfScore = 0
self.selfRank = 0
return self
end)
function CopyYuanGuInfo:infoUpdate( )
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.yuangu_info,self))
end
function CopyYuanGuInfo:setRankData(rankData)
self.rankPlayerList = rankData
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.yuangu_rank,self))
end
DefenesCopyInfo = class("DefenesCopyInfo", function(self)
local temp = CopyInfoBase:new( )
temp._baseCopyInfoDispose = temp.dispose
temp._star1 = 1
temp._star2 = 1
temp._teamList = {}
temp._num1 = 0
temp._num2 = 0
temp._hp = 100
temp._selfScore  = 0
temp._totalScore = 0
temp.goodsList   = {}
temp.copper      = 0
temp.awardExp    = 0
return temp
end)
function DefenesCopyInfo:ctor()
end
function DefenesCopyInfo:setAwardInfo(copper,awardExp,goodsList)
self.goodsList = goodsList
self.copper    = copper
self.awardExp  = awardExp
--self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_materialBoxNum, self, nil))
end
function DefenesCopyInfo:updateCallList(list)
self._star1 = list[1]
self._star2 = list[2]
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.defCopy_callListUpdate, self, nil))
end
function DefenesCopyInfo:updateCalledList(list,num1,num2)
self._calledList = list
self._num1 = num1
self._num2 = num2
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.defCopy_calledListUpdate, self, nil))
end
function DefenesCopyInfo:updateHp(hp)
self._hp = hp
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.defCopy_NpcHpUpdate, self, nil))
end
function DefenesCopyInfo:copyComplete()
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_copyComplete, self, nil))
end
function DefenesCopyInfo:updateTeamInfo(list,selfScore,totalScore)
local function compa(a, b)
return a[3] > b[3]
end
table.sort(list,compa)
self._teamList = list
self._selfScore = selfScore
self._totalScore = totalScore
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.defCopy_teamListUpdate, self, nil))
end
function DefenesCopyInfo:dipose()
self._calledList = nil
self._teamList = nil
self.goodsList = nil
self:_baseCopyInfoDispose()
self._baseCopyInfoDispose = nil
end
FindTreasureCopyInfo = class("FindTreasureCopyInfo", function(self)
local temp = CopyInfoBase:new()
temp.itemList = {}
temp.itemCount = 0
temp.goodsList   = {}
temp.copper      = 0
temp.awardExp    = 0
return temp
end)
function FindTreasureCopyInfo:setItemList(list,count)
self.itemList = list
self.itemCount = count
--self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_materialBoxNum, self, nil))
end
function FindTreasureCopyInfo:setAwardInfo(copper,awardExp,goodsList)
self.goodsList = goodsList
self.copper    = copper
self.awardExp  = awardExp
--self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_materialBoxNum, self, nil))
end
function FindTreasureCopyInfo:dispose()
self.itemList  = nil
self.itemCount = nil
end
StarcraftCopyInfo = class("StarcraftCopyInfo", function(self)
local temp = CopyInfoBase:new()
temp.copper    = 0
temp.exp       = 0
temp.goodsList = {}
temp.infoList  = {}
temp.time      = 0
temp.timeDown  = 0
return temp
end)
function StarcraftCopyInfo:setInfo(data)
self.time = data:readShort()
local len = data:readByte()
print("收到群雄争霸副本数据",len)
if(len > 1) then
self.infoList = {}
for i = 1,len,1 do
local item = StarcraftItemInfo:new()
item:setData(data)
table.insert(self.infoList,item)
end
else
local item = StarcraftItemInfo:new()
item:setData(data)
for i,info in pairs(self.infoList) do
if(info.userId == item.userId)then
self.infoList[i] = item
break
end
end
end
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.starcraftCopyInfo_update, self, nil))
end
function StarcraftCopyInfo:sendReadZoneTimeEvent()
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.starcraftReadZoneTime_update, self,nil))
end
function StarcraftCopyInfo:setAwardInfo(copper,exp,goodsList)
self.copper    = copper
self.exp       = exp
self.goodsList = goodsList
end
function StarcraftCopyInfo:dispose()
self.infoList  = nil
end
--群雄争霸积分数据
StarcraftItemInfo = class("StarcraftItemInfo",function()
local self   = {}
self.userId  = 0
self.nick    = ""
self.score   = 0
self.revival = 0
self.serverId= 0
self.state   = 0
return self
end)
function StarcraftItemInfo:setData(data)
self.userId  = data:readNumber()
self.revival = data:readByte()
self.state   = data:readByte()
self.score   = data:readInt()
self.serverId= data:readShort()
self.nick    = data:readString()
end
WorldBossVipCopyInfo = class("WorldBossVipCopyInfo", function(self)
local temp = CopyInfoBase:new()
temp._baseCopyInfoDispose = temp.dispose
temp.itemList = {}
temp.itemCount = 0
return temp
end)
function WorldBossVipCopyInfo:setItemList(list,count)
self.itemList = list
self.itemCount = count
--self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_materialBoxNum, self, nil))
end
function WorldBossVipCopyInfo:dipose()
self.itemList  = nil
self.itemCount = nil
self:_baseCopyInfoDispose()
self._baseCopyInfoDispose = nil
end
CopySkyDreamLandInfo = class("CopySkyDreamLandInfo", function(self)
local temp = CopyInfoBase:new()
temp.remianTime = 0
temp.mapId      = 0
temp.flag       = 0
return temp
end)
function CopySkyDreamLandInfo:setInfoUpdate(data)
self.remianTime = data:readInt()
self.mapId      = data:readInt()
self.flag       = data:readByte()
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.update_copySkyDreamLandInfo, self, nil))
end
function CopySkyDreamLandInfo:clear()
self.remianTime = 0
self.mapId      = 0
self.flag       = 0
end
CrossRechargeGiftTemplateInfo = class("CrossRechargeGiftTemplateInfo",function ()
local temp = {}
temp.id = 0
--跨服充值榜
temp.minRank = 0
temp.maxRank = 0
temp.baseAward = {}
temp.conditionEx = 0
temp.exAward = {}  --额外奖励
--鲜花榜
temp.flowerMinRank = 0
temp.flowerMaxRank = 0
temp.flowerBaseAward = {}
temp.flowerConditionEx = 0
temp.flowerExAward = {}
return temp
end)
function CrossRechargeGiftTemplateInfo:init(bytes)
self.id = bytes:readByte()
if(self.id == 1 or self.id == 3 or self.id == 4)then
self.minRank = bytes:readInt()
self.maxRank = bytes:readInt()
self.baseAward = globalManager.messageUtils:changeStrToIntList(bytes:readString())
self.conditionEx = bytes:readInt()
self.exAward = globalManager.messageUtils:changeStrToIntList(bytes:readString())
elseif(self.id == 2)then
self.flowerMinRank = bytes:readInt()
self.flowerMaxRank = bytes:readInt()
self.flowerBaseAward = globalManager.messageUtils:changeStrToIntList(bytes:readString())
self.flowerConditionEx = bytes:readInt()
self.flowerExAward = globalManager.messageUtils:changeStrToIntList(bytes:readString())
end
end
CrossRechargeGiftTemplateList = class("CrossRechargeGiftTemplateList",function()
local temp = BaseTemplateList:new()
temp.list = {}
temp.flowerList = {}
temp.consumeList = {}
temp.yanhuaList = {}
temp.MAX_RANK = 200
temp.COUNT = 50
temp.MAX_FLOWER_RANK = 200
return temp
end)
function CrossRechargeGiftTemplateList:parseOne()
local item = CrossRechargeGiftTemplateInfo:new()
item:init(self._templateData)
if(item.id == 1)then
table.insert(self.list,item)
elseif(item.id == 2)then
table.insert(self.flowerList,item)
elseif(item.id == 3)then
table.insert(self.consumeList,item)
elseif(item.id == 4)then
table.insert(self.yanhuaList,item)
end
end
function CrossRechargeGiftTemplateList:getTemplate(id)
return self.list[id]
end
function CrossRechargeGiftTemplateList:getFlowerRankTemplate(id)
return self.flowerList[id]
end
DoubleElevenViewOneTemplateInfo = class("DoubleElevenViewOneTemplateInfo",function ()
local temp = {}
temp.id = 0
temp.award = {}
temp.count = 0
temp.price = 0
temp.discount = 0 --折扣
temp.beginTime = 0
temp.endTime = 0
temp.displayTime = 0
return temp
end)
function DoubleElevenViewOneTemplateInfo:init(bytes)
self.id = bytes:readByte()
self.award = globalManager.messageUtils:changeStrToIntList(bytes:readString())
self.count = bytes:readShort()
self.price = bytes:readInt()
self.discount = bytes:readByte()
self.beginTime = bytes:readInt()
self.endTime = bytes:readInt()
self.displayTime = bytes:readShort()
end
DoubleElevenViewOneTemplateList = class("DoubleElevenViewOneTemplateList", function(self)
local temp = BaseTemplateList:new()
temp._list = {}
return temp
end)
function DoubleElevenViewOneTemplateList:parseOne()
local info = DoubleElevenViewOneTemplateInfo:new()
info:init(self._templateData)
table.insert(self._list,info)
end
function DoubleElevenViewOneTemplateList:getCurIndex()
local listSort = function(info1,info2)
return info1.beginTime < info2.beginTime
end
if(self._list == nil or #self._list == 0) then return end
table.sort(self._list,listSort)
local systemTime = math.floor(globalData.systemDateInfo:getSystemTime() / 1000)
for i = 1,#self._list,1 do
if(systemTime < self._list[i].endTime)then
return i
end
end
return #self._list
end
function DoubleElevenViewOneTemplateList:getTemplateById(id)
return self._list[id]
end
DoubleElevenViewTwoTemplateInfo = class("DoubleElevenViewTwoTemplateInfo",function ()
local temp = {}
temp.id = 0
temp.itemList = {}
temp.limitList = {}
temp.newPriceList = {}
temp.oldPriceList = {}
temp.beginTime = 0
temp.endTime = 0
return temp
end)
function DoubleElevenViewTwoTemplateInfo:init(bytes)
self.id = bytes:readByte()
self.itemList = globalManager.messageUtils:changeStrToIntList(bytes:readString())
self.limitList = globalManager.messageUtils:changeStrToIntList(bytes:readString())
self.oldPriceList = globalManager.messageUtils:changeStrToIntList(bytes:readString())
self.newPriceList = globalManager.messageUtils:changeStrToIntList(bytes:readString())
self.beginTime = bytes:readInt()
self.endTime = bytes:readInt()
end
DoubleElevenViewTwoTemplateList = class("DoubleElevenViewTwoTemplateList",function()
local temp = BaseTemplateList:new()
temp.list = {}
return temp
end)
function DoubleElevenViewTwoTemplateList:parseOne()
local info = DoubleElevenViewTwoTemplateInfo:new()
info:init(self._templateData)
table.insert(self.list,info)
end
function DoubleElevenViewTwoTemplateList:getCurInfo()
if(self.list == nil or #self.list == 0) then return end
local systemTime = math.floor(globalData.systemDateInfo:getSystemTime() / 1000)	+ 2
for k,info in pairs(self.list) do
if(systemTime < info.endTime and systemTime >= info.beginTime)then
--print("dijige",k)
return info
end
end
--print("最后一个已经玩了")
return self.list[#self.list]
end
function DoubleElevenViewTwoTemplateList:getNextInfo()
if(self.list == nil or #self.list == 0) then return end
-- local listSort = function(info1,info2)
--        return info1.beginTime < info2.beginTime
--    end
--    table.sort(self.list,listSort)
local systemTime = math.floor(globalData.systemDateInfo:getSystemTime() / 1000)	+ 2
for i=1,#self.list,1 do
if(systemTime < self.list[i].endTime and systemTime >= self.list[i].beginTime)then
return self.list[i+1]
end
end
return nil
end
DoubleElevenViewThreeTemplateInfo = class("DoubleElevenViewThreeTemplateInfo",function()
local temp     = {}
temp.templateId= 0
temp.itemList  = {}  --{{id,count,price,flag},...}
temp.beginTime = 0
temp.endTime   = 0
return temp
end)
function DoubleElevenViewThreeTemplateInfo:init(data)
self.templateId= data:readInt()
self.itemList  = globalManager.messageUtils:changeStrToIntList(data:readString())
self.beginTime = data:readInt()
self.endTime   = data:readInt()
end
DoubleElevenViewThreeTemplateList = class("DoubleElevenViewThreeTemplateList",function()
local temp = BaseTemplateList:new()
temp.list = {}
return temp
end)
function DoubleElevenViewThreeTemplateList:parseOne()
local info = DoubleElevenViewThreeTemplateInfo:new()
info:init(self._templateData)
table.insert(self.list,info)
end
function DoubleElevenViewThreeTemplateList:getCurInfoList()
if(self.list == nil or #self.list == 0) then return end
local systemTime = math.floor(globalData.systemDateInfo:getSystemTime() / 1000)	+ 2
for __,info in pairs(self.list) do
if(systemTime < info.endTime and systemTime > info.beginTime)then
return info
end
end
return nil
end
--globalData.all
EffectTemplateInfo = class("EffectTemplateInfo",function()
local et = {}
et.id = 0
et.frames = {}
et.frameCount = 0
et.xoffset = 0
et.yoffset = 0
et.picPath = 0
--count跟bound一起使用，表示某个范围内有几个特效
et.count = 0
--bound暂时转用来是否要旋转特效, 1表示要旋转
et.bound = 0
--动画播放时间
et.time = 0
et.addMode = 0
--是否移动（子弹特效有移动等）
et.isMove = false
--动画播完后，如果需要播下一个动画，此字段表示下一个动画的id
et.completeEffect = 0
--特殊特效类型, 0:无, 1:子弹, 2:线, 3:区域...
--参数说明
--  子弹 : param1:移动的速度, param2(提前停止距离)
--  区域 : param1:产生下一个的速度, param2(rect.width), param3(rect.height)
--  线   : param1:产生下一个的速度
et.type = 0
et.param1 = 0
et.param2 = 0
et.param3 = 0
et.param4 = 0
et.scale = 1.666
return et
end)
--data:ByteArray
function EffectTemplateInfo:init(data)
self.id = data:readInt()
self.frames = globalManager.messageUtils:splitString(data:readString(),',')
self.frameCount = table.getn(self.frames)
self.xoffset = data:readInt()
self.yoffset = data:readInt()
-- self.yoffset = -800
self.picPath = data:readInt()
self.count = data:readInt()
self.bound = data:readInt()
self.time = data:readInt()
self.addMode = data:readInt()
self.isMove = data:readBoolean()
self.completeEffect = data:readInt()
self.type = data:readShort()
self.param1 = data:readShort()
self.param2 = data:readShort()
self.param3 = data:readShort()
self.param4 = data:readShort()
self.scale = data:readShort() / 1000
-- print("#effect", self.id, self.xoffset, self.yoffset, self.picPath)
end
--##globalData.allTemplates.effectTemplateList
EffectTemplateList = class("EffectTemplateList",function()
local et = {}
et.effectList = {}
et.faceInfo = nil
et.clickStage = 1
et.upgrade = 2
et.afk = 3
et.autoWalk = 4
et.gate = 5
et.acceptTask = 6
et.submitTask = 7
et.loading = 8
et.activity = 36
et.datiEffect = 37
et.vip4 = 40
et.vip7 = 39
et.dropItemEffect = 94 --掉落物上的特效
et.answerWrong = 17
et.answerRight = 18
et.readyMovie = 1055
return et
end)
function EffectTemplateList:init(data)
local len = data:readInt()
for i = 1,len,1 do
local item = EffectTemplateInfo:new()
item:init(data)
self.effectList[item.id] = item
end
self.faceInfo = FaceInfo:new()
end
function EffectTemplateList:getTemplateInfo(id)
return self.effectList[id]
end
function EffectTemplateList:getWeaponEffectAndScale(career, dir)
local effID = nil
local scale = 1
if(globalData.allStaticTypes.careerType:getCareer(career) == 1) then
if(dir == globalData.allStaticTypes.directType.leftTop or dir == globalData.allStaticTypes.directType.rightTop) then
effID = 1030
else
effID = 1001
end
elseif(globalData.allStaticTypes.careerType:getCareer(career) == 2) then
if(dir == globalData.allStaticTypes.directType.leftTop or dir == globalData.allStaticTypes.directType.rightTop) then
effID = 1031
else
effID = 1009
end
end
if(dir == globalData.allStaticTypes.directType.leftTop or dir == globalData.allStaticTypes.directType.leftBottom) then
scale = -1
end
return effID, scale
end
--
-- Date: 2014-04-28 14:58:07
--
ExchangeTemplateInfo = class("ExchangeTemplateInfo", function(self)
local temp = {}
temp.id = 0
temp.showType = 0 --显示类型:  1.物品兑换  2.淘宝积分兑换  3.淘宝创号前7天兑换,4.灵珠兑换
temp.materialType = 0 --兑换类型:  1.物品兑换  2.积分兑换
temp.materialIds = {} --需要材料ID<id,type,count>
temp.productIds = {} --产出ID
temp.specialIds = {} --特殊ID
temp.startTime = 0 --开始时间，Date
temp.endTime = 0 --结束时间，Date
temp.limitType = 0 --0:不限制兑换数量，1：一次性兑换（如开服活动），2：每天限制兑换数量
temp.limitDateType = 0 --限制类型： 0：开始结束时间限制，1：开服天数限制，2：创号天数限制
temp.limitCount = 0 --限购数量
temp.dayCount = 0 --天数限制
temp._materialTemplate = nil
temp._productTemplate = nil
return temp
end)
function ExchangeTemplateInfo:init(bytes)
self.id = bytes:readInt()
self.showType = bytes:readByte()
self.materialType = bytes:readByte()
self.materialIds = globalManager.messageUtils:parseGoodsTemplate(bytes:readString())
self.productIds = globalManager.messageUtils:parseGoodsTemplate(bytes:readString())
self.specialIds = globalManager.messageUtils:parseGoodsTemplate(bytes:readString())
self.startTime = bytes:readInt()
self.endTime = bytes:readInt()
self.limitType = bytes:readByte()
self.limitDateType = bytes:readByte()
self.limitCount = bytes:readByte()
self.dayCount = bytes:readByte()
if(#self.materialIds > 0)then
self._materialTemplate = globalData.allTemplates.goodsTemplateList:getTemplate(self.materialIds[1].goodsTemplateId)
end
if(#self.productIds > 0)then
self._productTemplate = globalData.allTemplates.goodsTemplateList:getTemplate(self.productIds[1].goodsTemplateId)
end
end
function ExchangeTemplateInfo:getMaterialTemplate()
return self._materialTemplate
end
function ExchangeTemplateInfo:getProductTemplate()
return self._productTemplate
end
--##globalData.allTemplates.exchangeTemplateList
--
-- Date: 2014-04-28 11:10:14
-- 兑换模板表：
-- 注：兑换功能目前记录：物品兑换、秘境积分兑换
--
ExchangeTemplateList = class("ExchangeTemplateList", function(self)
local temp = BaseTemplateList:new()
temp._list = {}  --类型 二维数组结构
return temp
end)
function ExchangeTemplateList:parseOne()
local temp = ExchangeTemplateInfo:new()
temp:init(self._templateData)
if(self._list[temp.showType] == nil)then
self._list[temp.showType] = {}
end
table.insert(self._list[temp.showType],temp)
end
--根据类型获取兑换物品列表
--1.物品兑换  2.淘宝积分兑换  3.淘宝创号前7天兑换
function ExchangeTemplateList:getListByType(showType)
return self._list[showType]
end
function ExchangeTemplateList:getTemplate(id)
for __,list in pairs(self._list) do
for __,temp in pairs(list) do
if(temp.id == id)then
return temp
end
end
end
return nil
end
--根据开服天数获取可以兑换的物品
function ExchangeTemplateList:getCanExchangeTemp(type)
local itemList = {}
local openTime = globalData.openTime
local systemTime = math.floor(globalData.systemDateInfo:getSystemTime() / 1000)
local openDay = math.ceil((systemTime - openTime) / (3600 * 24))
for __,info in pairs(self._list[type]) do
if info.id >= 0 and info.id <200 then
if(info.limitDateType == 0)then
if(systemTime >= info.startTime and systemTime <= info.endTime)then
table.insert(itemList,info)
end
elseif(info.limitDateType == 1)then
if(openDay >= info.dayCount)then
table.insert(itemList,info)
end
end
end
end
return itemList
end
--公测活动兑换列表
function ExchangeTemplateList:getOperateActiveLise(type)
local itemList = {}
local openTime = globalData.openTime
local systemTime = math.floor(globalData.systemDateInfo:getSystemTime() / 1000)
local openDay = math.ceil((systemTime - openTime) / (3600 * 24))
for __,info in pairs(self._list[type]) do
if info.id >= 200 and info.id < 300 then
if(info.limitDateType == 0)then
if(systemTime >= info.startTime and systemTime <= info.endTime)then
table.insert(itemList,info)
end
elseif(info.limitDateType == 1)then
if(openDay >= info.dayCount)then
table.insert(itemList,info)
end
end
end
end
return itemList
end
ExperienceTemplateInfo = class("ExperienceTemplateInfo",function(self)
local temp = {}
temp.level = 0--等级int
temp.exp = 0--当前等级所需经验number
temp.totalExp = 0--总经验number
return temp
end)
--param data:ByteArray
function ExperienceTemplateInfo:init(data)
self.level = data:readInt()
self.exp = data:readNumber()
self.totalExp = data:readNumber()
end
--##globalData.allTemplates.experienceTemplateList
ExperienceTemplateList = class("ExperienceTemplateList",function(self)
local temp = BaseTemplateList:new()
temp.list = {}--经验map<int,ExperienceTemplateInfo>
temp.maxLevel = 0
return temp
end)
function ExperienceTemplateList:parseOne()
local expInfo = ExperienceTemplateInfo:new()
expInfo:init(self._templateData)
self.list[expInfo.level] = expInfo
if(expInfo.level > self.maxLevel) then
self.maxLevel = expInfo.level
end
end
FashionTemplateInfo = class("FashionTemplateInfo",function(self)
local temp = {}
temp.templateId = 0
temp.fightValue = 0
temp.name       = ""
temp.attrStr    = {}
temp.iconPath   = ""
temp.carrer     = 0
temp.deploy     = {}
temp.needItem   = {}
return temp
end)
function FashionTemplateInfo:init(data)
self.templateId  = data:readInt()
self.fightValue  = data:readInt()
self.name        = data:readString()
self.attrStr     = globalManager.messageUtils:parseProperty(data:readString())
self.iconPath    = data:readString()
self.carrer      = data:readByte()
local len = data:readInt()
for i = 1,len,1 do
local trigger = TriggerInfo:new()
trigger:init(data)
table.insert(self.deploy,trigger)
end
self.needItem   = globalManager.messageUtils:changeStrToIntList(data:readString())
end
FashionTemplateList = class("FashionTemplateList",function(self)
local temp = BaseTemplateList:new()
temp.list = {}
return temp
end)
function FashionTemplateList:parseOne()
local info = FashionTemplateInfo:new()
info:init(self._templateData)
table.insert(self.list,info)
end
function FashionTemplateList:getInfoByCarrer(carrer)
local carrerFashion = {}
for __,info in pairs(self.list) do
if(info.carrer == carrer)then
carrerFashion[info.templateId] = info
end
end
return carrerFashion
end
function FashionTemplateList:getTemplateById(id)
for __,info in pairs(self.list) do
if(info.templateId == id)then
return info
end
end
return nil
end
FashionStarTemplateInfo = class("FashionStarTemplateInfo",function(self)
local temp = {}
temp.templateId = 0
temp.fightValue = 0
temp.level      = 0
temp.attrStr    = {}
temp.amountList = {}
return temp
end)
function FashionStarTemplateInfo:init(data)
self.templateId  = data:readInt()
self.level       = data:readShort()
self.fightValue  = data:readInt()
self.attrStr     = globalManager.messageUtils:parseProperty(data:readString())
self.amountList  = globalManager.messageUtils:changeStrToIntList(data:readString())
end
FashionStarTemplateList = class("FashionStarTemplateList",function(self)
local temp = BaseTemplateList:new()
temp.list = {}
return temp
end)
function FashionStarTemplateList:parseOne()
local info = FashionStarTemplateInfo:new()
info:init(self._templateData)
table.insert(self.list,info)
end
function FashionStarTemplateList:getTemplateById(templateId)
local starFashion = {}
for __,info in pairs(self.list) do
if(info.templateId == templateId)then
table.insert(starFashion,info)
end
end
return starFashion
end
function FashionStarTemplateList:getTemplateByIdAndStar(templateId,star)
for __,info in pairs(self.list) do
if(info.templateId == templateId and info.level == star)then
return info
end
end
end
FightValueUpTemplateInfo = class("FightValueUpTemplateInfo",function(self)
local temp = {}
temp.id         = 0
temp.type       = 0
temp.fightValue = 0
temp.deploy     = {}
return temp
end)
function FightValueUpTemplateInfo:init(data)
self.id          = data:readShort()
self.type        = data:readByte()
self.fightValue  = data:readInt()
local len = data:readInt()
for i = 1,len,1 do
local trigger = TriggerInfo:new()
trigger:init(data)
table.insert(self.deploy,trigger)
end
end
FightValueUpTemplateList = class("FightValueUpTemplateList",function(self)
local temp = BaseTemplateList:new()
temp.list     = {}
temp.typeList = {}
return temp
end)
function FightValueUpTemplateList:parseOne()
local info = FightValueUpTemplateInfo:new()
info:init(self._templateData)
table.insert(self.list,info)
end
function FightValueUpTemplateList:getTemplateByType(type)
self.typeList = {}
for __,info in pairs(self.list) do
if(info.type == type)then
table.insert(self.typeList,info)
end
end
return self.typeList
end
FiveEquipInfo = class("FiveEquipInfo",function(self)
local temp = EventDispatcher:new()
temp.__eventDispose = temp.dispose
temp._templateId = 0--模板ID int
temp.level = 0
temp.stage = 0
temp.growValue = 0
temp._template = nil--模板信息
return temp
end)
--return int
function FiveEquipInfo:getTemplateId()
return self._templateId
end
--param value:int
function FiveEquipInfo:setTemplateId(value)
self._templateId = value
self._template = globalData.allTemplates.fiveEquipTemplateList:getTemplate(value)
end
--return GoodsTemplateInfo
function FiveEquipInfo:getTemplate()
return self._template
end
function FiveEquipInfo:dispose()
self:__eventDispose()
self._template = nil
self.__eventDispose = nil
end
FiveEquipList = class("FiveEquipList",function(self)
local temp = EventDispatcher:new()
--categoryId:1妖精 2坐骑 3羽翼 4足迹 5仙灵
temp._petEquipList = {}
temp._riderEquipList = {}
temp._wingEquipList = {}
temp._godEquipList = {}
temp._spriteEquipList = {}
temp._fazhenEquipList = {}
temp._longhunEquipList = {}
return temp
end)
function FiveEquipList:getEquipList(type)
if(type == globalData.allStaticTypes.petXiaofeiType.CHONGWU) then
return self._petEquipList
elseif(type == globalData.allStaticTypes.petXiaofeiType.ZUOQI) then
return self._riderEquipList
elseif(type == globalData.allStaticTypes.petXiaofeiType.CHIBANG) then
return self._wingEquipList
elseif(type == globalData.allStaticTypes.petXiaofeiType.SHENBING) then
return self._godEquipList
elseif(type == globalData.allStaticTypes.petXiaofeiType.JINGLING) then
return self._spriteEquipList
elseif(type == globalData.allStaticTypes.petXiaofeiType.FAZHEN) then
return self._fazhenEquipList
elseif(type == globalData.allStaticTypes.petXiaofeiType.LONGHUN) then
return self._longhunEquipList
end
return nil
end
function FiveEquipList:addEquipList(list)
local type = 0
local len = #list
local info = nil
for i = 1,len,1 do
info = list[i]
type = info:getTemplate().categoryId
local place = info:getTemplate().place
if(type == globalData.allStaticTypes.petXiaofeiType.CHONGWU) then
if(self._petEquipList[place] ~= nil) then
self._petEquipList[place]:dispose()
end
self._petEquipList[place] = info
elseif(type == globalData.allStaticTypes.petXiaofeiType.ZUOQI)then
if(self._riderEquipList[place] ~= nil) then
self._riderEquipList[place]:dispose()
end
self._riderEquipList[place] = info
elseif(type == globalData.allStaticTypes.petXiaofeiType.CHIBANG)then
if(self._wingEquipList[place] ~= nil) then
self._wingEquipList[place]:dispose()
end
self._wingEquipList[place] = info
elseif(type == globalData.allStaticTypes.petXiaofeiType.SHENBING)then
if(self._godEquipList[place] ~= nil) then
self._godEquipList[place]:dispose()
end
self._godEquipList[place] = info
elseif(type == globalData.allStaticTypes.petXiaofeiType.JINGLING)then
if(self._spriteEquipList[place] ~= nil) then
self._spriteEquipList[place]:dispose()
end
self._spriteEquipList[place] = info
elseif(type == globalData.allStaticTypes.petXiaofeiType.FAZHEN)then
if(self._fazhenEquipList[place] ~= nil) then
self._fazhenEquipList[place]:dispose()
end
self._fazhenEquipList[place] = info
elseif(type == globalData.allStaticTypes.petXiaofeiType.LONGHUN)then
if(self._longhunEquipList[place] ~= nil) then
self._longhunEquipList[place]:dispose()
end
self._longhunEquipList[place] = info
end
end
if(len == 1) then
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_xiaoFeiEquipUpdate,self,info))
end
end
function FiveEquipList:getStageByType(type)
local info = nil
if(type == globalData.allStaticTypes.petXiaofeiType.CHONGWU) then
info = globalData.petItemInfo
elseif(type == globalData.allStaticTypes.petXiaofeiType.ZUOQI) then
info = globalData.riderItemInfo
elseif(type == globalData.allStaticTypes.petXiaofeiType.CHIBANG) then
info = globalData.wingItemInfo
elseif(type == globalData.allStaticTypes.petXiaofeiType.SHENBING) then
info = globalData.godItemInfo
elseif(type == globalData.allStaticTypes.petXiaofeiType.JINGLING) then
info = globalData.spriteItemInfo
elseif(type == globalData.allStaticTypes.petXiaofeiType.FAZHEN) then
info = globalData.fazhenItemInfo
elseif(type == globalData.allStaticTypes.petXiaofeiType.LONGHUN) then
info = globalData.longhunItemInfo
end
if(info == nil) then
return 0
end
return info.stage
end
function FiveEquipList:getGrowValueByType(type)
local info = nil
if(type == globalData.allStaticTypes.petXiaofeiType.CHONGWU) then
info = globalData.petItemInfo
elseif(type == globalData.allStaticTypes.petXiaofeiType.ZUOQI) then
info = globalData.riderItemInfo
elseif(type == globalData.allStaticTypes.petXiaofeiType.CHIBANG) then
info = globalData.wingItemInfo
elseif(type == globalData.allStaticTypes.petXiaofeiType.SHENBING) then
info = globalData.godItemInfo
elseif(type == globalData.allStaticTypes.petXiaofeiType.JINGLING) then
info = globalData.spriteItemInfo
elseif(type == globalData.allStaticTypes.petXiaofeiType.FAZHEN) then
info = globalData.fazhenItemInfo
elseif(type == globalData.allStaticTypes.petXiaofeiType.LONGHUN) then
info = globalData.longhunItemInfo
end
if(info == nil) then
return 0
end
return info.growValue
end
function FiveEquipList:getFiveEquipInfo(type,index)
if(type == globalData.allStaticTypes.petXiaofeiType.CHONGWU) then
return self._petEquipList[index]
elseif(type == globalData.allStaticTypes.petXiaofeiType.ZUOQI) then
return self._riderEquipList[index]
elseif(type == globalData.allStaticTypes.petXiaofeiType.CHIBANG) then
return self._wingEquipList[index]
elseif(type == globalData.allStaticTypes.petXiaofeiType.SHENBING) then
return self._godEquipList[index]
elseif(type == globalData.allStaticTypes.petXiaofeiType.JINGLING) then
return self._spriteEquipList[index]
elseif(type == globalData.allStaticTypes.petXiaofeiType.FAZHEN) then
return self._fazhenEquipList[index]
elseif(type == globalData.allStaticTypes.petXiaofeiType.LONGHUN) then
return self._longhunEquipList[index]
end
end
--清除所有道具，断线重连时清除
function FiveEquipList:clearAllGoods()
self:clearPetEquips()
self:clearRiderEquips()
self:clearWingEquips()
self:clearGodEquips()
self:clearSpriteEquips()
self:clearFazhenEquips()
self:clearLonghunEquips()
end
function FiveEquipList:clearPetEquips()
for __,equip in pairs(self._petEquipList) do
if(equip ~= nil)then
equip:dispose()
end
end
self._petEquipList = {}
end
function FiveEquipList:clearRiderEquips()
for __,equip in pairs(self._riderEquipList) do
if(equip ~= nil)then
equip:dispose()
end
end
self._riderEquipList = {}
end
function FiveEquipList:clearWingEquips()
for __,equip in pairs(self._wingEquipList) do
if(equip ~= nil)then
equip:dispose()
end
end
self._wingEquipList = {}
end
function FiveEquipList:clearGodEquips()
for __,equip in pairs(self._godEquipList) do
if(equip ~= nil)then
equip:dispose()
end
end
self._godEquipList = {}
end
function FiveEquipList:clearSpriteEquips()
for __,equip in pairs(self._spriteEquipList) do
if(equip ~= nil)then
equip:dispose()
end
end
self._spriteEquipList = {}
end
function FiveEquipList:clearFazhenEquips()
for __,equip in pairs(self._fazhenEquipList) do
if(equip ~= nil)then
equip:dispose()
end
end
self._fazhenEquipList = {}
end
function FiveEquipList:clearLonghunEquips()
for __,equip in pairs(self._longhunEquipList) do
if(equip ~= nil)then
equip:dispose()
end
end
self._longhunEquipList = {}
end
FiveEquipStrengthTemplateList = class("FiveEquipStrengthTemplateList", function(self)
local temp = BaseTemplateList:new()
temp._list = {}
return temp
end)
function FiveEquipStrengthTemplateList:parseOne()
local temp = FiveEquipStrengthTemplateInfo:new()
temp:init(self._templateData)
table.insert(self._list, temp)
end
--type:1妖精 2坐骑 3羽翼 4足迹 5仙灵 6法阵 7龙魂
function FiveEquipStrengthTemplateList:getTemplate(type,level)
for __,temp in pairs(self._list) do
if(temp.level == level and temp.type == type)then
return temp
end
end
return nil
end
FiveEquipStrengthTemplateInfo = class("FiveEquipStrengthTemplateInfo", function(self)
local temp = {}
temp.level = 0
temp.type = 0
temp.propertys = {}
return temp
end)
function FiveEquipStrengthTemplateInfo:init(bytes)
self.level = bytes:readInt()
self.type = bytes:readByte()
local list = globalManager.messageUtils:parseProperty(bytes:readString())
end
FiveEquipSuitTemplateInfo = class("FiveEquipSuitTemplateInfo", function(self)
local temp = {}
temp.stage = 0
temp.type = 0
temp.propertys = {}
return temp
end)
function FiveEquipSuitTemplateInfo:init(bytes)
self.stage = bytes:readInt()
self.type = bytes:readByte()
self.propertys = globalManager.messageUtils:parseProperty(bytes:readString())
end
FiveEquipSuitTemplateList = class("FiveEquipSuitTemplateList", function(self)
local temp = BaseTemplateList:new()
temp._list = {}
return temp
end)
function FiveEquipSuitTemplateList:parseOne()
local temp = FiveEquipSuitTemplateInfo:new()
temp:init(self._templateData)
table.insert(self._list, temp)
end
--type:1妖精 2坐骑  3足迹 4羽翼 5仙灵
function FiveEquipSuitTemplateList:getTemplate(stage,type)
for __,temp in pairs(self._list) do
if(temp.stage == stage and temp.type == type)then
return temp
end
end
return nil
end
--categoryId:1妖精 2坐骑 3羽翼 4足迹 5仙灵
FiveEquipTemplateInfo = class("FiveEquipTemplateInfo",function()
local pt = BaseGoodsInfo:new()
pt.name = nil
pt.place = 0
pt.description = ""
pt.descriptionId = nil
pt.propertyList = nil
return pt
end)
function FiveEquipTemplateInfo:init(bytes)
self.templateId = bytes:readInt()
self.categoryId = bytes:readByte()
self.place = bytes:readByte()
self.iconPath = tostring(bytes:readInt())
self.descriptionId = bytes:readString()
if(tonumber(self.descriptionId )> 0)then
self.description = globalManager.descriptManager:getDescript(self.descriptionId)
end
self.propertyList = globalManager.messageUtils:parseProperty(bytes:readString())
self.name = bytes:readString()
end
FiveEquipTemplateList = class("PetEquipTemplateList",function()
local pt = BaseTemplateList:new()
pt.list = {}
return pt
end)
function FiveEquipTemplateList:parseOne()
local item = FiveEquipTemplateInfo:new()
item:init(self._templateData)
self.list[item.templateId] = item
end
function FiveEquipTemplateList:getTemplate(templateId)
return self.list[templateId]
end
function FiveEquipTemplateList:getTemplateByPlace(type,place)
for __,temp in pairs(self._list) do
if(temp.categoryId == type and temp.place == place)then
return temp
end
end
return nil
end
EquipStrengthLevelTemplateInfo = class("EquipStrengthLevelTemplateInfo", function(self)
local temp = {}
temp.type = 0--装备类型
temp.level = 0--等级
temp.propertys = {} --属性  Vector.<PropertyInfo>
return temp
end)
function EquipStrengthLevelTemplateInfo:init(bytes)
self.type = bytes:readByte()
self.level = bytes:readShort()
self.propertys = globalManager.messageUtils:parseProperty(bytes:readString())
end
EquipStrengthLevelTemplateList = class("EquipStrengthLevelTemplateList", function(self)
local temp = BaseTemplateList:new()
temp._list = {}
return temp
end)
function EquipStrengthLevelTemplateList:parseOne()
local temp = EquipStrengthLevelTemplateInfo:new()
temp:init(self._templateData)
if(self._list[temp.type] == nil) then
self._list[temp.type] = {}
end
self._list[temp.type][temp.level] = temp
end
function EquipStrengthLevelTemplateList:getTemplate(type,level)
if(self._list[type] == nil) then return nil end
return self._list[type][level]
end
FurnaceAdvanceTemplateInfo = class("FurnaceAdvanceTemplateInfo", function(self)
local temp = {}
temp.stage = 0--品阶（主键）
temp.addPre = 0--增加的百分比
temp.needCopper = 0 --所需铜币
temp.needList = {}--类型,对应道具ID,数量|类型,对应道具ID,数量|类型,对应道具ID,数量|类型,对应道具ID,数量
temp.condition = {}--品阶,等级
return temp
end)
function FurnaceAdvanceTemplateInfo:init(bytes)
self.stage = bytes:readByte()
self.addPre = bytes:readByte()
self.needCopper = bytes:readInt()
self.needList = globalManager.messageUtils:changeStrToIntList(bytes:readString())
self.condition = globalManager.messageUtils:splitStringToInt(bytes:readString(),",")
end
function FurnaceAdvanceTemplateInfo:getNeedInfoByType(type)
for __,need in pairs(self.needList) do
if(need[1] == type) then
return need[2],need[3]
end
end
return nil
end
FurnaceAdvanceTemplateList = class("FurnaceAdvanceTemplateList", function(self)
local temp = BaseTemplateList:new()
temp._list = {}
return temp
end)
function FurnaceAdvanceTemplateList:parseOne()
local temp = FurnaceAdvanceTemplateInfo:new()
temp:init(self._templateData)
table.insert(self._list, temp)
end
function FurnaceAdvanceTemplateList:getTemplate(id)
for __,temp in pairs(self._list) do
if(temp.stage == id)then
return temp
end
end
return nil
end
function FurnaceAdvanceTemplateList:getStageName(stage)
if(stage == 1) then
return globalManager.yuyanbaoManager:getYuyanbao("FurnaceAdvanceTemplateList.text1")
elseif(stage == 2) then
return globalManager.yuyanbaoManager:getYuyanbao("FurnaceAdvanceTemplateList.text2")
elseif(stage == 3) then
return globalManager.yuyanbaoManager:getYuyanbao("FurnaceAdvanceTemplateList.text3")
else
return ""
end
end
--
-- 炼器升级模板表
-- Date: 2014-05-27 16:11:06
--
FurnaceUpgradeTemplateInfo = class("FurnaceUpgradeTemplateInfo", function(self)
local temp = {}
temp.goodsTemplateId = 0 --原物品Id
temp.starNeedGoods = {} --升星需要物品列表  Vector.<{goodsTemplateId,count}>
temp.levelNeedGoods = {} --升级需要物品列表  Vector.<{goodsTemplateId,count}>
temp.targetGoodsTemplateId = 0 --升级后物品ID
temp.propertys = {} --属性  Vector.<PropertyInfo>
temp.needCopper = 0 --需要铜币
return temp
end)
function FurnaceUpgradeTemplateInfo:init(bytes)
self.goodsTemplateId = bytes:readInt()
self.starNeedGoods = globalManager.messageUtils:parseGoodsTemplate(bytes:readString())
self.levelNeedGoods = globalManager.messageUtils:parseGoodsTemplate(bytes:readString())
self.targetGoodsTemplateId = bytes:readInt()
self.propertys = globalManager.messageUtils:parseProperty(bytes:readString())
self.needCopper = bytes:readInt()
end
--
-- 炼器升级模板表
-- Date: 2014-05-27 16:24:27
--
FurnaceUpgradeTemplateList = class("FurnaceUpgradeTemplateList", function(self)
local temp = BaseTemplateList:new()
temp._list = {}
return temp
end)
function FurnaceUpgradeTemplateList:parseOne()
local temp = FurnaceUpgradeTemplateInfo:new()
temp:init(self._templateData)
table.insert(self._list, temp)
end
function FurnaceUpgradeTemplateList:parsePreFrame()
return 350
end
function FurnaceUpgradeTemplateList:getTemplate(goodsTemplateId)
for __,temp in pairs(self._list) do
if(temp.goodsTemplateId == goodsTemplateId)then
return temp
end
end
return nil
end
--
-- 强化消耗表
-- Date: 2014-05-27 15:38:28
--
StrengthCostTemplateInfo = class("StrengthCostTemplateInfo", function(self)
local temp = {}
temp.strengthLevel = 0 --强化等级
temp.needCopper = 0 --消耗铜币
temp.stoneId = 0  --强化石ID
temp.stoneNum = 0  --强化石数量
temp.perfectId = 0  --完美符ID
temp.perfectNum = 0  --完美符数量
temp.rate = 0 	--成功几率
temp.totalCount = 0 --失败次数
-- temp.obtainStoneId = 0 --返回强化石ID
-- temp.obtainCount = 0 --返回强化石数量
return temp
end)
function StrengthCostTemplateInfo:init(bytes)
self.strengthLevel = bytes:readInt()
self.needCopper = bytes:readInt()
self.stoneId = bytes:readInt()
self.stoneNum = bytes:readInt()
self.perfectId = bytes:readInt()
self.perfectNum = bytes:readInt()
self.rate = bytes:readInt()
self.totalCount = bytes:readShort()
-- self.obtainStoneId = bytes:readInt()
-- self.obtainCount = bytes:readShort()
end
--
-- 强化消耗模板表
-- Date: 2014-05-27 15:42:48
--
StrengthCostTemplateList = class("StrengthCostTemplateList", function(self)
local temp = BaseTemplateList:new()
temp._list = {}
return temp
end)
function StrengthCostTemplateList:parseOne()
local temp = StrengthCostTemplateInfo:new()
temp:init(self._templateData)
table.insert(self._list, temp)
end
function StrengthCostTemplateList:getTemplate(strengthLevel)
for __,temp in pairs(self._list) do
if(temp.strengthLevel == strengthLevel)then
return temp
end
end
return nil
end
--
-- 强化属性表
-- Date: 2014-05-27 15:31:22
--
StrengthPropertyTemplateInfo = class("StrengthPropertyTemplateInfo", function(self)
local temp = {}
temp.strengthLevel = 0
temp.type = 0
temp.propertyAdd = {}  --强化系数
temp.plusPropertyAdd = {}  --隐藏属性 分母10000
return temp
end)
function StrengthPropertyTemplateInfo:init(bytes)
self.strengthLevel = bytes:readInt()
self.type = bytes:readByte()
self.propertyAdd = globalManager.messageUtils:parseProperty(bytes:readString())
self.plusPropertyAdd = globalManager.messageUtils:parseProperty(bytes:readString())
end
--
-- 强化模板表
-- Date: 2014-05-27 15:35:29
--
StrengthPropertyTemplateList = class("StrengthPropertyTemplateList", function(self)
local temp = BaseTemplateList:new()
temp._list = {}
return temp
end)
function StrengthPropertyTemplateList:parseOne()
local temp = StrengthPropertyTemplateInfo:new()
temp:init(self._templateData)
if(self._list[temp.type] == nil) then
self._list[temp.type] = {}
end
self._list[temp.type][temp.strengthLevel] = temp
end
function StrengthPropertyTemplateList:getTemplate(type,strengthLevel)
if(self._list[type] == nil) then return nil end
return self._list[type][strengthLevel]
end
GateTemplateInfo = class("GateTemplateInfo",function(self)
local temp = {}
temp.templateId = 0--传送门IDint
temp.mapId = 0--所在地图IDint
temp.nextMapId = 0--跳转地图IDint
temp.isHide = false--是否不显示bool
temp.pos = nil--坐标CCPoint
temp._nextMapName = ""--跳转地图名字string
return temp
end)
--param data:ByteArray
function GateTemplateInfo:init(data)
self.templateId = data:readShort()
self.mapId = data:readShort()
self.nextMapId = data:readShort()
self.pos = globalManager.ccCreator:newPoint(data:readShort(),data:readShort())
self.isHide = data:readBoolean()
end
--获取跳转地图的名字
--return string
function GateTemplateInfo:getNextMapName()
if (self._nextMapName == "") then
self._nextMapName = globalData.allTemplates.mapTemplateList:getMap(self.nextMapId).name
end
return self._nextMapName
end
--##globalData.allTemplates.gateTemplateList
GateTemplateList = class("GateTemplateList",function(self)
local temp = BaseTemplateList:new()
temp._gateList = {}--传送门列表map<int,GateTemplateInfo>
temp._sceneGateList = {}--按地图分类的传送门列表map<int,vector<GateTemplateInfo>>)
--跨图寻路运算变量
temp._result = nil
temp._startMap = -1
temp._endMap = -1
return temp
end)
function GateTemplateList:parseOne()
local gate = GateTemplateInfo:new()
gate:init(self._templateData)
self._gateList[gate.templateId] = gate
if(self._sceneGateList[gate.mapId] == nil) then
self._sceneGateList[gate.mapId] = {}
end
table.insert(self._sceneGateList[gate.mapId],gate)
end
--param id:int return GateTemplateInfo
function GateTemplateList:getGate(id)
return self._gateList[id]
end
--根据场景ID获取所有传送门
--param mapId:int return Vector.<GateTemplateInfo>
function GateTemplateList:getGateByScene(mapId)
return self._sceneGateList[mapId]
end
--跨图寻路
--vector<int>
function GateTemplateList:find(startMap,endMap)
local funcSort = function(gateList1,gateList2)
return (table.getn(gateList1) > table.getn(gateList2))
end
self._result = {}
if(self._sceneGateList[startMap] ~= nil and self._sceneGateList[endMap] ~= nil)then
self._startMap = startMap
self._endMap = endMap
local hadSearchedList = {}
local tmpResult = {}
self:doFind(self._sceneGateList[self._startMap],hadSearchedList,tmpResult)
if(table.getn(self._result) > 0)then
table.sort( self._result, funcSort )
return self._result[1]
end
end
return nil
end
function GateTemplateList:doFind(sceneList,hadSearchedList,result)
for k,v in pairs(sceneList) do
local tmpResult = self:copyArray(result)
local nextId = v.nextMapId
if(globalManager.commonUtils:getIndexOfTable(hadSearchedList,nextId) == -1)then
if(nextId == self._endMap)then
table.insert(tmpResult,v.templateId)
table.insert(self._result,tmpResult)
break
else
local tmp = self:copyArray(hadSearchedList)
for k1,brotherGate in pairs(sceneList) do
table.insert(tmp,brotherGate.nextMapId)
end
local tmpR = self:copyArray(result)
table.insert(tmpR,v.templateId)
self:doFind(self._sceneGateList[nextId],tmp,tmpR)
end
end
tmpResult = nil
end
hadSearchedList = nil
result = nil
end
function GateTemplateList:copyArray(list)
local result = {}
for k,v in pairs(list) do
result[k] = v
end
return result
end
BaseGoodsInfo = class("BaseGoodsInfo",function(self)
local temp = {}
temp.templateId = 0--物品IDint
temp.picPath = ""--图片路径string
temp.iconPath = ""--图标路径string
temp.categoryId = 0--类型int
return temp
end)
--
-- 全身强化加成属性表
-- Date: 2014-06-07 11:31:47
--
EquipStrengthTemplateInfo = class("EquipStrengthTemplateInfo", function(self)
local temp = {}
temp.level = 0
temp.baseAttrs = nil
return temp
end)
function EquipStrengthTemplateInfo:init(bytes)
self.level = bytes:readByte()
self.baseAttrs = globalManager.messageUtils:parseProperty(bytes:readString())
end
--
-- 全身强化加成模板表
-- Date: 2014-06-07 11:36:17
--
EquipStrengthTemplateList = class("EquipStrengthTemplateList", function(self)
local temp = {}
temp._list = {}
temp._levelList = {}
temp.MIN_LEVEL =  nil
temp.MAX_LEVEL =  nil
return temp
end)
function EquipStrengthTemplateList:init(bytes)
local len = bytes:readInt()
for i=1,len do
local temp = EquipStrengthTemplateInfo:new()
temp:init(bytes)
self._list[temp.level] = temp
table.insert(self._levelList,temp.level)
self.MIN_LEVEL = self.MIN_LEVEL or temp.level
self.MAX_LEVEL = self.MAX_LEVEL or temp.level
self.MIN_LEVEL = math.min(self.MIN_LEVEL, temp.level)
self.MAX_LEVEL = math.max(self.MAX_LEVEL, temp.level)
end
end
--返回当前套装强化等级和下一级
function EquipStrengthTemplateList:getStrengthLevel(level)
local result1 = 0
local result2 = self.MAX_LEVEL
for __,num in pairs(self._levelList) do
if(level >= num) then
result1 = num
else
result2 = num
break
end
end
return result1,result2
end
function EquipStrengthTemplateList:getTemplate(strengthLevel)
return self._list[strengthLevel]
end
--
-- 物品兑换信息
-- Date: 2014-06-10 17:18:40
--
GoodsExchangeList = class("GoodsExchangeList", function(self)
local temp = EventDispatcher:new()
temp._list = {}
return temp
end)
function GoodsExchangeList:ctor()
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.global_systemHour,self.systemHourUpdateHandler,self)
end
function GoodsExchangeList:systemHourUpdateHandler(evt)
if(globalData.selfPlayerInfo ~= nil) then
globalData.messageAdder:sendGetExchangeList()
end
end
function GoodsExchangeList:hasItemData(id)
return self._list[id] ~= nil
end
function GoodsExchangeList:setExchangeItemData(id,count)
self._list[id] = count
end
--return {exchangeId,hasBuyCount}
function GoodsExchangeList:getExchangeItemData(id)
return self._list[id]
end
function GoodsExchangeList:clearAllDatas()
self._list = {}
end
GoodsInfo = class("GoodsInfo",function(self)
local temp = EventDispatcher:new()
temp.__eventDispose = temp.dispose
temp._templateId = 0--模板ID int
temp._template = nil--模板信息GoodsTemplateInfo
temp.goodsId = 0--物品ID number
temp.isBind = false--是否绑定Boolean
temp.strengthLevel = 0--强化等级int
temp.starLevel = 0 --装备升星等级
temp.stage = 0--品阶
temp.count = 0--数量int
temp.position = 0--位置int
--动态信息int
--    temp.property1 = 0
--    temp.property2 = 0
--    temp.property3 = 0
--    temp.property4 = 0
--    temp.property5 = 0
--    temp.property6 = 0
temp.score = 0--评分int
temp.propertyVector = {}--洗练已用的属性Vector.<PropertyInfo>
temp.freePropertyVector = {}--洗练未用的属性Vector.<PropertyInfo>
temp.date = 0--物品创建时间int
temp.vaildDate = 0--有效期int
temp.exist = false--是否删除Boolean
temp.strengthTimes = 0 --强化次数
return temp
end)
--return int
function GoodsInfo:getTemplateId()
return self._templateId
end
--param value:int
function GoodsInfo:setTemplateId(value)
self._templateId = value
self._template = globalData.allTemplates.goodsTemplateList:getTemplate(value)
if(self._template == nil)then
print("=========找不到物品模版=======",self._templateId)
end
end
--return GoodsTemplateInfo
function GoodsInfo:getTemplate()
return self._template
end
--param level:int
function GoodsInfo:updateStrengthLevel(level)
self.strengthLevel = level
end
function GoodsInfo:outOfDate()
if(self.vaildDate <= 0)then return false end
return globalData.systemDateInfo:getSystemTime() > self.vaildDate
-- return self._outOfDate
end
function GoodsInfo:getCanUse()
if(self:getTemplate().needCareer ~= 0 and self:getTemplate().needCareer ~= globalData.allStaticTypes.careerType:getCareer(globalData.selfPlayerInfo.career))then
return false
end
if(self:getTemplate().needSex ~= 0 and self:getTemplate().needSex ~= globalData.selfPlayerInfo.sex)then
return false
end
if(self:getTemplate().needLevel > globalData.selfPlayerInfo.level)then
return false
end
if(self:outOfDate())then
return false
end
return true
end
function GoodsInfo:getColorName()
local result = nil
if(globalData.allStaticTypes.categoryType:IsEquip(self:getTemplate().categoryId))then
result = "[" .. globalData.allStaticTypes.colorType:getColorStrByQuality(self:getQuality()) .. "]"
else
result = "[" .. globalData.allStaticTypes.colorType:getColorStrByQuality(self:getTemplate():getQuality()) .. "]"
end
result = result .. self:getFullName()
result = result .. "[-]"
return result
end
function GoodsInfo:getQuality()
if(globalData.allStaticTypes.categoryType:IsFiveEquip(self._template.categoryId)) then
return self._template.quality
else
return self._template.quality + self.stage
end
end
function GoodsInfo:getFullName()
local result = ""
if(globalData.allStaticTypes.categoryType:IsEquip(self:getTemplate().categoryId))then
result = globalData.allTemplates.furnaceAdvanceTemplateList:getStageName(self.stage)
elseif(globalData.allStaticTypes.categoryType:IsFiveEquip(self:getTemplate().categoryId)) then
if(self.stage > 0) then
result = globalData.numList[math.ceil(self.stage / globalData.allTemplates.xiaofeiTemplateList.STAGE_PRE_STAR)] .. globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel45")..((self.stage - 1) % globalData.allTemplates.xiaofeiTemplateList.STAGE_PRE_STAR + 1)..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel68")
end
end
result = result .. self:getTemplate().name
if(self.strengthLevel > 0)then
result = result .. "+" .. self.strengthLevel
end
return result
end
function GoodsInfo:resetScore(level)
self.score = 0
if(globalData.allStaticTypes.categoryType:IsEquip(self:getTemplate().categoryId))then
if(level == nil) then level = globalData.selfPlayerInfo.level end
local regularPropertyList = globalData.allTemplates.equipStrengthLevelTemplateList:getTemplate(self:getTemplate().categoryId,level)
if(regularPropertyList == nil) then return end
local strengthTemp = globalData.allTemplates.strengthPropertyTemplateList:getTemplate(self:getTemplate().categoryId,self.strengthLevel)
for i,propertyInfo in pairs(regularPropertyList.propertys) do
local basicPropertyValue = propertyInfo.propertyValue + self._template.regularPropertyList[i].propertyValue
--强化加成
local strengValue = 0
if(self.strengthLevel > 0)then
strengValue = strengthTemp.propertyAdd[i].propertyValue
end
--品阶加成
if(self.stage > 0)then
local stageTemp = globalData.allTemplates.furnaceAdvanceTemplateList:getTemplate(self.stage)
basicPropertyValue = math.ceil(basicPropertyValue * (1 + stageTemp.addPre / 100))
strengValue = math.ceil(strengValue * (1 + stageTemp.addPre / 100))
end
self.score = self.score + globalData.allStaticTypes.propertyType:fightCalculate(propertyInfo.propertyId,basicPropertyValue + strengValue)
end
self.score = math.floor(self.score)
elseif(globalData.allStaticTypes.categoryType:IsFiveEquip(self:getTemplate().categoryId))then
local fiveInfo = globalData.allTemplates.fiveEquipTemplateList:getTemplate(self:getTemplate().property1)
self.score = globalData.allStaticTypes.propertyType.FIVEEQUIP_FIGHT * self.stage
end
end
--复制出的数据要dispose
function GoodsInfo:getClone()
local info = GoodsInfo:new()
info:setTemplateId(self:getTemplateId())
info.position = self.position
info:updateStrengthLevel(self.strengthLevel)
info.stage = self.stage
return info
end
function GoodsInfo:dispose()
self:__eventDispose()
self._template = nil
self.propertyVector = nil
self.freePropertyVector = nil
self.__eventDispose = nil
end
--##globalData.goodsInfoList
GoodsInfoList = class("GoodsInfoList",function(self)
local temp = EventDispatcher:new()
temp._goodsList = {}--全部道具
temp._itemList = {}--背包道具(包含人物装备)
temp._equipList = {}--背包装备(妖精等特殊装备)
temp._itemCapacity = 0--当前道具背包使用容量 int
temp._equipCapacity = 0--当前装备背包使用容量 int
temp._itemBagResetFlag = false--道具背包是否需要整理
temp._equipBagResetFlag = false--道具背包是否需要整理
temp._lastResetTime = 0--上次整理时间
return temp
end)
--return Vector.<GoodsInfo>
--type为空返回所有，type=1返回道具，type=2返回特殊装备
function GoodsInfoList:getGoodsList(type)
if(type == nil) then
return self._goodsList
elseif(type == 1) then
return self._itemList
elseif(type == 2) then
return self._equipList
end
end
--return GoodsInfo
function GoodsInfoList:getGoodsByPlace(place)
return self._goodsList[place]
end
--根据模板ID获取所有物品
--param id:int return Vector.<GoodsInfo>
--type为空搜索所有，type=1搜索道具，type=2搜索特殊装备
function GoodsInfoList:getGoodsByTempId(id,type)
local temp = {}
local list = nil
if(type == nil) then
list = self._goodsList
elseif(type == 1) then
list = self._itemList
elseif(type == 2) then
list = self._equipList
end
for i,value in pairs(list) do
if(value ~= nil and value:getTemplateId() == id) then
table.insert(temp,value)
end
end
return temp
end
--根据类型ID获取身上道具
--param categoryId:int return Vector.<GoodsInfo>
function GoodsInfoList:getRoleEquipByCategoryId(categoryId)
for i,value in pairs(self._goodsList) do
if(value ~= nil and value.position < globalData.EQUIPMENT_CAPCITY and value:getTemplate().categoryId == categoryId) then
return value
end
end
return nil
end
--根据模板id取物品数量
--param tempId:int return int
--type为空搜索所有，type=1搜索道具，type=2搜索特殊装备
function GoodsInfoList:getGoodsCount(tempId,type)
local count = 0
local list = nil
if(type == nil) then
list = self._goodsList
elseif(type == 1) then
list = self._itemList
elseif(type == 2) then
list = self._equipList
end
for i,value in pairs(list) do
if(value ~= nil and value:getTemplateId() == tempId) then
count = count + value.count
end
end
return count
end
--根据位置获取物品信息
--param position:int return GoodsInfo
function GoodsInfoList:getGoods(position)
return self._goodsList[position]
end
--获取背包第一个空位置
--type：1道具背包  2装备背包
function GoodsInfoList:getBaggageEmptyPlace(type)
local start = 0
if(type == 1) then
start = globalData.ITEM_STARTPOSION
elseif(type == 2) then
start = globalData.EQUIP_STARTPOSION
end
for i = start,start + globalData.BAGGAGE_CAPCITY - 1,1 do
if(self._goodsList[i] == nil) then
return i
end
end
return -1
end
--背包是否有位置
--param count:int type:1道具背包  2装备背包
function GoodsInfoList:getHasPos(count,type)
if(type == 1) then
return globalData.BAGGAGE_CAPCITY - self._itemCapacity >= count
elseif(type == 2) then
return globalData.BAGGAGE_CAPCITY - self._equipCapacity >= count
end
end
--更新道具背包物品信息
--param list:Vector.<GoodsInfo>
function GoodsInfoList:updateItems(list)
if(#list == 0) then
return
end
local roleUpdates = {}
local itemUpdates = {}
for i,info in pairs(list) do
local position = info.position
if(info.exist) then
local isAdd = (self._goodsList[position] == nil)
self._goodsList[position] = info
self._itemList[position] = info
if(isAdd) then
self._itemCapacity = self._itemCapacity + 1
end
else
if(self._goodsList[position] ~= nil) then
self._goodsList[position]:dispose()
self._goodsList[position] = nil
self._itemList[position] = nil
self._itemCapacity = self._itemCapacity - 1
end
end
if(info.position < globalData.EQUIPMENT_CAPCITY) then
table.insert(roleUpdates,info.position)
elseif(info.position < globalData.EQUIPMENT_CAPCITY + globalData.BAGGAGE_CAPCITY) then
table.insert(itemUpdates,info.position)
end
end
if(#itemUpdates > 0) then
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_itemUpdate,self,itemUpdates))
self._itemBagResetFlag = true
end
if(#roleUpdates > 0) then
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_roleUpdate,self,roleUpdates))
end
end
--更新特殊装备背包物品信息
--param list:Vector.<GoodsInfo>
function GoodsInfoList:updateEquips(list)
if(#list == 0) then
return
end
local equipUpdates = {}
for i,info in pairs(list) do
local position = info.position
if(info.exist) then
local isAdd = (self._goodsList[position] == nil)
self._goodsList[position] = info
self._equipList[position] = info
if(isAdd) then
self._equipCapacity = self._equipCapacity + 1
end
else
if(self._goodsList[position] ~= nil) then
self._goodsList[position]:dispose()
self._goodsList[position] = nil
self._equipList[position] = nil
self._equipCapacity = self._equipCapacity - 1
end
end
table.insert(equipUpdates,info.position)
end
if(#equipUpdates > 0) then
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_equipUpdate,self,equipUpdates))
self._equipBagResetFlag = true
end
end
--整理背包
function GoodsInfoList:resetBag()
if(globalData.systemDateInfo:getSystemTime() - self._lastResetTime < 30000) then return end--最高整理频率半分钟1次
local isReset = false
if(self._itemBagResetFlag) then
globalData.messageAdder:sendAttachReceive()
self._itemBagResetFlag = false
isReset = true
end
if(self._equipBagResetFlag) then
globalData.messageAdder:sendAttachReceive2()
self._equipBagResetFlag = false
isReset = true
end
if(isReset) then
globalData.isCheckCanUseItem = true
self._lastResetTime = globalData.systemDateInfo:getSystemTime()
end
end
--清除所有道具，断线重连时清除
function GoodsInfoList:clearAllGoods()
for k,v in pairs(self._goodsList) do
if(v ~= nil)then
v:dispose()
end
end
self._goodsList = {}
self._itemList = {}
self._equipList = {}
self._itemCapacity = 0
self._equipCapacity = 0
end
--升级后重新计算战力
function GoodsInfoList:GoodsInfoResetEquipFight()
for i = 0,30,1 do
if(self._goodsList[i] ~= nil) then
self._goodsList[i]:resetScore()
end
end
end
--获取身上装备总战力
function GoodsInfoList:getEquipFight()
local fight = 0
for i = 0,30,1 do
if(self._goodsList[i] ~= nil) then
fight = fight + self._goodsList[i].score
end
end
return fight
end
GoodsTemplateInfo = class("GoodsTemplateInfo",function(self)
local temp = BaseGoodsInfo:new()
temp.name = ""--名称string
temp.quality = 0--品质int
temp.bindType = 0--绑定类型int
temp.needLevel = 0--需求等级int
temp.needSex = 0--需求性别int 0无要求，1男，2女
temp.needCareer = 0--需求职业int
temp.maxCount = 0--最大上限int
temp.coolDown = 0--冷却时间int
temp.canUse = false--能否使用bool
temp.canLock = false--能否被锁bool
temp.canUpLevel = false--能否升级bool
temp.canStrengthen = false--能否强化bool
temp.canRebuild = false--能否洗练bool
temp.canSell = false--能否出售bool
temp.canFusion = false--能否融合bool
temp.freePropertyList = {}--自由属性Vector.<PropertyInfo>
temp.regularPropertyList = {}--基础属性Vector.<PropertyInfo>
temp.property1 = 0--属性1int
temp.property2 = 0--属性2int
temp.property3 = 0--属性3int
temp.property4 = 0--属性4int
temp.property5 = 0--属性5int
temp.property6 = 0--属性6int
temp.property7 = 0--属性7int
temp.property8 = 0--属性8int
temp.sellPrice = 0--售卖价格int
temp.sellType = 0--售店获得铜币类型int 0 为不绑定铜币，1为绑定铜币,3为钻石,2为绑定钻石
temp.suitId = 0--套装IDint
temp.triggers = {}--部署Vector<TriggerInfo>
temp.canBatch = false--能否批量使用bool
temp.vaildDate = 0 --有效期：小于100表示天，大于100以秒为单位
temp.effectId = 0--在框中显示特效int
temp.description = ""--描述
temp._descriptionId = 0 -- 描述表ID int值，描述表ID
temp._fight = -1
temp.defaultFigure = ""
return temp
end)
--param categoryId:int data:ByteArray
function GoodsTemplateInfo:init(categoryId,data)
self.categoryId = categoryId--父类属性
self.templateId = data:readInt()--父类属性
self.name = data:readString()
self.picPath = data:readInt()
self.iconPath = data:readInt()--父类属性
self._descriptionId = data:readString()
self.quality = data:readInt()
self.needLevel = data:readInt()
self.needSex = data:readInt()
self.needCareer = data:readInt()
self.maxCount = data:readInt()
self.sellPrice = data:readInt()
self.sellType = data:readInt()
self.suitId = data:readInt()
self.bindType = data:readInt()
self.coolDown = data:readInt()
self.canUse = data:readBoolean()
self.canStrengthen = data:readBoolean()
self.canRebuild = data:readBoolean()
self.canUpLevel = data:readBoolean()
self.canSell = data:readBoolean()
self.canFusion = data:readBoolean()
self.freePropertyList = globalManager.messageUtils:parseProperty(data:readString())
self.regularPropertyList = globalManager.messageUtils:parseProperty(data:readString())
self.property1 = data:readInt()
self.property2 = data:readInt()
self.property3 = data:readInt()
self.property4 = data:readInt()
self.property5 = data:readInt()
self.property6 = data:readInt()
self.property7 = data:readInt()
self.property8 = data:readInt()
local len = data:readInt()
for i = 1,len,1 do
local triggerInfo = TriggerInfo:new()
triggerInfo:init(data)
table.insert(self.triggers,triggerInfo)
end
self.effectId = data:readInt()
self.canBatch = data:readBoolean()
self.vaildDate = data:readInt()
if(tonumber(self._descriptionId )> 0)then
self.description = globalManager.descriptManager:getDescript(self._descriptionId)
end
self.defaultFigure = data:readString()
end
function GoodsTemplateInfo:getDefaultTemplate()
if(self.defaultFigure ~= "" and self.defaultFigure ~= "undefined" and self.defaultFigureTemplate == nil) then
self.defaultFigureTemplate = globalData.allTemplates.goodsTemplateList:getTemplate(tonumber(self.defaultFigure))
end
return self.defaultFigureTemplate
end
function GoodsTemplateInfo:getPicPath()
if(globalData:isExtImageLoaded()) then
return self.picPath
else
local templateInfo = self:getDefaultTemplate()
if(templateInfo ~= nil) then
return templateInfo.picPath
else
return self.picPath
end
end
end
function GoodsTemplateInfo:getFightValue(level)
if(self._fight == -1) then
self._fight = 0
if(level == nil) then level = globalData.selfPlayerInfo.level end
local regularPropertyList = globalData.allTemplates.equipStrengthLevelTemplateList:getTemplate(self.categoryId,level)
for __,propertyInfo in pairs(regularPropertyList.propertys) do
self._fight = self._fight + globalData.allStaticTypes.propertyType:fightCalculate(propertyInfo.propertyId,propertyInfo.propertyValue)
end
self._fight = math.floor(self._fight)
end
return self._fight
end
function GoodsTemplateInfo:getColorName()
local color3b = globalData.allStaticTypes.colorType:getColorByQuality(self:getQuality())
local result = "[" .. globalData.allStaticTypes.colorType:colorToInt(color3b) .."]"..self.name.."[-]"
return result
end
function GoodsTemplateInfo:getQuality()
return self.quality
end
--获取自由属性
function GoodsTemplateInfo:getFreeProperty(propertyId)
for __,info in pairs(self.freePropertyList) do
if(info.propertyId == propertyId)then
return info
end
end
return nil
end
--##globalData.allTemplates.goodsTemplateList
GoodsTemplateList = class("GoodsTemplateList",function(self)
local temp = BaseTemplateList:new()
temp._goodsList = {}--物品模板列表map<int,GoodsTemplateInfo>
temp._goodsListCategory = {} --Dictionory [key:CategoryId,calue:Vector.<GoodsTemplateInfo>]
return temp
end)
function GoodsTemplateList:parseOne()
local categoryId = self._templateData:readInt()
local goods = GoodsTemplateInfo:new()
goods:init(categoryId,self._templateData)
self._goodsList[goods.templateId] = goods
if(self._goodsListCategory[categoryId] == nil)then
self._goodsListCategory[categoryId] = {}
end
table.insert(self._goodsListCategory[categoryId], goods)
end
function GoodsTemplateList:parsePreFrame()
return 100
end
--param id:int return GoodsTemplateInfo
function GoodsTemplateList:getTemplate(id)
id = tonumber(id)
local info = self._goodsList[id]
if(info == nil) then
print("找不到物品模板数据:"..id)
end
return info
end
function GoodsTemplateList:getTemplateListByCategoryId(categoryId)
return self._goodsListCategory[categoryId]
end
PropertyInfo = class("PropertyInfo",function(self)
local temp = {}
temp.propertyId = 0--属性IDint
temp.propertyValue = 0--属性值float
temp.propertyPercent = -1--属性加成百分比int
return temp
end)
GrowUpProjectTemplateInfo = class("GrowUpProjectTemplateInfo",function(self)
local temp = {}
temp.growUpId   = 0
temp.condition  = 0
temp.price      = 0
temp.itemList   = {}
return temp
end)
function GrowUpProjectTemplateInfo:init(data)
self.growUpId    = data:readByte()
self.condition   = data:readByte()
self.price       = data:readShort()
self.itemList    = globalManager.messageUtils:changeStrToIntList(data:readString())
end
GrowUpProjectTemplateList = class("GrowUpProjectTemplateList",function(self)
local temp = BaseTemplateList:new()
temp.list = {}
return temp
end)
function GrowUpProjectTemplateList:parseOne()
local info = GrowUpProjectTemplateInfo:new()
info:init(self._templateData)
table.insert(self.list,info)
end
function GrowUpProjectTemplateList:getInfoById(growUpId)
for __,info in pairs(self.list) do
if(info.growUpId == growUpId)then
return info
end
end
return nil
end
HomeTemplateInfo = class("HomeTemplateInfo",function()
local ht = {}
ht.hallLevel = 0
ht.luckTreeLevel = 0
ht.poolLevel = 0
ht.farmLevel = 0
ht.factorylevel = 0
ht.smithyLevel = 0
ht.towerLevel = 0
ht.waterTotalCount = 0 --每天可获得浇水的次数
ht.starTotalCount = 0
ht.upgradeCount = 0 --升级大厅需要的物品数量
ht.treeWaterCount = 0 --树成熟需要的浇水次数
ht.treeHelpCount = 0 --别人可帮浇水的次数
ht.treeWaterCD = 0 --获得浇水次数的CD
ht.helpAward = {} --帮好友浇水的奖励
ht.treeAward = {} --树成熟奖励
ht.starCD = 0 --星星成熟时间
ht.needStar1 = 0 --初级许愿池所需星星
ht.needStar2 = 0
ht.needStar3 = 0
ht.poolAward1 = {} --初级奖励
ht.poolAward2 = {}
ht.poolAward3 = {}
ht.poolPrice1 = 0 --初级价格
ht.poolPrice2 = 0
ht.poolPrice3 = 0
ht.poolAwardCount = 0
ht.factoryList = {}
ht.factoryAwardList = {}
ht.specialList = {} --当前已开放的特殊装备锻造的系统列表 1：坐骑，2妖精
return ht
end)
function HomeTemplateInfo:init(data)
self.hallLevel = data:readShort()
self.luckTreeLevel = data:readShort()
self.poolLevel = data:readShort()
self.farmLevel = data:readShort()
self.factorylevel = data:readShort()
self.smithyLevel = data:readShort()
self.towerLevel = data:readShort()
self.waterTotalCount = data:readShort()
self.starTotalCount = data:readShort()
self.upgradeCount = data:readShort()
self.treeWaterCount = data:readShort()
self.treeHelpCount = data:readShort()
self.treeWaterCD = data:readShort()
self.helpAward = globalManager.messageUtils:changeStrToIntList(data:readString())
self.treeAward = globalManager.messageUtils:changeStrToIntList(data:readString())
self.starCD = data:readShort()
self.needStar1 = data:readShort()
self.needStar2 = data:readShort()
self.needStar3 = data:readShort()
self.poolAward1 = globalManager.messageUtils:changeStrToIntList(data:readString())
self.poolAward2 = globalManager.messageUtils:changeStrToIntList(data:readString())
self.poolAward3 = globalManager.messageUtils:changeStrToIntList(data:readString())
self.poolPrice1 = data:readShort()
self.poolPrice2 = data:readShort()
self.poolPrice3 = data:readShort()
self.poolAwardCount = data:readShort()
self.factoryList = globalManager.messageUtils:changeStr1(data:readString())
self.factoryAwardList = globalManager.messageUtils:changeStr1(data:readString())
self.specialList = globalManager.messageUtils:splitStringToInt(data:readString(),",")
end
HomeTemplateList = class("HomeTemplateList", function()
local ht = BaseTemplateList:new()
ht._list = {}
return ht
end)
function HomeTemplateList:parseOne()
local item = HomeTemplateInfo:new()
item:init(self._templateData)
table.insert(self._list,item)
end
function HomeTemplateList:getTemplate(id)
return self._list[id]
end
function HomeTemplateList:getTemplateByLevel(level)
for i,info in pairs(self._list) do
if(info.hallLevel == level)then
return info
end
end
return nil
end
function HomeTemplateList:getFlagOfLeftBtn()
-- body
local flagList = {}
for index,info in pairs(self:getFactoryExchangeMaterialList(globalData.homeInfo.hallLevel)) do
flagList[index] = false
for k,v in pairs(info) do
if v[3] == "1" then --判断大厅等级所对应的物品列表中的物品是否可以兑换
local meterialGoods1 = globalData.goodsInfoList:getGoodsCount(v[5][1],1)
local meterialGoods2 = globalData.goodsInfoList:getGoodsCount(v[6][1],1)
if meterialGoods1 >= v[5][2] and meterialGoods2 >= v[6][2] then
flagList[index] = true
break    --break用于跳出内循环。如果此处改为return的话直接跳出此函数
end
end
end
end
return flagList
end
function HomeTemplateList:getFactoryExchangeMaterialList(level)
-- body
local info1 = self:getTemplateByLevel(level)
local materialList = {}
for index,info in pairs(info1.factoryList) do
local materialIndex = tonumber(info[1])
if materialList[materialIndex] == nil then
materialList[materialIndex] = {}
end
table.insert(materialList[materialIndex],info)
end
return materialList
end
function HomeTemplateList:getFactoryExchangeAwardList(level)
-- body
local info1 = self:getTemplateByLevel(level)
local awardlList = {}
for index,info in pairs(info1.factoryAwardList) do
local awradIndex = tonumber(info[1])
if awardlList[awradIndex] == nil then
awardlList[awradIndex] = {}
end
table.insert(awardlList[awradIndex],info)
end
return awardlList
end
--获取XXX下个等级所需的大厅等级
function HomeTemplateList:getHallLevel(hallLevel,type)
local tempInfo = self:getTemplateByLevel(hallLevel)
if(tempInfo == nil)then return 0 end
for i,info in pairs(self._list) do
if(type == 1)then --幸运树
if(info.luckTreeLevel == tempInfo.luckTreeLevel + 1)then
return info.hallLevel
end
elseif(type == 2)then --许愿池
if(info.poolLevel == tempInfo.poolLevel + 1)then
return info.hallLevel
end
elseif(type == 3)then --农场
if(info.farmLevel == tempInfo.farmLevel + 1)then
return info.hallLevel
end
elseif(type == 4)then --工坊
if(info.factorylevel == tempInfo.factorylevel + 1)then
return info.hallLevel
end
elseif(type == 5)then --铁匠铺
if(info.smithyLevel == tempInfo.smithyLevel + 1)then
return info.hallLevel
end
elseif(type == 6)then --炼妖塔
if(info.towerLevel == tempInfo.towerLevel + 1)then
return info.hallLevel
end
end
end
return nil
end
function HomeTemplateList:getHallMaxLevel()
if(self._list == nil) then return 0 end
return #self._list
end
LandTemplateInfo = class("LandTemplateInfo",function()
local lt = {}
lt.templateId = 0
lt.landType = 0 --1:普通；2：黄金；3：钻石
lt.price = 0
lt.payType = 0
lt.needFarmLevel = 0
return lt
end)
function LandTemplateInfo:init(data)
self.templateId = data:readInt()
self.landType = data:readByte()
self.price = data:readShort()
self.payType = data:readByte()
self.needFarmLevel = data:readByte()
end
LandTemplateList = class("LandTemplateList", function()
local lt = BaseTemplateList:new()
lt._list = {}
return lt
end)
function LandTemplateList:parseOne()
local item = LandTemplateInfo:new()
item:init(self._templateData)
table.insert(self._list,item)
end
function LandTemplateList:getTemplateById(id)
for __,info in pairs(self._list) do
if(info.templateId == id)then
return info
end
end
return nil
end
SeedTemplateInfo = class("SeedTemplateInfo",function()
local st = {}
st.templateId = 0
st.price = 0
st.payType = 0
st.showPath1 = "" --成长形象
st.showPath2 = "" --成熟形象
st.ripeTime = 0 --成熟时间
st.waterCD = 0
st.reduceTime = 0 --浇水减少的时间
st.needLevel = 0 --栽种需要的农场等级
st.name = ""
return st
end)
function SeedTemplateInfo:init(data)
self.templateId = data:readInt()
self.price = data:readInt()
self.payType = data:readByte()
local pathList = globalManager.messageUtils:splitStringToInt(data:readString(),",")
self.showPath1 = pathList[1]
self.showPath2 = pathList[2]
self.ripeTime = data:readInt()
self.waterCD = data:readInt()
self.reduceTime = data:readInt()
self.needLevel = data:readShort()
self.name = data:readString()
end
--param type: 1:成长形象   2:成熟形象
function SeedTemplateInfo:getShowPath(type)
if(type == 1)then
return self.showPath1
else
return self.showPath2
end
end
SeedTemplateList = class("SeedTemplateList", function()
local st = BaseTemplateList:new()
st._list = {}
return st
end)
function SeedTemplateList:parseOne()
local item = SeedTemplateInfo:new()
item:init(self._templateData)
table.insert(self._list,item)
end
function SeedTemplateList:getTemplateById(id)
for __,info in pairs(self._list) do
if(info.templateId == id)then
return info
end
end
return nil
end
function SeedTemplateList:getSeedList()
return self._list
end
HuaXingStarTemplateInfo = class("HuaXingStarTemplateInfo",function(self)
local temp = {}
temp.templateId = 0
temp.type       = 0
temp.fightValue = 0
temp.level      = 0
temp.attrList   = {}
temp.amountList = {}
return temp
end)
function HuaXingStarTemplateInfo:init(data)
self.templateId  = data:readInt()
self.type        = data:readShort()
self.level       = data:readShort()
self.fightValue  = data:readInt()
self.attrList    = globalManager.messageUtils:parseProperty(data:readString())
self.amountList  = globalManager.messageUtils:changeStrToIntList(data:readString())
end
HuaXingStarTemplateList = class("HuaXingStarTemplateList",function(self)
local temp = BaseTemplateList:new()
temp.list = {}
return temp
end)
function HuaXingStarTemplateList:parseOne()
local info = HuaXingStarTemplateInfo:new()
info:init(self._templateData)
table.insert(self.list,info)
end
function HuaXingStarTemplateList:getTemplateByidAndType(id,type)
local tempList = {}
for __,info in pairs(self.list) do
if(info.type == type and info.templateId == id)then
table.insert(tempList,info)
end
end
return tempList
end
HuaXingTemplateInfo = class("HuaXingTemplateInfo",function()
local temp = {}
temp.id    = 0 --化型的品阶
temp.type  = 0 --化型的种类
temp.fight = 0 --化型的战斗力
temp.itemList = {} --化型所需的物品
temp.atrrList = {} --化型后的属性
temp.posX     = 0
temp.posY     = 0
temp.delpoy   = {}
return temp
end)
function HuaXingTemplateInfo:init(bytes)
self.id       = bytes:readShort()
self.type     = bytes:readByte()
self.fight    = bytes:readInt()
self.itemList = globalManager.messageUtils:changeStrToIntList(bytes:readString())
self.atrrList = globalManager.messageUtils:parseProperty(bytes:readString())
self.posX     = bytes:readInt()
self.posY     = bytes:readInt()
local len = bytes:readInt()
for i = 1,len,1 do
local trigger = TriggerInfo:new()
trigger:init(bytes)
table.insert(self.delpoy,trigger)
end
end
HuaXingTemplateList = class("HuaXingTemplateList",function()
local temp = BaseTemplateList:new()
temp.petList     = {}
temp.riderList   = {}
temp.wingList    = {}
temp.godList     = {}
temp.spriteList  = {}
temp.fazhenList  = {}
temp.longhunList = {}
return temp
end)
function HuaXingTemplateList:parseOne()
local item = HuaXingTemplateInfo:new()
item:init(self._templateData)
if(item.type == globalData.allStaticTypes.petXiaofeiType.CHONGWU)then
table.insert(self.petList,item)
elseif(item.type == globalData.allStaticTypes.petXiaofeiType.ZUOQI)then
table.insert(self.riderList,item)
elseif(item.type == globalData.allStaticTypes.petXiaofeiType.CHIBANG)then
table.insert(self.wingList,item)
elseif(item.type == globalData.allStaticTypes.petXiaofeiType.SHENBING)then
table.insert(self.godList,item)
elseif(item.type == globalData.allStaticTypes.petXiaofeiType.JINGLING)then
table.insert(self.spriteList,item)
elseif(item.type == globalData.allStaticTypes.petXiaofeiType.FAZHEN)then
table.insert(self.fazhenList,item)
elseif(item.type == globalData.allStaticTypes.petXiaofeiType.LONGHUN)then
table.insert(self.longhunList,item)
end
end
function HuaXingTemplateList:getInfoByTypeAndId(type,id)
if(type == globalData.allStaticTypes.petXiaofeiType.CHONGWU)then
for __,info in pairs(self.petList) do
if(info.id == id)then
return info
end
end
elseif(type == globalData.allStaticTypes.petXiaofeiType.ZUOQI)then
for __,info in pairs(self.riderList) do
if(info.id == id)then
return info
end
end
elseif(type == globalData.allStaticTypes.petXiaofeiType.CHIBANG)then
for __,info in pairs(self.wingList) do
if(info.id == id)then
return info
end
end
elseif(type == globalData.allStaticTypes.petXiaofeiType.SHENBING)then
for __,info in pairs(self.godList) do
if(info.id == id)then
return info
end
end
elseif(type == globalData.allStaticTypes.petXiaofeiType.JINGLING)then
for __,info in pairs(self.spriteList) do
if(info.id == id)then
return info
end
end
elseif(type == globalData.allStaticTypes.petXiaofeiType.FAZHEN)then
for __,info in pairs(self.fazhenList) do
if(info.id == id)then
return info
end
end
elseif(type == globalData.allStaticTypes.petXiaofeiType.LONGHUN)then
for __,info in pairs(self.longhunList) do
if(info.id == id)then
return info
end
end
end
end
JiFuTemplateInfo = class("JiFuTemplateInfo",function()
local temp = {}
temp.day = 0
temp.awardList = {}
temp.price = 0
return temp
end)
function JiFuTemplateInfo:init(bytes)
self.day       = bytes:readByte()
self.awardList = globalManager.messageUtils:splitStringToInt(bytes:readString(),",")
self.price     = bytes:readShort()
end
JiFuTemplateList = class("JiFuTemplateList",function()
local temp = BaseTemplateList:new()
temp.list = {}
return temp
end)
function JiFuTemplateList:parseOne()
local info = JiFuTemplateInfo:new()
info:init(self._templateData)
table.insert(self.list,info)
end
LeagueTemplateInfo = class("LeagueTemplateInfo", function(self)
local temp = {}
temp.level = 0
temp.money = 0 --升级财富
temp.member = 0 --成员数
temp.cost = 0 --维护费
return temp
end)
function LeagueTemplateInfo:init(bytes)
self.level = bytes:readShort()
self.money = bytes:readInt()
self.member = bytes:readShort()
self.cost = bytes:readInt()
end
LeagueTemplateList = class("LeagueTemplateList", function(self)
local temp = BaseTemplateList:new()
temp._list = {}
temp.maxLevel = 0
return temp
end)
function LeagueTemplateList:parseOne()
local temp = LeagueTemplateInfo:new()
temp:init(self._templateData)
self._list[temp.level] = temp
if(temp.level > self.maxLevel) then
self.maxLevel = temp.level
end
end
function LeagueTemplateList:getTemplate(level)
for __,temp in pairs(self._list) do
if(temp.level == level)then
return temp
end
end
return nil
end
LeagueWareHouseTemplateInfo = class("LeagueWareHouseTemplateInfo", function(self)
local temp = {}
temp.templateId = 0  --物品Id
temp.club_wealth = 0 --帮贡
return temp
end)
function LeagueWareHouseTemplateInfo:init(bytes)
self.templateId = bytes:readInt()
self.club_wealth = bytes:readInt()
end
LeagueWareHouseTemplateList = class("LeagueWareHouseTemplateList", function(self)
local temp = BaseTemplateList:new()
temp._list = {}
return temp
end)
function LeagueWareHouseTemplateList:getList()
return self._list
end
function LeagueWareHouseTemplateList:parseOne()
local temp = LeagueWareHouseTemplateInfo:new()
temp:init(self._templateData)
table.insert(self._list,temp)
end
function LeagueWareHouseTemplateList:getTemplate(id)
for __,info in pairs(self._list) do
if(info.templateId == id)then
return info
else
return nil
end
end
end
MapTemplateInfo = class("MapTemplateInfo",function(self)
local temp = {}
temp.mapId = 0--Idint
temp.mapPath = 0--路径int
temp.name = ""--名称string
temp.music = 0--背景音乐路径int
temp.minLevel = 0--最小等级int
temp.maxLevel = 0--最大等级int
temp.isOpen = false--是否开启bool
temp.triggerInfos = {}--部署列表Vector.<TriggerInfo>
temp.safeArea = {}--安全区
temp.afkPath = {}
return temp
end)
--param data:ByteArray
function MapTemplateInfo:init(data)
self.mapId = data:readInt()
self.mapPath = data:readInt()
self.name = data:readString()
self.music = tostring(data:readInt())
self.minLevel = data:readShort()
self.maxLevel = data:readShort()
self.isOpen = data:readBoolean()
--    local defaultP = data:readString()
--    if (defaultP == "") then
--        self.defaultPoint = globalManager.ccCreator:newPoint(0,0)
--    else
--        self.defaultPoint = globalManager.messageUtils:changeStrToPoint(defaultP)
--    end
self.afkPath = globalManager.messageUtils:changeStrToPointList(data:readString())
local triLen = data:readInt()
for i = 1,triLen,1 do
local triggrt = TriggerInfo:new()
triggrt:init(data)
table.insert(self.triggerInfos,triggrt)
end
local safeTmp = data:readString()
if(safeTmp ~= "")then
local safeArr = globalManager.messageUtils:splitString(safeTmp,"|")
for i = 1,#safeArr,1 do
local safeArr1 = globalManager.messageUtils:splitStringToInt(safeArr[i],",")
if(#safeArr1 == 5)then
if(safeArr1[1] == 1)then
local tmpArr = {}
table.insert(tmpArr,safeArr1[2])
table.insert(tmpArr,safeArr1[3])
table.insert(tmpArr,safeArr1[4])
table.insert(tmpArr,safeArr1[5])
table.insert(self.safeArea,tmpArr)
end
end
end
end
end
function MapTemplateInfo:isInSafeArea(p)
local len = #self.safeArea
for i = 1,len,1 do
local safe = self.safeArea[i]
if(p.x > safe[1] and p.x < (safe[1] + safe[3]) and p.y > safe[2] and p.y < (safe[2] + safe[4]))then
return true
end
end
return false
end
MapTemplateList = class("MapTemplateList",function(self)
local temp = BaseTemplateList:new()
temp._mapList = {}--地图模板列表map<int,MapTemplateInfo>
temp.CITY_MAPID = 1001 --主城地图ID
temp.CHAOS_MAPID = 1800 --混沌战场地图ID
temp.TAOYUAN_MAPID = 1900 --桃园幻境
temp.NEWLY_MAPID = 1002 --新手剧情地图
return temp
end)
function MapTemplateList:parseOne()
local map = MapTemplateInfo:new()
map:init(self._templateData)
self._mapList[map.mapId] = map
end
--param id:int return MapTemplateInfo
function MapTemplateList:getMap(id)
local map = self._mapList[id]
assert(map, "地图数据不存在:"..id)
return map
end
--指定地图能否攻击
function MapTemplateList:canAttack(id)
--9101是群雄争霸准备地图
if(id == self.CITY_MAPID or id == 9101)then return false end
return true
end
--指定地图能否攻击玩家
function MapTemplateList:canPK(id)
if(id == 3091 or id == 1800 or id == 2001 or id == 3071 or id == 9102 or id == 1501 or
id == 3061 or (id >= 1711 and id <= 1715) or
id == 1721 or id == 1722 or id == 1723 or id == 1724 or id == 1725)then return true end
return false
end
--是否世界boss地图
function MapTemplateList:isWorldBossMap(id)
if(id >= 2100 and id <= 2199)then return true end
return false
end
--是否精英boss地图
function MapTemplateList:isJingyinBossMap(id)
if(id >= 2200 and id <= 2299)then return true end
return false
end
--藏宝秘境地图类型
function MapTemplateList:isTreasureMap(id)
if(id == 8101)then
return 1
else
return 2
end
end
--指定地图能否挂机
function MapTemplateList:canAFK(id)
if globalData.copyInfo.currentCopyId == globalData.allTemplates.copyTemplateList.DATI then
return false
end
return true
end
--是否全图广播
function MapTemplateList:isAllBrost(id)
return false
end
--地图能否跳转到副本
function MapTemplateList:canToCopy(id)
return true
end
--地图能否使用飞鞋
function MapTemplateList:canFly(id)
-- if self:isWorldBossMap(id) then return false end
-- if self:isJingyinBossMap(id) then return false end
return true
end
--地图能否发送坐标信息[如聊天里的坐标发送判断]
function MapTemplateList:canSendPoint(id)
return true
end
function MapTemplateList:isSkyDreamLand(id)
if(id >= 1711 and id <= 1715)then return true end
return false
end
--地图是否可跳
function MapTemplateList:canJump(id)
return true
end
MarryTemplateInfo = class("MarryTemplateInfo",function()
local temp = {}
temp.id = 0
temp.price = 0
temp.name = ""
temp.propertys = nil
temp.iconPath = ""
return temp
end)
function MarryTemplateInfo:init(data)
self.id = data:readByte()
self.price = data:readInt()
self.name = data:readString()
self.propertys = globalManager.messageUtils:parseProperty(data:readString())
self.iconPath = data:readString()
end
MarryTemplateList = class("MatterTemplateList",function()
local temp = BaseTemplateList:new()
temp.list = {}
return temp
end)
function MarryTemplateList:parseOne()
local info = MarryTemplateInfo:new()
info:init(self._templateData)
table.insert(self.list,info)
end
function MarryTemplateList:getTemplate(id)
local len = #self.list
for i = 1,len,1 do
if(self.list[i].id == id) then
return self.list[i]
end
end
return nil
end
OathTemplateInfo = class("OathTemplateInfo",function()
local temp = {}
temp.id = 0
temp.price = 0
temp.name = ""
temp.propertys = nil
temp.iconPath = ""
return temp
end)
function OathTemplateInfo:init(data)
self.id = data:readByte()
self.price = data:readInt()
self.name = data:readString()
self.propertys = globalManager.messageUtils:parseProperty(data:readString())
self.iconPath = data:readString()
end
OathTemplateList = class("OathTemplateList",function()
local temp = BaseTemplateList:new()
temp.list = {}
return temp
end)
function OathTemplateList:parseOne()
local info = OathTemplateInfo:new()
info:init(self._templateData)
table.insert(self.list,info)
end
function OathTemplateList:getTemplate(id)
local len = #self.list
for i = 1,len,1 do
if(self.list[i].id == id) then
return self.list[i]
end
end
return nil
end
MatterTemplateInfo = class("MatterTemplateInfo",function()
local temp = {}
temp.type = 0
temp.name = nil
temp.level = 0
temp.startTime = 0
temp.endTime = 0
temp.tip = nil
temp.day = nil
temp.award = nil
temp.depoly = {}
return temp
end)
function MatterTemplateInfo:init(data)
self.type = data:readByte()
self.level = data:readInt()
self.startTime = data:readInt()
self.endTime = data:readInt()
self.tip = data:readString()
self.day = globalManager.messageUtils:splitStringToInt(data:readString(),",")
self.award = globalManager.messageUtils:splitStringToInt(data:readString(),",")
local len = data:readInt()
for i = 1,len,1 do
local trigger = TriggerInfo:new()
trigger:init(data)
table.insert(self.depoly,trigger)
end
self.name = data:readString()
end
function MatterTemplateInfo:getTimeString()
return globalData.systemDateInfo:secondsToDateString3(self.startTime).." - "..globalData.systemDateInfo:secondsToDateString3(self.endTime)
end
--time 秒
function MatterTemplateInfo:isInTime(time)
if(time > self.startTime and time < self.endTime)then
return true
end
return false
end
MatterTemplateList = class("MatterTemplateList",function()
local ng = BaseTemplateList:new()
ng.matterList = {}
return ng
end)
function MatterTemplateList:parseOne()
local info = MatterTemplateInfo:new()
info:init(self._templateData)
table.insert(self.matterList,info)
end
function MatterTemplateList:complete()
local sortFunc = function(info1,info2)
return info1.startTime < info2.startTime
end
ByteArray:release(self._templateData)
self._templateData = nil
self.parseComplete = true
table.sort(self.matterList,sortFunc)
end
function MatterTemplateList:getTemplateByType(type)
for __,matterinfo in pairs(self.matterList) do
if(matterinfo.type == type)then
return matterinfo
end
end
end
DefCopyMonsterTemplateInfo = class("DefCopyMonsterTemplateInfo",function(self)
local temp = {}
temp.star = 0
temp.type = 0
temp.monsterId = 0
temp.score = 0
temp.updateScore = 0
return temp
end)
--param data:ByteArray
function DefCopyMonsterTemplateInfo:init(data)
self.star = data:readByte()
self.type = data:readByte()
self.monsterId = data:readInt()
self.score = data:readShort()
self.updateScore = data:readShort()
end
DefCopyMonsterTemplateList = class("DefCopyMonsterTemplateList",function(self)
local temp = BaseTemplateList:new()
temp.monster1 = {}
temp.monster2 = {}
return temp
end)
function DefCopyMonsterTemplateList:parseOne()
local monster = DefCopyMonsterTemplateInfo:new()
monster:init(self._templateData)
if(monster.type == 1) then
self.monster1[monster.star] = monster
else
self.monster2[monster.star] = monster
end
end
function DefCopyMonsterTemplateList:getMonster(type,star)
if(type == 1) then
return self.monster1[star]
else
return self.monster2[star]
end
end
MonsterTemplateInfo = class("MonsterTemplateInfo",function(self)
local temp = {}
temp.monsterId = 0--模板IDint
temp.name = ""--怪物名称string
temp.face = 0 --怪物朝向
temp.headPath = ""--头像路径string
temp.picPath = ""--形象路径string
temp.monsterWidth = 0--宽度int
temp.monsterHeight = 0--高度int
temp.offsetX = 0--偏移X
temp.offsetY = 0--偏移Y
temp.scale = 1
temp.totalHp = 0
temp.sceneId = 0--所在地图IDint
temp.level = 0--等级int
temp.rndPoints = nil--挂机随机点CCPoint
temp.type = 0--怪物类型int
temp.isBoss = false--是否BOSSbool
temp.bornEffect = 0--出生特效int
temp.deadEffect = 0--死亡特效intsharedDirector
temp.recommendLevels = {}--推荐等级Vector.<int>
temp.titleId = 0
temp.mapPoints = {}--地图点Vector.<CCPoint>
--[[个位：0怪物形象，1NPC形象，2特效形象,3妖精形象,4采集物模型
十位：0能被击，1不能被击
百位：0能手动选中，1不能手动选中
千位：0能挂机选中，1不能挂机选中
万位：0显示名字，1不显示名字
十万位:0白色怪，1绿色怪，2蓝色怪，3紫色怪,4橙色怪
百万位:0:显示在小地图，1：不显示在小地图]]
temp.operateType = 0--类型int
temp.characterType = 0--形象类型int  0怪物形象，1伙伴形象，2特效形象,3妖精形象,4采集物模型
temp.canBeAttack = false--是否可被攻击bool
temp.canBeSelect = false--是否可被选择bool
temp.canBeAFKSelect = false--是否可被挂机选中bool
temp.showName = false--显示名字
temp.quality = 0--品质int
temp.showOnSmallMap = false--是否显示在小地图bool
temp.serverMonsterType = 0--服务器用到，客户端不需要，在攻击时传回给服务器 int
temp._descriptionId = ""--描述索引string
temp._description = ""--描述string
temp.hitPosY = 0
temp.defaultFigure = ""
return temp
end)
--param data:ByteArray
function MonsterTemplateInfo:init(data)
self.monsterId = data:readInt()
self.serverMonsterType = data:readByte()
self.name = data:readString()
self.picPath = data:readString()
-- self.picPath = 3000
self.totalHp = data:readNumber()
self.sceneId = data:readShort()
self.level = data:readShort()
local tmpPos = data:readString()
local pointList = globalManager.messageUtils:changeStrToPointList(tmpPos)
if(#pointList > 0) then
self.rndPoints = pointList[math.ceil(math.random()*#pointList)];
else
self.rndPoints = globalManager.ccCreator:newPoint(0,0);
end
self.monsterWidth = data:readInt()
self.monsterHeight = data:readInt()
if(self.monsterWidth == 0)then self.monsterWidth = 80 end
if(self.monsterHeight == 0)then self.monsterHeight = 100 end
self.offsetX = data:readShort()
self.offsetY = data:readShort()
self.scale = data:readShort() * 0.01
self._descriptionId = data:readString()
self.headPath = data:readInt()
self.bornEffect = data:readInt()
self.deadEffect = data:readInt()
self.titleId = tonumber(data:readString())
self.recommendLevels = globalManager.messageUtils:splitString(data:readString(),',')
self.mapPoints = globalManager.messageUtils:changeStrToPointList(data:readString())
self.operateType = data:readInt()
self.isBoss = data:readBoolean()
self.face = data:readByte()
self.hitPosY = data:readShort()
self.characterType = self.operateType % 10
self.canBeAttack = math.floor(self.operateType / 10) % 10 == 0
self.canBeSelect = math.floor(self.operateType / 100) % 10 == 0
self.canBeAFKSelect = math.floor(self.operateType / 1000) % 10 == 0
self.showName = math.floor(self.operateType / 10000) % 10 == 0
self.quality = math.floor(self.operateType / 100000) % 10
self.showOnSmallMap = math.floor(self.operateType / 1000000) % 10 == 0
self.defaultFigure = data:readString()
end
function MonsterTemplateInfo:getDefaultTemplate()
if(self.defaultFigure ~= "" and self.defaultFigure ~= "undefined" and self.defaultFigureTemplate == nil) then
self.defaultFigureTemplate = globalData.allTemplates.monsterTemplateList:getMonster(tonumber(self.defaultFigure))
end
return self.defaultFigureTemplate
end
function MonsterTemplateInfo:getPicPath()
if(globalData:isExtImageLoaded()) then
return self.picPath
else
local templateInfo = self:getDefaultTemplate()
if(templateInfo ~= nil) then
return templateInfo.picPath
else
return self.picPath
end
end
end
function MonsterTemplateInfo:getOffsetX()
if(globalData:isExtImageLoaded()) then
return self.offsetX
else
local templateInfo = self:getDefaultTemplate()
if(templateInfo ~= nil) then
return templateInfo.offsetX
else
return self.offsetX
end
end
end
function MonsterTemplateInfo:getOffsetY()
if(globalData:isExtImageLoaded()) then
return self.offsetY
else
local templateInfo = self:getDefaultTemplate()
if(templateInfo ~= nil) then
return templateInfo.offsetY
else
return self.offsetY
end
end
end
function MonsterTemplateInfo:getHitPosY()
if(globalData:isExtImageLoaded()) then
return self.hitPosY
else
local templateInfo = self:getDefaultTemplate()
if(templateInfo ~= nil) then
return templateInfo.hitPosY
else
return self.hitPosY
end
end
end
function MonsterTemplateInfo:getScale()
if(globalData:isExtImageLoaded()) then
return self.scale
else
local templateInfo = self:getDefaultTemplate()
if(templateInfo ~= nil) then
return templateInfo.scale
else
return self.scale
end
end
end
function MonsterTemplateInfo:getMonsterWidth()
if(globalData:isExtImageLoaded()) then
return self.monsterWidth
else
local templateInfo = self:getDefaultTemplate()
if(templateInfo ~= nil) then
return templateInfo.monsterWidth
else
return self.monsterWidth
end
end
end
function MonsterTemplateInfo:getMonsterHeight()
if(globalData:isExtImageLoaded()) then
return self.monsterHeight
else
local templateInfo = self:getDefaultTemplate()
if(templateInfo ~= nil) then
return templateInfo.monsterHeight
else
return self.monsterHeight
end
end
end
--##globalData.allTemplates.monsterTemplateList
MonsterTemplateList = class("MonsterTemplateList",function(self)
local temp = BaseTemplateList:new()
temp.mapMonsterList = {}--按地图分类的怪物列表map<int,Vector.<MonsterTemplateInfo>>
temp.afkMapMonsterIds = {}--按地图分类的挂机怪物列表map<int,Vector.<int>>
temp._monsterList = {}--怪物列表map<int,MonsterTemplateInfo>
return temp
end)
function MonsterTemplateList:parseOne()
local monster = MonsterTemplateInfo:new()
monster:init(self._templateData)
self._monsterList[monster.monsterId] = monster
if(self.mapMonsterList[monster.sceneId] == nil) then
self.mapMonsterList[monster.sceneId] = {}
end
if(self.afkMapMonsterIds[monster.sceneId] == nil) then
self.afkMapMonsterIds[monster.sceneId] = {}
end
if(monster.canBeAttack) then
if(monster.canBeAFKSelect) then
table.insert(self.afkMapMonsterIds[monster.sceneId],monster)
end
table.insert(self.mapMonsterList[monster.sceneId],monster)
end
end
--param id:int return MonsterTemplateInfo
function MonsterTemplateList:getMonster(id)
return self._monsterList[id]
end
function MonsterTemplateList:parsePreFrame()
return 100
end
--按地图获取怪物列表
--param mapId:int return Vector.<MonsterTemplateInfo>
function MonsterTemplateList:getMonstersByMapId(mapId)
return self.mapMonsterList[mapId]
end
--找出一只能挂机的最近的怪物模版
function MonsterTemplateList:getAAFKMonsterTemplate(selfPoint)
local dis = 100000
local list = self.afkMapMonsterIds[globalData.currentMapId]
local resultTemp = nil
local len = table.getn(list)
for i = 1,len,1 do
local temp = list[i]
local d = globalManager.commonUtils:getPointDistance(selfPoint,temp.rndPoints)
if(d < 3)then
return nil
end
if(d < dis)then
resultTemp = temp
dis = d
end
end
return resultTemp
end
MysticalShopTemplateInfo = class("MysticalShopTemplateInfo",function()
local temp     = {}
temp.templateId= 0
temp.vip       = 0
temp.itemList  = {}
temp.flag      = 0
temp.payType   = 0
temp.price     = 0
temp.rate      = 0
temp.beginTime = 0
temp.endTime   = 0
return temp
end)
function MysticalShopTemplateInfo:init(data)
self.templateId= data:readInt()
self.vip       = data:readByte()
self.itemList  = globalManager.messageUtils:changeStrToIntList(data:readString())
self.flag      = data:readInt()
self.payType   = data:readByte()
self.price     = data:readInt()
self.rate      = data:readShort()
self.beginTime = data:readInt()
self.endTime   = data:readInt()
end
MysticalShopTemplateList = class("MysticalShopTemplateList",function()
local temp = BaseTemplateList:new()
temp.list = {}
return temp
end)
function MysticalShopTemplateList:parseOne()
local info = MysticalShopTemplateInfo:new()
info:init(self._templateData)
table.insert(self.list,info)
end
function MysticalShopTemplateList:getTemplate(id)
local len = #self.list
for i = 1,len,1 do
if(self.list[i].templateId == id) then
return self.list[i]
end
end
return nil
end
NewlyGuildTemplateInfo = class("NewlyGuildTemplateInfo",function()
local ng = {}
ng.id = 0
ng.x = 0
ng.y = 0
ng.w = 0
ng.h = 0
ng.movieType = 0
ng.callbackType = 0
ng.nextId = 0
ng.param = {}--不定参数，可能为描述，或其他需要的参数
return ng
end)
function NewlyGuildTemplateInfo:init(data)
self.id = data:readInt()
self.x = data:readShort()
self.y = data:readShort()
self.w = data:readShort()
self.h = data:readShort()
self.movieType = data:readByte()
self.callbackType = data:readInt()
self.nextId = data:readInt()
self.param = globalManager.messageUtils:splitString(data:readString(),",")
end
NewlyGuildTemplateList = class("NewlyGuildTemplateList",function()
local ng = BaseTemplateList:new()
ng.newlyList = {}
return ng
end)
function NewlyGuildTemplateList:parseOne()
local info = NewlyGuildTemplateInfo:new()
info:init(self._templateData)
self.newlyList[info.id] = info
end
function NewlyGuildTemplateList:getTemplate(id)
return self.newlyList[id]
end
NewModuleLevelConfig = class("NewModuleLevelConfig", function(self)
local temp = {}
--日常
temp.dailyLevel = 40 --日常
temp.copyLevel = 42 --副本
temp.lianyuLevel = 43  --炼狱//等级修改
temp.materialLevel = 48  --材料
temp.expeditionLevel  = 43  --西行//等级修改
temp.defenedLevel = 48 --守护
temp.findTreasureLevel = 20 --宝藏秘境
temp.worldBossVipLevel = 45 --降妖//等级修改
temp.starcraftLevel    = 50 --群雄争霸
temp.chaosLevel        = 50 --混沌战场
temp.xianYuanLevel     = 50 --仙缘
temp.oathLevel     = 50 --结义
temp.home = 50 -- 家园
--挂机等级
temp.hangupLevel = 45
--炼器
temp.furnaceLevel = 30 --炼器
temp.strengthLevel = 30 --强化
temp.advancedLevel = 45 --进阶//等级修改
temp.wuhunLevel = 42 	--武魂
temp.rongluLevel = 45 --熔炉//等级修改
--仙器
temp.godLevel = 5--仙器
temp.weaponLevel = 55 --足迹
temp.wingLevel = 54 --翅膀
temp.spriteLevel = 56 --仙灵
temp.fazhenLevel = 57--法阵
temp.longhunLevel = 58--龙魂
--骑宠
temp.riderPetLevel = 32--骑宠
temp.petLevel = 52 --妖精
temp.riderLevel = 32 --坐骑
temp.clubLevel = 50 --帮派//等级修改
temp.rankLevel = 55 --排行榜//等级修改
temp.friendLevel = 45 --好友
temp.warLevel = 50 --竞技场//等级修改
temp.matterLevel = 40   --定时活动
temp.worldBossLevel = 45--世界BOSS//等级修改
temp.welfareLoginLevel = 20--7天登录
temp.welfareSignLevel = 20 --签到
temp.welfareExpExchangeLevel = 50--经验兑换
temp.welfareZhiZunLevel = 20--至尊会员
temp.arena1Level = 50--斗神殿
temp.arenaJumpLevel = 50--竞技场可跳
temp.openLevel = 25--开服
temp.shopLevel = 25--商城
temp.welfareLevel = 20 --福利
temp.plusDownloadLevel = 20 --扩展包下载
temp.plusShowLevel = 50 --扩展包图标
temp.toWestLevel = 45 --一路向西
temp.fightUpLevel = 50 --战力提升
temp.pet = 1 --妖精
temp.rider = 2 --坐骑
temp.daily = 3 --日常
temp.furnace = 4 --炼器
temp.club = 5 --帮派
temp.rank = 6 --排行榜
temp.war = 7 --战场
temp.weapon = 9 --仙器足迹
temp.wing = 10 --仙器翅膀
temp.sprite = 11 --仙器仙灵
temp.fazhen = 14--法阵
temp.longhun = 15--龙魂
temp.advanced = 16--进阶
temp.wuhun = 17--武魂
temp.zhuanpanLevel = 20--转盘
temp.giveGoldFriend = 55--赠送好友钻石
temp.payGiftLvel = 20 -- 充值好礼
temp.yuanbaoPanelLevel = 20 --充值转盘
temp.consumenGiftLevel = 20 --消费送礼
temp.crossBossLevel    = 50 --跨服boss
temp.cressRechargeRankLevel = 20 --跨服充值榜
temp.shenMiShopLevel        = 20 --神秘商店
temp.combinedActiveLevel    = 30 --合服活动
temp.newServerGift = 25 --新服大馈赠
temp.sanDaCopyLevel = 40 --三打白骨精副本
temp.arenaXHLevel = 50 --仙皇争霸1v1//等级修改
temp.onlineRewardLevel = 26 --炼丹炉（在线奖励）
temp.caozuoLevel = 50--显示不操作提示面板等级
temp.caozuoMaxLevel = 66--显示不操作提示面板最高等级
temp.skyHangupLevel = 50 --蟠桃仙境挂机等级
temp.privilegeLevel = 22 --特权开放等级
return temp
end)
NpcTemplateInfo = class("NpcTemplateInfo",function(self)
local temp = {}
temp.templateId = 0--IDint
temp.name = ""--名称string
temp.face = 1 --NPC朝向 1为默认，2为水平翻转
temp.funcName = ""--功能名称string
temp.picPath = ""--形象路径string
temp.mapId = 0--所在地图IDint
temp.sceneX = 0--坐标Xint
temp.sceneY = 0--坐标Yint
temp.triggers = {}--部署Vector.<TriggerInfo>
temp.rndPoints = nil--随机点CCPoint
temp.picWidth = 0--宽度int
temp.picHeight = 0--高度int
temp.offsetX = 0
temp.offsetY = 0
temp.scale = 1
temp.imagePath = ""--头像路径string
temp.shortName = ""--在小地图上的简称string
temp.titleId = 0--称号ID
temp.chatList = {}--头顶泡泡内容Vector.<string>
temp._dialogId = ""--弹窗对白索引string
temp._dialog = ""--弹窗对白string
--[[个位：0怪物形象，1NPC形象，2特效形象,3妖精形象,4采集物模型]]
temp.operateType = 0--类型int
temp.characterType = 0--形象类型int  0怪物形象，1NPC形象，2特效形象,3妖精形象,4采集物模型
temp.defaultFigure = ""
temp.defaultFigureTemplate = nil
temp.npcTalk = ""
return temp
end)
--param data:ByteArray
function NpcTemplateInfo:init(data)
self.templateId = data:readInt()
self.name = data:readString()
self.funcName = data:readString()
self.picPath = data:readString()
-- self.picPath = "100101"
self._dialogId = data:readString()
self.mapId = data:readShort()
self.sceneX = data:readShort()
self.sceneY = data:readShort()
local len = data:readInt()
for i = 1,len,1 do
local trigger = TriggerInfo:new()
trigger:init(data)
table.insert(self.triggers,trigger)
end
self.rndPoints = globalManager.messageUtils:changeStrToPoint(data:readString())
self.picWidth = data:readInt()
self.picHeight = data:readInt()
if(self.picWidth == 0)then self.picWidth = 80 end
if(self.picHeight == 0)then self.picHeight = 100 end
self.offsetX = data:readShort()
self.offsetY = data:readShort()
self.scale = data:readShort()*0.01
self.imagePath = data:readString()
--NPC朝向（客户端可去掉）
self.face = data:readByte()
self.shortName = data:readString()
self.titleId = tonumber(data:readString())
self.chatList = globalManager.messageUtils:splitString(data:readString(),'|')
self.defaultFigure = data:readString()
self.operateType = data:readInt()
self.npcTalk = data:readString()
self.characterType = self.operateType % 10
end
function NpcTemplateInfo:getDefaultTemplate()
if(self.defaultFigure ~= "" and self.defaultFigure ~= "undefined" and self.defaultFigureTemplate == nil) then
self.defaultFigureTemplate = globalData.allTemplates.npcTemplateList:getTemplate(tonumber(self.defaultFigure))
end
return self.defaultFigureTemplate
end
function NpcTemplateInfo:getPicPath()
if(globalData:isExtImageLoaded()) then
return self.picPath
else
local templateInfo = self:getDefaultTemplate()
if(templateInfo ~= nil) then
return templateInfo.picPath
else
return self.picPath
end
end
end
function NpcTemplateInfo:getOffsetX()
if(globalData:isExtImageLoaded()) then
return self.offsetX
else
local templateInfo = self:getDefaultTemplate()
if(templateInfo ~= nil) then
return templateInfo.offsetX
else
return self.offsetX
end
end
end
function NpcTemplateInfo:getOffsetY()
if(globalData:isExtImageLoaded()) then
return self.offsetY
else
local templateInfo = self:getDefaultTemplate()
if(templateInfo ~= nil) then
return templateInfo.offsetY
else
return self.offsetY
end
end
end
function NpcTemplateInfo:getScale()
if(globalData:isExtImageLoaded()) then
return self.scale
else
local templateInfo = self:getDefaultTemplate()
if(templateInfo ~= nil) then
return templateInfo.scale
else
return self.scale
end
end
end
function NpcTemplateInfo:getPicWidth()
if(globalData:isExtImageLoaded()) then
return self.picWidth
else
local templateInfo = self:getDefaultTemplate()
if(templateInfo ~= nil) then
return templateInfo.picWidth
else
return self.picWidth
end
end
end
function NpcTemplateInfo:getPicHeight()
if(globalData:isExtImageLoaded()) then
return self.picHeight
else
local templateInfo = self:getDefaultTemplate()
if(templateInfo ~= nil) then
return templateInfo.picHeight
else
return self.picHeight
end
end
end
--获取对话
--return string
function NpcTemplateInfo:getDialog()
if(self._dialog == "") then
self._dialog = globalManager.descriptManager:getDescript(self._dialogId)
end
if(self._dialog == "") then
return self._dialogId
end
return self._dialog
end
--##globalData.allTemplates.npcTemplateList
NpcTemplateList = class("NpcTemplateList",function(self)
local temp = BaseTemplateList:new()
temp.sceneNpcList = {}--按地图分类的NPC列表map<int,Vector.<NpcTemplateInfo>>
temp._npcList = {}--NPC列表map<int,NpcTemplateInfo>
return temp
end)
function NpcTemplateList:parseOne()
local npc = NpcTemplateInfo:new()
npc:init(self._templateData)
self._npcList[npc.templateId] = npc
if(self.sceneNpcList[npc.mapId] == nil) then
self.sceneNpcList[npc.mapId] = {}
end
if(npc.picPath ~= "0")then
table.insert(self.sceneNpcList[npc.mapId],npc)
end
end
--param id:int return NpcTemplateInfo
function NpcTemplateList:getNpc(id)
return self._npcList[id]
end
--按地图ID获取所有NPC
--param mapId:int return Vector<NpcTemplateInfo>
function NpcTemplateList:getNpcByScene(mapId)
return self.sceneNpcList[mapId]
end
function NpcTemplateList:fleshState()
for k,v in pairs(self._npcList) do
if(v ~= nil)then
v:fleshState()
end
end
end
OnlineRewardsTemplateInfo = class("OnlineRewardsTemplateInfo",function()
local temp = {}
temp.id = 0
temp.time = 0 --获取抽奖次数所需要的时间
temp.fee = 0 --钻石抽奖费用
temp.itemList = {}
temp.type = 0
temp.minLevel = 0
temp.maxLevel = 0
return temp
end)
function OnlineRewardsTemplateInfo:init(bytes)
self.id = bytes:readByte()
self.time = bytes:readInt()
self.fee = bytes:readShort()
self.itemList = globalManager.messageUtils:changeStrToIntList(bytes:readString())
self.type = bytes:readByte()
self.minLevel = bytes:readShort()
self.maxLevel = bytes:readShort()
end
OnlineRewardsTemplateList = class("OnlineRewardsTemplateList",function ()
local temp = BaseTemplateList:new()
temp.list = {}
temp.MAX_COUNT = 0
temp.minLevelList = {}
return temp
end)
function OnlineRewardsTemplateList:parseOne()
local item = OnlineRewardsTemplateInfo:new()
item:init(self._templateData)
self.list[item.id] = item
if(item.type == 1)then
table.insert(self.minLevelList,item.minLevel)
end
if(item.type > self.MAX_COUNT)then
self.MAX_COUNT = item.type
end
end
function OnlineRewardsTemplateList:getTemplate(id)
return self.list[id]
end
function OnlineRewardsTemplateList:getCurrentTemplate()
local list = {}
for __,info in pairs(self.list) do
if(info.minLevel <= globalData.selfPlayerInfo.level and info.maxLevel > globalData.selfPlayerInfo.level)then
table.insert(list,info)
end
end
return list[globalData.onlineRewardsInfo.num]
end
function OnlineRewardsTemplateList:getTemplateList()
local list = {}
for __,info in pairs(self.list) do
if(info.minLevel <= globalData.selfPlayerInfo.level and info.maxLevel > globalData.selfPlayerInfo.level)then
table.insert(list,info)
end
end
return list
end
OpenTemplateInfo = class("OpenTemplateInfo", function(self)
local temp = {}
temp.id = 0
--服务器用类型    客户端判断用
--1.充值2.消费3.妖精冲阶4.坐骑冲阶5.翅膀冲阶6.仙灵冲阶7.足迹冲阶28.龙魂冲阶
--29.法阵冲阶8.坐骑冲榜9.足迹冲榜10.翅膀冲榜11.妖精冲榜12.仙灵冲榜30.龙魂冲榜
--31.法阵冲榜13.坐骑全民14.翅膀全民15.妖精全民16.仙灵全民17.足迹全民32龙魂全民
--33.法阵全民20.充值人数27.消费40.坐骑进阶日41.足迹进阶日42.翅膀进阶日43.妖精进阶日44.仙灵进阶日45.龙魂进阶日46.法阵进阶日60.微会活动62.全民寻宝70.公测礼包
temp.type = 0
--客户端用类型    切卡分类用
--1.首充(特殊)2.充值3.消费4.妖精冲阶5.坐骑冲阶6.羽翼冲阶7.仙灵冲阶8.足迹冲阶
--21.法阵冲阶22.龙魂冲阶9.坐骑冲榜10.足迹冲榜11.羽翼冲榜12.妖精冲榜13.仙灵冲榜
--23.法阵冲榜24.龙魂冲榜14.全民送礼15.折扣16.兑换17.团购19.返还(特殊),25. 特卖场
--26.微会活动27.成长计划28.全民寻宝29.新服活动30.公测礼包31.坐骑进阶日32.足迹进阶日33.翅膀进阶日34.妖精进阶日35.仙灵进阶日36.龙魂进阶日37.法阵进阶日38冲榜送票39累充送票40双倍活动
temp.showType = 0
temp.begin = 0
temp.finish = 0
temp.beginData = 0
temp.finishData = 0
temp.weeks = 0
temp.reset = false
temp.count = 0
temp.agentIdList = "" --显示平台类型
temp.itemList = nil
temp.conditionList = nil
temp.showList = ""
temp.tabName  = ""
temp.deploy   = {}
temp.notice   = ""
return temp
end)
function OpenTemplateInfo:init(data)
self.id            = data:readInt()
self.type          = data:readShort()
self.showType      = data:readByte()
self.begin         = data:readShort()
self.finish        = data:readShort()
self.beginData     = data:readInt()
self.finishData    = data:readInt()
self.weeks         = data:readByte()
self.reset         = data:readBoolean()
self.count         = data:readShort()
self.agentIdList   = globalManager.messageUtils:splitString(data:readString(),",")
self.conditionList = data:readString()
self.itemList      = globalManager.messageUtils:changeStrToIntList(data:readString())
self.showList      = data:readString()
self.tabName       = data:readString()
local len          = data:readInt()
for i = 1,len,1 do
local trigger = TriggerInfo:new()
trigger:init(data)
table.insert(self.deploy,trigger)
end
self.notice       = data:readString()
end
OpenTemplateList = class("OpenTemplateList",function(self)
local temp = BaseTemplateList:new()
temp.list = {}
temp.allData = {}--当前开放活动模板数据
temp.openInfoList = {}--返利面板中的模板数据
temp.stageInfoList = {}--进阶返还活动模板数据（特殊）
temp.firstInfo = nil--首充活动模板数据（特殊）
temp.typeList = nil--开服切卡类型列表
temp.newServerGift = nil--新服大馈赠
temp.newServerSortFlag = false--新服大馈赠排序标记
temp.payCountGift = nil --充值好礼
temp.payCountGiftSortFlag = false--充值好礼排序标记
temp.isReadData = false --数据是否已经读取完了
return temp
end)
function OpenTemplateList:parseOne()
local item = OpenTemplateInfo:new()
item:init(self._templateData)
table.insert(self.list,item)
end
function OpenTemplateList:updateList()
self.allData = {}
self.openInfoList = {}
self.stageInfoList = {}
self.firstInfo = nil
self.typeList = {}
self.newServerGift = {}
self.newServerSortFlag = true
self.payCountGift = {}
self.payCountGiftSortFlag = true
local systemTime = math.floor(globalData.systemDateInfo:getSystemTime() / 1000)
for __,info in pairs(self.list) do
if(info.showType == 28 or info.showType == 39 or info.showType == 42 or info.showType == 44 or info.showType == 45)then --设置后台开启
if(globalManager.commonUtils:getIndexOfTable(self.typeList,info.showType) == -1) then
table.insert(self.typeList,info.showType)
end
table.insert(self.openInfoList,info)
else
local beginSecond = globalData.systemDateInfo:getOpenDay(info.begin)
local finishSecond = globalData.systemDateInfo:getOpenDay(info.finish)
print(info.showType,systemTime,info.finishData,info.beginData)
if(finishSecond > systemTime and beginSecond <= systemTime)then
if(info.weeks >= 1)then
table.insert(self.allData,info)
local openTime = globalData.openTime
local systemTime = math.floor(globalData.systemDateInfo:getSystemTime() / 1000)
local openDay = math.ceil((systemTime - openTime) / (3600 * 24))
if(((openDay-1) % 7) + 1 == info.weeks)then
if(globalManager.commonUtils:getIndexOfTable(self.typeList,info.showType) == -1) then
table.insert(self.typeList,info.showType)
end
table.insert(self.openInfoList,info)
end
elseif(info.finishData > systemTime and info.beginData <= systemTime and (#info.agentIdList == 0 or (globalManager.commonUtils:getIndexOfTable(info.agentIdList,globalData.agentId.."_"..globalData.childChannel) > 0))) then
table.insert(self.allData,info)
if(info.showType == 19)then
table.insert(self.stageInfoList,info)
elseif(info.showType == 1) then
self.firstInfo = info
elseif((info.showType > 1 and info.showType < 28) or info.showType == 30 or info.showType == 40 or info.showType == 41) then
if(globalManager.commonUtils:getIndexOfTable(self.typeList,info.showType) == -1) then
table.insert(self.typeList,info.showType)
end
table.insert(self.openInfoList,info)
elseif info.showType == 29 then
table.insert(self.newServerGift, info)
elseif info.showType == 43 then
table.insert(self.payCountGift, info)
end
end
end
end
end
self.isReadData = true
end
--获取新服大馈赠模板信息，[模板表],[是否开启]
function OpenTemplateList:getNewServerGiftList()
if self.newServerGift == nil then
self:updateList()
end
if self.newServerGift ~= nil and #self.newServerGift > 0 then
if self.newServerSortFlag then
self.newServerSortFlag = false
local sortFunc = function(info1,info2)
return tonumber(info1.conditionList) < tonumber(info2.conditionList)
end
table.sort(self.newServerGift, sortFunc)
end
return self.newServerGift, true
else
return {}, false
end
end
--获取充值好礼模板信息，[模板表],[是否开启]
-- function OpenTemplateList:getPayCountGiftList()
-- 	if(globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.payGiftLvel)then
-- 		return {}, false
-- 	end
-- 	if self.payCountGift == nil then
-- 		self:updateList()
-- 	end
-- 	if self.payCountGift ~= nil and #self.payCountGift > 0 then
-- 		if self.payCountGiftSortFlag then
-- 			self.payCountGiftSortFlag = false
-- 			local sortFunc = function(info1,info2)
-- 		        return tonumber(info1.conditionList) < tonumber(info2.conditionList)
-- 		    end
-- 			table.sort(self.payCountGift, sortFunc)
-- 		end
-- 		return self.payCountGift, true
-- 	else
-- 		return {}, false
-- 	end
-- end
function OpenTemplateList:clearAllData()
self.newServerGift = nil--新服大馈赠
self.newServerSortFlag = false--新服大馈赠排序标记
self.payCountGift = nil --充值好礼
self.payCountGiftSortFlag = false--充值好礼排序标记
end
OperateActiveTemplateList = class("OperateActiveTemplateList",function(self)
local temp = BaseTemplateList:new()
temp.list = {}
return temp
end)
function OperateActiveTemplateList:parseOne()
local item = OperateActiveTemplateInfo:new()
item:init(self._templateData)
table.insert(self.list,item)
end
function OperateActiveTemplateList:getTemplateByType(type)
for __,info in pairs(self.list) do
if(info.type == type)then
return info
end
end
return nil
end
function OperateActiveTemplateList:isCanShow()
for _, info in pairs(self.list) do
local systemTime = globalData.systemDateInfo:getSystemTime()
local acvitionEndTime = info.finishData * 1000
local acvitionStartTime = info.beginData * 1000
local remainTime1 = acvitionEndTime - systemTime
local seconds = globalData.systemDateInfo:getOpenDay(info.finish)
local startseconds = globalData.systemDateInfo:getOpenDay(info.begin)
local remainTime2 = seconds - systemTime
if(remainTime1 > 0 and remainTime2 > 0) and (acvitionStartTime <= systemTime) and (startseconds <= systemTime) then
return true
end
end
return false
end
OperateActiveTemplateInfo = class("OperateActiveTemplateInfo", function(self)
local temp = {}
temp.id = 0
temp.type = 0
temp.minLeve = 0
temp.maxLeve = 0
temp.begin = 0
temp.finish = 0
temp.beginData = 0
temp.finishData = 0
temp.depoly = {}  --部署
temp.name = nil
temp.itemList = nil
temp.conditionList = nil
return temp
end)
function OperateActiveTemplateInfo:init(data)
self.id = data:readByte()
self.type = data:readShort()
self.maxLeve = data:readByte()
self.minLeve = data:readByte()
self.begin = data:readShort()
self.finish = data:readShort()
self.beginData = data:readInt()
self.finishData = data:readInt()
self.itemList = globalManager.messageUtils:changeStrToIntList(data:readString())
local len = data:readInt()
for i = 1,len,1 do
local trigger = TriggerInfo:new()
trigger:init(data)
table.insert(self.depoly,trigger)
end
self.conditionList = data:readString()
--print("####FUCK","self.begin",self.begin,"self.finish",self.finish,"self.beginData",self.beginData,"self.finishData",self.finishData)
end
PartnerEquipTemplateInfo = class("PartnerEquipTemplateInfo",function()
local temp = {}
temp.id       = 0
temp.place    = 0   --项链,手镯,戒指,护符,衣服,手套,护腿,鞋子
temp.itemList = {}
temp.baseAttrList = {}
return temp
end)
function PartnerEquipTemplateInfo:init(data)
self.id       = data:readInt()
self.place    = data:readByte()
self.itemList = globalManager.messageUtils:splitString(data:readString(),"#")
self.baseAttrList = globalManager.messageUtils:parseProperty(data:readString())
end
PartnerEquipTemplateList = class("PartnerEquipTemplateList",function()
local temp = BaseTemplateList:new()
temp.list = {}
return temp
end)
function PartnerEquipTemplateList:parseOne()
local info = PartnerEquipTemplateInfo:new()
info:init(self._templateData)
table.insert(self.list,info)
end
function PartnerEquipTemplateList:getTemplate(id,place)
for index,info in pairs(self.list) do
if(info.id == id and info.place == place) then
return info
end
end
return nil
end
PartnerRatioTemplateInfo = class("PartnerRatioTemplateInfo",function()
local temp = {}
temp.level    = 0
temp.type     = 0
temp.ratio    = 0
return temp
end)
function PartnerRatioTemplateInfo:init(data)
self.level    = data:readByte()
self.type     = data:readByte()
self.ratio    = data:readShort()
end
PartnerRatioTemplateList = class("PartnerRatioTemplateList",function()
local temp = BaseTemplateList:new()
temp.list = {}
return temp
end)
function PartnerRatioTemplateList:parseOne()
local info = PartnerRatioTemplateInfo:new()
info:init(self._templateData)
table.insert(self.list,info)
end
function PartnerRatioTemplateList:getTemplate(level,type)
local len = #self.list
for i = 1,len,1 do
if(self.list[i].type == type and self.list[i].level == level) then
return self.list[i]
end
end
return nil
end
PartnerSkillTemplateInfo = class("PartnerSkillTemplateInfo",function()
local temp = {}
temp.skillId  = 0
temp.itemList = {} --技能提升消耗
return temp
end)
function PartnerSkillTemplateInfo:init(data)
self.skillId  = data:readInt()
self.itemList = globalManager.messageUtils:changeStrToIntList(data:readString())
end
PartnerSkillTemplateList = class("PartnerSkillTemplateList",function()
local temp = BaseTemplateList:new()
temp.list = {}
return temp
end)
function PartnerSkillTemplateList:parseOne()
local info = PartnerSkillTemplateInfo:new()
info:init(self._templateData)
table.insert(self.list,info)
end
function PartnerSkillTemplateList:getTemplate(id)
local len = #self.list
for i = 1,len,1 do
if(self.list[i].skillId == id) then
return self.list[i]
end
end
return nil
end
PartnerTemplateInfo = class("PartnerTemplateInfo",function()
local temp = {}
temp.id       = 0
temp.level    = 0--激活限制等级
temp.name = ""
temp.skillId  = {}--技能Id数组
temp.itemList = {}
temp.atrrList = {}--基础属性
temp.depoly   = {}
temp.picPath = nil
temp.offsetX = 0
temp.offsetY = 0
temp.scale = 1
temp.picWidth = 0
temp.picHeight = 0
temp.showPath = ""
temp.defaultFigure = ""
temp.showX = 0
temp.showY = 0
temp.showScale = 1
return temp
end)
function PartnerTemplateInfo:init(data)
self.id       = data:readInt()
self.level    = data:readInt()
self.name = data:readString()
self.skillId  = globalManager.messageUtils:splitStringToInt(data:readString(),",")
self.itemList = globalManager.messageUtils:splitStringToInt(data:readString(),",")
self.atrrList = globalManager.messageUtils:parseProperty(data:readString())
local len = data:readInt()
for i = 1,len,1 do
local trigger = TriggerInfo:new()
trigger:init(data)
table.insert(self.depoly,trigger)
end
self.offsetX = data:readShort()
self.offsetY = data:readShort()
self.scale = data:readShort()*0.01
self.picWidth = data:readShort()
self.picHeight = data:readShort()
self.picPath = data:readString()
self.showPath = data:readString()
self.defaultFigure = data:readString()
self.showX = data:readShort()
self.showY = data:readShort()
self.showScale = data:readShort()*0.01
end
function PartnerTemplateInfo:getDefaultTemplate()
if(self.defaultFigure ~= "" and self.defaultFigure ~= "undefined" and self.defaultFigureTemplate == nil) then
self.defaultFigureTemplate = globalData.allTemplates.partnerTemplateList:getTemplate(tonumber(self.defaultFigure))
end
return self.defaultFigureTemplate
end
function PartnerTemplateInfo:getPicPath()
if(globalData:isExtImageLoaded()) then
return self.picPath
else
local templateInfo = self:getDefaultTemplate()
if(templateInfo ~= nil) then
return templateInfo.picPath
else
return self.picPath
end
end
end
function PartnerTemplateInfo:getShowPath()
if(globalData:isExtImageLoaded()) then
return self.showPath
else
local templateInfo = self:getDefaultTemplate()
if(templateInfo ~= nil) then
return templateInfo.showPath
else
return self.showPath
end
end
end
function PartnerTemplateInfo:getOffsetX()
if(globalData:isExtImageLoaded()) then
return self.offsetX
else
local templateInfo = self:getDefaultTemplate()
if(templateInfo ~= nil) then
return templateInfo.offsetX
else
return self.offsetX
end
end
end
function PartnerTemplateInfo:getOffsetY()
if(globalData:isExtImageLoaded()) then
return self.offsetY
else
local templateInfo = self:getDefaultTemplate()
if(templateInfo ~= nil) then
return templateInfo.offsetY
else
return self.offsetY
end
end
end
function PartnerTemplateInfo:getScale()
if(globalData:isExtImageLoaded()) then
return self.scale
else
local templateInfo = self:getDefaultTemplate()
if(templateInfo ~= nil) then
return templateInfo.scale
else
return self.scale
end
end
end
function PartnerTemplateInfo:getPicWidth()
if(globalData:isExtImageLoaded()) then
return self.picWidth
else
local templateInfo = self:getDefaultTemplate()
if(templateInfo ~= nil) then
return templateInfo.picWidth
else
return self.picWidth
end
end
end
function PartnerTemplateInfo:getPicHeight()
if(globalData:isExtImageLoaded()) then
return self.picHeight
else
local templateInfo = self:getDefaultTemplate()
if(templateInfo ~= nil) then
return templateInfo.picHeight
else
return self.picHeight
end
end
end
PartnerTemplateList = class("PartnerTemplateList",function()
local temp = BaseTemplateList:new()
temp.list = {}
return temp
end)
function PartnerTemplateList:parseOne()
local info = PartnerTemplateInfo:new()
info:init(self._templateData)
table.insert(self.list,info)
end
function PartnerTemplateList:getTemplate(id)
local len = #self.list
for i = 1,len,1 do
if(self.list[i].id == id) then
return self.list[i]
end
end
return nil
end
--伙伴进阶表
PartnerUpTemplateInfo = class("PartnerUpTemplateInfo",function()
local temp = {}
temp.state = 0  --伙伴品阶
temp.equipLevel = 0  --装备等级
temp.needCount = 0  --需要的数量
return temp
end)
function PartnerUpTemplateInfo:init(data)
self.state = data:readShort()
self.equipLevel = data:readShort()
self.needCount = data:readShort()
end
PartnerUpTemplateList = class("PartnerUpTemplateList",function()
local temp = BaseTemplateList:new()
temp.list = {}
return temp
end)
function PartnerUpTemplateList:parseOne()
local info = PartnerUpTemplateInfo:new()
info:init(self._templateData)
table.insert(self.list,info)
end
function PartnerUpTemplateList:getTemplate(state)
local len = #self.list
for i = 1,len,1 do
if(self.list[i].state == state) then
return self.list[i]
end
end
return nil
end
PayItemInfo = class("PayItemInfo",function()
local pt = {}
pt.template = nil
return pt
end)
PayItemList = class("PayItemList",function()
local pt = EventDispatcher:new()
pt.payList = {}
pt.payCountGiftInfo = {}
return pt
end)
function PayItemList:addItem(money)
print("已充值",money)
--服务端发过来的是钻石数, 除以10就是
money = money / 10
local tempList = globalData.allTemplates.payTemplateList.payList
local tmp = nil
local len = table.getn(tempList)
for i = 1,len,1 do
if(tempList[i].money == money)then
tmp = tempList[i]
break
end
end
if(tmp ~= nil)then
local item = PayItemInfo:new()
item.template = tmp
item.id = tmp.id
self.payList[item.id] = item
end
end
function PayItemList:getItem(templateId)
return self.payList[templateId]
end
function PayItemList:setPayCountGiftInfo(data)
self.payCountGiftInfo.chargeValue = data:readInt()
self.payCountGiftInfo.templateId = data:readInt()
local len = data:readByte()
self.payCountGiftInfo.awardlist = {}
for i=1,len do
table.insert(self.payCountGiftInfo.awardlist,data:readByte())
end
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_rechargeCountInfo))
end
function PayItemList:clearAllDatas()
self.payList = {}
self.payCountGiftInfo = {}
end
PayTemplateInfo = class("PayTemplateInfo", function()
local self = {}
self.id            = 0
self.type          = 0
self.money         = 0
self.yuanbao       = 0
self.gift_yuanbao  = 0
self.first_yuanbao = 0
self.sort          = 0
self.pic           = nil
self.monthCardType = 0
self.name          = nil
self.describe      = nil
self.returnNum      = nil
self.productId     = nil
return self
end)
function PayTemplateInfo:init(data)
self.id            = data:readInt()
self.type          = data:readByte()
self.money         = data:readInt()
self.yuanbao       = data:readInt()
self.gift_yuanbao  = data:readInt()
self.first_yuanbao = data:readInt()
self.sort          = data:readInt()
self.pic           = data:readString()
self.monthCardType = data:readByte()
self.name          = data:readString()
self.describe      = globalManager.messageUtils:splitString(data:readString(),"#")
self.returnNum     = data:readInt()
self.productId     = data:readString()
end
PayTemplateList = class("PayTemplateList", function()
local self = BaseTemplateList:new()
self.payList = {}
return self
end)
function PayTemplateList:parseOne()
local item = PayTemplateInfo:new()
item:init(self._templateData)
self.payList[item.sort] = item
end
PayCountGiftTemplateInfo = class("PayCountGiftTemplateInfo", function()
local self = {}
self.id            = 0
self.startDay      = 0--开始时间（天数）
self.endDay        = 0--结束时间（天数）
self.minCharge     = 0--最低充值数
self.maxCharge     = 0--最高充值数
self.conditionList = {} --充值档次 如：{1,6|2,30|3,50}
self.awardList    = {}
return self
end)
function PayCountGiftTemplateInfo:init(data)
self.id        = data:readInt()
self.startDay  = data:readShort()
self.endDay    = data:readShort()
self.minCharge = data:readShort()
self.maxCharge = data:readShort()
local intList = globalManager.messageUtils:splitString(data:readString(),'|')
for i, v in ipairs(intList) do
if(v ~= "") then
local tab = globalManager.messageUtils:splitStringToInt(v,",")
self.conditionList[tab[1]] = tab[2]
end
end
for i = 1,3 do
table.insert(self.awardList,globalManager.messageUtils:changeStrToIntList(data:readString()))
end
end
PayCountGiftTemplateList = class("PayCountGiftTemplateList", function()
local self = BaseTemplateList:new()
self.list = {}
return self
end)
function PayCountGiftTemplateList:parseOne()
local item = PayCountGiftTemplateInfo:new()
item:init(self._templateData)
table.insert(self.list,item)
end
function PayCountGiftTemplateList:getCurTemplate()
local chargeValue = globalData.selfPlayerInfo.moneyInfo.chargeValue
local openTime = globalData.openTime
local systemTime = math.floor(globalData.systemDateInfo:getSystemTime() / 1000)
local oepnDays = globalData.systemDateInfo:getBetweenTimeDay(openTime * 1000,systemTime * 1000) + 1
for __,info in pairs(self.list) do
if(oepnDays >= info.startDay and oepnDays < info.endDay and info.minCharge <= chargeValue and info.maxCharge > chargeValue)then
return info
end
end
return nil
end
function PayCountGiftTemplateList:getTemplateInfoById(id)
for k, v in ipairs(self.list) do
if(v.id == id)then
return v
end
end
end
PeiShiTemplateInfo = class("PeiShiTemplateInfo",function(self)
local temp = {}
temp.id = 0
temp.name = ""
temp.needItemId = 0
temp.needItemCount = 0
temp.propertys = {}
temp.needXianYuanLevel = 0
temp.needQinmiCount = 0
temp.showPath = ""
return temp
end)
function PeiShiTemplateInfo:init(data)
self.id = data:readByte()
local needitemTab = globalManager.messageUtils:splitStringToInt(data:readString(),",")
self.needItemId = needitemTab[1]
self.needItemCount = needitemTab[2]
self.propertys = globalManager.messageUtils:parseProperty(data:readString())
self.name = data:readString()
self.needXianYuanLevel = data:readShort()
self.showPath = data:readString()
self.needQinmiCount = data:readShort()
end
PeiShiTemplateList = class("PeiShiTemplateList", function(self)
local temp = BaseTemplateList:new()
temp.list = {}
temp.peiShiMaxLevel = 50
return temp
end)
function PeiShiTemplateList:parseOne()
local info = PeiShiTemplateInfo:new()
info:init(self._templateData)
table.insert(self.list,info)
end
PetItemInfo = class("PetItemInfo",function()
local pt = BaseXiaofeiItemInfo:new()
pt.__clearAllData = pt.clearAllData
pt.combat = 0--战力
pt._afkSkills = {}
--妖精默认挂机技能
pt.defaultSkillInfo = SkillItemInfo:new()
pt.defaultSkillInfo.templateId = 3105
pt.defaultSkillInfo.level = 1
return pt
end)
function PetItemInfo:setStage(value)
if(self.stage == value)then
return
end
self.stage = value
self.template = globalData.allTemplates.petTemplateList:getTemplate(self.stage)
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_petTemplate,self))
if(self.stage == 1) then
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_addPet,self))
end
end
function PetItemInfo:setHuanHua(stage)
if(self.huanhua == stage) then return end
self:setHuanHuaStage(stage)
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_petHuanhua,self))
end
function PetItemInfo:updateInfo(data)
self:setStage(data:readShort())
self:updateBaseInfo(data)
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_petInfo,self,self))
end
function PetItemInfo:updateTalentInfo(data)
self:setTalentInfo(data)
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_petTalentUpdate,self))
end
function PetItemInfo:setHuaXing(data)
self:setHuaXingInfo(data)
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_petHuaXing,self,1))
end
function PetItemInfo:setJinhuaInfo(data)
self:setJinhuaInfoInfo(data)
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_petJinHua,self,1))
end
--获取妖精技能列表 Vector.<SkillItemInfo>
function PetItemInfo:getPetAFKSkill()
local len = table.getn(self._afkSkills)
local skill = nil
for i = 1,len,1 do
skill = self._afkSkills[i]
if(skill:getCanAFKUse())then
break
end
skill = nil
end
return skill
end
function PetItemInfo:getAfkSkills()
return self._afkSkills
end
function PetItemInfo:initAFKSkills()
if(self._afkSkills ~= nil)then
local len = table.getn(self._afkSkills)
for i = 1,len,1 do
self._afkSkills[i]:dispose()
end
end
self._afkSkills = {}
if(self.stage > 0)then
local petTemplateInfo = globalData.allTemplates.petTemplateList:getTemplate(self.stage)
local skillIdList = petTemplateInfo.skillId
for i = 1,#skillIdList,1 do
local skillId = skillIdList[i]
if(skillId ~= self.defaultSkillInfo.templateId and skillId > 0)then
local skill = globalData.allTemplates.skillTemplateList:getSkillTemplate(petTemplateInfo.skillId)
if(skill ~= nil and skill and skill:isAttack() and skill:isActive())then
local skillItem = SkillItemInfo:new()
skillItem.templateId = petTemplateInfo.skillId
skillItem.level = 1
table.insert(self._afkSkills,skillItem)
end
end
end
end
end
function PetItemInfo:setAFKSkillToBack(skill)
local len = table.getn(self._afkSkills)
local doInsert = false
for i = 1,len,1 do
if(self._afkSkills[i] == skill)then
table.remove(self._afkSkills,i)
doInsert = true
break
end
end
if(doInsert)then
table.insert(self._afkSkills,skill)
end
end
function PetItemInfo:getPetDefaultSkill()
return self.defaultSkillInfo
end
function PetItemInfo:clearAllData()
self:__clearAllData()
end
PetTemplateInfo = class("PetTemplateInfo",function()
local pt = {}
pt.templateId = 0
pt.maxQianNeng = 0 --潜能上限
pt.maxChengZhang = 0 --成长上限
pt.maxFeiSheng = 0 --飞升丹上限
pt.skillId = {}
pt.name = nil
pt.baseAttrs = {}
pt.picPath = nil
pt.offsetX = 0
pt.offsetY = 0
pt.scale = 1
pt.picWidth = 0
pt.picHeight = 0
pt.quality = 0
pt.showPath = ""
pt.upStarTime = 0
pt.defaultFigure = ""
pt.discount = 0
pt.positionX = 0
pt.positionY = 0
return pt
end)
function PetTemplateInfo:init(bytes)
self.templateId = bytes:readInt()
self.upStarTime = bytes:readInt()
self.maxQianNeng = bytes:readShort()
self.maxChengZhang = bytes:readShort()
self.maxFeiSheng = bytes:readShort()
self.skillId = globalManager.messageUtils:splitStringToInt(bytes:readString(),",")
self.name = bytes:readString()
self.baseAttrs = globalManager.messageUtils:parseProperty(bytes:readString())
self.picPath = bytes:readString()
self.offsetX = bytes:readShort()
self.offsetY = bytes:readShort()
self.scale = bytes:readShort()*0.01
self.picWidth = bytes:readShort()
self.picHeight = bytes:readShort()
self.quality = bytes:readByte()
self.showPath = bytes:readString()
self.defaultFigure = bytes:readString()
self.discount = bytes:readInt()*0.01
self.positionX = bytes:readShort()
self.positionY = bytes:readShort()
end
function PetTemplateInfo:getDefaultTemplate()
if(self.defaultFigure ~= "" and self.defaultFigure ~= "undefined" and self.defaultFigureTemplate == nil) then
self.defaultFigureTemplate = globalData.allTemplates.petTemplateList:getTemplate(tonumber(self.defaultFigure))
end
return self.defaultFigureTemplate
end
function PetTemplateInfo:getPicPath()
if(globalData:isExtImageLoaded()) then
return self.picPath
else
local templateInfo = self:getDefaultTemplate()
if(templateInfo ~= nil) then
return templateInfo.picPath
else
return self.picPath
end
end
end
function PetTemplateInfo:getShowPath()
if(globalData:isExtImageLoaded()) then
return self.showPath
else
local templateInfo = self:getDefaultTemplate()
if(templateInfo ~= nil) then
return templateInfo.showPath
else
return self.showPath
end
end
end
function PetTemplateInfo:getOffsetX()
if(globalData:isExtImageLoaded()) then
return self.offsetX
else
local templateInfo = self:getDefaultTemplate()
if(templateInfo ~= nil) then
return templateInfo.offsetX
else
return self.offsetX
end
end
end
function PetTemplateInfo:getOffsetY()
if(globalData:isExtImageLoaded()) then
return self.offsetY
else
local templateInfo = self:getDefaultTemplate()
if(templateInfo ~= nil) then
return templateInfo.offsetY
else
return self.offsetY
end
end
end
function PetTemplateInfo:getScale()
if(globalData:isExtImageLoaded()) then
return self.scale
else
local templateInfo = self:getDefaultTemplate()
if(templateInfo ~= nil) then
return templateInfo.scale
else
return self.scale
end
end
end
function PetTemplateInfo:getPicWidth()
if(globalData:isExtImageLoaded()) then
return self.picWidth
else
local templateInfo = self:getDefaultTemplate()
if(templateInfo ~= nil) then
return templateInfo.picWidth
else
return self.picWidth
end
end
end
function PetTemplateInfo:getEffPosition()
if(globalData:isExtImageLoaded()) then
return self.positionX, self.positionY
else
local templateInfo = self:getDefaultTemplate()
if(templateInfo ~= nil) then
return templateInfo.positionX, templateInfo.positionY
else
return self.positionX, self.positionY
end
end
end
function PetTemplateInfo:getPicHeight()
if(globalData:isExtImageLoaded()) then
return self.picHeight
else
local templateInfo = self:getDefaultTemplate()
if(templateInfo ~= nil) then
return templateInfo.picHeight
else
return self.picHeight
end
end
end
PetTemplateList = class("PetTemplateList",function()
local pt = BaseTemplateList:new()
pt.list = {}
return pt
end)
function PetTemplateList:parseOne()
local item = PetTemplateInfo:new()
item:init(self._templateData)
self.list[item.templateId] = item
end
function PetTemplateList:getTemplate(templateId)
return self.list[templateId]
end
PetExpTemplateInfo = class("PetExpTemplateInfo",function()
local pt = {}
pt.templateId = 0
pt.baseAttrs = {}
return pt
end)
function PetExpTemplateInfo:init(bytes)
self.templateId = bytes:readInt()
self.baseAttrs = globalManager.messageUtils:parseProperty(bytes:readString())
end
PetExpTemplateList = class("PetExpTemplateList",function()
local pt = BaseTemplateList:new()
pt.list = {}
return pt
end)
function PetExpTemplateList:parseOne()
local item = PetExpTemplateInfo:new()
item:init(self._templateData)
table.insert(self.list, item)
end
function PetExpTemplateList:getTemplate(templateId)
for __,item in pairs(self.list) do
if(item.templateId == templateId)then
return item
end
end
return nil
end
PopupWindowTemplateInfo = class("PopupWindowTemplateInfo", function(self)
local temp = {}
temp.id = 0
temp.type = 0
temp.begin = 0
temp.finish = 0
temp.beginData = 0
temp.finishData = 0
return temp
end)
function PopupWindowTemplateInfo:init(data)
self.id = data:readInt()
self.begin = data:readInt()
self.finish = data:readInt()
self.beginData = data:readInt()
self.finishData = data:readInt()
self.type = data:readByte()
end
function PopupWindowTemplateInfo:getPopupFlag()
local systemTime = math.floor(globalData.systemDateInfo:getSystemTime() / 1000)
local beginSecond = globalData.systemDateInfo:getOpenDay(self.begin)
local finishSecond = globalData.systemDateInfo:getOpenDay(self.finish)
if(self.finishData > systemTime and self.beginData <= systemTime and finishSecond > systemTime and beginSecond <= systemTime) then
return true
else
return false
end
end
PopupWindowTemplateList = class("PopupWindowTemplateList",function(self)
local temp = BaseTemplateList:new()
temp.list = {}
return temp
end)
function PopupWindowTemplateList:parseOne()
local item = PopupWindowTemplateInfo:new()
item:init(self._templateData)
table.insert(self.list,item)
end
function PopupWindowTemplateList:getTempList()
local result = {}
for _, v in ipairs(self.list) do
if(v:getPopupFlag())then
table.insert(result,v)
end
end
return result
end
PrivilegeTemplateInfo = class("PrivilegeTemplateInfo", function(self)
local temp = {}
temp.id = 0
temp.type = 0
temp.awardList = {}
temp.qqDesc = ""
temp.textDesc = ""
temp.phoneDesc = ""
return temp
end)
function PrivilegeTemplateInfo:ctor()
end
function PrivilegeTemplateInfo:init(data)
self.id = data:readInt()
self.type = data:readInt()
self.awardList = globalManager.messageUtils:changeStrToIntList(data:readString())
self.qqDesc = data:readString()
self.phoneDesc = data:readString()
self.textDesc = data:readString()
end
PrivilegeTemplateList = class("PrivilegeTemplateList",function(self)
local temp = BaseTemplateList:new()
temp.list = {}
return temp
end)
function PrivilegeTemplateList:parseOne()
local item = PrivilegeTemplateInfo:new()
item:init(self._templateData)
table.insert(self.list,item)
end
function PrivilegeTemplateList:getTempByType(type)
for _, v in ipairs(self.list) do
if(v.type == type)then
return v
end
end
end
ShamTemplateInfo = class("ShamTemplateInfo", function(self)
local temp = {}
temp.showType  = 0
temp.count     = 0
temp.condition = 0
return temp
end)
function ShamTemplateInfo:init(data)
self.showType  = data:readByte()
self.count     = data:readInt()
self.condition = data:readByte()
end
ShamTemplateList = class("ShamTemplateList",function(self)
local temp = BaseTemplateList:new()
temp.list = {}
return temp
end)
function ShamTemplateList:parseOne()
local item = ShamTemplateInfo:new()
item:init(self._templateData)
table.insert(self.list,item)
end
function ShamTemplateList:getTemplateByShowtype(showType,condition)
for __,info in pairs(self.list) do
if(info.showType == showType and info.condition == tonumber(condition))then
return info
end
end
return nil
end
--优惠商城数据
ShopDealsInfo = class("ShopDealsInfo", function(self)
local temp = EventDispatcher:new()
temp.list = {} -- Vector.<ShopDealsItemInfo>
return temp
end)
function ShopDealsInfo:updateList(list)
self.list = list
end
function getDealsItem(id)
for k,v in pairs(self.list) do
if(v.id == id)then
return v
end
end
return nil
end
--废弃类，暂未删除
ShopDealsItemInfo = class("ShopDealsItemInfo", function(self)
local temp = {}
temp.id = 0
temp.shopType = 0 --1优惠商城，2神秘商城
temp.goodsTemplateId = 0 --物品模板Id
temp.payType = 0 --消费类型，0:所有铜币 1：铜币 2：绑定铜币 3：非绑铜币
temp.price = 0	--原价
temp.oldPrice = 0		--现价
temp.dealsLeftTime = 0	--剩余时间
temp.dealsLeftCount = 0	--剩余数量
temp.tagType = 0			--商品标签：0,无；1，新品；2，热卖;3,抢购
temp.canBuyCount = 0		--还能购买的数量
temp.needLevel = 0			--需要等级
return temp
end)
function ShopDealsItemInfo:init(data)
self.id = data:readInt()
self.mallType = data:readByte()
self.goodsTemplateId = data:readInt()
self.payType = data:readInt()
self.price = data:readInt()
self.oldPrice = data:readInt()
self.dealsLeftTime = data:readInt()
self.dealsLeftCount = data:readInt()
self.tagType = data:readByte()
self.canBuyCount = data:readShort()
end
ShopGoodsTemplateInfo = class("ShopGoodsTemplateInfo", function(self)
local temp = {}
temp.shopType = 0 --商城类型,此值是通过ShopListTemplateInfo传递，不读模板表
temp.shopId = 0 --商城ID
temp.goodsTemplateId = 0 --物品ID
--[[
payType 消费类型说明
0=绑定金币
1=钻石
2=绑定钻石
3=金币
4=帮贡
6=荣誉
8=声望
10=功勋
]]
temp.payType = 0
temp.price = 0 --当前价格
temp.oldPrice = 0 --旧价
temp.tagType = 0 --0 无  1 新品  2 热卖  3 抢购
temp.limitBuyCount = 0 --限购数量
temp.totalBuyLimit = 0--购买总量限制
temp.needOpenServerDays = 0 --开服天数限制
temp.needLevel = 0 --等级限制
temp.descript = globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel75") --描述
temp._descriptionId = ""
temp._goodsTemplate = nil --物品模板
return temp
end)
--获取物品模板表
function ShopGoodsTemplateInfo:getGoodsTemplate()
if(self._goodsTemplate == nil) then
self._goodsTemplate = globalData.allTemplates.goodsTemplateList:getTemplate(self.goodsTemplateId)
end
if(self._goodsTemplate == nil)then
print("商店模板表" .. self.shopId .. "的物品ID" .. self.goodsTemplateId .. "找不到")
end
return self._goodsTemplate
end
function ShopGoodsTemplateInfo:init(data)
self.shopId = data:readInt()
self.goodsTemplateId = data:readInt()
self.payType = data:readByte()
self.price = data:readInt()
self.oldPrice = data:readInt()
self.needOpenServerDays = data:readInt()
self.tagType = data:readByte()
self.limitBuyCount = data:readInt()
self.totalBuyLimit = data:readInt()
self.needLevel = data:readInt()
self._descriptionId = data:readString()
if(self._descriptionId ~= nil or self._descriptionId ~= "")then
self.descript = globalManager.descriptManager:getDescript(self._descriptionId)
end
end
ShopLimitTemplateInfo = class("ShopLimitTemplateInfo", function(self)
local temp = {}
temp.id = 0
temp.type = 0 --type：1：钻石商城  2：铜币   3，荣誉   4，声望  5,帮派商城
temp.goodsTemplateId = 0
temp.payType = 0
temp.oldPrice = 0
temp.price = 0
temp.totalCount = 0
temp.limitCount = 0
temp.needLevel = 0
temp.needLeagueLevel = 0
temp.priceOff = 0
temp.descript = globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel75") --描述
temp._descriptionId = ""
return temp
end)
function ShopLimitTemplateInfo:init(bytes)
self.id = bytes:readInt()
self.type = bytes:readByte()
self.goodsTemplateId = bytes:readInt()
self.payType = bytes:readByte()
self.oldPrice = bytes:readInt()
self.price = bytes:readInt()
self.totalCount = bytes:readInt()
self.limitCount = bytes:readInt()
self.needLevel = bytes:readShort()
self.needLeagueLevel = bytes:readByte()
self.priceOff = bytes:readByte()
self._descriptionId = bytes:readString()
if(self._descriptionId ~= nil and self._descriptionId ~= "")then
self.descript = globalManager.descriptManager:getDescript(self._descriptionId)
end
end
ShopLimitTemplateList = class("ShopLimitTemplateList", function(self)
local temp = BaseTemplateList:new()
temp._list = {}
return temp
end)
function ShopLimitTemplateList:parseOne()
local template = ShopLimitTemplateInfo:new()
template:init(self._templateData)
table.insert(self._list,template)
end
function ShopLimitTemplateList:getTemplate(id)
for __,template in pairs(self._list) do
if(template.id == id)then
return template
end
end
return nil
end
ShopListTemplateInfo = class("ShopListTemplateInfo", function(self)
local temp = {}
temp.shopType = 0 --商店类型   例：神秘商店 、商城、快速购买...
temp.shopList = {} --商店存储类型，商品热销  Vector.<Vector.<ShopGoodsInfo>>,tabs
temp.tabNameList = {}--tab名字
return temp
end)
function ShopListTemplateInfo:init(data)
self.shopType = data:readShort()
local len = data:readByte()
for i=1,len do
table.insert(self.tabNameList, data:readString())
local list = {}
local goodsLen = data:readShort()
for j=goodsLen,1,-1 do
local shopGoodsTemplateInfo = ShopGoodsTemplateInfo:new()
shopGoodsTemplateInfo.shopType = self.shopType
shopGoodsTemplateInfo:init(data)
list[j] = shopGoodsTemplateInfo
end
self.shopList[i] = list
end
end
--获取商城物品数据
function ShopListTemplateInfo:getShopGoodsTemplateInfo(goodsTemplateId)
for k,list in pairs(self.shopList) do
for k2,info in pairs(list) do
if(info.goodsTemplateId == goodsTemplateId)then
return info end
end
end
return nil
end
--##globalData.allTemplates.shopTemplateList
ShopTemplateList = class("ShopTemplateList", function(self)
local temp = BaseTemplateList:new()
temp.shopList = {} --商城物品模板数据列表 Vector.<ShopListTemplateInfo>
return temp
end)
function ShopTemplateList:init(data)
self._templateData = data
self._templateLen = data:readByte()
return self
end
function ShopTemplateList:parseOne()
local listTemp = ShopListTemplateInfo:new()
listTemp:init(self._templateData)
self.shopList[listTemp.shopType] = listTemp
end
--根据类型获取商城物品列表
--return ShopListTemplateInfo
function ShopTemplateList:getShopList(shopType)
for __,v in pairs(self.shopList) do
if(v.shopType == shopType)then
return v
end
end
return nil
end
--根据商店类型以及物品模板ID获取shopTemplateInfo
function ShopTemplateList:getTemplateByGoodsTemplateId(shopType,goodsTemplateId)
local list = self:getShopList(shopType)
for __,list1 in pairs(list.shopList) do
for __,template in pairs(list1) do
if(template.goodsTemplateId == goodsTemplateId)then
return template
end
end
end
return nil
end
--获取快速购买两种支付方式的数据
function ShopTemplateList:getForgeShopItems(goodsTemplateId)
local list = self:getShopList(globalData.allStaticTypes.shopType.SHOP_FORGE)
local item1,item2
for __,list1 in pairs(list.shopList) do
for __,template in pairs(list1) do
if(template.goodsTemplateId == goodsTemplateId)then
if(template.payType == 1) then
item1 = template
elseif(template.payType == 3) then
item2 = template
end
end
end
end
return item1,item2
end
--通过shopId获取模板表，效率很低，会遍历所有的商店
function ShopTemplateList:getTemplate(shopId)
for __,list1 in pairs(self.shopList) do
for __,list2 in pairs(list1.shopList) do
for __,template in pairs(list2) do
if(template.shopId == shopId)then
return template
end
end
end
end
return nil
end
SkillItemInfo = class("SkillItemInfo",function()
local si = EventDispatcher:new()
si.templateId = 0
si.template = nil
si.level = 0
--最后使用时间
si._lastUseTime = 0
--是否公共CD中
si.isInCommon = false
si.levelUpMark = false
return si
end)
function SkillItemInfo:getLastUseTime()
return self._lastUseTime
end
--最后使用时间
function SkillItemInfo:setLastUseTime(value)
if(self._lastUseTime == value)then return end
self._lastUseTime = value
local n = self:getLeftCoolingTime()
if(n > 0)then
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_skillCD,self,n))
end
end
--剩余cd时间
function SkillItemInfo:getLeftCoolingTime()
local t = self:getTempCoolTime() - (globalData.systemDateInfo:getSystemTime() - self._lastUseTime)
if(t < 0)then
t = 0
end
return t
end
--技能配置cd时间 (某些技能可能修改模板表值，如可缩短CD的技能);
function SkillItemInfo:getTempCoolTime()
return self:getTemplate():getCoolDownTime(self.level)
end
--是否在技能冷却时间中
function SkillItemInfo:isInCooling()
return (globalData.systemDateInfo:getSystemTime() - self._lastUseTime) < self:getTempCoolTime()
end
--判断当前技能能否使用
function SkillItemInfo:getCanUse()
if(self:isInCooling())then
return false
end
return true
end
function SkillItemInfo:getCanAFKUse()
if(self:isInCooling())then
return false
end
return self:getCanAFKUseWhitoutCooling()
end
function SkillItemInfo:getCanAFKUseWhitoutCooling()
if(self:getTemplate().isAFKUse == false)then return false end
return true
end
--是否满级
function SkillItemInfo:isMaxLevel()
return self.level >= self:getTemplate().totalLevel
end
--设置等级
function SkillItemInfo:setLevel(level)
if self.level == level then return end
if self.level > 0 then
self.levelUpMark = true
end
self.level = level
end
--设置公共CD
function SkillItemInfo:setCommonCD()
local cdLast = globalData.systemDateInfo:getSystemTime() - self:getTempCoolTime() + globalData.commonCD
if(cdLast > self._lastUseTime)then
self._lastUseTime = cdLast
end
end
function SkillItemInfo:getTemplate()
if(self.template == nil) then
self.template = globalData.allTemplates.skillTemplateList:getSkillTemplate(self.templateId)
end
return self.template
end
SkillItemList = class("SkillItemList",function()
local si = EventDispatcher:new()
--默认技能
si.defaultSkill = nil
--技能列表vector<SkillItemInfo>
si._skillList = {}
--挂机技能列表vector<int,skillItemInfo>
si._afkList = {}
--技能方案一vector<skillTemplateId> 4个技能，下标2~5
si._skillPlan1 = {0,0,0,0,0}
--技能方案二vector<skillTemplateId>
si._skillPlan2 = {0,0,0,0,0}
--技能方案三vector<skillTemplateId>
si._skillPlan3 = {0,0,0,0,0}
si.skillChoice = 1 --使用的方案，默认是方案1
return si
end)
--SkillItemInfo
function SkillItemList:addSkill(skill)
table.insert(self._skillList, skill)
local tmp = skill:getTemplate()
if(tmp.isDefault == true and tmp.needCareer == globalData.allStaticTypes.careerType:getCareer(globalData.selfPlayerInfo.career))then
self.defaultSkill = skill
for __,copySkillId in pairs(globalData.allTemplates.skillTemplateList.copySkillList) do
local item = SkillItemInfo:new()
item.templateId = copySkillId
item.level = 1
table.insert(self._skillList, item)
end
end
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_addSkill,self,skill))
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_askillUpdate,self,skill))
end
function SkillItemList:setSkillPlanChoice(index)
if(self.skillChoice == index) then return end
self.skillChoice = index
end
function SkillItemList:removeSkill(id)
if(self.defaultSkill ~= nil and self.defaultSkill.templateId == id)then
self.defaultSkill = nil
end
local len = table.getn(self._skillList)
for i = 1,len,1 do
if(self._skillList[i].templateId == id)then
table.remove(self._skillList,i)
self._skillList[i]:dispose()
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_removeSkill,self,id))
return
end
end
end
function SkillItemList:getSkillByPlanType(type)
if(type == 1)then
return self._skillPlan1
elseif(type == 2) then
return self._skillPlan2
elseif(type == 3) then
return self._skillPlan3
end
end
function SkillItemList:setSkillPlan(type,pos,templateId)
if(type == 1)then
local index = globalManager.commonUtils:getIndexOfTable(self._skillPlan1,templateId)
if(index ~= -1)then
self._skillPlan1[index] = self._skillPlan1[pos]
end
self._skillPlan1[pos] = templateId
elseif(type == 2) then
local index = globalManager.commonUtils:getIndexOfTable(self._skillPlan2,templateId)
if(index ~= -1)then
self._skillPlan2[index] = self._skillPlan2[pos]
end
self._skillPlan2[pos] = templateId
elseif(type == 3) then
local index = globalManager.commonUtils:getIndexOfTable(self._skillPlan3,templateId)
if(index ~= -1)then
self._skillPlan3[index] = self._skillPlan3[pos]
end
self._skillPlan3[pos] = templateId
end
end
function SkillItemList:getSkillByGroupId(id)
for i,skill in pairs(self._skillList) do
if(skill.templateId == id)then
return skill
end
end
return nil
end
function SkillItemList:getSkillByPlace(place)
for i,skill in pairs(self._skillList) do
if(skill:getTemplate() ~= nil and skill:getTemplate().place == place)then
return skill
end
end
return nil
end
function SkillItemList:getSkills()
return self._skillList
end
function SkillItemList:updateSkillItem(skill)
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_askillUpdate,self,skill))
end
function SkillItemList:skillListUpdate()
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_skillList,self,nil))
end
--获取一个挂机能用的技能
function SkillItemList:getAFKSkill()
local len = table.getn(self._afkList)
local skill = nil
for i = 1,len,1 do
skill = self._afkList[i]
if(skill:getCanAFKUse())then
break
end
skill = nil
end
return skill
end
function SkillItemList:initAFKSkills()
self._afkList = {}
local len
if globalData.selfPlayerInfo.career < 10 then
len = table.getn(self._skillList)
else
len = #self:getSkillByPlanType(self.skillChoice)
end
for i = 1,len do
local skill
if globalData.selfPlayerInfo.career < 10 then
skill = self._skillList[i]
else
local list = self:getSkillByPlanType(self.skillChoice)
skill = self:getSkillByGroupId(list[i])
end
if(skill ~= nil and skill:getTemplate() ~= nil and skill:getTemplate().isDefault == false and skill:getCanAFKUseWhitoutCooling())then
table.insert(self._afkList,skill)
end
end
end
function SkillItemList:setAFKSkillToBack(skill)
local len = table.getn(self._afkList)
local doInsert = false
for i = 1,len,1 do
if(self._afkList[i] == skill)then
table.remove(self._afkList,i)
doInsert = true
break
end
end
if(doInsert)then
table.insert(self._afkList,skill)
end
end
function SkillItemList:getSkillCanUseInSpecilCopy()
local skillId = 0
if(globalData.allTemplates.copyTemplateList:isYiChui(globalData.copyInfo.currentCopyId))then
skillId = globalData.allTemplates.skillTemplateList.YICHUI1
end
for i = 1,#self._skillList,1 do
local skill = self._skillList[i]
if(skill.templateId == skillId)then
if(skill:getCanUse())then
return skill
end
break
end
end
return nil
end
--清除所有数据，断线重连时用
function SkillItemList:clearAllData()
self.defaultSkill = nil
local len = table.getn(self._skillList)
for i = 1,len,1 do
self._skillList[i]:dispose()
end
self._skillList = {}
self._skillPlan1 = {0,0,0,0,0}
self._skillPlan2 = {0,0,0,0,0}
self._skillPlan3 = {0,0,0,0,0}
end
SkillTemplateInfo = class("SkillTemplateInfo",function(self)
local temp = BaseGoodsInfo:new()
temp.name = ""--技能名string
temp.needAnger = {}--需要怒气
temp.totalLevel = 0--等级上限int
temp.targetType = 0--对象类型0敌人，1自身，2自身团队，3自爆int,4前方
temp.activeType = 0--起效方式0、主动1、被动2、辅助int
temp.coldDownTime = {}--冷却时间ms Vector.<int>
temp.attackEffect = 0--攻击特效int
temp.showWeaponEffect = true--是否显示刀光特效
temp.behitEffect = 0--被击特效int
temp.isDefault = false--是否默认技能bool
temp.isCopySkill = false--是否副本特殊技能
temp.distance = 0--施法距离int
temp.place = 0--技能位置int
temp.needSkill = {}--前置技能
temp.needCareer = 0--职业0-3对应人物，4-7对应妖精 int
temp.needCopper = {} --升级所需的铜币
temp.wakeUpItem = {} --激活技能所需道具
temp.needItem = {}--升级所需道具
temp.upgradeNeedLevel = {}--需要等级Vector.<int>
temp.upgradeNeedCon = {}--是否需要觉醒Vector.<int>
temp.affectCount = {}--影响人数Vector.<int>
temp.descriptText = {}--技能描述Vector.<string>
temp.sound = 0--音效int
temp.isShake = false--是否震屏bool
temp.skillAttrDespts = {}--技能属性描述Vector.<String>
temp.autoSelectTarget = false--自动选择目标bool
temp.isAFKUse = false--是否挂机使用bool
temp.skillFightList = {}--技能战斗力Vector.<int>
temp.needItemBooks  = {}--技能升级所需Vector.<int>
temp.playAction = false--是否播放动作
temp.hitEffectDelay = 0
temp.behitEffectDelay = 0
temp.behitActionDelay = 0
temp.bloodDelay = 0
temp.shakeDelay = 0
temp.hitBackDelay = 0
return temp
end)
--param data:ByteArray
function SkillTemplateInfo:init(data)
self.templateId = data:readInt()
self.needAnger = globalManager.messageUtils:splitStringToInt(data:readString(),"|")
self.name = data:readString()
self.iconPath = data:readString()
self.targetType = data:readInt()
self.activeType = data:readInt()
self.coldDownTime = globalManager.messageUtils:splitStringToInt(data:readString(),"|")
self.attackEffect = data:readInt()
self.showWeaponEffect = data:readBoolean()
self.behitEffect = data:readInt()
-- self.isDefault = data:readBoolean()
local tmpType = data:readByte()
self.isDefault = tmpType == 1
self.isCopySkill = tmpType == 2
self.distance = data:readInt()
self.place = data:readShort()
self.needCareer = data:readByte()
self.needCopper = globalManager.messageUtils:splitStringToInt(data:readString(),"|")
local item = globalManager.messageUtils:splitString(data:readString(),"#")
if(item[1] ~= nil and item[1] ~= "") then
self.wakeUpItem = globalManager.messageUtils:changeStrToIntList(item[1])
end
self.upgradeNeedCon = globalManager.messageUtils:splitStringToInt(data:readString(),"|")
self:getNeedItem(data:readString())
self.upgradeNeedLevel = globalManager.messageUtils:splitStringToInt(data:readString(),"|")
self.totalLevel = #self.coldDownTime
self.affectCount = globalManager.messageUtils:splitStringToInt(data:readString(),"|")
self.descriptText = globalManager.messageUtils:splitString(data:readString(),"|")
self.sound = data:readInt()
self.isShake = data:readBoolean()
local skillStr = data:readString()
if(skillStr ~= "") then
local skillList = globalManager.messageUtils:splitString(skillStr,"#")
for i,skills in pairs(skillList) do
local levelSkillList = globalManager.messageUtils:splitString(skills,"|")
local tempSkillList = {}
for j,levelSkill in pairs(levelSkillList) do
local skillInfo = globalManager.messageUtils:splitString(levelSkill,",")
local skill = {skillId = skillInfo[1],level = skillInfo[2]}
table.insert(tempSkillList,skill)
end
table.insert(self.needSkill,tempSkillList)
end
end
self.skillAttrDespts = globalManager.messageUtils:splitStringToInt(data:readString(),"#")
self.autoSelectTarget = data:readBoolean()
self.isAFKUse = data:readBoolean()
self.skillFightList = globalManager.messageUtils:splitStringToInt(data:readString(),"#")
self.hitEffectDelay = data:readByte()
self.behitEffectDelay = data:readByte()
self.behitActionDelay = data:readByte()
self.bloodDelay = data:readByte()
self.shakeDelay = data:readByte()
self.hitBackDelay = data:readByte()
self.playAction = data:readBoolean()
end
function SkillTemplateInfo:getNeedItem(data)
self.needItem = {}
if(data == nil or data == "") then return end
local list = globalManager.messageUtils:splitString(data,"#")
for __,str in pairs(list) do
if(str == nil or str == "") then
table.insert(self.needItem,0)
else
local temp = globalManager.messageUtils:splitStringToInt(str,",")
table.insert(self.needItemBooks,temp[1])
table.insert(self.needItem,temp[2])
end
end
end
--获取技能冷却时间
--param level:int return int
function SkillTemplateInfo:getCoolDownTime(level)
if(#self.coldDownTime <= (level-1) or level == 0) then
return self.coldDownTime[1]
end
return self.coldDownTime[level]
end
--是否辅助技能
--return bool
function SkillTemplateInfo:isAssist()
return self.activeType == 2
end
--是否攻击技能
--return bool
function SkillTemplateInfo:isAttack()
return self.targetType == 0
end
--对自己放
function SkillTemplateInfo:isToSelf()
return self.targetType == 1 or self.targetType == 4
end
--是否往前方施放
function SkillTemplateInfo:isForeword()
return self.targetType == 4
end
--是否为主动技能
--return bool
function SkillTemplateInfo:isActive()
return self.activeType == 0
end
function SkillTemplateInfo:getMaxHitDelay()
return math.max(self.hitEffectDelay,self.shakeDelay)
end
function SkillTemplateInfo:getMaxBehitDelay()
return math.max(self.behitEffectDelay,self.behitActionDelay,self.bloodDelay,self.shakeDelay,self.hitBackDelay)
end
function SkillTemplateInfo:getDes()
local des = ""
if self.templateId == 9001 or self.templateId == 9002 or self.templateId == 9003 or self.templateId == 9004 or self.templateId == 9005 or self.templateId == 9006 then
des = globalManager.yuyanbaoManager:getYuyanbao("SkillTemplateInfo.text4")
elseif self.templateId == 9007 or self.templateId == 9008 or self.templateId == 9009 or self.templateId == 9010 or self.templateId == 9011 then
des = globalManager.yuyanbaoManager:getYuyanbao("SkillTemplateInfo.text5")
elseif self.templateId == 9012 or self.templateId == 9013 or self.templateId == 9014 or self.templateId == 9015 then
des = globalManager.yuyanbaoManager:getYuyanbao("SkillTemplateInfo.text6")
elseif self.templateId == 9016 then
des = globalManager.yuyanbaoManager:getYuyanbao("SkillTemplateInfo.text7")
else
if(self.affectCount[1] > 1) then
des = globalManager.yuyanbaoManager:getYuyanbao("SkillTemplateInfo.text1")
else
des = globalManager.yuyanbaoManager:getYuyanbao("SkillTemplateInfo.text2")
end
if(self:isAttack() and self:isActive()) then
des = des..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel32")
else
des = des..globalManager.yuyanbaoManager:getYuyanbao("SkillTemplateInfo.text3")
end
end
return des
end
function SkillTemplateInfo:getDes2()
-- body
local des = ""
if self.templateId == 9001 or self.templateId == 9002 or self.templateId == 9003 or self.templateId == 9004 or self.templateId == 9005 or self.templateId == 9006 then
des = globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel33")
elseif self.templateId == 9007 or self.templateId == 9008 or self.templateId == 9009 or self.templateId == 9010 or self.templateId == 9011 then
des = globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel32")
elseif self.templateId == 9012 or self.templateId == 9013 or self.templateId == 9014 or self.templateId == 9015 then
des = globalManager.yuyanbaoManager:getYuyanbao("SkillTemplateInfo.text10")
elseif self.templateId == 9016 then
des = globalManager.yuyanbaoManager:getYuyanbao("SkillTemplateInfo.text11")
else
if(self.isDefault) then
des = globalManager.yuyanbaoManager:getYuyanbao("SkillItemGrid.text1")
elseif(self.affectCount[1] > 1) then
des = globalManager.yuyanbaoManager:getYuyanbao("SkillItemGrid.text2")
else
des = globalManager.yuyanbaoManager:getYuyanbao("SkillItemGrid.text3")
end
end
return des
end
--##globalData.allTemplates.skillTemplateList
SkillTemplateList = class("SkillTemplateList",function(self)
local temp = BaseTemplateList:new()
temp.skillList = {}--技能模板列表map<int,SkillTemplateInfo>
temp.DEFAULTSKILL1 = 3101
temp.DEFAULTSKILL2 = 3103
temp.DATISKILL1 = 3901
temp.DATISKILL2 = 3902
--新帮战技能
temp.LEAGUEWAR1 = 3960--狂怒
temp.LEAGUEWAR2 = 3961--召唤
temp.LEAGUEWAR3 = 3962--无敌
temp.LEAGUEWAR4 = 3963--丢弃
--一锤定音
temp.YICHUI1 = 3940
temp.YICHUI2 = 3941
temp.YICHUI3 = 3942
--全民探宝
temp.TANBAO1 = 3950
temp.TANBAO2 = 3951
temp.TANBAO3 = 3952
temp.TANBAO4 = 3953
temp.TANBAO5 = 3954
temp.copySkillList = {temp.DATISKILL1,temp.DATISKILL2,
temp.YICHUI1,temp.YICHUI2,temp.YICHUI3,
temp.TANBAO1, temp.TANBAO2, temp.TANBAO3, temp.TANBAO4, temp.TANBAO5,
temp.LEAGUEWAR1,temp.LEAGUEWAR2,temp.LEAGUEWAR3,temp.LEAGUEWAR4}
return temp
end)
function SkillTemplateList:parseOne()
local skill = SkillTemplateInfo:new()
skill:init(self._templateData)
self.skillList[skill.templateId] = skill
end
function SkillTemplateList:parsePreFrame()
return 30
end
--在自身不能攻击的时候是否能使用（特殊处理）
function SkillTemplateList:isCanUseInSelfCantAttack(id)
if(id == self.LEAGUEWAR2 or id == self.LEAGUEWAR3 or id == self.LEAGUEWAR4)then
return true
end
return false
end
function SkillTemplateList:isDatiSkill(id)
if id == self.DATISKILL1 or id == self.DATISKILL2 then
return true
end
return false
end
function SkillTemplateList:isYiChui(id)
if(id == self.YICHUI1 or id == self.YICHUI2 or id == self.YICHUI3)then
return true
end
return false
end
function SkillTemplateList:isTanBao(id)
if(id == self.TANBAO1 or id == self.TANBAO2 or id == self.TANBAO3 or id == self.TANBAO4 or id == self.TANBAO5)then
return true
end
return false
end
function SkillTemplateList:isBangZhan(id)
if(id == self.LEAGUEWAR1 or id == self.LEAGUEWAR2 or id == self.LEAGUEWAR3 or id == self.LEAGUEWAR4)then
return true
end
return false
end
--param templateId:int return SkillTemplateInfo
function SkillTemplateList:getSkillTemplate(templateId)
return self.skillList[templateId]
end
--获取职业技能
--param career:int return Vector.<SkillTemplateInfo>
function SkillTemplateList:getCareerSkill(career)
local sortFunc = function(a,b)
if(a.place == b.place) then
return a.templateId < b.templateId
end
return a.place < b.place
end
local list = {}
for i, info in pairs(self.skillList) do
if(info.place >= 1 and info.place <= 5 and info.needCareer == career) then
table.insert(list,info)
end
end
table.sort(list,sortFunc)
return list
end
--获取通用技能
--return Vector.<SkillTemplateInfo>
function SkillTemplateList:getCommontSkill()
local sortFunc = function(a,b)
local  infoA = globalData.skillList:getSkillByGroupId(a.templateId)
local  infoB = globalData.skillList:getSkillByGroupId(b.templateId)
if(infoA.level == infoB.level) then
return a.templateId < b.templateId
end
return infoA.level >= infoB.level
end
local list = {}
for i, tempInfo in pairs(self.skillList) do
local  info = globalData.skillList:getSkillByGroupId(tempInfo.templateId)
if(tempInfo.upgradeNeedCon[1] == 1 and info ~= nil) then
table.insert(list,tempInfo)
end
end
table.sort(list,sortFunc)
for i, tempInfo in pairs(self.skillList) do
local  info = globalData.skillList:getSkillByGroupId(tempInfo.templateId)
if(tempInfo.upgradeNeedCon[1] == 1 and info == nil) then
table.insert(list,tempInfo)
end
end
return list
end
function SkillTemplateList:getAllCanUseSkill()
local list = self:getCareerSkill(globalData.allStaticTypes.careerType:getCareer(globalData.selfPlayerInfo.career))
for i, info in pairs(list) do
if(info.isDefault) then
globalManager.commonUtils:removeItemInTable(list,info)
end
end
for i, tempInfo in pairs(self.skillList) do
local  info = globalData.skillList:getSkillByGroupId(tempInfo.templateId)
if(tempInfo.upgradeNeedCon[1] == 1 and info ~= nil) then
table.insert(list,tempInfo)
end
end
return list
end
SkyDreamLandTemplateInfo = class("SkyDreamLandTemplateInfo",function(self)
local temp = {}
temp.mapId           = 0
temp.hard            = 0
temp.minLevel        = 0
temp.maxLevel        = 0
temp.boxItemList     = {}
temp.monsterItemList = {}
temp.bossItemList    = {}
return temp
end)
function SkyDreamLandTemplateInfo:init(data)
self.mapId       = data:readInt()
self.hard        = data:readByte()
self.minLevel    = data:readInt()
self.maxLevel    = data:readInt()
self.boxItemList = globalManager.messageUtils:changeStrToIntList(data:readString())
self.monsterItemList = globalManager.messageUtils:changeStrToIntList(data:readString())
self.bossItemList= globalManager.messageUtils:changeStrToIntList(data:readString())
end
SkyDreamLandTemplateList = class("SkyDreamLandTemplateList",function(self)
local temp = BaseTemplateList:new()
temp.list = {}
return temp
end)
function SkyDreamLandTemplateList:parseOne()
local info = SkyDreamLandTemplateInfo:new()
info:init(self._templateData)
table.insert(self.list,info)
end
function SkyDreamLandTemplateList:getInfoById(mapId)
for __,info in pairs(self.list) do
if(info.mapId == mapId)then
return info
end
end
return nil
end
SmelterTemplateInfo = class("SmelterTemplateInfo",function()
local self = {}
self.id    = 0
self.level_exp = 0
self.total_exp = 0
self.attrList   = {}
return self
end)
function SmelterTemplateInfo:init(bytes)
self.id = bytes:readInt()
self.level_exp = bytes:readInt()
self.total_exp = bytes:readInt()
self.attrList  = globalManager.messageUtils:parseProperty(bytes:readString())
end
SmelterTemplateList = class("SmelterTemplateList",function()
local self = BaseTemplateList:new()
self.list = {}
return self
end)
function SmelterTemplateList:parseOne()
local item = SmelterTemplateInfo:new()
item:init(self._templateData)
self.list[item.id] = item
end
function SmelterTemplateList:getTemplate(level)
return self.list[level]
end
StarcraftTemplateInfo = class("StarcraftTemplateInfo",function()
local self = {}
self.id    = 0
self.stage = 0          --比赛类型
self.condition1  = 0    --判断条件前区间
self.condition2  = 0    --判断条件后区间
self.awardList   = {}
return self
end)
function StarcraftTemplateInfo:init(bytes)
self.id = bytes:readShort()
self.stage = bytes:readByte()
self.condition1 = bytes:readShort()
self.condition2 = bytes:readShort()
self.awardList  = globalManager.messageUtils:changeStrToIntList(bytes:readString())
end
StarcraftTemplateList = class("StarcraftTemplateList",function()
local self = BaseTemplateList:new()
self.list = {}
return self
end)
function StarcraftTemplateList:parseOne()
local item = StarcraftTemplateInfo:new()
item:init(self._templateData)
table.insert(self.list,item)
end
function StarcraftTemplateList:getTemplateByCondition(stage,condition1,condition2)
local len = table.getn(self.list)
for i = 1,len,1 do
if(self.list[i].stage == stage and self.list[i].condition1 == condition1 and self.list[i].condition2 == condition2)then
return self.list[i]
end
end
return nil
end
TaoYuanTemplateInfo = class("TaoYuanTemplateInfo",function ()
local temp = {}
temp.id = 0
temp.condition = 0
temp.describeId = 0
temp.awardList = {}
return temp
end)
function TaoYuanTemplateInfo:init(bytes)
self.id = bytes:readByte()
self.condition = bytes:readInt()
self.describeId = bytes:readInt()
self.awardList = globalManager.messageUtils:changeStrToIntList(bytes:readString())
end
TaoYuanTemplateList = class("TaoYuanTemplateList",function()
local self = BaseTemplateList:new()
self.list = {}
return self
end)
function TaoYuanTemplateList:parseOne()
local item = TaoYuanTemplateInfo:new()
item:init(self._templateData)
table.insert(self.list,item)
end
TaskCompleteInfo = class("TaskCompleteInfo",function()
local tc = {}
tc.taskId = 0
tc.dayLeftCount = 0
tc.finishDate = 0
return tc
end)
function TaskCompleteInfo:getCanAccept()
--已完成，是否还有可接次数
local template = globalData.allTemplates.taskTemplateList:getTask(self.taskId)
if(template.canRepeat == false)then return false end
local dd = globalData.systemDateInfo:getBetweenTimeDay(self.finishDate * 1000,globalData.systemDateInfo:getSystemTime())
if(dd < template.repeatDay)then
return self.dayLeftCount > 0
end
return true
end
TaskItemInfo = class("TaskItemInfo",function()
local ti = EventDispatcher:new()
ti.__eventDispose = ti.dispose
ti.taskId = 0
ti.isNewAccept = false
ti.isNewSubmit = false
ti._needCounts = {}--需要数量，到0可完成
ti._template = nil
--是否已提交，服务器直接通知
ti.isSubmit = false
--任务步骤，从0开始
ti._missionIndex = -1
--任务状态
ti.state = 0
--等待处理的配置事件
ti.waitHandleTriggers = {}
return ti
end)
function TaskItemInfo:setTemplate(templateId)
self._template = globalData.allTemplates.taskTemplateList:getTask(templateId)
end
function TaskItemInfo:getTemplate()
return self._template
end
--调用顺序
--handleAcceptTrigger()
--setMissionIndex()
--setNeedCounts()
--updateState()
--触发接受事件
function TaskItemInfo:handleAcceptTrigger( )
if(self.isNewAccept)then
self.isNewAccept = false
local list = self._template.acceptTriggers
if(self._template.isAuto and list ~= nil and table.getn(list) > 0)then
table.insert(self.waitHandleTriggers,list)
end
end
end
function TaskItemInfo:getMissionIndex()
return self._missionIndex
end
function TaskItemInfo:setMissionIndex(value)
if(self._missionIndex == value)then return end
self._missionIndex = value
local preMission = self:getPreMission()
local list = nil
if(preMission ~= nil)then
list = preMission.finish2Trigger
if(list ~= nil and table.getn(list) > 0)then
table.insert(self.waitHandleTriggers,list)
end
end
if(self._template.isAuto)then
list = self:getCurrentMission().notFinishTrigger
if(list ~= nil and table.getn(list) > 0)then
table.insert(self.waitHandleTriggers,list)
end
end
end
function TaskItemInfo:getNeedCounts()
return self._needCounts
end
function TaskItemInfo:setNeedCounts(value,isDispatchEvent)
isDispatchEvent = isDispatchEvent or false
if(self:checkSame(self._needCounts,value) == false)then
self._needCounts = value
if(self.state ~= globalData.allStaticTypes.taskStaticInfo.submit and self:checkMissionComplete())then
local list = self:getCurrentMission().finish1Trigger
if(list ~= nil and table.getn(list) > 0)then
table.insert(self.waitHandleTriggers,list)
end
end
if(isDispatchEvent)then
if(#self:getCurrentMission().data == 0 or #self._needCounts == 0) then return end
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_countUpdate,globalManager.gameDispatcher,nil))
end
end
end
function TaskItemInfo:checkSame(needCounts1,needCounts2)
if(needCounts1 == nil and needCounts2 == nil)then return true end
if((needCounts1 == nil and needCounts2 ~= nil) or (needCounts1 ~= nil and needCounts2 == nil))then return false end
local len1 = table.getn(needCounts1)
local len2 = table.getn(needCounts2)
if(len1 ~= len2)then return false end
for i = 1,len1,1 do
if(needCounts1[i] ~= needCounts2[i])then return false end
end
return true
end
function TaskItemInfo:handlerTriggers()
local len = table.getn(self.waitHandleTriggers)
for i = 1,len,1 do
globalManager.triggerManager:handlerList(self.waitHandleTriggers[i])
end
self.waitHandleTriggers = {}
end
function TaskItemInfo:getPreMission()
if(self._missionIndex < 1)then return nil end
return self._template.taskMissions[self._missionIndex]
end
function TaskItemInfo:getCurrentMission()
if(self._missionIndex < 0)then return nil end
return self._template.taskMissions[self._missionIndex + 1]
end
--是否第一个步骤
function TaskItemInfo:missionIsFirst()
return self._missionIndex == 0
end
--是否最后一个步骤
function TaskItemInfo:missionIsLast()
return self._missionIndex == table.getn(self._template.taskMissions)
end
function TaskItemInfo:updateState()
local state
if(self.isSubmit)then
state = globalData.allStaticTypes.taskStaticInfo.submit
elseif(self:checkMissionComplete())then
state = globalData.allStaticTypes.taskStaticInfo.finishNotSubmit
else
state = globalData.allStaticTypes.taskStaticInfo.acceptNotFinish
end
if(state == self.state) then return end
self.state = state
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_stateUpdate,globalManager.gameDispatcher,nil))
end
--当前步骤是否完成
function TaskItemInfo:checkMissionComplete()
local mission = self:getCurrentMission()
if(mission == nil)then
return false
end
if(mission.condition == globalData.allStaticTypes.taskStaticInfo.C_DIALOG)then
return true
elseif(mission.condition == globalData.allStaticTypes.taskStaticInfo.C_FILL or
mission.condition == globalData.allStaticTypes.taskStaticInfo.C_BUYUNBIND or
mission.condition == globalData.allStaticTypes.taskStaticInfo.C_FILLCOUNT or
mission.condition == globalData.allStaticTypes.taskStaticInfo.C_KILLMONSTER or
mission.condition == globalData.allStaticTypes.taskStaticInfo.C_KILLCOLLECT or
mission.condition == globalData.allStaticTypes.taskStaticInfo.C_COLLECTITEM or
mission.condition == globalData.allStaticTypes.taskStaticInfo.C_COLLECT or
mission.condition == globalData.allStaticTypes.taskStaticInfo.C_CLIENT or
mission.condition == globalData.allStaticTypes.taskStaticInfo.C_COPY
)then
local len = table.getn(self._needCounts)
for i = 1,len,1 do
if(self._needCounts[i] > 0)then
return false
end
end
return true
elseif(mission.condition == globalData.allStaticTypes.taskStaticInfo.C_USERLEVEL)then
return globalData.selfPlayerInfo.level >= self:getCurrentMission().data[1].y
elseif(mission.condition == globalData.allStaticTypes.taskStaticInfo.C_COLLECTITEM)then
local id = self:getCurrentMission().data[1].x
local count = self:getCurrentMission().data[1].y
return globalData.goodsInfoList:getGoodsCount(id,1) >= count
end
return false
end
function TaskItemInfo:getFollowDescript()
if(self.state == globalData.allStaticTypes.taskStaticInfo.finishNotSubmit)then
return self:getCurrentMission():getFinishDescript()
elseif(self.state == globalData.allStaticTypes.taskStaticInfo.acceptNotFinish)then
local mission = self:getCurrentMission()
local tmpStr = mission:getNotFinishDescript()
if(globalData.allStaticTypes.taskStaticInfo:getShowRequireCount(mission.condition)) then
tmpStr = tmpStr.."("..(mission.data[1].y - self._needCounts[1]) .. "/" .. mission.data[1].y .. ")"
end
return tmpStr
end
return ""
end
function TaskItemInfo:getCanAccept()
--已接未完成，是否可重置
if(self._template.canReset == false)then return false end
return true
end
function TaskItemInfo:dispose()
self:__eventDispose()
self._needCounts = nil
self._template = nil
self.waitHandleTriggers = nil
self.__eventDispose = nil
end
TaskItemList = class("TaskItemList",function()
local ti = EventDispatcher:new()
--map
ti._task = {}
--map<taskId,TaskCompleteInfo>
ti.completeList = {}
--镇妖任务TaskRefleshItemInfo
ti.zhenyao = TaskRefleshItemInfo:new()
ti.club = TaskRefleshItemInfo:new()
ti.wakeUp = TaskRefleshItemInfo:new()
ti.finish1 = -1
ti.finish2 = -1
ti.finish3 = -1
return ti
end)
function TaskItemList:addTask(task)
self._task[task.taskId] = task
local type = task:getTemplate().taskType
if(type == 2 and self.wakeUp.taskId == task.taskId) then
self.wakeUp.taskInfo = task
self.wakeUp:updateInfo()
self:taskDailyListUpdate()
elseif(type == 4 and self.zhenyao.taskId == task.taskId)then
self.zhenyao.taskInfo = task
self.zhenyao:updateInfo()
self:taskDailyListUpdate()
elseif(type == 5 and self.club.taskId == task.taskId)then
self.club.taskInfo = task
self.club:updateInfo()
self:taskDailyListUpdate()
end
if(not task.isSubmit) then
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_addTask,self,task))
end
end
function TaskItemList:removeTask(id)
local task = self._task[id]
if(task ~= nil)then
local type = task:getTemplate().taskType
if(type == 2)then
self.wakeUp:dispose()
elseif(type == 4)then
self.zhenyao:dispose()
elseif(type == 5)then
self.club:dispose()
end
task:dispose()
end
self._task[id] = nil
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_removeTask,self,id))
end
function TaskItemList:taskListUpdate()
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_taskList,self,nil))
end
function TaskItemList:taskDailyListUpdate()
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_taskDaily,self,nil))
end
function TaskItemList:getTask(id)
return self._task[id]
end
--获取已接未提交任务
function TaskItemList:getTaskList()
return self._task
end
function TaskItemList:addCompleteTask(info)
self.completeList[info.taskId] = info
end
function TaskItemList:getCompleteTask(id)
return self.completeList[id]
end
--获取可接任务，taskType -1不限类型
function TaskItemList:getCanAccept(taskType)
local result = {}
local list = globalData.allTemplates.taskTemplateList:getList()
for k,v in pairs(list) do
if((taskType == -1 or taskType == v.taskType) and self:taskCanAccept(v))then
table.insert(result,v)
end
end
return result
end
function TaskItemList:getCanAcceptList()
local result = {}
local list = globalData.allTemplates.taskTemplateList:getList()
for k,v in pairs(list) do
if(self:taskCanAccept(v,true) and v:isShowInFollow() and v.taskType ~= 2)then
table.insert(result,v)
end
end
return result
end
function TaskItemList:getCanAcceptByNpcId( npcId )
local result = {}
local list = globalData.allTemplates.taskTemplateList:getList()
for k,v in pairs(list) do
if(v.acceptNpc == npcId and self:taskCanAccept(v))then
table.insert(result,v)
end
end
return result
end
--任务是否可接(或可见)
function TaskItemList:taskCanAccept(taskTemplate,isView)
if(isView == nil or isView == false) then
if(taskTemplate:getCanAccept() == false)then return false end
else
if(taskTemplate:getCanAcceptOrView() == false)then return false end
end
local taskItemInfo = self:getTask(taskTemplate.taskId)
if(taskItemInfo ~= nil)then
return false
end
local completeInfo = self:getCompleteTask(taskTemplate.taskId)
if(completeInfo ~= nil)then
--是否还有可接次数
return completeInfo:getCanAccept()
end
return true
end
--获取未提交任务
function TaskItemList:getTaskNotSubmit()
local result = {}
result["canSubmit"] = {}
result["cantSubmit"] = {}
for k,v in pairs(self._task) do
--有可能任务已提交，但是还没从列表中删除
if(v.state ~= globalData.allStaticTypes.taskStaticInfo.submit)then
if(v:checkMissionComplete())then
table.insert(result["canSubmit"],v)
else
table.insert(result["cantSubmit"],v)
end
end
end
return result
end
--获取NPC身上未提交的任务
--return {"canSubmit":vector<TaskItemInfo>,"cantSubmit":vector<TaskItemInfo>}
function TaskItemList:getTaskNotSubmitByNpcId(npcId )
local result = {}
result["canSubmit"] = {}
result["cantSubmit"] = {}
for k,v in pairs(self._task) do
if(v:getCurrentMission().finishNpc == npcId and v.state ~= globalData.allStaticTypes.taskStaticInfo.submit)then
if(v:checkMissionComplete())then
table.insert(result["canSubmit"],v)
else
table.insert(result["cantSubmit"],v)
end
end
end
return result
end
--清除所有数据，重连时调用
function TaskItemList:clearAllData()
for k,v in pairs(self._task) do
if(v ~= nil)then
local type = v:getTemplate().taskType
v:dispose()
end
end
self._task = {}
self.completeList = {}
--	globalData:changeCharacter(0)
if(self.zhenyao ~= nil)then
self.zhenyao:dispose()
end
self.zhenyao = TaskRefleshItemInfo:new()
if(self.club ~= nil)then
self.club:dispose()
end
self.club = TaskRefleshItemInfo:new()
if(self.wakeUp ~= nil)then
self.wakeUp:dispose()
end
self.wakeUp = TaskRefleshItemInfo:new()
self.finish1 = -1
self.finish2 = -1
self.finish3 = -1
end
TaskMissionTemplateInfo = class("TaskMissionTemplateInfo",function()
local tm = {}
tm.condition = 0
--奖厉
tm.awardCopper = 0
tm.awardExp = 0
tm.awardYB = 0
tm.awardContribute = 0--帮贡
tm.awardClubMoney = 0--帮派资金
tm.awardActivity = 0--活跃度
tm.awardFeats = 0--功勋
tm.finishTarget = ""--完成目标
tm.finishNpc = 0
tm._finishContentId = ""--完成任务对白
tm.finishCanFly = false--能否传送完成任务
tm.entrustYB = 0--立即完成需要YB
tm.awardActivity = 0--活跃度
--vector<point>
tm.data = nil
--vector<TaskRewardTemplateInfo>
tm.awardList = {}
--未完成任务事件
tm.notFinishTrigger = {}
--客户端检测完成事件(finish not submit)
tm.finish1Trigger = {}
--服务器通知完成事件(submited)(单环提交，总提交在taskTemplateInfo里触发)
tm.finish2Trigger = {}
return tm
end)
function TaskMissionTemplateInfo:init(data)
self.entrustYB = data:readInt()
self.awardCopper = data:readInt()
self.awardExp = data:readInt()
self.awardYB = data:readInt()
self.awardContribute = data:readInt()
self.awardClubMoney = data:readInt()
self.awardActivity = data:readInt()
self.awardFeats = data:readInt()
self.condition = data:readInt()
self.finishCanFly = data:readBoolean()
self.data = globalManager.messageUtils:changeStrToPointList(data:readString())
self.finishTarget = data:readString()
self.finishNpc = data:readInt()
self._finishContentId = data:readString()
local len = data:readInt()
for i = 1,len,1 do
local trigger = TriggerInfo:new()
trigger:init(data)
table.insert(self.notFinishTrigger, trigger)
end
len = data:readInt()
for i = 1,len,1 do
local trigger = TriggerInfo:new()
trigger:init(data)
table.insert(self.finish1Trigger, trigger)
end
len = data:readInt()
for i = 1,len,1 do
local trigger = TriggerInfo:new()
trigger:init(data)
table.insert(self.finish2Trigger, trigger)
end
len = data:readInt()
for i = 1,len,1 do
local award = TaskRewardTemplateInfo:new()
award:init(data)
table.insert(self.awardList, award)
end
end
function TaskMissionTemplateInfo:getAwardList()
local list = {}
for i,award in pairs(self.awardList) do
if(award.career == 0 or award.career == globalData.allStaticTypes.careerType:getCareer(globalData.selfPlayerInfo.career))then
table.insert(list, award)
end
end
return list
end
function TaskMissionTemplateInfo:getFinishContent()
return self._finishContentId
end
function TaskMissionTemplateInfo:getNotFinishDescript()
return self.finishTarget
end
function TaskMissionTemplateInfo:getFinishDescript()
local npc = globalData.allTemplates.npcTemplateList:getNpc(self.finishNpc)
if(npc ~= nil)then
return string.format(globalManager.yuyanbaoManager:getYuyanbao("TaskMissionTemplateInfo.text1"),npc.name)
end
return globalManager.yuyanbaoManager:getYuyanbao("NpcPanelTaskView.text4")
end
TaskRefleshItemInfo = class("TaskRefleshItemInfo",function(self)
local tr = {}
--已接任务ID
tr.taskId = 0
--当天第几环，每天清0
tr.amount = 0
--已刷次数，VIP可能免费(0--n)
tr.hadRefleshTimes = 0
--每10环奖历，当前第几环(0--10)（镇妖）
tr.awardTimes = 0
tr.taskInfo = nil
tr.tempTaskInfo = nil
return tr
end)
function TaskRefleshItemInfo:updateInfo()
self.taskInfo = globalData.taskItemList:getTask(self.taskId)
self.tempTaskInfo = globalData.allTemplates.taskTemplateList:getTask(self.taskId)
end
function TaskRefleshItemInfo:dispose()
self.taskInfo = nil
self.tempTaskInfo = nil
end
TaskRewardTemplateInfo = class("TaskRewardTemplateInfo",function()
local tr = {}
tr.rewardId = 0
tr.career = 0
tr.count = 0
tr.isBind = false
tr.sex = 0--0:不限,1:男,2:女
tr.templateId = 0--物品ID
tr.validDate = 0--有效期
tr.strengthLv = 0--强化等级
tr._goods = nil
return tr
end)
function TaskRewardTemplateInfo:init(data)
self.rewardId = data:readInt()
self.career = data:readInt()
self.count = data:readInt()
self.isBind = data:readBoolean()
self.sex = data:readInt()
self.templateId = data:readInt()
self.validDate = data:readInt()
self.strengthLv = data:readByte()
end
function TaskRewardTemplateInfo:getGoods()
if(self._goods == nil)then
self._goods = GoodsInfo:new()
self._goods:setTemplateId(self.templateId)
self._goods.isBind = self.isBind
self._goods.count = self.count
end
return self._goods
end
TaskTemplateInfo = class("TaskTemplateInfo",function()
local tt = {}
tt.taskId = 0
--任务类型 1:主线 2：支线 3：灵珠 4：镇妖 5：帮派
tt.taskType = 0
tt.title = ""
tt.acceptNpc = 0
tt._acceptContentId = ""--接受任务对白
tt.timeLimit = false--时间限制：若无限制，beginDate和endDate两个参数不起效
tt.beginDate = 0
tt.endDate = 0
tt.visibleLv = 0
tt.maxLv = 0
tt.minLv = 0
tt.maxClubLv = 0
tt.minClubLv = 0
tt.needCareer = 0
tt.needSex = 0
tt.canCancel = false
tt.canRepeat = false--能否重复
tt.repeatCount = 0--重复次数
tt.repeatDay = 0--
tt.canReset = false-- 能否重置
tt.acceptCanFly = false--接受时能否传送
tt.quality = 0
tt.isAuto = true    --是否自动执行接受触发
--前置任务，后置任务vector<int>
tt.preTaskIds = {}
tt.nextTaskIds = {}
tt.acceptTarget = {}--任务目标
--接受任务事件
tt.acceptTriggers = {}
--提交任务事件
tt.submitTriggers = {}
--关卡，vector<TaskMissionTemplateInfo>
tt.taskMissions = {}
return tt
end)
function TaskTemplateInfo:init(data)
self.taskId = data:readInt()
self.beginDate = data:readInt()
--canJump
self.canRepeat = data:readBoolean()
self.canReset = data:readBoolean()
--condition
self._acceptContentId = data:readString()
self.endDate = data:readInt()
self.maxLv = data:readInt()
self.minLv = data:readInt()
self.maxClubLv = data:readInt()
self.minClubLv = data:readInt()
local tmpstr = data:readString()
self.nextTaskIds = globalManager.messageUtils:splitStringToInt(tmpstr,",")
self.acceptNpc = data:readInt()
tmpstr = data:readString()
self.preTaskIds = globalManager.messageUtils:splitStringToInt(tmpstr,",")
self.repeatCount = data:readInt()
self.repeatDay = data:readInt()
self.timeLimit = data:readBoolean()
self.title = data:readString()
self.taskType = data:readInt()
self.needCareer = data:readInt()
self.needSex = data:readInt()
--四个委托
self.acceptCanFly = data:readBoolean()
self.visibleLv = data:readInt()
--autoAccept,autoFinish,needItemId,needCopper
self.quality = data:readInt()
self.canCancel = data:readBoolean()
self.isAuto = data:readBoolean()
local len = data:readInt()
for i = 1,len,1 do
local trigger = TriggerInfo:new()
trigger:init(data)
table.insert(self.acceptTarget,trigger)
end
len = data:readInt()
for i = 1,len,1 do
local trigger = TriggerInfo:new()
trigger:init(data)
table.insert(self.acceptTriggers,trigger)
end
len = data:readInt()
for i = 1,len,1 do
local trigger = TriggerInfo:new()
trigger:init(data)
table.insert(self.submitTriggers, trigger)
end
--mission
len = data:readInt()
for i = 1,len,1 do
local mission = TaskMissionTemplateInfo:new()
mission:init(data)
table.insert(self.taskMissions, mission)
end
end
function TaskTemplateInfo:getAcceptContent()
return self._acceptContentId
end
function TaskTemplateInfo:getCanAccept()
if(self.taskType == 4 or self.taskType == 5) then return false end
if(globalData.selfPlayerInfo.level < self.minLv or globalData.selfPlayerInfo.level > self.maxLv)then
return false
end
local preLen = table.getn(self.preTaskIds)
local needPre = false
if(preLen > 0)then
needPre = true
for i = 1,preLen,1 do
--有一个完成就可以往下接任务
if(self.preTaskIds[i] > 0 and globalData.taskItemList:getCompleteTask(self.preTaskIds[i]) ~= nil)then
needPre = false
break
end
end
end
if(needPre)then return false end
if(self.timeLimit)then
local currentDate = globalData.systemDateInfo:getSystemTime()
if(currentDate - self.beginDate < 0 or self.endDate - currentDate < 0)then
return false
end
end
if(self.needCareer ~= -1 and self.needCareer ~= globalData.selfPlayerInfo.career)then
return false
end
return true
end
function TaskTemplateInfo:getCanAcceptOrView()
if(self.taskType == 4 or self.taskType == 5) then return false end
if(globalData.selfPlayerInfo.level < self.visibleLv or globalData.selfPlayerInfo.level > self.maxLv)then
return false
end
local preLen = table.getn(self.preTaskIds)
local needPre = false
if(preLen > 0)then
needPre = true
for i = 1,preLen,1 do
--有一个完成就可以往下接任务
if(self.preTaskIds[i] > 0 and globalData.taskItemList:getCompleteTask(self.preTaskIds[i]) ~= nil)then
needPre = false
break
end
end
end
if(needPre)then return false end
if(self.timeLimit)then
local currentDate = globalData.systemDateInfo:getSystemTime() / 1000
if(currentDate - self.beginDate < 0 or self.endDate - currentDate < 0)then
return false
end
end
if(self.needCareer ~= -1 and self.needCareer ~= globalData.selfPlayerInfo.career)then
return false
end
return true
end
function TaskTemplateInfo:isShowInFollow()
--self.taskType
if(self.taskType == 3 or self.taskType == 4 or self.taskType == 5)then return false end
return true
end
function TaskTemplateInfo:getFirstMission()
return self.taskMissions[1]
end
function TaskTemplateInfo:getAcceptFollowDescript()
if(#self.acceptTarget > 0)then
return self.acceptTarget[1].descript
end
return ""
end
function TaskTemplateInfo:getTypeString()
if(self.taskType == 1) then--主
return globalManager.yuyanbaoManager:getYuyanbao("TaskTemplateInfo.text1")
elseif(self.taskType == 2 or self.taskType == 6) then--醒
return globalManager.yuyanbaoManager:getYuyanbao("TaskTemplateInfo.text6")
elseif(self.taskType == 4) then--环
return globalManager.yuyanbaoManager:getYuyanbao("TaskTemplateInfo.text3")
elseif(self.taskType == 5) then--帮
return globalManager.yuyanbaoManager:getYuyanbao("TaskTemplateInfo.text4")
else--支
return globalManager.yuyanbaoManager:getYuyanbao("TaskTemplateInfo.text5")
end
end
--##globalData.allTemplates.taskTemplateList
TaskTemplateList = class("TaskTemplateList",function()
local tt = BaseTemplateList:new()
tt._list = {}
return tt
end)
function TaskTemplateList:parseOne()
local task = TaskTemplateInfo:new()
task:init(self._templateData)
self._list[task.taskId] = task
end
function TaskTemplateList:parsePreFrame()
return 50
end
function TaskTemplateList:getList()
return self._list
end
function TaskTemplateList:getTask(id)
local task = self._list[id]
return task
end
--完成任务触发事件
function TaskTemplateList:handleSubmitTrigger( id )
local template = self:getTask(id)
local list = template.submitTriggers
--    if(template.taskType == 1) then
--    	globalData:changeCharacter(0)
--    end
if(list ~= nil and table.getn(list) > 0)then
globalManager.triggerManager:handlerList(list)
end
end
TaskWakeUpTemplateInfo = class("TaskWakeUpTemplateInfo",function()
local temp = {}
temp.level = 0
--固定奖利vector<TaskRewardTemplateInfo>
temp.rewardList = {}
--固定五个star vector<vector<int>>,ID，数量|ID，数量
temp.startRewardList = nil
return temp
end)
function TaskWakeUpTemplateInfo:init(data )
self.level = data:readShort()
self.tmpList = globalManager.messageUtils:changeStrToIntList(data:readString())
local rewardListLen = table.getn(self.tmpList)
for i = 1,rewardListLen,1 do
local rewardTmp = self.tmpList[i]
local reward = TaskRewardTemplateInfo:new()
reward.templateId = rewardTmp[1]
reward.count = rewardTmp[2]
reward.isBind = (rewardTmp[3] == 1)
table.insert(self.rewardList,reward)
end
self.startRewardList = globalManager.messageUtils:changeStrToIntList(data:readString())
end
TaskWakeUpTemplateList = class("TaskWakeUpTemplateList",function()
local temp = BaseTemplateList:new()
temp.list = {}
return temp
end)
function TaskWakeUpTemplateList:parseOne()
local info = TaskWakeUpTemplateInfo:new()
info:init(self._templateData)
table.insert(self.list,info)
end
function TaskWakeUpTemplateList:getTemplate(id)
local info = self.list[id]
return info
end
TaskZhenyaoTemplateInfo = class("TaskZhenyaoTemplateInfo",function()
local tz = {}
tz.level = 0
--固定奖利vector<TaskRewardTemplateInfo>
tz.rewardList = {}
--固定五个star vector<vector<int>>,ID，数量|ID，数量
tz.startRewardList = nil
return tz
end)
function TaskZhenyaoTemplateInfo:init(data )
self.level = data:readShort()
self.tmpList = globalManager.messageUtils:changeStrToIntList(data:readString())
local rewardListLen = table.getn(self.tmpList)
for i = 1,rewardListLen,1 do
local rewardTmp = self.tmpList[i]
local reward = TaskRewardTemplateInfo:new()
reward.templateId = rewardTmp[1]
reward.count = rewardTmp[2]
reward.isBind = (rewardTmp[3] == 1)
table.insert(self.rewardList,reward)
end
self.startRewardList = globalManager.messageUtils:changeStrToIntList(data:readString())
end
TaskZhenyaoTemplateList = class("TaskZhenyaoTemplateList",function()
local tz = BaseTemplateList:new()
tz.list = {}
return tz
end)
function TaskZhenyaoTemplateList:parseOne()
local info = TaskZhenyaoTemplateInfo:new()
info:init(self._templateData)
self.list[info.level] = info
end
function TaskZhenyaoTemplateList:getTemplate(level)
local info = self.list[level]
return info
end
TaskClubTemplateInfo = class("TaskClubTemplateInfo", function()
local self = {}
self.level = 0
--固定奖利vector<TaskRewardTemplateInfo>
self.rewardList = {}
--固定五个star vector<vector<int>>,ID，数量|ID，数量
self.startRewardList = nil
return self
end)
function TaskClubTemplateInfo:init(data)
self.level = data:readShort()
self.tmpList = globalManager.messageUtils:changeStrToIntList(data:readString())
local rewardListLen = table.getn(self.tmpList)
for i = 1,rewardListLen,1 do
local rewardTmp = self.tmpList[i]
local reward = TaskRewardTemplateInfo:new()
reward.templateId = rewardTmp[1]
reward.count = rewardTmp[2]
reward.isBind = (rewardTmp[3] == 1)
table.insert(self.rewardList,reward)
end
self.startRewardList = globalManager.messageUtils:changeStrToIntList(data:readString())
end
TaskClubTemplateList = class("TaskClubTemplateList", function()
local self = BaseTemplateList:new()
self.list = {}
return self
end)
function TaskClubTemplateList:parseOne()
local info = TaskClubTemplateInfo:new()
info:init(self._templateData)
self.list[info.level] = info
end
function TaskClubTemplateList:getTemplate(level)
local info = self.list[level]
return info
end
TitleInfo = class("TitleInfo",function()
local ti = {}
ti.templateId = 0
--到期时间
ti.time = 0
return ti
end)
function TitleInfo:getTemplate()
return globalData.allTemplates.titleTemplateList:getTitle(self.templateId)
end
function TitleInfo:addTitle(ttt)
end
function TitleInfo:dispose()
end
TitleList = class("TitleList",function()
local tl = EventDispatcher:new()
--map<int,TitleInfo>
tl.list = {}
tl.__eventDispose = tl.dispose
--临时称号，副本中用，优先于当前称号
tl._tempTitleId = 0
tl.currentTitleId = 0
return tl
end)
function TitleList:setTempTitleId( titleId )
if(self._tempTitleId == titleId)then
return
end
self._tempTitleId = titleId
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_changeTitle,self,titleId))
end
function TitleList:getTempTitleId()
return self._tempTitleId
end
function TitleList:setCurrentTitleId(titleId)
if(self.currentTitleId == titleId)then
return
end
self.currentTitleId = titleId
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_changeTitle,self,titleId))
end
function TitleList:getCurrentTitleId()
return self.currentTitleId
end
function TitleList:addTitle(title)
if(self:getTitle(title.templateId) ~= nil)then
else
table.insert(self.list, title)
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_addTitle,self,title))
end
end
function TitleList:removeTitle(titleId)
local title = self:getTitle(titleId)
if(title ~= nil)then
globalManager.commonUtils:removeItemInTable(self.list, title)
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_removeTitle,self,title))
title:dispose()
end
end
function TitleList:getTitle(titleId)
for __,info in pairs(self.list) do
if(info.templateId == titleId)then
return info
end
end
return nil
end
--获取当前成长称号在成长称号列表中的索引
function TitleList:getGrowTitleIndex()
local result = 1
local list = globalData.allTemplates.titleTemplateList:getTitlesByType(1)
for i=1,#list do
if(self:getTitle(list[i].id) ~= nil)then
result = i
break
end
end
return result
end
--获取某种类型称号数量
function TitleList:getTitleCount(type)
local result = 0
for __,info in pairs(self.list) do
if(info:getTemplate().type == type)then
result = result + 1
end
end
return result
end
--初始化妖精称号，按位取固定称号
function TitleList:setPetTitle(value)
local t = globalManager.bit:d2b(value)
local len = table.getn(t)
if(t[len - 1] > 0)then
local title = TitleInfo:new()
title.templateId = globalData.allTemplates.titleTemplateList.jueshishenchon
self:addTitle(title)
else
self:removeTitle(globalData.allTemplates.titleTemplateList.jueshishenchon)
end
if(t[len] > 0)then
local title = TitleInfo:new()
title.templateId = globalData.allTemplates.titleTemplateList.tianfuyibin
self:addTitle(title)
else
self:removeTitle(globalData.allTemplates.titleTemplateList.tianfuyibin)
end
end
function TitleList:clearAllData()
for k,v in pairs(self.list) do
if(v ~= nil)then
v:dispose()
end
end
self.list = {}
self.currentTitleId = 0
self._tempTitleId = 0
end
function TitleList:dispose()
self:clearAllData()
self.list = nil
self:__eventDispose()
self.__eventDispose = nil
end
TitleTemplateInfo = class("TitleTemplateInfo",function()
local tt = {}
tt.id = 0
tt.name = ""
tt.time = 0  --有效时间,单位：秒,0代表永久
tt.fight = 0
tt.propertys = {}
tt.type = 0 --称号类型，1成长称号，2VIP称号，3活动称号
tt.resouceType = 0 --0：文字称号 1：图片称号  2：特效称号
tt.descript = ""
tt.picPath = "" --
tt.quality = 0  --称号品质
tt.agentIdList = "" --显示平台类型
return tt
end)
function TitleTemplateInfo:init(bytes)
self.id = bytes:readInt()
self.name = bytes:readString()
self.type = bytes:readByte()
self.time = bytes:readInt()
self.fight = bytes:readInt()
self.propertys = globalManager.messageUtils:parseProperty(bytes:readString())
self.descript = bytes:readString()
self.picPath = bytes:readString()
self.quality = bytes:readByte()
self.resouceType = bytes:readByte()
self.agentIdList = globalManager.messageUtils:splitString(bytes:readString(),",")
end
TitleTemplateList = class("TitleTemplateList",function()
local tt = BaseTemplateList:new()
--map<int,titleTemplateInfo>
tt.titles = {}
--map<type,Vector<TitleTemplateINfo>>
tt.titleTypes = {}
--绝世神宠
tt.jueshishenchon = 10
--天赋异禀
tt.tianfuyibin = 11
return tt
end)
function TitleTemplateList:parseOne()
local title = TitleTemplateInfo:new()
title:init(self._templateData)
self.titles[title.id] = title
if(self.titleTypes[title.type] == nil)then
self.titleTypes[title.type] = {}
end
table.insert(self.titleTypes[title.type],title)
end
--不同服玩家隐藏称号
function TitleTemplateList:hideDiffServer(id)
if(id == 304 or id == 305 or id == 307)then
return true
end
return false
end
function TitleTemplateList:getTitle(id)
return self.titles[id]
end
--获取称号列表：类型 1：成长称号、3：隐藏称号、4：活动称号、6：平台称号、7：个性称号
function TitleTemplateList:getTitlesByType(type)
return self.titleTypes[type]
end
function TitleTemplateList:getTitleLen(type)
local list = self:getTitlesByType(type)
if(list == nil)then
return 0
end
if(type == 1) then
--如果有男女区分称号则-1
return #list --- 1
end
if(type ~= 6) then
return #list
end
local len = 0
for __,info in pairs(list) do
if(#info.agentIdList == 0 or (globalManager.commonUtils:getIndexOfTable(info.agentIdList,globalData.agentId.."_"..globalData.childChannel) > 0))then
len = len + 1
end
end
return len
end
function TitleTemplateList:getTitleFightValueLen(type)
local len = 0
local list = self:getTitlesByType(type)
for __,info in pairs(list) do
if(info.fight > 0)then
len = len + 1
end
end
if(type == 1) then
return len - 1
end
return len
end
ToWestTemplateInfo = class("ToWestTemplateInfo", function(self)
local temp = {}
temp.id = 0
temp.day = 0
temp.awardList = {}
temp.contentDes = ""
temp.depoly = {}
temp.type = 0
temp.condition = 0
return temp
end)
function ToWestTemplateInfo:init(data)
self.id        = data:readShort()
self.type      = data:readShort()
self.day       = data:readShort()
self.condition = data:readNumber()
self.contentDes= data:readString()
self.awardList = globalManager.messageUtils:changeStrToIntList(data:readString())
local len = data:readInt()
for i = 1,len,1 do
local trigger = TriggerInfo:new()
trigger:init(data)
table.insert(self.depoly,trigger)
end
end
ToWestTemplateList = class("ToWestTemplateList", function(self)
local temp = BaseTemplateList:new()
temp.list = {}
return temp
end)
function ToWestTemplateList:parseOne()
local template = ToWestTemplateInfo:new()
template:init(self._templateData)
table.insert(self.list,template)
end
function ToWestTemplateList:getInfoListByDay(day)
local infoList = {}
for __,info in pairs(self.list) do
if(info.day == day)then
table.insert(infoList,info)
end
end
return infoList
end
VipMallTemplateList = class("VipMallTemplateList",function()
local temp = BaseTemplateList:new()
temp.list = {}
return temp
end)
function VipMallTemplateList:parseOne()
local info = VipMallTemplateInfo:new()
info:init(self._templateData)
table.insert(self.list,info)
end
function VipMallTemplateList:getTemplate(id)
local len = #self.list
for i = 1,len,1 do
if(self.list[i].templateId == id) then
return self.list[i]
end
end
return nil
end
VipMallTemplateInfo = class("VipMallTemplateInfo",function()
local temp     = {}
temp.templateId= 0
temp.vipLow    = 0
temp.vipTop    = 0
temp.itemList  = {}
temp.flag      = 0
temp.payType   = 0
temp.price     = 0
temp.rate      = 0
temp.beginTime = 0
temp.endTime   = 0
return temp
end)
function VipMallTemplateInfo:init(data)
self.templateId= data:readInt()
self.vipLow    = data:readByte()
self.vipTop    = data:readByte()
self.itemList  = globalManager.messageUtils:changeStrToIntList(data:readString())
self.flag      = data:readInt()
self.payType   = data:readByte()
self.price     = data:readInt()
self.rate      = data:readShort()
self.beginTime = data:readInt()
self.endTime   = data:readInt()
end
VipRechargeTemplateInfo = class("VipRechargeTemplateInfo", function(self)
local temp = {}
temp.type = 0
temp.time = 0 --秒
temp.price = 0
return temp
end)
function VipRechargeTemplateInfo:init(bytes)
self.type = bytes:readByte()
self.time = bytes:readInt()
self.price = bytes:readShort()
end
VipRechargeTemplateList = class("VipRechargeTemplateList",function()
local temp = BaseTemplateList:new()
temp.list = {}
return temp
end)
function VipRechargeTemplateList:parseOne()
local info = VipRechargeTemplateInfo:new()
info:init(self._templateData)
table.insert(self.list,info)
end
function VipRechargeTemplateList:getTemplate(type)
local len = #self.list
for i = 1,len,1 do
if(self.list[i].type == type) then
return self.list[i]
end
end
return nil
end
VipTemplateInfo = class("VipTemplateInfo", function(self)
local temp = {}
temp.level = 0
temp.name = ""
temp.itemList = {}
temp.minExp = 0
temp.maxExp = 0
return temp
end)
function VipTemplateInfo:init(bytes)
self.level = bytes:readByte()
self.minExp = bytes:readNumber()
self.maxExp = bytes:readNumber()
self.name = bytes:readString()
self.itemList = globalManager.messageUtils:changeStrToIntList(bytes:readString())
end
function VipTemplateInfo:getItemCount()
local count = 0
for i = 1,#self.itemList,1 do
if(self.itemList[i][2] ~= 0)then
count = count + 1
end
end
return count
end
VipTemplateList = class("VipTemplateList", function(self)
local temp = BaseTemplateList:new()
temp.MAX_LEVEL = 0
temp.list = {}
return temp
end)
function VipTemplateList:parseOne()
local template = VipTemplateInfo:new()
template:init(self._templateData)
table.insert(self.list,template)
if(self.MAX_LEVEL < template.level) then
self.MAX_LEVEL = template.level
end
end
function VipTemplateList:getTemplate(level)
for __,template in pairs(self.list) do
if(template.level == level)then
return template
end
end
return nil
end
function VipTemplateList:getLevelByExp(exp)
--功能屏蔽：vip
if(exp <= 0)then return 0 end
--屏蔽完成
for __,template in pairs(self.list) do
if(template.minExp <= exp and template.maxExp > exp)then
return template.level
end
end
return self.MAX_LEVEL
end
WakeUpTemplateInfo = class("WakeUpTemplateInfo",function()
local temp     = {}
temp.templateId = 0
temp.name = nil
temp.needLevel = 0
temp.item = {}
return temp
end)
function WakeUpTemplateInfo:init(data)
self.templateId = data:readByte()
self.needLevel = data:readShort()
self.name = data:readString()
self.item = globalManager.messageUtils:changeStrToIntList(data:readString())
end
WakeUpTemplateList = class("WakeUpTemplateList",function()
local temp = BaseTemplateList:new()
temp.list = {}
return temp
end)
function WakeUpTemplateList:parseOne()
local info = WakeUpTemplateInfo:new()
info:init(self._templateData)
table.insert(self.list,info)
end
function WakeUpTemplateList:getTemplate(id)
local len = #self.list
for i = 1,len,1 do
if(self.list[i].templateId == id) then
return self.list[i]
end
end
return nil
end
DayAwardTemplateInfo = class("DayAwardTemplateInfo", function(self)
local temp = {}
temp.day = 0
temp.awardList = {}
return temp
end)
function DayAwardTemplateInfo:init(bytes)
self.day = bytes:readByte()
self.awardList = globalManager.messageUtils:changeStrToIntList(bytes:readString())
end
--7日登陆模板
DayAwardTemplateList = class("DayAwardTemplateList", function(self)
local temp = BaseTemplateList:new()
temp.list = {}
return temp
end)
function DayAwardTemplateList:parseOne()
local item = DayAwardTemplateInfo:new()
item:init(self._templateData)
table.insert(self.list, item)
end
function DayAwardTemplateList:getTemplate(day)
for __,data in pairs(self.list) do
if(data.day == day)then
return data
end
end
return nil
end
MonthAwardTemplateInfo = class("MonthAwardTemplateInfo", function(self)
local temp = {}
temp.day = 0
temp.awardList = {}
temp.vipDouble = 0
temp.fee = 0
temp.realValue = 0
return temp
end)
function MonthAwardTemplateInfo:init(bytes)
self.day = bytes:readByte()
self.awardList = globalManager.messageUtils:splitStringToInt(bytes:readString(),",")
self.vipDouble = bytes:readByte()
self.fee = bytes:readShort()
self.realValue = bytes:readShort()
end
MonthAwardTemplateList = class("MonthAwardTemplateList", function(self)
local temp = BaseTemplateList:new()
temp.list = {}
return temp
end)
function MonthAwardTemplateList:parseOne()
local item = MonthAwardTemplateInfo:new()
item:init(self._templateData)
self.list[item.day] = item
end
function MonthAwardTemplateList:getTemplate(day)
return self.list[day]
end
WelfareLevelTemplateInfo = class("WelfareLevelTemplateInfo", function(self)
local temp = {}
temp.level = 0
temp.item_list = {}
return temp
end)
function WelfareLevelTemplateInfo:init(bytes)
self.level = bytes:readShort()
self.item_list = globalManager.messageUtils:changeStrToIntList(bytes:readString())
end
WelfareLevelTemplateList = class("WelfareLevelTemplateList", function(self)
local temp = BaseTemplateList:new()
temp.list = {}
return temp
end)
function WelfareLevelTemplateList:parseOne()
local item = WelfareLevelTemplateInfo:new()
item:init(self._templateData)
table.insert(self.list, item)
end
function WelfareLevelTemplateList:getTemplate(level)
for __,data in pairs(self.list) do
if(data.level == level)then
return data
end
end
return nil
end
WelfareRankAwardTemplateInfo = class("WelfareRankAwardTemplateInfo", function(self)
local temp = {}
temp.id = 0
temp.title = ""
temp.awardList = {}
return temp
end)
function WelfareRankAwardTemplateInfo:init(bytes)
self.id        = bytes:readShort()
self.title     = bytes:readString()
self.awardList = globalManager.messageUtils:changeStrToIntList(bytes:readString())
end
WelfareRankAwardTemplateList = class("WelfareRankAwardTemplateList", function(self)
local temp = BaseTemplateList:new()
temp.list = {}
return temp
end)
function WelfareRankAwardTemplateList:parseOne()
local item = WelfareRankAwardTemplateInfo:new()
item:init(self._templateData)
table.insert(self.list, item)
end
WorldBossTemplateInfo = class("WorldBossTemplateInfo",function()
local wb = {}
wb.descript = ""
wb.items = {}
wb.monsterId = 0
--0世界boss,1精英boss
wb.type = 0
--0正常boss,1狂暴
wb.kuangbao = 0
--传送点
wb.mapId = 0
wb.posList = nil
return wb
end)
function WorldBossTemplateInfo:init(bytes)
self.monsterId = bytes:readInt()
self.type = bytes:readByte()
self.kuangbao = bytes:readByte()
self.descript = bytes:readString()
self.items = globalManager.messageUtils:splitStringToInt(bytes:readString(),",")
self.mapId = bytes:readInt()
self.posList = globalManager.messageUtils:changeStrToPointList(bytes:readString())
end
WorldBossTemplateList = class("WorldBossTemplateList",function()
local wb = BaseTemplateList:new()
--vector
wb.list = {}
return wb
end)
function WorldBossTemplateList:parseOne()
local item = WorldBossTemplateInfo:new()
item:init(self._templateData)
table.insert(self.list,item)
end
function WorldBossTemplateList:getTemplate(templateId)
local len = table.getn(self.list)
for i = 1,len,1 do
if(self.list[i].monsterId == templateId)then
return self.list[i]
end
end
return nil
end
WuHunTemplateInfo = class("WuHunTemplateInfo", function(_, id, list)
local self = {}
-- self.id         = id
-- self._list      = list
-- self.stageProps = {}
self.wuhunLevel = 0
self.attr1      = nil    --基础属性
self.attr2      = nil    --阶段属性
self.needLevel  = 0
self.needCopper = 0
self.luckyNum   = 0
return self
end)
function WuHunTemplateInfo:init(bytes)
-- for i = 1, #self._list.property do
-- 	local info = {}
-- 	info.propertyId = self._list.property[i]
-- 	info.propertyValue = self._list:getStageValue( self.id * 10, i )
-- 	table.insert( self.stageProps, info )
-- end
self.wuhunLevel   = bytes:readShort()
self.attr1        = globalManager.messageUtils:parseProperty(bytes:readString())
self.attr2        = globalManager.messageUtils:parseProperty(bytes:readString())
self.needLevel    = bytes:readShort()
--	self.needCopper   = bytes:readShort()
self.needCopper   = bytes:readInt()
self.luckyNum     = bytes:readShort()
end
function WuHunTemplateInfo:getBaseAttr(propertyId)
for i = 1, #self.attr1 do
local p = self.attr1[i]
if(p.propertyId == propertyId) then
return p.propertyValue
end
end
return 0
end
function WuHunTemplateInfo:getBaseAttr2(propertyId)
for i = 1, #self.attr2 do
local p = self.attr2
if (p.propertyId == propertyId) then
return p.propertyValue
end
end
return 0
end
WuHunTemplateList = class("WuHunTemplateList", function()
local self = BaseTemplateList:new()
self.topLevel   = 0
self.stageIcons = nil
self.property   = nil
-- 属性类型的系数
self.pProperty  = {}
-- 阶段属性类型的系数
self.sProperty  = {}
self.list  = {}
self.maxLevel = 0
return self
end)
function WuHunTemplateList:parseOne()
local temp = WuHunTemplateInfo:new()
temp:init(self._templateData)
self.list[temp.wuhunLevel] = temp
self.maxLevel = self.maxLevel + 1
end
function WuHunTemplateList:getTemplate(level)
return self.list[level]
end
function WuHunTemplateList:getTopLevel()
return self.maxLevel * 8
end
BaseXiaofeiItemInfo = class("BaseXiaofeiItemInfo",function()
local pt = EventDispatcher:new()
pt.stage = 0--品阶做模板主键
pt.wishDate = 0
pt.qianneng = 0
pt.chengzhang = 0
pt.feisheng = 0
pt.fight = 0
pt.template = nil
pt.skillList = nil
pt.valueList = nil
pt.isShow = false
pt.huanhua = 0
pt.huaXing = {}
pt.talentList = {0,0,0,0,0,0,0}
--化形进化
pt.jinHuaId   = 0
pt.jinHuaList = {}     --进化物品的等级
return pt
end)
function BaseXiaofeiItemInfo:updateBaseInfo(data)
self.wishDate = data:readInt()
self.qianneng = data:readShort()
self.chengzhang = data:readShort()
self.feisheng = data:readShort()
self.fight = data:readInt()
self.huanhua = data:readUByte()
local len = data:readByte()
self.skillList = {}
for i = 1,len,1 do
local id = data:readInt()
self.skillList[id] = data:readByte()
end
self.valueList = {}
local len2 = data:readByte()
for i = 1,len2,1 do
local id2 = data:readInt()
self.valueList[id2] = data:readInt()
end
end
function BaseXiaofeiItemInfo:setHuanHuaStage(stage)
self.huanhua = stage
end
function BaseXiaofeiItemInfo:setHuaXingInfo(data)
self.huaXing = {}
local len = data:readByte()
for i = 1,len,1 do
local id = data:readShort()
table.insert(self.huaXing,id)
end
end
function BaseXiaofeiItemInfo:setJinhuaInfoInfo(data)
self.jinHuaId = data:readInt()
local len = data:readByte()
self.jinHuaList = {}
for i = 1,len,1 do
local id = data:readInt()
local level = data:readShort()
self.jinHuaList[id] = level
end
end
function BaseXiaofeiItemInfo:setTalentInfo(data)
local len = data:readByte()
for i = 1,len,1 do
local index = data:readByte()
local level = data:readShort()
self.talentList[index] = level
end
end
function BaseXiaofeiItemInfo:clearAllData()
self.stage = 0
self.wishDate = 0
self.qianneng = 0
self.chengzhang = 0
self.feisheng = 0
self.fight = 0
self.template = nil
self.skillList = nil
self.valueList = nil
self.huaXing   = {}
self.talentList = {0,0,0,0,0,0,0}
self.jinHuaId   = 0
self.jinHuaList = {}
end
FazhenItemInfo = class("FazhenItemInfo",function()
local pt = BaseXiaofeiItemInfo:new()
pt.__clearAllData = pt.clearAllData
pt.isShow = false
return pt
end)
function FazhenItemInfo:setStage(value)
if(self.stage == value)then
return
end
self.stage = value
self.template = globalData.allTemplates.xiaofeiTemplateList:getTemplate(globalData.allStaticTypes.petXiaofeiType.FAZHEN, self.stage)
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_fazhenTemplate,self))
end
function FazhenItemInfo:updateInfo(data)
self:setStage(data:readShort())
self:updateBaseInfo(data)
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_fazhenInfo,self, self))
end
function FazhenItemInfo:setShow(value)
if(value ~= self.isShow) then
self.isShow = value
end
end
function FazhenItemInfo:setHuanHua(stage)
if(self.huanhua == stage) then return end
self:setHuanHuaStage(stage)
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_fazhenHuanhua,self))
end
function FazhenItemInfo:setHuaXing(data)
self:setHuaXingInfo(data)
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_fazhenHuaXing,self,6))
end
function FazhenItemInfo:setJinhuaInfo(data)
self:setJinhuaInfoInfo(data)
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_fazhenJinHua,self,6))
end
function FazhenItemInfo:clearAllData()
self:__clearAllData()
end
GodItemInfo = class("GodItemInfo",function()
local pt = BaseXiaofeiItemInfo:new()
pt.__clearAllData = pt.clearAllData
return pt
end)
function GodItemInfo:setStage(value)
if(self.stage == value)then
return
end
self.stage = value
self.template = globalData.allTemplates.xiaofeiTemplateList:getTemplate(globalData.allStaticTypes.petXiaofeiType.SHENBING, self.stage)
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_godTemplate,self))
if(self.stage == 1) then
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_addGod,self))
end
end
function GodItemInfo:updateInfo(data)
self:setStage(data:readShort())
self:updateBaseInfo(data)
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_godInfo,self,self))
end
function GodItemInfo:setHuanHua(stage)
if(self.huanhua == stage) then return end
self:setHuanHuaStage(stage)
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_godHuanhua,self))
end
function GodItemInfo:clearAllData()
self:__clearAllData()
end
LonghunItemInfo = class("LonghunItemInfo",function()
local pt = BaseXiaofeiItemInfo:new()
pt.__clearAllData = pt.clearAllData
return pt
end)
function LonghunItemInfo:setStage(value)
if(self.stage == value)then
return
end
self.stage = value
self.template = globalData.allTemplates.xiaofeiTemplateList:getTemplate(globalData.allStaticTypes.petXiaofeiType.LONGHUN, self.stage)
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_longhunTemplate,self))
--    self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_longHunShowType,self))
end
function LonghunItemInfo:updateInfo(data)
self:setStage(data:readShort())
self:updateBaseInfo(data)
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_longhunInfo,self,self))
end
function LonghunItemInfo:setShow(value)
if(value ~= self.isShow) then
self.isShow = value
--		self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_longHunShowType,self))
end
end
function LonghunItemInfo:setHuanHua(stage)
if(self.huanhua == stage) then return end
self:setHuanHuaStage(stage)
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_longhunHuanhua,self))
end
function LonghunItemInfo:clearAllData()
self:__clearAllData()
end
RiderItemInfo = class("RiderItemInfo",function()
local pt = BaseXiaofeiItemInfo:new()
pt.__clearAllData = pt.clearAllData
return pt
end)
function RiderItemInfo:setStage(value)
if(self.stage == value)then
return
end
self.stage = value
self.template = globalData.allTemplates.xiaofeiTemplateList:getTemplate(globalData.allStaticTypes.petXiaofeiType.ZUOQI, self.stage)
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_riderTemplate,self))
if(self.stage == 1) then
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_addRider,self))
end
end
function RiderItemInfo:updateInfo(data)
self:setStage(data:readShort())
self:updateBaseInfo(data)
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_riderInfo,self,self))
end
function RiderItemInfo:updateTalentInfo(data)
self:setTalentInfo(data)
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_riderTalentUpdate,self))
end
function RiderItemInfo:setHuanHua(stage)
if(self.huanhua == stage) then return end
self:setHuanHuaStage(stage)
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_riderHuanhua,self))
end
function RiderItemInfo:setHuaXing(data)
self:setHuaXingInfo(data)
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_riderHuaXing,self,2))
end
function RiderItemInfo:setJinhuaInfo(data)
self:setJinhuaInfoInfo(data)
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_riderJinHua,self,2))
end
function RiderItemInfo:clearAllData()
self:__clearAllData()
end
SpriteItemInfo = class("SpriteItemInfo",function()
local pt = BaseXiaofeiItemInfo:new()
pt.__clearAllData = pt.clearAllData
return pt
end)
function SpriteItemInfo:setStage(value)
if(self.stage == value)then
return
end
self.stage = value
self.template = globalData.allTemplates.xiaofeiTemplateList:getTemplate(globalData.allStaticTypes.petXiaofeiType.JINGLING, self.stage)
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_spriteTemplate,self))
if(self.stage == 1) then
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_addSprite,self))
end
end
function SpriteItemInfo:updateInfo(data)
self:setStage(data:readShort())
self:updateBaseInfo(data)
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_spriteInfo,self,self))
end
function SpriteItemInfo:setHuanHua(stage)
if(self.huanhua == stage) then return end
self:setHuanHuaStage(stage)
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_spriteHuanhua,self))
end
function SpriteItemInfo:clearAllData()
self:__clearAllData()
end
WingItemInfo = class("WingItemInfo",function()
local pt = BaseXiaofeiItemInfo:new()
pt.__clearAllData = pt.clearAllData
return pt
end)
function WingItemInfo:setStage(value)
if(self.stage == value)then
return
end
self.stage = value
self.template = globalData.allTemplates.xiaofeiTemplateList:getTemplate(globalData.allStaticTypes.petXiaofeiType.CHIBANG, self.stage)
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_wingTemplate,self))
if(self.stage == 1) then
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_addWing,self))
end
end
function WingItemInfo:updateInfo(data)
self:setStage(data:readShort())
self:updateBaseInfo(data)
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_wingInfo,self,self))
end
function WingItemInfo:setHuanHua(stage)
if(self.huanhua == stage) then return end
self:setHuanHuaStage(stage)
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_wingHuanhua,self))
end
function WingItemInfo:setHuaXing(data)
self:setHuaXingInfo(data)
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_wingHuaXing,self,3))
end
function WingItemInfo:setJinhuaInfo(data)
self:setJinhuaInfoInfo(data)
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_wingJinHua,self,3))
end
function WingItemInfo:clearAllData()
self:__clearAllData()
end
XiaofeiTemplateInfo = class("XiaofeiTemplateInfo", function(self)
local pt = {}
pt.type = 0
pt.templateId = 0
pt.maxQianNeng = 0 --潜能上限
pt.maxChengZhang = 0 --成长上限
pt.maxFeiSheng = 0 --飞升丹上限
pt.name = nil
pt.yoffset = 0
pt.baseAttrs = {}
pt.picPath = nil
pt.picWidth = 0
pt.picHeight = 0
pt.quality = 0
pt.showPath = ""
pt.defaultFigure = ""
pt.upStarTime = 0
pt.discount = 0
pt.positionX = 0
pt.positionY = 0
return pt
end)
function XiaofeiTemplateInfo:init(bytes)
self.type = bytes:readInt()
self.templateId = bytes:readInt()
self.name = bytes:readString()
self.baseAttrs = globalManager.messageUtils:parseProperty(bytes:readString())
self.maxQianNeng = bytes:readInt()
self.maxChengZhang = bytes:readInt()
self.feiShengItem = bytes:readInt()
self.maxFeiSheng = bytes:readInt()
self.picPath = bytes:readString()
self.picWidth = bytes:readShort()
self.picHeight = bytes:readShort()
self.quality = bytes:readInt()
self.showPath = bytes:readString()
self.defaultFigure = bytes:readString()
self.upStarTime = bytes:readInt()
self.discount = bytes:readInt()*0.01
self.yoffset = bytes:readShort()
self.positionX = bytes:readShort()
self.positionY = bytes:readShort()
end
function XiaofeiTemplateInfo:getDefaultTemplate()
if(self.defaultFigure ~= "" and self.defaultFigure ~= "undefined" and self.defaultFigureTemplate == nil) then
self.defaultFigureTemplate = globalData.allTemplates.xiaofeiTemplateList:getTemplate(self.type,tonumber(self.defaultFigure))
end
return self.defaultFigureTemplate
end
function XiaofeiTemplateInfo:getYoffset()
if(globalData:isExtImageLoaded()) then
return self.yoffset
else
local templateInfo = self:getDefaultTemplate()
if(templateInfo ~= nil) then
return templateInfo.yoffset
else
return self.yoffset
end
end
end
function XiaofeiTemplateInfo:getPicWidth()
if(globalData:isExtImageLoaded()) then
return self.picWidth
else
local templateInfo = self:getDefaultTemplate()
if(templateInfo ~= nil) then
return templateInfo.picWidth
else
return self.picWidth
end
end
end
function XiaofeiTemplateInfo:getPicHeight()
if(globalData:isExtImageLoaded()) then
return self.picHeight
else
local templateInfo = self:getDefaultTemplate()
if(templateInfo ~= nil) then
return templateInfo.picHeight
else
return self.picHeight
end
end
end
function XiaofeiTemplateInfo:getEffPosition()
if(globalData:isExtImageLoaded()) then
return self.positionX, self.positionY
else
local templateInfo = self:getDefaultTemplate()
if(templateInfo ~= nil) then
return templateInfo.positionX, templateInfo.positionY
else
return self.positionX, self.positionY
end
end
end
function XiaofeiTemplateInfo:getPicPath()
if(globalData:isExtImageLoaded()) then
return self.picPath
else
local templateInfo = self:getDefaultTemplate()
if(templateInfo ~= nil) then
return templateInfo.picPath
else
return self.picPath
end
end
end
function XiaofeiTemplateInfo:getShowPath()
if(globalData:isExtImageLoaded()) then
return self.showPath
else
local templateInfo = self:getDefaultTemplate()
if(templateInfo ~= nil) then
return templateInfo.showPath
else
return self.showPath
end
end
end
XiaofeiTemplateList = class("XiaofeiTemplateList", function(self)
local temp = BaseTemplateList:new()
temp._list = {}
temp.STAGE_PRE_STAR = 10--一阶等于几星
return temp
end)
function XiaofeiTemplateList:parseOne()
local temp = XiaofeiTemplateInfo:new()
temp:init(self._templateData)
if(self._list[temp.type] == nil) then
self._list[temp.type] = XiaofeiTemplateTypeList:new()
end
self._list[temp.type].list[temp.templateId] = temp
end
function XiaofeiTemplateList:getTemplate(type,templateId)
if(self._list[type] == nil) then return nil end
return self._list[type]:getTemplate(templateId)
end
function XiaofeiTemplateList:getTemplateList(type)
return self._list[type]
end
XiaofeiTemplateTypeList = class("XiaofeiTemplateTypeList",function()
local temp = {}
temp.list = {}
return temp
end)
function XiaofeiTemplateTypeList:getTemplate(templateId)
return self.list[templateId]
end
XiXingStarTemplateInfo = class("XiXingStarTemplateInfo", function(_)
local self = {}
self.id = 0
self.amount = 0
self.awardId = 0
return self
end)
function XiXingStarTemplateInfo:init(bytes)
self.id   = bytes:readInt()
self.amount = bytes:readShort()
self.awardId = bytes:readInt()
--print("----",self.id,self.amount,self.awardId)
end
XiXingStarTemplateList = class("XiXingStarTemplateList", function(self)
local temp = BaseTemplateList:new()
temp.list = {}
return temp
end)
function XiXingStarTemplateList:parseOne()
local template = XiXingStarTemplateInfo:new()
template:init(self._templateData)
self.list[template.id] = template
end
function XiXingStarTemplateList:getAwardInfo()
for _,v in ipairs(self.list) do
if not globalData.copyInfo.expeditionInfo.awardIdList[v.id] then
return v
end
end
return self.list[#self.list]
end
YiChuiTemplateInfo = class("YiChuiTemplateInfo",function()
local yc = {}
yc.id = 0
yc.name = ""
yc.monsterList = {}
yc.awardList = {}
return yc
end)
function YiChuiTemplateInfo:init(bytes)
self.id = bytes:readInt()
self.name = bytes:readString()
local monsterStr = bytes:readString()
local monsterArr = globalManager.messageUtils:splitString(monsterStr,"|")
local len = #monsterArr
for i = 1,len,1 do
local monsterItemArr = globalManager.messageUtils:splitStringToInt(monsterArr[i],",")
self.monsterList[tonumber(monsterItemArr[1])] = tonumber(monsterItemArr[2])
end
self.awardList = globalManager.messageUtils:changeStrToIntList(bytes:readString())
end
YiChuiTemplateList = class("YiChuiTemplateList",function()
local yc = BaseTemplateList:new()
yc.list = {}
return yc
end)
function YiChuiTemplateList:parseOne()
local item = YiChuiTemplateInfo:new()
item:init(self._templateData)
table.insert(self.list,item)
end
YuanbaoTemplateInfo = class("YuanbaoTemplateInfo",function()
local temp     = {}
temp.id        = 0
temp.type      = 0
temp.begin     = 0
temp.finish    = 0
temp.beginData = 0
temp.finishData= 0
temp.awardList = {} --templateId,count,rate,broadCast
return temp
end)
function YuanbaoTemplateInfo:init(bytes)
self.id         = bytes:readByte()
self.type       = bytes:readByte()
self.begin      = bytes:readShort()
self.finish     = bytes:readShort()
self.beginData  = bytes:readInt()
self.finishData = bytes:readInt()
self.awardList  = globalManager.messageUtils:changeStrToIntList(bytes:readString())
end
YuanbaoTemplateList = class("YuanbaoTemplateList",function()
local temp = BaseTemplateList:new()
temp.list = {}
return temp
end)
function YuanbaoTemplateList:parseOne()
local item = YuanbaoTemplateInfo:new()
item:init(self._templateData)
self.list[item.id] = item
end
function YuanbaoTemplateList:getTemplate(id)
return self.list[id]
end
--获取当前财运亨通数据
function YuanbaoTemplateList:getCurrentTemplate()
local systemTime = math.floor(globalData.systemDateInfo:getSystemTime() / 1000)
local openDay = math.ceil((systemTime - globalData.openTime) / (3600 * 24))
for __,info in pairs(self.list) do
if(info.type == 1)then
if(openDay >= info.begin and openDay < info.finish) then
return info
end
elseif(info.type == 2)then
if(systemTime >= info.beginData and systemTime < info.finishData)then
return info
end
end
end
return nil
end
ZhiZunTemplateInfo = class("ZhiZunTemplateInfo",function()
local temp     = {}
temp.id        = 0
temp.getMoney  = 0  --每天获得的钻石数
temp.price     = 0  --至尊卡价格
return temp
end)
function ZhiZunTemplateInfo:init(bytes)
self.id           = bytes:readShort()
self.getMoney     = bytes:readShort()
self.price        = bytes:readInt()
end
ZhiZunTemplateList = class("ZhiZunTemplateList",function()
local temp = BaseTemplateList:new()
temp.list = {}
return temp
end)
function ZhiZunTemplateList:parseOne()
local item = ZhiZunTemplateInfo:new()
item:init(self._templateData)
table.insert(self.list,item)
end
function ZhiZunTemplateList:getTemplate(id)
for __,info in pairs(self.list) do
if(info.id == id)then
return info
end
end
return nil
end
ZhuanPanTemplateInfo = class("ZhuanPanTemplateInfo",function()
local temp = {}
temp.id = 0
temp.money = 0
temp.score = 0
temp.beginTime = 0
temp.endTime = 0
temp.itemList = {}
--	temp.changeList = {}
return temp
end)
function ZhuanPanTemplateInfo:init(bytes)
self.id = bytes:readByte()
self.money = bytes:readByte()
self.score = bytes:readByte()
self.beginTime = bytes:readShort()
self.endTime = bytes:readShort()
self.itemList = globalManager.messageUtils:changeStrToIntList(bytes:readString())
--	self.changeList = globalManager.messageUtils:changeStrToIntList(bytes:readString())
end
ZhuanPanTemplateList = class("ZhuanPanTemplateList",function()
local temp = BaseTemplateList:new()
temp.list = {}
return temp
end)
function ZhuanPanTemplateList:parseOne()
local item = ZhuanPanTemplateInfo:new()
item:init(self._templateData)
self.list[item.id] = item
end
function ZhuanPanTemplateList:getTemplate(id)
return self.list[id]
end
--获取当前转盘数据
function ZhuanPanTemplateList:getCurrentTemplate()
local systemTime = math.floor(globalData.systemDateInfo:getSystemTime() / 1000)
local openDay = math.ceil((systemTime - globalData.openTime) / (3600 * 24))
for __,info in pairs(self.list) do
if(openDay >= info.beginTime and openDay < info.endTime) then
return info
end
end
return nil
end
WashGoldTemplateInfo = class("WashGoldTemplateInfo",function()
local temp = {}
temp.itemList = {}
return temp
end)
function WashGoldTemplateInfo:init(bytes)
local str = bytes:readString()
self.itemList = globalManager.messageUtils:changeStrToIntList(str)
end
WashGoldTemplateList = class("WashGoldTemplateList",function()
local temp = BaseTemplateList:new()
temp.list = {}
return temp
end)
function WashGoldTemplateList:parseOne()
local item = WashGoldTemplateInfo:new()
item:init(self._templateData)
table.insert(self.list, item.itemList)
end
--##globalData.allTemplates
AllTemplates = class("AllTemplates",function()
local at = {}
at.activityTemplateList = ActivityTemplateList:new()
at.buffTemplateList = BuffTemplateList:new()
at.buffStateTemplateList = BuffStateTemplateList:new()
at.collectTemplateList = CollectTemplateList:new()
at.copyTemplateList = CopyTemplateList:new()
at.copyPlateTemplateList = CopyPlateTemplateList:new()
at.copyMissionTemplateList = CopyMissionTemplateList:new()
at.copyCompleteAwardTemplateList = CopyCompleteAwardTemplateList:new()
at.effectTemplateList = EffectTemplateList:new()
at.exchangeTemplateList = ExchangeTemplateList:new()
at.experienceTemplateList = ExperienceTemplateList:new()
at.equipStrengthTemplateList = EquipStrengthTemplateList:new()
at.fiveEquipStrengthTemplateList = FiveEquipStrengthTemplateList:new()
at.fiveEquipSuitTemplateList = FiveEquipSuitTemplateList:new()
at.fiveEquipTemplateList = FiveEquipTemplateList:new()
at.furnaceAdvanceTemplateList = FurnaceAdvanceTemplateList:new()
at.furnaceUpgradeTemplateList = FurnaceUpgradeTemplateList:new()
at.strengthCostTemplateList = StrengthCostTemplateList:new()
at.strengthPropertyTemplateList = StrengthPropertyTemplateList:new()
at.gateTemplateList = GateTemplateList:new()
at.goodsTemplateList = GoodsTemplateList:new()
at.leagueTemplateList = LeagueTemplateList:new()
at.leagueWareHouseTemplateList = LeagueWareHouseTemplateList:new()
at.mapTemplateList = MapTemplateList:new()
at.matterTemplateList = MatterTemplateList:new()
at.monsterTemplateList = MonsterTemplateList:new()
at.newlyGuildTemplateList = NewlyGuildTemplateList:new()
at.npcTemplateList = NpcTemplateList:new()
at.openTemplateList = OpenTemplateList:new()
at.operateActiveTemplateList = OperateActiveTemplateList:new()
at.petTemplateList = PetTemplateList:new()
at.petExpTemplateList = PetExpTemplateList:new()
at.shopLimitTemplateList = ShopLimitTemplateList:new()
at.shopTemplateList = ShopTemplateList:new()
at.skillTemplateList = SkillTemplateList:new()
at.taskTemplateList = TaskTemplateList:new()
at.taskZhenyaoTemplateList = TaskZhenyaoTemplateList:new()
at.operateActiveTemplateInfo = OperateActiveTemplateInfo:new()
at.taskClubTemplateList = TaskClubTemplateList:new()
at.titleTemplateList = TitleTemplateList:new()
at.vipTemplateList = VipTemplateList:new()
at.dayAwardTemplateList = DayAwardTemplateList:new()
at.monthAwardTemplateList = MonthAwardTemplateList:new()
at.welfareLevelTemplateList = WelfareLevelTemplateList:new()
at.worldBossTemplateList = WorldBossTemplateList:new()
at.wuhunTemplateList = WuHunTemplateList:new()
at.payTemplateList = PayTemplateList:new()
at.yichuiTemplate = YiChuiTemplateList:new()
at.defCopyMonsterTemplateList = DefCopyMonsterTemplateList:new()
at.equipStrengthLevelTemplateList = EquipStrengthLevelTemplateList:new()
at.arenaRankTemplateList = ArenaRankTemplateList:new()
at.xiaofeiTemplateList = XiaofeiTemplateList:new()
at.starcraftTemplateList = StarcraftTemplateList:new()
at.zhuanpanTemplateList = ZhuanPanTemplateList:new()
at.huaxingTemplateList  = HuaXingTemplateList:new()
at.yuanbaoTemplateList  = YuanbaoTemplateList:new()
at.onlineRewardsTemplateList = OnlineRewardsTemplateList:new()
at.activityAchievementTemplateList = ActivityAchievementTemplateList:new()
at.marryTemplateList = MarryTemplateList:new()
at.oathTemplateList = OathTemplateList:new()
at.welfareRankAwardTemplateList = WelfareRankAwardTemplateList:new()
at.consumenGiftTemplateList = ConsumenGiftTemplateList:new()
at.crossRechargeGiftTemplateList = CrossRechargeGiftTemplateList:new()
at.fashionTemplateList      = FashionTemplateList:new()
at.mysticalShopTemplateList = MysticalShopTemplateList:new()
at.chaosTemplateList = ChaosTemplateList:new()
at.growUpProjectTemplateList = GrowUpProjectTemplateList:new()
at.skyDreamLandTemplateList = SkyDreamLandTemplateList:new()
at.combinedActiveTemplateList = CombinedActiveTemplateList:new()
at.taoYuanTemplateList = TaoYuanTemplateList:new()
at.vipMallTemplateList = VipMallTemplateList:new()
at.washGoldTemplateList = WashGoldTemplateList:new()
at.fashionStarTemplateList = FashionStarTemplateList:new()
at.huaXingStarTemplateList = HuaXingStarTemplateList:new()
at.wakeUpTemplateList = WakeUpTemplateList:new()
at.taskWakeUpTemplateList = TaskWakeUpTemplateList:new()
at.doubleElevenViewOneTemplateList = DoubleElevenViewOneTemplateList:new()
at.doubleElevenViewThreeTemplateList = DoubleElevenViewThreeTemplateList:new()
at.doubleElevenViewTwoTemplateList = DoubleElevenViewTwoTemplateList:new()
at.homeTemplateList = HomeTemplateList:new()
at.seedTemplateList = SeedTemplateList:new()
at.landTemplateList = LandTemplateList:new()
at.peiShiTemplateList = PeiShiTemplateList:new()
at.partnerTemplateList = PartnerTemplateList:new()
at.partnerEquipTemplateList = PartnerEquipTemplateList:new()
at.partnerSkillTemplateList = PartnerSkillTemplateList:new()
at.partnerRatioTemplateList = PartnerRatioTemplateList:new()
at.vipRechargeTemplateList = VipRechargeTemplateList:new()
at.shamTemplateList = ShamTemplateList:new()
at.smelterTemplateList = SmelterTemplateList:new()
at.arenaXHAwardTemplateList = ArenaXHAwardTemplateList:new()
at.arenaAwardTemplateList = ArenaAwardTemplateList:new()
at.popupWindowTemplateList = PopupWindowTemplateList:new()
at.zhiZunTemplateList = ZhiZunTemplateList:new()
at.newYearTemplateList = NewYearTemplateList:new()
at.partnerUpTemplateList = PartnerUpTemplateList:new()
at.jiFuTemplateList = JiFuTemplateList:new()
at.toWestTemplateList = ToWestTemplateList:new()
at.xiXingStarTemplateList = XiXingStarTemplateList:new()
at.privilegeTemplateList = PrivilegeTemplateList:new()
at.fightValueUpTemplateList = FightValueUpTemplateList:new()
at.payCountGiftTemplateList = PayCountGiftTemplateList:new()
return at
end)
BaseTemplateList = class("BaseTemplateList",function()
local bt = {}
bt._templateData = nil
bt._templateLen = 0
bt.parseComplete = false
bt._currentParse = 0
return bt
end)
--param data:ByteArray
function BaseTemplateList:init(data)
self._templateData = data
self._templateLen = data:readInt()
if(self._templateLen == 0)then
self:complete()
end
return self
end
function BaseTemplateList:parse()
local len = self:parsePreFrame()
for i = 1,len,1 do
self:parseOne()
self._currentParse = self._currentParse + 1
if(self._currentParse >= self._templateLen)then
self:complete()
break
end
end
end
function BaseTemplateList:complete()
ByteArray:release(self._templateData)
self._templateData = nil
self.parseComplete = true
end
--子类重写
function BaseTemplateList:parseOne()
end
function BaseTemplateList:parsePreFrame()
return self._templateLen
end
ToWestInfo = class("ToWestInfo",function (self,controller)
local temp = EventDispatcher:new()
temp.hasGetList = {} --已领取的天数
temp.hasFinishedTask = {} --已完成的成就
temp.createTime = 0 --创角时间
return temp
end)
function ToWestInfo:infoUpdate(hasGetList,hasFinishedTask)
self.hasGetList = hasGetList
self.hasFinishedTask = hasFinishedTask
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.toWest_InfoUpdate,self))
end
function ToWestInfo:createTimeUpdate(time)
self.createTime = time
end
--获取结束时间戳
function ToWestInfo:getEndTime()
local time = 86400 - globalData.systemDateInfo:getZeroPassTime(self.createTime)
return self.createTime + time + 24 * 3600 * 6
end
--return: 0:未完成 ; 1：完成 ; >1：等级(未开放)
function ToWestInfo:getTaskState(type,condition)
if(condition == nil or type == nil)then return 0 end
if(type == 1)then --强化等级
return self:isFinished(type,condition)
elseif(type == 2)then --武魂等级
if(globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.wuhunLevel)then
return globalData.newModuleLevelConfig.wuhunLevel
end
return self:isFinished(type,condition)
elseif(type == 3)then --伙伴品阶
return self:isFinished(type,condition)
elseif(type == 4)then --坐骑
if(globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.riderLevel)then
return globalData.newModuleLevelConfig.riderLevel
end
return self:isFinished(type,condition)
elseif(type == 5)then --炼丹炉领取次数
if(globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.onlineRewardLevel)then
return globalData.newModuleLevelConfig.onlineRewardLevel
end
return self:isFinished(type,condition)
elseif(type == 6)then --西行总星数
if(globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.expeditionLevel)then
return globalData.newModuleLevelConfig.expeditionLevel
end
return self:isFinished(type,condition)
elseif(type == 7)then --帮派捐献次数
if(globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.clubLevel)then
return globalData.newModuleLevelConfig.clubLevel
end
return self:isFinished(type,condition)
elseif(type == 8)then --妖精
if(globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.petLevel)then
return globalData.newModuleLevelConfig.petLevel
end
return self:isFinished(type,condition)
elseif(type == 9)then --降妖副本次数
if(globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.worldBossVipLevel)then
return globalData.newModuleLevelConfig.worldBossVipLevel
end
return self:isFinished(type,condition)
elseif(type == 10)then --材料副本次数
if(globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.materialLevel)then
return globalData.newModuleLevelConfig.materialLevel
end
return self:isFinished(type,condition)
elseif(type == 11)then --人物等级
if(globalData.selfPlayerInfo.level >= condition)then
return 1
else
return 0
end
elseif(type == 12)then --羽翼
if(globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.wingLevel)then
return globalData.newModuleLevelConfig.wingLevel
end
return self:isFinished(type,condition)
elseif(type == 13)then --斗神殿次数
if(globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.arena1Level)then
return globalData.newModuleLevelConfig.arena1Level
end
return self:isFinished(type,condition)
elseif(type == 14)then --荣誉商店购买次数
if(globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.shopLevel)then
return globalData.newModuleLevelConfig.shopLevel
end
return self:isFinished(type,condition)
elseif(type == 15)then --炼狱
if(globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.lianyuLevel)then
return globalData.newModuleLevelConfig.lianyuLevel
end
return self:isFinished(type,condition)
elseif(type == 16)then --足迹
if(globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.weaponLevel)then
return globalData.newModuleLevelConfig.weaponLevel
end
return self:isFinished(type,condition)
elseif(type == 17)then --人物战力
return self:isFinished(type,condition)
elseif(type == 18)then --守护副本次数
if(globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.defenedLevel)then
return globalData.newModuleLevelConfig.defenedLevel
end
return self:isFinished(type,condition)
elseif(type == 19)then --帮贡购买次数
if(globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.clubLevel)then
return globalData.newModuleLevelConfig.clubLevel
end
return self:isFinished(type,condition)
elseif(type == 20)then --仙灵
if(globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.spriteLevel)then
return globalData.newModuleLevelConfig.spriteLevel
end
return self:isFinished(type,condition)
elseif(type == 21)then --橙装数量
return self:isFinished(type,condition)
elseif(type == 22)then --兑换物品次数
if(globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.openLevel)then
return globalData.newModuleLevelConfig.openLevel
end
return self:isFinished(type,condition)
elseif(type == 23)then --熔炉等级
if(globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.rongluLevel)then
return globalData.newModuleLevelConfig.rongluLevel
end
return self:isFinished(type,condition)
elseif(type == 24)then -- 法阵
if(globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.fazhenLevel)then
return globalData.newModuleLevelConfig.fazhenLevel
end
return self:isFinished(type,condition)
elseif(type == 25)then -- 完成成就数量
return self:isFinished(type,condition)
elseif(type == 26)then --vip等级
return self:isFinished(type,condition)
elseif(type == 27)then --时装数量
return self:isFinished(type,condition)
elseif(type == 28)then --龙魂
if(globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.longhunLevel)then
return globalData.newModuleLevelConfig.longhunLevel
end
return self:isFinished(type,condition)
end
return 0
end
function ToWestInfo:isFinished(type,condition)
for i,info in pairs(self.hasFinishedTask) do
if(info[1] == type and info[2] >= condition)then
return 1
end
end
return 0
end
function ToWestInfo:clearAllDatas()
self.hasGetList = {}
self.hasFinishedTask = {}
end
VipInfo = class("VipInfo", function(self)
local temp = EventDispatcher:new()
temp.exp = -1
temp.time = -1 --到期时间戳
temp.privilegeAwardType = 0 --0是不能领，1是可以领，2是已经领
temp.privilegeDayAwardType = 0 --0是不能领，1是可以领，2是已经领
return temp
end)
function VipInfo:update(exp,time)
--vip更新，弹出提示
if(self.exp ~= -1)then
if(exp > self.exp)then
globalData.chatItemList:appendSystemItem(globalManager.yuyanbaoManager:getYuyanbao("SelfPlayerInfo.text1").."[0xfff35b]" .. (exp - self.exp) .. globalManager.yuyanbaoManager:getYuyanbao("VipInfo.text1").."[-]")
end
end
if(self.time ~= -1)then
if(time > self.time)then
-- if(self.time == 0)then
--     self.time = math.floor(globalData.systemDateInfo:getSystemTime() / 1000)
-- end
local tempTime = math.floor(globalData.systemDateInfo:getSystemTime() / 1000)
if(tempTime < self.time)then
tempTime = self.time
end
local day = math.floor((time  - tempTime) / 86400)
local hour = math.floor((time  - tempTime) / 3600)
local minute = math.floor((time  - tempTime) / 60)
if(day > 0)then
globalData.chatItemList:appendSystemItem(globalManager.yuyanbaoManager:getYuyanbao("SelfPlayerInfo.text1").."[0xfff35b]" .. day .. globalManager.yuyanbaoManager:getYuyanbao("VipInfo.text2").."[-]")
elseif(hour > 0)then
globalData.chatItemList:appendSystemItem(globalManager.yuyanbaoManager:getYuyanbao("SelfPlayerInfo.text1").."[0xfff35b]" .. hour .. globalManager.yuyanbaoManager:getYuyanbao("VipInfo.text3").."[-]")
elseif(minute > 0)then
globalData.chatItemList:appendSystemItem(globalManager.yuyanbaoManager:getYuyanbao("SelfPlayerInfo.text1").."[0xfff35b]" .. minute .. globalManager.yuyanbaoManager:getYuyanbao("VipInfo.text4").."[-]")
end
end
end
self.exp = exp
self.time = time
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.vip_infoUpdate,self))
end
function VipInfo:getVipTime()
local time = self.time - math.floor(globalData.systemDateInfo:getSystemTime() / 1000)
return time
end
function VipInfo:setPrivilegeInfo(data)
self.privilegeAwardType = data:readByte()
self.privilegeDayAwardType = data:readByte()
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.privilege_infoUpdate,self))
end
function VipInfo:getPrivilegeEffFlag()
if(self.privilegeAwardType == 1 or self.privilegeDayAwardType == 1)then
return true
else
return false
end
end
function VipInfo:clearAllData()
self.exp = -1
self.time = -1
end
--领奖数据
WelfareInfo = class("WelfareInfo", function(self)
local temp = EventDispatcher:new()
temp.loginDays = 0 --连续登陆天数
temp.loginAwardDays = {} --已领取登陆奖励的天数 Vector.<int>
temp.signDays = {} --已签到天数
temp.signAwardDays = {} --签到已领奖天数
temp.lossExp = 0  --补偿经验值
temp.hasGetLevel = {}  --已经领取的等级礼包
temp.monthCardInfo = {} --月卡信息
temp.isCan      = 0
temp.worldLevel = 0
temp.addExp     = 0
temp.plusAwardState = 0 --扩展包领取奖励状态
temp.filmTicketStr = ""--电影票信息更新
temp.filmTicketTotalNum = 0--电影票总数
temp.filmTicketRemainNum = 0--电影票剩余数
return temp
end)
function WelfareInfo:updateLossExp(value)
self.lossExp = value
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_lossExp,self))
end
function WelfareInfo:signUpdate()
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_signUpdate,self))
end
function WelfareInfo:loginUpdate()
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_loginUpdate,self))
end
--判断如果今天非周日时是否已签到
function WelfareInfo:isDayInList()
-- body
local day = globalData.systemDateInfo:getDate(globalData.systemDateInfo:getSystemTime() / 1000).day
local signAwardList = self.signAwardDays
print("day",day,#signAwardList)
for k,v in pairs(signAwardList) do
if v == day then
return true
end
end
return false
end
--第七个物品是否可领取
function WelfareInfo:isSevenCanGet()
-- body
local day = globalData.systemDateInfo:getWday(math.floor(globalData.systemDateInfo:getSystemTime()/1000))
if day == 7 then
if #self.signAwardDays == 6 then
if #self.signDays == 0 then  --第七个可以领但没领
return 1
else
return 2   --第七个可以领而且已经领取了
end
else
if #self.signDays == 1 then  --第七个已经被购买
return 2
else
return 3    --第七个物品可以被购买
end
end
end
return 4  --第七个不可领取并且不可购买
end
function WelfareInfo:monthCardInfoUpdate()
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_monthInfo,self))
end
function WelfareInfo:expInfoUpdate()
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_expBuyUpdate,self))
end
function WelfareInfo:loadPlusAwardUpdate(data)
self.plusAwardState = data:readByte()
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_loadPlusUpdate,self,self.plusAwardState))
end
function WelfareInfo:filmTicketInfoUpdate(data)
self.filmTicketStr = data:readString()
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_filmTicketUpdate,self,self.filmTicketStr))
end
function WelfareInfo:filmTicketNumsInfoUpdate(data)
self.filmTicketRemainNum = data:readInt()
self.filmTicketTotalNum = data:readInt()
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_filmTicketNumsUpdate,self,nil))
end
function WelfareInfo:clearAllDatas()
self.loginAwardDays = {}
self.signDays = {}
self.signAwardDays = {}
self.hasGetLevel = {}
self.monthCardInfo = {}
self.plusAwardState = 0
end
WuHunInfo = class("WuHunInfo", function()
local self = EventDispatcher:new()
self.level   = 0
self.wish    = 0
self.updated = false
return self
end)
function WuHunInfo:ctor()
end
function WuHunInfo:updateInfo(bytes)
local chgAll = false
local lev = bytes:readShort()
if self.level ~= lev then
self.level = lev
chgAll = true
end
local wish = bytes:readShort()
if self.wish ~= wish then
self.wish    = wish
end
if chgAll == true then
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_wuhunInfo,self, self.updated))
else
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_wuhunWish,self))
end
self.updated = true
end
function WuHunInfo:clearAllDatas()
self.level   = 0
self.wish    = 0
end
function WuHunInfo:dispose()
end
YuanGuRankPlayerInfo = class("YuanGuRankPlayerInfo",function()
local yg = {}
yg.userId = 0
yg.rank = 0
yg.nick = ""
yg.level = 0
yg.fight = 0
yg.camp = 0
yg.score = 0
return yg
end)
ZhuanPanInfo = class("ZhuanPanInfo",function()
local temp = EventDispatcher:new()
temp.count = 0--当天剩余次数
temp.score = 0--剩余分数
temp.isShow = false--是否开启
temp.changeCountList = {}--已兑换数量
temp.awardList  = {}--十连抽奖励列表
temp.exchangeList = {}--兑换列表
--充值转盘
temp.position = 0
temp.hasCount = 0
temp.rechargeGold = 0
temp.isYuanbaoShow = false
temp.infoList = {}
return temp
end)
--欢乐转盘
function ZhuanPanInfo:pickReturn(index)
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.zhuanpan_pick,self,index))
end
function ZhuanPanInfo:infoUpdate(isShow)
self.isShow = isShow
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.zhuanpan_infoUpdate,self,nil))
end
function ZhuanPanInfo:exchangeUpdate(data)
self.changeCountList = {}
self.exchangeList = {}
self.score = data:readShort()
local len  = data:readByte()
for i = 1,len,1 do
local id = data:readInt()
self.changeCountList[id] = data:readShort()
end
local len2 = data:readByte()
for i = 1,len2,1 do
local pos = data:readByte()
local templateId = data:readInt()
local count = data:readShort()
local score = data:readShort()
local times = data:readByte()
self.exchangeList[i] = {pos,templateId,count,score,times}
end
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.zhuanpan_exchangeUpdate,self,nil))
end
function ZhuanPanInfo:awardListUpdate(data)
self.awardList = {}
local len = data:readByte()
for i = 1,len,1 do
local templateId = data:readInt()
local count      = data:readShort()
table.insert(self.awardList,{templateId,count})
end
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.zhuanpan_awardUpdate,self,nil))
end
--充值转盘
function ZhuanPanInfo:pickAwardReturn(rechargeGold,index,hasCount)
self.rechargeGold = rechargeGold
self.position     = index
self.hasCount     = hasCount
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.zhuanpan_Yuanbao_pick,self,nil))
end
function ZhuanPanInfo:getInfoReturnUpdate(data)
local len = data:readByte()
for i = 1,len,1 do
local time       = data:readInt()
local templateId = data:readInt()
local count      = data:readShort()
local nick       = data:readString()
table.insert(self.infoList,1,{time,templateId,count,nick})
end
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.zhuanpan_Yuanbao_info,self,nil))
end
function ZhuanPanInfo:isOpenUpdate(isShow)
self.isYuanbaoShow = isShow
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.zhuanpan_Yuanbao_infoUpdate,self,nil))
end
function ZhuanPanInfo:clearInfo()
self.infoList = {}--领取的信息
end
function ZhuanPanInfo:clearAllDatas()
self.count = 0--当天剩余次数
self.score = 0--剩余分数
self.isShow = false--是否开启
self.changeCountList = {}--已兑换数量
self.awardList  = {}--十连抽奖励列表
self.rechargeGold = 0
self.position = 0 --充值转盘奖励的位置
self.hasCount = 0 --已经领取的次数
self.infoList = {}--领取的信息
end
WashGoldInfo = class("WashGoldInfo",function()
local temp = EventDispatcher:new()
temp.times = 0
return temp
end)
function WashGoldInfo:timesUpdate(times)
-- body\
self.times = times
globalData.washGoldInfo:dispatchEvent(BaseEvent:new(globalData.globalEventType.washGold_times, globalData.washGoldInfo, times))
end
function WashGoldInfo:clearAllDatas()
self.times = 0
end
WordFiltersInfo = class("WordFiltersInfo",function()
local temp = {}
--取名123 聊天23
temp._nameFilters = {}
temp._chatFilters = {}
temp._wordFilters = {}
return temp
end)
function WordFiltersInfo:initData(datas)
if(datas:getLength() <= 128) then return end
datas:readInt()
datas:readInt()
self._nameFilters = globalManager.messageUtils:splitString(datas:readIntString(),",")
datas:readInt()
self._chatFilters = globalManager.messageUtils:splitString(datas:readIntString(),",")
datas:readInt()
local tempList = globalManager.messageUtils:splitString(datas:readIntString(),",")
for __,str in pairs(tempList) do
table.insert(self._wordFilters,globalManager.messageUtils:splitStringToInt(str,"-"))
end
ByteArray:release(datas)
end
function WordFiltersInfo:checkName(name)
for __,str in pairs(self._nameFilters) do
if(string.find(name,str) ~= nil) then
return false
end
end
for __,str in pairs(self._chatFilters) do
if(string.find(name,str) ~= nil) then
return false
end
end
local len = string.len(name)
local tempLen = 1
for i = 1,len,1 do
if(tempLen <= i) then
local byte = string.byte(name,i)
if(byte > 0 and byte <= 127)then
tempLen = i + 1
if(not self:checkWord(byte)) then
return false
end
elseif(byte >= 194 and byte <= 223)then
tempLen = i + 2
local byte2 = string.byte(name,i + 1)
if(byte2 == nil or byte2 < 128 or byte2 > 191) then
return false
end
if(not self:checkWord((byte - 192)*64 + byte2 - 128)) then
return false
end
elseif(byte >= 224 and byte <= 239)then
tempLen = i + 3
local byte2 = string.byte(name,i + 1)
local byte3 = string.byte(name,i + 2)
if(byte2 == nil or byte3 == nil or (byte == 224 and (byte2 < 160 or byte2 > 191)) or
(byte == 237 and (byte2 < 128 or byte2 > 159)) or byte2 < 128 or byte2 > 191 or byte3 < 128 or byte3 > 191) then
return false
end
if(not self:checkWord((byte - 224)*4096 + (byte2 - 128)*64 + byte3 - 128)) then
return false
end
else
return false
end
end
end
return true
end
function WordFiltersInfo:checkChat(chat)
local len = string.len(chat)
local tempLen = 1
for i = 1,len,1 do
if(tempLen <= i) then
local byte = string.byte(chat,i)
if(byte > 0 and byte <= 127)then
tempLen = i + 1
if(not self:checkWord(byte)) then
return false
end
elseif(byte >= 194 and byte <= 223)then
tempLen = i + 2
local byte2 = string.byte(chat,i + 1)
if(byte2 == nil or byte2 < 128 or byte2 > 191) then
return false
end
if(not self:checkWord((byte - 192)*64 + byte2 - 128)) then
return false
end
elseif(byte >= 224 and byte <= 239)then
tempLen = i + 3
local byte2 = string.byte(chat,i + 1)
local byte3 = string.byte(chat,i + 2)
if(byte2 == nil or byte3 == nil or (byte == 224 and (byte2 < 160 or byte2 > 191)) or
(byte == 237 and (byte2 < 128 or byte2 > 159)) or byte2 < 128 or byte2 > 191 or byte3 < 128 or byte3 > 191) then
return false
end
if(not self:checkWord((byte - 224)*4096 + (byte2 - 128)*64 + byte3 - 128)) then
return false
end
else
return false
end
end
end
end
function WordFiltersInfo:filtChat(chat)
for __,str in pairs(self._chatFilters) do
chat = string.gsub(chat,str,"**")
end
chat = string.gsub(chat,"\n","")
chat = string.gsub(chat," ","")
return chat
end
function WordFiltersInfo:checkWord(code)
for __,filter in pairs(self._wordFilters) do
if(#filter > 1) then
if(code >= filter[1] and code <= filter[2])then
return false
end
else
if(code == filter[1]) then
return false
end
end
end
return true
end
GlobalData = class("GlobalData",function()
local gd = {}
gd.tmp = nil
gd.packCacheKey = "PLUS_PACKET"
gd.packResVersion = "p0"
gd.packString = {"p0"}
gd.trunkType = ""
gd.sources = nil
gd.openId = 0
gd.weekVersion = 40
gd.bigVersion = ""
--广播格
gd.BROST_WIDTH = 500
gd.BROST_HEIGHT = 300
--走路格子
gd.GRID_SIZE = 40
--地图切块大小
gd.MAP_TILE_SIZE = 512
--场景大小
gd.GAME_WIDTH = 960
gd.GAME_HEIGHT = 640
gd.UI_WIDTH = 960
gd.UI_HEIGHT = 640
gd.UI_STARTX = 0
gd.UI_STARTY = 0
--帧间隔时间60帧率
gd.FRAME_INTERVAL = 0.0166667
--开服日期
gd.openTime = 0
--合服日期
gd.combinedTime = 0
--公共CD
gd.commonCD = 600
--装备容量
gd.EQUIPMENT_CAPCITY = 30
--道具背包起始位置
gd.ITEM_STARTPOSION = 30
--装备背包起始位置
gd.EQUIP_STARTPOSION = 500
--背包容量
gd.BAGGAGE_CAPCITY = 200
--怪物死亡多少帧后消失
gd.monsterDeadTickCount = 60
--捡取范围
gd.pickupRadius = 20000
--妖精跟随距离
gd.PET_FOLLOW_DISTANCE = 130
gd.PET_FOLLOW_MAXDISTANCE = 180
--伙伴跟随距离
gd.PARTNER_FOLLOW_DISTANCE = 70
gd.PARTNER_FOLLOW_MAXDISTANCE = 120
--速度修正
gd.speedOffset = 20
gd.config = nil
gd.serverName = ""
gd.isPay = 1
gd.agentId = 0
gd.childChannel = ""
gd.createRole = false
gd.lastPayList = {}
--服务器排队人数
gd.selfRankPos = 0
gd.totalRank = 0
gd.lowValue = 0
gd.numList = nil
--SystemDateInfo系统时间
gd.systemDateInfo = SystemDateInfo:new()
--staticTypes 静态类型数据
gd.allStaticTypes = AllStaticTypes:new()
--事件类型
gd.globalEventType = GlobalEventType:new()
--templateDatas 模板数据
gd.allTemplates = AllTemplates:new()
--充值数据
gd.payItemList = PayItemList:new()
--公共协议
gd.messageAdder = CommonMessageAdder:new()
--结婚信息
gd.marryInfo = MarryInfo:new()
--结义信息
gd.oathInfo = OathInfo:new()
--panel容器
gd.uiPanelContainer = nil
--服务器(合服)列表
gd.serverList = nil
--开服日期:时间戳
gd.openServerDate = nil
--创号日期:时间戳
gd.registerDate = nil
--第一次更新任务
gd.firstUpdateTask = true
--第一次更新标题
gd.firstUpdateTitle = true
--前一张地图ID
gd.preMapId = 0
gd.preMapPath = ""
--当前地图
gd.currentMapId = 0
gd.currentMapPath = ""
--controllPadValue
gd.touchWalkValue = 1000
--杀死自己的玩家信息
gd.killSelfId = 0
gd.killSelfName = ""
gd.killSelfType = 0
gd.killSelfServer = 0
--玩家自己信息
gd.selfPlayerInfo = nil
--玩家状态信息
gd.selfStateInfo = nil
--技能数据
gd.skillList = SkillItemList:new()
--玩家背包和仓库物品信息
gd.goodsInfoList = GoodsInfoList:new()
--兑换信息
gd.goodsExchangeList = nil
--跨服竞技场数据
gd.arena1Info = ArenaInfo:new(1)
--邮件信息
gd.letterInfoList = LetterInfoList:new()
--任务
gd.taskItemList = TaskItemList:new()
--妖精
gd.petItemInfo = PetItemInfo:new()
--坐骑
gd.riderItemInfo = RiderItemInfo:new()
--足迹
gd.godItemInfo = GodItemInfo:new()
--羽翼
gd.wingItemInfo = WingItemInfo:new()
--仙灵
gd.spriteItemInfo = SpriteItemInfo:new()
--法阵
gd.fazhenItemInfo = FazhenItemInfo:new()
--龙魂
gd.longhunItemInfo = LonghunItemInfo:new()
--五大模块的装备信息
gd.fiveEquipList = FiveEquipList:new()
--排行榜数据
gd.rankInfo = nil
--活跃度信息
gd.activityInfo = ActivityInfo:new()
--聊天信息
gd.chatItemList = nil
--优惠商城数据
gd.discountGoodsList = DiscountGoodsList:new()
--游戏设置
gd.gameSetting = nil
--好友数据
gd.friendList = FriendList:new()
--副本数据
gd.copyInfo = CopyInfo:new()
--请求数据列表
gd.responseInfoList = ResponseInfoList:new()
gd.isShowMainmenuBtn = false--是否展开主菜单按钮
gd.isShowSkillBtn = false--是否显示技能按钮
--帮派数据
gd.leagueInfo = LeagueInfo:new()
--福利领奖数据
gd.welfareInfo = WelfareInfo:new()
-- 武魂数据
gd.wuhunInfo = WuHunInfo:new()
--世界BOSS数据
gd.worldBossList = WorldBossList:new()
--vipBoss数据
gd.worldBossVipInfo = WorldBossVipInfo:new()
--宝藏秘境数据
gd.findTreasureInfo = FindTreasureInfo:new()
--群雄争霸数据
gd.starcraftInfo = StarcraftInfo:new()
--新帮战数据
gd.bangZhanInfo = BangZhanInfo:new()
--开服活动数据
gd.openInfo = nil
--当前是否已经发送切图
gd.hadSendChangeMap = false
--检测背包可用道具开关(登录游戏时和整理背包时)
gd.isCheckCanUseItem = true
--羽翼足迹仙灵自动购买开关
gd.WGSisAutoBuy = false
--活动图标
gd.activityIcons = ActivityIconList:new()
--转盘数据
gd.zhuanPanInfo = ZhuanPanInfo:new()
--淘金
gd.washGoldInfo = WashGoldInfo:new()
--在线奖励数据
gd.onlineRewardsInfo = OnlineRewardsInfo:new()
--消费福利
gd.consumenGiftInfo = nil
--跨服充值榜
gd.crossRechargeRankInfo = CrossRechargeRankInfo:new()
--时装
gd.fashionInfo     = FashionInfo:new()
--神秘商店
gd.shenmiShopInfo = ShenmiShopInfo:new()
--vip商店
gd.vipMallInfo = VipMallInfo:new()
--天空幻境
gd.skyDreamLandInfo = SkyDreamLandInfo:new()
--双11
gd.doubleElevenInfo = DoubleElevenInfo:new()
--合服活动
gd.combinedActiveInfo = CombinedActiveInfo:new()
--家园
gd.homeInfo = HomeInfo:new()
--农场
gd.farmInfo = FarmInfo:new()
--配饰
gd.peiShiInfo = PeiShiInfo:new()
--伙伴
gd.partnerInfo = PartnerInfo:new()
--熔炉
gd.rongluInfo = RongLuInfo:new()
--一路向西
gd.toWestInfo = ToWestInfo:new()
--平台
gd.platform = cc.Application:getInstance():getTargetPlatform()
--强制变身形象路径
gd.characterChangePath = 0
--新模块开启数据配置
gd.newModuleLevelConfig = NewModuleLevelConfig:new()
--新手副本数据配置
gd.newlyGuideCopyConfig = NewlyGuideCopyConfig:new()
--新手强制引导
gd.guideClickContainer = nil
--敏感词数据
gd.wordFiltersInfo = nil
--Alert框回调时用到的缓存
gd.alert_executor = nil
gd.alert_callBack = nil
--是否显示快速提示(竞技场挑战会关闭)
gd.isShowQuickTip = true
-- 欢迎界面领取奖励状态
gd.welcomeState = 2
--检测加速标记
gd.speedCheck = ""
gd.checkCount = 0
--vip过期弹框
gd.isShowVipAlert = false
--上次操作时间（长期不操作弹窗功能）
gd.lastCaoZuoTime = 0
return gd
end)
function GlobalData:init()
math.randomseed(os.time())
self.systemDateInfo:start()
self.allStaticTypes.colorType:setData(self.trunkType)
self.allStaticTypes.panelTabType:updateShenHeType()
-- if(self.trunkType == "_qmsm") then
-- 	self.packString = {"p0", "p1", "p2", "p3", "p4"}
-- else
-- 	self.packString = {"p0"}
-- end
self.UI_STARTX = (globalData.GAME_WIDTH - globalData.UI_WIDTH) / 2
self.UI_STARTY = (globalData.GAME_HEIGHT - globalData.UI_HEIGHT) / 2
self.uiPanelContainer = UIPanelContainer:new()
self.uiClickContainer = UIClickContainer:new()
self.uiPanelContainer:setPosition(self.UI_STARTX,self.UI_STARTY)
self.messageAdder:add()
self.goodsExchangeList = GoodsExchangeList:new()
self.chatItemList = ChatItemList:new()
self.rankInfo = RankInfo:new()
self.gameSetting = GameSetting:new()
self.openInfo = OpenInfo:new()
self.consumenGiftInfo = ConsumenGiftInfo:new()
print("#Network State", self:getNetworkState())
end
function GlobalData:setSpeedCheck(str)
print("收到协议",str)
self.speedCheck = str
if(self.speedCheck ~= nil and self.speedCheck ~= "") then
self.checkCount = 0
globalManager.kyPlatformSDK:luaCall( { globalManager.kyPlatformSDK.sendData, "proFilters", self.speedCheck} )
globalManager.kyPlatformSDK:luaCall( { globalManager.kyPlatformSDK.sendData, "checkGameSpeed"} )
globalManager.tickManager:addTick(self.checkSpeedTick,self)
end
end
function GlobalData:checkSpeedTick(delta,count)
self.checkCount = self.checkCount + 1
if(self.checkCount >= 2000) then
self.checkCount = 0
globalManager.kyPlatformSDK:luaCall( { globalManager.kyPlatformSDK.sendData, "checkGameSpeed"} )
end
end
function GlobalData:guideShow(id)
if(self.guideClickContainer == nil) then
self.guideClickContainer = GuideClickContainer:new()
end
self.guideClickContainer:showTip(id)
end
function GlobalData:isIos()
if(globalData.platform == cc.PLATFORM_OS_IPHONE or globalData.platform == cc.PLATFORM_OS_IPAD or globalData.platform == cc.PLATFORM_OS_MAC)then
return true
end
return false
end
function GlobalData:isWin()
if(globalData.platform == cc.PLATFORM_OS_WINDOWS)then
return true
end
return false
end
function GlobalData:isAndroid()
if(globalData.platform == cc.PLATFORM_OS_ANDROID)then
return true
end
return false
end
function GlobalData:isTaiWan()
if(globalData.config.sdkId == 32)then
return true
end
return false
end
-- 获取网络状态(0:获取失败，1：无连接，2：wifi，3：3G网络)
-- globalManager.kyPlatformSDK.getNetworkState = 17
function GlobalData:getNetworkState()
if self:inSDK() then
return tonumber(globalManager.kyPlatformSDK:luaCall({globalManager.kyPlatformSDK.getNetworkState})) or 0
else
return 0
end
end
function GlobalData:inSDK()
return self.config:inSDK()
end
function GlobalData:getAfk()
if(self.stateInfo == nil)then
return false
end
return self.stateInfo:getAfk()
end
function GlobalData:getIsDead()
if(self.stateInfo == nil)then
return false
end
return self.stateInfo:getIsDead()
end
function GlobalData:setKillSelfData(id,type,name,serverId)
self.killSelfId = id
self.killSelfName = name
self.killSelfType = type
self.killSelfServer = serverId
end
function GlobalData:closeMainMenu()
if(self.isShowMainmenuBtn)then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_showMainMenuBtn,globalManager.gameDispatcher,false))
end
if(not self.isShowSkillBtn) then
if(self.copyInfo.currentCopyId <= 0 and self.allTemplates.mapTemplateList.CITY_MAPID ~= self.currentMapId) then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(self.globalEventType.scene_showSkillBtn,globalManager.gameDispatcher,true))
end
end
end
--判断分包资源是否已加载
function GlobalData:checkExtLoaded()
local cacheValue = globalManager.commonUtils:readStringKey(self.packCacheKey)
local currentVer = "1"
if cacheValue ~= nil and cacheValue ~= "" then
currentVer = cacheValue
end
self.packResVersion = "b"..currentVer
end
function GlobalData:setExtImageLoaded(version)
local cacheValue = globalManager.commonUtils:readStringKey(self.packCacheKey)
local currentVer = 1
if cacheValue ~= nil and cacheValue ~= "" then
currentVer = tonumber(cacheValue)
end
local newVersion = tonumber(string.sub(version, 2))
if newVersion >= currentVer then
globalManager.commonUtils:writeStringKey(self.packCacheKey, tostring(newVersion))
end
self.packResVersion = version
end
function GlobalData:isExtImageLoaded()
if(self:isWin()) then
return true
end
return tonumber(string.sub(self.packResVersion,2)) >= tonumber(string.sub(self.packString[#self.packString],2))
--	return false
end
function GlobalData:clearAllData()
if(self.selfPlayerInfo ~= nil)then self.selfPlayerInfo:clearAllData() end
self.firstUpdateTask = true
self.firstUpdateTitle = true
self.isCheckCanUseItem = true
self.isShowQuickTip = true
self.taskFinish1 = 0
self.taskFinish2 = 0
self.welcomeState = 2
self.systemDateInfo:clearAllData()
self.goodsInfoList:clearAllGoods()
self.friendList:clearAllData()
self.taskItemList:clearAllData()
self.skillList:clearAllData()
self.petItemInfo:clearAllData()
self.riderItemInfo:clearAllData()
self.wingItemInfo:clearAllData()
self.spriteItemInfo:clearAllData()
self.godItemInfo:clearAllData()
self.fazhenItemInfo:clearAllData()
self.longhunItemInfo:clearAllData()
self.fiveEquipList:clearAllGoods()
self.letterInfoList:clearAllLetter()
self.activityInfo:clearAllDatas()
self.activityIcons:clearAllDatas()
self.copyInfo:clearAllDatas()
self.payItemList:clearAllDatas()
self.openInfo:clearAllDatas()
self.welfareInfo:clearAllDatas()
self.oathInfo:clearAllDatas()
self.rankInfo:clearAllDatas()
self.leagueInfo:clearAllDatas()
self.chatItemList:clearAllDatas()
self.wuhunInfo:clearAllDatas()
self.worldBossVipInfo:clearAllDatas()
self.findTreasureInfo:clearAllDatas()
self.starcraftInfo:clearAllDatas()
self.bangZhanInfo:clearAllDatas()
self.goodsExchangeList:clearAllDatas()
self.zhuanPanInfo:clearAllDatas()
self.washGoldInfo:clearAllDatas()
self.onlineRewardsInfo:clearAllDatas()
self.marryInfo:clearAllDatas()
self.consumenGiftInfo:clearAllDatas()
self.crossRechargeRankInfo:clearAllDatas()
self.fashionInfo:clearAllData()
self.shenmiShopInfo:clearAllData()
self.skyDreamLandInfo:clearAllData()
self.doubleElevenInfo:clearAllData()
self.combinedActiveInfo:clearAllDatas()
self.vipMallInfo:clearAllData()
self.homeInfo:clearAllData()
self.farmInfo:clearAllData()
self.peiShiInfo:clearAllDatas()
self.partnerInfo:clearAllData()
self.rongluInfo:clearAllDatas()
self.toWestInfo:clearAllDatas()
self.allTemplates.openTemplateList:clearAllData()
end
function GlobalData:isShenHe()
local ret = false
if globalData.config.bigVersion ~= "" and globalData.config.bigVersion ~= nil then
local vList = globalData.config.shenHeBigVersion
local curV = globalData.config.bigVersion
for i=1,#vList do
if vList[i] == curV then
ret = true
break
end
end
end
print("#isShenHe", ret)
return ret
end
function GlobalData:changeCharacter(path)
if(self.characterChangePath == path) then return end
self.characterChangePath = path
if(globalData.selfPlayerInfo.characterInfo) then
globalData.selfPlayerInfo.characterInfo:forceChange()
end
end
function GlobalData:getXiaoFeiInfoByType(type)
if(type == globalData.allStaticTypes.petXiaofeiType.CHONGWU) then
return self.petItemInfo
elseif(type == globalData.allStaticTypes.petXiaofeiType.ZUOQI) then
return self.riderItemInfo
elseif(type == globalData.allStaticTypes.petXiaofeiType.CHIBANG) then
return self.wingItemInfo
elseif(type == globalData.allStaticTypes.petXiaofeiType.SHENBING) then
return self.godItemInfo
elseif(type == globalData.allStaticTypes.petXiaofeiType.JINGLING) then
return self.spriteItemInfo
elseif(type == globalData.allStaticTypes.petXiaofeiType.FAZHEN) then
return self.fazhenItemInfo
elseif(type == globalData.allStaticTypes.petXiaofeiType.LONGHUN) then
return self.longhunItemInfo
end
end
globalData = GlobalData:new()
BaseEvent = class("BaseEvent",function(self,aType,aTarget,aData)
local be = {}
be.type = aType
be.target = aTarget
be.data = aData
be.stopImmediately = false
return be
end)
--##globalManager.gameDispatcher
GameDispatcher = class("GameDispatcher",function()
local gd = {}
gd._dispatcher = EventDispatcher:new()
return gd
end)
function GameDispatcher:addEventListener(type,listener,target)
self._dispatcher:addEventListener(type,listener,target)
end
function GameDispatcher:removeEventListener(type,listener,target)
self._dispatcher:removeEventListener(type,listener,target)
end
function GameDispatcher:dispatchEvent(evt)
self._dispatcher:dispatchEvent(evt)
end
LLoaderManager = class("LLoaderManager", function()
return LoaderManager:create()
end)
MenuManager = class("MenuManager", function(self)
local temp = {}
temp.menu = nil
return temp
end)
function MenuManager:ctor()
self:initEvent()
end
function MenuManager:initEvent()
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_menuTouch,self.menuTouchHandler,self)
end
function MenuManager:hide()
if(self.menu ~= nil)then
self.menu:dispose()
self.menu = nil
end
end
function MenuManager:show()
if(self.menu ~= nil)then
-- globalManager.containerManager.tipContainer:addChild(self.menu)
globalData.uiClickContainer:addItem(self.menu)
end
end
function MenuManager:showPlayerMenu(playerInfo,pos,fromType)
if(self:checkIsSameServer(playerInfo) == false)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("MenuManager.text7"))
return
end
if(pos == nil)then pos = cc.p(200,0) end
self:hide()
self.menu = PlayerMenu:new()
self.menu:show(playerInfo,fromType)
self.menu:setPos(pos)
self:show()
end
function MenuManager:checkIsSameServer(playerInfo)
for __,serverId in pairs(globalData.serverList) do
if(playerInfo.serverId == serverId)then
return true
end
end
return false
end
function MenuManager:menuTouchHandler(evt)
self:hide()
local menuData = evt.data
local menuType = globalData.allStaticTypes.menuType
--查看信息
if(menuData.type == menuType.showPlayerInfo)then
globalData.messageAdder:infoQuery(menuData.data.userId,0)
--战力对比
elseif(menuData.type == menuType.compareFight)then
globalData.messageAdder:infoQuery(menuData.data.userId,9)
--发送聊天
elseif(menuData.type == menuType.sendMessage)then
self:sendMessage(menuData.data)
--添加好友
elseif(menuData.type == menuType.addFriend)then
self:addFriend(menuData.data)
--删除好友
elseif(menuData.type == menuType.deleteFriend)then
local function deleteFriendHandler()
globalData.messageAdder:sendDeleteFriend(menuData.data.userId,globalManager.bit:dleft(1, 14))
end
Alert:new():show(2,string.format(globalManager.yuyanbaoManager:getYuyanbao("MenuManager.text1"),menuData.data.nick),globalManager.noAlertUtils.DELETE_FRIEND,0,self,deleteFriendHandler)
--好友家园
elseif(menuData.type == menuType.friendHome)then
if(globalData.friendList:isFriend(menuData.data.userId))then
globalData.homeInfo.isOther = true
globalData.messageAdder:sendGetFriendHomeInfo(menuData.data.userId)
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("MenuManager.text6"))
end
end
end
function MenuManager:sendMessage(playerInfo)
local friendInfo = globalData.friendList:getPlayer(playerInfo.userId)
if(friendInfo == nil)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("MenuManager.text3"))
return false
end
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab3)
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.friend_select,globalManager.gameDispatcher,playerInfo.userId))
return true
end
function MenuManager:addFriend(playerInfo)
if(globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.friendLevel) then
globalManager.tipsManager:showString(globalData.newModuleLevelConfig.friendLevel..globalManager.yuyanbaoManager:getYuyanbao("MenuManager.text4"))
return
end
if(globalData.friendList:isFriend(playerInfo.userId))then
globalManager.tipsManager:showString(globalManager.yuyanbaoManager:getYuyanbao("MenuManager.text5"))
return
end
globalData.messageAdder:sendAddFriend(playerInfo.serverId, playerInfo.nick, 1)
end
LMessageManager = class("LMessageManager", function()
local socket = MessageManager:createManager()
socket.__MessageManagerSend = socket.send
return socket
end)
function LMessageManager:send(packet)
if(type(packet) == "number") then
local messOut = globalManager.messageManager:getMessageOut(packet)
globalManager.messageManager:send(messOut)
else
if(packet:getCode() ~= globalData.allStaticTypes.messageType.ACCOUNT_HEARTBEAT) then
globalData.lastCaoZuoTime = globalData.systemDateInfo:getSystemTime()*0.001
end
self:__MessageManagerSend(packet)
end
end
BaseModule = class("BaseModule",function()
local bm = {}
return bm
end)
function BaseModule:getModuleType()
return 0
end
function BaseModule:setup(data)
end
function BaseModule:configure(data)
end
ModuleManager = class("ModuleManager",function()
local mm = {}
mm._moduleList = {}
return mm
end)
--param moduleType:int
--return BaseModule*
function ModuleManager:getModule(moduleType)
return self._moduleList[moduleType]
end
--param moduleType:int
--return BaseModule*
function ModuleManager:createModule(moduleType)
if(moduleType == globalData.allStaticTypes.moduleType.startLib) then
return StartModule:new()
elseif(moduleType == globalData.allStaticTypes.moduleType.scene) then
return SceneModule:new()
elseif(moduleType == globalData.allStaticTypes.moduleType.main_menu) then
return MainMenuModule:new()
elseif(moduleType == globalData.allStaticTypes.moduleType.bag) then
return BaggageModule:new()
elseif(moduleType == globalData.allStaticTypes.moduleType.shop) then
return ShopModule:new()
elseif(moduleType == globalData.allStaticTypes.moduleType.skill) then
return SkillModule:new()
elseif(moduleType == globalData.allStaticTypes.moduleType.letter) then
return LetterModule:new()
elseif(moduleType == globalData.allStaticTypes.moduleType.chat) then
return ChatModule:new()
elseif(moduleType == globalData.allStaticTypes.moduleType.setting) then
return SettingModule:new()
elseif(moduleType == globalData.allStaticTypes.moduleType.gm) then
return GMModule:new()
elseif(moduleType == globalData.allStaticTypes.moduleType.friend) then
return FriendModule:new()
elseif(moduleType == globalData.allStaticTypes.moduleType.role) then
return RoleModule:new()
elseif(moduleType == globalData.allStaticTypes.moduleType.furnace) then
return FurnaceMoudle:new()
elseif(moduleType == globalData.allStaticTypes.moduleType.activity) then
return ActivityModule:new()
--  elseif(moduleType == globalData.allStaticTypes.moduleType.daily) then
--      return DailyModule:new()
elseif(moduleType == globalData.allStaticTypes.moduleType.matter) then
return MatterModule:new()
elseif(moduleType == globalData.allStaticTypes.moduleType.xiaofei) then
return XiaofeiModule:new()
elseif(moduleType == globalData.allStaticTypes.moduleType.rank) then
return RankModule:new()
elseif(moduleType == globalData.allStaticTypes.moduleType.league) then
return LeagueModule:new()
elseif(moduleType == globalData.allStaticTypes.moduleType.welfare) then
return WelfareModule:new()
elseif(moduleType == globalData.allStaticTypes.moduleType.open)then
return OpenModule:new()
elseif(moduleType == globalData.allStaticTypes.moduleType.xianYuan) then
return XianYuanModule:new()
elseif(moduleType == globalData.allStaticTypes.moduleType.oath) then
return OathModule:new()
elseif(moduleType == globalData.allStaticTypes.moduleType.operateActive) then
return OperateActiveModule:new()
elseif(moduleType == globalData.allStaticTypes.moduleType.combinedActive)then
return CombinedActiveModule:new()
elseif(moduleType == globalData.allStaticTypes.moduleType.doubleEleven)then
return DoubleElevenModule:new()
elseif(moduleType == globalData.allStaticTypes.moduleType.home)then
return HomeModule:new()
elseif(moduleType == globalData.allStaticTypes.moduleType.partner)then
return PartnerModule:new()
elseif(moduleType == globalData.allStaticTypes.moduleType.fightUp)then
return FightUpModule:new()
end
return nil
end
--param moduleType:int,data:void*,cancelAble:bool
function ModuleManager:addModule(moduleType,data,cancelAble)
local m = self:getModule(moduleType)
if(m ~= nil) then
m:configure(data)
return
end
m = self:createModule(moduleType)
if(m == nil) then return end
self._moduleList[moduleType] = m
m:setup(data)
end
BaseTriggerHandler = class("BaseTriggerHandler", function()
local bt = {}
return bt
end)
function BaseTriggerHandler:getType()
return 0
end
--info:TriggerInfo,param:object
function BaseTriggerHandler:handler(info,param)
end
FlyTriggerHandler = class("FlyTriggerHandler", function()
local ft = BaseTriggerHandler:new()
return ft
end)
function FlyTriggerHandler:getType()
return globalData.allStaticTypes.triggerEventType.fly
end
function FlyTriggerHandler:handler(info,param)
if(info.actionType == globalData.allStaticTypes.triggerEventType.flyToPoint)then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.trigger_flyToPoint,globalManager.gameDispatcher,{mapId=info.params[1],point=globalManager.ccCreator:newPoint(info.params[2],info.params[3])}))
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.flyToMap) then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.trigger_jumpToMap,globalManager.gameDispatcher,info.params[1]))
end
end
GuideTriggerHandler = class("GuideTriggerHandler", function()
local gt = BaseTriggerHandler:new()
return gt
end)
function GuideTriggerHandler:getType()
return globalData.allStaticTypes.triggerEventType.guide
end
function GuideTriggerHandler:handler(info,param)
end
ModuleEventTriggerHandler = class("ModuleEventTriggerHandler", function()
local me = BaseTriggerHandler:new()
return me
end)
function ModuleEventTriggerHandler:getType()
return globalData.allStaticTypes.triggerEventType.moduleEvent
end
function ModuleEventTriggerHandler:handler(info,param)
if(info.actionType == globalData.allStaticTypes.triggerEventType.enterCopy)then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_enterCopy,globalManager.gameDispatcher,{info.params[1]}))
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.enterWar)then
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.exitCopy)then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_exitCopy,globalManager.gameDispatcher,nil))
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.consignBuy)then
local moneyType = tonumber(info.params[2])
local price = tonumber(info.params[3])
if(moneyType == 3 and globalData.selfPlayerInfo.moneyInfo.copper < price) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel12"))
return
elseif(moneyType == 1 and globalData.selfPlayerInfo.moneyInfo.gold < price) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel11"))
return
end
globalData.messageAdder:buyItem(tonumber(info.params[1]))
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.acceptTask)then
globalData.messageAdder:sendAcceptTask(info.params[1])
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.submitTask)then
globalData.messageAdder:sendSubmitTask(info.params[1])
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.newGuide)then
--触发新手指引
globalData:guideShow(info.params[1])
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.closePanel) then
globalData:closeMainMenu()
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_closeOtherPanel,globalManager.gameDispatcher))
globalData.uiPanelContainer:close()
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.betterEquip) then
globalManager.goodsInfoTester:checkBetterEquip()
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.moduleOpen) then
--模块开启
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_moduleOpen,globalManager.gameDispatcher,info.params))
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.acceptPet) then
globalManager.containerManager:showAcceptView(info.params[1],info.params[4])
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.sceneWord) then
globalManager.tipsManager.sceneWordTip:show(tostring(info.params[1]))
--    elseif(info.actionType == globalData.allStaticTypes.triggerEventType.cancelChange) then
--    	globalData.selfPlayerInfo.characterInfo:changeCharacter(0)
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.leagueWarAccpet) then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.bangzhan_submit,globalManager.gameDispatcher,info.params[1]))
end
end
PopupTriggerHandler = class("PopupTriggerHandler", function()
local pt = BaseTriggerHandler:new()
pt.skyCount = 0
return pt
end)
function PopupTriggerHandler:getType()
return globalData.allStaticTypes.triggerEventType.popup
end
function PopupTriggerHandler:handler(info,param)
--npc商店
if(info.actionType == globalData.allStaticTypes.triggerEventType.npcStore)then
globalManager.moduleManager:addModule(globalData.allStaticTypes.moduleType.shop,globalData.allStaticTypes.panelTabType.npcStore,false)
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.furnaceStrength)then
if(self:checkLevel(globalData.newModuleLevelConfig.strengthLevel)) then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.furnace)
if(globalData.uiPanelContainer:getCurrentPanel() ~= nil) then
globalData.uiPanelContainer:getCurrentPanel():jumpToTab(1)
end
end
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.furnaceAdvance)then
if(self:checkLevel(globalData.newModuleLevelConfig.advancedLevel)) then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.furnace)
if(globalData.uiPanelContainer:getCurrentPanel() ~= nil) then
globalData.uiPanelContainer:getCurrentPanel():jumpToTab(3)
end
end
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.wuhun)then
if(self:checkLevel(globalData.newModuleLevelConfig.wuhunLevel)) then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.furnace)
if(globalData.uiPanelContainer:getCurrentPanel() ~= nil) then
globalData.uiPanelContainer:getCurrentPanel():jumpToTab(2)
end
end
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.ronglu)then
if(self:checkLevel(globalData.newModuleLevelConfig.rongluLevel)) then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.furnace)
if(globalData.uiPanelContainer:getCurrentPanel() ~= nil) then
globalData.uiPanelContainer:getCurrentPanel():jumpToTab(4)
end
end
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.tryCopyLianYuPanel)then
if(self:checkLevel(globalData.newModuleLevelConfig.lianyuLevel)) then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tabCopy)
if(globalData.uiPanelContainer:getCurrentPanel() ~= nil) then
globalData.uiPanelContainer:getCurrentPanel():jumpToTab(2)
end
end
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.materialPanel)then
if(self:checkLevel(globalData.newModuleLevelConfig.materialLevel)) then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tabCopy)
if(globalData.uiPanelContainer:getCurrentPanel() ~= nil) then
globalData.uiPanelContainer:getCurrentPanel():jumpToTab(3)
end
end
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.expeditionPanel)then
if(self:checkLevel(globalData.newModuleLevelConfig.expeditionLevel)) then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tabCopy)
if(globalData.uiPanelContainer:getCurrentPanel() ~= nil) then
globalData.uiPanelContainer:getCurrentPanel():jumpToTab(1)
end
end
elseif (info.actionType == globalData.allStaticTypes.triggerEventType.washGoldPanel) then
if self:checkLevel(20) then
if globalData.consumenGiftInfo.washGold then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_showWashGoldPanel,globalManager.gameDispatcher,true))
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("PopupTriggerHandler.text9"))
end
end
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.defencedPanel)then
if(self:checkLevel(globalData.newModuleLevelConfig.defenedLevel)) then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tabCopy)
if(globalData.uiPanelContainer:getCurrentPanel() ~= nil) then
globalData.uiPanelContainer:getCurrentPanel():jumpToTab(4)
end
end
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.openFindTreasurePanel)then
if(self:checkLevel(globalData.newModuleLevelConfig.findTreasureLevel)) then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tabDaily,globalData.allStaticTypes.panelTabType.findTreasure)
end
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.openStrongPanel)then
if(self:checkLevel(globalData.newModuleLevelConfig.dailyLevel)) then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tabDaily,globalData.allStaticTypes.panelTabType.activity)
if(globalData.uiPanelContainer:getCurrentPanel() ~= nil) then
globalData.uiPanelContainer:getCurrentPanel():setIndex(1)
end
end
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.openParticularSale)then
if(self:checkLevel(globalData.newModuleLevelConfig.openLevel)) then
globalData.uiPanelContainer:initTabs({globalData.allStaticTypes.panelTabType.open},globalData.allStaticTypes.panelTabType.open)
if(globalData.uiPanelContainer:getCurrentPanel() ~= nil) then
globalData.uiPanelContainer:getCurrentPanel():jumpToTab(25)
end
end
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.openYuanXiaoDaTiPanel)then
if(globalData.consumenGiftInfo.yuanXiaoDaTiIsShow)then
globalData.uiPanelContainer:initTabs({globalData.allStaticTypes.panelTabType.open},globalData.allStaticTypes.panelTabType.open)
if(globalData.uiPanelContainer:getCurrentPanel() ~= nil) then
globalData.uiPanelContainer:getCurrentPanel():jumpToTab(44)
end
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("SceneWorldMapView.text3"))
end
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.goldMonkeyPanel)then
if(globalData.consumenGiftInfo.springActivityIsShow) then
globalData.uiPanelContainer:initTabs({globalData.allStaticTypes.panelTabType.open},globalData.allStaticTypes.panelTabType.open)
if(globalData.uiPanelContainer:getCurrentPanel() ~= nil) then
globalData.uiPanelContainer:getCurrentPanel():jumpToTab(41)
end
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("SceneWorldMapView.text3"))
end
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.openJiFuPanel)then
if(globalData.consumenGiftInfo.jiFuIsShow) then
globalData.uiPanelContainer:initTabs({globalData.allStaticTypes.panelTabType.open},globalData.allStaticTypes.panelTabType.open)
if(globalData.uiPanelContainer:getCurrentPanel() ~= nil) then
globalData.uiPanelContainer:getCurrentPanel():jumpToTab(45)
end
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("SceneWorldMapView.text3"))
end
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.openXunBaoPanel)then
if(globalData.consumenGiftInfo.xunBaoIsShow)then
globalData.uiPanelContainer:initTabs({globalData.allStaticTypes.panelTabType.open},globalData.allStaticTypes.panelTabType.open)
if(globalData.uiPanelContainer:getCurrentPanel() ~= nil) then
globalData.uiPanelContainer:getCurrentPanel():jumpToTab(28)
end
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("SceneWorldMapView.text3"))
end
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.openDaily)then
if(self:checkLevel(globalData.newModuleLevelConfig.dailyLevel)) then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tabDaily)
end
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.petPanel)then
if(globalData.petItemInfo.state == 0) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("PanelTabGroupType.text42"))
return
end
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab4,globalData.allStaticTypes.panelTabType.pet)
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.riderPanel)then
if(globalData.riderItemInfo.stage == 0) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("PopupTriggerHandler.text2"))
return
end
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab4,globalData.allStaticTypes.panelTabType.rider)
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.godPanel)then
if(globalData.godItemInfo.stage == 0) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("PanelTabGroupType.text43"))
return
end
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab4,globalData.allStaticTypes.panelTabType.god)
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.wingPanel)then
if(globalData.wingItemInfo.stage == 0) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("PopupTriggerHandler.text4"))
return
end
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab4,globalData.allStaticTypes.panelTabType.wing)
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.spritePanel)then
if(globalData.spriteItemInfo.stage == 0) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("PanelTabGroupType.text44"))
return
end
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab4,globalData.allStaticTypes.panelTabType.sprite)
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.fazhenPanel)then
if(self:checkLevel(globalData.newModuleLevelConfig.fazhenLevel)) then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab4,globalData.allStaticTypes.panelTabType.fazhen)
end
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.longhunPanel)then
if(self:checkLevel(globalData.newModuleLevelConfig.longhunLevel)) then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab4,globalData.allStaticTypes.panelTabType.longhun)
end
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.panelFlyToNpc) then
globalManager.containerManager:showFlyPanel(1,info.params[1])
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.charge) then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.payTab,globalData.allStaticTypes.panelTabType.pay)
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.activity) then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tabDaily,globalData.allStaticTypes.panelTabType.matter)
local index = tonumber(info.params[1])
if(index ~= 0) then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_selectMatterItem,globalManager.gameDispatcher,index))
end
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.clubList) then
if(self:checkLevel(globalData.newModuleLevelConfig.clubLevel)) then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.leagueListTab)
end
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.qiandao) then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.welfareTab)
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.lijin) then
globalManager.moduleManager:addModule(globalData.allStaticTypes.moduleType.shop,2,false)
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.goldStorePanel)then
globalManager.moduleManager:addModule(globalData.allStaticTypes.moduleType.shop,1,false)
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.honorStorePanel)then
globalManager.moduleManager:addModule(globalData.allStaticTypes.moduleType.shop,3,false)
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.bangGongStorePanel)then
globalManager.moduleManager:addModule(globalData.allStaticTypes.moduleType.shop,4,false)
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.clubPanel) then
if(self:checkLevel(globalData.newModuleLevelConfig.clubLevel)) then
if(globalData.selfPlayerInfo.uniteId == 0) then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.leagueListTab)
else
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.leagueTab)
end
end
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.clubBoss) then
if(self:checkLevel(globalData.newModuleLevelConfig.clubLevel)) then
if(globalData.selfPlayerInfo.uniteId == 0) then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.leagueListTab)
else
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.leagueTab)
if(globalData.uiPanelContainer:getCurrentPanel() ~= nil) then
globalData.uiPanelContainer:getCurrentPanel():jumpToTab(3)
end
end
end
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.worldBossPanel)then
if(self:checkLevel(globalData.newModuleLevelConfig.worldBossLevel)) then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.worldBossTab,globalData.allStaticTypes.panelTabType.worldBoss)
end
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.jingyinBossPanel)then
if(self:checkLevel(globalData.newModuleLevelConfig.worldBossLevel)) then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.worldBossTab,globalData.allStaticTypes.panelTabType.jingYingBoss)
end
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.openVipBossPanel)then
if(self:checkLevel(globalData.newModuleLevelConfig.worldBossVipLevel)) then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.worldBossTab,globalData.allStaticTypes.panelTabType.worldBossVip)
end
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.starcraftPanel)then
if(self:checkLevel(globalData.newModuleLevelConfig.starcraftLevel)) then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.arenaTab,globalData.allStaticTypes.panelTabType.starcraft)
end
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.openRechargePanel) then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.payTab,globalData.allStaticTypes.panelTabType.pay)
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.arena) then
if(self:checkLevel(globalData.newModuleLevelConfig.warLevel)) then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.arenaTab)
end
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.arena2) then
if(self:checkLevel(globalData.newModuleLevelConfig.arena1Level)) then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.arenaTab,globalData.allStaticTypes.panelTabType.arena2)
end
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.skillPanel) then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab1,globalData.allStaticTypes.panelTabType.skill)
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.openAttributePanel)then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab1,globalData.allStaticTypes.panelTabType.property)
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.openRiderB) then
if(self:checkLevel(globalData.newModuleLevelConfig.riderPetLevel))then
if(globalData.riderItemInfo.stage >= 4)then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab7,globalData.allStaticTypes.panelTabType.riderTalent)
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("PopupTriggerHandler.text6"))
end
end
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.openPetTanlentPanel) then
if(self:checkLevel(globalData.newModuleLevelConfig.riderPetLevel))then
if(globalData.petItemInfo.stage >= 4)then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab7,globalData.allStaticTypes.panelTabType.petTanlent)
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("PopupTriggerHandler.text7"))
end
end
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.openHuaXingPanel) then
--打开坐骑化形
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.huaXingTab,globalData.allStaticTypes.panelTabType.riderHuaXing)
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.fashionPanel) then
--打开时装化形
local view = FashionViewPanel:new(globalData.fashionInfo,globalData.allStaticTypes.careerType:getCareer(globalData.selfPlayerInfo.career),globalData.selfPlayerInfo.userId)
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.openPetHuaXingPanel) then
--打开妖精化形
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.huaXingTab,globalData.allStaticTypes.panelTabType.petHuaXing)
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.openWingHuaXingPanel) then
--打开羽翼化形
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.huaXingTab,globalData.allStaticTypes.panelTabType.wingHuaXing)
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.openFaZhenHuaXingPanel) then
--打开法阵化形
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.yuanbaoPanel)then
if(self:checkLevel(globalData.newModuleLevelConfig.yuanbaoPanelLevel))then
globalData.uiPanelContainer:initTabs({globalData.allStaticTypes.panelTabType.zhuanpan3},globalData.allStaticTypes.panelTabType.zhuanpan3)
end
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.openBuyExpPanel)then
if(self:checkLevel(globalData.newModuleLevelConfig.welfareExpExchangeLevel))then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.welfareTab)
if(globalData.uiPanelContainer:getCurrentPanel() ~= nil) then
globalData.uiPanelContainer:getCurrentPanel():jumpToTab(5)
end
end
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.openNeedExchange)then
if(self:checkLevel(globalData.newModuleLevelConfig.openLevel))then
globalData.uiPanelContainer:initTabs({globalData.allStaticTypes.panelTabType.open},globalData.allStaticTypes.panelTabType.open)
if(globalData.uiPanelContainer:getCurrentPanel() ~= nil)then
globalData.uiPanelContainer:getCurrentPanel():jumpToTab(16)
end
end
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.matterPanel)then
if(self:checkLevel(globalData.newModuleLevelConfig.matterLevel))then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tabDaily,globalData.allStaticTypes.panelTabType.matter)
if info.params[1] > 0 then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_selectMatterItem,globalManager.gameDispatcher,self.info.params[1]))
end
end
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.openXianYuanPanel)then
if(self:checkLevel(globalData.newModuleLevelConfig.xianYuanLevel))then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab3,globalData.allStaticTypes.panelTabType.xianYuan)
end
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.openConsumenGiftPanel)then
if(self:checkLevel(globalData.newModuleLevelConfig.consumenGiftLevel))then
if(globalData.consumenGiftInfo.isShow)then
globalData.uiPanelContainer:initTabs({globalData.allStaticTypes.panelTabType.consumenGift},globalData.allStaticTypes.panelTabType.consumenGift)
end
end
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.openSendFlowerPanel)then
if(self:checkLevel(globalData.newModuleLevelConfig.xianYuanLevel))then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_showFlowerRankPanel,globalManager.gameDispatcher,true))
end
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.openShenMiShopPanel)then
if(self:checkLevel(globalData.newModuleLevelConfig.shenMiShopLevel))then
local openTime = globalData.openTime
local systemTime = math.floor(globalData.systemDateInfo:getSystemTime() / 1000)
local openDay = math.ceil((systemTime - openTime) / (3600 * 24))
if(openDay > 7)then
globalManager.moduleManager:addModule(globalData.allStaticTypes.moduleType.shop,9,false)
end
end
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.openVipScoreMallPanel)then
if(self:checkLevel(globalData.newModuleLevelConfig.shenMiShopLevel))then
globalManager.moduleManager:addModule(globalData.allStaticTypes.moduleType.shop,10,false)
end
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.openGrowUpPlanPanel)then
if(self:checkLevel(globalData.newModuleLevelConfig.openLevel))then
globalData.uiPanelContainer:initTabs({globalData.allStaticTypes.panelTabType.open},globalData.allStaticTypes.panelTabType.open)
if(globalData.uiPanelContainer:getCurrentPanel() ~= nil)then
globalData.uiPanelContainer:getCurrentPanel():jumpToTab(27)
end
end
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.openWorldMapPanel)then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_showMapPanel,globalManager.gameDispatcher,1))
if(info.params[1] == 9)then
self.skyCount = 3
globalManager.tickManager:addTick(self.skyTick,self)
end
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.openFlowerRankPanel)then
if(self:checkLevel(globalData.newModuleLevelConfig.xianYuanLevel))then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_showFlowerRankPanel,globalManager.gameDispatcher))
end
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.openCrossRechargePanel)then
if(globalData.consumenGiftInfo.crossRechargeIsShow)then
if(self:checkLevel(globalData.newModuleLevelConfig.cressRechargeRankLevel))then
globalData.uiPanelContainer:initTabs({globalData.allStaticTypes.panelTabType.rankCrossRecharge},globalData.allStaticTypes.panelTabType.rankCrossRecharge)
end
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("HuaXingPanel.text2"))
end
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.zhuanpan3Panel)then
if(self:checkLevel(globalData.newModuleLevelConfig.zhuanpanLevel))then
globalData.uiPanelContainer:initTabs({globalData.allStaticTypes.panelTabType.zhuanpan3},globalData.allStaticTypes.panelTabType.zhuanpan3)
end
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.operateActive)then
globalData.uiPanelContainer:initTabs({globalData.allStaticTypes.panelTabType.operateActive})
if(globalData.uiPanelContainer:getCurrentPanel() ~= nil) then
globalData.uiPanelContainer:getCurrentPanel():setIndex(100,1)  -- 有两个参数时，第一个参数无效，第二个参数为配置表中活动的id
end
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.magpieActive)then
globalData.uiPanelContainer:initTabs({globalData.allStaticTypes.panelTabType.operateActive}) ---此界面为活动的通用界面
if(globalData.uiPanelContainer:getCurrentPanel() ~= nil) then
globalData.uiPanelContainer:getCurrentPanel():setIndex(100,10)  -- 有两个参数时，第一个参数无效
end
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.magpieActive2)then
globalData.uiPanelContainer:initTabs({globalData.allStaticTypes.panelTabType.operateActive}) ---此界面为活动的通用界面
if(globalData.uiPanelContainer:getCurrentPanel() ~= nil) then
globalData.uiPanelContainer:getCurrentPanel():setIndex(100,12)  -- 有两个参数时，第一个参数无效
end
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.openZhuanXiangPanel)then
if(globalData.consumenGiftInfo.chargeShowList[2])then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_showZhuanXiangWelfarePanel,globalManager.gameDispatcher,true))
end
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.openChaosPanel)then
if(self:checkLevel(globalData.newModuleLevelConfig.chaosLevel))then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.arenaTab,globalData.allStaticTypes.panelTabType.chaos)
end
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.combinedZhuanpanPanel)then
if(self:checkLevel(globalData.newModuleLevelConfig.combinedActiveLevel))then
globalData.uiPanelContainer:initTabs({globalData.allStaticTypes.panelTabType.combinedActive})
if(globalData.uiPanelContainer:getCurrentPanel() ~= nil)then
globalData.uiPanelContainer:getCurrentPanel():jumpToTab(2)
end
end
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.openTaoYuanPanel)then
if(self:checkLevel(globalData.newModuleLevelConfig.oathLevel))then
if(globalData.oathInfo.oathPosition <= 0) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("PopupTriggerHandler.text10"))
else
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab3,globalData.allStaticTypes.panelTabType.oath)
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.showTaoYuanPanel,globalManager.gameDispatcher))
end
end
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.homePanel)then
if(self:checkLevel(globalData.newModuleLevelConfig.home))then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab3,globalData.allStaticTypes.panelTabType.home)
globalManager.moduleManager:addModule(globalData.allStaticTypes.moduleType.home,ToHomeModuleData:new(1,globalData.homeInfo),false)
end
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.newServerGift)then
if(self:checkLevel(globalData.newModuleLevelConfig.newServerGift))then
if(globalData.consumenGiftInfo.newServerGift)then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_show_newServerGift,globalManager.gameDispatcher,true))
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("HuaXingPanel.text2"))
end
end
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.farmPanel)then
if(self:checkLevel(globalData.newModuleLevelConfig.home))then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab3,globalData.allStaticTypes.panelTabType.home)
globalManager.moduleManager:addModule(globalData.allStaticTypes.moduleType.home,ToHomeModuleData:new(1,globalData.homeInfo),false)
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.farm_openFarmPanel,globalManager.gameDispatcher,nil))
end
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.yanhuaPanle)then
if(self:checkLevel(globalData.newModuleLevelConfig.xianYuanLevel))then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_showYanhuaRankPanel,globalManager.gameDispatcher,true))
end
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.sanDaCopy)then
if(self:checkLevel(globalData.newModuleLevelConfig.sanDaCopyLevel))then
globalData.messageAdder:sendSanDaMatching()
end
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.arenaXHPanel)then
if(self:checkLevel(globalData.newModuleLevelConfig.arenaXHLevel))then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.arenaTab,globalData.allStaticTypes.panelTabType.arenaXH)
end
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.partnerPanel)then
--if(self:checkLevel(globalData.newModuleLevelConfig.arenaXHLevel))then
globalData.uiPanelContainer:initTabs({globalData.allStaticTypes.panelTabType.partner})
--end
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.openFightRankPanel)then
if(self:checkLevel(globalData.newModuleLevelConfig.rankLevel))then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tabRank)
end
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.openRedBagPanel)then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_showRedBag,globalManager.gameDispatcher,nil))
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.onlineRewardPanel)then
if(self:checkLevel(globalData.newModuleLevelConfig.onlineRewardLevel))then
local maxCount = globalData.allTemplates.onlineRewardsTemplateList.MAX_COUNT
local curCount = globalData.onlineRewardsInfo.num
if(curCount <= 0 or curCount > maxCount)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("OnlineRewardsPanel.text1"))
else
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_showOnlineRewardsPanel,globalManager.gameDispatcher,nil))
end
end
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.achievementPanel)then
if(self:checkLevel(globalData.newModuleLevelConfig.findTreasureLevel)) then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tabDaily,globalData.allStaticTypes.panelTabType.activity)
if(globalData.uiPanelContainer:getCurrentPanel() ~= nil) then
globalData.uiPanelContainer:getCurrentPanel():setIndex(5)
end
end
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.vipPanel)then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.vipTab,globalData.allStaticTypes.panelTabType.vip)
else
print("弹窗部署未处理,类型：" .. info.actionType)
end
end
function PopupTriggerHandler:skyTick()
self.skyCount = self.skyCount - 1
if(self.skyCount > 0 )then return end
globalManager.tickManager:removeTick(self.skyTick,self)
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_showSkyDreamLand,globalManager.gameDispatcher,nil))
end
function PopupTriggerHandler:checkLevel(level)
if(globalData.selfPlayerInfo.level < level)then
globalManager.tipsManager.quickTip:show(level..globalManager.yuyanbaoManager:getYuyanbao("PanelTabGroupType.text41"))
return false
end
return true
end
TipsTriggerHandler = class("TipsTriggerHandler",function()
local tt = BaseTriggerHandler:new()
return tt
end)
function TipsTriggerHandler:getType()
return globalData.allStaticTypes.triggerEventType.tips
end
function TipsTriggerHandler:handler(info,param)
if(info.actionType == globalData.allStaticTypes.triggerEventType.playerMenu)then
globalManager.menuManager:showPlayerMenu(info.params[1], param)
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.playerMenu2)then
local playerInfo = BasePlayerInfo:new()
playerInfo.serverId = info.params[2]
playerInfo.vipLevel = info.params[3]
playerInfo.nick = info.describe
playerInfo.userId = info.params[1]
playerInfo:setCareer(info.params[4])
globalManager.menuManager:showPlayerMenu(playerInfo, param)
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.goodsTip)then
globalData.messageAdder:goodsQuery(info.params[1], info.params[2])
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.goodsTemplateTip)then
local goodsTemplate = globalData.allTemplates.goodsTemplateList:getTemplate(info.params[1])
if(goodsTemplate ~= nil)then
globalManager.tipsManager:showGoodsTemplate(goodsTemplate)
end
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.taskTip)then
globalManager.tipsManager.guideTip:showByParam(info.params)
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.hideTaskTip)then
globalManager.tipsManager.guideTip:hide()
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.guideNpcTalk) then
globalManager.tipsManager.guideNpcTalk:setInfo(tostring(info.params[1]),info.params[4])
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.guideNpcCopyTalk) then
globalManager.tipsManager.guideNpcCopyTalk:setInfo(tostring(info.params[1]))
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.guideRider) then
globalManager.containerManager:showRiderView(info.params[1])
end
end
WalkTriggerHandler = class("WalkTriggerHandler", function()
local gt = BaseTriggerHandler:new()
return gt
end)
function WalkTriggerHandler:getType()
return globalData.allStaticTypes.triggerEventType.walk
end
function WalkTriggerHandler:handler(info,param)
if(info.actionType == globalData.allStaticTypes.triggerEventType.walkToPoint)then
if(globalData.copyInfo.currentCopyId > 0) then return end
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_stopAfk,globalManager.gameDispatcher))
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_stopJump,globalManager.gameDispatcher))
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.trigger_walkToPoint,globalManager.gameDispatcher,{mapId=info.params[1],point=globalManager.ccCreator:newPoint(info.params[2],info.params[3]),doubleClickCancel=true}))
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.walkToNpc)then
if(globalData.copyInfo.currentCopyId > 0) then return end
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_stopAfk,globalManager.gameDispatcher))
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_stopJump,globalManager.gameDispatcher))
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.trigger_walkToNpc,globalManager.gameDispatcher,{id=info.params[1],doubleClickCancel=true}))
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.walkToMonster)then
if(globalData.copyInfo.currentCopyId > 0) then return end
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_stopAfk,globalManager.gameDispatcher))
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_stopJump,globalManager.gameDispatcher))
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.trigger_walkToMonster,globalManager.gameDispatcher,{id=info.params[1],doubleClickCancel=true}))
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.walkToCollect)then
if(globalData.copyInfo.currentCopyId > 0) then return end
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_stopAfk,globalManager.gameDispatcher))
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_stopJump,globalManager.gameDispatcher))
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.trigger_walkToCollect,globalManager.gameDispatcher,{id=info.params[1],doubleClickCancel=true}))
elseif(info.actionType == globalData.allStaticTypes.triggerEventType.outCopyWalkToNpc) then
local triggerInfo = TriggerInfo:new()
triggerInfo.type = globalData.allStaticTypes.triggerEventType.walk
triggerInfo.actionType = globalData.allStaticTypes.triggerEventType.walkToNpc
triggerInfo.params = info.params
globalData.selfPlayerInfo:addOutCopyTrigger(triggerInfo)
end
end
TriggerInfo = class("TriggerInfo",function(self)
local temp = {}
temp.type = 0--主类型int
temp.actionType = 0--子类型int
temp.group = 0--组int
temp.params = {}--部署Vector.<int>
temp.index = 0--当前索引int
temp.describe = ""--描述string
return temp
end)
--param data:ByteArray
function TriggerInfo:init(data)
self.type = data:readByte()
self.actionType = data:readShort()
self.group = data:readByte()
self.describe = data:readString()
for i = 1,4,1 do
table.insert(self.params,data:readInt())
end
end
function TriggerInfo:setData()
end
--type1$type2$group$describe$p1$p2$...
function TriggerInfo:parseString(str)
local list = globalManager.messageUtils:splitString(str, "$")
local len = table.getn(list)
if(len >= 4)then
self.type = tonumber(list[1])
self.actionType = tonumber(list[2])
self.group = tonumber(list[3])
self.describe = list[4]
if(len > 5)then
for i = 5,len,1 do
table.insert(self.params,tonumber(list[i]))
end
end
end
end
function TriggerInfo:toString()
local str = ""
str = tostring(self.type).."$"..tostring(self.actionType).."$"..tostring(self.group).."$"..tostring(self.describe)
.."$"..tostring(self.params[1]).."$"..tostring(self.params[2]).."$"..tostring(self.params[3]).."$"..tostring(self.params[4])
return str
end
BaseSdkHandler = class("BaseSdkHandler", function()
local self = {}
self.json = require("json")
--登录参数保存，表形式
self.loginParams = {}
--接口类型
self.prefix = nil
self.tickLoginCount = 0
self.islogout = cc.FileUtils:getInstance():isFileExist("islogout")
print("#self.islogout", self.islogout)
return self
end)
function BaseSdkHandler:handler(status, vals)
if(status == globalManager.kyPlatformSDK.resume_call)then
--继续
print("程序继续")
elseif(status == globalManager.kyPlatformSDK.destroy_call)then
--销毁
print("程序退出")
elseif(status == globalManager.kyPlatformSDK.pause_call)then
--暂停
print("程序暂停")
elseif(status == globalManager.kyPlatformSDK.startLeaving_call)then
--按下返回键
print("按下返回键")
if self.islogout == true then
globalManager.kyPlatformSDK:luaCall({globalManager.kyPlatformSDK.showConfirm, "您确定要退出游戏吗？", "exit"})
else
globalManager.kyPlatformSDK:luaCall({globalManager.kyPlatformSDK.pressBack})
end
elseif(status == globalManager.kyPlatformSDK.dialogOk_call)then
--对话框确定键
print("对话框确定键")
if(vals[1] == "exit")then
globalManager.kyPlatformSDK:luaCall({globalManager.kyPlatformSDK.exit})
end
elseif(status == globalManager.kyPlatformSDK.dialogCancel_call)then
--对话框取消键
print("对话框取消键")
elseif(status == globalManager.kyPlatformSDK.sdkLoginSuccess)then
--sdk登陆成功
print("sdk登陆成功")
self:loginSuccess(vals)
elseif(status == globalManager.kyPlatformSDK.cpLogin_call) then
local v = globalManager.commonUtils:unescape(vals[1])
v = string.gsub(v,"\\/","/")
print("CP信息成功返回 ", v)
self:cpLoginSuccess(v)
elseif(status == globalManager.kyPlatformSDK.sdkLoginError)then
--sdk登陆失败
print("sdk登陆失败")
self:cancelCheckLogin()
elseif(status == globalManager.kyPlatformSDK.sdkLoginCancel)then
--sdk取消登陆
print("sdk取消登陆")
self:cancelCheckLogin()
elseif(status == globalManager.kyPlatformSDK.logout)then
print("帐号退出")
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.global_sdkLoginSuccess,globalManager.gameDispatcher,nil))
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.global_clearAllData,globalManager.gameDispatcher,nil))
globalManager.containerManager:setCheckDisconnect(false)
globalManager.messageManager:close()
globalManager.moduleManager:addModule(globalData.allStaticTypes.moduleType.startLib,ToCommonModuleData:new(1),false)
elseif(status == globalManager.kyPlatformSDK.sdkPaySuccess)then
--sdk付款成功
print("sdk付款成功")
globalManager.kyPlatformSDK:luaCall( { globalManager.kyPlatformSDK.sendData, "paySuccess", unpack(globalData.lastPayList) } )
self:paySuccess()
elseif(status == globalManager.kyPlatformSDK.sdkPayCancel)then
--sdk付款取消
print("付款取消")
elseif(status == globalManager.kyPlatformSDK.useSpeed) then
--提示加速器
Alert:new():show(4,globalManager.yuyanbaoManager:getYuyanbao("sdk.tips1"),nil,0,self)
elseif(status == globalManager.kyPlatformSDK.saveKeyValue_call) then
if(vals[1] ~= nil and vals[2] ~= nil) then
globalManager.commonUtils:writeStringKey( vals[1], vals[2] )
end
elseif(status == globalManager.kyPlatformSDK.inviteFacebook_call)then
if(vals[1] ~= nil)then
local list = globalManager.messageUtils:splitString(vals[1],"#")
local code     = list[1]
local userId   = list[2]
end
else
--其他处理
print("sdk其他处理")
-- globalManager.kyPlatformSDK:callLuaOtherHandler(status,vals)
end
end
function BaseSdkHandler:cpLoginSuccess(vals)
print("##login success,", vals)
local val = nil
if(vals ~= nil and vals ~= "")then
val = self.json.decode(vals)
if(val ~= nil)then
if(val.rs ~= 1)then
globalManager.tipsManager.quickTip:show(string.format(globalManager.yuyanbaoManager:getYuyanbao("sdk.tips2"),val.rs))
end
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("sdk.tips3"))
end
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("sdk.tips3"))
print("#服务器返回数据为空")
end
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.global_sdkLoginSuccess,globalManager.gameDispatcher,val))
end
function BaseSdkHandler:startCheckLogin()
--暂时只处理正版代码
if globalData.config.sdkId == 100 then
self.tickLoginCount = 0
globalManager.tickManager:addTick(self.tickCheckLogin, self)
end
end
function BaseSdkHandler:tickCheckLogin(delta, count)
self.tickLoginCount = self.tickLoginCount + 1
if self.tickLoginCount > 180 then
self.tickLoginCount = 0
globalManager.kyPlatformSDK:luaCall({globalManager.kyPlatformSDK.showSDKLoginPage})
end
end
function BaseSdkHandler:cancelCheckLogin()
globalManager.tickManager:removeTick(self.tickCheckLogin, self)
end
function BaseSdkHandler:loginSuccess(values)
self:cancelCheckLogin()
local function accountCallback(mess)    --CP服务器账号返回
globalManager.kyPlatformSDK:luaCall({ globalManager.kyPlatformSDK.showTip,globalManager.yuyanbaoManager:getYuyanbao("sdk.tips4") })
local loaderResult = tolua.cast(mess, "LoaderResult")
local vals = loaderResult:getStrData()
self:cpLoginSuccess(vals)
end
local data = values
if data ~= nil then  -- sid, time, account
globalManager.kyPlatformSDK:luaCall({ globalManager.kyPlatformSDK.showTip,globalManager.yuyanbaoManager:getYuyanbao("sdk.tips5") })
local url = globalData.config.serverUrl..tostring(data[1])..".php?"..tostring(data[2]).."&"..math.random(0,9999999)
print("###url", url)
self.prefix = data[1]
local datas = data[2]
print("#开始解析保存登录数据", datas)
local params = string.split(datas, "&")
if params ~= nil and #params > 0 then
for i = 1, #params do
local param = string.split(params[i], "=")
if param ~= nil and #param == 2 then
self.loginParams[param[1]] = param[2]
end
end
end
if(globalData.config.sdkId == 201 or globalData.config.sdkId == "201") then
local tempA,tempB = string.find(data[2],"channel_id=")
local tempC = string.find(data[2],"&",tempB)
local channelId
if(tempC == nil) then
channelId = string.sub(data[2],tempB + 1)
else
channelId = string.sub(data[2],tempB + 1,tempC - 1)
end
print("######################################",channelId)
if(channelId == "102") then
tempA,tempB = string.find(data[2],"user_id=")
tempC = string.find(data[2],"&",tempB)
if(tempC == nil) then
globalData.openId = string.sub(data[2],tempB + 1)
else
globalData.openId = string.sub(data[2],tempB + 1,tempC - 1)
end
end
end
globalManager.loaderManager:getRemote(url, accountCallback)
end
end
--应用宝判定
function BaseSdkHandler:isInYYB()
return tonumber(globalData.config.sdkId) == 29
end
function BaseSdkHandler:paySuccess()
if self:isInYYB() then
self:payVerify(globalData.lastPayList, self.payVerifyHandler)
end
end
function BaseSdkHandler:payVerify( list, callback )
function verifyCallback(mess)
-- 返回参数说明：１充值成功 １参数错误 ２查询余额失败 １００　余额不足
local loaderResult = tolua.cast(mess, "LoaderResult")
local vals = loaderResult:getStrData()
print("#verifyCallback", vals)
callback(self, vals)
end
-- session_id=%s& session_type=%s& openid=%s& openkey=%s& pay_token=%s& pf=%s& pfkey=%s& channel=%s& zoneid=%s& billno=%s& pay_money=%s&
local data = string.format("session_id=%s&session_type=%s&openid=%s&openkey=%s&pay_token=%s&pf=%s&pfkey=%s&channel=%s&zoneid=%s&billno=%s&pay_money=%s",
self.loginParams["session_id"],
self.loginParams["session_type"],
self.loginParams["openid"],
self.loginParams["openkey"],
self.loginParams["pay_token"],
self.loginParams["pf"],
self.loginParams["pfkey"],
self.loginParams["channel"],
globalData.selfPlayerInfo.serverId,
list[10], --billno
list[8]) --pay_money
local url = globalData.config.payUrl..self.prefix..".php?"..data.."&"..math.random(0,9999999)
print("#payVerify:", url)
globalManager.loaderManager:getRemote(url, verifyCallback)
end
function BaseSdkHandler:payVerifyHandler(vals)
local code = tonumber(vals)
if code == 0 then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("sdk.tips6"))
elseif code == 1 then
globalManager.tipsManager.quickTip:show(string.format(globalManager.yuyanbaoManager:getYuyanbao("sdk.tips7"),1))
elseif code == 2 then
globalManager.tipsManager.quickTip:show(string.format(globalManager.yuyanbaoManager:getYuyanbao("sdk.tips7"),2))
elseif code == 3 then
globalManager.tipsManager.quickTip:show(string.format(globalManager.yuyanbaoManager:getYuyanbao("sdk.tips7"),3))
elseif code == 100 then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("sdk.tips8"))
--余额不足，弹出充值窗口
globalManager.kyPlatformSDK:luaCall(globalData.lastPayList)
else
-- globalManager.tipsManager.quickTip:show(string.format(globalManager.yuyanbaoManager:getYuyanbao("sdk.tips7"),999))
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("sdk.tips9"))
end
end
function BaseSdkHandler:pay(list)
print("#BaseSdkHandler:pay, self:isInYYB()", self:isInYYB())
if self:isInYYB() then
--应用宝的支付流程：1.先跟后台支付验证，2.验证失败，客户端弹支付充值，3.成功之后再重复第1步
self:payVerify(list, self.payVerifyHandler)
else
globalManager.kyPlatformSDK:luaCall(list)
end
end
YYARSdkHandler = class("YYARSdkHandler", function()
local self = BaseSdkHandler:new()
self.__BaseSdkHandlerHandler = self.handler
return self
end)
function YYARSdkHandler:handler(status, vals)
self:__BaseSdkHandlerHandler(status, vals)
end
-- function YYARSdkHandler:loginSuccess(vals)
-- 	local data = globalManager.messageUtils:splitString(vals)
-- 	if data ~= nil and #data == 3 then  -- sid, time, account
-- 		self:luaCall({ 6, "正在获取账号信息" })
-- 	end
-- end
--##globalManager.kyPlatformSDK
KYPlatformSDK = class("KYPlatformSDK", function()
local self = EventDispatcher:new()
self._em = nil --KYPlatform:getInstance()  由GameContainer去实例化
self.PPIOS       = 2
self.IOS91       = 3
self.ITOOLSIOS   = 4
self.KUAIYONGIOS = 5
self.TONGBUIOS   = 6
self.XYIOS   	 = 7
self.AR91        = 100
self.ARUC        = 101
self.ARXIAOMI    = 102
self.AR360       = 103
self.ARDL        = 104
self.ARHTC    	 = 105
self.ARYUKOU     = 106
self.ARPPS    	 = 107
self.ARKUGOU     = 108
self.ARC1WAN	 = 109
return self
end)
function KYPlatformSDK:getBackExt(pfId)
local ret = ""
if pfId == self.PPIOS then
ret = "pp"
elseif pfId == self.IOS91 then
ret = "91ios"
elseif pfId == self.ITOOLSIOS then
ret = "itoios"
elseif pfId == self.KUAIYONGIOS then
ret = "ky"
elseif pfId == self.TONGBUIOS then
ret = "tb"
elseif pfId == self.AR91 then
ret = "91ard"
elseif pfId == self.ARUC then
ret = "uc"
elseif pfId == self.ARXIAOMI then
ret = "mi"
elseif pfId == self.AR360 then
ret = "360"
elseif pfId == self.ARDL then
ret = "dl"
elseif pfId == self.ARHTC then
ret = "htc"
elseif pfId == self.XYIOS then
ret = "xy"
elseif pfId == self.ARYUKOU then
ret = "yk"
elseif pfId == self.ARPPS then
ret = "pps"
elseif pfId == self.ARKUGOU then
ret = "kg"
elseif pfId == self.ARC1WAN then
ret = "c1w"
end
return ret..".php"
end
function KYPlatformSDK:init(em)
self._em = em
if self._em ~= nil then
-- self._em:init(globalData.config.openPay, globalData.config.noOpenPayTip, globalData.config.serverUrl..self:getBackExt(tonumber(self:getSDKID())) )
local function callback(status, vals)
print("#sdk 返回状态:", status)
print("#KYPlatformSDK:vals", vals)
if status == 1 then  --sdk登录成功
local val
if vals ~= nil and vals ~= "" then
val = globalManager.commonUtils:jsonDecode(vals)
if val ~= nil then
if val.rs == 1 then
else
globalManager.tipsManager.quickTip:show(string.format(globalManager.yuyanbaoManager:getYuyanbao("sdk.tips2"),val.rs))
end
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("sdk.tips3"))
end
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("sdk.tips3"))
print("#服务器返回数据为空")
end
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.global_sdkLoginSuccess,self,val))
elseif status == 2 then
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.global_sdkLoginSuccess,self,nil))
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.global_clearAllData,globalManager.gameDispatcher,nil))
globalManager.containerManager:setCheckDisconnect(false)
globalManager.messageManager:close()
globalManager.moduleManager:addModule(globalData.allStaticTypes.moduleType.startLib,ToCommonModuleData:new(1),false)
elseif status == 3 then  --退出登录界面
--暂时不处理
elseif status == 4 then  --离开游戏界面太久
local function confirmExit()
globalManager.messageManager:gameExit(0)
end
Alert:new():show(1,globalManager.yuyanbaoManager:getYuyanbao("KYPlatformSDK.text1"),nil,0,self,confirmExit)
end
end
local function ARcallback(json)
local data = globalManager.commonUtils:jsonDecode(json)
local status = tonumber(data.status)
local vals = data.vals
print("#AR status", status)
print("#AR vals", vals)
callback(status, vals)
end
if(globalData.platform == cc.PLATFORM_OS_IPHONE or globalData.platform == cc.PLATFORM_OS_IPAD or globalData.platform == cc.PLATFORM_OS_MAC)then
self._em:setCallback(callback)
elseif globalData.platform == cc.PLATFORM_OS_ANDROID then
self._em:setCallback(ARcallback)
else
end
end
end
function KYPlatformSDK:showSDKLoginPage()
if self._em ~= nil then
self._em:showSDKLoginPage()
end
end
function KYPlatformSDK:enterSNSCenter()
if self._em ~= nil then
self._em:enterSNSCenter()
end
end
function KYPlatformSDK:enterBBS()
if self._em ~= nil then
self._em:enterBBS()
end
end
function KYPlatformSDK:logoff()
if self._em ~= nil then
self._em:logoff()
end
end
function KYPlatformSDK:showQuickIcon()
if(self._em ~= nil)then
self._em:showQuickIcon()
end
end
function KYPlatformSDK:hideQuickIcon()
if(self._em ~= nil)then
self._em:hideQuickIcon()
end
end
function KYPlatformSDK:callCustomFunc(data)
if(self._em ~= nil)then
self._em:callCustomFunc(data)
end
end
function KYPlatformSDK:setResetTime(resetTime)
if(self._em ~= nil)then
print("#KYPlatformSDK:setResetTime", resetTime)
self._em:setResetTime(resetTime)
end
end
function KYPlatformSDK:getSDKID()
if self._em ~= nil then
return tonumber(self._em:getSDKID())
end
return 0
end
function KYPlatformSDK:chgHostToIP(host)
if self._em ~= nil then
return self._em:chgHostToIP( host )
end
return host
end
function KYPlatformSDK:showTip(tips)
if self._em ~= nil then
return self._em:showTip( tips )
end
end
function KYPlatformSDK:showConfirm(tips, tag)
if self._em ~= nil then
return self._em:showConfirm( tips, tag )
end
end
function KYPlatformSDK:showPayPage(payNum, name)
if self._em ~= nil then
local data = { }
data["appName"] =globalManager.yuyanbaoManager:getYuyanbao("KYPlatformSDK.text2")
data["payNum"]   = payNum
data["name"]     = name
data["playerID"] = globalData.selfPlayerInfo.shortAccount
data["account"] = globalData.selfPlayerInfo.shortAccount
data["level"] = tostring(globalData.selfPlayerInfo.level)
data["vipLevel"] = tostring(globalData.selfPlayerInfo.vipLevel)
data["serverID"] = globalData.selfPlayerInfo.serverId
data["yuanbao"] = globalData.selfPlayerInfo.moneyInfo.gold
data["uniteName"] = globalData.selfPlayerInfo.uniteName
data["serverName"] = globalData.serverName
data["payUrl"] =  globalData.config.payUrl..self:getBackExt(tonumber(self:getSDKID()))
local json = globalManager.commonUtils:jsonEncode(data)
print("#json", json)
self._em:showPayPage(json)
end
end
-- peter _@_ wapeter.com   2013-11-27
-- ref:
-- http://www.cppblog.com/zhenyu/archive/2009/05/20/1050.html
-- modified version, with faster binary/decimal left/right shift
-- bug fix on n=0 case
bit = class("bit",function()
local b = {}
b.data32 = {}
for i=1,32 do
b.data32[i] = 2^(32-i);
end
return b
end)
-- from decimal num to bit_array(ba)
function bit:d2b(num)
local ba = {};
if (num/2) >= self.data32[1] then
print('BUG bit:d2b overflow: ', num);
return nil;
end
for i=1, 32 do
if num >= self.data32[i] then
ba[i] = 1;
num = num-self.data32[i];
else
ba[i] = 0;
end
end
return ba;
end
-- binary to decimal
function    bit:b2d(ba)
local   num=0
for i=1,32 do
if ba[i] ==1 then
num=num+2^(32-i)
end
end
return  num
end   --bit:b2d
-- binary array clone
function bit:bclone(ba)
local r = {};
for i=1,32 do
r[i] = ba[i];
end
return r;
end
-- return 1 if op1 > op2
-- return -1 if op1 < op2
-- return 0 if op1==op2
function bit:bcompare(op1, op2)
local v;
for i=1, 32 do
v = op1[i] - op2[i];
if v ~= 0 then
return v;
end
end
return 0;
end
-- binary xor : input, output are binary array
function    bit:bxor(op1,op2) -- {
local r = {};
for i=1,32 do
if op1[i]==op2[i] then
r[i]=0
else
r[i]=1
end
end
return r;
end -- bit:bxor }
-- decimal xor : input, output are decimal
function    bit:dxor(a,b)
local   op1=self:d2b(a)
local   op2=self:d2b(b)
local   r={}
for i=1,32 do
if op1[i]==op2[i] then
r[i]=0
else
r[i]=1
end
end
return  self:b2d(r)
end --bit:dxor }
function bit:band(op1, op2) -- {
local   r={}
for i=1,32 do
if op1[i]==1 and op2[i]==1  then
r[i]=1
else
r[i]=0
end
end
return  r;
end -- bit:band }
function    bit:dand(a,b) -- {
local   op1=self:d2b(a)
local   op2=self:d2b(b)
local   r={}
for i=1,32 do
if op1[i]==1 and op2[i]==1  then
r[i]=1
else
r[i]=0
end
end
return  self:b2d(r)
end -- bit:dand }
function bit:bor(op1, op2) -- {
local   r={}
for i=1,32 do
if  op1[i]==1 or op2[i]==1   then
r[i]=1
else
r[i]=0
end
end
return  r
end -- bit:bor }
function    bit:dor(a,b) -- {
local   op1=self:d2b(a)
local   op2=self:d2b(b)
local   r={}
for i=1,32 do
if  op1[i]==1 or   op2[i]==1   then
r[i]=1
else
r[i]=0
end
end
return  self:b2d(r)
end --bit:dor }
function    bit:bnot(op1) -- {
local   r={}
for i=1,32 do
if  op1[i]==1   then
r[i]=0
else
r[i]=1
end
end
return  r
end --bit:bnot }
function    bit:dnot(a) -- {
local   op1=self:d2b(a)
local   r={}
for i=1,32 do
if  op1[i]==1   then
r[i]=0
else
r[i]=1
end
end
return  self:b2d(r)
end --bit:dnot -- }
function bit:bright_slow(op1, n) -- {
if n > 32 or n < 0 then
return self:d2b(0);
end
local   r=bit:bclone(op1);
for j=1,n do
for i=31,1,-1 do
r[i+1]=r[i]
end
r[1]=0
end
return r
end -- bit:bright_slow }
function bit:bright(op1, n) -- {
if n > 32 or n < 0 then
return self:d2b(0);
end
local   r=bit:bclone(op1);
for i=32,1+n,-1 do
r[i]=r[i-n]
end
for i=1,n do
r[i]=0
end
return r
end -- bit:bright }
function    bit:dright(a,n) -- {
-- assume n >= 0, negative n will result 0
if n > 32 or n < 0 then
return 0; -- hard coded
end
local   r=self:d2b(a)
for i=32, 1+n, -1 do
r[i] = r[i-n]
end
for i=1,n do
r[i] = 0
end
return  self:b2d(r)
end --bit:dright }
function    bit:dright_slow(a,n) -- {
local   op1=self:d2b(a)
local   r=self:d2b(0)
if n < 32 and n >= 0 then
for j=1,n do
for i=31,1,-1 do
op1[i+1]=op1[i]
end
op1[1]=0
end
r=op1
end
return  self:b2d(r)
end --bit:dright_slow }
function bit:bleft(op1, n)
if n > 32 or n < 0 then
return self:d2b(0);
end
local r = bit:bclone(op1);
for i=1,32-n do
r[i] = r[i+n];
end
for i=33-n, 32 do
r[i] = 0;
end
return r;
end
function bit:dleft(a, n)
if n > 32 or n < 0 then
return 0;
end
local op1=self:d2b(a)
for i=1,32-n do
op1[i] = op1[i+n];
end
for i=33-n, 32 do
op1[i] = 0;
end
return self:b2d(op1);
end
function    bit:dleft_slow(a,n)
local   op1=self:d2b(a)
local   r=self:d2b(0)
if n < 32 and n >= 0 then
for j=1,n   do
for i=1,31 do
op1[i]=op1[i+1]
end
op1[32]=0
end
r=op1
end
return  self:b2d(r)
end --bit:dleft_slow
function bit:bstr(ba, sep)
local str = ''
for i=1,32 do
str = str  .. ba[i]
if (i % 4)==0 and i~=32 and sep ~= nil then
str = str .. sep;
end
end
return str;
end
--##globalManager.ccCreator
CCCreator = class("CCCreator",function()
local creator = {}
creator.sharedDirector         = cc.Director:getInstance()
creator.sharedTextureCache     = cc.Director:getInstance():getTextureCache()
creator.sharedSpriteFrameCache = cc.SpriteFrameCache:getInstance()
creator.sharedAnimationCache   = cc.AnimationCache:getInstance()
creator.winSize = creator.sharedDirector:getWinSize()
creator.designSize = cc.size(960, 640)
globalData.GAME_WIDTH = creator.winSize.width
globalData.GAME_HEIGHT = creator.winSize.height
--    creator.PROGRESS_TIMER_BAR = kCCProgressTimerTypeBar
--    creator.PROGRESS_TIMER_RADIAL = kCCProgressTimerTypeRadial
creator.TEXTURES_PIXEL_FORMAT = {}
creator.ANCHOR_POINTS = {
cc.p(0.5, 0.5),  -- 1CENTER
cc.p(0, 1),      -- 2TOP_LEFT
cc.p(0.5, 1),    -- 3TOP_CENTER
cc.p(1, 1),      -- 4TOP_RIGHT
cc.p(0, 0.5),    -- 5CENTER_LEFT
cc.p(1, 0.5),    -- 6CENTER_RIGHT
cc.p(0, 0),      -- 7BOTTOM_LEFT
cc.p(1, 0),      -- 8BOTTOM_RIGHT
cc.p(0.5, 0),    -- 9BOTTOM_CENTER
}
creator.count = 0
--cocos version
creator.cocoVer = 3.0
return creator
end)
function CCCreator:release(node)
if(node == nil)then
print("Error:CCCreator:release传入参数为nil")
print(debug.traceback("",2))
return
end
node:unregisterScriptHandler()
if(node:getParent() ~= nil)then
node:removeFromParent()
end
if(node.dispose ~= nil) then
node.dispose = nil
end
node:release()
end
function CCCreator:releaseTexture(path)
self.sharedTextureCache:removeTextureForKey(path)
end
function CCCreator:releasePlist(plistPath)
self.sharedSpriteFrameCache:removeSpriteFramesFromFile(plistPath)
end
function CCCreator:newLayerColor(color)
local node = cc.LayerColor:create(color)
node:retain()
return node
end
function CCCreator:newPoint(x,y)
if(x == nil)then x = 0 end
if(y == nil)then y = 0 end
return cc.p(x,y)
end
function CCCreator:newSize(width,height)
if(width == nil)then width = 0 end
if(height == nil)then height = 0 end
return cc.size(width, height)
end
function CCCreator:newRect(x,y,width,height)
if(x == nil)then x = 0 end
if(y == nil)then y = 0 end
if(width == nil)then width = 0 end
if(height == nil)then height = 0 end
return cc.rect(x,y,width,height)
end
function CCCreator:newRichLabel2(text,width,color3b)
local rl = RichLabel2:new(width)
if(color3b ~= nil) then
rl:setTextColor(color3b)
end
if(text ~= nil) then
rl:setText(text)
end
return rl
end
function CCCreator:newPageView()
local pageView = ccui.PageView:create()
pageView:retain()
return pageView
end
function CCCreator:newListView()
local node = ccui.ListView:create()
node:retain()
return node
end
function CCCreator:newScrollView()
local node = ccui.ScrollView:create()
node:retain()
return node
end
function CCCreator:newButton()
local node = ccui.Button:create()
node:retain()
return node
end
function CCCreator:newImageView(path,texType)
local node = ccui.ImageView:create()
if(path == nil or path == "") then
node:retain()
return node
end
if(texType == nil) then
node:loadTexture(path)
else
node:loadTexture(path,texType)
end
node:retain()
return node
end
function CCCreator:newWidget()
local widget = ccui.Widget:create()
widget:retain()
return widget
end
function CCCreator:newLayer()
local node = cc.Layer:create()
node:setAnchorPoint(cc.p(0,0))
node:retain()
return node
end
function CCCreator:newLayout()
local node = ccui.Layout:create()
node:retain()
return node
end
function CCCreator:newNode()
local node = cc.Node:create()
node:retain()
return node
end
function CCCreator:newMoveTo(time,point)
local move =  cc.MoveTo:create(time,point)
move:retain()
return move
end
function CCCreator:newCCLabelTTF()
local node = cc.LabelTTF:create()
node:setFontName("Microsoft YaHei")
node:setAnchorPoint(cc.p(0,0))
node:setHorizontalAlignment(cc.TEXT_ALIGNMENT_LEFT)
node:setVerticalAlignment(cc.VERTICAL_TEXT_ALIGNMENT_BOTTOM)
node:retain()
return node
end
function CCCreator:newLabel()
local node = ccui.Text:create()
node:setFontName("Microsoft YaHei")
node:setFontSize(18)
node:retain()
return node
end
function CCCreator:newEditBox(size,maxLength,fontSize,isPassword,color,withBackground,placeHolder)
placeHolder = placeHolder or globalManager.yuyanbaoManager:getYuyanbao("CCCreator.text1")
if(withBackground == nil) then withBackground = false end
isPassword = isPassword or false
fontSize = fontSize or 25
color = color or globalData.allStaticTypes.colorType.EDITBOX_COLOR
local node
if(globalData:isIos()) then
node = ccui.TextField:create()
node:setContentSize(size)
node:setTouchSize(size)
node:setTouchAreaEnabled(true)
node:setTextHorizontalAlignment(cc.TEXT_ALIGNMENT_LEFT)
node:setTextVerticalAlignment(cc.VERTICAL_TEXT_ALIGNMENT_TOP)
node:setAnchorPoint(self.ANCHOR_POINTS[7])
node:setFontName("Microsoft YaHei")
node:setMaxLength(maxLength)
node:setFontSize(fontSize)
node:setPasswordEnabled(isPassword)
node:setPlaceHolder(placeHolder)
node:setColor(color)
else
local bg = cc.Scale9Sprite:createWithSpriteFrameName("board/ui_board8.png")
if withBackground ~= true then
bg:setOpacity(0)
end
node = cc.EditBox:create(size, bg)
node:setAnchorPoint(cc.p(0,0))
node:setFontName("Microsoft YaHei")
node:setFontSize(fontSize)
node:setFontColor(color)
node:setPlaceHolder(placeHolder)
node:setPlaceholderFontColor(color)
node:setMaxLength(maxLength)
if(not isPassword)then
node:setReturnType(cc.KEYBOARD_RETURNTYPE_DONE)
node:setInputFlag(cc.EDITBOX_INPUT_FLAG_INITIAL_CAPS_ALL_CHARACTERS)
--[[
cc.EDITBOX_INPUT_FLAG_PASSWORD = 0
cc.EDITBOX_INPUT_FLAG_SENSITIVE = 1
cc.EDITBOX_INPUT_FLAG_INITIAL_CAPS_WORD = 2
cc.EDITBOX_INPUT_FLAG_INITIAL_CAPS_SENTENCE = 3
cc.EDITBOX_INPUT_FLAG_INITIAL_CAPS_ALL_CHARACTERS = 4
]]
else
node:setInputFlag(cc.EDITBOX_INPUT_FLAG_PASSWORD)
node:setInputMode(cc.EDITBOX_INPUT_MODE_SINGLELINE)
end
end
node:retain()
return node
end
function CCCreator:newShadowlabel(text,colorF,colorB)
local label = ShadowLabel:new()
if(text ~= nil)then
label:setText(text)
end
if(colorF ~= nil and colorB ~= nil)then
label:setFontColor(colorF,colorB)
end
label:setFontSize(20)
return label
end
function CCCreator:newBMFont(str)
local BMFont = ccui.TextBMFont:create()
BMFont:setFntFile(globalManager.pathManager:getUISource("font/labelFont.fnt"))
BMFont:retain()
if(str ~= nil) then
BMFont:setText(str)
end
return BMFont
end
function CCCreator:createWithSpriteFrameName(frameName)
local node = cc.Sprite:createWithSpriteFrameName(frameName)
node:retain()
return node
end
function CCCreator:newSprite(filename)
local t = type(filename)
if t == "userdata" then t = tolua.type(filename) end
local sprite
if not filename then
sprite = cc.Sprite:create()
elseif t == "string" then
if string.byte(filename) == 35 then -- first char is #
local frame = self:newSpriteFrame(string.sub(filename, 2))
if frame then
sprite = cc.Sprite:createWithSpriteFrame(frame)
end
else
if self.TEXTURES_PIXEL_FORMAT[filename] then
cc.Texture2D:setDefaultAlphaPixelFormat(self.TEXTURES_PIXEL_FORMAT[filename])
sprite = cc.Sprite:create(filename)
cc.Texture2D:setDefaultAlphaPixelFormat(self.kCCTexture2DPixelFormat_RGBA8888)
else
sprite = cc.Sprite:create(filename)
end
end
elseif t == "cc.SpriteFrame" then
sprite = cc.Sprite:createWithSpriteFrame(filename)
else
print("CCCreator:newSprite() - invalid filename value type")
sprite = cc.Sprite:create()
end
if not sprite then
print("CCCreator:newSprite() - create sprite failure, filename %s", tostring(filename))
sprite = cc.Sprite:create()
end
sprite:retain()
return sprite
end
function CCCreator:newSpriteFrame(frameName)
local frame = self.sharedSpriteFrameCache:spriteFrameByName(frameName)
if not frame then
print("CCCreator:newSpriteFrame() - invalid frameName %s", tostring(frameName))
end
return frame
end
function CCCreator:newProgressTimer(image, progresssType)
local progress = cc.ProgressTimer:create(image)
if(progresssType ~= nil) then
progress:setType(progresssType)
end
progress:retain()
return progress
end
function CCCreator:newLoadingBar(path, texType)
local bar = ccui.LoadingBar:create()
if(path == nil or path == "") then
bar:retain()
return bar
end
if(texType == nil) then
bar:loadTexture(path)
else
bar:loadTexture(path,texType)
end
bar:retain()
return bar
end
function CCCreator:newJsonWidget2(jsonName)
if(jsonName == nil or jsonName == "") then return nil end
local widget = ccs.GUIReader:getInstance():widgetFromJsonFile(globalManager.pathManager:getUIJson(jsonName))
widget:retain()
return widget
end
function CCCreator:newJsonWidget(jsonName)
local widget = globalManager.loaderManager:getWidget(jsonName..".ExportJson")
widget = tolua.cast(widget, "ccui.Widget")
widget:retain()
return widget
-- return self:newJsonWidget2(jsonName)
end
function CCCreator:newTextAtlas(strValue,type)
local textAtlas = ccui.TextAtlas:create()
if(type == 1) then
--战斗力大字体
textAtlas:setProperty(strValue,globalManager.pathManager:getUISource("number/ui_number2.png"),18,28,0)
elseif(type == 2) then
--战斗力小字体
textAtlas:setProperty(strValue,globalManager.pathManager:getUISource("number/ui_number3.png"),12,15,0)
elseif(type == 3) then
--战斗力字体
textAtlas:setProperty(strValue,globalManager.pathManager:getUISource("number/ui_number1.png"),23,29,0)
else
return nil
end
textAtlas:setAnchorPoint(self.ANCHOR_POINTS[5])
textAtlas:retain()
return textAtlas
end
-----------2014-5-21------------------------------------
function CCCreator:createEventListenerTouchOneByOne()
local listener = cc.EventListenerTouchOneByOne:create()
listener:retain()
return listener
end
function CCCreator:createEventListenerTouchAllAtOnce()
local listener = cc.EventListenerTouchAllAtOnce:create()
listener:retain()
return listener
end
function CCCreator:releaseOnly(d)
d:release()
end
----------2015-6-24------------------------------------
function CCCreator:updateCocosVer()
if(tonumber(globalData.bigVersion) >= 2)then
self.cocoVer = 3.2
else
self.cocoVer = 3.0
end
end
function CCCreator:newLoaderManager()
if(self.cocoVer == 3.0)then
return LLoaderManager:new()
else
return LoaderManager:create()
end
end
function CCCreator:addChild(par,chi,zorder)
if(self.cocoVer == 3.0)then
par:addNode(chi,zorder)
elseif(self.cocoVer == 3.2)then
par:addChild(chi,zorder)
end
end
function CCCreator:getContentSize(target)
if(self.cocoVer == 3.0)then
return target:getSize()
elseif(self.cocoVer == 3.2)then
return target:getContentSize()
end
end
function CCCreator:setContentSize(target,size)
if(self.cocoVer == 3.0)then
target:setSize(size)
elseif(self.cocoVer == 3.2)then
target:setContentSize(size)
end
end
function CCCreator:setString(target,value)
if(self.cocoVer == 3.0)then
target:setText(value)
elseif(self.cocoVer == 3.2)then
target:setString(value)
end
end
function CCCreator:setTextValue(target,value)
if(self.cocoVer == 3.0)then
target:setTextValue(value)
elseif(self.cocoVer == 3.2)then
target:setString(value)
end
end
function CCCreator:getTextString(node)
local type = tolua.type(node)
if(type == "ccui.TextField") then
return node:getStringValue()
elseif(type == "cc.EditBox") then
return node:getText()
else
return nil
end
end
function CCCreator:setTextString(node,string)
local type = tolua.type(node)
if(type == "ccui.TextField") then
node:setText(string)
elseif(type == "cc.EditBox") then
node:setText(string)
end
end
--##globalManager.commonUtils
CommonUtils = class("CommonUtils",function()
local cu = {}
cu._canSaveFile = true
cu._json = require("res/json")
return cu
end)
--p1,p2:CCPoint
function CommonUtils:getPointDistance(p1,p2)
local dx = p2.x - p1.x
local dy = p2.y - p1.y
return math.sqrt(dx * dx + dy * dy)
end
function CommonUtils:pointEquals(p1, p2)
return (p1.x == p2.x and p1.y == p2.y)
end
--获取item在tab的索引 若无则返回-1
--param tab:table item:*
function CommonUtils:getIndexOfTable(tab,item)
if(item == nil) then
return -1
end
for i,value in pairs(tab) do
if(value == item) then
return i
end
end
return -1
end
function CommonUtils:removeItemInTable(tab,item)
local len = table.getn(tab)
for i = 1,len,1 do
if(tab[i] == item)then
local tt = tab[i]
table.remove(tab,i)
return tt
end
end
return nil
end
--获取hash类型table的长度
function CommonUtils:getHashTableLen(value)
local len = 0
for k,v in pairs(value) do
len = len + 1
end
return len
end
--浅复制基本数据的数组
--return new array
function CommonUtils:arrayClone(arrSource)
local result = {}
local len = table.getn(arrSource)
for i=1,len do
result[i] = arrSource[i]
end
return result
end
--table排序
function CommonUtils:tableSort(tab,func)
if(#tab <= 1) then return tab end
local result = {tab[1]}
local length = #tab
for i = 2,length,1 do
local len = #result
local isInsert = false
for j = len,1,-1 do
if(not func(tab[i],result[j])) then
table.insert(result,j+1,tab[i])
isInsert = true
break
end
end
if(not isInsert) then
table.insert(result,1,tab[i])
end
end
return result
end
function CommonUtils:GC()
-- collectgarbage("collect")
-- print("当前内存："..collectgarbage("count"))
end
function CommonUtils:writeBoolKey(key,value,isFlush)
isFlush = isFlush or true
if(self._canSaveFile)then
cc.UserDefault:getInstance():setBoolForKey(key,value)
if(isFlush)then
cc.UserDefault:getInstance():flush()
end
end
end
function CommonUtils:writeIntKey(key,value,isFlush)
isFlush = isFlush or true
if(self._canSaveFile)then
cc.UserDefault:getInstance():setIntegerForKey(key,value)
if(isFlush)then
cc.UserDefault:getInstance():flush()
end
end
end
function CommonUtils:writeFloatKey(key,value,isFlush)
isFlush = isFlush or true
if(self._canSaveFile)then
cc.UserDefault:getInstance():setFloatForKey(key,value)
if(isFlush)then
cc.UserDefault:getInstance():flush()
end
end
end
function CommonUtils:writeStringKey(key,value,isFlush)
isFlush = isFlush or true
if(self._canSaveFile)then
cc.UserDefault:getInstance():setStringForKey(key,value)
if(isFlush)then
cc.UserDefault:getInstance():flush()
end
end
end
function CommonUtils:readBoolKey(key)
return cc.UserDefault:getInstance():getBoolForKey(key)
end
function CommonUtils:readIntKey(key)
return cc.UserDefault:getInstance():getIntegerForKey(key)
end
function CommonUtils:readFloatKey(key)
return cc.UserDefault:getInstance():getFloatForKey(key)
end
function CommonUtils:readStringKey(key)
return cc.UserDefault:getInstance():getStringForKey(key)
end
--[[
payType 消费类型说明
0=绑定金币
1=钻石
2=绑定钻石
3=金币
4=帮贡
6=荣誉
10=功勋
]]
--根据支付类型获取货币图片名
function CommonUtils:getMoneyFrameName(payType)
local result = nil
if(payType == globalData.allStaticTypes.payType.GOLD)then
result = "icon/ui_moneyIcon1.png"
elseif(payType == globalData.allStaticTypes.payType.COPPER)then
result = "icon/ui_moneyIcon2.png"
elseif(payType == globalData.allStaticTypes.payType.GONGXIAN)then
result = "icon/ui_banggongIcon.png"
elseif(payType == globalData.allStaticTypes.payType.HONOUR)then
result = "icon/ui_honourIcon.png"
elseif(payType == globalData.allStaticTypes.payType.BINGDGOLD)then
result = "icon/ui_bindGoldIcon.png"
end
return result
end
--通过BasePlayerInfo返回 部署字符串 [用途，如公告中的玩家名字]
--BasePlayerInfo
function CommonUtils:getPlayerTriggerStr(playerInfo)
local result
if(playerInfo.userId == globalData.selfPlayerInfo.userId) then
result = "[0xFFF45C]"..playerInfo.nick.."[-]"
else
result = string.format("{7$20011$0$%s$%s$%s$%s$%s}",
playerInfo.nick,
playerInfo.userId,
playerInfo.serverId,
playerInfo.vipLevel,
playerInfo.career
)
end
return result
end
-- colortype:  globalData.allStaticTypes.colorType.SHADER  XXXX
function CommonUtils:setImgColor(img, colorType)
end
--设置图片变灰
--img 类型：
function CommonUtils:setImgColorGrey(img)
if(globalManager.ccCreator.cocoVer == 3.0)then
if(tolua.type(img) == "ccui.ImageView")then
self:setImgColorGrey(img:getVirtualRenderer())
elseif(tolua.type(img) == "ccui.Button")then
self:setImgColorGrey(img:getVirtualRenderer())
elseif(tolua.type(img) == "cc.Scale9Sprite")then
self:setImgColorGrey(img:getChildren()[1])--内存
elseif(tolua.type(img) == "cc.Sprite")then
self:_setImgShader(img,1)
elseif(tolua.type(img) == "cc.SpriteBatchNode")then
self:_setImgShader(img,1,true)
end
else
if(tolua.type(img) == "ccui.ImageView")then
self:setImgColorGrey(img:getVirtualRenderer())
elseif(tolua.type(img) == "ccui.Button")then
self:setImgColorGrey(img:getVirtualRenderer())
elseif(tolua.type(img) == "cc.Scale9Sprite")then
self:setImgColorGrey(img:getChildren()[1])--内存
elseif(tolua.type(img) == "cc.Sprite")then
self:_setImgShader(img,1)
elseif(tolua.type(img) == "cc.SpriteBatchNode")then
self:_setImgShader(img,1,true)
end
end
end
function CommonUtils:setImgColorNormal(img)
if(globalManager.ccCreator.cocoVer == 3.0)then
if(tolua.type(img) == "ccui.ImageView")then
self:setImgColorNormal(img:getVirtualRenderer())
elseif(tolua.type(img) == "ccui.Button")then
self:setImgColorNormal(img:getVirtualRenderer())
elseif(tolua.type(img) == "cc.Scale9Sprite")then
self:setImgColorNormal(img:getChildren()[1])--内存
elseif(tolua.type(img) == "cc.Sprite")then
self:_setImgShader(img,0)
elseif(tolua.type(img) == "cc.SpriteBatchNode")then
self:_setImgShader(img,0,true)
end
else
end
end
--shaderType 0:normal  1:gray
function CommonUtils:_setImgShader(sprite,shaderType,useMVP)
useMVP = useMVP or false
if(sprite == nil)then return end
local p = cc.GLProgram:new()
if(shaderType == 0)then
if(useMVP)then
p:initWithFilenames("res/Shaders/normal_mvp.vsh", "res/Shaders/normal.fsh")
else
p:initWithFilenames("res/Shaders/normal_p.vsh", "res/Shaders/normal.fsh")
end
elseif(shaderType == 1)then
if(useMVP)then
p:initWithFilenames("res/Shaders/normal_mvp.vsh", "res/Shaders/gray.fsh")
else
p:initWithFilenames("res/Shaders/normal_p.vsh", "res/Shaders/gray.fsh")
end
end
-- p:bindAttribLocation(cc.ATTRIBUTE_NAME_POSITION, cc.VERTEX_ATTRIB_POSITION)
-- p:bindAttribLocation(cc.ATTRIBUTE_NAME_COLOR, cc.VERTEX_ATTRIB_COLOR)
-- p:bindAttribLocation(cc.ATTRIBUTE_NAME_TEX_COORD, cc.VERTEX_ATTRIB_TEX_COORDS)
p:bindAttribLocation(cc.ATTRIBUTE_NAME_POSITION,cc.VERTEX_ATTRIB_POSITION)
p:bindAttribLocation(cc.ATTRIBUTE_NAME_COLOR,cc.VERTEX_ATTRIB_COLOR)
p:bindAttribLocation(cc.ATTRIBUTE_NAME_TEX_COORD,cc.VERTEX_ATTRIB_FLAG_TEX_COORDS)
p:link()
p:updateUniforms()
sprite:setGLProgram(p)
end
--shaderType 0:normal  1:gray
function CommonUtils:_setImgShader(sprite,shaderType,useMVP)
useMVP = useMVP or false
if(sprite == nil)then return end
local p = cc.GLProgram:new()
if(shaderType == 0)then
if(useMVP)then
p:initWithFilenames("res/Shaders/normal_mvp.vsh", "res/Shaders/normal.fsh")
else
p:initWithFilenames("res/Shaders/normal_p.vsh", "res/Shaders/normal.fsh")
end
elseif(shaderType == 1)then
if(useMVP)then
p:initWithFilenames("res/Shaders/normal_mvp.vsh", "res/Shaders/gray.fsh")
else
p:initWithFilenames("res/Shaders/normal_p.vsh", "res/Shaders/gray.fsh")
end
end
p:bindAttribLocation(cc.ATTRIBUTE_NAME_POSITION, cc.VERTEX_ATTRIB_POSITION)
p:bindAttribLocation(cc.ATTRIBUTE_NAME_COLOR, cc.VERTEX_ATTRIB_COLOR)
p:bindAttribLocation(cc.ATTRIBUTE_NAME_TEX_COORD, cc.VERTEX_ATTRIB_TEX_COORDS)
p:link()
p:updateUniforms()
sprite:setShaderProgram(p)
-- p:release()
end
function CommonUtils:chgHostToIP(name)
if(globalData:isAndroid())then
local classname = "org.cocos2dx.lua.Cocos2dxActivity"
local methodName = "chgHostToIP"
local ll = require("res/luaj")
local ok, ip = ll.callStaticMethod(classname, methodName, { name })
if ok == true then return ip end
elseif globalData:isIos() then
local classname = "AppController"
local methodName = "chgHostToIP"
local loc = require("res/luaoc")
local ok, val = loc.callStaticMethod(classname, methodName, { n = name })
local ip = val.ip
if ok == true then return ip end
end
return name
end
function CommonUtils:escape(s)
s = string.gsub(s, "([^%w%.%- ])", function(c) return string.format("%%%02X", string.byte(c)) end)
return string.gsub(s, " ", "+")
end
function CommonUtils:unescape(s)
s = string.gsub(s, '%%(%x%x)', function(h) return string.char(tonumber(h, 16))  end)
return s
end
function CommonUtils:jsonEncode(s)
return json.encode(s)
end
function CommonUtils:jsonDecode(s)
return json.decode(s)
end
function CommonUtils:splitToken(str, token)
local idx = string.find(str, token)
if idx ~= nil then
return string.sub(str, idx + 1), string.sub(str, 1, idx)
end
return str, ""
end
function CommonUtils:formatUnicode(src)
local i = 0
local map_tb = {["　"] = "12288",["、"] = "12289",["。"] = "12290",["·"] = "12539",["ˉ"] = "713",["ˇ"] = "711",["¨"] = "168",["〃"] = "12291",["々"] = "12293",["—"] = "8213",["～"] = "65374",["‖"] = "8214",["…"] = "8230",["‘"] = "8216",["’"] = "8217",["“"] = "8220",["”"] = "8221",["〔"] = "12308",["〕"] = "12309",["〈"] = "12296",["〉"] = "12297",["《"] = "12298",["》"] = "12299",["「"] = "12300",["」"] = "12301",["『"] = "12302",["』"] = "12303",["〖"] = "12310",["〗"] = "12311",["【"] = "12304",["】"] = "12305",["±"] = "177",["×"] = "215",["÷"] = "247",["∶"] = "8758",["∧"] = "8743",["∨"] = "8744",["∑"] = "8721",["∏"] = "8719",["∪"] = "8746",["∩"] = "8745",["∈"] = "8712",["∷"] = "8759",["√"] = "8730",["⊥"] = "8869",["∥"] = "8741",["∠"] = "8736",["⌒"] = "8978",["⊙"] = "8857",["∫"] = "8747",["∮"] = "8750",["≡"] = "8801",["≌"] = "8780",["≈"] = "8776",["∽"] = "8765",["∝"] = "8733",["≠"] = "8800",["≮"] = "8814",["≯"] = "8815",["≤"] = "8804",["≥"] = "8805",["∞"] = "8734",["∵"] = "8757",["∴"] = "8756",["♂"] = "9794",["♀"] = "9792",["°"] = "176",["′"] = "8242",["″"] = "8243",["℃"] = "8451",["＄"] = "65284",["¤"] = "164",["￠"] = "65504",["￡"] = "65505",["‰"] = "8240",["§"] = "167",["№"] = "8470",["☆"] = "9734",["★"] = "9733",["○"] = "9675",["●"] = "9679",["◎"] = "9678",["◇"] = "9671",["◆"] = "9670",["□"] = "9633",["■"] = "9632",["△"] = "9651",["▲"] = "9650",["※"] = "8251",["→"] = "8594",["←"] = "8592",["↑"] = "8593",["↓"] = "8595",["〓"] = "12307",["⒈"] = "9352",["⒉"] = "9353",["⒊"] = "9354",["⒋"] = "9355",["⒌"] = "9356",["⒍"] = "9357",["⒎"] = "9358",["⒏"] = "9359",["⒐"] = "9360",["⒑"] = "9361",["⒒"] = "9362",["⒓"] = "9363",["⒔"] = "9364",["⒕"] = "9365",["⒖"] = "9366",["⒗"] = "9367",["⒘"] = "9368",["⒙"] = "9369",["⒚"] = "9370",["⒛"] = "9371",["⑴"] = "9332",["⑵"] = "9333",["⑶"] = "9334",["⑷"] = "9335",["⑸"] = "9336",["⑹"] = "9337",["⑺"] = "9338",["⑻"] = "9339",["⑼"] = "9340",["⑽"] = "9341",["⑾"] = "9342",["⑿"] = "9343",["⒀"] = "9344",["⒁"] = "9345",["⒂"] = "9346",["⒃"] = "9347",["⒄"] = "9348",["⒅"] = "9349",["⒆"] = "9350",["⒇"] = "9351",["①"] = "9312",["②"] = "9313",["③"] = "9314",["④"] = "9315",["⑤"] = "9316",["⑥"] = "9317",["⑦"] = "9318",["⑧"] = "9319",["⑨"] = "9320",["⑩"] = "9321",["㈠"] = "12832",["㈡"] = "12833",["㈢"] = "12834",["㈣"] = "12835",["㈤"] = "12836",["㈥"] = "12837",["㈦"] = "12838",["㈧"] = "12839",["㈨"] = "12840",["㈩"] = "12841",["Ⅰ"] = "8544",["Ⅱ"] = "8545",["Ⅲ"] = "8546",["Ⅳ"] = "8547",["Ⅴ"] = "8548",["Ⅵ"] = "8549",["Ⅶ"] = "8550",["Ⅷ"] = "8551",["Ⅸ"] = "8552",["Ⅹ"] = "8553",["Ⅺ"] = "8554",["Ⅻ"] = "8555",["！"] = "65281",["＂"] = "65282",["＃"] = "65283",["￥"] = "65509",["％"] = "65285",["＆"] = "65286",["＇"] = "65287",["（"] = "65288",["）"] = "65289",["＊"] = "65290",["＋"] = "65291",["，"] = "65292",["－"] = "65293",["．"] = "65294",["／"] = "65295",["０"] = "65296",["１"] = "65297",["２"] = "65298",["３"] = "65299",["４"] = "65300",["５"] = "65301",["６"] = "65302",["７"] = "65303",["８"] = "65304",["９"] = "65305",["："] = "65306",["；"] = "65307",["＜"] = "65308",["＝"] = "65309",["＞"] = "65310",["？"] = "65311",["＠"] = "65312",["Ａ"] = "65313",["Ｂ"] = "65314",["Ｃ"] = "65315",["Ｄ"] = "65316",["Ｅ"] = "65317",["Ｆ"] = "65318",["Ｇ"] = "65319",["Ｈ"] = "65320",["Ｉ"] = "65321",["Ｊ"] = "65322",["Ｋ"] = "65323",["Ｌ"] = "65324",["Ｍ"] = "65325",["Ｎ"] = "65326",["Ｏ"] = "65327",["Ｐ"] = "65328",["Ｑ"] = "65329",["Ｒ"] = "65330",["Ｓ"] = "65331",["Ｔ"] = "65332",["Ｕ"] = "65333",["Ｖ"] = "65334",["Ｗ"] = "65335",["Ｘ"] = "65336",["Ｙ"] = "65337",["Ｚ"] = "65338",["［"] = "65339",["＼"] = "65340",["］"] = "65341",["＾"] = "65342",["＿"] = "65343",["｀"] = "65344",["ａ"] = "65345",["ｂ"] = "65346",["ｃ"] = "65347",["ｄ"] = "65348",["ｅ"] = "65349",["ｆ"] = "65350",["ｇ"] = "65351",["ｈ"] = "65352",["ｉ"] = "65353",["ｊ"] = "65354",["ｋ"] = "65355",["ｌ"] = "65356",["ｍ"] = "65357",["ｎ"] = "65358",["ｏ"] = "65359",["ｐ"] = "65360",["ｑ"] = "65361",["ｒ"] = "65362",["ｓ"] = "65363",["ｔ"] = "65364",["ｕ"] = "65365",["ｖ"] = "65366",["ｗ"] = "65367",["ｘ"] = "65368",["ｙ"] = "65369",["ｚ"] = "65370",["｛"] = "65371",["｜"] = "65372",["｝"] = "65373",["￣"] = "65507",["ぁ"] = "12353",["あ"] = "12354",["ぃ"] = "12355",["い"] = "12356",["ぅ"] = "12357",["う"] = "12358",["ぇ"] = "12359",["え"] = "12360",["ぉ"] = "12361",["お"] = "12362",["か"] = "12363",["が"] = "12364",["き"] = "12365",["ぎ"] = "12366",["く"] = "12367",["ぐ"] = "12368",["け"] = "12369",["げ"] = "12370",["こ"] = "12371",["ご"] = "12372",["さ"] = "12373",["ざ"] = "12374",["し"] = "12375",["じ"] = "12376",["す"] = "12377",["ず"] = "12378",["せ"] = "12379",["ぜ"] = "12380",["そ"] = "12381",["ぞ"] = "12382",["た"] = "12383",["だ"] = "12384",["ち"] = "12385",["ぢ"] = "12386",["っ"] = "12387",["つ"] = "12388",["づ"] = "12389",["て"] = "12390",["で"] = "12391",["と"] = "12392",["ど"] = "12393",["な"] = "12394",["に"] = "12395",["ぬ"] = "12396",["ね"] = "12397",["の"] = "12398",["は"] = "12399",["ば"] = "12400",["ぱ"] = "12401",["ひ"] = "12402",["び"] = "12403",["ぴ"] = "12404",["ふ"] = "12405",["ぶ"] = "12406",["ぷ"] = "12407",["へ"] = "12408",["べ"] = "12409",["ぺ"] = "12410",["ほ"] = "12411",["ぼ"] = "12412",["ぽ"] = "12413",["ま"] = "12414",["み"] = "12415",["む"] = "12416",["め"] = "12417",["も"] = "12418",["ゃ"] = "12419",["や"] = "12420",["ゅ"] = "12421",["ゆ"] = "12422",["ょ"] = "12423",["よ"] = "12424",["ら"] = "12425",["り"] = "12426",["る"] = "12427",["れ"] = "12428",["ろ"] = "12429",["ゎ"] = "12430",["わ"] = "12431",["ゐ"] = "12432",["ゑ"] = "12433",["を"] = "12434",["ん"] = "12435",["ァ"] = "12449",["ア"] = "12450",["ィ"] = "12451",["イ"] = "12452",["ゥ"] = "12453",["ウ"] = "12454",["ェ"] = "12455",["エ"] = "12456",["ォ"] = "12457",["オ"] = "12458",["カ"] = "12459",["ガ"] = "12460",["キ"] = "12461",["ギ"] = "12462",["ク"] = "12463",["グ"] = "12464",["ケ"] = "12465",["ゲ"] = "12466",["コ"] = "12467",["ゴ"] = "12468",["サ"] = "12469",["ザ"] = "12470",["シ"] = "12471",["ジ"] = "12472",["ス"] = "12473",["ズ"] = "12474",["セ"] = "12475",["ゼ"] = "12476",["ソ"] = "12477",["ゾ"] = "12478",["タ"] = "12479",["ダ"] = "12480",["チ"] = "12481",["ヂ"] = "12482",["ッ"] = "12483",["ツ"] = "12484",["ヅ"] = "12485",["テ"] = "12486",["デ"] = "12487",["ト"] = "12488",["ド"] = "12489",["ナ"] = "12490",["ニ"] = "12491",["ヌ"] = "12492",["ネ"] = "12493",["ノ"] = "12494",["ハ"] = "12495",["バ"] = "12496",["パ"] = "12497",["ヒ"] = "12498",["ビ"] = "12499",["ピ"] = "12500",["フ"] = "12501",["ブ"] = "12502",["プ"] = "12503",["ヘ"] = "12504",["ベ"] = "12505",["ペ"] = "12506",["ホ"] = "12507",["ボ"] = "12508",["ポ"] = "12509",["マ"] = "12510",["ミ"] = "12511",["ム"] = "12512",["メ"] = "12513",["モ"] = "12514",["ャ"] = "12515",["ヤ"] = "12516",["ュ"] = "12517",["ユ"] = "12518",["ョ"] = "12519",["ヨ"] = "12520",["ラ"] = "12521",["リ"] = "12522",["ル"] = "12523",["レ"] = "12524",["ロ"] = "12525",["ヮ"] = "12526",["ワ"] = "12527",["ヰ"] = "12528",["ヱ"] = "12529",["ヲ"] = "12530",["ン"] = "12531",["ヴ"] = "12532",["ヵ"] = "12533",["ヶ"] = "12534",["Α"] = "913",["Β"] = "914",["Γ"] = "915",["Δ"] = "916",["Ε"] = "917",["Ζ"] = "918",["Η"] = "919",["Θ"] = "920",["Ι"] = "921",["Κ"] = "922",["Λ"] = "923",["Μ"] = "924",["Ν"] = "925",["Ξ"] = "926",["Ο"] = "927",["Π"] = "928",["Ρ"] = "929",["Σ"] = "931",["Τ"] = "932",["Υ"] = "933",["Φ"] = "934",["Χ"] = "935",["Ψ"] = "936",["Ω"] = "937",["α"] = "945",["β"] = "946",["γ"] = "947",["δ"] = "948",["ε"] = "949",["ζ"] = "950",["η"] = "951",["θ"] = "952",["ι"] = "953",["κ"] = "954",["λ"] = "955",["μ"] = "956",["ν"] = "957",["ξ"] = "958",["ο"] = "959",["π"] = "960",["ρ"] = "961",["σ"] = "963",["τ"] = "964",["υ"] = "965",["φ"] = "966",["χ"] = "967",["ψ"] = "968",["ω"] = "969",["А"] = "1040",["Б"] = "1041",["В"] = "1042",["Г"] = "1043",["Д"] = "1044",["Е"] = "1045",["Ё"] = "1025",["Ж"] = "1046",["З"] = "1047",["И"] = "1048",["Й"] = "1049",["К"] = "1050",["Л"] = "1051",["М"] = "1052",["Н"] = "1053",["О"] = "1054",["П"] = "1055",["Р"] = "1056",["С"] = "1057",["Т"] = "1058",["У"] = "1059",["Ф"] = "1060",["Х"] = "1061",["Ц"] = "1062",["Ч"] = "1063",["Ш"] = "1064",["Щ"] = "1065",["Ъ"] = "1066",["Ы"] = "1067",["Ь"] = "1068",["Э"] = "1069",["Ю"] = "1070",["Я"] = "1071",["а"] = "1072",["б"] = "1073",["в"] = "1074",["г"] = "1075",["д"] = "1076",["е"] = "1077",["ё"] = "1105",["ж"] = "1078",["з"] = "1079",["и"] = "1080",["й"] = "1081",["к"] = "1082",["л"] = "1083",["м"] = "1084",["н"] = "1085",["о"] = "1086",["п"] = "1087",["р"] = "1088",["с"] = "1089",["т"] = "1090",["у"] = "1091",["ф"] = "1092",["х"] = "1093",["ц"] = "1094",["ч"] = "1095",["ш"] = "1096",["щ"] = "1097",["ъ"] = "1098",["ы"] = "1099",["ь"] = "1100",["э"] = "1101",["ю"] = "1102",["я"] = "1103",["ā"] = "257",["á"] = "225",["ǎ"] = "462",["à"] = "224",["ē"] = "275",["é"] = "233",["ě"] = "283",["è"] = "232",["ī"] = "299",["í"] = "237",["ǐ"] = "464",["ì"] = "236",["ō"] = "333",["ó"] = "243",["ǒ"] = "466",["ò"] = "242",["ū"] = "363",["ú"] = "250",["ǔ"] = "468",["ù"] = "249",["ǖ"] = "470",["ǘ"] = "472",["ǚ"] = "474",["ǜ"] = "476",["ü"] = "252",["ê"] = "234",["ㄅ"] = "12549",["ㄆ"] = "12550",["ㄇ"] = "12551",["ㄈ"] = "12552",["ㄉ"] = "12553",["ㄊ"] = "12554",["ㄋ"] = "12555",["ㄌ"] = "12556",["ㄍ"] = "12557",["ㄎ"] = "12558",["ㄏ"] = "12559",["ㄐ"] = "12560",["ㄑ"] = "12561",["ㄒ"] = "12562",["ㄓ"] = "12563",["ㄔ"] = "12564",["ㄕ"] = "12565",["ㄖ"] = "12566",["ㄗ"] = "12567",["ㄘ"] = "12568",["ㄙ"] = "12569",["ㄚ"] = "12570",["ㄛ"] = "12571",["ㄜ"] = "12572",["ㄝ"] = "12573",["ㄞ"] = "12574",["ㄟ"] = "12575",["ㄠ"] = "12576",["ㄡ"] = "12577",["ㄢ"] = "12578",["ㄣ"] = "12579",["ㄤ"] = "12580",["ㄥ"] = "12581",["ㄦ"] = "12582",["ㄧ"] = "12583",["ㄨ"] = "12584",["ㄩ"] = "12585",["─"] = "9472",["━"] = "9473",["│"] = "9474",["┃"] = "9475",["┄"] = "9476",["┅"] = "9477",["┆"] = "9478",["┇"] = "9479",["┈"] = "9480",["┉"] = "9481",["┊"] = "9482",["┋"] = "9483",["┌"] = "9484",["┍"] = "9485",["┎"] = "9486",["┏"] = "9487",["┐"] = "9488",["┑"] = "9489",["┒"] = "9490",["┓"] = "9491",["└"] = "9492",["┕"] = "9493",["┖"] = "9494",["┗"] = "9495",["┘"] = "9496",["┙"] = "9497",["┚"] = "9498",["┛"] = "9499",["├"] = "9500",["┝"] = "9501",["┞"] = "9502",["┟"] = "9503",["┠"] = "9504",["┡"] = "9505",["┢"] = "9506",["┣"] = "9507",["┤"] = "9508",["┥"] = "9509",["┦"] = "9510",["┧"] = "9511",["┨"] = "9512",["┩"] = "9513",["┪"] = "9514",["┫"] = "9515",["┬"] = "9516",["┭"] = "9517",["┮"] = "9518",["┯"] = "9519",["┰"] = "9520",["┱"] = "9521",["┲"] = "9522",["┳"] = "9523",["┴"] = "9524",["┵"] = "9525",["┶"] = "9526",["┷"] = "9527",["┸"] = "9528",["┹"] = "9529",["┺"] = "9530",["┻"] = "9531",["┼"] = "9532",["┽"] = "9533",["┾"] = "9534",["┿"] = "9535",["╀"] = "9536",["╁"] = "9537",["╂"] = "9538",["╃"] = "9539",["╄"] = "9540",["╅"] = "9541",["╆"] = "9542",["╇"] = "9543",["╈"] = "9544",["╉"] = "9545",["╊"] = "9546",["╋"] = "9547",["啊"] = "21834",["阿"] = "38463",["埃"] = "22467",["挨"] = "25384",["哎"] = "21710",["唉"] = "21769",["哀"] = "21696",["皑"] = "30353",["癌"] = "30284",["蔼"] = "34108",["矮"] = "30702",["艾"] = "33406",["碍"] = "30861",["爱"] = "29233",["隘"] = "38552",["鞍"] = "38797",["氨"] = "27688",["安"] = "23433",["俺"] = "20474",["按"] = "25353",["暗"] = "26263",["岸"] = "23736",["胺"] = "33018",["案"] = "26696",["肮"] = "32942",["昂"] = "26114",["盎"] = "30414",["凹"] = "20985",["敖"] = "25942",["熬"] = "29100",["翱"] = "32753",["袄"] = "34948",["傲"] = "20658",["奥"] = "22885",["懊"] = "25034",["澳"] = "28595",["芭"] = "33453",["捌"] = "25420",["扒"] = "25170",["叭"] = "21485",["吧"] = "21543",["笆"] = "31494",["八"] = "20843",["疤"] = "30116",["巴"] = "24052",["拔"] = "25300",["跋"] = "36299",["靶"] = "38774",["把"] = "25226",["耙"] = "32793",["坝"] = "22365",["霸"] = "38712",["罢"] = "32610",["爸"] = "29240",["白"] = "30333",["柏"] = "26575",["百"] = "30334",["摆"] = "25670",["佰"] = "20336",["败"] = "36133",["拜"] = "25308",["稗"] = "31255",["斑"] = "26001",["班"] = "29677",["搬"] = "25644",["扳"] = "25203",["般"] = "33324",["颁"] = "39041",["板"] = "26495",["版"] = "29256",["扮"] = "25198",["拌"] = "25292",["伴"] = "20276",["瓣"] = "29923",["半"] = "21322",["办"] = "21150",["绊"] = "32458",["邦"] = "37030",["帮"] = "24110",["梆"] = "26758",["榜"] = "27036",["膀"] = "33152",["绑"] = "32465",["棒"] = "26834",["磅"] = "30917",["蚌"] = "34444",["镑"] = "38225",["傍"] = "20621",["谤"] = "35876",["苞"] = "33502",["胞"] = "32990",["包"] = "21253",["褒"] = "35090",["剥"] = "21093",["薄"] = "34180",["雹"] = "38649",["保"] = "20445",["堡"] = "22561",["饱"] = "39281",["宝"] = "23453",["抱"] = "25265",["报"] = "25253",["暴"] = "26292",["豹"] = "35961",["鲍"] = "40077",["爆"] = "29190",["杯"] = "26479",["碑"] = "30865",["悲"] = "24754",["卑"] = "21329",["北"] = "21271",["辈"] = "36744",["背"] = "32972",["贝"] = "36125",["钡"] = "38049",["倍"] = "20493",["狈"] = "29384",["备"] = "22791",["惫"] = "24811",["焙"] = "28953",["被"] = "34987",["奔"] = "22868",["苯"] = "33519",["本"] = "26412",["笨"] = "31528",["崩"] = "23849",["绷"] = "32503",["甭"] = "29997",["泵"] = "27893",["蹦"] = "36454",["迸"] = "36856",["逼"] = "36924",["鼻"] = "40763",["比"] = "27604",["鄙"] = "37145",["笔"] = "31508",["彼"] = "24444",["碧"] = "30887",["蓖"] = "34006",["蔽"] = "34109",["毕"] = "27605",["毙"] = "27609",["毖"] = "27606",["币"] = "24065",["庇"] = "24199",["痹"] = "30201",["闭"] = "38381",["敝"] = "25949",["弊"] = "24330",["必"] = "24517",["辟"] = "36767",["壁"] = "22721",["臂"] = "33218",["避"] = "36991",["陛"] = "38491",["鞭"] = "38829",["边"] = "36793",["编"] = "32534",["贬"] = "36140",["扁"] = "25153",["便"] = "20415",["变"] = "21464",["卞"] = "21342",["辨"] = "36776",["辩"] = "36777",["辫"] = "36779",["遍"] = "36941",["标"] = "26631",["彪"] = "24426",["膘"] = "33176",["表"] = "34920",["鳖"] = "40150",["憋"] = "24971",["别"] = "21035",["瘪"] = "30250",["彬"] = "24428",["斌"] = "25996",["濒"] = "28626",["滨"] = "28392",["宾"] = "23486",["摈"] = "25672",["兵"] = "20853",["冰"] = "20912",["柄"] = "26564",["丙"] = "19993",["秉"] = "31177",["饼"] = "39292",["炳"] = "28851",["病"] = "30149",["并"] = "24182",["玻"] = "29627",["菠"] = "33760",["播"] = "25773",["拨"] = "25320",["钵"] = "38069",["波"] = "27874",["博"] = "21338",["勃"] = "21187",["搏"] = "25615",["铂"] = "38082",["箔"] = "31636",["伯"] = "20271",["帛"] = "24091",["舶"] = "33334",["脖"] = "33046",["膊"] = "33162",["渤"] = "28196",["泊"] = "27850",["驳"] = "39539",["捕"] = "25429",["卜"] = "21340",["哺"] = "21754",["补"] = "34917",["埠"] = "22496",["不"] = "19981",["布"] = "24067",["步"] = "27493",["簿"] = "31807",["部"] = "37096",["怖"] = "24598",["擦"] = "25830",["猜"] = "29468",["裁"] = "35009",["材"] = "26448",["才"] = "25165",["财"] = "36130",["睬"] = "30572",["踩"] = "36393",["采"] = "37319",["彩"] = "24425",["菜"] = "33756",["蔡"] = "34081",["餐"] = "39184",["参"] = "21442",["蚕"] = "34453",["残"] = "27531",["惭"] = "24813",["惨"] = "24808",["灿"] = "28799",["苍"] = "33485",["舱"] = "33329",["仓"] = "20179",["沧"] = "27815",["藏"] = "34255",["操"] = "25805",["糙"] = "31961",["槽"] = "27133",["曹"] = "26361",["草"] = "33609",["厕"] = "21397",["策"] = "31574",["侧"] = "20391",["册"] = "20876",["测"] = "27979",["层"] = "23618",["蹭"] = "36461",["插"] = "25554",["叉"] = "21449",["茬"] = "33580",["茶"] = "33590",["查"] = "26597",["碴"] = "30900",["搽"] = "25661",["察"] = "23519",["岔"] = "23700",["差"] = "24046",["诧"] = "35815",["拆"] = "25286",["柴"] = "26612",["豺"] = "35962",["搀"] = "25600",["掺"] = "25530",["蝉"] = "34633",["馋"] = "39307",["谗"] = "35863",["缠"] = "32544",["铲"] = "38130",["产"] = "20135",["阐"] = "38416",["颤"] = "39076",["昌"] = "26124",["猖"] = "29462",["场"] = "22330",["尝"] = "23581",["常"] = "24120",["长"] = "38271",["偿"] = "20607",["肠"] = "32928",["厂"] = "21378",["敞"] = "25950",["畅"] = "30021",["唱"] = "21809",["倡"] = "20513",["超"] = "36229",["抄"] = "25220",["钞"] = "38046",["朝"] = "26397",["嘲"] = "22066",["潮"] = "28526",["巢"] = "24034",["吵"] = "21557",["炒"] = "28818",["车"] = "36710",["扯"] = "25199",["撤"] = "25764",["掣"] = "25507",["彻"] = "24443",["澈"] = "28552",["郴"] = "37108",["臣"] = "33251",["辰"] = "36784",["尘"] = "23576",["晨"] = "26216",["忱"] = "24561",["沉"] = "27785",["陈"] = "38472",["趁"] = "36225",["衬"] = "34924",["撑"] = "25745",["称"] = "31216",["城"] = "22478",["橙"] = "27225",["成"] = "25104",["呈"] = "21576",["乘"] = "20056",["程"] = "31243",["惩"] = "24809",["澄"] = "28548",["诚"] = "35802",["承"] = "25215",["逞"] = "36894",["骋"] = "39563",["秤"] = "31204",["吃"] = "21507",["痴"] = "30196",["持"] = "25345",["匙"] = "21273",["池"] = "27744",["迟"] = "36831",["弛"] = "24347",["驰"] = "39536",["耻"] = "32827",["齿"] = "40831",["侈"] = "20360",["尺"] = "23610",["赤"] = "36196",["翅"] = "32709",["斥"] = "26021",["炽"] = "28861",["充"] = "20805",["冲"] = "20914",["虫"] = "34411",["崇"] = "23815",["宠"] = "23456",["抽"] = "25277",["酬"] = "37228",["畴"] = "30068",["踌"] = "36364",["稠"] = "31264",["愁"] = "24833",["筹"] = "31609",["仇"] = "20167",["绸"] = "32504",["瞅"] = "30597",["丑"] = "19985",["臭"] = "33261",["初"] = "21021",["出"] = "20986",["橱"] = "27249",["厨"] = "21416",["躇"] = "36487",["锄"] = "38148",["雏"] = "38607",["滁"] = "28353",["除"] = "38500",["楚"] = "26970",["础"] = "30784",["储"] = "20648",["矗"] = "30679",["搐"] = "25616",["触"] = "35302",["处"] = "22788",["揣"] = "25571",["川"] = "24029",["穿"] = "31359",["椽"] = "26941",["传"] = "20256",["船"] = "33337",["喘"] = "21912",["串"] = "20018",["疮"] = "30126",["窗"] = "31383",["幢"] = "24162",["床"] = "24202",["闯"] = "38383",["创"] = "21019",["吹"] = "21561",["炊"] = "28810",["捶"] = "25462",["锤"] = "38180",["垂"] = "22402",["春"] = "26149",["椿"] = "26943",["醇"] = "37255",["唇"] = "21767",["淳"] = "28147",["纯"] = "32431",["蠢"] = "34850",["戳"] = "25139",["绰"] = "32496",["疵"] = "30133",["茨"] = "33576",["磁"] = "30913",["雌"] = "38604",["辞"] = "36766",["慈"] = "24904",["瓷"] = "29943",["词"] = "35789",["此"] = "27492",["刺"] = "21050",["赐"] = "36176",["次"] = "27425",["聪"] = "32874",["葱"] = "33905",["囱"] = "22257",["匆"] = "21254",["从"] = "20174",["丛"] = "19995",["凑"] = "20945",["粗"] = "31895",["醋"] = "37259",["簇"] = "31751",["促"] = "20419",["蹿"] = "36479",["篡"] = "31713",["窜"] = "31388",["摧"] = "25703",["崔"] = "23828",["催"] = "20652",["脆"] = "33030",["瘁"] = "30209",["粹"] = "31929",["淬"] = "28140",["翠"] = "32736",["村"] = "26449",["存"] = "23384",["寸"] = "23544",["磋"] = "30923",["撮"] = "25774",["搓"] = "25619",["措"] = "25514",["挫"] = "25387",["错"] = "38169",["搭"] = "25645",["达"] = "36798",["答"] = "31572",["瘩"] = "30249",["打"] = "25171",["大"] = "22823",["呆"] = "21574",["歹"] = "27513",["傣"] = "20643",["戴"] = "25140",["带"] = "24102",["殆"] = "27526",["代"] = "20195",["贷"] = "36151",["袋"] = "34955",["待"] = "24453",["逮"] = "36910",["怠"] = "24608",["耽"] = "32829",["担"] = "25285",["丹"] = "20025",["单"] = "21333",["郸"] = "37112",["掸"] = "25528",["胆"] = "32966",["旦"] = "26086",["氮"] = "27694",["但"] = "20294",["惮"] = "24814",["淡"] = "28129",["诞"] = "35806",["弹"] = "24377",["蛋"] = "34507",["当"] = "24403",["挡"] = "25377",["党"] = "20826",["荡"] = "33633",["档"] = "26723",["刀"] = "20992",["捣"] = "25443",["蹈"] = "36424",["倒"] = "20498",["岛"] = "23707",["祷"] = "31095",["导"] = "23548",["到"] = "21040",["稻"] = "31291",["悼"] = "24764",["道"] = "36947",["盗"] = "30423",["德"] = "24503",["得"] = "24471",["的"] = "30340",["蹬"] = "36460",["灯"] = "28783",["登"] = "30331",["等"] = "31561",["瞪"] = "30634",["凳"] = "20979",["邓"] = "37011",["堤"] = "22564",["低"] = "20302",["滴"] = "28404",["迪"] = "36842",["敌"] = "25932",["笛"] = "31515",["狄"] = "29380",["涤"] = "28068",["翟"] = "32735",["嫡"] = "23265",["抵"] = "25269",["底"] = "24213",["地"] = "22320",["蒂"] = "33922",["第"] = "31532",["帝"] = "24093",["弟"] = "24351",["递"] = "36882",["缔"] = "32532",["颠"] = "39072",["掂"] = "25474",["滇"] = "28359",["碘"] = "30872",["点"] = "28857",["典"] = "20856",["靛"] = "38747",["垫"] = "22443",["电"] = "30005",["佃"] = "20291",["甸"] = "30008",["店"] = "24215",["惦"] = "24806",["奠"] = "22880",["淀"] = "28096",["殿"] = "27583",["碉"] = "30857",["叼"] = "21500",["雕"] = "38613",["凋"] = "20939",["刁"] = "20993",["掉"] = "25481",["吊"] = "21514",["钓"] = "38035",["调"] = "35843",["跌"] = "36300",["爹"] = "29241",["碟"] = "30879",["蝶"] = "34678",["迭"] = "36845",["谍"] = "35853",["叠"] = "21472",["丁"] = "19969",["盯"] = "30447",["叮"] = "21486",["钉"] = "38025",["顶"] = "39030",["鼎"] = "40718",["锭"] = "38189",["定"] = "23450",["订"] = "35746",["丢"] = "20002",["东"] = "19996",["冬"] = "20908",["董"] = "33891",["懂"] = "25026",["动"] = "21160",["栋"] = "26635",["侗"] = "20375",["恫"] = "24683",["冻"] = "20923",["洞"] = "27934",["兜"] = "20828",["抖"] = "25238",["斗"] = "26007",["陡"] = "38497",["豆"] = "35910",["逗"] = "36887",["痘"] = "30168",["都"] = "37117",["督"] = "30563",["毒"] = "27602",["犊"] = "29322",["独"] = "29420",["读"] = "35835",["堵"] = "22581",["睹"] = "30585",["赌"] = "36172",["杜"] = "26460",["镀"] = "38208",["肚"] = "32922",["度"] = "24230",["渡"] = "28193",["妒"] = "22930",["端"] = "31471",["短"] = "30701",["锻"] = "38203",["段"] = "27573",["断"] = "26029",["缎"] = "32526",["堆"] = "22534",["兑"] = "20817",["队"] = "38431",["对"] = "23545",["墩"] = "22697",["吨"] = "21544",["蹲"] = "36466",["敦"] = "25958",["顿"] = "39039",["囤"] = "22244",["钝"] = "38045",["盾"] = "30462",["遁"] = "36929",["掇"] = "25479",["哆"] = "21702",["多"] = "22810",["夺"] = "22842",["垛"] = "22427",["躲"] = "36530",["朵"] = "26421",["跺"] = "36346",["舵"] = "33333",["剁"] = "21057",["惰"] = "24816",["堕"] = "22549",["蛾"] = "34558",["峨"] = "23784",["鹅"] = "40517",["俄"] = "20420",["额"] = "39069",["讹"] = "35769",["娥"] = "23077",["恶"] = "24694",["厄"] = "21380",["扼"] = "25212",["遏"] = "36943",["鄂"] = "37122",["饿"] = "39295",["恩"] = "24681",["而"] = "32780",["儿"] = "20799",["耳"] = "32819",["尔"] = "23572",["饵"] = "39285",["洱"] = "27953",["二"] = "20108",["贰"] = "36144",["发"] = "21457",["罚"] = "32602",["筏"] = "31567",["伐"] = "20240",["乏"] = "20047",["阀"] = "38400",["法"] = "27861",["珐"] = "29648",["藩"] = "34281",["帆"] = "24070",["番"] = "30058",["翻"] = "32763",["樊"] = "27146",["矾"] = "30718",["钒"] = "38034",["繁"] = "32321",["凡"] = "20961",["烦"] = "28902",["反"] = "21453",["返"] = "36820",["范"] = "33539",["贩"] = "36137",["犯"] = "29359",["饭"] = "39277",["泛"] = "27867",["坊"] = "22346",["芳"] = "33459",["方"] = "26041",["肪"] = "32938",["房"] = "25151",["防"] = "38450",["妨"] = "22952",["仿"] = "20223",["访"] = "35775",["纺"] = "32442",["放"] = "25918",["菲"] = "33778",["非"] = "38750",["啡"] = "21857",["飞"] = "39134",["肥"] = "32933",["匪"] = "21290",["诽"] = "35837",["吠"] = "21536",["肺"] = "32954",["废"] = "24223",["沸"] = "27832",["费"] = "36153",["芬"] = "33452",["酚"] = "37210",["吩"] = "21545",["氛"] = "27675",["分"] = "20998",["纷"] = "32439",["坟"] = "22367",["焚"] = "28954",["汾"] = "27774",["粉"] = "31881",["奋"] = "22859",["份"] = "20221",["忿"] = "24575",["愤"] = "24868",["粪"] = "31914",["丰"] = "20016",["封"] = "23553",["枫"] = "26539",["蜂"] = "34562",["峰"] = "23792",["锋"] = "38155",["风"] = "39118",["疯"] = "30127",["烽"] = "28925",["逢"] = "36898",["冯"] = "20911",["缝"] = "32541",["讽"] = "35773",["奉"] = "22857",["凤"] = "20964",["佛"] = "20315",["否"] = "21542",["夫"] = "22827",["敷"] = "25975",["肤"] = "32932",["孵"] = "23413",["扶"] = "25206",["拂"] = "25282",["辐"] = "36752",["幅"] = "24133",["氟"] = "27679",["符"] = "31526",["伏"] = "20239",["俘"] = "20440",["服"] = "26381",["浮"] = "28014",["涪"] = "28074",["福"] = "31119",["袱"] = "34993",["弗"] = "24343",["甫"] = "29995",["抚"] = "25242",["辅"] = "36741",["俯"] = "20463",["釜"] = "37340",["斧"] = "26023",["脯"] = "33071",["腑"] = "33105",["府"] = "24220",["腐"] = "33104",["赴"] = "36212",["副"] = "21103",["覆"] = "35206",["赋"] = "36171",["复"] = "22797",["傅"] = "20613",["付"] = "20184",["阜"] = "38428",["父"] = "29238",["腹"] = "33145",["负"] = "36127",["富"] = "23500",["讣"] = "35747",["附"] = "38468",["妇"] = "22919",["缚"] = "32538",["咐"] = "21648",["噶"] = "22134",["嘎"] = "22030",["该"] = "35813",["改"] = "25913",["概"] = "27010",["钙"] = "38041",["盖"] = "30422",["溉"] = "28297",["干"] = "24178",["甘"] = "29976",["杆"] = "26438",["柑"] = "26577",["竿"] = "31487",["肝"] = "32925",["赶"] = "36214",["感"] = "24863",["秆"] = "31174",["敢"] = "25954",["赣"] = "36195",["冈"] = "20872",["刚"] = "21018",["钢"] = "38050",["缸"] = "32568",["肛"] = "32923",["纲"] = "32434",["岗"] = "23703",["港"] = "28207",["杠"] = "26464",["篙"] = "31705",["皋"] = "30347",["高"] = "39640",["膏"] = "33167",["羔"] = "32660",["糕"] = "31957",["搞"] = "25630",["镐"] = "38224",["稿"] = "31295",["告"] = "21578",["哥"] = "21733",["歌"] = "27468",["搁"] = "25601",["戈"] = "25096",["鸽"] = "40509",["胳"] = "33011",["疙"] = "30105",["割"] = "21106",["革"] = "38761",["葛"] = "33883",["格"] = "26684",["蛤"] = "34532",["阁"] = "38401",["隔"] = "38548",["铬"] = "38124",["个"] = "20010",["各"] = "21508",["给"] = "32473",["根"] = "26681",["跟"] = "36319",["耕"] = "32789",["更"] = "26356",["庚"] = "24218",["羹"] = "32697",["埂"] = "22466",["耿"] = "32831",["梗"] = "26775",["工"] = "24037",["攻"] = "25915",["功"] = "21151",["恭"] = "24685",["龚"] = "40858",["供"] = "20379",["躬"] = "36524",["公"] = "20844",["宫"] = "23467",["弓"] = "24339",["巩"] = "24041",["汞"] = "27742",["拱"] = "25329",["贡"] = "36129",["共"] = "20849",["钩"] = "38057",["勾"] = "21246",["沟"] = "27807",["苟"] = "33503",["狗"] = "29399",["垢"] = "22434",["构"] = "26500",["购"] = "36141",["够"] = "22815",["辜"] = "36764",["菇"] = "33735",["咕"] = "21653",["箍"] = "31629",["估"] = "20272",["沽"] = "27837",["孤"] = "23396",["姑"] = "22993",["鼓"] = "40723",["古"] = "21476",["蛊"] = "34506",["骨"] = "39592",["谷"] = "35895",["股"] = "32929",["故"] = "25925",["顾"] = "39038",["固"] = "22266",["雇"] = "38599",["刮"] = "21038",["瓜"] = "29916",["剐"] = "21072",["寡"] = "23521",["挂"] = "25346",["褂"] = "35074",["乖"] = "20054",["拐"] = "25296",["怪"] = "24618",["棺"] = "26874",["关"] = "20851",["官"] = "23448",["冠"] = "20896",["观"] = "35266",["管"] = "31649",["馆"] = "39302",["罐"] = "32592",["惯"] = "24815",["灌"] = "28748",["贯"] = "36143",["光"] = "20809",["广"] = "24191",["逛"] = "36891",["瑰"] = "29808",["规"] = "35268",["圭"] = "22317",["硅"] = "30789",["归"] = "24402",["龟"] = "40863",["闺"] = "38394",["轨"] = "36712",["鬼"] = "39740",["诡"] = "35809",["癸"] = "30328",["桂"] = "26690",["柜"] = "26588",["跪"] = "36330",["贵"] = "36149",["刽"] = "21053",["辊"] = "36746",["滚"] = "28378",["棍"] = "26829",["锅"] = "38149",["郭"] = "37101",["国"] = "22269",["果"] = "26524",["裹"] = "35065",["过"] = "36807",["哈"] = "21704",["骸"] = "39608",["孩"] = "23401",["海"] = "28023",["氦"] = "27686",["亥"] = "20133",["害"] = "23475",["骇"] = "39559",["酣"] = "37219",["憨"] = "25000",["邯"] = "37039",["韩"] = "38889",["含"] = "21547",["涵"] = "28085",["寒"] = "23506",["函"] = "20989",["喊"] = "21898",["罕"] = "32597",["翰"] = "32752",["撼"] = "25788",["捍"] = "25421",["旱"] = "26097",["憾"] = "25022",["悍"] = "24717",["焊"] = "28938",["汗"] = "27735",["汉"] = "27721",["夯"] = "22831",["杭"] = "26477",["航"] = "33322",["壕"] = "22741",["嚎"] = "22158",["豪"] = "35946",["毫"] = "27627",["郝"] = "37085",["好"] = "22909",["耗"] = "32791",["号"] = "21495",["浩"] = "28009",["呵"] = "21621",["喝"] = "21917",["荷"] = "33655",["菏"] = "33743",["核"] = "26680",["禾"] = "31166",["和"] = "21644",["何"] = "20309",["合"] = "21512",["盒"] = "30418",["貉"] = "35977",["阂"] = "38402",["河"] = "27827",["涸"] = "28088",["赫"] = "36203",["褐"] = "35088",["鹤"] = "40548",["贺"] = "36154",["嘿"] = "22079",["黑"] = "40657",["痕"] = "30165",["很"] = "24456",["狠"] = "29408",["恨"] = "24680",["哼"] = "21756",["亨"] = "20136",["横"] = "27178",["衡"] = "34913",["恒"] = "24658",["轰"] = "36720",["哄"] = "21700",["烘"] = "28888",["虹"] = "34425",["鸿"] = "40511",["洪"] = "27946",["宏"] = "23439",["弘"] = "24344",["红"] = "32418",["喉"] = "21897",["侯"] = "20399",["猴"] = "29492",["吼"] = "21564",["厚"] = "21402",["候"] = "20505",["后"] = "21518",["呼"] = "21628",["乎"] = "20046",["忽"] = "24573",["瑚"] = "29786",["壶"] = "22774",["葫"] = "33899",["胡"] = "32993",["蝴"] = "34676",["狐"] = "29392",["糊"] = "31946",["湖"] = "28246",["弧"] = "24359",["虎"] = "34382",["唬"] = "21804",["护"] = "25252",["互"] = "20114",["沪"] = "27818",["户"] = "25143",["花"] = "33457",["哗"] = "21719",["华"] = "21326",["猾"] = "29502",["滑"] = "28369",["画"] = "30011",["划"] = "21010",["化"] = "21270",["话"] = "35805",["槐"] = "27088",["徊"] = "24458",["怀"] = "24576",["淮"] = "28142",["坏"] = "22351",["欢"] = "27426",["环"] = "29615",["桓"] = "26707",["还"] = "36824",["缓"] = "32531",["换"] = "25442",["患"] = "24739",["唤"] = "21796",["痪"] = "30186",["豢"] = "35938",["焕"] = "28949",["涣"] = "28067",["宦"] = "23462",["幻"] = "24187",["荒"] = "33618",["慌"] = "24908",["黄"] = "40644",["磺"] = "30970",["蝗"] = "34647",["簧"] = "31783",["皇"] = "30343",["凰"] = "20976",["惶"] = "24822",["煌"] = "29004",["晃"] = "26179",["幌"] = "24140",["恍"] = "24653",["谎"] = "35854",["灰"] = "28784",["挥"] = "25381",["辉"] = "36745",["徽"] = "24509",["恢"] = "24674",["蛔"] = "34516",["回"] = "22238",["毁"] = "27585",["悔"] = "24724",["慧"] = "24935",["卉"] = "21321",["惠"] = "24800",["晦"] = "26214",["贿"] = "36159",["秽"] = "31229",["会"] = "20250",["烩"] = "28905",["汇"] = "27719",["讳"] = "35763",["诲"] = "35826",["绘"] = "32472",["荤"] = "33636",["昏"] = "26127",["婚"] = "23130",["魂"] = "39746",["浑"] = "27985",["混"] = "28151",["豁"] = "35905",["活"] = "27963",["伙"] = "20249",["火"] = "28779",["获"] = "33719",["或"] = "25110",["惑"] = "24785",["霍"] = "38669",["货"] = "36135",["祸"] = "31096",["击"] = "20987",["圾"] = "22334",["基"] = "22522",["机"] = "26426",["畸"] = "30072",["稽"] = "31293",["积"] = "31215",["箕"] = "31637",["肌"] = "32908",["饥"] = "39269",["迹"] = "36857",["激"] = "28608",["讥"] = "35749",["鸡"] = "40481",["姬"] = "23020",["绩"] = "32489",["缉"] = "32521",["吉"] = "21513",["极"] = "26497",["棘"] = "26840",["辑"] = "36753",["籍"] = "31821",["集"] = "38598",["及"] = "21450",["急"] = "24613",["疾"] = "30142",["汲"] = "27762",["即"] = "21363",["嫉"] = "23241",["级"] = "32423",["挤"] = "25380",["几"] = "20960",["脊"] = "33034",["己"] = "24049",["蓟"] = "34015",["技"] = "25216",["冀"] = "20864",["季"] = "23395",["伎"] = "20238",["祭"] = "31085",["剂"] = "21058",["悸"] = "24760",["济"] = "27982",["寄"] = "23492",["寂"] = "23490",["计"] = "35745",["记"] = "35760",["既"] = "26082",["忌"] = "24524",["际"] = "38469",["妓"] = "22931",["继"] = "32487",["纪"] = "32426",["嘉"] = "22025",["枷"] = "26551",["夹"] = "22841",["佳"] = "20339",["家"] = "23478",["加"] = "21152",["荚"] = "33626",["颊"] = "39050",["贾"] = "36158",["甲"] = "30002",["钾"] = "38078",["假"] = "20551",["稼"] = "31292",["价"] = "20215",["架"] = "26550",["驾"] = "39550",["嫁"] = "23233",["歼"] = "27516",["监"] = "30417",["坚"] = "22362",["尖"] = "23574",["笺"] = "31546",["间"] = "38388",["煎"] = "29006",["兼"] = "20860",["肩"] = "32937",["艰"] = "33392",["奸"] = "22904",["缄"] = "32516",["茧"] = "33575",["检"] = "26816",["柬"] = "26604",["碱"] = "30897",["硷"] = "30839",["拣"] = "25315",["捡"] = "25441",["简"] = "31616",["俭"] = "20461",["剪"] = "21098",["减"] = "20943",["荐"] = "33616",["槛"] = "27099",["鉴"] = "37492",["践"] = "36341",["贱"] = "36145",["见"] = "35265",["键"] = "38190",["箭"] = "31661",["件"] = "20214",["健"] = "20581",["舰"] = "33328",["剑"] = "21073",["饯"] = "39279",["渐"] = "28176",["溅"] = "28293",["涧"] = "28071",["建"] = "24314",["僵"] = "20725",["姜"] = "23004",["将"] = "23558",["浆"] = "27974",["江"] = "27743",["疆"] = "30086",["蒋"] = "33931",["桨"] = "26728",["奖"] = "22870",["讲"] = "35762",["匠"] = "21280",["酱"] = "37233",["降"] = "38477",["蕉"] = "34121",["椒"] = "26898",["礁"] = "30977",["焦"] = "28966",["胶"] = "33014",["交"] = "20132",["郊"] = "37066",["浇"] = "27975",["骄"] = "39556",["娇"] = "23047",["嚼"] = "22204",["搅"] = "25605",["铰"] = "38128",["矫"] = "30699",["侥"] = "20389",["脚"] = "33050",["狡"] = "29409",["角"] = "35282",["饺"] = "39290",["缴"] = "32564",["绞"] = "32478",["剿"] = "21119",["教"] = "25945",["酵"] = "37237",["轿"] = "36735",["较"] = "36739",["叫"] = "21483",["窖"] = "31382",["揭"] = "25581",["接"] = "25509",["皆"] = "30342",["秸"] = "31224",["街"] = "34903",["阶"] = "38454",["截"] = "25130",["劫"] = "21163",["节"] = "33410",["桔"] = "26708",["杰"] = "26480",["捷"] = "25463",["睫"] = "30571",["竭"] = "31469",["洁"] = "27905",["结"] = "32467",["解"] = "35299",["姐"] = "22992",["戒"] = "25106",["藉"] = "34249",["芥"] = "33445",["界"] = "30028",["借"] = "20511",["介"] = "20171",["疥"] = "30117",["诫"] = "35819",["届"] = "23626",["巾"] = "24062",["筋"] = "31563",["斤"] = "26020",["金"] = "37329",["今"] = "20170",["津"] = "27941",["襟"] = "35167",["紧"] = "32039",["锦"] = "38182",["仅"] = "20165",["谨"] = "35880",["进"] = "36827",["靳"] = "38771",["晋"] = "26187",["禁"] = "31105",["近"] = "36817",["烬"] = "28908",["浸"] = "28024",["尽"] = "23613",["劲"] = "21170",["荆"] = "33606",["兢"] = "20834",["茎"] = "33550",["睛"] = "30555",["晶"] = "26230",["鲸"] = "40120",["京"] = "20140",["惊"] = "24778",["精"] = "31934",["粳"] = "31923",["经"] = "32463",["井"] = "20117",["警"] = "35686",["景"] = "26223",["颈"] = "39048",["静"] = "38745",["境"] = "22659",["敬"] = "25964",["镜"] = "38236",["径"] = "24452",["痉"] = "30153",["靖"] = "38742",["竟"] = "31455",["竞"] = "31454",["净"] = "20928",["炯"] = "28847",["窘"] = "31384",["揪"] = "25578",["究"] = "31350",["纠"] = "32416",["玖"] = "29590",["韭"] = "38893",["久"] = "20037",["灸"] = "28792",["九"] = "20061",["酒"] = "37202",["厩"] = "21417",["救"] = "25937",["旧"] = "26087",["臼"] = "33276",["舅"] = "33285",["咎"] = "21646",["就"] = "23601",["疚"] = "30106",["鞠"] = "38816",["拘"] = "25304",["狙"] = "29401",["疽"] = "30141",["居"] = "23621",["驹"] = "39545",["菊"] = "33738",["局"] = "23616",["咀"] = "21632",["矩"] = "30697",["举"] = "20030",["沮"] = "27822",["聚"] = "32858",["拒"] = "25298",["据"] = "25454",["巨"] = "24040",["具"] = "20855",["距"] = "36317",["踞"] = "36382",["锯"] = "38191",["俱"] = "20465",["句"] = "21477",["惧"] = "24807",["炬"] = "28844",["剧"] = "21095",["捐"] = "25424",["鹃"] = "40515",["娟"] = "23071",["倦"] = "20518",["眷"] = "30519",["卷"] = "21367",["绢"] = "32482",["撅"] = "25733",["攫"] = "25899",["抉"] = "25225",["掘"] = "25496",["倔"] = "20500",["爵"] = "29237",["觉"] = "35273",["决"] = "20915",["诀"] = "35776",["绝"] = "32477",["均"] = "22343",["菌"] = "33740",["钧"] = "38055",["军"] = "20891",["君"] = "21531",["峻"] = "23803",["俊"] = "20426",["竣"] = "31459",["浚"] = "27994",["郡"] = "37089",["骏"] = "39567",["喀"] = "21888",["咖"] = "21654",["卡"] = "21345",["咯"] = "21679",["开"] = "24320",["揩"] = "25577",["楷"] = "26999",["凯"] = "20975",["慨"] = "24936",["刊"] = "21002",["堪"] = "22570",["勘"] = "21208",["坎"] = "22350",["砍"] = "30733",["看"] = "30475",["康"] = "24247",["慷"] = "24951",["糠"] = "31968",["扛"] = "25179",["抗"] = "25239",["亢"] = "20130",["炕"] = "28821",["考"] = "32771",["拷"] = "25335",["烤"] = "28900",["靠"] = "38752",["坷"] = "22391",["苛"] = "33499",["柯"] = "26607",["棵"] = "26869",["磕"] = "30933",["颗"] = "39063",["科"] = "31185",["壳"] = "22771",["咳"] = "21683",["可"] = "21487",["渴"] = "28212",["克"] = "20811",["刻"] = "21051",["客"] = "23458",["课"] = "35838",["肯"] = "32943",["啃"] = "21827",["垦"] = "22438",["恳"] = "24691",["坑"] = "22353",["吭"] = "21549",["空"] = "31354",["恐"] = "24656",["孔"] = "23380",["控"] = "25511",["抠"] = "25248",["口"] = "21475",["扣"] = "25187",["寇"] = "23495",["枯"] = "26543",["哭"] = "21741",["窟"] = "31391",["苦"] = "33510",["酷"] = "37239",["库"] = "24211",["裤"] = "35044",["夸"] = "22840",["垮"] = "22446",["挎"] = "25358",["跨"] = "36328",["胯"] = "33007",["块"] = "22359",["筷"] = "31607",["侩"] = "20393",["快"] = "24555",["宽"] = "23485",["款"] = "27454",["匡"] = "21281",["筐"] = "31568",["狂"] = "29378",["框"] = "26694",["矿"] = "30719",["眶"] = "30518",["旷"] = "26103",["况"] = "20917",["亏"] = "20111",["盔"] = "30420",["岿"] = "23743",["窥"] = "31397",["葵"] = "33909",["奎"] = "22862",["魁"] = "39745",["傀"] = "20608",["馈"] = "39304",["愧"] = "24871",["溃"] = "28291",["坤"] = "22372",["昆"] = "26118",["捆"] = "25414",["困"] = "22256",["括"] = "25324",["扩"] = "25193",["廓"] = "24275",["阔"] = "38420",["垃"] = "22403",["拉"] = "25289",["喇"] = "21895",["蜡"] = "34593",["腊"] = "33098",["辣"] = "36771",["啦"] = "21862",["莱"] = "33713",["来"] = "26469",["赖"] = "36182",["蓝"] = "34013",["婪"] = "23146",["栏"] = "26639",["拦"] = "25318",["篮"] = "31726",["阑"] = "38417",["兰"] = "20848",["澜"] = "28572",["谰"] = "35888",["揽"] = "25597",["览"] = "35272",["懒"] = "25042",["缆"] = "32518",["烂"] = "28866",["滥"] = "28389",["琅"] = "29701",["榔"] = "27028",["狼"] = "29436",["廊"] = "24266",["郎"] = "37070",["朗"] = "26391",["浪"] = "28010",["捞"] = "25438",["劳"] = "21171",["牢"] = "29282",["老"] = "32769",["佬"] = "20332",["姥"] = "23013",["酪"] = "37226",["烙"] = "28889",["涝"] = "28061",["勒"] = "21202",["乐"] = "20048",["雷"] = "38647",["镭"] = "38253",["蕾"] = "34174",["磊"] = "30922",["累"] = "32047",["儡"] = "20769",["垒"] = "22418",["擂"] = "25794",["肋"] = "32907",["类"] = "31867",["泪"] = "27882",["棱"] = "26865",["楞"] = "26974",["冷"] = "20919",["厘"] = "21400",["梨"] = "26792",["犁"] = "29313",["黎"] = "40654",["篱"] = "31729",["狸"] = "29432",["离"] = "31163",["漓"] = "28435",["理"] = "29702",["李"] = "26446",["里"] = "37324",["鲤"] = "40100",["礼"] = "31036",["莉"] = "33673",["荔"] = "33620",["吏"] = "21519",["栗"] = "26647",["丽"] = "20029",["厉"] = "21385",["励"] = "21169",["砾"] = "30782",["历"] = "21382",["利"] = "21033",["傈"] = "20616",["例"] = "20363",["俐"] = "20432",["痢"] = "30178",["立"] = "31435",["粒"] = "31890",["沥"] = "27813",["隶"] = "38582",["力"] = "21147",["璃"] = "29827",["哩"] = "21737",["俩"] = "20457",["联"] = "32852",["莲"] = "33714",["连"] = "36830",["镰"] = "38256",["廉"] = "24265",["怜"] = "24604",["涟"] = "28063",["帘"] = "24088",["敛"] = "25947",["脸"] = "33080",["链"] = "38142",["恋"] = "24651",["炼"] = "28860",["练"] = "32451",["粮"] = "31918",["凉"] = "20937",["梁"] = "26753",["粱"] = "31921",["良"] = "33391",["两"] = "20004",["辆"] = "36742",["量"] = "37327",["晾"] = "26238",["亮"] = "20142",["谅"] = "35845",["撩"] = "25769",["聊"] = "32842",["僚"] = "20698",["疗"] = "30103",["燎"] = "29134",["寥"] = "23525",["辽"] = "36797",["潦"] = "28518",["了"] = "20102",["撂"] = "25730",["镣"] = "38243",["廖"] = "24278",["料"] = "26009",["列"] = "21015",["裂"] = "35010",["烈"] = "28872",["劣"] = "21155",["猎"] = "29454",["琳"] = "29747",["林"] = "26519",["磷"] = "30967",["霖"] = "38678",["临"] = "20020",["邻"] = "37051",["鳞"] = "40158",["淋"] = "28107",["凛"] = "20955",["赁"] = "36161",["吝"] = "21533",["拎"] = "25294",["玲"] = "29618",["菱"] = "33777",["零"] = "38646",["龄"] = "40836",["铃"] = "38083",["伶"] = "20278",["羚"] = "32666",["凌"] = "20940",["灵"] = "28789",["陵"] = "38517",["岭"] = "23725",["领"] = "39046",["另"] = "21478",["令"] = "20196",["溜"] = "28316",["琉"] = "29705",["榴"] = "27060",["硫"] = "30827",["馏"] = "39311",["留"] = "30041",["刘"] = "21016",["瘤"] = "30244",["流"] = "27969",["柳"] = "26611",["六"] = "20845",["龙"] = "40857",["聋"] = "32843",["咙"] = "21657",["笼"] = "31548",["窿"] = "31423",["隆"] = "38534",["垄"] = "22404",["拢"] = "25314",["陇"] = "38471",["楼"] = "27004",["娄"] = "23044",["搂"] = "25602",["篓"] = "31699",["漏"] = "28431",["陋"] = "38475",["芦"] = "33446",["卢"] = "21346",["颅"] = "39045",["庐"] = "24208",["炉"] = "28809",["掳"] = "25523",["卤"] = "21348",["虏"] = "34383",["鲁"] = "40065",["麓"] = "40595",["碌"] = "30860",["露"] = "38706",["路"] = "36335",["赂"] = "36162",["鹿"] = "40575",["潞"] = "28510",["禄"] = "31108",["录"] = "24405",["陆"] = "38470",["戮"] = "25134",["驴"] = "39540",["吕"] = "21525",["铝"] = "38109",["侣"] = "20387",["旅"] = "26053",["履"] = "23653",["屡"] = "23649",["缕"] = "32533",["虑"] = "34385",["氯"] = "27695",["律"] = "24459",["率"] = "29575",["滤"] = "28388",["绿"] = "32511",["峦"] = "23782",["挛"] = "25371",["孪"] = "23402",["滦"] = "28390",["卵"] = "21365",["乱"] = "20081",["掠"] = "25504",["略"] = "30053",["抡"] = "25249",["轮"] = "36718",["伦"] = "20262",["仑"] = "20177",["沦"] = "27814",["纶"] = "32438",["论"] = "35770",["萝"] = "33821",["螺"] = "34746",["罗"] = "32599",["逻"] = "36923",["锣"] = "38179",["箩"] = "31657",["骡"] = "39585",["裸"] = "35064",["落"] = "33853",["洛"] = "27931",["骆"] = "39558",["络"] = "32476",["妈"] = "22920",["麻"] = "40635",["玛"] = "29595",["码"] = "30721",["蚂"] = "34434",["马"] = "39532",["骂"] = "39554",["嘛"] = "22043",["吗"] = "21527",["埋"] = "22475",["买"] = "20080",["麦"] = "40614",["卖"] = "21334",["迈"] = "36808",["脉"] = "33033",["瞒"] = "30610",["馒"] = "39314",["蛮"] = "34542",["满"] = "28385",["蔓"] = "34067",["曼"] = "26364",["慢"] = "24930",["漫"] = "28459",["谩"] = "35881",["芒"] = "33426",["茫"] = "33579",["盲"] = "30450",["氓"] = "27667",["忙"] = "24537",["莽"] = "33725",["猫"] = "29483",["茅"] = "33541",["锚"] = "38170",["毛"] = "27611",["矛"] = "30683",["铆"] = "38086",["卯"] = "21359",["茂"] = "33538",["冒"] = "20882",["帽"] = "24125",["貌"] = "35980",["贸"] = "36152",["么"] = "20040",["玫"] = "29611",["枚"] = "26522",["梅"] = "26757",["酶"] = "37238",["霉"] = "38665",["煤"] = "29028",["没"] = "27809",["眉"] = "30473",["媒"] = "23186",["镁"] = "38209",["每"] = "27599",["美"] = "32654",["昧"] = "26151",["寐"] = "23504",["妹"] = "22969",["媚"] = "23194",["门"] = "38376",["闷"] = "38391",["们"] = "20204",["萌"] = "33804",["蒙"] = "33945",["檬"] = "27308",["盟"] = "30431",["锰"] = "38192",["猛"] = "29467",["梦"] = "26790",["孟"] = "23391",["眯"] = "30511",["醚"] = "37274",["靡"] = "38753",["糜"] = "31964",["迷"] = "36855",["谜"] = "35868",["弥"] = "24357",["米"] = "31859",["秘"] = "31192",["觅"] = "35269",["泌"] = "27852",["蜜"] = "34588",["密"] = "23494",["幂"] = "24130",["棉"] = "26825",["眠"] = "30496",["绵"] = "32501",["冕"] = "20885",["免"] = "20813",["勉"] = "21193",["娩"] = "23081",["缅"] = "32517",["面"] = "38754",["苗"] = "33495",["描"] = "25551",["瞄"] = "30596",["藐"] = "34256",["秒"] = "31186",["渺"] = "28218",["庙"] = "24217",["妙"] = "22937",["蔑"] = "34065",["灭"] = "28781",["民"] = "27665",["抿"] = "25279",["皿"] = "30399",["敏"] = "25935",["悯"] = "24751",["闽"] = "38397",["明"] = "26126",["螟"] = "34719",["鸣"] = "40483",["铭"] = "38125",["名"] = "21517",["命"] = "21629",["谬"] = "35884",["摸"] = "25720",["摹"] = "25721",["蘑"] = "34321",["模"] = "27169",["膜"] = "33180",["磨"] = "30952",["摩"] = "25705",["魔"] = "39764",["抹"] = "25273",["末"] = "26411",["莫"] = "33707",["墨"] = "22696",["默"] = "40664",["沫"] = "27819",["漠"] = "28448",["寞"] = "23518",["陌"] = "38476",["谋"] = "35851",["牟"] = "29279",["某"] = "26576",["拇"] = "25287",["牡"] = "29281",["亩"] = "20137",["姆"] = "22982",["母"] = "27597",["墓"] = "22675",["暮"] = "26286",["幕"] = "24149",["募"] = "21215",["慕"] = "24917",["木"] = "26408",["目"] = "30446",["睦"] = "30566",["牧"] = "29287",["穆"] = "31302",["拿"] = "25343",["哪"] = "21738",["呐"] = "21584",["钠"] = "38048",["那"] = "37027",["娜"] = "23068",["纳"] = "32435",["氖"] = "27670",["乃"] = "20035",["奶"] = "22902",["耐"] = "32784",["奈"] = "22856",["南"] = "21335",["男"] = "30007",["难"] = "38590",["囊"] = "22218",["挠"] = "25376",["脑"] = "33041",["恼"] = "24700",["闹"] = "38393",["淖"] = "28118",["呢"] = "21602",["馁"] = "39297",["内"] = "20869",["嫩"] = "23273",["能"] = "33021",["妮"] = "22958",["霓"] = "38675",["倪"] = "20522",["泥"] = "27877",["尼"] = "23612",["拟"] = "25311",["你"] = "20320",["匿"] = "21311",["腻"] = "33147",["逆"] = "36870",["溺"] = "28346",["蔫"] = "34091",["拈"] = "25288",["年"] = "24180",["碾"] = "30910",["撵"] = "25781",["捻"] = "25467",["念"] = "24565",["娘"] = "23064",["酿"] = "37247",["鸟"] = "40479",["尿"] = "23615",["捏"] = "25423",["聂"] = "32834",["孽"] = "23421",["啮"] = "21870",["镊"] = "38218",["镍"] = "38221",["涅"] = "28037",["您"] = "24744",["柠"] = "26592",["狞"] = "29406",["凝"] = "20957",["宁"] = "23425",["拧"] = "25319",["泞"] = "27870",["牛"] = "29275",["扭"] = "25197",["钮"] = "38062",["纽"] = "32445",["脓"] = "33043",["浓"] = "27987",["农"] = "20892",["弄"] = "24324",["奴"] = "22900",["努"] = "21162",["怒"] = "24594",["女"] = "22899",["暖"] = "26262",["虐"] = "34384",["疟"] = "30111",["挪"] = "25386",["懦"] = "25062",["糯"] = "31983",["诺"] = "35834",["哦"] = "21734",["欧"] = "27431",["鸥"] = "40485",["殴"] = "27572",["藕"] = "34261",["呕"] = "21589",["偶"] = "20598",["沤"] = "27812",["啪"] = "21866",["趴"] = "36276",["爬"] = "29228",["帕"] = "24085",["怕"] = "24597",["琶"] = "29750",["拍"] = "25293",["排"] = "25490",["牌"] = "29260",["徘"] = "24472",["湃"] = "28227",["派"] = "27966",["攀"] = "25856",["潘"] = "28504",["盘"] = "30424",["磐"] = "30928",["盼"] = "30460",["畔"] = "30036",["判"] = "21028",["叛"] = "21467",["乓"] = "20051",["庞"] = "24222",["旁"] = "26049",["耪"] = "32810",["胖"] = "32982",["抛"] = "25243",["咆"] = "21638",["刨"] = "21032",["炮"] = "28846",["袍"] = "34957",["跑"] = "36305",["泡"] = "27873",["呸"] = "21624",["胚"] = "32986",["培"] = "22521",["裴"] = "35060",["赔"] = "36180",["陪"] = "38506",["配"] = "37197",["佩"] = "20329",["沛"] = "27803",["喷"] = "21943",["盆"] = "30406",["砰"] = "30768",["抨"] = "25256",["烹"] = "28921",["澎"] = "28558",["彭"] = "24429",["蓬"] = "34028",["棚"] = "26842",["硼"] = "30844",["篷"] = "31735",["膨"] = "33192",["朋"] = "26379",["鹏"] = "40527",["捧"] = "25447",["碰"] = "30896",["坯"] = "22383",["砒"] = "30738",["霹"] = "38713",["批"] = "25209",["披"] = "25259",["劈"] = "21128",["琵"] = "29749",["毗"] = "27607",["啤"] = "21860",["脾"] = "33086",["疲"] = "30130",["皮"] = "30382",["匹"] = "21305",["痞"] = "30174",["僻"] = "20731",["屁"] = "23617",["譬"] = "35692",["篇"] = "31687",["偏"] = "20559",["片"] = "29255",["骗"] = "39575",["飘"] = "39128",["漂"] = "28418",["瓢"] = "29922",["票"] = "31080",["撇"] = "25735",["瞥"] = "30629",["拼"] = "25340",["频"] = "39057",["贫"] = "36139",["品"] = "21697",["聘"] = "32856",["乒"] = "20050",["坪"] = "22378",["苹"] = "33529",["萍"] = "33805",["平"] = "24179",["凭"] = "20973",["瓶"] = "29942",["评"] = "35780",["屏"] = "23631",["坡"] = "22369",["泼"] = "27900",["颇"] = "39047",["婆"] = "23110",["破"] = "30772",["魄"] = "39748",["迫"] = "36843",["粕"] = "31893",["剖"] = "21078",["扑"] = "25169",["铺"] = "38138",["仆"] = "20166",["莆"] = "33670",["葡"] = "33889",["菩"] = "33769",["蒲"] = "33970",["埔"] = "22484",["朴"] = "26420",["圃"] = "22275",["普"] = "26222",["浦"] = "28006",["谱"] = "35889",["曝"] = "26333",["瀑"] = "28689",["期"] = "26399",["欺"] = "27450",["栖"] = "26646",["戚"] = "25114",["妻"] = "22971",["七"] = "19971",["凄"] = "20932",["漆"] = "28422",["柒"] = "26578",["沏"] = "27791",["其"] = "20854",["棋"] = "26827",["奇"] = "22855",["歧"] = "27495",["畦"] = "30054",["崎"] = "23822",["脐"] = "33040",["齐"] = "40784",["旗"] = "26071",["祈"] = "31048",["祁"] = "31041",["骑"] = "39569",["起"] = "36215",["岂"] = "23682",["乞"] = "20062",["企"] = "20225",["启"] = "21551",["契"] = "22865",["砌"] = "30732",["器"] = "22120",["气"] = "27668",["迄"] = "36804",["弃"] = "24323",["汽"] = "27773",["泣"] = "27875",["讫"] = "35755",["掐"] = "25488",["恰"] = "24688",["洽"] = "27965",["牵"] = "29301",["扦"] = "25190",["钎"] = "38030",["铅"] = "38085",["千"] = "21315",["迁"] = "36801",["签"] = "31614",["仟"] = "20191",["谦"] = "35878",["乾"] = "20094",["黔"] = "40660",["钱"] = "38065",["钳"] = "38067",["前"] = "21069",["潜"] = "28508",["遣"] = "36963",["浅"] = "27973",["谴"] = "35892",["堑"] = "22545",["嵌"] = "23884",["欠"] = "27424",["歉"] = "27465",["枪"] = "26538",["呛"] = "21595",["腔"] = "33108",["羌"] = "32652",["墙"] = "22681",["蔷"] = "34103",["强"] = "24378",["抢"] = "25250",["橇"] = "27207",["锹"] = "38201",["敲"] = "25970",["悄"] = "24708",["桥"] = "26725",["瞧"] = "30631",["乔"] = "20052",["侨"] = "20392",["巧"] = "24039",["鞘"] = "38808",["撬"] = "25772",["翘"] = "32728",["峭"] = "23789",["俏"] = "20431",["窍"] = "31373",["切"] = "20999",["茄"] = "33540",["且"] = "19988",["怯"] = "24623",["窃"] = "31363",["钦"] = "38054",["侵"] = "20405",["亲"] = "20146",["秦"] = "31206",["琴"] = "29748",["勤"] = "21220",["芹"] = "33465",["擒"] = "25810",["禽"] = "31165",["寝"] = "23517",["沁"] = "27777",["青"] = "38738",["轻"] = "36731",["氢"] = "27682",["倾"] = "20542",["卿"] = "21375",["清"] = "28165",["擎"] = "25806",["晴"] = "26228",["氰"] = "27696",["情"] = "24773",["顷"] = "39031",["请"] = "35831",["庆"] = "24198",["琼"] = "29756",["穷"] = "31351",["秋"] = "31179",["丘"] = "19992",["邱"] = "37041",["球"] = "29699",["求"] = "27714",["囚"] = "22234",["酋"] = "37195",["泅"] = "27845",["趋"] = "36235",["区"] = "21306",["蛆"] = "34502",["曲"] = "26354",["躯"] = "36527",["屈"] = "23624",["驱"] = "39537",["渠"] = "28192",["取"] = "21462",["娶"] = "23094",["龋"] = "40843",["趣"] = "36259",["去"] = "21435",["圈"] = "22280",["颧"] = "39079",["权"] = "26435",["醛"] = "37275",["泉"] = "27849",["全"] = "20840",["痊"] = "30154",["拳"] = "25331",["犬"] = "29356",["券"] = "21048",["劝"] = "21149",["缺"] = "32570",["炔"] = "28820",["瘸"] = "30264",["却"] = "21364",["鹊"] = "40522",["榷"] = "27063",["确"] = "30830",["雀"] = "38592",["裙"] = "35033",["群"] = "32676",["然"] = "28982",["燃"] = "29123",["冉"] = "20873",["染"] = "26579",["瓤"] = "29924",["壤"] = "22756",["攘"] = "25880",["嚷"] = "22199",["让"] = "35753",["饶"] = "39286",["扰"] = "25200",["绕"] = "32469",["惹"] = "24825",["热"] = "28909",["壬"] = "22764",["仁"] = "20161",["人"] = "20154",["忍"] = "24525",["韧"] = "38887",["任"] = "20219",["认"] = "35748",["刃"] = "20995",["妊"] = "22922",["纫"] = "32427",["扔"] = "25172",["仍"] = "20173",["日"] = "26085",["戎"] = "25102",["茸"] = "33592",["蓉"] = "33993",["荣"] = "33635",["融"] = "34701",["熔"] = "29076",["溶"] = "28342",["容"] = "23481",["绒"] = "32466",["冗"] = "20887",["揉"] = "25545",["柔"] = "26580",["肉"] = "32905",["茹"] = "33593",["蠕"] = "34837",["儒"] = "20754",["孺"] = "23418",["如"] = "22914",["辱"] = "36785",["乳"] = "20083",["汝"] = "27741",["入"] = "20837",["褥"] = "35109",["软"] = "36719",["阮"] = "38446",["蕊"] = "34122",["瑞"] = "29790",["锐"] = "38160",["闰"] = "38384",["润"] = "28070",["若"] = "33509",["弱"] = "24369",["撒"] = "25746",["洒"] = "27922",["萨"] = "33832",["腮"] = "33134",["鳃"] = "40131",["塞"] = "22622",["赛"] = "36187",["三"] = "19977",["叁"] = "21441",["伞"] = "20254",["散"] = "25955",["桑"] = "26705",["嗓"] = "21971",["丧"] = "20007",["搔"] = "25620",["骚"] = "39578",["扫"] = "25195",["嫂"] = "23234",["瑟"] = "29791",["色"] = "33394",["涩"] = "28073",["森"] = "26862",["僧"] = "20711",["莎"] = "33678",["砂"] = "30722",["杀"] = "26432",["刹"] = "21049",["沙"] = "27801",["纱"] = "32433",["傻"] = "20667",["啥"] = "21861",["煞"] = "29022",["筛"] = "31579",["晒"] = "26194",["珊"] = "29642",["苫"] = "33515",["杉"] = "26441",["山"] = "23665",["删"] = "21024",["煽"] = "29053",["衫"] = "34923",["闪"] = "38378",["陕"] = "38485",["擅"] = "25797",["赡"] = "36193",["膳"] = "33203",["善"] = "21892",["汕"] = "27733",["扇"] = "25159",["缮"] = "32558",["墒"] = "22674",["伤"] = "20260",["商"] = "21830",["赏"] = "36175",["晌"] = "26188",["上"] = "19978",["尚"] = "23578",["裳"] = "35059",["梢"] = "26786",["捎"] = "25422",["稍"] = "31245",["烧"] = "28903",["芍"] = "33421",["勺"] = "21242",["韶"] = "38902",["少"] = "23569",["哨"] = "21736",["邵"] = "37045",["绍"] = "32461",["奢"] = "22882",["赊"] = "36170",["蛇"] = "34503",["舌"] = "33292",["舍"] = "33293",["赦"] = "36198",["摄"] = "25668",["射"] = "23556",["慑"] = "24913",["涉"] = "28041",["社"] = "31038",["设"] = "35774",["砷"] = "30775",["申"] = "30003",["呻"] = "21627",["伸"] = "20280",["身"] = "36523",["深"] = "28145",["娠"] = "23072",["绅"] = "32453",["神"] = "31070",["沈"] = "27784",["审"] = "23457",["婶"] = "23158",["甚"] = "29978",["肾"] = "32958",["慎"] = "24910",["渗"] = "28183",["声"] = "22768",["生"] = "29983",["甥"] = "29989",["牲"] = "29298",["升"] = "21319",["绳"] = "32499",["省"] = "30465",["盛"] = "30427",["剩"] = "21097",["胜"] = "32988",["圣"] = "22307",["师"] = "24072",["失"] = "22833",["狮"] = "29422",["施"] = "26045",["湿"] = "28287",["诗"] = "35799",["尸"] = "23608",["虱"] = "34417",["十"] = "21313",["石"] = "30707",["拾"] = "25342",["时"] = "26102",["什"] = "20160",["食"] = "39135",["蚀"] = "34432",["实"] = "23454",["识"] = "35782",["史"] = "21490",["矢"] = "30690",["使"] = "20351",["屎"] = "23630",["驶"] = "39542",["始"] = "22987",["式"] = "24335",["示"] = "31034",["士"] = "22763",["世"] = "19990",["柿"] = "26623",["事"] = "20107",["拭"] = "25325",["誓"] = "35475",["逝"] = "36893",["势"] = "21183",["是"] = "26159",["嗜"] = "21980",["噬"] = "22124",["适"] = "36866",["仕"] = "20181",["侍"] = "20365",["释"] = "37322",["饰"] = "39280",["氏"] = "27663",["市"] = "24066",["恃"] = "24643",["室"] = "23460",["视"] = "35270",["试"] = "35797",["收"] = "25910",["手"] = "25163",["首"] = "39318",["守"] = "23432",["寿"] = "23551",["授"] = "25480",["售"] = "21806",["受"] = "21463",["瘦"] = "30246",["兽"] = "20861",["蔬"] = "34092",["枢"] = "26530",["梳"] = "26803",["殊"] = "27530",["抒"] = "25234",["输"] = "36755",["叔"] = "21460",["舒"] = "33298",["淑"] = "28113",["疏"] = "30095",["书"] = "20070",["赎"] = "36174",["孰"] = "23408",["熟"] = "29087",["薯"] = "34223",["暑"] = "26257",["曙"] = "26329",["署"] = "32626",["蜀"] = "34560",["黍"] = "40653",["鼠"] = "40736",["属"] = "23646",["术"] = "26415",["述"] = "36848",["树"] = "26641",["束"] = "26463",["戍"] = "25101",["竖"] = "31446",["墅"] = "22661",["庶"] = "24246",["数"] = "25968",["漱"] = "28465",["恕"] = "24661",["刷"] = "21047",["耍"] = "32781",["摔"] = "25684",["衰"] = "34928",["甩"] = "29993",["帅"] = "24069",["栓"] = "26643",["拴"] = "25332",["霜"] = "38684",["双"] = "21452",["爽"] = "29245",["谁"] = "35841",["水"] = "27700",["睡"] = "30561",["税"] = "31246",["吮"] = "21550",["瞬"] = "30636",["顺"] = "39034",["舜"] = "33308",["说"] = "35828",["硕"] = "30805",["朔"] = "26388",["烁"] = "28865",["斯"] = "26031",["撕"] = "25749",["嘶"] = "22070",["思"] = "24605",["私"] = "31169",["司"] = "21496",["丝"] = "19997",["死"] = "27515",["肆"] = "32902",["寺"] = "23546",["嗣"] = "21987",["四"] = "22235",["伺"] = "20282",["似"] = "20284",["饲"] = "39282",["巳"] = "24051",["松"] = "26494",["耸"] = "32824",["怂"] = "24578",["颂"] = "39042",["送"] = "36865",["宋"] = "23435",["讼"] = "35772",["诵"] = "35829",["搜"] = "25628",["艘"] = "33368",["擞"] = "25822",["嗽"] = "22013",["苏"] = "33487",["酥"] = "37221",["俗"] = "20439",["素"] = "32032",["速"] = "36895",["粟"] = "31903",["僳"] = "20723",["塑"] = "22609",["溯"] = "28335",["宿"] = "23487",["诉"] = "35785",["肃"] = "32899",["酸"] = "37240",["蒜"] = "33948",["算"] = "31639",["虽"] = "34429",["隋"] = "38539",["随"] = "38543",["绥"] = "32485",["髓"] = "39635",["碎"] = "30862",["岁"] = "23681",["穗"] = "31319",["遂"] = "36930",["隧"] = "38567",["祟"] = "31071",["孙"] = "23385",["损"] = "25439",["笋"] = "31499",["蓑"] = "34001",["梭"] = "26797",["唆"] = "21766",["缩"] = "32553",["琐"] = "29712",["索"] = "32034",["锁"] = "38145",["所"] = "25152",["塌"] = "22604",["他"] = "20182",["它"] = "23427",["她"] = "22905",["塔"] = "22612",["獭"] = "29549",["挞"] = "25374",["蹋"] = "36427",["踏"] = "36367",["胎"] = "32974",["苔"] = "33492",["抬"] = "25260",["台"] = "21488",["泰"] = "27888",["酞"] = "37214",["太"] = "22826",["态"] = "24577",["汰"] = "27760",["坍"] = "22349",["摊"] = "25674",["贪"] = "36138",["瘫"] = "30251",["滩"] = "28393",["坛"] = "22363",["檀"] = "27264",["痰"] = "30192",["潭"] = "28525",["谭"] = "35885",["谈"] = "35848",["坦"] = "22374",["毯"] = "27631",["袒"] = "34962",["碳"] = "30899",["探"] = "25506",["叹"] = "21497",["炭"] = "28845",["汤"] = "27748",["塘"] = "22616",["搪"] = "25642",["堂"] = "22530",["棠"] = "26848",["膛"] = "33179",["唐"] = "21776",["糖"] = "31958",["倘"] = "20504",["躺"] = "36538",["淌"] = "28108",["趟"] = "36255",["烫"] = "28907",["掏"] = "25487",["涛"] = "28059",["滔"] = "28372",["绦"] = "32486",["萄"] = "33796",["桃"] = "26691",["逃"] = "36867",["淘"] = "28120",["陶"] = "38518",["讨"] = "35752",["套"] = "22871",["特"] = "29305",["藤"] = "34276",["腾"] = "33150",["疼"] = "30140",["誊"] = "35466",["梯"] = "26799",["剔"] = "21076",["踢"] = "36386",["锑"] = "38161",["提"] = "25552",["题"] = "39064",["蹄"] = "36420",["啼"] = "21884",["体"] = "20307",["替"] = "26367",["嚏"] = "22159",["惕"] = "24789",["涕"] = "28053",["剃"] = "21059",["屉"] = "23625",["天"] = "22825",["添"] = "28155",["填"] = "22635",["田"] = "30000",["甜"] = "29980",["恬"] = "24684",["舔"] = "33300",["腆"] = "33094",["挑"] = "25361",["条"] = "26465",["迢"] = "36834",["眺"] = "30522",["跳"] = "36339",["贴"] = "36148",["铁"] = "38081",["帖"] = "24086",["厅"] = "21381",["听"] = "21548",["烃"] = "28867",["汀"] = "27712",["廷"] = "24311",["停"] = "20572",["亭"] = "20141",["庭"] = "24237",["挺"] = "25402",["艇"] = "33351",["通"] = "36890",["桐"] = "26704",["酮"] = "37230",["瞳"] = "30643",["同"] = "21516",["铜"] = "38108",["彤"] = "24420",["童"] = "31461",["桶"] = "26742",["捅"] = "25413",["筒"] = "31570",["统"] = "32479",["痛"] = "30171",["偷"] = "20599",["投"] = "25237",["头"] = "22836",["透"] = "36879",["凸"] = "20984",["秃"] = "31171",["突"] = "31361",["图"] = "22270",["徒"] = "24466",["途"] = "36884",["涂"] = "28034",["屠"] = "23648",["土"] = "22303",["吐"] = "21520",["兔"] = "20820",["湍"] = "28237",["团"] = "22242",["推"] = "25512",["颓"] = "39059",["腿"] = "33151",["蜕"] = "34581",["褪"] = "35114",["退"] = "36864",["吞"] = "21534",["屯"] = "23663",["臀"] = "33216",["拖"] = "25302",["托"] = "25176",["脱"] = "33073",["鸵"] = "40501",["陀"] = "38464",["驮"] = "39534",["驼"] = "39548",["椭"] = "26925",["妥"] = "22949",["拓"] = "25299",["唾"] = "21822",["挖"] = "25366",["哇"] = "21703",["蛙"] = "34521",["洼"] = "27964",["娃"] = "23043",["瓦"] = "29926",["袜"] = "34972",["歪"] = "27498",["外"] = "22806",["豌"] = "35916",["弯"] = "24367",["湾"] = "28286",["玩"] = "29609",["顽"] = "39037",["丸"] = "20024",["烷"] = "28919",["完"] = "23436",["碗"] = "30871",["挽"] = "25405",["晚"] = "26202",["皖"] = "30358",["惋"] = "24779",["宛"] = "23451",["婉"] = "23113",["万"] = "19975",["腕"] = "33109",["汪"] = "27754",["王"] = "29579",["亡"] = "20129",["枉"] = "26505",["网"] = "32593",["往"] = "24448",["旺"] = "26106",["望"] = "26395",["忘"] = "24536",["妄"] = "22916",["威"] = "23041",["巍"] = "24013",["微"] = "24494",["危"] = "21361",["韦"] = "38886",["违"] = "36829",["桅"] = "26693",["围"] = "22260",["唯"] = "21807",["惟"] = "24799",["为"] = "20026",["潍"] = "28493",["维"] = "32500",["苇"] = "33479",["萎"] = "33806",["委"] = "22996",["伟"] = "20255",["伪"] = "20266",["尾"] = "23614",["纬"] = "32428",["未"] = "26410",["蔚"] = "34074",["味"] = "21619",["畏"] = "30031",["胃"] = "32963",["喂"] = "21890",["魏"] = "39759",["位"] = "20301",["渭"] = "28205",["谓"] = "35859",["尉"] = "23561",["慰"] = "24944",["卫"] = "21355",["瘟"] = "30239",["温"] = "28201",["蚊"] = "34442",["文"] = "25991",["闻"] = "38395",["纹"] = "32441",["吻"] = "21563",["稳"] = "31283",["紊"] = "32010",["问"] = "38382",["嗡"] = "21985",["翁"] = "32705",["瓮"] = "29934",["挝"] = "25373",["蜗"] = "34583",["涡"] = "28065",["窝"] = "31389",["我"] = "25105",["斡"] = "26017",["卧"] = "21351",["握"] = "25569",["沃"] = "27779",["巫"] = "24043",["呜"] = "21596",["钨"] = "38056",["乌"] = "20044",["污"] = "27745",["诬"] = "35820",["屋"] = "23627",["无"] = "26080",["芜"] = "33436",["梧"] = "26791",["吾"] = "21566",["吴"] = "21556",["毋"] = "27595",["武"] = "27494",["五"] = "20116",["捂"] = "25410",["午"] = "21320",["舞"] = "33310",["伍"] = "20237",["侮"] = "20398",["坞"] = "22366",["戊"] = "25098",["雾"] = "38654",["晤"] = "26212",["物"] = "29289",["勿"] = "21247",["务"] = "21153",["悟"] = "24735",["误"] = "35823",["昔"] = "26132",["熙"] = "29081",["析"] = "26512",["西"] = "35199",["硒"] = "30802",["矽"] = "30717",["晰"] = "26224",["嘻"] = "22075",["吸"] = "21560",["锡"] = "38177",["牺"] = "29306",["稀"] = "31232",["息"] = "24687",["希"] = "24076",["悉"] = "24713",["膝"] = "33181",["夕"] = "22805",["惜"] = "24796",["熄"] = "29060",["烯"] = "28911",["溪"] = "28330",["汐"] = "27728",["犀"] = "29312",["檄"] = "27268",["袭"] = "34989",["席"] = "24109",["习"] = "20064",["媳"] = "23219",["喜"] = "21916",["铣"] = "38115",["洗"] = "27927",["系"] = "31995",["隙"] = "38553",["戏"] = "25103",["细"] = "32454",["瞎"] = "30606",["虾"] = "34430",["匣"] = "21283",["霞"] = "38686",["辖"] = "36758",["暇"] = "26247",["峡"] = "23777",["侠"] = "20384",["狭"] = "29421",["下"] = "19979",["厦"] = "21414",["夏"] = "22799",["吓"] = "21523",["掀"] = "25472",["锨"] = "38184",["先"] = "20808",["仙"] = "20185",["鲜"] = "40092",["纤"] = "32420",["咸"] = "21688",["贤"] = "36132",["衔"] = "34900",["舷"] = "33335",["闲"] = "38386",["涎"] = "28046",["弦"] = "24358",["嫌"] = "23244",["显"] = "26174",["险"] = "38505",["现"] = "29616",["献"] = "29486",["县"] = "21439",["腺"] = "33146",["馅"] = "39301",["羡"] = "32673",["宪"] = "23466",["陷"] = "38519",["限"] = "38480",["线"] = "32447",["相"] = "30456",["厢"] = "21410",["镶"] = "38262",["香"] = "39321",["箱"] = "31665",["襄"] = "35140",["湘"] = "28248",["乡"] = "20065",["翔"] = "32724",["祥"] = "31077",["详"] = "35814",["想"] = "24819",["响"] = "21709",["享"] = "20139",["项"] = "39033",["巷"] = "24055",["橡"] = "27233",["像"] = "20687",["向"] = "21521",["象"] = "35937",["萧"] = "33831",["硝"] = "30813",["霄"] = "38660",["削"] = "21066",["哮"] = "21742",["嚣"] = "22179",["销"] = "38144",["消"] = "28040",["宵"] = "23477",["淆"] = "28102",["晓"] = "26195",["小"] = "23567",["孝"] = "23389",["校"] = "26657",["肖"] = "32918",["啸"] = "21880",["笑"] = "31505",["效"] = "25928",["楔"] = "26964",["些"] = "20123",["歇"] = "27463",["蝎"] = "34638",["鞋"] = "38795",["协"] = "21327",["挟"] = "25375",["携"] = "25658",["邪"] = "37034",["斜"] = "26012",["胁"] = "32961",["谐"] = "35856",["写"] = "20889",["械"] = "26800",["卸"] = "21368",["蟹"] = "34809",["懈"] = "25032",["泄"] = "27844",["泻"] = "27899",["谢"] = "35874",["屑"] = "23633",["薪"] = "34218",["芯"] = "33455",["锌"] = "38156",["欣"] = "27427",["辛"] = "36763",["新"] = "26032",["忻"] = "24571",["心"] = "24515",["信"] = "20449",["衅"] = "34885",["星"] = "26143",["腥"] = "33125",["猩"] = "29481",["惺"] = "24826",["兴"] = "20852",["刑"] = "21009",["型"] = "22411",["形"] = "24418",["邢"] = "37026",["行"] = "34892",["醒"] = "37266",["幸"] = "24184",["杏"] = "26447",["性"] = "24615",["姓"] = "22995",["兄"] = "20804",["凶"] = "20982",["胸"] = "33016",["匈"] = "21256",["汹"] = "27769",["雄"] = "38596",["熊"] = "29066",["休"] = "20241",["修"] = "20462",["羞"] = "32670",["朽"] = "26429",["嗅"] = "21957",["锈"] = "38152",["秀"] = "31168",["袖"] = "34966",["绣"] = "32483",["墟"] = "22687",["戌"] = "25100",["需"] = "38656",["虚"] = "34394",["嘘"] = "22040",["须"] = "39035",["徐"] = "24464",["许"] = "35768",["蓄"] = "33988",["酗"] = "37207",["叙"] = "21465",["旭"] = "26093",["序"] = "24207",["畜"] = "30044",["恤"] = "24676",["絮"] = "32110",["婿"] = "23167",["绪"] = "32490",["续"] = "32493",["轩"] = "36713",["喧"] = "21927",["宣"] = "23459",["悬"] = "24748",["旋"] = "26059",["玄"] = "29572",["选"] = "36873",["癣"] = "30307",["眩"] = "30505",["绚"] = "32474",["靴"] = "38772",["薛"] = "34203",["学"] = "23398",["穴"] = "31348",["雪"] = "38634",["血"] = "34880",["勋"] = "21195",["熏"] = "29071",["循"] = "24490",["旬"] = "26092",["询"] = "35810",["寻"] = "23547",["驯"] = "39535",["巡"] = "24033",["殉"] = "27529",["汛"] = "27739",["训"] = "35757",["讯"] = "35759",["逊"] = "36874",["迅"] = "36805",["压"] = "21387",["押"] = "25276",["鸦"] = "40486",["鸭"] = "40493",["呀"] = "21568",["丫"] = "20011",["芽"] = "33469",["牙"] = "29273",["蚜"] = "34460",["崖"] = "23830",["衙"] = "34905",["涯"] = "28079",["雅"] = "38597",["哑"] = "21713",["亚"] = "20122",["讶"] = "35766",["焉"] = "28937",["咽"] = "21693",["阉"] = "38409",["烟"] = "28895",["淹"] = "28153",["盐"] = "30416",["严"] = "20005",["研"] = "30740",["蜒"] = "34578",["岩"] = "23721",["延"] = "24310",["言"] = "35328",["颜"] = "39068",["阎"] = "38414",["炎"] = "28814",["沿"] = "27839",["奄"] = "22852",["掩"] = "25513",["眼"] = "30524",["衍"] = "34893",["演"] = "28436",["艳"] = "33395",["堰"] = "22576",["燕"] = "29141",["厌"] = "21388",["砚"] = "30746",["雁"] = "38593",["唁"] = "21761",["彦"] = "24422",["焰"] = "28976",["宴"] = "23476",["谚"] = "35866",["验"] = "39564",["殃"] = "27523",["央"] = "22830",["鸯"] = "40495",["秧"] = "31207",["杨"] = "26472",["扬"] = "25196",["佯"] = "20335",["疡"] = "30113",["羊"] = "32650",["洋"] = "27915",["阳"] = "38451",["氧"] = "27687",["仰"] = "20208",["痒"] = "30162",["养"] = "20859",["样"] = "26679",["漾"] = "28478",["邀"] = "36992",["腰"] = "33136",["妖"] = "22934",["瑶"] = "29814",["摇"] = "25671",["尧"] = "23591",["遥"] = "36965",["窑"] = "31377",["谣"] = "35875",["姚"] = "23002",["咬"] = "21676",["舀"] = "33280",["药"] = "33647",["要"] = "35201",["耀"] = "32768",["椰"] = "26928",["噎"] = "22094",["耶"] = "32822",["爷"] = "29239",["野"] = "37326",["冶"] = "20918",["也"] = "20063",["页"] = "39029",["掖"] = "25494",["业"] = "19994",["叶"] = "21494",["曳"] = "26355",["腋"] = "33099",["夜"] = "22812",["液"] = "28082",["一"] = "19968",["壹"] = "22777",["医"] = "21307",["揖"] = "25558",["铱"] = "38129",["依"] = "20381",["伊"] = "20234",["衣"] = "34915",["颐"] = "39056",["夷"] = "22839",["遗"] = "36951",["移"] = "31227",["仪"] = "20202",["胰"] = "33008",["疑"] = "30097",["沂"] = "27778",["宜"] = "23452",["姨"] = "23016",["彝"] = "24413",["椅"] = "26885",["蚁"] = "34433",["倚"] = "20506",["已"] = "24050",["乙"] = "20057",["矣"] = "30691",["以"] = "20197",["艺"] = "33402",["抑"] = "25233",["易"] = "26131",["邑"] = "37009",["屹"] = "23673",["亿"] = "20159",["役"] = "24441",["臆"] = "33222",["逸"] = "36920",["肄"] = "32900",["疫"] = "30123",["亦"] = "20134",["裔"] = "35028",["意"] = "24847",["毅"] = "27589",["忆"] = "24518",["义"] = "20041",["益"] = "30410",["溢"] = "28322",["诣"] = "35811",["议"] = "35758",["谊"] = "35850",["译"] = "35793",["异"] = "24322",["翼"] = "32764",["翌"] = "32716",["绎"] = "32462",["茵"] = "33589",["荫"] = "33643",["因"] = "22240",["殷"] = "27575",["音"] = "38899",["阴"] = "38452",["姻"] = "23035",["吟"] = "21535",["银"] = "38134",["淫"] = "28139",["寅"] = "23493",["饮"] = "39278",["尹"] = "23609",["引"] = "24341",["隐"] = "38544",["印"] = "21360",["英"] = "33521",["樱"] = "27185",["婴"] = "23156",["鹰"] = "40560",["应"] = "24212",["缨"] = "32552",["莹"] = "33721",["萤"] = "33828",["营"] = "33829",["荧"] = "33639",["蝇"] = "34631",["迎"] = "36814",["赢"] = "36194",["盈"] = "30408",["影"] = "24433",["颖"] = "39062",["硬"] = "30828",["映"] = "26144",["哟"] = "21727",["拥"] = "25317",["佣"] = "20323",["臃"] = "33219",["痈"] = "30152",["庸"] = "24248",["雍"] = "38605",["踊"] = "36362",["蛹"] = "34553",["咏"] = "21647",["泳"] = "27891",["涌"] = "28044",["永"] = "27704",["恿"] = "24703",["勇"] = "21191",["用"] = "29992",["幽"] = "24189",["优"] = "20248",["悠"] = "24736",["忧"] = "24551",["尤"] = "23588",["由"] = "30001",["邮"] = "37038",["铀"] = "38080",["犹"] = "29369",["油"] = "27833",["游"] = "28216",["酉"] = "37193",["有"] = "26377",["友"] = "21451",["右"] = "21491",["佑"] = "20305",["釉"] = "37321",["诱"] = "35825",["又"] = "21448",["幼"] = "24188",["迂"] = "36802",["淤"] = "28132",["于"] = "20110",["盂"] = "30402",["榆"] = "27014",["虞"] = "34398",["愚"] = "24858",["舆"] = "33286",["余"] = "20313",["俞"] = "20446",["逾"] = "36926",["鱼"] = "40060",["愉"] = "24841",["渝"] = "28189",["渔"] = "28180",["隅"] = "38533",["予"] = "20104",["娱"] = "23089",["雨"] = "38632",["与"] = "19982",["屿"] = "23679",["禹"] = "31161",["宇"] = "23431",["语"] = "35821",["羽"] = "32701",["玉"] = "29577",["域"] = "22495",["芋"] = "33419",["郁"] = "37057",["吁"] = "21505",["遇"] = "36935",["喻"] = "21947",["峪"] = "23786",["御"] = "24481",["愈"] = "24840",["欲"] = "27442",["狱"] = "29425",["育"] = "32946",["誉"] = "35465",["浴"] = "28020",["寓"] = "23507",["裕"] = "35029",["预"] = "39044",["豫"] = "35947",["驭"] = "39533",["鸳"] = "40499",["渊"] = "28170",["冤"] = "20900",["元"] = "20803",["垣"] = "22435",["袁"] = "34945",["原"] = "21407",["援"] = "25588",["辕"] = "36757",["园"] = "22253",["员"] = "21592",["圆"] = "22278",["猿"] = "29503",["源"] = "28304",["缘"] = "32536",["远"] = "36828",["苑"] = "33489",["愿"] = "24895",["怨"] = "24616",["院"] = "38498",["曰"] = "26352",["约"] = "32422",["越"] = "36234",["跃"] = "36291",["钥"] = "38053",["岳"] = "23731",["粤"] = "31908",["月"] = "26376",["悦"] = "24742",["阅"] = "38405",["耘"] = "32792",["云"] = "20113",["郧"] = "37095",["匀"] = "21248",["陨"] = "38504",["允"] = "20801",["运"] = "36816",["蕴"] = "34164",["酝"] = "37213",["晕"] = "26197",["韵"] = "38901",["孕"] = "23381",["匝"] = "21277",["砸"] = "30776",["杂"] = "26434",["栽"] = "26685",["哉"] = "21705",["灾"] = "28798",["宰"] = "23472",["载"] = "36733",["再"] = "20877",["在"] = "22312",["咱"] = "21681",["攒"] = "25874",["暂"] = "26242",["赞"] = "36190",["赃"] = "36163",["脏"] = "33039",["葬"] = "33900",["遭"] = "36973",["糟"] = "31967",["凿"] = "20991",["藻"] = "34299",["枣"] = "26531",["早"] = "26089",["澡"] = "28577",["蚤"] = "34468",["躁"] = "36481",["噪"] = "22122",["造"] = "36896",["皂"] = "30338",["灶"] = "28790",["燥"] = "29157",["责"] = "36131",["择"] = "25321",["则"] = "21017",["泽"] = "27901",["贼"] = "36156",["怎"] = "24590",["增"] = "22686",["憎"] = "24974",["曾"] = "26366",["赠"] = "36192",["扎"] = "25166",["喳"] = "21939",["渣"] = "28195",["札"] = "26413",["轧"] = "36711",["铡"] = "38113",["闸"] = "38392",["眨"] = "30504",["栅"] = "26629",["榨"] = "27048",["咋"] = "21643",["乍"] = "20045",["炸"] = "28856",["诈"] = "35784",["摘"] = "25688",["斋"] = "25995",["宅"] = "23429",["窄"] = "31364",["债"] = "20538",["寨"] = "23528",["瞻"] = "30651",["毡"] = "27617",["詹"] = "35449",["粘"] = "31896",["沾"] = "27838",["盏"] = "30415",["斩"] = "26025",["辗"] = "36759",["崭"] = "23853",["展"] = "23637",["蘸"] = "34360",["栈"] = "26632",["占"] = "21344",["战"] = "25112",["站"] = "31449",["湛"] = "28251",["绽"] = "32509",["樟"] = "27167",["章"] = "31456",["彰"] = "24432",["漳"] = "28467",["张"] = "24352",["掌"] = "25484",["涨"] = "28072",["杖"] = "26454",["丈"] = "19976",["帐"] = "24080",["账"] = "36134",["仗"] = "20183",["胀"] = "32960",["瘴"] = "30260",["障"] = "38556",["招"] = "25307",["昭"] = "26157",["找"] = "25214",["沼"] = "27836",["赵"] = "36213",["照"] = "29031",["罩"] = "32617",["兆"] = "20806",["肇"] = "32903",["召"] = "21484",["遮"] = "36974",["折"] = "25240",["哲"] = "21746",["蛰"] = "34544",["辙"] = "36761",["者"] = "32773",["锗"] = "38167",["蔗"] = "34071",["这"] = "36825",["浙"] = "27993",["珍"] = "29645",["斟"] = "26015",["真"] = "30495",["甄"] = "29956",["砧"] = "30759",["臻"] = "33275",["贞"] = "36126",["针"] = "38024",["侦"] = "20390",["枕"] = "26517",["疹"] = "30137",["诊"] = "35786",["震"] = "38663",["振"] = "25391",["镇"] = "38215",["阵"] = "38453",["蒸"] = "33976",["挣"] = "25379",["睁"] = "30529",["征"] = "24449",["狰"] = "29424",["争"] = "20105",["怔"] = "24596",["整"] = "25972",["拯"] = "25327",["正"] = "27491",["政"] = "25919",["帧"] = "24103",["症"] = "30151",["郑"] = "37073",["证"] = "35777",["芝"] = "33437",["枝"] = "26525",["支"] = "25903",["吱"] = "21553",["蜘"] = "34584",["知"] = "30693",["肢"] = "32930",["脂"] = "33026",["汁"] = "27713",["之"] = "20043",["织"] = "32455",["职"] = "32844",["直"] = "30452",["植"] = "26893",["殖"] = "27542",["执"] = "25191",["值"] = "20540",["侄"] = "20356",["址"] = "22336",["指"] = "25351",["止"] = "27490",["趾"] = "36286",["只"] = "21482",["旨"] = "26088",["纸"] = "32440",["志"] = "24535",["挚"] = "25370",["掷"] = "25527",["至"] = "33267",["致"] = "33268",["置"] = "32622",["帜"] = "24092",["峙"] = "23769",["制"] = "21046",["智"] = "26234",["秩"] = "31209",["稚"] = "31258",["质"] = "36136",["炙"] = "28825",["痔"] = "30164",["滞"] = "28382",["治"] = "27835",["窒"] = "31378",["中"] = "20013",["盅"] = "30405",["忠"] = "24544",["钟"] = "38047",["衷"] = "34935",["终"] = "32456",["种"] = "31181",["肿"] = "32959",["重"] = "37325",["仲"] = "20210",["众"] = "20247",["舟"] = "33311",["周"] = "21608",["州"] = "24030",["洲"] = "27954",["诌"] = "35788",["粥"] = "31909",["轴"] = "36724",["肘"] = "32920",["帚"] = "24090",["咒"] = "21650",["皱"] = "30385",["宙"] = "23449",["昼"] = "26172",["骤"] = "39588",["珠"] = "29664",["株"] = "26666",["蛛"] = "34523",["朱"] = "26417",["猪"] = "29482",["诸"] = "35832",["诛"] = "35803",["逐"] = "36880",["竹"] = "31481",["烛"] = "28891",["煮"] = "29038",["拄"] = "25284",["瞩"] = "30633",["嘱"] = "22065",["主"] = "20027",["著"] = "33879",["柱"] = "26609",["助"] = "21161",["蛀"] = "34496",["贮"] = "36142",["铸"] = "38136",["筑"] = "31569",["住"] = "20303",["注"] = "27880",["祝"] = "31069",["驻"] = "39547",["抓"] = "25235",["爪"] = "29226",["拽"] = "25341",["专"] = "19987",["砖"] = "30742",["转"] = "36716",["撰"] = "25776",["赚"] = "36186",["篆"] = "31686",["桩"] = "26729",["庄"] = "24196",["装"] = "35013",["妆"] = "22918",["撞"] = "25758",["壮"] = "22766",["状"] = "29366",["椎"] = "26894",["锥"] = "38181",["追"] = "36861",["赘"] = "36184",["坠"] = "22368",["缀"] = "32512",["谆"] = "35846",["准"] = "20934",["捉"] = "25417",["拙"] = "25305",["卓"] = "21331",["桌"] = "26700",["琢"] = "29730",["茁"] = "33537",["酌"] = "37196",["啄"] = "21828",["着"] = "30528",["灼"] = "28796",["浊"] = "27978",["兹"] = "20857",["咨"] = "21672",["资"] = "36164",["姿"] = "23039",["滋"] = "28363",["淄"] = "28100",["孜"] = "23388",["紫"] = "32043",["仔"] = "20180",["籽"] = "31869",["滓"] = "28371",["子"] = "23376",["自"] = "33258",["渍"] = "28173",["字"] = "23383",["鬃"] = "39683",["棕"] = "26837",["踪"] = "36394",["宗"] = "23447",["综"] = "32508",["总"] = "24635",["纵"] = "32437",["邹"] = "37049",["走"] = "36208",["奏"] = "22863",["揍"] = "25549",["租"] = "31199",["足"] = "36275",["卒"] = "21330",["族"] = "26063",["祖"] = "31062",["诅"] = "35781",["阻"] = "38459",["组"] = "32452",["钻"] = "38075",["纂"] = "32386",["嘴"] = "22068",["醉"] = "37257",["最"] = "26368",["罪"] = "32618",["尊"] = "23562",["遵"] = "36981",["昨"] = "26152",["左"] = "24038",["佐"] = "20304",["柞"] = "26590",["做"] = "20570",["作"] = "20316",["坐"] = "22352",["座"] = "24231",["亍"] = "20109",["丌"] = "19980",["兀"] = "20800",["丐"] = "19984",["廿"] = "24319",["卅"] = "21317",["丕"] = "19989",["亘"] = "20120",["丞"] = "19998",["鬲"] = "39730",["孬"] = "23404",["噩"] = "22121",["丨"] = "20008",["禺"] = "31162",["丿"] = "20031",["匕"] = "21269",["乇"] = "20039",["夭"] = "22829",["爻"] = "29243",["卮"] = "21358",["氐"] = "27664",["囟"] = "22239",["胤"] = "32996",["馗"] = "39319",["毓"] = "27603",["睾"] = "30590",["鼗"] = "40727",["丶"] = "20022",["亟"] = "20127",["鼐"] = "40720",["乜"] = "20060",["乩"] = "20073",["亓"] = "20115",["芈"] = "33416",["孛"] = "23387",["啬"] = "21868",["嘏"] = "22031",["仄"] = "20164",["厍"] = "21389",["厝"] = "21405",["厣"] = "21411",["厥"] = "21413",["厮"] = "21422",["靥"] = "38757",["赝"] = "36189",["匚"] = "21274",["叵"] = "21493",["匦"] = "21286",["匮"] = "21294",["匾"] = "21310",["赜"] = "36188",["卦"] = "21350",["卣"] = "21347",["刂"] = "20994",["刈"] = "21000",["刎"] = "21006",["刭"] = "21037",["刳"] = "21043",["刿"] = "21055",["剀"] = "21056",["剌"] = "21068",["剞"] = "21086",["剡"] = "21089",["剜"] = "21084",["蒯"] = "33967",["剽"] = "21117",["劂"] = "21122",["劁"] = "21121",["劐"] = "21136",["劓"] = "21139",["冂"] = "20866",["罔"] = "32596",["亻"] = "20155",["仃"] = "20163",["仉"] = "20169",["仂"] = "20162",["仨"] = "20200",["仡"] = "20193",["仫"] = "20203",["仞"] = "20190",["伛"] = "20251",["仳"] = "20211",["伢"] = "20258",["佤"] = "20324",["仵"] = "20213",["伥"] = "20261",["伧"] = "20263",["伉"] = "20233",["伫"] = "20267",["佞"] = "20318",["佧"] = "20327",["攸"] = "25912",["佚"] = "20314",["佝"] = "20317",["佟"] = "20319",["佗"] = "20311",["伲"] = "20274",["伽"] = "20285",["佶"] = "20342",["佴"] = "20340",["侑"] = "20369",["侉"] = "20361",["侃"] = "20355",["侏"] = "20367",["佾"] = "20350",["佻"] = "20347",["侪"] = "20394",["佼"] = "20348",["侬"] = "20396",["侔"] = "20372",["俦"] = "20454",["俨"] = "20456",["俪"] = "20458",["俅"] = "20421",["俚"] = "20442",["俣"] = "20451",["俜"] = "20444",["俑"] = "20433",["俟"] = "20447",["俸"] = "20472",["倩"] = "20521",["偌"] = "20556",["俳"] = "20467",["倬"] = "20524",["倏"] = "20495",["倮"] = "20526",["倭"] = "20525",["俾"] = "20478",["倜"] = "20508",["倌"] = "20492",["倥"] = "20517",["倨"] = "20520",["偾"] = "20606",["偃"] = "20547",["偕"] = "20565",["偈"] = "20552",["偎"] = "20558",["偬"] = "20588",["偻"] = "20603",["傥"] = "20645",["傧"] = "20647",["傩"] = "20649",["傺"] = "20666",["僖"] = "20694",["儆"] = "20742",["僭"] = "20717",["僬"] = "20716",["僦"] = "20710",["僮"] = "20718",["儇"] = "20743",["儋"] = "20747",["仝"] = "20189",["氽"] = "27709",["佘"] = "20312",["佥"] = "20325",["俎"] = "20430",["龠"] = "40864",["汆"] = "27718",["籴"] = "31860",["兮"] = "20846",["巽"] = "24061",["黉"] = "40649",["馘"] = "39320",["冁"] = "20865",["夔"] = "22804",["勹"] = "21241",["匍"] = "21261",["訇"] = "35335",["匐"] = "21264",["凫"] = "20971",["夙"] = "22809",["兕"] = "20821",["亠"] = "20128",["兖"] = "20822",["亳"] = "20147",["衮"] = "34926",["袤"] = "34980",["亵"] = "20149",["脔"] = "33044",["裒"] = "35026",["禀"] = "31104",["嬴"] = "23348",["蠃"] = "34819",["羸"] = "32696",["冫"] = "20907",["冱"] = "20913",["冽"] = "20925",["冼"] = "20924",["凇"] = "20935",["冖"] = "20886",["冢"] = "20898",["冥"] = "20901",["讠"] = "35744",["讦"] = "35750",["讧"] = "35751",["讪"] = "35754",["讴"] = "35764",["讵"] = "35765",["讷"] = "35767",["诂"] = "35778",["诃"] = "35779",["诋"] = "35787",["诏"] = "35791",["诎"] = "35790",["诒"] = "35794",["诓"] = "35795",["诔"] = "35796",["诖"] = "35798",["诘"] = "35800",["诙"] = "35801",["诜"] = "35804",["诟"] = "35807",["诠"] = "35808",["诤"] = "35812",["诨"] = "35816",["诩"] = "35817",["诮"] = "35822",["诰"] = "35824",["诳"] = "35827",["诶"] = "35830",["诹"] = "35833",["诼"] = "35836",["诿"] = "35839",["谀"] = "35840",["谂"] = "35842",["谄"] = "35844",["谇"] = "35847",["谌"] = "35852",["谏"] = "35855",["谑"] = "35857",["谒"] = "35858",["谔"] = "35860",["谕"] = "35861",["谖"] = "35862",["谙"] = "35865",["谛"] = "35867",["谘"] = "35864",["谝"] = "35869",["谟"] = "35871",["谠"] = "35872",["谡"] = "35873",["谥"] = "35877",["谧"] = "35879",["谪"] = "35882",["谫"] = "35883",["谮"] = "35886",["谯"] = "35887",["谲"] = "35890",["谳"] = "35891",["谵"] = "35893",["谶"] = "35894",["卩"] = "21353",["卺"] = "21370",["阝"] = "38429",["阢"] = "38434",["阡"] = "38433",["阱"] = "38449",["阪"] = "38442",["阽"] = "38461",["阼"] = "38460",["陂"] = "38466",["陉"] = "38473",["陔"] = "38484",["陟"] = "38495",["陧"] = "38503",["陬"] = "38508",["陲"] = "38514",["陴"] = "38516",["隈"] = "38536",["隍"] = "38541",["隗"] = "38551",["隰"] = "38576",["邗"] = "37015",["邛"] = "37019",["邝"] = "37021",["邙"] = "37017",["邬"] = "37036",["邡"] = "37025",["邴"] = "37044",["邳"] = "37043",["邶"] = "37046",["邺"] = "37050",["邸"] = "37048",["邰"] = "37040",["郏"] = "37071",["郅"] = "37061",["邾"] = "37054",["郐"] = "37072",["郄"] = "37060",["郇"] = "37063",["郓"] = "37075",["郦"] = "37094",["郢"] = "37090",["郜"] = "37084",["郗"] = "37079",["郛"] = "37083",["郫"] = "37099",["郯"] = "37103",["郾"] = "37118",["鄄"] = "37124",["鄢"] = "37154",["鄞"] = "37150",["鄣"] = "37155",["鄱"] = "37169",["鄯"] = "37167",["鄹"] = "37177",["酃"] = "37187",["酆"] = "37190",["刍"] = "21005",["奂"] = "22850",["劢"] = "21154",["劬"] = "21164",["劭"] = "21165",["劾"] = "21182",["哿"] = "21759",["勐"] = "21200",["勖"] = "21206",["勰"] = "21232",["叟"] = "21471",["燮"] = "29166",["矍"] = "30669",["廴"] = "24308",["凵"] = "20981",["凼"] = "20988",["鬯"] = "39727",["厶"] = "21430",["弁"] = "24321",["畚"] = "30042",["巯"] = "24047",["坌"] = "22348",["垩"] = "22441",["垡"] = "22433",["塾"] = "22654",["墼"] = "22716",["壅"] = "22725",["壑"] = "22737",["圩"] = "22313",["圬"] = "22316",["圪"] = "22314",["圳"] = "22323",["圹"] = "22329",["圮"] = "22318",["圯"] = "22319",["坜"] = "22364",["圻"] = "22331",["坂"] = "22338",["坩"] = "22377",["垅"] = "22405",["坫"] = "22379",["垆"] = "22406",["坼"] = "22396",["坻"] = "22395",["坨"] = "22376",["坭"] = "22381",["坶"] = "22390",["坳"] = "22387",["垭"] = "22445",["垤"] = "22436",["垌"] = "22412",["垲"] = "22450",["埏"] = "22479",["垧"] = "22439",["垴"] = "22452",["垓"] = "22419",["垠"] = "22432",["埕"] = "22485",["埘"] = "22488",["埚"] = "22490",["埙"] = "22489",["埒"] = "22482",["垸"] = "22456",["埴"] = "22516",["埯"] = "22511",["埸"] = "22520",["埤"] = "22500",["埝"] = "22493",["堋"] = "22539",["堍"] = "22541",["埽"] = "22525",["埭"] = "22509",["堀"] = "22528",["堞"] = "22558",["堙"] = "22553",["塄"] = "22596",["堠"] = "22560",["塥"] = "22629",["塬"] = "22636",["墁"] = "22657",["墉"] = "22665",["墚"] = "22682",["墀"] = "22656",["馨"] = "39336",["鼙"] = "40729",["懿"] = "25087",["艹"] = "33401",["艽"] = "33405",["艿"] = "33407",["芏"] = "33423",["芊"] = "33418",["芨"] = "33448",["芄"] = "33412",["芎"] = "33422",["芑"] = "33425",["芗"] = "33431",["芙"] = "33433",["芫"] = "33451",["芸"] = "33464",["芾"] = "33470",["芰"] = "33456",["苈"] = "33480",["苊"] = "33482",["苣"] = "33507",["芘"] = "33432",["芷"] = "33463",["芮"] = "33454",["苋"] = "33483",["苌"] = "33484",["苁"] = "33473",["芩"] = "33449",["芴"] = "33460",["芡"] = "33441",["芪"] = "33450",["芟"] = "33439",["苄"] = "33476",["苎"] = "33486",["芤"] = "33444",["苡"] = "33505",["茉"] = "33545",["苷"] = "33527",["苤"] = "33508",["茏"] = "33551",["茇"] = "33543",["苜"] = "33500",["苴"] = "33524",["苒"] = "33490",["苘"] = "33496",["茌"] = "33548",["苻"] = "33531",["苓"] = "33491",["茑"] = "33553",["茚"] = "33562",["茆"] = "33542",["茔"] = "33556",["茕"] = "33557",["苠"] = "33504",["苕"] = "33493",["茜"] = "33564",["荑"] = "33617",["荛"] = "33627",["荜"] = "33628",["茈"] = "33544",["莒"] = "33682",["茼"] = "33596",["茴"] = "33588",["茱"] = "33585",["莛"] = "33691",["荞"] = "33630",["茯"] = "33583",["荏"] = "33615",["荇"] = "33607",["荃"] = "33603",["荟"] = "33631",["荀"] = "33600",["茗"] = "33559",["荠"] = "33632",["茭"] = "33581",["茺"] = "33594",["茳"] = "33587",["荦"] = "33638",["荥"] = "33637",["荨"] = "33640",["茛"] = "33563",["荩"] = "33641",["荬"] = "33644",["荪"] = "33642",["荭"] = "33645",["荮"] = "33646",["莰"] = "33712",["荸"] = "33656",["莳"] = "33715",["莴"] = "33716",["莠"] = "33696",["莪"] = "33706",["莓"] = "33683",["莜"] = "33692",["莅"] = "33669",["荼"] = "33660",["莶"] = "33718",["莩"] = "33705",["荽"] = "33661",["莸"] = "33720",["荻"] = "33659",["莘"] = "33688",["莞"] = "33694",["莨"] = "33704",["莺"] = "33722",["莼"] = "33724",["菁"] = "33729",["萁"] = "33793",["菥"] = "33765",["菘"] = "33752",["堇"] = "22535",["萘"] = "33816",["萋"] = "33803",["菝"] = "33757",["菽"] = "33789",["菖"] = "33750",["萜"] = "33820",["萸"] = "33848",["萑"] = "33809",["萆"] = "33798",["菔"] = "33748",["菟"] = "33759",["萏"] = "33807",["萃"] = "33795",["菸"] = "33784",["菹"] = "33785",["菪"] = "33770",["菅"] = "33733",["菀"] = "33728",["萦"] = "33830",["菰"] = "33776",["菡"] = "33761",["葜"] = "33884",["葑"] = "33873",["葚"] = "33882",["葙"] = "33881",["葳"] = "33907",["蒇"] = "33927",["蒈"] = "33928",["葺"] = "33914",["蒉"] = "33929",["葸"] = "33912",["萼"] = "33852",["葆"] = "33862",["葩"] = "33897",["葶"] = "33910",["蒌"] = "33932",["蒎"] = "33934",["萱"] = "33841",["葭"] = "33901",["蓁"] = "33985",["蓍"] = "33997",["蓐"] = "34000",["蓦"] = "34022",["蒽"] = "33981",["蓓"] = "34003",["蓊"] = "33994",["蒿"] = "33983",["蒺"] = "33978",["蓠"] = "34016",["蒡"] = "33953",["蒹"] = "33977",["蒴"] = "33972",["蒗"] = "33943",["蓥"] = "34021",["蓣"] = "34019",["蔌"] = "34060",["甍"] = "29965",["蔸"] = "34104",["蓰"] = "34032",["蔹"] = "34105",["蔟"] = "34079",["蔺"] = "34106",["蕖"] = "34134",["蔻"] = "34107",["蓿"] = "34047",["蓼"] = "34044",["蕙"] = "34137",["蕈"] = "34120",["蕨"] = "34152",["蕤"] = "34148",["蕞"] = "34142",["蕺"] = "34170",["瞢"] = "30626",["蕃"] = "34115",["蕲"] = "34162",["蕻"] = "34171",["薤"] = "34212",["薨"] = "34216",["薇"] = "34183",["薏"] = "34191",["蕹"] = "34169",["薮"] = "34222",["薜"] = "34204",["薅"] = "34181",["薹"] = "34233",["薷"] = "34231",["薰"] = "34224",["藓"] = "34259",["藁"] = "34241",["藜"] = "34268",["藿"] = "34303",["蘧"] = "34343",["蘅"] = "34309",["蘩"] = "34345",["蘖"] = "34326",["蘼"] = "34364",["廾"] = "24318",["弈"] = "24328",["夼"] = "22844",["奁"] = "22849",["耷"] = "32823",["奕"] = "22869",["奚"] = "22874",["奘"] = "22872",["匏"] = "21263",["尢"] = "23586",["尥"] = "23589",["尬"] = "23596",["尴"] = "23604",["扌"] = "25164",["扪"] = "25194",["抟"] = "25247",["抻"] = "25275",["拊"] = "25290",["拚"] = "25306",["拗"] = "25303",["拮"] = "25326",["挢"] = "25378",["拶"] = "25334",["挹"] = "25401",["捋"] = "25419",["捃"] = "25411",["掭"] = "25517",["揶"] = "25590",["捱"] = "25457",["捺"] = "25466",["掎"] = "25486",["掴"] = "25524",["捭"] = "25453",["掬"] = "25516",["掊"] = "25482",["捩"] = "25449",["掮"] = "25518",["掼"] = "25532",["揲"] = "25586",["揸"] = "25592",["揠"] = "25568",["揿"] = "25599",["揄"] = "25540",["揞"] = "25566",["揎"] = "25550",["摒"] = "25682",["揆"] = "25542",["掾"] = "25534",["摅"] = "25669",["摁"] = "25665",["搋"] = "25611",["搛"] = "25627",["搠"] = "25632",["搌"] = "25612",["搦"] = "25638",["搡"] = "25633",["摞"] = "25694",["撄"] = "25732",["摭"] = "25709",["撖"] = "25750",["摺"] = "25722",["撷"] = "25783",["撸"] = "25784",["撙"] = "25753",["撺"] = "25786",["擀"] = "25792",["擐"] = "25808",["擗"] = "25815",["擤"] = "25828",["擢"] = "25826",["攉"] = "25865",["攥"] = "25893",["攮"] = "25902",["弋"] = "24331",["忒"] = "24530",["甙"] = "29977",["弑"] = "24337",["卟"] = "21343",["叱"] = "21489",["叽"] = "21501",["叩"] = "21481",["叨"] = "21480",["叻"] = "21499",["吒"] = "21522",["吖"] = "21526",["吆"] = "21510",["呋"] = "21579",["呒"] = "21586",["呓"] = "21587",["呔"] = "21588",["呖"] = "21590",["呃"] = "21571",["吡"] = "21537",["呗"] = "21591",["呙"] = "21593",["吣"] = "21539",["吲"] = "21554",["咂"] = "21634",["咔"] = "21652",["呷"] = "21623",["呱"] = "21617",["呤"] = "21604",["咚"] = "21658",["咛"] = "21659",["咄"] = "21636",["呶"] = "21622",["呦"] = "21606",["咝"] = "21661",["哐"] = "21712",["咭"] = "21677",["哂"] = "21698",["咴"] = "21684",["哒"] = "21714",["咧"] = "21671",["咦"] = "21670",["哓"] = "21715",["哔"] = "21716",["呲"] = "21618",["咣"] = "21667",["哕"] = "21717",["咻"] = "21691",["咿"] = "21695",["哌"] = "21708",["哙"] = "21721",["哚"] = "21722",["哜"] = "21724",["咩"] = "21673",["咪"] = "21674",["咤"] = "21668",["哝"] = "21725",["哏"] = "21711",["哞"] = "21726",["唛"] = "21787",["哧"] = "21735",["唠"] = "21792",["哽"] = "21757",["唔"] = "21780",["哳"] = "21747",["唢"] = "21794",["唣"] = "21795",["唏"] = "21775",["唑"] = "21777",["唧"] = "21799",["唪"] = "21802",["啧"] = "21863",["喏"] = "21903",["喵"] = "21941",["啉"] = "21833",["啭"] = "21869",["啁"] = "21825",["啕"] = "21845",["唿"] = "21823",["啐"] = "21840",["唼"] = "21820",["唷"] = "21815",["啖"] = "21846",["啵"] = "21877",["啶"] = "21878",["啷"] = "21879",["唳"] = "21811",["唰"] = "21808",["啜"] = "21852",["喋"] = "21899",["嗒"] = "21970",["喃"] = "21891",["喱"] = "21937",["喹"] = "21945",["喈"] = "21896",["喁"] = "21889",["喟"] = "21919",["啾"] = "21886",["嗖"] = "21974",["喑"] = "21905",["啻"] = "21883",["嗟"] = "21983",["喽"] = "21949",["喾"] = "21950",["喔"] = "21908",["喙"] = "21913",["嗪"] = "21994",["嗷"] = "22007",["嗉"] = "21961",["嘟"] = "22047",["嗑"] = "21969",["嗫"] = "21995",["嗬"] = "21996",["嗔"] = "21972",["嗦"] = "21990",["嗝"] = "21981",["嗄"] = "21956",["嗯"] = "21999",["嗥"] = "21989",["嗲"] = "22002",["嗳"] = "22003",["嗌"] = "21964",["嗍"] = "21965",["嗨"] = "21992",["嗵"] = "22005",["嗤"] = "21988",["辔"] = "36756",["嘞"] = "22046",["嘈"] = "22024",["嘌"] = "22028",["嘁"] = "22017",["嘤"] = "22052",["嘣"] = "22051",["嗾"] = "22014",["嘀"] = "22016",["嘧"] = "22055",["嘭"] = "22061",["噘"] = "22104",["嘹"] = "22073",["噗"] = "22103",["嘬"] = "22060",["噍"] = "22093",["噢"] = "22114",["噙"] = "22105",["噜"] = "22108",["噌"] = "22092",["噔"] = "22100",["嚆"] = "22150",["噤"] = "22116",["噱"] = "22129",["噫"] = "22123",["噻"] = "22139",["噼"] = "22140",["嚅"] = "22149",["嚓"] = "22163",["嚯"] = "22191",["囔"] = "22228",["囗"] = "22231",["囝"] = "22237",["囡"] = "22241",["囵"] = "22261",["囫"] = "22251",["囹"] = "22265",["囿"] = "22271",["圄"] = "22276",["圊"] = "22282",["圉"] = "22281",["圜"] = "22300",["帏"] = "24079",["帙"] = "24089",["帔"] = "24084",["帑"] = "24081",["帱"] = "24113",["帻"] = "24123",["帼"] = "24124",["帷"] = "24119",["幄"] = "24132",["幔"] = "24148",["幛"] = "24155",["幞"] = "24158",["幡"] = "24161",["岌"] = "23692",["屺"] = "23674",["岍"] = "23693",["岐"] = "23696",["岖"] = "23702",["岈"] = "23688",["岘"] = "23704",["岙"] = "23705",["岑"] = "23697",["岚"] = "23706",["岜"] = "23708",["岵"] = "23733",["岢"] = "23714",["岽"] = "23741",["岬"] = "23724",["岫"] = "23723",["岱"] = "23729",["岣"] = "23715",["峁"] = "23745",["岷"] = "23735",["峄"] = "23748",["峒"] = "23762",["峤"] = "23780",["峋"] = "23755",["峥"] = "23781",["崂"] = "23810",["崃"] = "23811",["崧"] = "23847",["崦"] = "23846",["崮"] = "23854",["崤"] = "23844",["崞"] = "23838",["崆"] = "23814",["崛"] = "23835",["嵘"] = "23896",["崾"] = "23870",["崴"] = "23860",["崽"] = "23869",["嵬"] = "23916",["嵛"] = "23899",["嵯"] = "23919",["嵝"] = "23901",["嵫"] = "23915",["嵋"] = "23883",["嵊"] = "23882",["嵩"] = "23913",["嵴"] = "23924",["嶂"] = "23938",["嶙"] = "23961",["嶝"] = "23965",["豳"] = "35955",["嶷"] = "23991",["巅"] = "24005",["彳"] = "24435",["彷"] = "24439",["徂"] = "24450",["徇"] = "24455",["徉"] = "24457",["後"] = "24460",["徕"] = "24469",["徙"] = "24473",["徜"] = "24476",["徨"] = "24488",["徭"] = "24493",["徵"] = "24501",["徼"] = "24508",["衢"] = "34914",["彡"] = "24417",["犭"] = "29357",["犰"] = "29360",["犴"] = "29364",["犷"] = "29367",["犸"] = "29368",["狃"] = "29379",["狁"] = "29377",["狎"] = "29390",["狍"] = "29389",["狒"] = "29394",["狨"] = "29416",["狯"] = "29423",["狩"] = "29417",["狲"] = "29426",["狴"] = "29428",["狷"] = "29431",["猁"] = "29441",["狳"] = "29427",["猃"] = "29443",["狺"] = "29434",["狻"] = "29435",["猗"] = "29463",["猓"] = "29459",["猡"] = "29473",["猊"] = "29450",["猞"] = "29470",["猝"] = "29469",["猕"] = "29461",["猢"] = "29474",["猹"] = "29497",["猥"] = "29477",["猬"] = "29484",["猸"] = "29496",["猱"] = "29489",["獐"] = "29520",["獍"] = "29517",["獗"] = "29527",["獠"] = "29536",["獬"] = "29548",["獯"] = "29551",["獾"] = "29566",["舛"] = "33307",["夥"] = "22821",["飧"] = "39143",["夤"] = "22820",["夂"] = "22786",["饣"] = "39267",["饧"] = "39271",["饨"] = "39272",["饩"] = "39273",["饪"] = "39274",["饫"] = "39275",["饬"] = "39276",["饴"] = "39284",["饷"] = "39287",["饽"] = "39293",["馀"] = "39296",["馄"] = "39300",["馇"] = "39303",["馊"] = "39306",["馍"] = "39309",["馐"] = "39312",["馑"] = "39313",["馓"] = "39315",["馔"] = "39316",["馕"] = "39317",["庀"] = "24192",["庑"] = "24209",["庋"] = "24203",["庖"] = "24214",["庥"] = "24229",["庠"] = "24224",["庹"] = "24249",["庵"] = "24245",["庾"] = "24254",["庳"] = "24243",["赓"] = "36179",["廒"] = "24274",["廑"] = "24273",["廛"] = "24283",["廨"] = "24296",["廪"] = "24298",["膺"] = "33210",["忄"] = "24516",["忉"] = "24521",["忖"] = "24534",["忏"] = "24527",["怃"] = "24579",["忮"] = "24558",["怄"] = "24580",["忡"] = "24545",["忤"] = "24548",["忾"] = "24574",["怅"] = "24581",["怆"] = "24582",["忪"] = "24554",["忭"] = "24557",["忸"] = "24568",["怙"] = "24601",["怵"] = "24629",["怦"] = "24614",["怛"] = "24603",["怏"] = "24591",["怍"] = "24589",["怩"] = "24617",["怫"] = "24619",["怊"] = "24586",["怿"] = "24639",["怡"] = "24609",["恸"] = "24696",["恹"] = "24697",["恻"] = "24699",["恺"] = "24698",["恂"] = "24642",["恪"] = "24682",["恽"] = "24701",["悖"] = "24726",["悚"] = "24730",["悭"] = "24749",["悝"] = "24733",["悃"] = "24707",["悒"] = "24722",["悌"] = "24716",["悛"] = "24731",["惬"] = "24812",["悻"] = "24763",["悱"] = "24753",["惝"] = "24797",["惘"] = "24792",["惆"] = "24774",["惚"] = "24794",["悴"] = "24756",["愠"] = "24864",["愦"] = "24870",["愕"] = "24853",["愣"] = "24867",["惴"] = "24820",["愀"] = "24832",["愎"] = "24846",["愫"] = "24875",["慊"] = "24906",["慵"] = "24949",["憬"] = "25004",["憔"] = "24980",["憧"] = "24999",["憷"] = "25015",["懔"] = "25044",["懵"] = "25077",["忝"] = "24541",["隳"] = "38579",["闩"] = "38377",["闫"] = "38379",["闱"] = "38385",["闳"] = "38387",["闵"] = "38389",["闶"] = "38390",["闼"] = "38396",["闾"] = "38398",["阃"] = "38403",["阄"] = "38404",["阆"] = "38406",["阈"] = "38408",["阊"] = "38410",["阋"] = "38411",["阌"] = "38412",["阍"] = "38413",["阏"] = "38415",["阒"] = "38418",["阕"] = "38421",["阖"] = "38422",["阗"] = "38423",["阙"] = "38425",["阚"] = "38426",["丬"] = "20012",["爿"] = "29247",["戕"] = "25109",["氵"] = "27701",["汔"] = "27732",["汜"] = "27740",["汊"] = "27722",["沣"] = "27811",["沅"] = "27781",["沐"] = "27792",["沔"] = "27796",["沌"] = "27788",["汨"] = "27752",["汩"] = "27753",["汴"] = "27764",["汶"] = "27766",["沆"] = "27782",["沩"] = "27817",["泐"] = "27856",["泔"] = "27860",["沭"] = "27821",["泷"] = "27895",["泸"] = "27896",["泱"] = "27889",["泗"] = "27863",["沲"] = "27826",["泠"] = "27872",["泖"] = "27862",["泺"] = "27898",["泫"] = "27883",["泮"] = "27886",["沱"] = "27825",["泓"] = "27859",["泯"] = "27887",["泾"] = "27902",["洹"] = "27961",["洧"] = "27943",["洌"] = "27916",["浃"] = "27971",["浈"] = "27976",["洇"] = "27911",["洄"] = "27908",["洙"] = "27929",["洎"] = "27918",["洫"] = "27947",["浍"] = "27981",["洮"] = "27950",["洵"] = "27957",["洚"] = "27930",["浏"] = "27983",["浒"] = "27986",["浔"] = "27988",["洳"] = "27955",["涑"] = "28049",["浯"] = "28015",["涞"] = "28062",["涠"] = "28064",["浞"] = "27998",["涓"] = "28051",["涔"] = "28052",["浜"] = "27996",["浠"] = "28000",["浼"] = "28028",["浣"] = "28003",["渚"] = "28186",["淇"] = "28103",["淅"] = "28101",["淞"] = "28126",["渎"] = "28174",["涿"] = "28095",["淠"] = "28128",["渑"] = "28177",["淦"] = "28134",["淝"] = "28125",["淙"] = "28121",["渖"] = "28182",["涫"] = "28075",["渌"] = "28172",["涮"] = "28078",["渫"] = "28203",["湮"] = "28270",["湎"] = "28238",["湫"] = "28267",["溲"] = "28338",["湟"] = "28255",["溆"] = "28294",["湓"] = "28243",["湔"] = "28244",["渲"] = "28210",["渥"] = "28197",["湄"] = "28228",["滟"] = "28383",["溱"] = "28337",["溘"] = "28312",["滠"] = "28384",["漭"] = "28461",["滢"] = "28386",["溥"] = "28325",["溧"] = "28327",["溽"] = "28349",["溻"] = "28347",["溷"] = "28343",["滗"] = "28375",["溴"] = "28340",["滏"] = "28367",["溏"] = "28303",["滂"] = "28354",["溟"] = "28319",["潢"] = "28514",["潆"] = "28486",["潇"] = "28487",["漤"] = "28452",["漕"] = "28437",["滹"] = "28409",["漯"] = "28463",["漶"] = "28470",["潋"] = "28491",["潴"] = "28532",["漪"] = "28458",["漉"] = "28425",["漩"] = "28457",["澉"] = "28553",["澍"] = "28557",["澌"] = "28556",["潸"] = "28536",["潲"] = "28530",["潼"] = "28540",["潺"] = "28538",["濑"] = "28625",["濉"] = "28617",["澧"] = "28583",["澹"] = "28601",["澶"] = "28598",["濂"] = "28610",["濡"] = "28641",["濮"] = "28654",["濞"] = "28638",["濠"] = "28640",["濯"] = "28655",["瀚"] = "28698",["瀣"] = "28707",["瀛"] = "28699",["瀹"] = "28729",["瀵"] = "28725",["灏"] = "28751",["灞"] = "28766",["宀"] = "23424",["宄"] = "23428",["宕"] = "23445",["宓"] = "23443",["宥"] = "23461",["宸"] = "23480",["甯"] = "29999",["骞"] = "39582",["搴"] = "25652",["寤"] = "23524",["寮"] = "23534",["褰"] = "35120",["寰"] = "23536",["蹇"] = "36423",["謇"] = "35591",["辶"] = "36790",["迓"] = "36819",["迕"] = "36821",["迥"] = "36837",["迮"] = "36846",["迤"] = "36836",["迩"] = "36841",["迦"] = "36838",["迳"] = "36851",["迨"] = "36840",["逅"] = "36869",["逄"] = "36868",["逋"] = "36875",["逦"] = "36902",["逑"] = "36881",["逍"] = "36877",["逖"] = "36886",["逡"] = "36897",["逵"] = "36917",["逶"] = "36918",["逭"] = "36909",["逯"] = "36911",["遄"] = "36932",["遑"] = "36945",["遒"] = "36946",["遐"] = "36944",["遨"] = "36968",["遘"] = "36952",["遢"] = "36962",["遛"] = "36955",["暹"] = "26297",["遴"] = "36980",["遽"] = "36989",["邂"] = "36994",["邈"] = "37000",["邃"] = "36995",["邋"] = "37003",["彐"] = "24400",["彗"] = "24407",["彖"] = "24406",["彘"] = "24408",["尻"] = "23611",["咫"] = "21675",["屐"] = "23632",["屙"] = "23641",["孱"] = "23409",["屣"] = "23651",["屦"] = "23654",["羼"] = "32700",["弪"] = "24362",["弩"] = "24361",["弭"] = "24365",["艴"] = "33396",["弼"] = "24380",["鬻"] = "39739",["屮"] = "23662",["妁"] = "22913",["妃"] = "22915",["妍"] = "22925",["妩"] = "22953",["妪"] = "22954",["妣"] = "22947",["妗"] = "22935",["姊"] = "22986",["妫"] = "22955",["妞"] = "22942",["妤"] = "22948",["姒"] = "22994",["妲"] = "22962",["妯"] = "22959",["姗"] = "22999",["妾"] = "22974",["娅"] = "23045",["娆"] = "23046",["姝"] = "23005",["娈"] = "23048",["姣"] = "23011",["姘"] = "23000",["姹"] = "23033",["娌"] = "23052",["娉"] = "23049",["娲"] = "23090",["娴"] = "23092",["娑"] = "23057",["娣"] = "23075",["娓"] = "23059",["婀"] = "23104",["婧"] = "23143",["婊"] = "23114",["婕"] = "23125",["娼"] = "23100",["婢"] = "23138",["婵"] = "23157",["胬"] = "33004",["媪"] = "23210",["媛"] = "23195",["婷"] = "23159",["婺"] = "23162",["媾"] = "23230",["嫫"] = "23275",["媲"] = "23218",["嫒"] = "23250",["嫔"] = "23252",["媸"] = "23224",["嫠"] = "23264",["嫣"] = "23267",["嫱"] = "23281",["嫖"] = "23254",["嫦"] = "23270",["嫘"] = "23256",["嫜"] = "23260",["嬉"] = "23305",["嬗"] = "23319",["嬖"] = "23318",["嬲"] = "23346",["嬷"] = "23351",["孀"] = "23360",["尕"] = "23573",["尜"] = "23580",["孚"] = "23386",["孥"] = "23397",["孳"] = "23411",["孑"] = "23377",["孓"] = "23379",["孢"] = "23394",["驵"] = "39541",["驷"] = "39543",["驸"] = "39544",["驺"] = "39546",["驿"] = "39551",["驽"] = "39549",["骀"] = "39552",["骁"] = "39553",["骅"] = "39557",["骈"] = "39560",["骊"] = "39562",["骐"] = "39568",["骒"] = "39570",["骓"] = "39571",["骖"] = "39574",["骘"] = "39576",["骛"] = "39579",["骜"] = "39580",["骝"] = "39581",["骟"] = "39583",["骠"] = "39584",["骢"] = "39586",["骣"] = "39587",["骥"] = "39589",["骧"] = "39591",["纟"] = "32415",["纡"] = "32417",["纣"] = "32419",["纥"] = "32421",["纨"] = "32424",["纩"] = "32425",["纭"] = "32429",["纰"] = "32432",["纾"] = "32446",["绀"] = "32448",["绁"] = "32449",["绂"] = "32450",["绉"] = "32457",["绋"] = "32459",["绌"] = "32460",["绐"] = "32464",["绔"] = "32468",["绗"] = "32471",["绛"] = "32475",["绠"] = "32480",["绡"] = "32481",["绨"] = "32488",["绫"] = "32491",["绮"] = "32494",["绯"] = "32495",["绱"] = "32497",["绲"] = "32498",["缍"] = "32525",["绶"] = "32502",["绺"] = "32506",["绻"] = "32507",["绾"] = "32510",["缁"] = "32513",["缂"] = "32514",["缃"] = "32515",["缇"] = "32519",["缈"] = "32520",["缋"] = "32523",["缌"] = "32524",["缏"] = "32527",["缑"] = "32529",["缒"] = "32530",["缗"] = "32535",["缙"] = "32537",["缜"] = "32540",["缛"] = "32539",["缟"] = "32543",["缡"] = "32545",["缢"] = "32546",["缣"] = "32547",["缤"] = "32548",["缥"] = "32549",["缦"] = "32550",["缧"] = "32551",["缪"] = "32554",["缫"] = "32555",["缬"] = "32556",["缭"] = "32557",["缯"] = "32559",["缰"] = "32560",["缱"] = "32561",["缲"] = "32562",["缳"] = "32563",["缵"] = "32565",["幺"] = "24186",["畿"] = "30079",["巛"] = "24027",["甾"] = "30014",["邕"] = "37013",["玎"] = "29582",["玑"] = "29585",["玮"] = "29614",["玢"] = "29602",["玟"] = "29599",["珏"] = "29647",["珂"] = "29634",["珑"] = "29649",["玷"] = "29623",["玳"] = "29619",["珀"] = "29632",["珉"] = "29641",["珈"] = "29640",["珥"] = "29669",["珙"] = "29657",["顼"] = "39036",["琊"] = "29706",["珩"] = "29673",["珧"] = "29671",["珞"] = "29662",["玺"] = "29626",["珲"] = "29682",["琏"] = "29711",["琪"] = "29738",["瑛"] = "29787",["琦"] = "29734",["琥"] = "29733",["琨"] = "29736",["琰"] = "29744",["琮"] = "29742",["琬"] = "29740",["琛"] = "29723",["琚"] = "29722",["瑁"] = "29761",["瑜"] = "29788",["瑗"] = "29783",["瑕"] = "29781",["瑙"] = "29785",["瑷"] = "29815",["瑭"] = "29805",["瑾"] = "29822",["璜"] = "29852",["璎"] = "29838",["璀"] = "29824",["璁"] = "29825",["璇"] = "29831",["璋"] = "29835",["璞"] = "29854",["璨"] = "29864",["璩"] = "29865",["璐"] = "29840",["璧"] = "29863",["瓒"] = "29906",["璺"] = "29882",["韪"] = "38890",["韫"] = "38891",["韬"] = "38892",["杌"] = "26444",["杓"] = "26451",["杞"] = "26462",["杈"] = "26440",["杩"] = "26473",["枥"] = "26533",["枇"] = "26503",["杪"] = "26474",["杳"] = "26483",["枘"] = "26520",["枧"] = "26535",["杵"] = "26485",["枨"] = "26536",["枞"] = "26526",["枭"] = "26541",["枋"] = "26507",["杷"] = "26487",["杼"] = "26492",["柰"] = "26608",["栉"] = "26633",["柘"] = "26584",["栊"] = "26634",["柩"] = "26601",["枰"] = "26544",["栌"] = "26636",["柙"] = "26585",["枵"] = "26549",["柚"] = "26586",["枳"] = "26547",["柝"] = "26589",["栀"] = "26624",["柃"] = "26563",["枸"] = "26552",["柢"] = "26594",["栎"] = "26638",["柁"] = "26561",["柽"] = "26621",["栲"] = "26674",["栳"] = "26675",["桠"] = "26720",["桡"] = "26721",["桎"] = "26702",["桢"] = "26722",["桄"] = "26692",["桤"] = "26724",["梃"] = "26755",["栝"] = "26653",["桕"] = "26709",["桦"] = "26726",["桁"] = "26689",["桧"] = "26727",["桀"] = "26688",["栾"] = "26686",["桊"] = "26698",["桉"] = "26697",["栩"] = "26665",["梵"] = "26805",["梏"] = "26767",["桴"] = "26740",["桷"] = "26743",["梓"] = "26771",["桫"] = "26731",["棂"] = "26818",["楮"] = "26990",["棼"] = "26876",["椟"] = "26911",["椠"] = "26912",["棹"] = "26873",["椤"] = "26916",["棰"] = "26864",["椋"] = "26891",["椁"] = "26881",["楗"] = "26967",["棣"] = "26851",["椐"] = "26896",["楱"] = "26993",["椹"] = "26937",["楠"] = "26976",["楂"] = "26946",["楝"] = "26973",["榄"] = "27012",["楫"] = "26987",["榀"] = "27008",["榘"] = "27032",["楸"] = "27000",["椴"] = "26932",["槌"] = "27084",["榇"] = "27015",["榈"] = "27016",["槎"] = "27086",["榉"] = "27017",["楦"] = "26982",["楣"] = "26979",["楹"] = "27001",["榛"] = "27035",["榧"] = "27047",["榻"] = "27067",["榫"] = "27051",["榭"] = "27053",["槔"] = "27092",["榱"] = "27057",["槁"] = "27073",["槊"] = "27082",["槟"] = "27103",["榕"] = "27029",["槠"] = "27104",["榍"] = "27021",["槿"] = "27135",["樯"] = "27183",["槭"] = "27117",["樗"] = "27159",["樘"] = "27160",["橥"] = "27237",["槲"] = "27122",["橄"] = "27204",["樾"] = "27198",["檠"] = "27296",["橐"] = "27216",["橛"] = "27227",["樵"] = "27189",["檎"] = "27278",["橹"] = "27257",["樽"] = "27197",["樨"] = "27176",["橘"] = "27224",["橼"] = "27260",["檑"] = "27281",["檐"] = "27280",["檩"] = "27305",["檗"] = "27287",["檫"] = "27307",["猷"] = "29495",["獒"] = "29522",["殁"] = "27521",["殂"] = "27522",["殇"] = "27527",["殄"] = "27524",["殒"] = "27538",["殓"] = "27539",["殍"] = "27533",["殚"] = "27546",["殛"] = "27547",["殡"] = "27553",["殪"] = "27562",["轫"] = "36715",["轭"] = "36717",["轱"] = "36721",["轲"] = "36722",["轳"] = "36723",["轵"] = "36725",["轶"] = "36726",["轸"] = "36728",["轷"] = "36727",["轹"] = "36729",["轺"] = "36730",["轼"] = "36732",["轾"] = "36734",["辁"] = "36737",["辂"] = "36738",["辄"] = "36740",["辇"] = "36743",["辋"] = "36747",["辍"] = "36749",["辎"] = "36750",["辏"] = "36751",["辘"] = "36760",["辚"] = "36762",["軎"] = "36558",["戋"] = "25099",["戗"] = "25111",["戛"] = "25115",["戟"] = "25119",["戢"] = "25122",["戡"] = "25121",["戥"] = "25125",["戤"] = "25124",["戬"] = "25132",["臧"] = "33255",["瓯"] = "29935",["瓴"] = "29940",["瓿"] = "29951",["甏"] = "29967",["甑"] = "29969",["甓"] = "29971",["攴"] = "25908",["旮"] = "26094",["旯"] = "26095",["旰"] = "26096",["昊"] = "26122",["昙"] = "26137",["杲"] = "26482",["昃"] = "26115",["昕"] = "26133",["昀"] = "26112",["炅"] = "28805",["曷"] = "26359",["昝"] = "26141",["昴"] = "26164",["昱"] = "26161",["昶"] = "26166",["昵"] = "26165",["耆"] = "32774",["晟"] = "26207",["晔"] = "26196",["晁"] = "26177",["晏"] = "26191",["晖"] = "26198",["晡"] = "26209",["晗"] = "26199",["晷"] = "26231",["暄"] = "26244",["暌"] = "26252",["暧"] = "26279",["暝"] = "26269",["暾"] = "26302",["曛"] = "26331",["曜"] = "26332",["曦"] = "26342",["曩"] = "26345",["贲"] = "36146",["贳"] = "36147",["贶"] = "36150",["贻"] = "36155",["贽"] = "36157",["赀"] = "36160",["赅"] = "36165",["赆"] = "36166",["赈"] = "36168",["赉"] = "36169",["赇"] = "36167",["赍"] = "36173",["赕"] = "36181",["赙"] = "36185",["觇"] = "35271",["觊"] = "35274",["觋"] = "35275",["觌"] = "35276",["觎"] = "35278",["觏"] = "35279",["觐"] = "35280",["觑"] = "35281",["牮"] = "29294",["犟"] = "29343",["牝"] = "29277",["牦"] = "29286",["牯"] = "29295",["牾"] = "29310",["牿"] = "29311",["犄"] = "29316",["犋"] = "29323",["犍"] = "29325",["犏"] = "29327",["犒"] = "29330",["挈"] = "25352",["挲"] = "25394",["掰"] = "25520",["搿"] = "25663",["擘"] = "25816",["耄"] = "32772",["毪"] = "27626",["毳"] = "27635",["毽"] = "27645",["毵"] = "27637",["毹"] = "27641",["氅"] = "27653",["氇"] = "27655",["氆"] = "27654",["氍"] = "27661",["氕"] = "27669",["氘"] = "27672",["氙"] = "27673",["氚"] = "27674",["氡"] = "27681",["氩"] = "27689",["氤"] = "27684",["氪"] = "27690",["氲"] = "27698",["攵"] = "25909",["敕"] = "25941",["敫"] = "25963",["牍"] = "29261",["牒"] = "29266",["牖"] = "29270",["爰"] = "29232",["虢"] = "34402",["刖"] = "21014",["肟"] = "32927",["肜"] = "32924",["肓"] = "32915",["肼"] = "32956",["朊"] = "26378",["肽"] = "32957",["肱"] = "32945",["肫"] = "32939",["肭"] = "32941",["肴"] = "32948",["肷"] = "32951",["胧"] = "32999",["胨"] = "33000",["胩"] = "33001",["胪"] = "33002",["胛"] = "32987",["胂"] = "32962",["胄"] = "32964",["胙"] = "32985",["胍"] = "32973",["胗"] = "32983",["朐"] = "26384",["胝"] = "32989",["胫"] = "33003",["胱"] = "33009",["胴"] = "33012",["胭"] = "33005",["脍"] = "33037",["脎"] = "33038",["胲"] = "33010",["胼"] = "33020",["朕"] = "26389",["脒"] = "33042",["豚"] = "35930",["脶"] = "33078",["脞"] = "33054",["脬"] = "33068",["脘"] = "33048",["脲"] = "33074",["腈"] = "33096",["腌"] = "33100",["腓"] = "33107",["腴"] = "33140",["腙"] = "33113",["腚"] = "33114",["腱"] = "33137",["腠"] = "33120",["腩"] = "33129",["腼"] = "33148",["腽"] = "33149",["腭"] = "33133",["腧"] = "33127",["塍"] = "22605",["媵"] = "23221",["膈"] = "33160",["膂"] = "33154",["膑"] = "33169",["滕"] = "28373",["膣"] = "33187",["膪"] = "33194",["臌"] = "33228",["朦"] = "26406",["臊"] = "33226",["膻"] = "33211",["臁"] = "33217",["膦"] = "33190",["欤"] = "27428",["欷"] = "27447",["欹"] = "27449",["歃"] = "27459",["歆"] = "27462",["歙"] = "27481",["飑"] = "39121",["飒"] = "39122",["飓"] = "39123",["飕"] = "39125",["飙"] = "39129",["飚"] = "39130",["殳"] = "27571",["彀"] = "24384",["毂"] = "27586",["觳"] = "35315",["斐"] = "26000",["齑"] = "40785",["斓"] = "26003",["於"] = "26044",["旆"] = "26054",["旄"] = "26052",["旃"] = "26051",["旌"] = "26060",["旎"] = "26062",["旒"] = "26066",["旖"] = "26070",["炀"] = "28800",["炜"] = "28828",["炖"] = "28822",["炝"] = "28829",["炻"] = "28859",["烀"] = "28864",["炷"] = "28855",["炫"] = "28843",["炱"] = "28849",["烨"] = "28904",["烊"] = "28874",["焐"] = "28944",["焓"] = "28947",["焖"] = "28950",["焯"] = "28975",["焱"] = "28977",["煳"] = "29043",["煜"] = "29020",["煨"] = "29032",["煅"] = "28997",["煲"] = "29042",["煊"] = "29002",["煸"] = "29048",["煺"] = "29050",["熘"] = "29080",["熳"] = "29107",["熵"] = "29109",["熨"] = "29096",["熠"] = "29088",["燠"] = "29152",["燔"] = "29140",["燧"] = "29159",["燹"] = "29177",["爝"] = "29213",["爨"] = "29224",["灬"] = "28780",["焘"] = "28952",["煦"] = "29030",["熹"] = "29113",["戾"] = "25150",["戽"] = "25149",["扃"] = "25155",["扈"] = "25160",["扉"] = "25161",["礻"] = "31035",["祀"] = "31040",["祆"] = "31046",["祉"] = "31049",["祛"] = "31067",["祜"] = "31068",["祓"] = "31059",["祚"] = "31066",["祢"] = "31074",["祗"] = "31063",["祠"] = "31072",["祯"] = "31087",["祧"] = "31079",["祺"] = "31098",["禅"] = "31109",["禊"] = "31114",["禚"] = "31130",["禧"] = "31143",["禳"] = "31155",["忑"] = "24529",["忐"] = "24528",["怼"] = "24636",["恝"] = "24669",["恚"] = "24666",["恧"] = "24679",["恁"] = "24641",["恙"] = "24665",["恣"] = "24675",["悫"] = "24747",["愆"] = "24838",["愍"] = "24845",["慝"] = "24925",["憩"] = "25001",["憝"] = "24989",["懋"] = "25035",["懑"] = "25041",["戆"] = "25094",["肀"] = "32896",["聿"] = "32895",["沓"] = "27795",["泶"] = "27894",["淼"] = "28156",["矶"] = "30710",["矸"] = "30712",["砀"] = "30720",["砉"] = "30729",["砗"] = "30743",["砘"] = "30744",["砑"] = "30737",["斫"] = "26027",["砭"] = "30765",["砜"] = "30748",["砝"] = "30749",["砹"] = "30777",["砺"] = "30778",["砻"] = "30779",["砟"] = "30751",["砼"] = "30780",["砥"] = "30757",["砬"] = "30764",["砣"] = "30755",["砩"] = "30761",["硎"] = "30798",["硭"] = "30829",["硖"] = "30806",["硗"] = "30807",["砦"] = "30758",["硐"] = "30800",["硇"] = "30791",["硌"] = "30796",["硪"] = "30826",["碛"] = "30875",["碓"] = "30867",["碚"] = "30874",["碇"] = "30855",["碜"] = "30876",["碡"] = "30881",["碣"] = "30883",["碲"] = "30898",["碹"] = "30905",["碥"] = "30885",["磔"] = "30932",["磙"] = "30937",["磉"] = "30921",["磬"] = "30956",["磲"] = "30962",["礅"] = "30981",["磴"] = "30964",["礓"] = "30995",["礤"] = "31012",["礞"] = "31006",["礴"] = "31028",["龛"] = "40859",["黹"] = "40697",["黻"] = "40699",["黼"] = "40700",["盱"] = "30449",["眄"] = "30468",["眍"] = "30477",["盹"] = "30457",["眇"] = "30471",["眈"] = "30472",["眚"] = "30490",["眢"] = "30498",["眙"] = "30489",["眭"] = "30509",["眦"] = "30502",["眵"] = "30517",["眸"] = "30520",["睐"] = "30544",["睑"] = "30545",["睇"] = "30535",["睃"] = "30531",["睚"] = "30554",["睨"] = "30568",["睢"] = "30562",["睥"] = "30565",["睿"] = "30591",["瞍"] = "30605",["睽"] = "30589",["瞀"] = "30592",["瞌"] = "30604",["瞑"] = "30609",["瞟"] = "30623",["瞠"] = "30624",["瞰"] = "30640",["瞵"] = "30645",["瞽"] = "30653",["町"] = "30010",["畀"] = "30016",["畎"] = "30030",["畋"] = "30027",["畈"] = "30024",["畛"] = "30043",["畲"] = "30066",["畹"] = "30073",["疃"] = "30083",["罘"] = "32600",["罡"] = "32609",["罟"] = "32607",["詈"] = "35400",["罨"] = "32616",["罴"] = "32628",["罱"] = "32625",["罹"] = "32633",["羁"] = "32641",["罾"] = "32638",["盍"] = "30413",["盥"] = "30437",["蠲"] = "34866",["钅"] = "38021",["钆"] = "38022",["钇"] = "38023",["钋"] = "38027",["钊"] = "38026",["钌"] = "38028",["钍"] = "38029",["钏"] = "38031",["钐"] = "38032",["钔"] = "38036",["钗"] = "38039",["钕"] = "38037",["钚"] = "38042",["钛"] = "38043",["钜"] = "38044",["钣"] = "38051",["钤"] = "38052",["钫"] = "38059",["钪"] = "38058",["钭"] = "38061",["钬"] = "38060",["钯"] = "38063",["钰"] = "38064",["钲"] = "38066",["钴"] = "38068",["钶"] = "38070",["钷"] = "38071",["钸"] = "38072",["钹"] = "38073",["钺"] = "38074",["钼"] = "38076",["钽"] = "38077",["钿"] = "38079",["铄"] = "38084",["铈"] = "38088",["铉"] = "38089",["铊"] = "38090",["铋"] = "38091",["铌"] = "38092",["铍"] = "38093",["铎"] = "38094",["铐"] = "38096",["铑"] = "38097",["铒"] = "38098",["铕"] = "38101",["铖"] = "38102",["铗"] = "38103",["铙"] = "38105",["铘"] = "38104",["铛"] = "38107",["铞"] = "38110",["铟"] = "38111",["铠"] = "38112",["铢"] = "38114",["铤"] = "38116",["铥"] = "38117",["铧"] = "38119",["铨"] = "38120",["铪"] = "38122",["铩"] = "38121",["铫"] = "38123",["铮"] = "38126",["铯"] = "38127",["铳"] = "38131",["铴"] = "38132",["铵"] = "38133",["铷"] = "38135",["铹"] = "38137",["铼"] = "38140",["铽"] = "38141",["铿"] = "38143",["锃"] = "38147",["锂"] = "38146",["锆"] = "38150",["锇"] = "38151",["锉"] = "38153",["锊"] = "38154",["锍"] = "38157",["锎"] = "38158",["锏"] = "38159",["锒"] = "38162",["锓"] = "38163",["锔"] = "38164",["锕"] = "38165",["锖"] = "38166",["锘"] = "38168",["锛"] = "38171",["锝"] = "38173",["锞"] = "38174",["锟"] = "38175",["锢"] = "38178",["锪"] = "38186",["锫"] = "38187",["锩"] = "38185",["锬"] = "38188",["锱"] = "38193",["锲"] = "38194",["锴"] = "38196",["锶"] = "38198",["锷"] = "38199",["锸"] = "38200",["锼"] = "38204",["锾"] = "38206",["锿"] = "38207",["镂"] = "38210",["锵"] = "38197",["镄"] = "38212",["镅"] = "38213",["镆"] = "38214",["镉"] = "38217",["镌"] = "38220",["镎"] = "38222",["镏"] = "38223",["镒"] = "38226",["镓"] = "38227",["镔"] = "38228",["镖"] = "38230",["镗"] = "38231",["镘"] = "38232",["镙"] = "38233",["镛"] = "38235",["镞"] = "38238",["镟"] = "38239",["镝"] = "38237",["镡"] = "38241",["镢"] = "38242",["镤"] = "38244",["镥"] = "38245",["镦"] = "38246",["镧"] = "38247",["镨"] = "38248",["镩"] = "38249",["镪"] = "38250",["镫"] = "38251",["镬"] = "38252",["镯"] = "38255",["镱"] = "38257",["镲"] = "38258",["镳"] = "38259",["锺"] = "38202",["矧"] = "30695",["矬"] = "30700",["雉"] = "38601",["秕"] = "31189",["秭"] = "31213",["秣"] = "31203",["秫"] = "31211",["稆"] = "31238",["嵇"] = "23879",["稃"] = "31235",["稂"] = "31234",["稞"] = "31262",["稔"] = "31252",["稹"] = "31289",["稷"] = "31287",["穑"] = "31313",["黏"] = "40655",["馥"] = "39333",["穰"] = "31344",["皈"] = "30344",["皎"] = "30350",["皓"] = "30355",["皙"] = "30361",["皤"] = "30372",["瓞"] = "29918",["瓠"] = "29920",["甬"] = "29996",["鸠"] = "40480",["鸢"] = "40482",["鸨"] = "40488",["鸩"] = "40489",["鸪"] = "40490",["鸫"] = "40491",["鸬"] = "40492",["鸲"] = "40498",["鸱"] = "40497",["鸶"] = "40502",["鸸"] = "40504",["鸷"] = "40503",["鸹"] = "40505",["鸺"] = "40506",["鸾"] = "40510",["鹁"] = "40513",["鹂"] = "40514",["鹄"] = "40516",["鹆"] = "40518",["鹇"] = "40519",["鹈"] = "40520",["鹉"] = "40521",["鹋"] = "40523",["鹌"] = "40524",["鹎"] = "40526",["鹑"] = "40529",["鹕"] = "40533",["鹗"] = "40535",["鹚"] = "40538",["鹛"] = "40539",["鹜"] = "40540",["鹞"] = "40542",["鹣"] = "40547",["鹦"] = "40550",["鹧"] = "40551",["鹨"] = "40552",["鹩"] = "40553",["鹪"] = "40554",["鹫"] = "40555",["鹬"] = "40556",["鹱"] = "40561",["鹭"] = "40557",["鹳"] = "40563",["疒"] = "30098",["疔"] = "30100",["疖"] = "30102",["疠"] = "30112",["疝"] = "30109",["疬"] = "30124",["疣"] = "30115",["疳"] = "30131",["疴"] = "30132",["疸"] = "30136",["痄"] = "30148",["疱"] = "30129",["疰"] = "30128",["痃"] = "30147",["痂"] = "30146",["痖"] = "30166",["痍"] = "30157",["痣"] = "30179",["痨"] = "30184",["痦"] = "30182",["痤"] = "30180",["痫"] = "30187",["痧"] = "30183",["瘃"] = "30211",["痱"] = "30193",["痼"] = "30204",["痿"] = "30207",["瘐"] = "30224",["瘀"] = "30208",["瘅"] = "30213",["瘌"] = "30220",["瘗"] = "30231",["瘊"] = "30218",["瘥"] = "30245",["瘘"] = "30232",["瘕"] = "30229",["瘙"] = "30233",["瘛"] = "30235",["瘼"] = "30268",["瘢"] = "30242",["瘠"] = "30240",["癀"] = "30272",["瘭"] = "30253",["瘰"] = "30256",["瘿"] = "30271",["瘵"] = "30261",["癃"] = "30275",["瘾"] = "30270",["瘳"] = "30259",["癍"] = "30285",["癞"] = "30302",["癔"] = "30292",["癜"] = "30300",["癖"] = "30294",["癫"] = "30315",["癯"] = "30319",["翊"] = "32714",["竦"] = "31462",["穸"] = "31352",["穹"] = "31353",["窀"] = "31360",["窆"] = "31366",["窈"] = "31368",["窕"] = "31381",["窦"] = "31398",["窠"] = "31392",["窬"] = "31404",["窨"] = "31400",["窭"] = "31405",["窳"] = "31411",["衤"] = "34916",["衩"] = "34921",["衲"] = "34930",["衽"] = "34941",["衿"] = "34943",["袂"] = "34946",["袢"] = "34978",["裆"] = "35014",["袷"] = "34999",["袼"] = "35004",["裉"] = "35017",["裢"] = "35042",["裎"] = "35022",["裣"] = "35043",["裥"] = "35045",["裱"] = "35057",["褚"] = "35098",["裼"] = "35068",["裨"] = "35048",["裾"] = "35070",["裰"] = "35056",["褡"] = "35105",["褙"] = "35097",["褓"] = "35091",["褛"] = "35099",["褊"] = "35082",["褴"] = "35124",["褫"] = "35115",["褶"] = "35126",["襁"] = "35137",["襦"] = "35174",["襻"] = "35195",["疋"] = "30091",["胥"] = "32997",["皲"] = "30386",["皴"] = "30388",["矜"] = "30684",["耒"] = "32786",["耔"] = "32788",["耖"] = "32790",["耜"] = "32796",["耠"] = "32800",["耢"] = "32802",["耥"] = "32805",["耦"] = "32806",["耧"] = "32807",["耩"] = "32809",["耨"] = "32808",["耱"] = "32817",["耋"] = "32779",["耵"] = "32821",["聃"] = "32835",["聆"] = "32838",["聍"] = "32845",["聒"] = "32850",["聩"] = "32873",["聱"] = "32881",["覃"] = "35203",["顸"] = "39032",["颀"] = "39040",["颃"] = "39043",["颉"] = "39049",["颌"] = "39052",["颍"] = "39053",["颏"] = "39055",["颔"] = "39060",["颚"] = "39066",["颛"] = "39067",["颞"] = "39070",["颟"] = "39071",["颡"] = "39073",["颢"] = "39074",["颥"] = "39077",["颦"] = "39078",["虍"] = "34381",["虔"] = "34388",["虬"] = "34412",["虮"] = "34414",["虿"] = "34431",["虺"] = "34426",["虼"] = "34428",["虻"] = "34427",["蚨"] = "34472",["蚍"] = "34445",["蚋"] = "34443",["蚬"] = "34476",["蚝"] = "34461",["蚧"] = "34471",["蚣"] = "34467",["蚪"] = "34474",["蚓"] = "34451",["蚩"] = "34473",["蚶"] = "34486",["蛄"] = "34500",["蚵"] = "34485",["蛎"] = "34510",["蚰"] = "34480",["蚺"] = "34490",["蚱"] = "34481",["蚯"] = "34479",["蛉"] = "34505",["蛏"] = "34511",["蚴"] = "34484",["蛩"] = "34537",["蛱"] = "34545",["蛲"] = "34546",["蛭"] = "34541",["蛳"] = "34547",["蛐"] = "34512",["蜓"] = "34579",["蛞"] = "34526",["蛴"] = "34548",["蛟"] = "34527",["蛘"] = "34520",["蛑"] = "34513",["蜃"] = "34563",["蜇"] = "34567",["蛸"] = "34552",["蜈"] = "34568",["蜊"] = "34570",["蜍"] = "34573",["蜉"] = "34569",["蜣"] = "34595",["蜻"] = "34619",["蜞"] = "34590",["蜥"] = "34597",["蜮"] = "34606",["蜚"] = "34586",["蜾"] = "34622",["蝈"] = "34632",["蜴"] = "34612",["蜱"] = "34609",["蜩"] = "34601",["蜷"] = "34615",["蜿"] = "34623",["螂"] = "34690",["蜢"] = "34594",["蝽"] = "34685",["蝾"] = "34686",["蝻"] = "34683",["蝠"] = "34656",["蝰"] = "34672",["蝌"] = "34636",["蝮"] = "34670",["螋"] = "34699",["蝓"] = "34643",["蝣"] = "34659",["蝼"] = "34684",["蝤"] = "34660",["蝙"] = "34649",["蝥"] = "34661",["螓"] = "34707",["螯"] = "34735",["螨"] = "34728",["蟒"] = "34770",["蟆"] = "34758",["螈"] = "34696",["螅"] = "34693",["螭"] = "34733",["螗"] = "34711",["螃"] = "34691",["螫"] = "34731",["蟥"] = "34789",["螬"] = "34732",["螵"] = "34741",["螳"] = "34739",["蟋"] = "34763",["蟓"] = "34771",["螽"] = "34749",["蟑"] = "34769",["蟀"] = "34752",["蟊"] = "34762",["蟛"] = "34779",["蟪"] = "34794",["蟠"] = "34784",["蟮"] = "34798",["蠖"] = "34838",["蠓"] = "34835",["蟾"] = "34814",["蠊"] = "34826",["蠛"] = "34843",["蠡"] = "34849",["蠹"] = "34873",["蠼"] = "34876",["缶"] = "32566",["罂"] = "32578",["罄"] = "32580",["罅"] = "32581",["舐"] = "33296",["竺"] = "31482",["竽"] = "31485",["笈"] = "31496",["笃"] = "31491",["笄"] = "31492",["笕"] = "31509",["笊"] = "31498",["笫"] = "31531",["笏"] = "31503",["筇"] = "31559",["笸"] = "31544",["笪"] = "31530",["笙"] = "31513",["笮"] = "31534",["笱"] = "31537",["笠"] = "31520",["笥"] = "31525",["笤"] = "31524",["笳"] = "31539",["笾"] = "31550",["笞"] = "31518",["筘"] = "31576",["筚"] = "31578",["筅"] = "31557",["筵"] = "31605",["筌"] = "31564",["筝"] = "31581",["筠"] = "31584",["筮"] = "31598",["筻"] = "31611",["筢"] = "31586",["筲"] = "31602",["筱"] = "31601",["箐"] = "31632",["箦"] = "31654",["箧"] = "31655",["箸"] = "31672",["箬"] = "31660",["箝"] = "31645",["箨"] = "31656",["箅"] = "31621",["箪"] = "31658",["箜"] = "31644",["箢"] = "31650",["箫"] = "31659",["箴"] = "31668",["篑"] = "31697",["篁"] = "31681",["篌"] = "31692",["篝"] = "31709",["篚"] = "31706",["篥"] = "31717",["篦"] = "31718",["篪"] = "31722",["簌"] = "31756",["篾"] = "31742",["篼"] = "31740",["簏"] = "31759",["簖"] = "31766",["簋"] = "31755",["簟"] = "31775",["簪"] = "31786",["簦"] = "31782",["簸"] = "31800",["籁"] = "31809",["籀"] = "31808",["臾"] = "33278",["舁"] = "33281",["舂"] = "33282",["舄"] = "33284",["臬"] = "33260",["衄"] = "34884",["舡"] = "33313",["舢"] = "33314",["舣"] = "33315",["舭"] = "33325",["舯"] = "33327",["舨"] = "33320",["舫"] = "33323",["舸"] = "33336",["舻"] = "33339",["舳"] = "33331",["舴"] = "33332",["舾"] = "33342",["艄"] = "33348",["艉"] = "33353",["艋"] = "33355",["艏"] = "33359",["艚"] = "33370",["艟"] = "33375",["艨"] = "33384",["衾"] = "34942",["袅"] = "34949",["袈"] = "34952",["裘"] = "35032",["裟"] = "35039",["襞"] = "35166",["羝"] = "32669",["羟"] = "32671",["羧"] = "32679",["羯"] = "32687",["羰"] = "32688",["羲"] = "32690",["籼"] = "31868",["敉"] = "25929",["粑"] = "31889",["粝"] = "31901",["粜"] = "31900",["粞"] = "31902",["粢"] = "31906",["粲"] = "31922",["粼"] = "31932",["粽"] = "31933",["糁"] = "31937",["糇"] = "31943",["糌"] = "31948",["糍"] = "31949",["糈"] = "31944",["糅"] = "31941",["糗"] = "31959",["糨"] = "31976",["艮"] = "33390",["暨"] = "26280",["羿"] = "32703",["翎"] = "32718",["翕"] = "32725",["翥"] = "32741",["翡"] = "32737",["翦"] = "32742",["翩"] = "32745",["翮"] = "32750",["翳"] = "32755",["糸"] = "31992",["絷"] = "32119",["綦"] = "32166",["綮"] = "32174",["繇"] = "32327",["纛"] = "32411",["麸"] = "40632",["麴"] = "40628",["赳"] = "36211",["趄"] = "36228",["趔"] = "36244",["趑"] = "36241",["趱"] = "36273",["赧"] = "36199",["赭"] = "36205",["豇"] = "35911",["豉"] = "35913",["酊"] = "37194",["酐"] = "37200",["酎"] = "37198",["酏"] = "37199",["酤"] = "37220",["酢"] = "37218",["酡"] = "37217",["酰"] = "37232",["酩"] = "37225",["酯"] = "37231",["酽"] = "37245",["酾"] = "37246",["酲"] = "37234",["酴"] = "37236",["酹"] = "37241",["醌"] = "37260",["醅"] = "37253",["醐"] = "37264",["醍"] = "37261",["醑"] = "37265",["醢"] = "37282",["醣"] = "37283",["醪"] = "37290",["醭"] = "37293",["醮"] = "37294",["醯"] = "37295",["醵"] = "37301",["醴"] = "37300",["醺"] = "37306",["豕"] = "35925",["鹾"] = "40574",["趸"] = "36280",["跫"] = "36331",["踅"] = "36357",["蹙"] = "36441",["蹩"] = "36457",["趵"] = "36277",["趿"] = "36287",["趼"] = "36284",["趺"] = "36282",["跄"] = "36292",["跖"] = "36310",["跗"] = "36311",["跚"] = "36314",["跞"] = "36318",["跎"] = "36302",["跏"] = "36303",["跛"] = "36315",["跆"] = "36294",["跬"] = "36332",["跷"] = "36343",["跸"] = "36344",["跣"] = "36323",["跹"] = "36345",["跻"] = "36347",["跤"] = "36324",["踉"] = "36361",["跽"] = "36349",["踔"] = "36372",["踝"] = "36381",["踟"] = "36383",["踬"] = "36396",["踮"] = "36398",["踣"] = "36387",["踯"] = "36399",["踺"] = "36410",["蹀"] = "36416",["踹"] = "36409",["踵"] = "36405",["踽"] = "36413",["踱"] = "36401",["蹉"] = "36425",["蹁"] = "36417",["蹂"] = "36418",["蹑"] = "36433",["蹒"] = "36434",["蹊"] = "36426",["蹰"] = "36464",["蹶"] = "36470",["蹼"] = "36476",["蹯"] = "36463",["蹴"] = "36468",["躅"] = "36485",["躏"] = "36495",["躔"] = "36500",["躐"] = "36496",["躜"] = "36508",["躞"] = "36510",["豸"] = "35960",["貂"] = "35970",["貊"] = "35978",["貅"] = "35973",["貘"] = "35992",["貔"] = "35988",["斛"] = "26011",["觖"] = "35286",["觞"] = "35294",["觚"] = "35290",["觜"] = "35292",["觥"] = "35301",["觫"] = "35307",["觯"] = "35311",["訾"] = "35390",["謦"] = "35622",["靓"] = "38739",["雩"] = "38633",["雳"] = "38643",["雯"] = "38639",["霆"] = "38662",["霁"] = "38657",["霈"] = "38664",["霏"] = "38671",["霎"] = "38670",["霪"] = "38698",["霭"] = "38701",["霰"] = "38704",["霾"] = "38718",["龀"] = "40832",["龃"] = "40835",["龅"] = "40837",["龆"] = "40838",["龇"] = "40839",["龈"] = "40840",["龉"] = "40841",["龊"] = "40842",["龌"] = "40844",["黾"] = "40702",["鼋"] = "40715",["鼍"] = "40717",["隹"] = "38585",["隼"] = "38588",["隽"] = "38589",["雎"] = "38606",["雒"] = "38610",["瞿"] = "30655",["雠"] = "38624",["銎"] = "37518",["銮"] = "37550",["鋈"] = "37576",["錾"] = "37694",["鍪"] = "37738",["鏊"] = "37834",["鎏"] = "37775",["鐾"] = "37950",["鑫"] = "37995",["鱿"] = "40063",["鲂"] = "40066",["鲅"] = "40069",["鲆"] = "40070",["鲇"] = "40071",["鲈"] = "40072",["稣"] = "31267",["鲋"] = "40075",["鲎"] = "40078",["鲐"] = "40080",["鲑"] = "40081",["鲒"] = "40082",["鲔"] = "40084",["鲕"] = "40085",["鲚"] = "40090",["鲛"] = "40091",["鲞"] = "40094",["鲟"] = "40095",["鲠"] = "40096",["鲡"] = "40097",["鲢"] = "40098",["鲣"] = "40099",["鲥"] = "40101",["鲦"] = "40102",["鲧"] = "40103",["鲨"] = "40104",["鲩"] = "40105",["鲫"] = "40107",["鲭"] = "40109",["鲮"] = "40110",["鲰"] = "40112",["鲱"] = "40113",["鲲"] = "40114",["鲳"] = "40115",["鲴"] = "40116",["鲵"] = "40117",["鲶"] = "40118",["鲷"] = "40119",["鲺"] = "40122",["鲻"] = "40123",["鲼"] = "40124",["鲽"] = "40125",["鳄"] = "40132",["鳅"] = "40133",["鳆"] = "40134",["鳇"] = "40135",["鳊"] = "40138",["鳋"] = "40139",["鳌"] = "40140",["鳍"] = "40141",["鳎"] = "40142",["鳏"] = "40143",["鳐"] = "40144",["鳓"] = "40147",["鳔"] = "40148",["鳕"] = "40149",["鳗"] = "40151",["鳘"] = "40152",["鳙"] = "40153",["鳜"] = "40156",["鳝"] = "40157",["鳟"] = "40159",["鳢"] = "40162",["靼"] = "38780",["鞅"] = "38789",["鞑"] = "38801",["鞒"] = "38802",["鞔"] = "38804",["鞯"] = "38831",["鞫"] = "38827",["鞣"] = "38819",["鞲"] = "38834",["鞴"] = "38836",["骱"] = "39601",["骰"] = "39600",["骷"] = "39607",["鹘"] = "40536",["骶"] = "39606",["骺"] = "39610",["骼"] = "39612",["髁"] = "39617",["髀"] = "39616",["髅"] = "39621",["髂"] = "39618",["髋"] = "39627",["髌"] = "39628",["髑"] = "39633",["魅"] = "39749",["魃"] = "39747",["魇"] = "39751",["魉"] = "39753",["魈"] = "39752",["魍"] = "39757",["魑"] = "39761",["飨"] = "39144",["餍"] = "39181",["餮"] = "39214",["饕"] = "39253",["饔"] = "39252",["髟"] = "39647",["髡"] = "39649",["髦"] = "39654",["髯"] = "39663",["髫"] = "39659",["髻"] = "39675",["髭"] = "39661",["髹"] = "39673",["鬈"] = "39688",["鬏"] = "39695",["鬓"] = "39699",["鬟"] = "39711",["鬣"] = "39715",["麽"] = "40637",["麾"] = "40638",["縻"] = "32315",["麂"] = "40578",["麇"] = "40583",["麈"] = "40584",["麋"] = "40587",["麒"] = "40594",["鏖"] = "37846",["麝"] = "40605",["麟"] = "40607",["黛"] = "40667",["黜"] = "40668",["黝"] = "40669",["黠"] = "40672",["黟"] = "40671",["黢"] = "40674",["黩"] = "40681",["黧"] = "40679",["黥"] = "40677",["黪"] = "40682",["黯"] = "40687",["鼢"] = "40738",["鼬"] = "40748",["鼯"] = "40751",["鼹"] = "40761",["鼷"] = "40759",["鼽"] = "40765",["鼾"] = "40766",["齄"] = "40772",["捜"] = "25436",["査"] = "26619",["ツ"] = "12484",["ー"] = "12540",["陸"] = "38520",["別"] = "21029",["編"] = "32232",["棲"] = "26866",}
local z, y, m, n, s, x, w, temp
for z in string.gmatch(src,'\\u(%w%w%w%w)') do
y=tostring(tonumber("0x"..z))
if y~=nil then
for m,n in pairs(map_tb) do
if n==y then
s=m
break
end
end
i=i+1
if i==1 then
temp=string.gsub(src,'\\u'..z,s)
else
temp=string.gsub(temp,'\\u'..z,s)
end
else
return nil
end
end
return temp
end
function CommonUtils:encodeURI(src)
local temp = string.gsub(src, "([^%w%.%- ])", function(c) return string.format("%%%02X", string.byte(c)) end)
return string.gsub(temp, " ", "+")
end
function CommonUtils:payHandler(template)
local function uploadComplete(mess)
print("#上报订单成功")
end
local timespan = globalData.systemDateInfo:getSystemTime()
local payNum = template.money
local billNO = tostring(timespan).."_"..globalData.selfPlayerInfo.serverId.."_"..globalData.selfPlayerInfo.shortAccount
local orderSN, nofityUrl = "", ""
local list = {globalManager.kyPlatformSDK.showPayPage,
globalData.selfPlayerInfo.serverId,
globalData.selfPlayerInfo.userId,
globalData.selfPlayerInfo.shortAccount,
globalData.selfPlayerInfo.nick,
tostring(globalData.selfPlayerInfo.level),
tostring(globalData.selfPlayerInfo.vipLevel),
tostring(payNum),
template.name,
billNO,
globalData.config.payUrl,
tostring(globalData.selfPlayerInfo.moneyInfo.gold),
globalData.selfPlayerInfo.uniteName,
globalData.serverName,
template.productId,
orderSN,
nofityUrl
}
globalData.lastPayList = list
-- globalManager.kyPlatformSDK:luaCall(list)
-- 上报
local url = globalData.config.billUrl.."?a="..globalData.agentId.."&s="..globalData.selfPlayerInfo.serverId.."&u="..globalData.selfPlayerInfo.shortAccount.."&t="..timespan.."&m="..payNum.."&o="..billNO
globalManager.loaderManager:getRemote(url, uploadComplete)
if globalData.config.isInAppStore ~= nil and globalData.config:isInAppStore() then
globalManager.sdkHandler:payIAP(list)
else
globalManager.sdkHandler:pay(list)
end
end
CountDownUtils = class("CountDownUtils", function(self)
local temp = {}
temp._startTime = 0   --开始时间
temp._seconds = 0     --倒计时的秒数
temp._leftSeconds = 0   --剩余倒计时
temp._lastSystemTime = 0  --上一次更新倒计时的时间
temp._executor = nil
temp._callBack = nil
temp._endCallback = nil
return temp
end)
function CountDownUtils:ctor()
end
function CountDownUtils:start(seconds,callback,executor,endCallback)
if(seconds < 0) then seconds = 0 end
self._seconds = math.ceil(seconds)
self._startTime = globalData.systemDateInfo:getSystemTime()
self._lastSystemTime = self._startTime
self._executor = executor
self._callBack = callback
self._endCallback = endCallback
if(self._seconds <= 0) then
if(self._callBack ~= nil) then
self._callBack(self._executor,self._leftSeconds)
end
self:stop()
else
globalManager.tickManager:addTick(self.tick,self)
end
end
function CountDownUtils:tick(delta, count)
if(self._lastSystemTime == nil) then return end
if(globalData.systemDateInfo:getSystemTime() - self._lastSystemTime >= 1000)then
self._lastSystemTime = globalData.systemDateInfo:getSystemTime()
local delta = math.floor((self._lastSystemTime - self._startTime) / 1000)
self._leftSeconds = self._seconds - delta
if(self._leftSeconds <= 0) then
self._leftSeconds = 0
self:stop()
end
if(self._callBack ~= nil) then
self._callBack(self._executor,self._leftSeconds)
end
if(self._leftSeconds <= 0) then
if(self._endCallback ~= nil) then
self._endCallback(self._executor)
end
end
end
end
function CountDownUtils:stop()
globalManager.tickManager:removeTick(self.tick,self)
end
function CountDownUtils:getLeftTime()
return self._leftSeconds
end
function CountDownUtils:dispose()
self:stop()
self._executor = nil
self._callBack = nil
self._endCallback = nil
end
--[[
Copyright (c) 2011-2012 qeeplay.com
http://dualface.github.com/quick-cocos2d-x/
Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:
The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.
THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.
]]
Debug = class("Debug",function(self)
local temp = {}
return temp
end)
function Debug:printf(fmt, ...)
print(string.format(tostring(fmt), ...))
end
function Debug:echoError(fmt, ...)
echoLog("ERR", fmt, ...)
print(debug.traceback("", 2))
end
function Debug:echoInfo(fmt, ...)
echoLog("INFO", fmt, ...)
end
function Debug:echoLog(tag, fmt, ...)
print(string.format("[%s] %s", string.upper(tostring(tag)), string.format(tostring(fmt), ...)))
end
function Debug:throw(errorType, fmt, ...)
local arg = {...}
for k,v in pairs(arg) do
arg[k] = tostring(v)
end
local msg = string.format(tostring(fmt), unpack(arg))
error(string.format("<<%s>> - %s", tostring(errorType), msg), 2)
end
function Debug:dump(object, label, isReturnContents, nesting)
function stringTrim(str)
if(str == nil)then return "[undefined]" end
str = string.gsub(str, "^[ \t\n\r]+", "")
return string.gsub(str, "[ \t\n\r]+$", "")
end
if type(nesting) ~= "number" then nesting = 99 end
local lookupTable = {}
local result = {}
local function _v(v)
if type(v) == "string" then
v = "\"" .. v .. "\""
end
return tostring(v)
end
local traceback = globalManager.messageUtils:splitString(debug.traceback("", 2), "\n")
print("dump from: " .. stringTrim(traceback[3]))
local function _dump(object, label, indent, nest, keylen)
label = label or "<var>"
spc = ""
if type(keylen) == "number" then
spc = string.rep(" ", keylen - string.len(_v(label)))
end
if type(object) ~= "table" then
result[#result +1 ] = string.format("%s%s%s = %s", indent, _v(label), spc, _v(object))
elseif lookupTable[object] then
result[#result +1 ] = string.format("%s%s%s = *REF*", indent, label, spc)
else
lookupTable[object] = true
if nest > nesting then
result[#result +1 ] = string.format("%s%s = *MAX NESTING*", indent, label)
else
result[#result +1 ] = string.format("%s%s = {", indent, _v(label))
local indent2 = indent.."    "
local keys = {}
local keylen = 0
local values = {}
for k, v in pairs(object) do
keys[#keys + 1] = k
local vk = _v(k)
local vkl = string.len(vk)
if vkl > keylen then keylen = vkl end
values[k] = v
end
table.sort(keys, function(a, b)
if type(a) == "number" and type(b) == "number" then
return a < b
else
return tostring(a) < tostring(b)
end
end)
for i, k in ipairs(keys) do
_dump(values[k], k, indent2, nest + 1, keylen)
end
result[#result +1] = string.format("%s}", indent)
end
end
end
_dump(object, label, "- ", 1)
if isReturnContents then
return table.concat(result, "\n")
end
for i, line in ipairs(result) do
print(line)
end
end
function Debug:vardump(object, label)
local lookupTable = {}
local result = {}
local function _v(v)
if type(v) == "string" then
v = "\"" .. v .. "\""
end
return tostring(v)
end
local function _vardump(object, label, indent, nest)
label = label or "<var>"
local postfix = ""
if nest > 1 then postfix = "," end
if type(object) ~= "table" then
if type(label) == "string" then
result[#result +1] = string.format("%s%s = %s%s", indent, label, _v(object), postfix)
else
result[#result +1] = string.format("%s%s%s", indent, _v(object), postfix)
end
elseif not lookupTable[object] then
lookupTable[object] = true
if type(label) == "string" then
result[#result +1 ] = string.format("%s%s = {", indent, label)
else
result[#result +1 ] = string.format("%s{", indent)
end
local indent2 = indent .. "    "
local keys = {}
local values = {}
for k, v in pairs(object) do
keys[#keys + 1] = k
values[k] = v
end
table.sort(keys, function(a, b)
if type(a) == "number" and type(b) == "number" then
return a < b
else
return tostring(a) < tostring(b)
end
end)
for i, k in ipairs(keys) do
_vardump(values[k], k, indent2, nest + 1)
end
result[#result +1] = string.format("%s}%s", indent, postfix)
end
end
_vardump(object, label, "", 1)
return table.concat(result, "\n")
end
MessageUtils = class("MessageUtils",function(self)
local temp = {}
return temp
end)
function MessageUtils:replaceSubString(str,token,replace)
local result = self:splitString(str,token)
table.concat(result,replace,1,#result)
end
--拆分字符串为string数组
--param str:string token:string return Vector.<string>
function MessageUtils:splitString(str, token)
local result = {}
string.gsub(str, '[^'..token..']+', function(word)
table.insert(result, word)
end)
return result
end
--拆分字符串为int数组
--param str:string token:string return Vector.<int>
function MessageUtils:splitStringToInt(str, token)
local result = {}
string.gsub(str, '[^'..token..']+', function(word)
table.insert(result, tonumber(word))
end)
return result
end
--拆分形如"x,y"字符串为CCPoint
--param str:string return CCPoint
function MessageUtils:changeStrToPoint(str)
local result = self:splitString(str,',')
if(#result ~= 2) then
return globalManager.ccCreator:newPoint(0,0)
end
return globalManager.ccCreator:newPoint(result[1],result[2])
end
--拆分形如"x1,y1,z1|x2,y2,z2|x3,y3,z3"格式的字符串转成Vector<Vector<int>>
function MessageUtils:changeStrToIntList(str)
local result = {}
if(str == "") then
return result
end
local intList = self:splitString(str,'|')
for i, v in ipairs(intList) do
if(v ~= "") then
table.insert(result,self:splitStringToInt(v,","))
end
end
return result
end
--拆分形如"x1,k1,y1|z1;x2,k2,y2|z2"形式的字符串
function MessageUtils:changeStr1(str)
local result = {}
if str == "" then
return result
end
local intList = self:splitString(str,';')
for i,v in pairs(intList) do
if (v ~= "") then
local str2 = self:splitString(v,"|")
for k,v in pairs(str2) do
if #self:splitString(v,",") > 1 then
str2[k] = self:splitStringToInt(v,",")
end
end
table.insert(result,str2)
end
end
return result
end
--拆分形如"x1,y1|x2,y2|x3,y3"格式的字符串转成Vector<CCPoint>
--param str:string return Vector.<CCPoint>
function MessageUtils:changeStrToPointList(str)
local result = {}
if(str == "") then
return result
end
local pointList = self:splitString(str,'|')
for i, v in ipairs(pointList) do
if(v ~= "") then
table.insert(result,self:changeStrToPoint(v))
end
end
return result
end
--解析物品数据
--param goods:GoodsInfo data:ByteArray
function MessageUtils:setGoods(goods,data)
goods.goodsId = data:readNumber()
goods:setTemplateId(data:readInt())
goods.isBind = data:readBoolean()
local tmpStrengthLevel = data:readUByte()
goods.count = data:readShort()
goods.position = data:readShort()
goods.date = data:readInt() * 1000
-- goods.property1 = data:readInt()
-- goods.property2 = data:readInt()
-- goods.property3 = data:readInt()
-- goods.property4 = data:readInt()
-- goods.property5 = data:readInt()
-- goods.property6 = data:readInt()
-- goods.starLevel = data:readUByte()
goods:updateStrengthLevel(tmpStrengthLevel)--先读孔，再更新等级
-- goods.propertyVector = self:parseProperty(data:readString())
-- goods.freePropertyVector = self:parseProperty(data:readString())
--    goods.score = data:readInt()
goods.vaildDate = data:readInt() * 1000
goods.stage = data:readUByte()
goods.strengthTimes = data:readShort()
end
--解析特殊装备
function MessageUtils:setPetEquip(equip,data)
equip:setTemplateId(data:readInt())
equip.level = data:readUByte()
equip.stage = data:readUByte()
equip.growValue = data:readInt()
end
--读取属性串
--param content:string return Vector.<PropertyInfo>
function MessageUtils:parseProperty(content)
local result = {}
if(content == "") then
return result
end
local tmpList1 = self:splitString(content,'|')
for i, v in ipairs(tmpList1) do
local tmpList2 = self:splitString(v,',')
local tmpInfo = nil
if (#tmpList2 > 1) then
tmpInfo = PropertyInfo:new()
tmpInfo.propertyId = tonumber(tmpList2[1])
tmpInfo.propertyValue = tonumber(tmpList2[2])
table.insert(result,tmpInfo)
end
if (#tmpList2 > 2)then
tmpInfo.propertyPercent = tonumber(tmpList2[3])
end
end
return result
end
--读取物品串
--param content:string return Vector.<{goodsTemplateId,type,count,isBind:true,flag:0}>
function MessageUtils:parseGoodsTemplate(content)
local result = {}
if(content == "") then
return result
end
local tmpList1 = self:splitString(content,'|')
for i, v in ipairs(tmpList1) do
local tmpList2 = self:splitString(v,',')
if (#tmpList2 > 1) then
local tmpInfo = {}
tmpInfo.goodsTemplateId = tonumber(tmpList2[1])
tmpInfo.type  = tonumber(tmpList2[2])
tmpInfo.count = tonumber(tmpList2[3])
-- if (#tmpList2 > 3) then
--     tmpInfo.isBind = (tonumber(tmpList2[4]) == 1)
-- end
-- if (#tmpList2 > 4) then
--     tmpInfo.flag = tonumber(tmpList2[5])
-- end
table.insert(result,tmpInfo)
end
end
return result
end
--读取玩家基础信息（昵称、性别、等级）
--param player:BasePlayerInfo data:ByteArray
function MessageUtils:setBasePlayer(player,data)
player.nick = data:readString()
if(data:readBoolean()) then
player.sex = 1
else
player.sex = 2
end
player:setLevel(data:readShort())
end
--读取玩家简要信息（基础、形象、战力、公会、阵营等）
--param player:FigurePlayerInfo data:ByteArray
function MessageUtils:setFigurePlayer(player,data)
self:setBasePlayer(player,data)
player:setCareer(data:readByte())
self:setPlayerStyleBin(player,data,false)
local uniteId = data:readNumber()
player.uniteName = data:readString()
local uniteJob = data:readByte()
player.uniteLevel = data:readShort()
player:updateUniteId(uniteId,uniteJob)
player:setPKmode(data:readByte())
player.killValue = data:readShort()
player.combinedServerId = data:readShort()
player.serverId = data:readShort()
player:updateCombat(data:readInt())
data:readInt()
data:readByte() --vipLevel
player.characterInfo:updateStyleBin()
end
--读取玩家形象信息
--param player:FigurePlayerInfo data:ByteArray isUpdate:Boolean
function MessageUtils:setPlayerStyleBin(player,data,isUpdate)
if(isUpdate == nil)then isUpdate = true end
player.characterInfo:clearStyleBin()
local tempLen = data:readByte()
for i = 1,tempLen,1 do
local index = data:readByte()
local value = data:readInt()
player.characterInfo:setStyleBin(index,value)
end
data:readByte()
player:setIsHorse(data:readBoolean())
if(globalData.selfPlayerInfo ~= nil)then
if(player.userId == globalData.selfPlayerInfo.userId and globalData.characterChangePath ~= 0)then
player.characterInfo._styleList[7] = globalData.characterChangePath
end
end
local buff = tonumber(player.characterInfo:getStyleBin()[7])
if(buff ~= nil and buff > 0)then
player.characterInfo.buffChangeId = buff
player.characterInfo.buffChangeType = globalData.allTemplates.monsterTemplateList:getMonster(buff).characterType
else
player.characterInfo.buffChangeId = 0
player.characterInfo.buffChangeType = 0
end
if(isUpdate) then
player.characterInfo:updateStyleBin()
end
end
--读取玩家详细信息（简要、血量、战斗属性、荣誉历练等）
--param player:DetailPlayerInfo data:ByteArray
function MessageUtils:setDetailPlayer(player,data)
self:setFigurePlayer(player,data)
player.maxHP = data:readInt()
player.currentHP = data:readInt()
-- player.tribute = data:readInt()
player.attack = data:readInt()
player.defense = data:readInt()
player.proAttack = data:readInt()
player.proDefense = data:readInt()
player.hurt = data:readInt()
player.inhurt = data:readInt()
player:setAbilitys(data:readInt(),data:readInt(),data:readInt(),data:readInt())
player.sunder = data:readInt()
player.criHurt = data:readInt()
self:setPlayerTitle(player,data)
--    player:setResistances(data:readShort(),data:readShort(),data:readShort(),data:readShort(),data:readShort(),data:readShort())
end
--读取玩家称号列表
--param player:DetailPlayerInfo data:ByteArray
function MessageUtils:setPlayerTitle(player,data)
local gm = 0
local len = data:readByte()
for i = 1,len,1 do
-- local title = TitleInfo:new()
-- title.templateId = data:readInt()
-- player.titleInfo:addTitle(title)
local titleId = data:readInt()
player.titleInfo:setCurrentTitleId(titleId)
if(titleId == 400) then
gm = 1
end
end
if(player.userId == globalData.selfPlayerInfo.userId) then
globalData.selfPlayerInfo.gm = gm
end
end
--读取玩家自身信息（详细、名称、经验、背包、战斗状态切换时间等）
--param player:SelfPlayerInfo data:ByteArray
function MessageUtils:setSelfPlayer(player,data)
self:setDetailPlayer(player,data)
player.account = data:readString()
local accountName, pfName = globalManager.commonUtils:splitToken(player.account, "_")
player.shortAccount = accountName
player.exp = data:readNumber()
player.moneyInfo:setMoney(data)
player:updateBagMaxCount(data:readShort())
player.pvpChangeDate = data:readInt()
end
--读取玩家货币信息
--param data:ByteArray
function MessageUtils:updateMoney(data)
globalData.selfPlayerInfo.moneyInfo:setMoney(data)
end
--解析显示界面可点击链接角色信息，如：在聊天的角色基础信息处发送,用来处理超链接等
function MessageUtils:setLinkPlayer(player,data)
player.serverId = data:readShort()
player.combinedServerId = data:readShort()
player.userId = data:readNumber()
player.nick = data:readString()
player.career = data:readByte()
player.sex = 1
if(player.career == 2) then
player.sex = 2
end
player.level = data:readShort()
-- player.vipLevel = 0 --vip等级
-- print("#2", player.serverId, player.combinedServerId, player.userId, player.nick, player.career, player.level )
end
NoAlertUtils = class("NoAlertUtils",function()
local temp = {}
temp.OFFLINE               = "alert1"              --掉线提示
temp.DELETE_FRIEND         = "deletaFriend"              --删除好友
temp.SELL_RARE_GOODS       = "sellRareGoods"              --珍稀道具出售
temp.LEAGUE_GONGXIAN       = "leagueGongxian" 		--帮派捐献
temp.DISCARD_GOODS         = "discardGoods"             --丢弃珍稀道具（品质大于等于3）
temp.RELIVE                = "relive"               --复活花费元宝
temp.LEAGUE_KICK           = "leagueKick"            --踢人
temp.WORLDBOSSVIP_UPDATE   = "WORLDBOSSVIP_UPDATE"  --vip副本
temp.CHATSPEAKER_UPDATE    = "CHATSPEAKER_UPDATE"   --用喇叭发声
temp.ARENA_SPEEDUP         = "ARENA_SPEEDUP"   --竞技场提升次数
temp.ZHUANPAN_UPDATE       = "ZHUANPAN_UPDATE" --转盘一次抽奖
temp.ZHUANPAN_UPDATE_TEN   = "ZHUANPAN_UPDATE_TEN" --转盘十次抽奖
temp.PKMODE_CHANGE         = "PKMODE_CHANGE" --PK模式切换
temp.YUANBAO_ZHUANPAN      = "YUANBAO_ZHUANPAN"--充值转盘
temp.EXP_BUY               = "EXP_BUY"--经验回购
temp.SEND_FLOWER           = "SEND_FLOWER"--送花
temp.SEND_YANHUA           = "SEND_YANHUA"--送烟花
temp.FIND_TREASURE         = "FIND_TREASURE"--藏宝翻牌
temp.FIND_TREASURE_SD      = "FIND_TREASURE_SD" --宝藏翻牌扫荡
temp.SHENMI_FLUSH          = "SHENMI_FLUSH"--神秘商店
temp.VIPMALL_FLUSH         = "VIPMALL_FLUSH"--vip商店
temp.XUNBAO_ZHUANPAN       = "XUNBAO_ZHUANPAN"--寻宝转盘
temp.XIAOFEI_SEHNGXING     = "XIAOFEI_SEHNGXING"--消费升星
temp.RONG_LIAN             = "RONG_LIAN"--熔炉熔炼
temp.COPY_SWEEP_COST       = "COPY_SWEEP_COST"--扫荡花费
temp.RED_BAG               = "RED_BAG"--红包花费
temp.DATI_PASS             = "DATI_PASS"--答题跳过
return temp
end)
function NoAlertUtils:getIsShow(type)
local showTime = globalManager.commonUtils:readIntKey(type) * 1000
if(showTime == 0 or showTime == nil) then return true end
if(globalData.systemDateInfo:getBetweenTimeDay(showTime,globalData.systemDateInfo:getSystemTime()) > 0) then
return true
end
return false
end
function NoAlertUtils:setNotShow(type)
local time = globalData.systemDateInfo:getSystemTime() / 1000
globalManager.commonUtils:writeIntKey(type, time)
end
--##globalManager.playerNoticeUtils
--
-- Date: 2014-04-28 11:36:30
-- 公告
--
PlayerNoticeUtils = class("PlayerNoticeUtils", function(self)
local temp = {}
return temp
end)
--炼器强化
function PlayerNoticeUtils:furnaceStrength(playerInfo,goodsId,goodsTemplateId,strengthLevel,stage)
--恭喜Vip标识+【玩家名】将【装备名】装备强化到+n，神器在手，万夫莫敌！我要强化
local nameStr = globalManager.commonUtils:getPlayerTriggerStr(playerInfo)
local goodsTemplate = globalData.allTemplates.goodsTemplateList:getTemplate(goodsTemplateId)
local goodsStr = string.format("{7$2002$0$%s$%s$%s$%s$%s}",
goodsTemplate.name,
playerInfo.userId,
goodsId,
goodsTemplateId,
stage)
local triggerStr = globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text20")
local info = ChatItemInfo:new()
info.channel = globalData.allStaticTypes.channelType.WORLD_NOTICE
info.message = string.format(globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text1"),
nameStr,
goodsStr,
strengthLevel,
triggerStr)
globalData.chatItemList:appendChatItem(info)
end
--淘金
function PlayerNoticeUtils:washGoldNotice(list, name)
-- body
local goods = ""
if #list ~= 0 then
for i = 1, #list do
local goodsInfo = globalData.allTemplates.goodsTemplateList:getTemplate(list[i][1])
if list[i][1] == 160440 or list[i][1] == 160441 or list[i][1] == 160442 or list[i][1] == 160443 then
goods = string.format(globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text2"), globalData.allStaticTypes.colorType:getColorStrByQuality(goodsInfo.quality), list[i][2])
else
goods = goods.."["..globalData.allStaticTypes.colorType:getColorStrByQuality(goodsInfo.quality).."]"..goodsInfo.name.."[-]".."*"..list[i][2]
end
end
end
local triggerStr = globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text3")
local info = ChatItemInfo:new()
info.channel = globalData.allStaticTypes.channelType.WORLD_NOTICE
info.message = string.format(globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text4"),name, goods, triggerStr)
globalData.chatItemList:appendChatItem(info)
end
--觉醒
function PlayerNoticeUtils:wakeUp(nickName,career)
-- body
local careerName = {
[11] = globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text5"),
[12] = globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text6"),
[13] = globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text7"),
[14] = globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text8"),
[15] = globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text9"),
[16] = globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text10"),
}
local text = string.format(globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text96"), nickName, careerName[career])
local info = ChatItemInfo:new()
info.channel = globalData.allStaticTypes.channelType.WORLD_NOTICE
info.message = text
globalData.chatItemList:appendChatItem(info)
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_flyflower,globalManager.gameDispatcher,3))
end
function PlayerNoticeUtils:washGoldNumNotice(num)
-- body
local text = ""
if num == 5000 then
text = globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text12")
elseif num == 8000 then
text = globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text13")
elseif num == 10000 then
text = globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text14")
elseif num == 15000 then
text = globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text15")
end
local info = ChatItemInfo:new()
info.channel = globalData.allStaticTypes.channelType.WORLD_NOTICE
info.message = text
globalData.chatItemList:appendChatItem(info)
end
--炼器进阶
function PlayerNoticeUtils:furnaceAdvance(playerInfo,goodsId,goodsTemplateId,strengthLevel,stage)
--Vip标识+【玩家名】犹如神眷，成功进阶出橙色装备【装备名】！我要进阶
local nameStr = globalManager.commonUtils:getPlayerTriggerStr(playerInfo)
local goodsTemplate = globalData.allTemplates.goodsTemplateList:getTemplate(goodsTemplateId)
local goodsStr = string.format("{7$2002$0$%s$%s$%s$%s$%s}",
goodsTemplate.name,
playerInfo.userId,
goodsId,
goodsTemplateId,
stage)
local triggerStr = string.format(globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text16"), "2$1609$0$")
local info = ChatItemInfo:new()
info.channel = globalData.allStaticTypes.channelType.WORLD_NOTICE
local list = {globalManager.yuyanbaoManager:getYuyanbao("GoodsTemplateInfo.text5"),
globalManager.yuyanbaoManager:getYuyanbao("GoodsTemplateInfo.text6"),
globalManager.yuyanbaoManager:getYuyanbao("GoodsTemplateInfo.text7")}
info.message = string.format(globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text17"), nameStr, list[stage],goodsStr,triggerStr)
globalData.chatItemList:appendChatItem(info)
end
function PlayerNoticeUtils:activeImage(fight, userName, goodsName, Jumptype)
--local nameStr = globalManager.commonUtils:getPlayerTriggerStr(playerInfo)
--{2$1691$0$}时装    {2$1695$0$}坐骑   {2$1699$0$}妖精  {2$1702$0$}羽翼 {2$1705$0$}法阵
local triggerStr = globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text18")
if Jumptype == 0 then
triggerStr = string.format(triggerStr,"2$1691$0$")
elseif Jumptype == 2 then
triggerStr = string.format(triggerStr,"2$1695$0$")
elseif Jumptype == 1 then
triggerStr = string.format(triggerStr,"2$1699$0$")
elseif Jumptype == 3 then
triggerStr = string.format(triggerStr,"2$1702$0$")
elseif Jumptype == 6 then
triggerStr = string.format(triggerStr,"2$1705$0$")
end
local info = ChatItemInfo:new()
info.channel = globalData.allStaticTypes.channelType.WORLD_NOTICE
info.message = string.format(globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text19"), userName, goodsName, fight, triggerStr)
globalData.chatItemList:appendChatItem(info)
end
--BOSS被击杀
function PlayerNoticeUtils:worldBossBeKill(bossId,userName,clubName,itemList)
--【传闻】XX帮派势如破竹，一举击杀【世界BOSS】XXX(XX级),获取了XX物品！
local monsterTemplate = globalData.allTemplates.monsterTemplateList:getMonster(bossId)
local goodsTemplate = nil
local goodsStr = ""
local append = ""
if(#itemList > 0) then
for i = 1,#itemList do
goodsTemplate = globalData.allTemplates.goodsTemplateList:getTemplate(itemList[i][1])
goodsStr = goodsStr .. string.format("{7$2003$0$%s$%s$0}",
goodsTemplate.name,
itemList[i][1]) .. " "
end
append = string.format(globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text21"),userName,goodsStr)
else
append = " "
end
local info = ChatItemInfo:new()
info.channel = globalData.allStaticTypes.channelType.WORLD_NOTICE
info.message = string.format(globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text22"), clubName, monsterTemplate.name, monsterTemplate.level,append)
globalData.chatItemList:appendChatItem(info)
end
--玩家击杀boss
function PlayerNoticeUtils:worldBossKiller(bossId,playerName,items)
--【传闻】XX玩家给予【世界BOSS】XXX（XX级）最后一击，获得XX物品、XX物品！
local monsterTemplate = globalData.allTemplates.monsterTemplateList:getMonster(bossId)
local itemStr = ""
local itemLen = #items
for i = 1,itemLen,1 do
local goods = globalData.allTemplates.goodsTemplateList:getTemplate(items[i][1])
itemStr = string.format(globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text23"), globalData.allStaticTypes.colorType:getColorStrByQuality(goods.quality), itemStr, items[i][2], goods.name)
if(i < itemLen)then
itemStr = itemStr..","
end
end
local info = ChatItemInfo:new()
info.channel = globalData.allStaticTypes.channelType.WORLD_NOTICE
info.message = string.format(globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text24"), playerName, monsterTemplate.name, monsterTemplate.level, itemStr)
globalData.chatItemList:appendChatItem(info)
end
--玩家击杀封魔boss
function PlayerNoticeUtils:jingyinBossKiller(bossId,playerName,itemList)
--【传闻】XX玩家势如破竹，一举击杀".."【封魔boss】xxxxx（xx级）,获得了XX物品！
local monsterTemplate = globalData.allTemplates.monsterTemplateList:getMonster(bossId)
local goodsTemplate = nil
local goodsStr = ""
local append = ""
if(#itemList > 0 ) then
for i = 1,#itemList do
goodsTemplate = globalData.allTemplates.goodsTemplateList:getTemplate(itemList[i][1])
goodsStr = goodsStr .. string.format("{7$2003$0$%s$%s$0}",
goodsTemplate.name,
itemList[i][1]) .. " "
end
append = string.format(globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text23"),goodsStr)
else
append = " "
end
local info = ChatItemInfo:new()
info.channel = globalData.allStaticTypes.channelType.WORLD_NOTICE
info.message = string.format(globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text25") , playerName, monsterTemplate.name, monsterTemplate.level, append)
globalData.chatItemList:appendChatItem(info)
end
--boss刷新，time 10,5,0
function PlayerNoticeUtils:worldBossFlesh(time)
--【传闻】世界BOSS将在10分钟后携带大量宝物降临世界，请大家做好准备！我要击杀
--【传闻】世界BOSS将在5分钟后携带大量宝物降临世界，请大家做好准备！我要击杀
--【传闻】世界BOSS已经携带大量宝物降临世界，请大家抓紧机会去击杀夺宝了！我要击杀
local info = ChatItemInfo:new()
info.channel = globalData.allStaticTypes.channelType.WORLD_NOTICE
if(time == 10)then
info.message = globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text26")
elseif(time == 5)then
info.message = globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text27")
else
info.message = globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text28")
end
globalData.chatItemList:appendChatItem(info)
end
--封魔boss刷新，time 5 0
function PlayerNoticeUtils:jingyinBossFlesh(bossId,time)
--【传闻】".."【封魔BOSS】XXX（XX级）将在5分钟后刷新，请大家做好准备！我要击杀
--【传闻】".."【封魔BOSS】XXX（XX级）已经刷新，请大家前往击杀！我要击杀
local monsterTemplate = globalData.allTemplates.monsterTemplateList:getMonster(bossId)
local info = ChatItemInfo:new()
info.channel = globalData.allStaticTypes.channelType.WORLD_NOTICE
if(time == 5)then
info.message = string.format(globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text29"), monsterTemplate.name, monsterTemplate.level)
else
info.message = string.format(globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text30"), monsterTemplate.name, monsterTemplate.level)
end
globalData.chatItemList:appendChatItem(info)
end
--炼狱第几关
function PlayerNoticeUtils:lianyuNotice(playerInfo,stage)
local nameStr = globalManager.commonUtils:getPlayerTriggerStr(playerInfo)
local triggerStr = string.format(globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text31"),"2$1630$0$")
local info = ChatItemInfo:new()
info.channel = globalData.allStaticTypes.channelType.WORLD_NOTICE
info.message =  string.format(globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text34"), nameStr, stage, triggerStr)
globalData.chatItemList:appendChatItem(info)
end
--妖精进阶
function PlayerNoticeUtils:stageAdvance(type,playerInfo,templateId)
if(type > 7) then return end
local nameStr = globalManager.commonUtils:getPlayerTriggerStr(playerInfo)
local triggerStr
local templateInfo
local infoStr
local typeStr
if(type == globalData.allStaticTypes.petXiaofeiType.CHONGWU) then
typeStr = globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text35")
triggerStr = string.format(globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text16"), "2$1618$0$")
templateInfo = globalData.allTemplates.petTemplateList:getTemplate(templateId)
elseif(type == globalData.allStaticTypes.petXiaofeiType.ZUOQI) then
typeStr = globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel15")
triggerStr = string.format(globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text16"), "2$1619$0$")
templateInfo = globalData.allTemplates.xiaofeiTemplateList:getTemplate(globalData.allStaticTypes.petXiaofeiType.ZUOQI,templateId)
elseif(type == globalData.allStaticTypes.petXiaofeiType.CHIBANG) then
typeStr = globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel17")
triggerStr = string.format(globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text16"), "2$1621$0$")
templateInfo = globalData.allTemplates.xiaofeiTemplateList:getTemplate(globalData.allStaticTypes.petXiaofeiType.CHIBANG,templateId)
elseif(type == globalData.allStaticTypes.petXiaofeiType.SHENBING) then
typeStr = globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel16")
triggerStr = string.format(globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text16"), "2$1620$0$")
templateInfo = globalData.allTemplates.xiaofeiTemplateList:getTemplate(globalData.allStaticTypes.petXiaofeiType.SHENBING,templateId)
elseif(type == globalData.allStaticTypes.petXiaofeiType.JINGLING) then
typeStr = globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel19")
triggerStr = string.format(globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text16"), "2$1622$0$")
templateInfo = globalData.allTemplates.xiaofeiTemplateList:getTemplate(globalData.allStaticTypes.petXiaofeiType.JINGLING,templateId)
elseif(type == globalData.allStaticTypes.petXiaofeiType.FAZHEN) then
typeStr = globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel20")
triggerStr = string.format(globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text16"), "2$1625$0$")
templateInfo = globalData.allTemplates.xiaofeiTemplateList:getTemplate(globalData.allStaticTypes.petXiaofeiType.FAZHEN,templateId)
elseif(type == globalData.allStaticTypes.petXiaofeiType.LONGHUN) then
typeStr = globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel21")
triggerStr = string.format(globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text16"), "2$1626$0$")
templateInfo = globalData.allTemplates.xiaofeiTemplateList:getTemplate(globalData.allStaticTypes.petXiaofeiType.LONGHUN,templateId)
end
if(templateInfo == nil) then return end
if(type == globalData.allStaticTypes.petXiaofeiType.FAZHEN or type == globalData.allStaticTypes.petXiaofeiType.LONGHUN)then
infoStr = "["..globalData.allStaticTypes.colorType:getColorStrByQuality(templateInfo.quality).."]"..templateInfo.name.."[-]"
local info = ChatItemInfo:new()
info.channel = globalData.allStaticTypes.channelType.WORLD_NOTICE
info.message = string.format(globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text36"), nameStr, typeStr, infoStr, triggerStr)
globalData.chatItemList:appendChatItem(info)
else
infoStr = "["..globalData.allStaticTypes.colorType:getColorStrByQuality(templateInfo.quality).."]"..templateInfo.name.."[-]"
local info = ChatItemInfo:new()
info.channel = globalData.allStaticTypes.channelType.WORLD_NOTICE
info.message =  string.format(globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text37"), nameStr, typeStr, infoStr, triggerStr)
globalData.chatItemList:appendChatItem(info)
end
end
--帮战连胜
function PlayerNoticeUtils:leagueWarStreak(leagueName)
local info = ChatItemInfo:new()
info.channel = globalData.allStaticTypes.channelType.WORLD_NOTICE
info.message = string.format(globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text38"),leagueName)
globalData.chatItemList:appendChatItem(info)
end
--攻击方获胜
function PlayerNoticeUtils:leagueWarWin(leagueName,score)
local info = ChatItemInfo:new()
info.channel = globalData.allStaticTypes.channelType.WORLD_NOTICE
info.message = string.format(globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text39"),leagueName,score)
globalData.chatItemList:appendChatItem(info)
end
--远古，连斩
function PlayerNoticeUtils:yuanGuKillCount(nick,count)
local info = ChatItemInfo:new()
info.channel = globalData.allStaticTypes.channelType.WORLD_NOTICE
if(count == 10)then
info.message = string.format(globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text40"), nick, tostring(count))
elseif(count == 20)then
info.message = string.format(globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text41"), nick, tostring(count))
elseif(count >= 30)then
info.message = string.format(globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text42"), nick, tostring(count))
end
-- globalData.chatItemList:appendChatItem(info)
globalManager.tipsManager.sceneWordTip:showText(info.message)
end
--远古，终结
function PlayerNoticeUtils:yuanGuStopKill(nick1,nick2,count)
local info = ChatItemInfo:new()
info.channel = globalData.allStaticTypes.channelType.WORLD_NOTICE
info.message = string.format(globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text43"), nick1, nick2, tostring(count))
-- globalData.chatItemList:appendChatItem(info)
globalManager.tipsManager.sceneWordTip:showText(info.message)
end
--远古 {阵营名}的守卫已被击杀！
function PlayerNoticeUtils:yuanGuKillMonster1(camp)
local campName = globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text44")
if(camp == 1)then
campName = globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text45")
elseif(camp == 2)then
campName = globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text46")
end
local info = ChatItemInfo:new()
info.channel = globalData.allStaticTypes.channelType.WORLD_NOTICE
info.message = string.format(globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text47"),campName)
-- globalData.chatItemList:appendChatItem(info)
globalManager.tipsManager.sceneWordTip:showText(info.message)
end
function PlayerNoticeUtils:yuanGuKillMonster2(camp,nick,monsterId,score)
local campName = globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text44")
if(camp == 1)then
campName = globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text45")
elseif(camp == 2)then
campName = globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text46")
end
local info = ChatItemInfo:new()
info.channel = globalData.allStaticTypes.channelType.WORLD_NOTICE
local monsterName = globalData.allTemplates.monsterTemplateList:getMonster(monsterId).name
info.message = string.format(globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text48"),nick, campName, monsterName, tostring(score))
-- globalData.chatItemList:appendChatItem(info)
globalManager.tipsManager.sceneWordTip:showText(info.message)
end
--首充获得物品公告
function PlayerNoticeUtils:firstRewardNotice(playerName,itemList)
local goodsTemplate = nil
local goodsStr = ""
local append = ""
local streng = ""
local append1 = " "
if(#itemList > 0 ) then
for i = 1,#itemList do
goodsTemplate = globalData.allTemplates.goodsTemplateList:getTemplate(itemList[i][1])
if(itemList[i][3] > 0)then
streng = itemList[i][3]
append1 = "[0xFF9900]+" .. streng .. "[-]"
end
if(globalData.allStaticTypes.categoryType:IsFiveEquip(goodsTemplate.categoryId))then
goodsStr = goodsStr .. append1 .. string.format("{7$2002$0$%s$%s$%s$%s$%s}",
globalData.numList[math.ceil(itemList[i][4] / globalData.allTemplates.xiaofeiTemplateList.STAGE_PRE_STAR)] .. globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel45")..((itemList[i][4] - 1) % globalData.allTemplates.xiaofeiTemplateList.STAGE_PRE_STAR + 1)..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel68") .. goodsTemplate.name,
0,
0,
itemList[i][1],
itemList[i][4])
else
goodsStr = goodsStr ..  append1 .. string.format("{7$2002$0$%s$%s$%s$%s$%s}",
goodsTemplate.name.."*"..itemList[i][2],
0,
0,
itemList[i][1],
itemList[i][4])
end
end
append = goodsStr
else
append = " "
end
local info = ChatItemInfo:new()
info.channel = globalData.allStaticTypes.channelType.WORLD_NOTICE
info.message = string.format(globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text52"), playerName, append)
globalData.chatItemList:appendChatItem(info)
end
--一锤定音公告
function PlayerNoticeUtils:yichuiReawardNotice(playerName,itemList)
local info = ChatItemInfo:new()
info.channel = globalData.allStaticTypes.channelType.WORLD_NOTICE
info.message = string.format(globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text53"), playerName)
globalData.chatItemList:appendChatItem(info)
end
--探宝公告
function PlayerNoticeUtils:tanbaoNamedNotice(name)
globalManager.tipsManager.sceneWordTip:showText(string.format(globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text54"), name))
end
--击杀朵朵公告
function PlayerNoticeUtils:killedDuoduo(name)
globalManager.tipsManager.sceneWordTip:showText(string.format(globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text55"), name))
end
--采集橙水晶公告
function PlayerNoticeUtils:getOrangeCrystal(clubName,userName)
local info = ChatItemInfo:new()
info.channel = globalData.allStaticTypes.channelType.WORLD_NOTICE
info.message = string.format(globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text56"), clubName, userName)
globalData.chatItemList:appendChatItem(info)
end
--帮战结束公告
function PlayerNoticeUtils:bangzhanEnd(rank,Wealth)
local info = ChatItemInfo:new()
info.channel = globalData.allStaticTypes.channelType.CLUB
info.message = string.format(globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text57"), rank, Wealth)
globalData.chatItemList:appendChatItem(info)
end
--占领龙魂石公告
function PlayerNoticeUtils:occupationStone(clubName,userName)
local info = ChatItemInfo:new()
info.channel = globalData.allStaticTypes.channelType.WORLD_NOTICE
info.message = string.format(globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text58"), clubName, userName)
globalData.chatItemList:appendChatItem(info)
end
--占领战旗公告
function PlayerNoticeUtils:occupationFlag(clubName,userName,templateId)
local monster = globalData.allTemplates.monsterTemplateList:getMonster(templateId)
local info = ChatItemInfo:new()
info.channel = globalData.allStaticTypes.channelType.WORLD_NOTICE
info.message = string.format(globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text59"), clubName, userName, monster.name)
globalData.chatItemList:appendChatItem(info)
end
--击杀世界Boss（世界、封魔、猎魂）获得物品
function PlayerNoticeUtils:hasKilledBoss(userName,monsterId,templateId)
local monsterTemplate = globalData.allTemplates.monsterTemplateList:getMonster(monsterId)
local sceneId      = monsterTemplate.sceneId
local playerName   = userName
local goodsInfo    = globalData.allTemplates.goodsTemplateList:getTemplate(templateId)
local info = ChatItemInfo:new()
info.channel = globalData.allStaticTypes.channelType.WORLD_NOTICE
if(sceneId == 7101)then
info.message = string.format(globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text60"), playerName, monsterTemplate.name, monsterTemplate.level, globalData.allStaticTypes.colorType:getColorStrByQuality(goodsInfo.quality), goodsInfo.name)
elseif(sceneId >= 2100 and sceneId <= 2110)then
info.message = string.format(globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text61"), playerName, monsterTemplate.name, monsterTemplate.level, globalData.allStaticTypes.colorType:getColorStrByQuality(goodsInfo.quality), goodsInfo.name)
elseif(sceneId >= 2200 and sceneId <= 2214)then
info.message = string.format(globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text62"), playerName, monsterTemplate.name, monsterTemplate.level, globalData.allStaticTypes.colorType:getColorStrByQuality(goodsInfo.quality), goodsInfo.name)
elseif(sceneId >= 1711 and sceneId <= 1715)then
info.message = string.format(globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text63"), playerName, monsterTemplate.name, monsterTemplate.level, globalData.allStaticTypes.colorType:getColorStrByQuality(goodsInfo.quality), goodsInfo.name)
end
globalData.chatItemList:appendChatItem(info)
end
--创建帮派公告
function PlayerNoticeUtils:createClub(userId,playerName,clubName)
local info = ChatItemInfo:new()
info.channel = globalData.allStaticTypes.channelType.WORLD_NOTICE
info.message = string.format(globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text64"), playerName, clubName)
globalData.chatItemList:appendChatItem(info)
end
--帮战结束公告
function PlayerNoticeUtils:leagueWarEnd(wealth)
local info = ChatItemInfo:new()
info.channel = globalData.allStaticTypes.channelType.CLUB_NOTICE
info.message = string.format(globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text65"), wealth)
globalData.chatItemList:appendChatItem(info)
end
--充值转盘公告
function PlayerNoticeUtils:yuanbaoZhuanpan(playerName,templateId,count)
local info = ChatItemInfo:new()
local goodsInfo    = globalData.allTemplates.goodsTemplateList:getTemplate(templateId)
info.channel = globalData.allStaticTypes.channelType.WORLD_NOTICE
info.message = string.format(globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text66"), playerName, globalData.allStaticTypes.colorType.ITEMCOLOR4_STR, goodsInfo.name, count)
globalData.chatItemList:appendChatItem(info)
end
--结婚
function PlayerNoticeUtils:marryNotice(name1,name2,type)
local info = ChatItemInfo:new()
info.channel = globalData.allStaticTypes.channelType.WORLD_NOTICE
local itemName = "["..globalData.allStaticTypes.colorType:getColorStrByQuality(type + 2).."]"
local tipStr = ""
if(type == 1) then
itemName = string.format(globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text67"), itemName)
tipStr = globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text68")
elseif(type == 2) then
itemName = string.format(globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text69"), itemName)
tipStr = globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text70")
else
itemName = string.format(globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text71"), itemName)
tipStr = globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text72")
end
info.message = string.format(globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text73"), name1, name2, itemName, tipStr)
globalData.chatItemList:appendChatItem(info)
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_flyflower,globalManager.gameDispatcher,1))
end
--离婚
function PlayerNoticeUtils:marryBreak(name1,name2)
local info = ChatItemInfo:new()
info.channel = globalData.allStaticTypes.channelType.WORLD_NOTICE
info.message = string.format(globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text74"), name1, name2)
globalData.chatItemList:appendChatItem(info)
end
function PlayerNoticeUtils:sendFlower(name1,type,name2)
local info = ChatItemInfo:new()
info.channel = globalData.allStaticTypes.channelType.WORLD_NOTICE
local flowerInfo = globalData.allTemplates.goodsTemplateList:getTemplate(type)
info.message = string.format(globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text75"), name1, name2, globalData.allStaticTypes.colorType:getColorStrByQuality(flowerInfo.quality), flowerInfo.name)
globalData.chatItemList:appendChatItem(info)
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_flyflower,globalManager.gameDispatcher,1))
end
function PlayerNoticeUtils:sendYanhua(name1,type,name2)
if(type ~= 160599)then
local info = ChatItemInfo:new()
info.channel = globalData.allStaticTypes.channelType.WORLD_NOTICE
local yanhuaInfo = globalData.allTemplates.goodsTemplateList:getTemplate(type)
info.message = string.format(globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text99"), name1, name2, globalData.allStaticTypes.colorType:getColorStrByQuality(yanhuaInfo.quality), yanhuaInfo.name)
globalData.chatItemList:appendChatItem(info)
end
local flyType = 97
if(type == 160599)then
flyType = 97
elseif(type == 160600)then
flyType = 98
elseif(type == 160601)then
flyType = 99
end
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_flyflower,globalManager.gameDispatcher,flyType))
end
--仙缘升阶
function PlayerNoticeUtils:XianYuanUpLevel(name,type)
local info = ChatItemInfo:new()
info.channel = globalData.allStaticTypes.channelType.WORLD_NOTICE
local stageName = {globalManager.yuyanbaoManager:getYuyanbao("XianYuanPanel.text1"),
globalManager.yuyanbaoManager:getYuyanbao("XianYuanPanel.text2"),
globalManager.yuyanbaoManager:getYuyanbao("XianYuanPanel.text3"),
globalManager.yuyanbaoManager:getYuyanbao("XianYuanPanel.text4"),
globalManager.yuyanbaoManager:getYuyanbao("XianYuanPanel.text5"),
globalManager.yuyanbaoManager:getYuyanbao("XianYuanPanel.text6"),
globalManager.yuyanbaoManager:getYuyanbao("XianYuanPanel.text7"),
globalManager.yuyanbaoManager:getYuyanbao("XianYuanPanel.text8"),
globalManager.yuyanbaoManager:getYuyanbao("XianYuanPanel.text9"),
globalManager.yuyanbaoManager:getYuyanbao("XianYuanPanel.text10")}
local text = nil
if(type == 3 or type ==4 )then
text = string.format(globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text76"), globalData.allStaticTypes.colorType.ITEMCOLOR3_STR, type, stageName[type])
elseif(type == 5 or type ==6)then
text = string.format(globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text76"), globalData.allStaticTypes.colorType.ITEMCOLOR4_STR, type, stageName[type])
elseif(type == 7 or type ==8)then
text = string.format(globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text76"), globalData.allStaticTypes.colorType.ITEMCOLOR5_STR, type, stageName[type])
elseif(type == 9 or type ==10)then
text = string.format(globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text76"), globalData.allStaticTypes.colorType.ITEMCOLOR6_STR, type, stageName[type])
end
if(text ~= nil)then
info.message = string.format(globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text77"), name, text)
globalData.chatItemList:appendChatItem(info)
end
end
--击杀跨服Boss
function PlayerNoticeUtils:killedCrossBossInfo(serverId,userName,bossId)
local info = ChatItemInfo:new()
info.channel = globalData.allStaticTypes.channelType.WORLD_NOTICE
local monsterTemplate = globalData.allTemplates.monsterTemplateList:getMonster(bossId)
info.message = string.format(globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text78"), userName, monsterTemplate.name)
globalData.chatItemList:appendChatItem(info)
end
--跨服boss奖励
function PlayerNoticeUtils:crossBossAward(monsterId,templateId,userName,serverId)
local info = ChatItemInfo:new()
info.channel = globalData.allStaticTypes.channelType.WORLD_NOTICE
local monsterTemplate = globalData.allTemplates.monsterTemplateList:getMonster(monsterId)
local goodsInfo    = globalData.allTemplates.goodsTemplateList:getTemplate(templateId)
info.message = string.format(globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text79"), userName, monsterTemplate.name, globalData.allStaticTypes.colorType:getColorStrByQuality(goodsInfo.quality), goodsInfo.name)
globalData.chatItemList:appendChatItem(info)
end
--消费送礼公告
function PlayerNoticeUtils:consumenNotice(consumenId,userName)
local info = ChatItemInfo:new()
info.channel = globalData.allStaticTypes.channelType.WORLD_NOTICE
local template = globalData.allTemplates.consumenGiftTemplateList:getTemplate(2,consumenId)
local append = ""
for i = 1,#template.itemList,1 do
local goodsInfo    = globalData.allTemplates.goodsTemplateList:getTemplate(template.itemList[i][1])
if(template.itemList[i][2] > 10000)then
append = string.format(globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text80"), goodsInfo.name, tostring(template.itemList[i][2] * 0.0001), append)
else
append = goodsInfo.name .. "*" ..template.itemList[i][2] .. "  ".. append
end
end
info.message = string.format(globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text81"), userName, append)
globalData.chatItemList:appendChatItem(info)
end
--跨服Boss出现
function PlayerNoticeUtils:crossBossComeHere(bossId)
local info = ChatItemInfo:new()
info.channel = globalData.allStaticTypes.channelType.WORLD_NOTICE
local monsterTemplate = globalData.allTemplates.monsterTemplateList:getMonster(bossId)
info.message = string.format(globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text82"), monsterTemplate.name)
globalData.chatItemList:appendChatItem(info)
end
--帮派boss物品掉落
function PlayerNoticeUtils:leagueBossGoodsInfo(clubName,bossName,awardList)
local info = ChatItemInfo:new()
info.channel = globalData.allStaticTypes.channelType.WORLD_NOTICE
local append = ""
for i = 1,#awardList,1 do
local goodsTemplate = globalData.allTemplates.goodsTemplateList:getTemplate(awardList[i][1])
append = "[".. globalData.allStaticTypes.colorType:getColorStrByQuality(goodsTemplate.quality) .."]".. goodsTemplate.name .. "*" .. awardList[i][2] .. "[-]" .. append
end
info.message = string.format(globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text83"), clubName, bossName, append)
globalData.chatItemList:appendChatItem(info)
end
--神秘商店购买公告
function PlayerNoticeUtils:shenMiShopNotice(playerInfo,shopId)
local info = ChatItemInfo:new()
info.channel = globalData.allStaticTypes.channelType.WORLD_NOTICE
local nameStr = globalManager.commonUtils:getPlayerTriggerStr(playerInfo)
local shopTemplate = globalData.allTemplates.mysticalShopTemplateList:getTemplate(shopId)
local append = ""
for i = 1,#shopTemplate.itemList,1 do
local goodsTemplate = globalData.allTemplates.goodsTemplateList:getTemplate(shopTemplate.itemList[i][1])
append = "[".. globalData.allStaticTypes.colorType:getColorStrByQuality(goodsTemplate.quality) .."]".. goodsTemplate.name .. "*" .. shopTemplate.itemList[i][2] .. "[-]" .. append
end
info.message =  string.format(globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text84"), nameStr, append)
globalData.chatItemList:appendChatItem(info)
end
--vip商店购买公告
function PlayerNoticeUtils:vipScoreMallNotice(playerInfo,shopId)
local info = ChatItemInfo:new()
info.channel = globalData.allStaticTypes.channelType.WORLD_NOTICE
local nameStr = globalManager.commonUtils:getPlayerTriggerStr(playerInfo)
local shopTemplate = globalData.allTemplates.vipMallTemplateList:getTemplate(shopId)
local append = ""
for i = 1,#shopTemplate.itemList,1 do
local goodsTemplate = globalData.allTemplates.goodsTemplateList:getTemplate(shopTemplate.itemList[i][1])
append = "[".. globalData.allStaticTypes.colorType:getColorStrByQuality(goodsTemplate.quality) .."]".. goodsTemplate.name .. "*" .. shopTemplate.itemList[i][2] .. "[-]" .. append
end
info.message =  string.format(globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text85"), nameStr, append)
globalData.chatItemList:appendChatItem(info)
end
--成长计划公告
function PlayerNoticeUtils:growUpPlanNotice(nickName,awardList)
local info = ChatItemInfo:new()
info.channel = globalData.allStaticTypes.channelType.WORLD_NOTICE
local append = ""
for i = 1,#awardList,1 do
local goodsTemplate = globalData.allTemplates.goodsTemplateList:getTemplate(awardList[i][1])
local count  = awardList[i][2]
if(count > 10000)then
count = awardList[i][2] * 0.0001 ..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel44")
end
append = "[".. globalData.allStaticTypes.colorType:getColorStrByQuality(goodsTemplate.quality) .."]".. goodsTemplate.name .. "*" .. count .. "[-]" .. append
end
info.message = string.format(globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text86"), nickName, append)
globalData.chatItemList:appendChatItem(info)
end
--寻宝转盘公告
function PlayerNoticeUtils:combinedZhuanpanNotice(nickName,awardList)
local info = ChatItemInfo:new()
info.channel = globalData.allStaticTypes.channelType.WORLD_NOTICE
local append = ""
for i = 1,#awardList,1 do
local goodsTemplate = globalData.allTemplates.goodsTemplateList:getTemplate(awardList[i][1])
local count  = awardList[i][2]
if(count > 10000)then
count = awardList[i][2] * 0.0001 ..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel44")
end
append = "[".. globalData.allStaticTypes.colorType:getColorStrByQuality(goodsTemplate.quality) .."]".. goodsTemplate.name .. "*" .. count .. "[-]" .. append
end
info.message = string.format(globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text87"), nickName, append)
globalData.chatItemList:appendChatItem(info)
end
--混沌战场采集水晶紫字提示
function PlayerNoticeUtils:chaosCollectNotice(campType,userName,collectId)
local camp = ""
if(campType == 1)then
camp = globalManager.yuyanbaoManager:getYuyanbao("ChaosFollowPanel.text4")
else
camp = globalManager.yuyanbaoManager:getYuyanbao("ChaosFollowPanel.text3")
end
local collcetName = globalData.allTemplates.collectTemplateList:getCollect(collectId).name
local text = string.format(globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text88"),camp,userName,collcetName)
globalManager.tipsManager.sceneWordTip:showText(text)
end
--开箱子稀有物品公告
function PlayerNoticeUtils:openBoxNotice(nickName,boxTemplateId,templateId,amount,streng,stage)
local magicBoxInfo = globalData.allTemplates.goodsTemplateList:getTemplate(boxTemplateId)
local goodsInfo    = globalData.allTemplates.goodsTemplateList:getTemplate(templateId)
local color        = globalData.allStaticTypes.colorType:getColorStrByQuality(goodsInfo.quality)
local str          = " "
if(streng >= 1)then
str = "+" .. streng
else
str = " "
end
local info   = ChatItemInfo:new()
info.channel = globalData.allStaticTypes.channelType.WORLD_NOTICE
local awardName = nil
if(globalData.allStaticTypes.categoryType:IsFiveEquip(goodsInfo.categoryId))then
awardName = "[" .. color .. "]" .. globalData.numList[math.ceil(stage / globalData.allTemplates.xiaofeiTemplateList.STAGE_PRE_STAR)]
.. globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel45")
..((stage - 1) % globalData.allTemplates.xiaofeiTemplateList.STAGE_PRE_STAR + 1)
..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel68")
.. goodsInfo.name .. str .. "*".. amount .."[-]!"
else
awardName = "[" .. color .. "]" .. goodsInfo.name .. str .. "*".. amount .."[-]!"
end
info.message = string.format(globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text50"), nickName, magicBoxInfo.name, awardName)
globalData.chatItemList:appendChatItem(info)
end
function PlayerNoticeUtils:oathNotice(name1, name2, name3, oathId)
-- body
local info = ChatItemInfo:new()
info.channel = globalData.allStaticTypes.channelType.WORLD_NOTICE
info.message = string.format(globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text89"), name1, name2, name3)
globalData.chatItemList:appendChatItem(info)
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_flyflower,globalManager.gameDispatcher,2))
end
function PlayerNoticeUtils:jinHuaNotice(nickName,equipName,starLevel,fightValue,type)
local info = ChatItemInfo:new()
info.channel = globalData.allStaticTypes.channelType.WORLD_NOTICE
local str1   = self:getPlusName(starLevel - 1)
local str2   = self:getPlusName(starLevel)
local tempStr = ""
if(type == 1)then
tempStr = string.format(globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text90"), "2$1699$0$")
elseif(type == 2)then
tempStr = string.format(globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text90"), "2$1695$0$")
elseif(type == 3)then
tempStr = string.format(globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text90"), "2$1702$0$")
elseif(type == 6)then
tempStr = string.format(globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text90"), "2$1705$0$")
end
info.message = string.format(globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text91"), nickName, equipName, str1, equipName, str2, fightValue, tempStr)
globalData.chatItemList:appendChatItem(info)
end
function PlayerNoticeUtils:getPlusName(tempStar)
local starName = ""
if(tempStar == 0)then
starName = ""
elseif(tempStar == 1)then
starName = string.format(" · %s", tempStar .. globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text92"))
elseif(tempStar == 2)then
starName = string.format(" · %s", tempStar .. globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text92"))
elseif(tempStar == 3)then
starName = string.format(" · %s", tempStar .. globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text92"))
elseif(tempStar == 4)then
starName = string.format(" · %s", tempStar .. globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text92"))
elseif(tempStar == 5)then
starName = string.format(" · %s", tempStar .. globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text92"))
end
return  starName
end
function PlayerNoticeUtils:xinfukuizeng(nickName, goodsList)
local info = ChatItemInfo:new()
info.channel = globalData.allStaticTypes.channelType.WORLD_NOTICE
local goodsName = ""
for i = 1 ,#goodsList do
local goods = globalData.allTemplates.goodsTemplateList:getTemplate(goodsList[i].templateId)
if(goods ~= nil) then
goodsName = goodsName .. goods.name .. "*" .. goodsList[i].amount
if(i ~= #goodsList)then
goodsName = goodsName.."，"
end
end
end
info.message = string.format(globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text97"),nickName,goodsName)
globalData.chatItemList:appendChatItem(info)
end
function PlayerNoticeUtils:farmHarvest(userName,type)
local info = ChatItemInfo:new()
info.channel = globalData.allStaticTypes.channelType.WORLD_NOTICE
local tempStr = ""
if(type == 1)then
tempStr = globalManager.yuyanbaoManager:getYuyanbao("SeedShopPanel.text1")
elseif(type == 2)then
tempStr = globalManager.yuyanbaoManager:getYuyanbao("SeedShopPanel.text2")
elseif(type == 3)then
tempStr = globalManager.yuyanbaoManager:getYuyanbao("SeedShopPanel.text3")
end
info.message = string.format(globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text98"),userName,tempStr)
globalData.chatItemList:appendChatItem(info)
end
function PlayerNoticeUtils:sanDaCopy(serverId,nickName,goodsTemplateId)
local info = ChatItemInfo:new()
info.channel = globalData.allStaticTypes.channelType.WORLD_NOTICE
local goodsTemplate = globalData.allTemplates.goodsTemplateList:getTemplate(goodsTemplateId)
local color = globalData.allStaticTypes.colorType:getColorStrByQuality(goodsTemplate.quality)
info.message = string.format(globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text100"),serverId,nickName,color,goodsTemplate.name)
globalData.chatItemList:appendChatItem(info)
end
function PlayerNoticeUtils:sendRedPakectInfo(nickName,goldNum,arenaType)
local info = ChatItemInfo:new()
info.channel = globalData.allStaticTypes.channelType.WORLD_NOTICE
local arenaName = ""
if(arenaType == 1)then
arenaName = globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text104")
elseif(arenaType == 2)then
arenaName = globalManager.yuyanbaoManager:getYuyanbao("PanelTabGroupType.text25")
end
info.message = string.format(globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text101"),nickName,goldNum,arenaName)
globalData.chatItemList:appendChatItem(info)
end
function PlayerNoticeUtils:getBestRedPakectInfo(nickName,goodsType,goodsNum)
local info = ChatItemInfo:new()
info.channel = globalData.allStaticTypes.channelType.WORLD_NOTICE
local goodsName = ""
if(goodsType == 1)then --钻石
goodsName = globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel58")
elseif(goodsType == 2)then --绑钻
goodsName = globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text103")
elseif(goodsType == 3)then --铜币
goodsName = globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel67")
end
local goodsNumName = ""
if(goodsNum > 9999)then
goodsNumName = string.format(globalManager.yuyanbaoManager:getYuyanbao("OpenView6sItem.text2"),goodsNum * 0.0001)
else
goodsNumName = goodsNum
end
local name = goodsNumName .. goodsName
info.message = string.format(globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text102"),nickName,name)
globalData.chatItemList:appendChatItem(info)
end
function PlayerNoticeUtils:yuanXiaoDaTiNotice()
local info = ChatItemInfo:new()
info.channel = globalData.allStaticTypes.channelType.WORLD_NOTICE
info.message = globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text105")
globalData.chatItemList:appendChatItem(info)
end
ResourceUpdateUtil = class("ResourceUpdateUtil", function(_, downCompleteCall, isSlient)
local bg = cc.Sprite:create("res/GameUI"..globalData.config.trunkType.."/outPic/login_loadingBg.png")
local self = UpdateView:new(bg, globalData.config)
-- isSlient:显示下载（1），后台下载（2）
self.isSlient = isSlient or 1
self._packKey = "EXT_PACKET_DOWNLOAD"
self.mgr = nil
self.bg = bg
self._updatePaths = nil
self._currentItem = nil
self.downCompleteCall = downCompleteCall
self.config = globalData.config
self.sdkid = self.config.sdkId
self.downUrls = self.config.downUrls
if(self.sdkid == 0) then
self.downPath = "http://res.sdbgj.m.37.com/resource/pkgs/"
-- self.downPath = "http://127.0.0.1:8889/"
else
self.downPath = self.downUrls[1]
end
self.__updateViewDispose = self.dispose
-- 扩展包直接下到根目录下，避免每次都下载
self._writablePath = cc.FileUtils:getInstance():getWritablePath()
-- 保存临时压缩包
self._packFileName = "plusPackage.zip"
self._updateCount = 0
self._tryTime = 3
self.percentPast = -1
return self
end)
function ResourceUpdateUtil:checkUpdate()
print("#扩展包检测更新", self.isSlient, globalData:getNetworkState())
-- 从userdefault里面读取要下载的包 or 从globalData里面获取
local codes = {}
if self.isSlient == 1 or (self.isSlient == 2 and globalData:getNetworkState() == 2) then
local currentVer = 0
local passVer = tonumber(string.sub(globalData.packResVersion, 2))
print("#passVer", passVer, unpack(globalData.packString))
for i = 1, #globalData.packString do
currentVer = tonumber(string.sub(globalData.packString[i], 2))
if currentVer > passVer then
table.insert(codes, { v = currentVer, p = globalData.packString[i] } )
end
end
end
print("#download packs", unpack(codes))
if #codes == 0 then
self:updateComplete(0)
else
self._updatePaths = codes
self._updateCount = #self._updatePaths
self:updateComplete(1)
end
end
function ResourceUpdateUtil:update()
self:initView()
self:initEvent()
self:updateNext()
end
function ResourceUpdateUtil:updateComplete(need)
print("#是否需要版本更新", need)
self.downCompleteCall(need)
if need ~= 1 then
self:dispose()
end
end
function ResourceUpdateUtil:initEvent()
-- interface
-- local percentPast = -1
local function redownload()
if self._tryTime > 0 then
self._tryTime = self._tryTime - 1
self.config:writeKV(self._packKey, "" )
table.insert(self._updatePaths, 1, self._currentItem)
self.mgr:removeDownloadPacket()
self:updateNext()
end
end
local function error(errorCode)
print("#error", errorCode)
if errorCode == 0 then
--创建文件失败,直接提示
-- self:showError(0)
self:setNowProgress(self.percentPast, "!")
redownload()
elseif errorCode == 1 then
--网络问题
--提示，并且重新下载
-- self:showError(1)
self:setNowProgress(self.percentPast, "!.")
redownload()
elseif errorCode == 2 then
--没有新版本
self:setNowProgress(self.percentPast, "!..")
self:updateComplete(0)
elseif errorCode == 3 then
--解压缩失败,重新下载
self:setNowProgress(self.percentPast, "!...")
redownload()
end
end
local function progress(percent)
self:setNowProgress(percent, "..")
-- percent = math.ceil( percent * 90 / 100 )
-- if percent ~= percentPast then
--     self:setProgress(percent)
--     self:setTips(globalManager.yuyanbaoManager:getYuyanbao("ResourceUpdateUtil.text1")..self._currentItem.p.."("..(self._updateCount - #self._updatePaths).."/"..self._updateCount.."),"..globalManager.yuyanbaoManager:getYuyanbao("ResourceUpdateUtil.text2")..percent.."%...")
--     percentPast = percent
-- end
-- percent 有可能是解压缩出错
end
--status: 1:全部完成, 2:全部开始, 3:单个开始, 4:单个结束, 5:解压开始, 6:解压结束
local function success(status, val)
if status == 4 then
--存储下载版本号?
self.config:writeKV(self._packKey, tostring(self._currentItem.v) )
globalData:setExtImageLoaded("b" .. tonumber(self._currentItem.v))
--开始解压
self.mgr:uncompress()
elseif status == 5 then
self:setNowProgress(self.percentPast, "...")
-- self:setTips(globalManager.yuyanbaoManager:getYuyanbao("ResourceUpdateUtil.text3")..self._currentItem.p.."("..(self._updateCount - #self._updatePaths).."/"..self._updateCount..")...")
elseif status == 6 then
--删除下载的文件?
self.mgr:removeDownloadPacket()
self.config:writeKV(self._packKey, "" )  --清掉下载版本号
--删除下载的版本号
self:updateNext()
end
end
self.mgr = AssetsUpdateMgr:create(error, progress, success)
self.mgr:removeDownloadPacket()
if self.mgr.setTempZipFile ~= nil then
self.mgr:setTempZipFile(self._packFileName)
self.mgr:setWritablePath(self._writablePath)
self.mgr:setUncompressFilePath(self._writablePath)
end
end
function ResourceUpdateUtil:updateNext()
-- body
if self.isSlient == 2 and globalData:getNetworkState() ~= 2 then
self:updateComplete(3)
self._currentItem = nil
elseif self._updatePaths ~= nil and #self._updatePaths > 0 then
-- self:setTips(globalManager.yuyanbaoManager:getYuyanbao("ResourceUpdateUtil.text4"))
self._currentItem = table.remove(self._updatePaths, 1)
self:setNowProgress(self.percentPast, ".")
print("#self._currentItem", self._currentItem.v, self._currentItem.p)
local pastDownVal = self.config:readKV(self._packKey)
local pastDown = 0
if pastDownVal ~= nil and pastDownVal ~= "" then
pastDown = tonumber(pastDownVal)
end
print("#pastDown", pastDown, self._currentItem.v)
if pastDown > 0 and pastDown == self._currentItem.v then
--要下载的版本包已经在本地, 开始解压
self.mgr:uncompress()
else
local downloadFile = self.downPath..self._currentItem.p..".zip?"..tostring(math.random(1,100000))
print("#load", downloadFile)
self.mgr:download( downloadFile )
end
else
self:setTips(globalManager.yuyanbaoManager:getYuyanbao("ResourceUpdateUtil.text5"))
self:updateComplete(2)
self._currentItem = nil
end
end
function ResourceUpdateUtil:setNowProgress( percent, addStr )
addStr = addStr or ""
local idx = self._updateCount - #self._updatePaths
local count = self._updateCount
if addStr == ".." then
local tpercent = math.ceil((idx -1) / count * 100)
percent = tpercent + math.ceil( percent * (100 / count) / 100 )
percent = math.min(100, math.max(self.percentPast, percent))
self:setProgress(percent)
end
local tipStr = string.format(globalManager.yuyanbaoManager:getYuyanbao("ResourceUpdateUtil.text1"), self._currentItem.p, idx, count, percent, addStr)
--"攻城狮们正在努力下载更新包%s(%s/%s),进度为%s%%s"
--"攻城狮们正在努力下载更新包"..self._currentItem.p.."("..idx.."/"..count.."),进度为"..percent.."%"..addStr
-- print("#tipStr", tipStr)
self:setTips(tipStr)
self.percentPast = percent
end
function ResourceUpdateUtil:initView()
-- init message
self:setProgress(100)
self:setTips(globalManager.yuyanbaoManager:getYuyanbao("ResourceUpdateUtil.text6"))
if self.isSlient == 1 then
-- globalManager.containerManager.tipContainer:addChild(self,99)
self:addToView()
end
end
function ResourceUpdateUtil:addToView()
globalManager.containerManager.tipContainer:addChild(self,99)
end
function ResourceUpdateUtil:dispose()
self.mgr = nil
self._updatePaths = nil
self._currentItem = nil
self.downCompleteCall = nil
self.config = nil
self.downPath = nil
self._updateCount = 0
if self.__updateViewDispose ~= nil then
self.__updateViewDispose(self)
self.__updateViewDispose = nil
end
if self.bg ~= nil then
-- self.bg:release()
self.bg = nil
end
end
SkillUtils = class("SkillUtils",function(self)
local temp = {}
temp.itemNum = 0
return temp
end)
--检测是否满足技能升级条件
--param skill:SkillTemplateInfo  return bool
function SkillUtils:checkCanUpgrade(skill,isShowTip)
local level = 1
local skillInfo = globalData.skillList:getSkillByGroupId(skill.templateId)
if(skillInfo ~= nil) then
level = skillInfo.level + 1
end
if(level > skill.totalLevel) then return false end
if(skill.upgradeNeedLevel[level] > globalData.selfPlayerInfo.level) then
if(isShowTip) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("SkillUtils.text1"))
end
return false
end
if(skill.needCopper[level] > globalData.selfPlayerInfo.moneyInfo.copper) then return false end
local needCount = skill.needItem[level]
if(skill.needCareer ==  globalData.allStaticTypes.careerType:getCareer(globalData.selfPlayerInfo.career))then
self.itemNum = globalData.goodsInfoList:getGoodsCount(globalData.allStaticTypes.categoryType.SKILL_BOOK,1)
elseif(skill.upgradeNeedCon[1] == 1)then
if(skillInfo == nil)then
needCount = skill.wakeUpItem[1][2]
self.itemNum = globalData.goodsInfoList:getGoodsCount(skill.wakeUpItem[1][1],1)
else
self.itemNum = globalData.goodsInfoList:getGoodsCount(skill.needItemBooks[1],1)
end
end
if(needCount ~= nil and needCount > self.itemNum) then
if(isShowTip) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("SkillUtils.text2"))
end
return false
end
if(skill.needSkill == nil) then return true end
local preList = skill.needSkill[level]
if(preList == nil) then return true end
for i,info in pairs(preList) do
local skillInfo = info
local preSkill = globalData.skillInfo:getSkillByGroupId(skillInfo["skillId"])
if(preSkill == nil or preSkill.level < skillInfo["level"]) then return false end
end
return true
end
--升级时判断是否有新技能可学
function SkillUtils:levelUpCheck()
if(globalData.selfPlayerInfo.career == 0) then return end
local level = globalData.selfPlayerInfo.level
local tmpList = globalData.allTemplates.skillTemplateList:getCareerSkill(globalData.allStaticTypes.careerType:getCareer(globalData.selfPlayerInfo.career))
for i,tmp in pairs(tmpList) do
if(tmp.isDefault ~= true) then
local skill = globalData.skillList:getSkillByGroupId(tmp.templateId)
local skillLevel = 0
if(skill ~= nil) then skillLevel = skill.level end
if(tmp.upgradeNeedLevel[skillLevel + 1] ~= nil and level >= tmp.upgradeNeedLevel[skillLevel + 1]) then
globalData.messageAdder:sendSkillLearn(tmp.templateId)
end
end
end
end
--金币、历练、等级变化时，检测是否有技能可学并显示在快捷图标栏
function SkillUtils:skillUpgradeCheck()
if(globalData.selfPlayerInfo.career == 0) then return false end
local selfCopper = globalData.selfPlayerInfo.moneyInfo.copper
local selfLevel = globalData.selfPlayerInfo.level
--检测职业技能
self.itemNum = globalData.goodsInfoList:getGoodsCount(globalData.allStaticTypes.categoryType.SKILL_BOOK,1)
local tmpList = globalData.allTemplates.skillTemplateList:getCareerSkill(globalData.allStaticTypes.careerType:getCareer(globalData.selfPlayerInfo.career))
for i,tmp in pairs(tmpList) do
local skill = globalData.skillList:getSkillByGroupId(tmp.templateId)
if(skill ~= nil
and skill.level < skill:getTemplate().totalLevel
and skill:getTemplate().upgradeNeedLevel[skill.level + 1] <= selfLevel
and skill:getTemplate().needCopper[skill.level + 1] <= selfCopper
and (skill:getTemplate().needItem[skill.level + 1] == nil or skill:getTemplate().needItem[skill.level + 1] <= self.itemNum)) then
return true
end
end
--检测通用技能
if(globalData.selfPlayerInfo.career > 10)then
local commonSkillList = globalData.allTemplates.skillTemplateList:getCommontSkill()
local itemNum = 0
for i,tmp in pairs(commonSkillList) do
local skill = globalData.skillList:getSkillByGroupId(tmp.templateId)
if(skill ~= nil)then
itemNum = globalData.goodsInfoList:getGoodsCount(tmp.needItemBooks[1],1)
if(skill.level < skill:getTemplate().totalLevel
and skill:getTemplate().upgradeNeedLevel[skill.level + 1] <= selfLevel
and skill:getTemplate().needCopper[skill.level + 1] <= selfCopper
and (skill:getTemplate().needItem[skill.level + 1] == nil or skill:getTemplate().needItem[skill.level + 1] <= itemNum)) then
return true
end
else
needCount = tmp.wakeUpItem[1][2]
itemNum = globalData.goodsInfoList:getGoodsCount(tmp.wakeUpItem[1][1],1)
if(tmp.wakeUpItem[1][2] <= itemNum) then
return true
end
end
end
return false
end
end
--获取一键升级数据
function SkillUtils:getSkillCanUpgradeAll()
local result = {}
if(globalData.selfPlayerInfo.career == 0) then return result end
local needCopper = 0
local needItem = 0
self.itemNum = globalData.goodsInfoList:getGoodsCount(globalData.allStaticTypes.categoryType.SKILL_BOOK,1)
local tmpList = globalData.allTemplates.skillTemplateList:getCareerSkill(globalData.allStaticTypes.careerType:getCareer(globalData.selfPlayerInfo.career))
local skillIndexArr = {}
for __,tmp in pairs(tmpList) do
local skill = globalData.skillList:getSkillByGroupId(tmp.templateId)
local info = {}
if(skill == nil and tmp.upgradeNeedLevel[1] <= globalData.selfPlayerInfo.level) then
info["level"] = 1
info["skillId"] = tmp.templateId
info["addLv"] = 1
self:checkSkillLevel(skillIndexArr,tmp,info,needCopper,needItem)
table.insert(skillIndexArr,info)
elseif(skill ~= nil and skill.level < tmp.totalLevel and tmp.upgradeNeedLevel[skill.level + 1] <= globalData.selfPlayerInfo.level) then
if(tmp.needCopper[skill.level + 1] + needCopper <= globalData.selfPlayerInfo.moneyInfo.copper and
(tmp.needItem[skill.level + 1] == nil or tmp.needItem[skill.level + 1] + needItem <= self.itemNum)) then
needCopper = tmp.needCopper[skill.level + 1] + needCopper
if(tmp.needItem[skill.level + 1] ~= nil) then
needItem = tmp.needItem[skill.level + 1] + needItem
end
info["level"] = skill.level + 1
info["skillId"] = tmp.templateId
info["addLv"] = 1
self:checkSkillLevel(skillIndexArr,tmp,info,needCopper,needItem)
table.insert(skillIndexArr,info)
end
end
end
return skillIndexArr
end
function SkillUtils:checkSkillLevel(skillIndexArr,tmplateInfo,obj,needCopper,needItem)
if(obj["level"] >= tmplateInfo.totalLevel) then return end
if(tmplateInfo.upgradeNeedLevel[obj["level"] + 1] <= globalData.selfPlayerInfo.level and
tmplateInfo.needCopper[obj["level"] + 1] + needCopper <= globalData.selfPlayerInfo.moneyInfo.copper and
(tmplateInfo.needItem[obj["level"] + 1] == nil or tmplateInfo.needItem[obj["level"] + 1] + needItem <= self.itemNum)) then
needCopper = tmplateInfo.needCopper[obj["level"] + 1] + needCopper
if(tmplateInfo.needItem[obj["level"] + 1] ~= nil) then
needItem = tmplateInfo.needItem[obj["level"] + 1] + needItem
end
obj["level"] = obj["level"] + 1
obj["addLv"] = obj["addLv"] + 1
self:checkSkillLevel(skillIndexArr,tmplateInfo,obj,needCopper,needItem)
end
end
--##globalManager.utf8
-- $Id: utf8.lua 147 2007-01-04 00:57:00Z pasta $
--
-- Provides UTF-8 aware string functions implemented in pure lua:
-- * string.utf8len(s)
-- * string.utf8sub(s, i, j)
-- * string.utf8reverse(s)
--
-- If utf8data.lua (containing the lower<->upper case mappings) is loaded, these
-- additional functions are available:
-- * string.utf8upper(s)
-- * string.utf8lower(s)
--
-- All functions behave as their non UTF-8 aware counterparts with the exception
-- that UTF-8 characters are used instead of bytes for all units.
--[[
Copyright (c) 2006-2007, Kyle Smith
All rights reserved.
Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are met:
* Redistributions of source code must retain the above copyright notice,
this list of conditions and the following disclaimer.
* Redistributions in binary form must reproduce the above copyright
notice, this list of conditions and the following disclaimer in the
documentation and/or other materials provided with the distribution.
* Neither the name of the author nor the names of its contributors may be
used to endorse or promote products derived from this software without
specific prior written permission.
THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE
FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
--]]
-- ABNF from RFC 3629
--
-- UTF8-octets = *( UTF8-char )
-- UTF8-char   = UTF8-1 / UTF8-2 / UTF8-3 / UTF8-4
-- UTF8-1      = %x00-7F
-- UTF8-2      = %xC2-DF UTF8-tail
-- UTF8-3      = %xE0 %xA0-BF UTF8-tail / %xE1-EC 2( UTF8-tail ) /
--               %xED %x80-9F UTF8-tail / %xEE-EF 2( UTF8-tail )
-- UTF8-4      = %xF0 %x90-BF 2( UTF8-tail ) / %xF1-F3 3( UTF8-tail ) /
--               %xF4 %x80-8F 2( UTF8-tail )
-- UTF8-tail   = %x80-BF
--
utf8 = class("utf8",function()
return {}
end)
function utf8:check(s)
local len = #s
local i = 1
while i <= len do
local c = self:checkAChar(s,i)
if(c == -1)then return false end
i = i + c
end
return true
end
function utf8:checkAChar(s,i)
-- argument defaults
i = i or 1
local c = s:byte(i)
if c > 0 and c <= 127 then
return 1
elseif c >= 194 and c <= 223 then
-- UTF8-2
local c2 = s:byte(i + 1)
if not c2 then
return -1
end
-- validate byte 2
if c2 < 128 or c2 > 191 then
return -1
end
return 2
elseif c >= 224 and c <= 239 then
-- UTF8-3
local c2 = s:byte(i + 1)
local c3 = s:byte(i + 2)
if not c2 or not c3 then
return -1
end
-- validate byte 2
if c == 224 and (c2 < 160 or c2 > 191) then
return -1
elseif c == 237 and (c2 < 128 or c2 > 159) then
return -1
elseif c2 < 128 or c2 > 191 then
return -1
end
-- validate byte 3
if c3 < 128 or c3 > 191 then
return -1
end
return 3
elseif c >= 240 and c <= 244 then
-- UTF8-4
local c2 = s:byte(i + 1)
local c3 = s:byte(i + 2)
local c4 = s:byte(i + 3)
if not c2 or not c3 or not c4 then
return -1
end
-- validate byte 2
if c == 240 and (c2 < 144 or c2 > 191) then
return -1
elseif c == 244 and (c2 < 128 or c2 > 143) then
return -1
elseif c2 < 128 or c2 > 191 then
return -1
end
-- validate byte 3
if c3 < 128 or c3 > 191 then
return -1
end
-- validate byte 4
if c4 < 128 or c4 > 191 then
return -1
end
return 4
else
return -1
end
return -1
end
-- returns the number of bytes used by the UTF-8 character at byte i in s
-- also doubles as a UTF-8 character validator
function utf8:utf8charbytes (s, i)
-- argument defaults
i = i or 1
-- argument checking
if type(s) ~= "string" then
error("bad argument #1 to 'utf8charbytes' (string expected, got ".. type(s).. ")")
end
if type(i) ~= "number" then
error("bad argument #2 to 'utf8charbytes' (number expected, got ".. type(i).. ")")
end
local c = s:byte(i)
-- determine bytes needed for character, based on RFC 3629
-- validate byte 1
if c > 0 and c <= 127 then
-- UTF8-1
return 1
elseif c >= 194 and c <= 223 then
-- UTF8-2
local c2 = s:byte(i + 1)
if not c2 then
error("UTF-8 string terminated early")
end
-- validate byte 2
if c2 < 128 or c2 > 191 then
error("Invalid UTF-8 character")
end
return 2
elseif c >= 224 and c <= 239 then
-- UTF8-3
local c2 = s:byte(i + 1)
local c3 = s:byte(i + 2)
if not c2 or not c3 then
error("UTF-8 string terminated early")
end
-- validate byte 2
if c == 224 and (c2 < 160 or c2 > 191) then
error("Invalid UTF-8 character")
elseif c == 237 and (c2 < 128 or c2 > 159) then
error("Invalid UTF-8 character")
elseif c2 < 128 or c2 > 191 then
error("Invalid UTF-8 character")
end
-- validate byte 3
if c3 < 128 or c3 > 191 then
error("Invalid UTF-8 character")
end
return 3
elseif c >= 240 and c <= 244 then
-- UTF8-4
local c2 = s:byte(i + 1)
local c3 = s:byte(i + 2)
local c4 = s:byte(i + 3)
if not c2 or not c3 or not c4 then
error("UTF-8 string terminated early")
end
-- validate byte 2
if c == 240 and (c2 < 144 or c2 > 191) then
error("Invalid UTF-8 character")
elseif c == 244 and (c2 < 128 or c2 > 143) then
error("Invalid UTF-8 character")
elseif c2 < 128 or c2 > 191 then
error("Invalid UTF-8 character")
end
-- validate byte 3
if c3 < 128 or c3 > 191 then
error("Invalid UTF-8 character")
end
-- validate byte 4
if c4 < 128 or c4 > 191 then
error("Invalid UTF-8 character")
end
return 4
else
error("Invalid UTF-8 character")
end
end
-- returns the number of characters in a UTF-8 string
function utf8:utf8len (s)
-- argument checking
if type(s) ~= "string" then
error("bad argument #1 to 'utf8len' (string expected, got ".. type(s).. ")")
end
local pos = 1
local bytes = s:len()
local len = 0
while pos <= bytes and len ~= chars do
local c = s:byte(pos)
len = len + 1
pos = pos + self:utf8charbytes(s, pos)
end
if chars ~= nil then
return pos - 1
end
return len
end
-- functions identically to string.sub except that i and j are UTF-8 characters
-- instead of bytes
function utf8:utf8sub (s, i, j)
-- argument defaults
j = j or -1
-- argument checking
if type(s) ~= "string" then
error("bad argument #1 to 'utf8sub' (string expected, got ".. type(s).. ")")
end
if type(i) ~= "number" then
error("bad argument #2 to 'utf8sub' (number expected, got ".. type(i).. ")")
end
if type(j) ~= "number" then
error("bad argument #3 to 'utf8sub' (number expected, got ".. type(j).. ")")
end
local pos = 1
local bytes = s:len()
local len = 0
-- only set l if i or j is negative
local l = (i >= 0 and j >= 0) or self:utf8len(s)
local startChar = (i >= 0) and i or l + i + 1
local endChar   = (j >= 0) and j or l + j + 1
-- can't have start before end!
if startChar > endChar then
return ""
end
-- byte offsets to pass to string.sub
local startByte, endByte = 1, bytes
while pos <= bytes do
len = len + 1
if len == startChar then
startByte = pos
end
pos = pos + self:utf8charbytes(s, pos)
if len == endChar then
endByte = pos - 1
break
end
end
return s:sub(startByte, endByte)
end
-- replace UTF-8 characters based on a mapping table
function utf8:utf8replace (s, mapping)
-- argument checking
if type(s) ~= "string" then
error("bad argument #1 to 'utf8replace' (string expected, got ".. type(s).. ")")
end
if type(mapping) ~= "table" then
error("bad argument #2 to 'utf8replace' (table expected, got ".. type(mapping).. ")")
end
local pos = 1
local bytes = s:len()
local charbytes
local newstr = ""
while pos <= bytes do
charbytes = self:utf8charbytes(s, pos)
local c = s:sub(pos, pos + charbytes - 1)
newstr = newstr .. (mapping[c] or c)
pos = pos + charbytes
end
return newstr
end
-- identical to string.upper except it knows about unicode simple case conversions
function utf8:utf8upper (s)
return self:utf8replace(s, utf8_lc_uc)
end
-- identical to string.lower except it knows about unicode simple case conversions
function utf8:utf8lower (s)
return self:utf8replace(s, utf8_uc_lc)
end
-- identical to string.reverse except that it supports UTF-8
function utf8:utf8reverse (s)
-- argument checking
if type(s) ~= "string" then
error("bad argument #1 to 'utf8reverse' (string expected, got ".. type(s).. ")")
end
local bytes = s:len()
local pos = bytes
local charbytes
local newstr = ""
while pos > 0 do
c = s:byte(pos)
while c >= 128 and c <= 191 do
pos = pos - 1
c = s:byte(pos)
end
charbytes = self:utf8charbytes(s, pos)
newstr = newstr .. s:sub(pos, pos + charbytes - 1)
pos = pos - 1
end
return newstr
end
--------------------
-- //压缩
-- static ByteArray* byteArrayCompress(ByteArray* data);
-- static char* charCompress(char* data,unsigned long *len);
-- //解压
-- static ByteArray* byteArrayUncompress(ByteArray* data);
-- static char* charUncompress(char* data,unsigned long desLen,unsigned long sourceLen);
--##globalManager.containerManager
ContainerManager = class("ContainerManager",function(self,con,creator)
local cm = {}
cm.mapContainer = creator:newLayer()
cm.seContainer = creator:newNode()
cm.mapMiddleContainer = creator:newNode()
cm.sceneObjContainer = creator:newNode()
cm.effectContainer = creator:newNode()
cm.fixUIContainer = creator:newNode()
cm.panelContainer = creator:newNode()
cm.tipContainer = creator:newLayer()
cm._con = con
con:addChild(cm.mapContainer,0)
con:addChild(cm.seContainer,1)
con:addChild(cm.mapMiddleContainer,2)
con:addChild(cm.sceneObjContainer,3)
con:addChild(cm.effectContainer,4)
con:addChild(cm.fixUIContainer,5)
con:addChild(cm.panelContainer,6)
con:addChild(cm.tipContainer,7)
-------------------全局视图---------------------------
cm.npcPanel = nil
cm.numberPanelInstance = nil
cm.progressBar = nil
cm.quickBuyPanel = nil
--    cm.afkEffect = nil
cm.autoWalkEffect = nil
cm.sourceLoadPanel = nil
cm.loginPanel = nil
cm.useItemPanel = nil
cm.checkDisconnect = false
cm.showingDisconnect = false
cm.isRelogin = false
---------------------debug-----------
cm.debugText = nil
return cm
end)
function ContainerManager:setup()
self.debugText = globalManager.ccCreator:newLabel()
self.debugText:setFontSize(14)
self.debugText:setPosition(globalManager.ccCreator:newPoint(200,200))
-- self.tipContainer:addChild(self.debugText,99)
local touchHandler = function(eventType, x,y)
if eventType == "began" then
globalData.lastCaoZuoTime = globalData.systemDateInfo:getSystemTime()*0.001
return false
end
end
self.tipContainer:setTouchEnabled(true)
self.tipContainer:registerScriptTouchHandler(touchHandler)
end
--模块开启显示隐藏
function ContainerManager:updateModuleOpenVisible(value)
if(value)then
if(self.panelContainer:getParent() == nil)then
self._con:addChild(self.panelContainer,6)
end
if(self.tipContainer:getParent() == nil)then
self._con:addChild(self.tipContainer,7)
end
else
if(self.panelContainer:getParent() ~= nil)then
self.panelContainer:removeFromParent(false)
end
if(self.tipContainer:getParent() ~= nil)then
self.tipContainer:removeFromParent(false)
end
end
end
--剧情，竞技场开始显示隐藏
function ContainerManager:updateNpcTalkVisible(value)
if(value)then
if(self.fixUIContainer:getParent() == nil)then
self._con:addChild(self.fixUIContainer,5)
end
if(self.panelContainer:getParent() == nil)then
self._con:addChild(self.panelContainer,6)
end
else
if(self.fixUIContainer:getParent() ~= nil)then
self.fixUIContainer:removeFromParent(false)
end
if(self.panelContainer:getParent() ~= nil)then
self.panelContainer:removeFromParent(false)
end
end
end
function ContainerManager:setDebugText(str)
if(self.debugText ~= nil)then
self.debugText:setText(str)
end
end
function ContainerManager:addDebugText(str)
if(self.debugText ~= nil)then
local tempStr = self.debugText:getText().."\n"..str
self.debugText:setText(tempStr)
end
end
--function ContainerManager:showAfkEffect()
--    if(self.afkEffect == nil)then
--        self.afkEffect = BaseLoadEffect:new(globalData.allTemplates.effectTemplateList:getTemplateInfo(globalData.allTemplates.effectTemplateList.afk))
--        self.afkEffect:setScale(2)
--        self.afkEffect:move(globalData.GAME_WIDTH / 2,300)
--    end
--    if(self.afkEffect:getParent() == nil)then
--        self.fixUIContainer:addChild(self.afkEffect)
--    end
--    self.afkEffect:play()
--end
function ContainerManager:showAutoWalkEffect()
end
--function ContainerManager:hideAFKandAutoEffects()
--    if(self.afkEffect ~= nil and self.afkEffect:getParent() ~= nil)then
--        self.fixUIContainer:removeChild(self.afkEffect)
--        self.afkEffect:stop()
--    end
--end
function ContainerManager:showNpcPanel(npcId)
if(globalData.guideClickContainer ~= nil and globalData.guideClickContainer.isShow) then return end
globalManager.tipsManager.guideTip:setVisible(false)
globalData.uiPanelContainer:close()
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_closeOtherPanel,globalManager.gameDispatcher))
if(self.npcPanel == nil)then
self.npcPanel = NpcPanelView:new()
end
self.npcPanel:setInfo(npcId)
if(self.npcPanel:getParent() == nil)then
--        self.panelContainer:addChild(self.npcPanel)
globalData.uiClickContainer:addItem(self.npcPanel,false,false)
end
end
function ContainerManager:hideNpcPanel()
globalManager.tipsManager.guideTip:setVisible(true)
if(self.npcPanel ~= nil) then
--        self.panelContainer:removeChild(self.npcPanel)
globalData.uiClickContainer:close(self.npcPanel)
self.npcPanel:removeFromParent(false)
end
end
function ContainerManager:getNumberPanel()
if(self.numberPanelInstance == nil)then
self.numberPanelInstance = NumberPanel:new()
end
return self.numberPanelInstance
end
function ContainerManager:getQuickBuyPanel()
if(self.quickBuyPanel == nil)then
self.quickBuyPanel = QuickBuyPanel:new()
end
return self.quickBuyPanel
end
function ContainerManager:showProgressBar(time,type,title)
if(self.progressBar == nil) then
self.progressBar = BaseProgressBar:new()
self.progressBar:setPosition(globalManager.ccCreator:newPoint(globalData.GAME_WIDTH * 0.5 - 122,144))
end
if(self.progressBar:getParent() == nil)then
self.tipContainer:addChild(self.progressBar)
end
self.progressBar:setTime(time,type,title)
end
function ContainerManager:hideProgressBar(type)
if(self.progressBar ~= nil and self.progressBar.type == type)then
self.progressBar:hide()
end
end
--显示掉线提示
function ContainerManager:showDisconnectPanel(value)
local callback = function()
self.showingDisconnect = false
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.global_clearAllData,globalManager.gameDispatcher,nil))
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.global_reconnect,globalManager.gameDispatcher,nil))
end
self:setCheckDisconnect(false)
if(self.showingDisconnect)then return end
self.showingDisconnect = true
self.isRelogin = true
Alert:new():show(1,value,nil,0,self,callback)
end
function ContainerManager:setCheckDisconnect(value)
self.checkDisconnect = value
end
function ContainerManager:checkSocket()
if(not self.checkDisconnect)then return end
if(not globalManager.messageManager:isConnect())then
self:showDisconnectPanel(globalManager.yuyanbaoManager:getYuyanbao("ContainerManager.text1"))
end
end
--显示资源加载页
function ContainerManager:showSourceLoadPanel()
if(self.sourceLoadPanel == nil)then
self.sourceLoadPanel = LoadingView:new()
end
self.sourceLoadPanel:init()
if(self.sourceLoadPanel:getParent() == nil)then
self.tipContainer:addChild(self.sourceLoadPanel)
end
end
function ContainerManager:hideSourceLoadPanel()
if(self.sourceLoadPanel ~= nil)then
self.sourceLoadPanel:hide()
end
end
function ContainerManager:setSourceProgress(value)
if(self.sourceLoadPanel ~= nil)then
self.sourceLoadPanel:setProgress(value)
end
end
function ContainerManager:addSourceProgress(value)
if(self.sourceLoadPanel ~= nil)then
self.sourceLoadPanel:addProgress(value)
end
end
--登陆动画
function ContainerManager:showLoginPanel()
if(self.loginPanel == nil)then
self.loginPanel = LoginView:new()
end
self.loginPanel:show()
end
function ContainerManager:hideLoginPanel()
if(self.loginPanel ~= nil)then
self.loginPanel:hide()
end
end
function ContainerManager:changeScene()
if(globalData.uiPanelContainer ~= nil)then
globalData.uiPanelContainer:changeSceneClose()
end
if(self.npcPanel ~= nil and self.npcPanel:getParent() ~= nil) then
self.npcPanel:hide()
end
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_closeOtherPanel,globalManager.gameDispatcher))
--    self:hideAFKandAutoEffects()
end
--显示角色信息对比
function ContainerManager:showInfoCompare()
end
function ContainerManager:showFlyPanel(type,tempId)
local guideFlyView = GuideFlyView:new()
guideFlyView:setType(type,tempId)
end
function ContainerManager:showRiderView(npcId)
local guideRiderView = GuideRiderView:new(npcId)
end
function ContainerManager:showAcceptView(type,executor,callBack)
local guideAcceptView = GuideAcceptView:new()
guideAcceptView:setType(type,executor,callBack)
end
function ContainerManager:showUseItemPanel(goodsInfo)
if(self.useItemPanel ~= nil) then return end
self.useItemPanel = GuideUseItemView:new()
self.useItemPanel:setItem(goodsInfo)
self.useItemPanel:setPosition(globalManager.ccCreator:newPoint(globalData.GAME_WIDTH - 490,globalData.GAME_HEIGHT - 314))
self.panelContainer:addChild(self.useItemPanel,0)
end
function ContainerManager:hideUseItemPanel()
if(self.useItemPanel == nil) then return end
self.useItemPanel:dispose()
self.useItemPanel = nil
end
function ContainerManager:showTitleItemPanel(titleId)
local titleItemPanel = GuideTitleItemView:new()
titleItemPanel:setItem(titleId)
titleItemPanel:setPosition(globalManager.ccCreator:newPoint(globalData.GAME_WIDTH - 470,globalData.GAME_HEIGHT - 254))
self.panelContainer:addChild(titleItemPanel)
end
DescriptManager = class("DescriptManager",function()
local dm = {}
dm.list = {}
return dm
end)
function DescriptManager:init(datas)
local tmpData = tolua.cast(datas,"LoaderResult")
local data = tmpData:getData()
local bytes = tolua.cast(data, "ByteArray")
bytes:setPosition(0)
local len = bytes:readInt()
for i = 1,len,1 do
local k = bytes:readString()
local v = bytes:readString()
self.list[k] = v
end
end
--id:string
function DescriptManager:getDescript(id)
if(id == nil)then return "" end
local value = self.list[id]
if(value ~= nil)then
return self.list[id]
end
return ""
end
globalManager = nil
GlobalManager = class("GlobalManager",function(self,con)
local gm = EventDispatcher:new()
gm.gameDispatcher   = GameDispatcher:new()
gm.ccCreator        = CCCreator:new()
gm.effectCreator    = EffectCreator:new()
gm.tickManager      = TickManager:new()
gm.moduleManager    = ModuleManager:new()
gm.containerManager = ContainerManager:new(con,gm.ccCreator)
gm.pathManager      = PathManager:new()
gm.messageManager   = LMessageManager:new()
-- gm.loaderManager   = LLoaderManager:new()
gm.loaderManager   = nil
gm.tipsManager     = nil
gm.menuManager     = nil
gm.descriptManager = DescriptManager:new()
gm.yuyanbaoManager = YuyanbaoManager:new()
gm.messageUtils    = MessageUtils:new()
gm.bit             = bit:new()
gm.utf8            = utf8:new()
gm.debug           = Debug:new()
gm.md5             = require("res/md5")
gm.commonUtils        = CommonUtils:new()
gm.playerNoticeUtils  = PlayerNoticeUtils:new()
--    gm.richLabelUtils     = RichLabelUtils:new()
gm.skillUtils         = SkillUtils:new()
gm.noAlertUtils       = NoAlertUtils:new()
gm.soundManager       = SoundManager:new()
gm.sourceCacheManager = SourceCacheManager:new()
gm.astar              = AStar:new()
gm.triggerManager     = TriggerManager:new()
gm.doubleClickManager = nil
gm.goodsInfoTester    = GoodsInfoTester:new()
gm.playerInfoTester   = nil
gm.openInfoTester     = nil
gm._frameCount        = 0
gm.kyPlatformSDK      = nil
gm.sdkHandler         = nil
--richText测试文本
gm.testRichText = gm.ccCreator:newLabel()
gm.__test = {}
return gm
end)
function GlobalManager:ctor()
self.tickManager:init(self.messageManager)
self.tickManager.currentTime = self.messageManager:getTime()
self.tickManager:addTick(self.tick,self)
end
function GlobalManager:init()
self.loaderManager = self.ccCreator:newLoaderManager()
self.tipsManager = TipsManager:new()
self.menuManager = MenuManager:new()
self.doubleClickManager = DoubleClickManager:new()
self.triggerManager:setup()
self.containerManager:setup()
self.sourceCacheManager:setup()
if globalData.config.sdkId == 1 then
self.sdkHandler = YYARSdkHandler:new()
else
self.sdkHandler = BaseSdkHandler:new()
end
local function sdkCallback(status, vals)
globalManager.sdkHandler:handler(status, vals)
end
if globalManager.kyPlatformSDK ~= nil and globalManager.kyPlatformSDK.setCallGameFunc ~= nil then
globalManager.kyPlatformSDK:setCallGameFunc(sdkCallback)
end
if(globalData:isAndroid())then
--设置这个值才是多少秒之后重新登录
globalManager.kyPlatformSDK:luaCall( { globalManager.kyPlatformSDK.setRestartTime, 1800000} )
end
end
function GlobalManager:selfPlayerInit()
if(self.playerInfoTester == nil) then
self.playerInfoTester = PlayerInfoTester:new()
end
if(self.openInfoTester == nil) then
self.openInfoTester = OpenInfoTester:new()
end
end
function GlobalManager:tick(delta,tickCount)
globalManager.containerManager:checkSocket()
self._frameCount = self._frameCount + 1
if(self._frameCount % 12000 == 0)then
globalManager.commonUtils:GC()
end
end
PathManager = class("PathManager",function()
local pm = {}
return pm
end)
function PathManager:getConfigPath()
return "res/data/kysy.txt"
end
function PathManager:getUIPath()
return "res/GameUI"..globalData.trunkType.."/"
end
function PathManager:getUIDataPath()
return "res/GameUI"..globalData.trunkType.."/ui.data"
end
function PathManager:getPlistPath(type)
return "res/GameUI"..globalData.trunkType.."/luaGameUI0."..type
end
function PathManager:getDescriptPath()
return "res/data/descriptC.txt"
end
function PathManager:getRandomNamePath()
return "res/data/phRandomNick.txt"
end
function PathManager:getImageConfig()
return "res/image/imageConfig.txt"
end
function PathManager:getPlatFromPath(sources,path)
if(sources == nil) then sources = "default" end
return "res/image/platForm/"..sources.."/"..path
end
--path:string
function PathManager:getMapConfigPath(path)
return "res/image/map/"..path.."/data.txt"
end
function PathManager:getMapPiecePath(path,row,col)
return "res/image/map/"..path.."/"..row.."_"..col..".jpg"
end
function PathManager:getMapPreviewPath(path)
return "res/image/map/"..path.."/pre.jpg"
end
function PathManager:getSkillNamePath(id)
return "res/image/skill/"..id..".png"
end
function PathManager:getCharacterPath(sourceType,path)
return "res/image/"..sourceType.."/"..path
end
function PathManager:getEffectPath(path)
return "res/image/effects/"..path
end
function PathManager:getEffectPicPath(id,index)
local tmp = tostring(index - 1 + 1000)
-- if(index < 10)then
--     tmp = "00"..index
-- elseif(index < 100)then
--     tmp = "0"..index
-- else
--     tmp = index
-- end
return "7_"..id.."_"..tmp
end
function PathManager:getDisplayItemPath(path,type)
return "res/image/goods/"..path.."/"..type
end
function PathManager:getUIJson(path)
return "res/GameUI"..globalData.trunkType.."/"..path..".ExportJson"
end
function PathManager:getUISource(path)
return "res/GameUI"..globalData.trunkType.."/"..path
end
function PathManager:getNpcHead(path)
return "res/GameUI"..globalData.trunkType.."/npchead/"..path..".png"
end
--试炼副本怪物头像
function PathManager:getMonsterHead(path)
return "res/image/monsterhead/"..path..".png"
end
--妖精头像
function PathManager:getPetHead(path)
return "res/GameUI"..globalData.trunkType.."/pethead/"..path..".png"
end
function PathManager:getGodShow(stage,career)
return "res/image/picture/30"..career.."0"..tostring(stage - 1)..".png"
end
function PathManager:getMusicPath(id)
local ext = ".mp3"
return "res/music/"..id..ext
end
--称号图片路径
function PathManager:getTitleImgPath(path)
return "res/image/title/"..path..".png"
end
--buff图标路径
function PathManager:getBuffImgPath(path)
return "res/image/buff/"..path..".jpg"
end
Yuyanbao = class("Yuyanbao",function()
local tmp = {}
globalData.numList = {"一","二","三","四","五","六","七","八","九","十",
"十一","十二","十三","十四","十五"}
tmp.list = {
["common.gameTips"] = "抵制不良游戏，拒绝盗版游戏。注意自我保护，谨防受骗上当。适度游戏益脑，沉迷游戏伤身。合理安排时间，享受健康生活",
["common.btnlabel1"] = "确定",
["common.btnlabel2"] = "取消",
["common.btnlabel3"] = "是",
["common.btnlabel4"] = "否",
["common.btnlabel5"] = "开启",
["common.btnlabel6"] = "天",
["common.btnlabel8"] = "立即使用",
["common.btnlabel9"] = "绑钻",
["common.btnlabel10"] = "购买",
["common.btnlabel11"] = "钻石不足",
["common.btnlabel12"] = "铜币不足",
["common.btnlabel13"] = "充值暂未开放",
["common.btnlabel14"] = "妖精",
["common.btnlabel15"] = "坐骑",
["common.btnlabel16"] = "足迹",
["common.btnlabel17"] = "羽翼",
["common.btnlabel18"] = "装备强化",
["common.btnlabel19"] = "仙灵",
["common.btnlabel20"] = "法阵",
["common.btnlabel21"] = "龙魂",
["common.btnlabel23"] = "装备",
["common.btnlabel24"] = "熔炼",
["common.btnlabel25"] = "人物",
["common.btnlabel27"] = "强化",
["common.btnlabel28"] = "武魂",
["common.btnlabel29"] = "进阶",
["common.btnlabel30"] = "绑定钻石不足",
["common.btnlabel31"] = "生命",
["common.btnlabel32"] = "攻击",
["common.btnlabel33"] = "防御",
["common.btnlabel34"] = "购买成功",
["common.btnlabel35"] = "购买失败",
["common.btnlabel36"] = "可领取",
["common.btnlabel37"] = "领取",
["common.btnlabel38"] = "属攻",
["common.btnlabel39"] = "属防",
["common.btnlabel40"] = "命中",
["common.btnlabel41"] = "闪避",
["common.btnlabel42"] = "暴击",
["common.btnlabel43"] = "坚韧",
["common.btnlabel44"] = "万",
["common.btnlabel45"] = "阶",
["common.btnlabel46"] = "功能",
["common.btnlabel47"] = "%s级开启",
["common.btnlabel48"] = "级",
["common.btnlabel49"] = "出售",
["common.btnlabel50"] = "等级不足",
["common.btnlabel51"] = "伤害",
["common.btnlabel52"] = "破甲",
["common.btnlabel53"] = "暴伤",
["common.btnlabel54"] = "恢复",
["common.btnlabel56"] = "使用",
["common.btnlabel57"] = "兑换",
["common.btnlabel58"] = "钻石",
["common.btnlabel59"] = "翅膀",
["common.btnlabel63"] = "已领取",
["common.btnlabel64"] = "秒",
["common.btnlabel65"] = "时",
["common.btnlabel66"] = "分",
["common.btnlabel67"] = "铜币",
["common.btnlabel68"] = "星",
["common.btnlabel69"] = "剩余",
["common.btnlabel71"] = "价值",
["common.btnlabel72"] = "年",
["common.btnlabel73"] = "月",
["common.btnlabel74"] = "日",
["common.btnlabel75"] = "无",
["common.btnlabel76"] = "领取成功",
["common.btnlabel77"] = "已结束",
["common.btnlabel78"] = "未开启",
["common.btnlabel79"] = "小时",
["common.btnlabel80"] = "帮派技能",
["common.btnlabel81"] = "战力提升",
["common.btnlabel82"] = "格档",
["common.btnlabel83"] = "关",
["common.btnlabel84"] = "%s分%s秒",
["common.btnlabel85"] = "%s时%s分",
["common.btnlabel86"] = "分",--积分
["common.btnlabel87"] = "熔炉",
["pet.text1"] = "翠羽黄衫儿，伴我西行乐",
["pet.text2"] = "仙骑踏九霄，与君共逍遥",
["pet.text3"] = "步凝仙脂露，身护紫霞光",
["pet.text4"] = "缥缈虚空里，畅游云海间",
["pet.text5"] = "怒含三味火，笑度生死岸",
["GuideFlyView.text1"] = "传送法阵启动中...",
["GuideNpcCopyTalkView.text1"] = "挑战成功即可获得妖精",
["GuideNpcCopyTalkView.text2"] = "挑战成功即可获得坐骑",
["GuideNpcCopyTalkView.text3"] = "挑战成功即可获得羽翼",
["GuideNpcCopyTalkView.text4"] = "挑战成功即可获得足迹",
["GuideNpcCopyTalkView.text5"] = "挑战成功即可获得仙灵",
["GuideRiderView.text1"] = "向上滑动上坐骑",
["GuideUseItemView.text1"] = "可使用数量 x",
["GuideUseItemView.text2"] = "获得更强装备！",
["GuideUseItemView.text3"] = "立即装备",
["NumberPanel.text1"] = "最小输入",
["NumberPanel.text2"] = "拆分",
["NumberPanel.text3"] = "物品名字",
["NumberPanel.text4"] = "输入数量：",
["NumberPanel.text5"] = "消耗：",
["StageReturnPanel.text9"] = "继续进阶",
["StageReturnPanel.text10"] = "今日不再提示",
["FazhenComparePanel.text1"] = "法阵属性",
["FazhenComparePanel.text2"] = "法阵技能",
["GodComparePanel.text1"] = "足迹属性",
["GodComparePanel.text2"] = "足迹技能",
["LonghunComparePanel.text1"] = "龙魂属性",
["LonghunComparePanel.text2"] = "龙魂技能",
["PetComparePanel.text1"] = "妖精属性",
["PetComparePanel.text2"] = "妖精技能",
["RiderComparePanel.text1"] = "坐骑属性",
["RiderComparePanel.text2"] = "坐骑技能",
["SpriteComparePanel.text1"] = "仙灵属性",
["SpriteComparePanel.text2"] = "仙灵技能",
["WingComparePanel.text1"] = "羽翼属性",
["WingComparePanel.text2"] = "羽翼技能",
["FiveEquipTip.text1"] = "妖精装备",
["FiveEquipTip.text2"] = "坐骑装备",
["FiveEquipTip.text3"] = "羽翼装备",
["FiveEquipTip.text4"] = "足迹装备",
["FiveEquipTip.text5"] = "仙灵装备",
["FiveEquipTip.text6"] = "法阵装备",
["FiveEquipTip.text7"] = "龙魂装备",
["FiveEquipTip.text9"] = "精炼成长lv.%s",
["FiveEquipTip.text10"] = "精炼等级已达到最大值",
["FiveEquipTip.text11"] = "等级",
["FiveEquipTip.text12"] = "类型",
["FiveEquipTip.text13"] = "共",
["FiveEquipTip.text14"] = "个",
["FiveEquipTip.text17"] = "VIP等级不足，请充值后提升",
["FiveEquipTip.text18"] = "积分不足",
["FiveEquipTip.text19"] = "星以上可装备",
["FiveEquipTip.text20"] = "精炼成功，增加%s点精炼成长值",
["FiveEquipTip.text21"] = "说明：熔炼后装备消失，并增加[%s]%s[-]点熔炼值",
["NpcPanelTaskView.text1"] = "接受任务",
["NpcPanelTaskView.text2"] = "完成任务",
["NpcPanelTaskView.text3"] = "任务奖励",
["NpcPanelTaskView.text4"] = "提交任务",
["ActivityPanel.text1"] = "目标",
["ActivityPanel.text2"] = "次数",
["ActivityPanel.text3"] = "活跃度",
["ActivityPanel.text4"] = "操作",
["ActivityPanel.text5"] = "我要经验",
["ActivityPanel.text6"] = "我要材料",
["ActivityPanel.text7"] = "我要变强",
["ActivityPanel.text8"] = "活动竞技",
["ActivityPanel.text9"] = "成就任务",
["QuickBuyPanel.text1"] = "请输入数量",
["QuickBuyPanel.text2"] = "快速商店没有物品：",
["ResponsePanel.text1"] = "以下玩家邀请你好友，是否同意？",
["ResponsePanel.text2"] = "以下玩家邀请你组队，是否同意？",
["ResponsePanel.text3"] = "以下玩家邀请你加入队伍，是否同意？",
["ResponsePanel.text4"] = "全部同意",
["ResponsePanel.text5"] = "全部拒绝",
["XiaofeiAdvanceMessageHandler.text1"] = "妖精升星成功",
["XiaofeiAdvanceMessageHandler.text2"] = "坐骑升星成功",
["XiaofeiAdvanceMessageHandler.text3"] = "羽翼升星成功",
["XiaofeiAdvanceMessageHandler.text4"] = "足迹升星成功",
["XiaofeiAdvanceMessageHandler.text5"] = "仙灵升星成功",
["XiaofeiAdvanceMessageHandler.text6"] = "法阵升星成功",
["XiaofeiAdvanceMessageHandler.text7"] = "龙魂升星成功",
["XiaofeiComparePanel.text17"] = "手套",
["XiaofeiComparePanel.text29"] = "潜能丹",
["XiaofeiComparePanel.text30"] = "悟性丹",
["PanelTabGroupType.text1"] = "背包",
["PanelTabGroupType.text2"] = "属性",
["PanelTabGroupType.text3"] = "技能",
["PanelTabGroupType.text5"] = "仙缘",
["PanelTabGroupType.text6"] = "商店",
["PanelTabGroupType.text7"] = "珍品兑换",
["PanelTabGroupType.text8"] = "商城",
["PanelTabGroupType.text9"] = "好友",
["PanelTabGroupType.text11"] = "妖精仙魂",
["PanelTabGroupType.text12"] = "坐骑天赋",
["PanelTabGroupType.text13"] = "每日必做",
["PanelTabGroupType.text14"] = "挑战副本",
["PanelTabGroupType.text15"] = "定时活动",
["PanelTabGroupType.text16"] = "宝藏秘境",
["PanelTabGroupType.text17"] = "炼器",
["PanelTabGroupType.text18"] = "竞技场",
["PanelTabGroupType.text19"] = "斗神殿",
["PanelTabGroupType.text20"] = "群雄争霸",
["PanelTabGroupType.text21"] = "混沌战场",
["PanelTabGroupType.text24"] = "排行榜",
["PanelTabGroupType.text25"] = "帮派",
["PanelTabGroupType.text26"] = "帮派列表",
["PanelTabGroupType.text27"] = "福利",
["PanelTabGroupType.text28"] = "天天好礼",
["PanelTabGroupType.text29"] = "冬日暖阳",
["PanelTabGroupType.text30"] = "世界",
["PanelTabGroupType.text31"] = "封魔",
["PanelTabGroupType.text32"] = "降妖",
["PanelTabGroupType.text35"] = "欢乐转盘",
["PanelTabGroupType.text37"] = "财运亨通",
["PanelTabGroupType.text38"] = "消费赠礼",
["PanelTabGroupType.text39"] = "充值豪礼",
["PanelTabGroupType.text40"] = "合服活动",
["PanelTabGroupType.text41"] = "级开放此功能",
["PanelTabGroupType.text42"] = "还没有领取妖精",
["PanelTabGroupType.text43"] = "还没有领取足迹",
["PanelTabGroupType.text44"] = "还没有领取仙灵",
["PanelTabGroupType.text45"] = "妖精品阶没有到达二阶一星",
["PanelTabGroupType.text46"] = "坐骑品阶没有到达二阶一星",
["PanelTabGroupType.text47"] = "结义",
["PanelTabGroupType.text48"] = "欢乐淘金",
["PanelTabGroupType.text50"] = "家园",
["ChannelType.text1"] = "【世界】",
["ChannelType.text2"] = "【传闻】",
["ChannelType.text3"] = "【帮派】",
["ChannelType.text4"] = "【队伍】",
["ChannelType.text5"] = "【附近】",
["ChannelType.text6"] = "【喇叭】",
["ChannelType.text7"] = "【传闻】",
["ChannelType.text8"] = "【系统】",
["CategoryType.text1"] = "武器",
["CategoryType.text2"] = "项链",
["CategoryType.text3"] = "衣服",
["CategoryType.text4"] = "鞋子",
["CategoryType.text5"] = "裤子",
["CategoryType.text6"] = "手镯",
["CategoryType.text8"] = "戒指",
["CategoryType.text9"] = "护肩",
["CategoryType.text10"] = "护符",
["CategoryType.text11"] = "道具",
["FightComparePanel.text1"] = "战力构成",
["FightComparePanel.text2"] = "对方",
["FightComparePanel.text3"] = "对比结果",
["FightComparePanel.text4"] = "查看",
["RoleComparePanel.text1"] = "角色信息",
["RoleComparePanel.text2"] = "帮派：",
["RoleComparePanel.text3"] = "职业：",
["RoleComparePanel.text4"] = "仙侣：",
["PropertyType.text3"] = "远防",
["PropertyType.text5"] = "冰冻抗性",
["PropertyType.text6"] = "眩晕抗性",
["PropertyType.text7"] = "定身抗性",
["PropertyType.text8"] = "恐惧抗性",
["PropertyType.text9"] = "变身抗性",
["PropertyType.text10"] = "沉默抗性",
["PropertyType.text12"] = "伤害加成",
["PropertyType.text13"] = "伤害减免",
["LingMaiTemplateList.text6"] = "无阶",
["LingMaiTemplateList.text7"] = "凡阶",
["LingMaiTemplateList.text8"] = "玄阶",
["LingMaiTemplateList.text9"] = "天阶",
["LingMaiTemplateList.text10"] = "尊阶",
["LingMaiTemplateList.text11"] = "帝阶",
["FurnaceAdvanceTemplateList.text1"] = "至尊·",
["FurnaceAdvanceTemplateList.text2"] = "传说·",
["FurnaceAdvanceTemplateList.text3"] = "史诗·",
["LetterMessageHandler.text1"] = "邮件删除成功",
["LetterMessageHandler.text2"] = "附件提取成功",
["LetterMessageHandler.text3"] = "附件提取失败",
["LingMaiPanel.text3"] = "停止",
["LingMaiPanel.text9"] = "等级需求：",
["LingMaiPanel.text11"] = "幸运值：",
["WarmTipsView.text1"] = "技能可升级",
["WarmTipsView.text2"] = "外形可提升",
["WarmTipsView.text3"] = "仙器可提升",
["WarmTipsView.text4"] = "炼器可提升",
["WarmTipsView.text6"] = "帮派心法可提升",
["WarmTipsView.text7"] = "活跃度礼包可领取",
["WarmTipsView.text8"] = "签到奖励可领取",
["WarmTipsView.text9"] = "炼狱奖励可领取",
["WarmTipsView.text11"] = "坐骑天赋可提升",
["WarmTipsView.text12"] = "成就可领取",
["WarmTipsView.text13"] = "妖精天赋可提升",
["WarmTipsView.text14"] = "温馨提示",
["WarmTipsView.text15"] = "桃园可采摘仙桃",
["WarmTipsView.text16"] = "结义可提升",
["WarmTipsView.text17"] = "仙缘等级可提升",
["WarmTipsView.text18"] = "桃园副本可免费参与",
["WarmTipsView.text19"] = "觉醒阶段可提升",
["WuhunTip.text1"] = "-已激活",
["WuhunTip.text13"] = "提升战力：",
["GameSetting.text1"] = "附近玩家",
["GameSetting.text2"] = "他人妖精伙伴",
["GameSetting.text3"] = "玩家头顶信息",
["GameSetting.text4"] = "当生命值设置低于#自动回复",
["GameSetting.text5"] = "自动接受组队",
["GameSetting.text6"] = "自动购买药品",
["GameSetting.text7"] = "音乐音效",
["GameSetting.text8"] = "特效显示",
["GameSetting.text9"] = "震动效果",
["GameSetting.text10"] = "接收组队请求",
["GameSetting.text11"] = "接收好友请求",
["GameSetting.text12"] = "NPC头顶信息",
["GameSetting.text13"] = "怪物头顶信息",
["HuaXingPanel.text1"] = "[0xFF0000]妖精属性只增加在妖精身上，[-]\n[0xFF0000]但战力会累加到人物总战力上[-]",
["HuaXingPanel.text2"] = "可通过活动获取，敬请关注",
["HuaXingPanel.text3"] = "所需材料不足！！",
["HuaXingPanel.text4"] = "化 形",
["HuaXingPanel.text5"] = "%s· 灵",
["HuaXingPanel.text6"] = "%s· 仙",
["HuaXingPanel.text7"] = "%s· 神",
["StartCreateRoleView.text1"] = "名字太短（不能少于2个字符）",
["StartCreateRoleView.text2"] = "名字太长（不能多于6个字符）",
["StartCreateRoleView.text3"] = "名字中包含非法字符",
["FiveEquipSuitTip.text3"] = "穿戴四件装备可激活套装属性\n套装属性由最低品阶的装备决定",
["FiveEquipSuitTip.text4"] = "星妖精套装",
["FiveEquipSuitTip.text5"] = "星坐骑套装",
["FiveEquipSuitTip.text6"] = "星足迹套装",
["FiveEquipSuitTip.text7"] = "星羽翼套装",
["FiveEquipSuitTip.text8"] = "星仙灵套装",
["FiveEquipSuitTip.text9"] = "星法阵套装",
["FiveEquipSuitTip.text10"] = "星龙魂套装",
["KYPlatformSDK.text1"] = "游戏个人信息已经过期,请重新登录游戏",
["KYPlatformSDK.text2"] = "神魔九天",
["MarryRingTip.text3"] = "确 定",
["MarryRingTip.text4"] = "信物",
["MarryRingTip.text5"] = "婚戒",
["PopupTriggerHandler.text2"] = "还没有领取坐骑",
["PopupTriggerHandler.text4"] = "还没有领取羽翼",
["PopupTriggerHandler.text6"] = "坐骑品阶没有到达二阶一星，不能使用！",
["PopupTriggerHandler.text7"] = "妖精品阶没有到达二阶一星，不能使用！",
["PopupTriggerHandler.text9"] = "活动未开启",
["PopupTriggerHandler.text10"] = "未结义，不可进入桃园",
["LeagueInfo.text1"] = "成为新帮主！",
["LeagueInfo.text2"] = "已升为副帮主！",
["LeagueInfo.text3"] = "已被解除副帮主职位！",
["LeagueInfo.text4"] = "已被踢出帮派",
["ArenaMessageReceiver.text1"] = "排名发生变化，请重新选择",
["ArenaMessageReceiver.text2"] = "激励成功",
["ArenaMessageReceiver.text3"] = "激励失败",
["LeagueMessageReceiver.text1"] = "创建成功",
["LeagueMessageReceiver.text2"] = "创建失败",
["LeagueMessageReceiver.text3"] = "自动加入帮派成功",
["LeagueMessageReceiver.text4"] = "没有可自动加入的帮派,请手动申请",
["LeagueMessageReceiver.text5"] = "升级成功",
["LeagueMessageReceiver.text6"] = "捐献了[0xfff35b]200钻石[-]，获得[0xfff35b]5000帮贡、5000帮派财富[-]",
["LeagueMessageReceiver.text7"] = "捐献了[0xfff35b]10万铜币[-]，获得[0xfff35b]500帮贡、500帮派财富[-]",
["LeagueMessageReceiver.text8"] = "帮派财富不够",
["LeagueMessageReceiver.text9"] = "有玩家正在副本中",
["LeagueMessageReceiver.text10"] = "重置成功",
["LeagueMessageReceiver.text11"] = "%s投掷了[0x00ff00]%s[-]点",
["AccountLostConnectMessageHandler.text1"] = "您的帐号在别处登录，被迫下线！请点击“确定”重新登录！(1)",
["AccountLostConnectMessageHandler.text2"] = "服务器人数已满，请稍后再试。(2)",
["AccountLostConnectMessageHandler.text3"] = "您的账号不能正常登录，请联系游戏客服。(3)",
["AccountLostConnectMessageHandler.text4"] = "登录失败,请重新登录。(5)",
["AccountLostConnectMessageHandler.text5"] = "登录失败,请重新登录。(6)",
["AccountLostConnectMessageHandler.text6"] = "未知的游戏协议。(21)",
["AccountLostConnectMessageHandler.text7"] = "亲爱的玩家，由于您长时间没有操作，系统默认您为离线状态哦！请点击确定重新登录。(25)",
["AccountLostConnectMessageHandler.text8"] = "您的账号异常,请重新登录。",
["AccountLostConnectMessageHandler.text9"] = "转职成功，重新登录就可以体验新职业！",
["AccountLostConnectMessageHandler.text10"] = "转职失败",
["FigurePlayerInfo.text1"] = "帮主",
["FigurePlayerInfo.text2"] = "副帮",
["FigurePlayerInfo.text3"] = "成员",
["LetterInfoList.text1"] = "邮件发送成功",
["ActiveCodeMessageHandler.text1"] = "领取奖励成功",
["ActiveCodeMessageHandler.text2"] = "激活码不存在",
["ActiveCodeMessageHandler.text3"] = "激活码已经领取过",
["ActiveCodeMessageHandler.text5"] = "玩家已经领取过该活动",
["GoodsInfoTester.text1"] = "三阶1星后才能使用！",
["GoodsInfoTester.text3"] = "丢弃",
["GoodsInfoTester.text4"] = "背包已满",
["GoodsInfoTester.text5"] = "该物品无法使用",
["GoodsInfoTester.text7"] = "物品已过期",
["GoodsInfoTester.text8"] = "职业不符",
["GoodsInfoTester.text9"] = "性别不符",
["GoodsInfoTester.text10"] = "品阶不够，无法装备",
["GoodsInfoTester.text12"] = "没有加入帮派，无法使用",
["GoodsInfoTester.text14"] = "已经拥有不能使用",
["GoodsInfoTester.text15"] = "冷却时间未到，无法使用！",
["GoodsInfoTester.text16"] = "帮贡不足",
["GoodsInfoTester.text17"] = "荣誉不足",
["GoodsInfoTester.text19"] = "背包空间不足",
["GoodsInfoTester.text23"] = "获得新的装备！点击确定新装备将会与旧的装备融合，并保留最好的品质和最高强化值。",
["GoodsInfoTester.text24"] = "是否确定%s珍稀道具%s？",
["GoodsInfoTester.text26"] = "请先结义再进入桃园使用",
["GoodsInfoTester.text27"] = "是否花费%s钻石获得道具?",
["GoodsInfoTester.text28"] = "已穿戴比此装备更好的装备",
["FriendMessageHandler.text1"] = "赠送钻石成功！",
["FriendMessageHandler.text2"] = "赠送钻石失败！",
["GMMessageHandler.text1"] = "提交成功,我们会尽快处理",
["GMMessageHandler.text2"] = "提交失败",
["InfoQueryMessageHandler.text1"] = "该玩家当前不在线",
["MatchFail.text1"] = "匹配失败",
["ActivityAchievementItem.text1"] = "已完成",
["ActivityAchievementItem.text3"] = "前往",
["ActivityAchievementItem.text4"] = "奖励：",
["FabaoPanel.text3"] = "激 活",
["FabaoPanel.text6"] = "生命：",
["FabaoPanel.text7"] = "攻击：",
["FabaoPanel.text8"] = "防御：",
["FabaoPanel.text9"] = "伤害：",
["FabaoPanel.text10"] = "获取途径：",
["MarryReceiver.text1"] = "结缘请求已发出",
["MarryReceiver.text2"] = "等级不够",
["MarryReceiver.text3"] = "对方不在线",
["MarryReceiver.text4"] = "对方不是好友",
["MarryReceiver.text5"] = "不存在该戒指信息",
["MarryReceiver.text6"] = "对方等级不足",
["MarryReceiver.text7"] = "当前已经结缘",
["MarryReceiver.text8"] = "对方已经结缘",
["MarryReceiver.text9"] = "对方拒绝结缘",
["MarryReceiver.text10"] = "铜币不足，解缘失败",
["SkillUtils.text1"] = "等级不足不能升级技能",
["SkillUtils.text2"] = "悟道天书不足不能升级技能",
["GoodsMessageHandler.text1"] = "成功兑换获得[",
["GoodsMessageHandler.text2"] = "所需材料不足哦!",
["GoodsMessageHandler.text3"] = "背包空间不足！！",
["GoodsMessageHandler.text4"] = "融合成功",
["GoodsMessageHandler.text5"] = "融合失败",
["GoodsMessageHandler.text7"] = "成功",
["GoodsMessageHandler.text8"] = "%s幸运值%s点提升",
["GoodsMessageHandler.text9"] = "此项兑换每天最多只能兑换%s次，今天已经兑完了哦!",
["TaskTemplateInfo.text1"] = "主",
["TaskTemplateInfo.text3"] = "环",
["TaskTemplateInfo.text4"] = "帮",
["TaskTemplateInfo.text5"] = "支",
["TaskTemplateInfo.text6"] = "醒",
["SkillTemplateInfo.text1"] = "群体",
["SkillTemplateInfo.text2"] = "单体",
["SkillTemplateInfo.text3"] = "辅助",
["SkillTemplateInfo.text4"] = "防御辅助",
["SkillTemplateInfo.text5"] = "攻击辅助",
["SkillTemplateInfo.text6"] = "控制辅助",
["SkillTemplateInfo.text7"] = "特殊技能",
["SkillTemplateInfo.text10"] = "控制",
["SkillTemplateInfo.text11"] = "特殊",
["CCCreator.text1"] = "请输入内容",
["MenuManager.text1"] = "确定要删除好友[0xfff799]%s[-]吗？",
["MenuManager.text3"] = "请先添加好友后才能进行聊天",
["MenuManager.text4"] = "级后才能添加好友！",
["MenuManager.text5"] = "该玩家已经是你的好友",
["MenuManager.text6"] = "请先添加好友后才能进入好友家园",
["ChatPanelII.text1"] = "世\n界",
["ChatPanelII.text2"] = "阵\n营",
["ChatPanelII.text3"] = "帮\n派",
["ChatPanelII.text4"] = "队\n伍",
["ChatPanelII.text5"] = "喇\n叭",
["ChatPanelII.text6"] = "系\n统",
["ChatPanelII.text7"] = "输入内容为空",
["ChatPanelII.text8"] = "内容含有非法字符",
["ChatPanelII.text9"] = "[0xff0000]发言间隔为%s秒,请休息一下再发言[-]",
["ChatPanelII.text11"] = "请先加入一个帮派，点击{2$1602$0$加入帮派}",
["ChatPanelII.text12"] = "请先加入一个队伍",
["ChatPanelII.text13"] = "发送一次喇叭信息需要支付3钻石，是否继续?",
["ChatPanelII.text14"] = "聊天",
["ChatPanelII.text15"] = "发送",
["SelfPlayerInfo.text1"] = "获得",
["SelfPlayerInfo.text2"] = "经验",
["SelfPlayerInfo.text3"] = "荣誉",
["BoxPanel.text9"] = "剩余时间：",
["LeagueWareHouseItem.text1"] = "已申请",
["LeagueWareHouseItem.text2"] = "帮贡",
["LeagueWareHouseItem.text3"] = "以上可申请",
["LeagueWareHouseItem.text4"] = "（帮贡500以上可申请）",
["LeagueWareHouseItem.text5"] = "申请",
["LeagueWareHouseItem.text6"] = "拥有",
["LeagueWareHouseItem.text7"] = "个，已有",
["LeagueWareHouseItem.text8"] = "人申请",
["LeagueWareHouseItem.text9"] = "详情",
["LeagueRequestView.text1"] = "100万战力自动加入",
["LeagueRequestView.text2"] = "50万战力自动加入",
["LeagueRequestView.text3"] = "10万战力自动加入",
["LeagueRequestView.text4"] = "50级自动加入",
["LeagueRequestView.text5"] = "取消自动加入帮派",
["LeagueMessageSender.text1"] = "物品数量不足无法再进行分配！",
["ActivityItem.text1"] = "没有领取任务",
["ActivityItem.text2"] = "当前任务剩余%s环，直接完成需要支付%s钻石。个人获得：[0x995F00]%s经验、%s铜币、循环任务礼包。[-]",
["ActivityItem.text3"] = "当前任务剩余%s环，直接完成需要支付%s钻石。个人获得：[0x995F00]%s帮贡、%s经验、%s铜币、帮派任务礼包。[-]帮派获得：[0x995F00]%s帮派财富。[-]",
["ActivityItem.text7"] = "VIP3才能直接完成",
["ActivityItem.text8"] = "直接完成",
["XiaofeiSkillTipPanel.text2"] = "%s进阶至%s阶%s星  (未达成)",
["XiaofeiSkillTipPanel.text3"] = "%s进阶至%s阶%s星  (已达成)",
["XiaofeiSkillTipPanel.text4"] = "类型：",
["XiaofeiSkillTipPanel.text5"] = "[技能说明]",
["XiaofeiSkillTipPanel.text6"] = "[技能激活条件]",
["XiaofeiSkillTipPanel.text7"] = "[下级效果]",
["XiaofeiSkillTipPanel.text8"] = "[技能自动升级]",
["XiaofeiSkillTipPanel.text9"] = "已经到达最高",
["XiaofeiSkillTipPanel.text11"] = "[技能激活]",
["ArenaRankItemInfo.text1"] = "守关者",
["ResourceUpdateUtil.text1"] = "攻城狮们正在努力下载更新包%s(%s/%s),进度为%s%%%s",
["ResourceUpdateUtil.text5"] = "正在为您启动游戏..",
["ResourceUpdateUtil.text6"] = "正在为您更新游戏最新内容",
["ContainerManager.text1"] = "游戏已断开连接，请重新登录！",
["ZhufuPanel1.text1"] = "无限",
["XiaofeiPanel.text1"] = "天赋",
["XiaofeiPanel.text2"] = "仙魂",
["XiaofeiPanel.text3"] = "面具",
["XiaofeiPanel.text4"] = "头饰",
["XiaofeiPanel.text5"] = "玉坠",
["XiaofeiPanel.text6"] = "香包",
["XiaofeiPanel.text7"] = "鞍具",
["XiaofeiPanel.text8"] = "缰绳",
["XiaofeiPanel.text9"] = "铃铛",
["XiaofeiPanel.text10"] = "铁蹄",
["XiaofeiPanel.text11"] = "翎彩",
["XiaofeiPanel.text12"] = "翎羽",
["XiaofeiPanel.text13"] = "翎晶",
["XiaofeiPanel.text14"] = "翎火",
["XiaofeiPanel.text15"] = "印记",
["XiaofeiPanel.text16"] = "极光",
["XiaofeiPanel.text17"] = "星辰",
["XiaofeiPanel.text18"] = "月华",
["XiaofeiPanel.text19"] = "宝杖",
["XiaofeiPanel.text20"] = "仙器",
["XiaofeiPanel.text21"] = "彩带",
["XiaofeiPanel.text22"] = "披风",
["XiaofeiPanel.text23"] = "阵石",
["XiaofeiPanel.text24"] = "阵眼",
["XiaofeiPanel.text25"] = "符咒",
["XiaofeiPanel.text26"] = "法器",
["XiaofeiPanel.text27"] = "龙爪",
["XiaofeiPanel.text28"] = "龙珠",
["XiaofeiPanel.text29"] = "龙鳞",
["XiaofeiPanel.text30"] = "龙筋",
["XiaofeiPanel.text31"] = "当前品阶潜能已达上限",
["XiaofeiPanel.text32"] = "当前品阶悟性已达上限",
["XiaofeiPanel.text33"] = "品阶已达上限",
["XiaofeiPanel.text34"] = "是否花费%s钻石升星？",
["XiaofeiPanel.text35"] = "自动进阶",
["XiaofeiPanel.text36"] = "钻石数量不足",
["XiaofeiPanel.text37"] = "进阶丹数量不足",
["XiaofeiPanel.text38"] = "潜能丹",
["XiaofeiPanel.text39"] = "悟性丹",
["XiaofeiPanel.text40"] = "开始进阶",
["XiaofeiPanel.text41"] = "升星",
["XiaofeiPanel.text42"] = "查看进阶返还奖励",
["XiaofeiPanel.text43"] = "祝福值越高成功几率越高",
["XiaofeiPanel.text44"] = "天 赋",
["XiaofeiPanel.text46"] = "温馨提示：二阶可获得新形象",
["XiaofeiPanel.text47"] = "幻化",
["XiaofeiPanel.text48"] = "角色达到%s级开放进阶",
["XiaofeiPanel.text49"] = "未到达三阶一星,不能使用",
["XiaofeiPanel.text50"] = "亲爱的玩家，你当前拥有的材料不足，请确认是否开启[%s]自动购买材料[-]后继续进阶?\n[%s](自动购买材料优先消耗绑定钻石)[-]",
["XiaofeiPanel.text51"] = "飞升丹",
["XiaofeiPanel.text52"] = "当前飞升已达上限",
["TalentTip.text1"] = "所有天赋点到达",
["TalentTip.text2"] = "所有仙魂点到达",
["RiderTalentPanel.text1"] = "太阳",
["RiderTalentPanel.text2"] = "镇星",
["RiderTalentPanel.text3"] = "岁星",
["RiderTalentPanel.text4"] = "荧惑",
["RiderTalentPanel.text5"] = "太白",
["RiderTalentPanel.text6"] = "辰星",
["RiderTalentPanel.text7"] = "太阴",
["RiderTalentPanel.text11"] = "属攻：",
["RiderTalentPanel.text12"] = "属防：",
["RiderTalentPanel.text13"] = "坚韧：",
["RiderTalentPanel.text14"] = "您已到达最高等级",
["RiderTalentPanel.text16"] = "天赋",
["RiderTalentPanel.text18"] = "返 回",
["RiderTalentPanel.text19"] = "提 升",
["PetTalentPanel.text1"] = "天枢",
["PetTalentPanel.text2"] = "天璇",
["PetTalentPanel.text3"] = "天玑",
["PetTalentPanel.text4"] = "天权",
["PetTalentPanel.text5"] = "玉衡",
["PetTalentPanel.text6"] = "开阳",
["PetTalentPanel.text7"] = "摇光",
["PetTalentPanel.text9"] = "属攻：",
["PetTalentPanel.text10"] = "破甲：",
["PetTalentPanel.text12"] = "命中：",
["PetTalentPanel.text13"] = "暴击：",
["PetTalentPanel.text14"] = "您已到达最高等级",
["PetTalentPanel.text16"] = "仙魂",
["PetTalentPanel.text18"] = "活跃度、降妖",
["PetTalentPanel.text19"] = "返 回",
["PetTalentPanel.text20"] = "提 升",
["LonghunPanel.text1"] = "隐藏龙魂形象",
["LonghunPanel.text2"] = "显示龙魂形象",
["FazhenPanel.text1"] = "隐藏法阵形象",
["FazhenPanel.text2"] = "显示法阵形象",
["WelfareVipItemView.text1"] = "充 值",
["WelfareVipItemView.text2"] = "领 取",
["WelfareSignView.text1"] = "本月签到奖励",
["WelfareSignView.text2"] = "签到说明",
["WelfareSignItemView.text1"] = "签到",
["XianYuanPanel.text1"] = "相敬如宾",
["XianYuanPanel.text2"] = "夫唱妇随",
["XianYuanPanel.text3"] = "举案齐眉",
["XianYuanPanel.text4"] = "相濡以沫",
["XianYuanPanel.text5"] = "琴瑟调和",
["XianYuanPanel.text6"] = "如胶似漆",
["XianYuanPanel.text7"] = "鸾凤和鸣",
["XianYuanPanel.text8"] = "比翼双飞",
["XianYuanPanel.text9"] = "白头偕老",
["XianYuanPanel.text10"] = "天长地久",
["XianYuanPanel.text11"] = "消耗亲密度：",
["XianYuanPanel.text12"] = "赠送鲜花",
["XianYuanPanel.text13"] = "提 升",
["XianYuanPanel.text14"] = "已达到最高阶",
["XianYuanPanel.text15"] = "亲密度不足，可通过赠送鲜花来获得",
["XianYuanPanel.text16"] = "消耗亲密度：",
["XianYuanPanel.text17"] = "亲密度：",
["XianYuanPanel.text18"] = "我要解缘",
["XianYuanPanel.text20"] = "我要结缘",
["XianYuanPanel.text21"] = "未结缘",
["XianYuanPanel.text22"] = "消耗亲密度：（已达最高阶）",
["XianYuanPanel.text23"] = "消耗亲密度：",
["WelfarePanel.text1"] = "每日签到",
["WelfarePanel.text2"] = "七天登录",
["WelfarePanel.text5"] = "礼包领取",
["WelfarePanel.text6"] = "经验兑换",
["WelfarePanel.text8"] = "更新公告",
["WelfareGiftView.text1"] = "请输入兑换码",
["WelfareGiftView.text3"] = "您当前还未购买月卡",
["WelfareGiftView.text4"] = "当前月卡剩余",
["WelfareGiftView.text5"] = "请输入序列号：",
["WelfareGiftView.text6"] = "月卡钻石奖励：",
["WelfareGiftView.text7"] = "购买月卡即可以在30天有效时间内每天领取120绑钻。",
["WelfareGiftView.text8"] = "购买月卡",
["WelfareGiftView.text9"] = "领取120钻石",
["WelfareExpView.text2"] = "满级",
["WelfareExpView.text3"] = "1.当个人等级与世界等级越大时，可兑换的经验“格数”就越多;",
["WelfareExpView.text4"] = "2.每天可兑换一次经验，次日0点会重置兑换机会并确定可兑换的经验;",
["WelfareExpView.text5"] = "当前世界等级：",
["WelfareExpView.text6"] = "可兑换经验值：",
["WelfareExpView.text8"] = "是否花费%s钻石进行兑换?",
["WelfareExpView.text9"] = "（直接提升%s格经验）",
["WelfareLevelItemView.text1"] = "%s级礼包",
["ChaosMessageHandler.text1"] = "队伍已解散！",
["ChaosMessageHandler.text2"] = "邀请成功",
["ChaosMessageHandler.text3"] = "自己在副本中",
["ChaosMessageHandler.text4"] = "对方不是你的好友",
["ChaosMessageHandler.text5"] = "该好友已下线",
["ChaosMessageHandler.text6"] = "不能邀请自己",
["ChaosMessageHandler.text7"] = "被邀请的好友正在副本中",
["ChaosMessageHandler.text8"] = "该好友已经被邀请",
["ChaosMessageHandler.text9"] = "对方战力不够，不能邀请",
["ChaosMessageHandler.text13"] = "你的好友".."[%s]%s[-]".."邀请你一起参加守护副本，是否与TA并肩作战？",
["ChaosMessageHandler.text11"] = "不具备参赛资格",
["ChaosMessageHandler.text12"] = "你的好友[%s]%s[-]邀请你一起参加3v3竞技挑战活动——混沌战场，是否与TA并肩作战？",
["ChaosMessageHandler.text14"] = "[%s]请注意！！！[-]\n你已经被队友举报，请振作精神，投入战斗，否则将不能获得本场比赛的所有奖励。",
["YuanGuRankPanel.text1"] = "个人积分榜",
["YuanGuRankPanel.text2"] = "昵称",
["YuanGuRankPanel.text4"] = "战力",
["YuanGuRankPanel.text5"] = "阵营",
["YuanGuRankPanel.text6"] = "积分",
["YuanGuRankPanel.text7"] = "显示本阵营",
["YuanGuRankPanel.text8"] = "积分：",
["YuanGuResultPanel.text1"] = "个人排行：",
["YuanGuResultPanel.text2"] = "荣誉奖励：",
["YuanGuResultPanel.text3"] = "经验奖励：",
["YuanGuFollowPanel.text1"] = "个人积分榜",
["YuanGuFollowPanel.text2"] = "人",
["YuanGuFollowPanel.text3"] = "1.攻击“天鼎”、“敌对玩家”获得积分\n2.对“天鼎”最后一击会获得额外积分\n3.各阵营积分前三名玩家获得“三界霸主、大魔王、狂人”临时称号，战胜他们获得额外积分",
["YuanGuFollowPanel.text4"] = "个人：%s分,第%s名",
["YuanGuFollowPanel.text5"] = "个人：第%s名",
["YiChuiRewardView.text1"] = "该活动设四个奖项，分别捕捉条件如下",
["YiChuiRewardView.text2"] = "奖项\\捕捉",
["YiChuiRewardView.text3"] = "奖励",
["YiChuiRewardView.text4"] = "一等奖",
["YiChuiRewardView.text5"] = "二等奖",
["YiChuiRewardView.text6"] = "三等奖",
["YiChuiRewardView.text7"] = "积分奖",
["YiChuiRewardView.text8"] = "积分满1200分即可获得奖励",
["YiChuiRewardView.text9"] = "翻牌奖励",
["CopyYiChuiFollowPanel.text1"] = "目前积分：",
["CopyYiChuiFollowPanel.text2"] = "获得经验：",
["CopyYiChuiFollowPanel.text3"] = "我的战绩：",
["CopyYiChuiFollowPanel.text4"] = "阶段奖励条件一览",
["CopyYiChuiFollowPanel.text5"] = "蝙蝠女妖刷新时间",
["CopyYiChuiFollowPanel.text7"] = "未达到",
["CopyYiChuiFollowPanel.text8"] = "1、战胜品质越高的怪物获得积分越高\n2、获得积分可增加人物经验\n3、积分达到上限获得一次翻牌奖励\n4、达成阶段条件可获得物品奖励",
["YiChuiReward2View.text1"] = "阶段奖励",
["YiChuiReward2View.text2"] = "获得奖励：",
["YiChuiReward2View.text4"] = "恭喜您成功达成目标：",
["ShopSaleItemView.text2"] = "售价：",
["ShopSaleItemView.text3"] = "限购：",
["SkillItemGrid.text1"] = "基础",
["SkillItemGrid.text2"] = "群体",
["SkillItemGrid.text3"] = "单体",
["SkillPanel.text1"] = "所需物品数量不足或所需等级不足",
["SkillPanel.text2"] = "%s  秒",
["SkillPanel.text3"] = "该技能已满级",
["SkillPanel.text4"] = "该技能已达到最高等级",
["SkillPanel.text5"] = "技能类型：",
["SkillPanel.text6"] = "冷却时间：",
["SkillPanel.text7"] = "技能效果：",
["SkillPanel.text8"] = "升级效果：",
["SkillPanel.text10"] = "消耗铜币：",
["SkillPanel.text11"] = "需要物品：",
["SkillPanel.text12"] = "升级技能",
["ServerItemName.text1"] = "维护",
["ServerItemName.text2"] = "新服",
["ZhufuPanel2.text1"] = "当前祝福值：",
["ZhufuPanel2.text2"] = "祝福值清空倒计时：",
["ZhufuPanel2.text3"] = "祝福值：",
["ZhufuPanel2.text4"] = "进阶时会增加祝福值，提高下次进阶的成功几率，当祝福值满时进阶100%成功。",
["ZhufuPanel2.text5"] = "（为避免祝福值清空造成损失，请及时完成进阶）",
["ZhufuPanel2.text7"] = "稍后再说",
["StartController.text1"] = "连接服务器失败",
["AccountUserReturnMessageHandler.text1"] = "游戏版本有更新,请重启游戏进行更新",
["StartLoginQueuingPanel.text1"] = "登录排队",
["StartLoginQueuingPanel.text2"] = "本服务器已经爆满.........",
["StartLoginQueuingPanel.text3"] = "请稍后再试，或重新选择其他服务器进行登录",
["StartLoginQueuingPanel.text4"] = "重新登录",
["StartLoginQueuingPanel.text5"] = "由于当前用户过多，你已进入排队等候状态",
["StartLoginQueuingPanel.text6"] = "当前队列中有：",
["StartLoginQueuingPanel.text7"] = "您当前排在：",
["StartLoginQueuingPanel.text9"] = "预计排队时间：",
["StartLoginQueuingPanel.text10"] = "位",
["StartLoginQueuingPanel.text12"] = "请耐心等待........",
["StartLoginQueuingPanel.text13"] = "开始登录游戏",
["ShopDiscountItemView.text1"] = "级可购买",
["ShopDiscountItemView.text2"] = "级帮派可购买",
["ShopDiscountItemView.text3"] = "限购：",
["ShopDiscountItemView.text5"] = "数量超过购买上限",
["ShopDiscountItemView.text6"] = "剩余购买数量为0",
["ShopPanel.text1"] = "钻石商城",
["ShopPanel.text2"] = "绑钻商城",
["ShopPanel.text3"] = "荣誉商店",
["ShopPanel.text4"] = "帮贡商店",
["ShopPanel.text5"] = "获得途径",
["SettingPanel.text1"] = "您的个人ID：",
["SettingPanel.text2"] = "暂时不支持用户中心",
["SettingPanel.text3"] = "切换账号",
["SettingPanel.text4"] = "联系GM",
["SettingPanel.text5"] = "脱离卡死",
["SettingPanel.text6"] = "用户中心",
["CopyInfoMessageHandler.text2"] = "已经在匹配中",
["CopyInfoMessageHandler.text3"] = "当前仙境时间为0，是否支付[%s] 100钻石 [-]获得60分钟的蟠桃仙境时间？ ",
["EnterCopyMessageHandler.text1"] = "你当天已参与过该活动",
["EnterCopyMessageHandler.text2"] = "战场CD中",
["EnterCopyMessageHandler.text3"] = "战场人数已满",
["EnterCopyMessageHandler.text4"] = "请%s秒后再次进入",
["MapInfoUpdateMessageHandler.text1"] = "采集被打断!",
["MapController.text1"] = "再次点击地面取消自动寻路",
["SceneController.text1"] = "等级不够，无法进入",
["SceneController.text2"] = "充值功能尚未开放",
["SceneController.text3"] = "大于等于50级才能转职",
["ZhuanXiangWelfarePanel.text1"] = "专享福利",
["ZhuanXiangWelfarePanel.text3"] = "结束倒计时",
["ZhuanXiangWelfarePanel.text4"] = "温馨提示：充值后请及时领取礼包哦！",
["ZhuanXiangWelfarePanel.text5"] = "领 取",
["ZhuanXiangWelfarePanel.text7"] = "充值",
["ZhuanpanItem.text1"] = "积分：",
["ZhuanpanItem.text3"] = "兑换次数不足",
["ZhuanpanItem.text5"] = "剩余：%s次  ",
["BangzhanRankView.text1"] = "个人排名：",
["Zhuanpan3Panel.text1"] = "抽奖",
["Zhuanpan3Panel.text2"] = "中奖信息",
["Zhuanpan3Panel.text3"] = "是否花费300钻石进行幸运的抽奖?",
["Zhuanpan3Panel.text4"] = "您拥有的钻石不足！",
["Zhuanpan3Panel.text5"] = "抽奖次数不足!",
["Zhuanpan3Panel.text6"] = "抽奖次数：%s  （0点清空）",
["Zhuanpan3Panel.text7"] = "【再充值%s钻石则可再获得1次抽奖次数】",
["Zhuanpan3Panel.text8"] = "[%s]%s[-]抽中了[%s]%s*%s[-]",
["WorldBossVipCompletePanel.text1"] = "确定 %s",
["WorldBossVipCompletePanel.text2"] = "获得经验：",
["WorldBossVipCompletePanel.text3"] = "获得铜币：",
["WorldBossVipCompletePanel.text4"] = "获得奖励如下：",
["WorldBossVipItem.text1"] = "你身上的钻石不足!",
["WorldBossVipItem.text2"] = "我要挑战",
["WorldBossVipItem.text3"] = "已刷新",
["WorldBossVipItem.text4"] = "推荐战力：",
["WorldBossVipItem.text5"] = "刷新时间：",
["WorldBossVipItem.text6"] = "立即挑战",
["WorldBossVipItem.text7"] = "是否支付[0xea6e00]%s钻石[-]立即挑战？",
["WorldBossItem.text1"] = "敬请期待",
["WorldBossItem.text2"] = "刷新",
["WorldBossItem.text3"] = "10:00刷新",
["WorldBossItem.text4"] = "14:00刷新",
["WorldBossItem.text5"] = "16:00刷新",
["WorldBossItem.text6"] = "22:00刷新",
["WorldBossItem.text7"] = "次日10:00刷新",
["WorldBossItem.text8"] = "[0xFFFF00]狂神之体[-]\n生命、防御、攻击力大幅提升\n脱离战斗后可快速回复生命",
["ZhuanpanPanel.text1"] = "每次获得1积分",
["ZhuanpanPanel.text2"] = "积分将在每日0点清空",
["ZhuanpanPanel.text3"] = "清空倒计时：",
["ZhuanpanPanel.text4"] = "今日可用积分：",
["ZhuanpanPanel.text5"] = "抽奖次数不足",
["ZhuanpanPanel.text6"] = "是否花费%s钻石进行幸运的抽奖?",
["ZhuanpanPanel.text7"] = "是否花费%s钻石进行幸运的十连抽奖?",
["SceneTryCopySHPanel.text1"] = "等级不足暂不能挑战",
["SceneTryCopySHPanel.text2"] = "进入副本次数已用完",
["SceneTryCopySHPanel.text3"] = "每天10：00到次日01：00可以挑战",
["SceneTryCopySHPanel.text4"] = "该副本难度较大建议组队挑战，请确认是否继续单人挑战？",
["SceneTryCopySHPanel.text5"] = "铁扇公主",
["SceneTryCopySHPanel.text6"] = "玩法介绍：",
["SceneTryCopySHPanel.text7"] = "当年悟空与牛魔王结拜时，曾千里护嫂，护得铁扇公主周全。而今你等就用月光宝盒穿越回去，召唤天兵和治疗妖精助悟空一臂之力吧！\n\n组队抵抗怪物守护铁扇公主；抵抗怪物波数越多奖励越好；铁扇公主死亡则结束。（组队优先匹配同帮玩家）",
["SceneTryCopySHPanel.text8"] = "副本每天10:00到次日01:00开放",
["SceneTryCopySHPanel.text9"] = "讨伐奖励：",
["SceneTryCopySHPanel.text10"] = "铜币、经验等",
["SceneTryCopySHPanel.text11"] = "副本结束时需要在线才能获得奖励",
["SceneTryCopySHPanel.text12"] = "邀请组队",
["SceneTryCopySHPanel.text13"] = "随机组队",
["SceneTryCopyPanel.text1"] = "西行",
["SceneTryCopyPanel.text3"] = "炼狱",
["SceneTryCopyPanel.text4"] = "材料",
["SceneTryCopyPanel.text5"] = "守护",
["SceneTryCopyMaterialPanel.text1"] = "等级不足暂不能挑战",
["SceneTryCopyMaterialPanel.text2"] = "进入副本次数已用完",
["SceneTryCopyMaterialPanel.text3"] = "鹿力大仙",
["SceneTryCopyMaterialPanel.text4"] = "玩法介绍：",
["SceneTryCopyMaterialPanel.text5"] = "吃唐僧肉可长生的消息传开后，众妖齐聚狂风岭共商捕捉唐僧四人的大计。为保师徒四人平安路过，现征集先锋一探究竟！",
["SceneTryCopyMaterialPanel.text6"] = "讨伐奖励：",
["SceneTryCopyMaterialPanel.text7"] = "强化石、钻石、铜币、荣誉丹",
["SceneTryCopyMaterialPanel.text8"] = "开始挑战",
["SceneTryCopyLYPanel.text1"] = "今天的重置次数已经花光",
["SceneTryCopyLYPanel.text2"] = "您确定要重置副本吗?",
["SceneTryCopyLYPanel.text3"] = "已经达到最大关卡",
["SceneTryCopyLYPanel.text4"] = "已经达到最大关卡",
["SceneTryCopyLYPanel.text5"] = "确定要花费[0x007f00]%s钻石[-]扫荡关卡吗？",
["SceneTryCopyLYPanel.text6"] = "未上榜",
["SceneTryCopyLYPanel.text7"] = "次",
["SceneTryCopyLYPanel.text8"] = "个人排名：",
["SceneTryCopyLYPanel.text9"] = "通关记录：",
["SceneTryCopyLYPanel.text10"] = "重置次数：",
["SceneTryCopyLYPanel.text11"] = "重置",
["SceneTryCopyLYPanel.text12"] = "扫荡关卡",
["SceneTryCopyLYPanel.text13"] = "开始挑战",
["SceneTryCopyLYPanel.text14"] = "挑战第%s波",
["SceneTryCopyLYPanel.text15"] = "自动扫荡至%s关需要花费%s钻石，确定扫荡吗？",
["SceneTryCopyLYPanel.text16"] = "最高%s波",
["SceneTryCopyLYPanel.text17"] = "第%s波",
["SceneTryCopyLYPanel.text18"] = "还可以挑战%s次",
["SceneTryCopyLYPanel.text19"] = "虚位以待",
["SceneTryCopyExpeditionPanel.text1"] = "等级不足暂不能挑战",
["SceneTryCopyExpeditionPanel.text2"] = "该副本不能进入",
["SceneTryCopyExpeditionPanel.text3"] = "需要VIP8才能扫荡",
["SceneTryCopyExpeditionPanel.text4"] = "请先通关",
["SceneTryCopyExpeditionPanel.text5"] = "今日挑战次数已经花光",
["SceneTryCopyExpeditionPanel.text6"] = "重置次数已经花光",
["SceneTryCopyExpeditionPanel.text7"] = "请先领取宝箱",
["SceneTryCopyExpeditionPanel.text8"] = "该副本不能进入",
["SceneTryCopyExpeditionPanel.text9"] = "西行魔军·普通",
["SceneTryCopyExpeditionPanel.text10"] = "西行魔军·精英",
["SceneTryCopyExpeditionPanel.text11"] = "西行魔军·恶魔",
["SceneTryCopyExpeditionPanel.text12"] = "西行魔军·地狱",
["SceneTryCopyExpeditionPanel.text14"] = "开始挑战",
["SceneTryCopyExpeditionPanel.text15"] = "扫荡关卡",
["SceneTryCopyExpeditionPanel.text16"] = "确定花费%s钻石立即完成所有已通关副本吗？",
["SceneTryCopyExpeditionPanel.text17"] = "挑战次数：%s次",
["SceneTryCopyExpeditionPanel.text18"] = "西行次数：%s次",
["SceneTryCopyExpeditionPanel.text19"] = "西行魔军·传说",
["SceneTryCopyExpeditionPanel.text20"] = "第%s关",
["SceneTryCopyDujiePanel.text1"] = "等级不足暂不能挑战",
["SceneTryCopyDujiePanel.text2"] = "该副本不能进入",
["SceneTryCopyDujiePanel.text3"] = "没有已通关卡不可领取",
["SceneTryCopyDujiePanel.text4"] = "关卡还未开放",
["SceneTryCopyDujiePanel.text5"] = "第%s章",
["SceneTryCopyDujiePanel.text6"] = "第%s关奖励及通关称号：",
["CopyTanBaoFollowPanel.text2"] = "%s 金币",
["CopyTanBaoFollowPanel.text3"] = "探宝总排名",
["CopyTanBaoFollowPanel.text4"] = "技能说明",
["StarcraftPanel.text1"] = "50级及8万以上战力才能参与",
["StarcraftPanel.text2"] = "没有复赛资格",
["StarcraftPanel.text4"] = "冷却时间中",
["StarcraftPanel.text5"] = "次数已用完",
["StarcraftPanel.text6"] = "立即报名",
["StarcraftPanel.text7"] = "排名",
["StarcraftPanel.text8"] = "名称",
["StarcraftPanel.text10"] = "职业",
["StarcraftPanel.text11"] = "战力",
["StarcraftPanel.text12"] = "积分",
["StarcraftPanel.text13"] = "周一至周四（预选赛）",
["StarcraftPanel.text14"] = "周五（第一轮）",
["StarcraftPanel.text15"] = "周六（第二轮）",
["StarcraftPanel.text16"] = "周日（决赛）",
["StarcraftPanel.text17"] = "个人排名：",
["StarcraftPanel.text18"] = "个人积分：",
["StarcraftPanel.text19"] = "冠军奖励：",
["StarcraftPanel.text20"] = "查看决赛奖励",
["StarcraftPanel.text21"] = "活动时间：21:00-21:30",
["StarcraftPanel.text22"] = "立即报名",
["StarcraftMacthingPanel.text1"] = "正在寻找对手中，请稍等...",
["StarcraftFollowItem.text2"] = "淘汰",
["StarcraftFollowItem.text3"] = "逃离",
["StarcraftCompletePanel.text2"] = "获得经验：",
["StarcraftCompletePanel.text3"] = "获得铜币：",
["StarcraftCompletePanel.text4"] = "获得奖励如下：",
["StarcraftFollowPanel.text1"] = "玩家名称",
["StarcraftFollowPanel.text2"] = "积分",
["StarcraftFollowPanel.text3"] = "复活",
["StarcraftFollowPanel.text4"] = "剩余时间：",
["StarcraftFollowPanel.text5"] = "本场积分：",
["StarcraftFollowPanel.text6"] = "下一场比赛",
["StarcraftFollowPanel.text7"] = "准备大厅",
["StarcraftAwardPanel.text1"] = "群雄争霸奖励",
["StarcraftAwardItem.text1"] = "冠军",
["StarcraftAwardItem.text2"] = "亚军",
["StarcraftAwardItem.text3"] = "季军",
["StarcraftAwardItem.text4"] = "第4-10名",
["StarcraftAwardItem.text5"] = "第11-20名",
["RenamePanel.text1"] = "确定更改昵称",
["RenamePanel.text2"] = "获得改名卡",
["RenamePanel.text3"] = "请输入新昵称：",
["RenamePanel.text4"] = "请先去商城购买改名卡",
["RenamePanel.text5"] = "昵称不能少于2个字符",
["RenamePanel.text6"] = "昵称不能多于6个字符",
["RenamePanel.text7"] = "昵称存在非法字符，请重新输入",
["RenamePanel.text8"] = "更改昵称需要消耗一张%s,你当前拥有改名卡%s张",
["SceneRelivePanel.text2"] = "请确认是否支付[0xea6e00]10钻石[-]原地复活？",
["SceneRelivePanel.text3"] = "复活点复活",
["SceneRelivePanel.text5"] = "10钻石原地复活",
["SceneRelivePanel.text7"] = "已死亡",
["SceneRelivePanel.text8"] = "您可以通过以下途径变强",
["SceneRelivePanel.text9"] = "秒后回复活点复活",
["FlowerRankPanel.text1"] = "赠送鲜花可获得魅力值",
["FlowerRankPanel.text2"] = "排名",
["FlowerRankPanel.text3"] = "送花",
["FlowerRankPanel.text4"] = "魅力值",
["FlowerRankPanel.text5"] = "战力",
["FlowerRankPanel.text6"] = "角色名称",
["FlowerRankPanel.text7"] = "个人排行：",
["FlowerRankPanel.text8"] = "排行奖励：",
["FlowerRankPanel.text9"] = "个人魅力：",
["FlowerRankPanel.text10"] = "查看具体奖励",
["FlowerRankPanel.text11"] = "活动倒计时：",
["FlowerRankItemView.text1"] = "添加好友后才能送花",
["FlowerRankGiftView.text1"] = "奖励",
["FlowerRankGiftItemView.text1"] = "魅力值达到",
["FlowerRankGiftItemView.text2"] = "额外获得",
["PayPanel.text1"] = "充值暂未开放",
["PayPanel.text2"] = "你已是至尊会员，无需再购买！",
["PayItem.text1"] = "钻石",
["CopyNewlyFollowPanel.text1"] = "怪物波次：",
["CopyMaterialCompletePanel.text2"] = "获得经验：",
["CopyMaterialCompletePanel.text3"] = "获得铜币：",
["CopyMaterialCompletePanel.text4"] = "获得奖励如下：",
["CopyMaterialCompletePanel.text5"] = "通关副本：",
["CopyMaterialFollowPanel.text1"] = "挑战怪物：",
["CopyMaterialFollowPanel.text2"] = "获得经验：",
["CopyMaterialFollowPanel.text3"] = "剩余时间：",
["SkyDreamLandPanel.text1"] = "等级不足%s级",
["SkyDreamLandPanel.text2"] = "1、仙境（1）安全地图只有小怪，而没有精英BOSS和传说BOSS",
["SkyDreamLandPanel.text4"] = "2、仙境（2）PK地图可随意攻击其他服的玩家（不能攻击本服玩家）",
["SkyDreamLandPanel.text6"] = "仙境奖励",
["SkyDreamLandPanel.text7"] = "当前仙境时间为0，是否支付[%s] 50钻石 [-]获得60分钟的蟠桃仙境时间？",
["SkyDreamLandFollowPanel.text1"] = "蟠桃园·凡",
["SkyDreamLandFollowPanel.text2"] = "蟠桃园·仙",
["SkyDreamLandFollowPanel.text3"] = "蟠桃园·神",
["SkyDreamLandFollowPanel.text4"] = "蟠桃园·圣",
["SkyDreamLandFollowPanel.text5"] = "蟠桃园·尊",
["SkyDreamLandFollowPanel.text6"] = "分钟",
["SkyDreamLandFollowPanel.text7"] = "进入等级：%s级",
["SkyDreamLandFollowPanel.text8"] = "100人(满)",
["SkyDreamLandFollowPanel.text9"] = "当前时间：",
["SkyDreamLandFollowPanel.text10"] = "剩余时间：",
["FindTreasurePanel.text1"] = "还有剩余翻牌次数",
["FindTreasurePanel.text2"] = "还有宝藏没有获取",
["FindTreasurePanel.text4"] = "宝藏秘境·普通",
["FindTreasurePanel.text5"] = "普通秘境可获得奖励",
["FindTreasurePanel.text6"] = "宝藏秘境·精英",
["FindTreasurePanel.text7"] = "精英秘境可获得奖励",
["FindTreasurePanel.text8"] = "宝藏秘境·恶魔",
["FindTreasurePanel.text9"] = "恶魔秘境可获得奖励",
["FindTreasurePanel.text10"] = "宝藏秘境·地狱",
["FindTreasurePanel.text11"] = "地狱秘境可获得奖励",
["FindTreasurePanel.text12"] = "10钻石/次",
["FindTreasurePanel.text14"] = "层",
["FindTreasurePanel.text15"] = "普通秘籍可获得奖励",
["FindTreasurePanel.text16"] = "翻牌机会：",
["FindTreasurePanel.text17"] = "剩余宝藏：",
["FindTreasurePanel.text18"] = "下一层",
["FindTreasurePanel.text19"] = "当前秘境还有[%s]剩余宝藏未寻获[-]，确认放弃进入下一层吗？\n[%s]注：可以花10钻石继续翻牌哦[-]",
["FindTreasurePanel.text20"] = "没有可扫荡宝藏",
["FindTreasurePanel.text21"] = "是否花费%s钻石立即完成所有已获取的宝藏",
["FriendGiveGoldPanel.text1"] = "赠送钻石",
["FriendGiveGoldPanel.text2"] = "1、55级以上可赠送非绑定钻石给好友",
["FriendGiveGoldPanel.text3"] = "2、钻石赠送给好友，系统不会通过任何形式退回",
["FriendGiveGoldPanel.text4"] = "受赠钻石好友名称：",
["FriendGiveGoldPanel.text5"] = "个人拥有钻石数量：",
["FriendGiveGoldPanel.text6"] = "输入赠送钻石数量：",
["FriendGiveGoldPanel.text7"] = "取 消",
["FriendGiveGoldPanel.text9"] = "请输入钻石数量",
["FriendGiveGoldPanel.text10"] = "数量超过拥有钻石的上限",
["FriendGiveGoldPanel.text11"] = "每次可邮寄最低50钻石",
["FriendGiveGoldPanel.text12"] = "确定要给好友[0x00FF00]%s[-]寄去[0xFFF35B]%s[-]钻石吗？",
["FriendPanel.text1"] = "你可以通过以下方式添加游戏好友：",
["FriendPanel.text2"] = "1.选中其它玩家，点击其头像加好友",
["FriendPanel.text3"] = "2.在查看其他玩家信息界面，加好友",
["FriendPanel.text4"] = "3.在聊天频道点击玩家名称，加好友",
["FriendPanel.text5"] = "发送",
["FriendPanel.text6"] = "当前地图不能发送坐标信息",
["FriendPanel.text7"] = "没有选中好友",
["FriendPanel.text8"] = "好友私聊需要40级",
["FriendPanel.text9"] = "输入内容为空",
["FriendPanel.text10"] = "好友不在线",
["EquipAdvancedView.text1"] = "进阶说明",
["EquipAdvancedView.text2"] = "装备升阶前",
["EquipAdvancedView.text3"] = "+7紫装才能进阶橙装",
["EquipAdvancedView.text4"] = "升阶后预览",
["EquipAdvancedView.text6"] = "开始进阶",
["EquipAdvancedView.text7"] = "紫装不能进阶",
["EquipAdvancedView.text8"] = "请先选择装备",
["EquipAdvancedView.text9"] = "材料不足",
["EquipAdvancedView.text10"] = "该装备已进阶到最高",
["EquipAdvancedView.text11"] = "+10橙装才能进阶金色装备",
["EquipAdvancedView.text12"] = "+15暗金装才能进阶红色装备",
["EquipAdvancedView.text13"] = "1、[0xF000D6]紫色+7[-]装备可以进阶为橙色品质\n2、[0xFF6900]橙色+10[-]装备可以进阶为金色品质\n3、[0xFFF45C]金色+15[-]装备可以进阶为红色品质",
["CombinedActive5.text2"] = "合服大礼包：",
["CombinedActive5.text3"] = "活动福利多多，助你重披战甲，决战天下",
["CombinedActive5.text4"] = "※合服后“欢乐送钻、寻宝轮盘、帮派排名、结缘礼包”等",
["CombinedActive5.text5"] = "※合服大礼包，总值4888钻石，每人限领取一次",
["EquipStrengthView.text1"] = "强化说明",
["EquipStrengthView.text4"] = "战斗力：",
["EquipStrengthView.text6"] = "自动购买材料",
["EquipStrengthView.text8"] = "材料",
["EquipStrengthView.text9"] = "强 化",
["EquipStrengthView.text11"] = "请先选择装备",
["EquipStrengthView.text12"] = "材料不足",
["EquipStrengthView.text13"] = "该装备不能强化",
["GMPanel.text1"] = "联系",
["GMPanel.text3"] = "内容",
["GMPanel.text4"] = "提交",
["GMPanel.text5"] = "投诉",
["GMPanel.text6"] = "建议",
["GMPanel.text7"] = "其他",
["GMPanel.text8"] = "发 送",
["LeagueInfoView.text1"] = "名称",
["LeagueInfoView.text3"] = "人员",
["LeagueInfoView.text4"] = "财富",
["LeagueInfoView.text5"] = "实力",
["LeagueInfoView.text6"] = "维护",
["LeagueInfoView.text7"] = "公告",
["LeagueInfoView.text8"] = "捐献次数",
["LeagueInfoView.text9"] = "获得帮贡",
["LeagueInfoView.text10"] = "增加财富",
["LeagueInfoView.text11"] = "（财富低于-10000自动解散帮派）",
["LeagueInfoView.text12"] = "（点击公告内容即可编辑公告）",
["LeagueInfoView.text13"] = "升级",
["LeagueInfoView.text14"] = "退帮",
["LeagueInfoView.text15"] = "帮派已经到达最高级",
["LeagueInfoView.text16"] = "帮派财富值不足",
["LeagueInfoView.text17"] = "捐献次数已满",
["LeagueInfoView.text18"] = "vip需要5级才能捐赠钻石",
["LeagueInfoView.text19"] = "捐献次数已满",
["LeagueInfoView.text20"] = "请输入内容",
["LeagueInfoView.text21"] = "修改成功",
["LeagueInfoView.text22"] = "请确认是否捐献[0xea6e00]10万",
["LeagueInfoView.text23"] = "请确认是否捐献[0xea6e00]200",
["LeagueInfoView.text24"] = "财富/天",
["LeagueInfoView.text25"] = "不限",
["LeagueInfoView.text26"] = "是否花费%s帮派财富，升级帮派？",
["LeagueInfoView.text27"] = "（财富低于-%s自动解散帮派）",
["LeagueInfoView.text28"] = "帮派总剩余%s次",
["LeagueInfoView.text29"] = "你是[0xfff35b]帮主[-]，请确认是否[0xff0000]解散帮派[-]？\n[0xff0000]说明：解散帮派后帮贡将清0，请用完再解散！[-]",
["LeagueInfoView.text30"] = "请确认是否离开帮派？\n[0xff0000]说明：离开帮派后帮贡将清0，请用完再退出！[-]",
["ChaosItemView.text1"] = "解",
["ChaosItemView.text2"] = "散",
["ChaosItemView.text3"] = "队",
["ChaosItemView.text4"] = "伍",
["ChaosItemView.text5"] = "段位：",
["ChaosItemView.text6"] = "战力：",
["ChaosItemView.text9"] = "邀",
["ChaosItemView.text7"] = "请",
["ChaosItemView.text8"] = "出",
["ChaosItemView.text10"] = "好",
["ChaosItemView.text11"] = "友",
["ChaosItemView.text12"] = "你确定要解散队伍么？",
["ChaosItemView.text13"] = "你确定要离开队伍么？",
["ChaosItemView.text14"] = "离",
["ChaosItemView.text15"] = "开",
["ChaosItemView.text16"] = "你确定要将[0x00ffff]%s[-]请出队伍么？",
["ChaosPanel.text1"] = "距本赛季结束还有：",
["ChaosPanel.text2"] = "今日参与次数：",
["ChaosPanel.text3"] = "我的段位：",
["ChaosPanel.text4"] = "我的胜点：",
["ChaosPanel.text5"] = "距本赛季结束还有：",
["ChaosPanel.text6"] = "活动说明：",
["ChaosPanel.text7"] = "立即匹配",
["ChaosPanel.text8"] = "关闭界面会解散队伍，你确定要解散队伍么？",
["ChaosPanel.text10"] = "战力小于10万，不能参加该活动",
["ChaosPanel.text11"] = "当前无在线好友",
["ChaosPanel.text13"] = "邀请中，请稍后...",
["ChaosPanel.text14"] = "(下次比赛为升段赛)",
["ChaosPanel.text15"] = "(今日前十场可获得声望值奖励)",
["ChaosPanel.text16"] = "你被请出了队伍！",
["ChaosPanel.text17"] = "关闭界面会离开队伍，你确定要离开队伍么？",
["ChaosPanel.text18"] = "邀请结义兄弟",
["ChaosPanel.text19"] = "没有结义好友，请先结义",
["ChaosPanel.text20"] = "当前没有空余位置，无法邀请",
["ChaosPanel.text21"] = "当前没有在线的结义兄弟",
["ChaosPanel.text22"] = "只剩一个位置，不能同时邀请两位，请手动邀请",
["ChaosPanel.text23"] = " 不是你的好友",
["ChaosRankPanel.text1"] = "排名",
["ChaosRankPanel.text2"] = "名称",
["ChaosRankPanel.text3"] = "职业",
["ChaosRankPanel.text4"] = "战力",
["ChaosRankPanel.text5"] = "段位",
["ChaosRankPanel.text6"] = "胜点	",
["ChaosRankPanel.text7"] = "我的排名",
["ChaosRankPanel.text8"] = "赛季排名奖励：",
["ChaosRankPanel.text9"] = "注意：只有段位达到“超神”级别的才能获得赛季排名奖励",
["ChaosRankPanel.text10"] = "第%s-%s名",
["ChaosResultPanel.text1"] = "战场结算",
["ChaosResultPanel.text2"] = "恭喜你，胜利了！",
["ChaosResultPanel.text3"] = "获得奖励：",
["ChaosResultPanel.text4"] = "经验：",
["ChaosResultPanel.text5"] = "声望值：",
["ChaosResultPanel.text6"] = "胜点变化：",
["ChaosResultPanel.text7"] = "升段赛胜利，成功升段为：",
["ChaosResultPanel.text8"] = "确 认",
["ChaosResultPanel.text9"] = "恭喜，你胜利了！",
["ChaosResultPanel.text10"] = "升段赛胜利，成功升段为：",
["ChaosResultPanel.text11"] = "很遗憾，你失败了！",
["ChaosResultPanel.text12"] = "升段赛失败，段位不变，胜点清空！",
["MatterPanel.text1"] = "活动介绍",
["MatterPanel.text2"] = "活动奖励",
["MatterPanel.text3"] = "查看帮战排行",
["MatterPanel.text4"] = "立即参与",
["MatterPanel.text5"] = "我要报名",
["MatterPanel.text6"] = "请先加入帮派才能参加帮战",
["MatterPanel.text7"] = "帮派达到2级才能参加帮战",
["MatterPanel.text8"] = "帮战报名成功！",
["MatterPanel.text9"] = "活动还未开始",
["MatterPanel.text10"] = "活动已经结束",
["MatterPanel.text11"] = "您的帮派不是前2名！",
["MatterPanel.text12"] = "战力不足10万或等级不足50级!",
["MatterPanel.text13"] = "请先加入帮派！",
["MatterPanel.text14"] = "本帮已报名：%s人（可参战）",
["MatterPanel.text15"] = "本帮已报名：%s人（不可参战）",
["OathAcceptPanel.text1"] = "拒绝 %s",
["OathAcceptPanel.text2"] = "接受",
["OathAcceptPanel.text4"] = "大姐",
["OathAcceptPanel.text5"] = "大哥",
["OathAcceptPanel.text6"] = "二姐",
["OathAcceptPanel.text7"] = "二哥",
["OathAcceptPanel.text8"] = "三妹",
["OathAcceptPanel.text9"] = "三弟",
["OathAcceptPanel.text10"] = "生死之交",
["OathAcceptPanel.text11"] = "刎颈之交",
["OathAcceptPanel.text12"] = "八拜之交",
["OathAcceptPanel.text13"] = "邀请你结义,结义称号为【%s】并奉上信物： ",
["OathBreakPanel.text1"] = "退出确认",
["OathBreakPanel.text2"] = "退出结义后结义等级和信物属性将会保留，并且可以继续提升；你不能进入桃园，除非再次结义；但你仍然可以通过其他方式获得义气值",
["OathBreakPanel.text3"] = "本次需要花费",
["OathBreakPanel.text4"] = "万铜币",
["OathBreakPanel.text5"] = "确 认",
["OathBreakPanel.text6"] = "取 消",
["OathBreakPanel.text8"] = "你即将退出与%s的结义！",
["OathPanel.text1"] = "一拍即合",
["OathPanel.text2"] = "二人同心",
["OathPanel.text3"] = "三足鼎立",
["OathPanel.text4"] = "四时相伴",
["OathPanel.text5"] = "五体投诚",
["OathPanel.text6"] = "六合比邻",
["OathPanel.text7"] = "七星聚义",
["OathPanel.text8"] = "八仙过海",
["OathPanel.text9"] = "九霄厚谊",
["OathPanel.text10"] = "十世相知",
["OathPanel.text11"] = "消费义气值：",
["OathPanel.text12"] = "进入桃园",
["OathPanel.text13"] = "我要结义",
["OathPanel.text14"] = "已达到最高阶",
["OathPanel.text15"] = "义气值不足，可通过桃园副本获取",
["OathPanel.text16"] = "未结义不可进入桃园",
["OathPanel.text17"] = "消耗义气值：",
["OathPanel.text18"] = "义气值：",
["OathPanel.text19"] = "割袍断义",
["OathPanel.text20"] = "我要结义",
["TaoYuanPanel.text1"] = "当前成熟度：",
["TaoYuanPanel.text2"] = "使用甘露提升仙桃的成熟度：",
["TaoYuanPanel.text3"] = "桃园副本可获取甘露：",
["TaoYuanPanel.text4"] = "剩余免费次数：",
["TaoYuanPanel.text5"] = "剩余付费次数：",
["TaoYuanPanel.text6"] = "成长度贡献：",
["TaoYuanPanel.text7"] = "玩法介绍",
["TaoYuanPanel.text8"] = "成熟度已满，无需再提升",
["TaoYuanPanel.text9"] = "没有甘露，请进入桃园获取",
["TaoYuanPanel.text10"] = "请集齐10个后再使用",
["TaoYuanPanel.text12"] = "没有进入次数，请明天再来",
["TaoYuanPanel.text19"] = "（缺）",
["TaoYuanPanel.text21"] = "本次进入需要花费%s钻石，是否进入？",
["OathApplyPanel.text1"] = "结 义",
["OathApplyPanel.text2"] = "战力：",
["OathApplyPanel.text3"] = "不多于六个字",
["OathApplyPanel.text5"] = "名字不能为空",
["OathApplyPanel.text6"] = "请选择好友",
["OathApplyPanel.text7"] = "结义的其他两位成员不能为同一个人",
["OathApplyPanel.text8"] = "等级小于50不能结义",
["OathApplyPanel.text9"] = "当前无在线好友",
["OathApplyPanel.text10"] = "请选择好友",
["OathApplyPanel.text17"] = "请输入结义称号：",
["OathApplyPanel.text18"] = "(结义称号后会自动加上座次排行：如[风云三侠_大哥])",
["OathApplyPanel.text19"] = "是否花费%s钻石请求结义? ",
["OathApplyPanel.text20"] = "在线好友数",
["EquipWuhunView.text2"] = "拥有铜币：",
["EquipWuhunView.text3"] = "本次消耗：",
["EquipWuhunView.text4"] = "自动修炼",
["EquipWuhunView.text5"] = "停止修炼",
["EquipWuhunView.text6"] = "修炼已达当前上限",
["EquipWuhunView.text7"] = "修炼一圈",
["EquipWuhunView.text8"] = "升到%s级后可继续修炼",
["FurnaceMessageReceiver.text1"] = "进阶成功",
["FurnaceMessageReceiver.text2"] = "进阶失败",
["FurnaceMessageReceiver.text3"] = "洗练成功",
["FurnaceMessageReceiver.text4"] = "洗练失败",
["FurnaceMessageReceiver.text5"] = "洗练替换成功",
["FurnaceMessageReceiver.text6"] = "洗练替换失败",
["FurnaceMessageReceiver.text8"] = "升级失败",
["FurnaceMessageReceiver.text9"] = "进阶成功",
["FurnaceMessageReceiver.text10"] = "进阶失败",
["FurnaceMessageReceiver.text11"] = "恭喜您，强化%s次,使用%s个强化石、%s钻石、%s铜币强化成功，装备强化等级+1",
["FurnaceMessageReceiver.text12"] = "很遗憾，强化%s次,使用%s个强化石、%s钻石、%s铜币还差一点就强化成功了，继续加油！",
["LeagueMemberView.text1"] = "昵称",
["LeagueMemberView.text3"] = "帮贡",
["LeagueMemberView.text4"] = "战力",
["LeagueMemberView.text5"] = "状态",
["LeagueMemberView.text7"] = "关闭",
["LeagueMemberView.text8"] = "转让帮主",
["LeagueMemberView.text9"] = "升为副帮",
["LeagueMemberView.text10"] = "解除副帮",
["LeagueMemberView.text11"] = "踢出帮派",
["LeagueMemberView.text12"] = "查看信息",
["LeagueMemberView.text13"] = "请确认是否将帮派转让给[0xfff35b]%s[-]？转让后自身将成为普通成员！",
["LeagueMemberView.text14"] = "请确认是否将[0xfff35b]%s[-]升为副帮主？",
["LeagueMemberView.text15"] = "请确认是否解除[0xfff35b]%s[-]的副帮主职位？",
["LeagueMemberView.text16"] = "请确认是否将[0xfff35b]%s[-]踢出帮派？",
["LeagueListPanel.text1"] = "亲爱的友友，创建帮派召集小伙伴一起快乐游戏吧！",
["LeagueListPanel.text2"] = "可自动加入帮派",
["LeagueListPanel.text3"] = "创建帮派",
["LeagueListPanel.text4"] = "自动加入",
["LeagueListPanel.text5"] = "请输入帮派名称：",
["LeagueListPanel.text6"] = "支付钻石",
["LeagueListPanel.text7"] = "支付铜币",
["LeagueListPanel.text8"] = "创建帮派需支付[0xea6e00]248钻石[-]或[0xea6e00]200万铜币[-]，请确认支付方式！",
["LeagueListPanel.text9"] = "需要角色等级45级",
["LeagueListPanel.text10"] = "请输入帮派名字",
["OpenView8Item.text1"] = "目标达成人数：",
["OpenView8Item.text2"] = "成为VIP1",
["OpenView8Item.text3"] = "成为VIP3",
["OpenView8Item.text4"] = "成为VIP5",
["OpenView8Item.text6"] = "VIP等级不够或者到阶人数不够",
["OpenView8Item.text7"] = "阶%s星达到%s人",
["RankClubView.text1"] = "我的帮派",
["RankClubView.text2"] = "实力",
["RankClubView.text4"] = "人数",
["RankClubView.text6"] = "帮派名称",
["RankClubView.text7"] = "排名",
["RankClubView.text9"] = "查看奖励",
["RolePropertyDetailsView.text1"] = "属性详情",
["RolePropertyDetailsView.text2"] = "生命值为0时角色死亡",
["RolePropertyDetailsView.text3"] = "增加造成的伤害",
["RolePropertyDetailsView.text4"] = "增加造成的属性伤害",
["RolePropertyDetailsView.text5"] = "减少受到的伤害",
["RolePropertyDetailsView.text6"] = "减少受到属性攻击的伤害",
["RolePropertyDetailsView.text7"] = "增加攻击命中率",
["RolePropertyDetailsView.text8"] = "减少受击命中率",
["RolePropertyDetailsView.text9"] = "增加攻击暴击率",
["RolePropertyDetailsView.text10"] = "减少受击暴击率",
["RolePropertyDetailsView.text11"] = "攻击时增加的额外固定伤害值",
["RolePropertyDetailsView.text12"] = "暴击时增加的额外固定伤害值",
["RolePropertyDetailsView.text13"] = "攻击时无视目标防御和属防的固定值",
["RolePropertyDetailsView.text14"] = "每10秒自动恢复10%生命（PVP时无效）",
["RoleDisplayView.text11"] = "改名",
["RoleDisplayView.text12"] = "未装备婚戒",
["RoleDisplayView.text14"] = "转职",
["ArenaItemView.text1"] = "第5000+名",
["ArenaItemView.text2"] = "第%s名",
["ArenaItemView.text3"] = "[%s服] ",
["OathReceiver.text1"] = "结义成功",
["OathReceiver.text2"] = "结义退出",
["OathReceiver.text3"] = "结义请求已发出",
["OathReceiver.text5"] = "结义成员有人不在线",
["OathReceiver.text6"] = "结义成员不是好友",
["OathReceiver.text7"] = "不存在信物信息",
["OathReceiver.text9"] = "您当前已结义",
["OathReceiver.text10"] = "成员中有人已结义",
["OathReceiver.text11"] = "结义成员中有人拒绝结义",
["OathReceiver.text12"] = "结义称号超出六个字",
["OathReceiver.text13"] = "结义称号已存在",
["OathReceiver.text14"] = "结义的其他两位成员不能为同一个人",
["OathReceiver.text15"] = "退出结义成功",
["JingyingBossPanel.text1"] = "2、伤害排名前10名玩家有几率获得装备宝箱，排名越高获得宝箱的几率越高。",
["JingyingBossPanel.text2"] = "3小时",
["JingyingBossPanel.text3"] = "1、战胜封魔BOSS后",
["JingyingBossPanel.text4"] = "刷新，狂系列BOSS脱离战斗会自动回血。",
["JingyingBossPanel.text5"] = "该地图强制开启PK模式。",
["GuideWelcomeView.text1"] = "欢迎您！亲爱的",
["GuideWelcomeView.text2"] = "主人",
["GuideWelcomeView.text3"] = "，奴家早已为您准备了",
["GuideWelcomeView.text4"] = "丰富的礼物哦~收下它开启主人的征战之旅吧！",
["GuideWelcomeView.text6"] = "10W铜币",
["GuideWelcomeView.text7"] = "强化石",
["GuideWelcomeView.text8"] = "收下了",
["GuideWelcomeView.text9"] = "万铜币",
["LeagueBossResultView.text1"] = "本次对BOSS造成了",
["LeagueBossResultView.text2"] = "的伤害",
["LeagueBossResultView.text3"] = "获得奖励如下：",
["LeagueBossResultView.text4"] = "经验：",
["LeagueBossResultView.text5"] = "帮贡：",
["OpenTipView.text1"] = "进阶变形象",
["OpenTipView.text2"] = "武魂修炼升战力",
["OpenTipView.text3"] = "获得特殊装备",
["OpenTipView.text4"] = "获得各种材料",
["OpenTipView.text5"] = "无兄弟，不团战！",
["LeagueApplyListItem.text1"] = "帮贡：",
["LeagueApplyListItem.text3"] = "批准",
["LeagueApplyListItem.text4"] = "一天以内",
["LeagueApplyListItem.text5"] = "在线",
["LeagueApplyListItem.text6"] = "离线%s天 ",
["LeagueApplyListPanel.text1"] = "申请列表",
["LeagueApplyListPanel.text2"] = "拥有       个",
["LeagueApplyListPanel.text3"] = "分配记录",
["LeagueBossItemView.text1"] = "重置",
["LeagueBossItemView.text2"] = "挑战",
["LeagueBossItemView.text3"] = "级帮派开启挑战)",
["LeagueBossItemView.text4"] = "帮派等级不足",
["LeagueBossItemView.text5"] = "重置该副本需要花费[0xff0000]20000[-]帮派财富，你确定重置吗？",
["LeagueBossItemView.text6"] = "帮派财富不足,需要20000帮派财富",
["LeagueBossItemView.text7"] = "重置该副本需要花费[0xff0000]30000[-]帮派财富，你确定重置吗？",
["LeagueBossItemView.text8"] = "帮派财富不足,需要30000帮派财富",
["LeagueBossItemView.text9"] = "重置该副本需要花费[0xff0000]40000[-]帮派财富，你确定重置吗？	",
["LeagueBossItemView.text10"] = "帮派财富不足,需要40000帮派财富",
["LeagueBossItemView.text11"] = "帮派等级不足",
["LeagueBossItemView.text12"] = "剩余挑战次数不足",
["LeagueBossItemView.text13"] = "次数：%s次",
["LeagueBossView.text1"] = "*挑战BOSS可根据伤害比例获得经验和帮贡奖励，还有BOSS挑战礼包",
["LeagueBossView.text2"] = "*通关后，帮主或副帮主可花费帮派财富重置副本进度，每天重置不限次数",
["LeagueBossView2.text1"] = "第一章",
["LeagueBossView2.text5"] = "第二章",
["LeagueBossView2.text6"] = "第三章",
["LeagueBossView2.text2"] = "返回",
["LeagueBossView2.text3"] = "挑战",
["LeagueBossView2.text4"] = "帮派等级不足",
["WelfareLoginItemView.text1"] = "第",
["WelfareLoginItemView.text3"] = "领 取",
["ResponseItemView.text1"] = "拒绝",
["ResponseItemView.text2"] = "同意",
["GoodsTipII.text1"] = "等级",
["GoodsTipII.text2"] = "类型",
["GoodsTipII.text3"] = "共",
["GoodsTipII.text4"] = "个",
["GoodsTipII.text6"] = "等级：",
["GoodsTipII.text7"] = "基础属性",
["GoodsTipII.text8"] = "(随等级自动提升)",
["GoodsTipII.text10"] = "未激活",
["GoodsTipII.text11"] = "物品说明",
["GoodsTipII.text12"] = "不可出售",
["GoodsTipII.text13"] = "是否确定丢弃珍稀道具",
["GoodsTipII.text14"] = "卸下",
["GoodsTipII.text16"] = "VIP等级不足，请充值后提升",
["GoodsTipII.text17"] = "积分不足",
["GoodsTipII.text18"] = "过期时间 %s年%s月%s日%02s:%02s:%02s",
["GoodsTipII.text19"] = " 强化+",
["GoodsTipII.text20"] = "奖励属性",
["CombinedActive1.text2"] = "※活动时间内，每累充1000钻石即获得1000绑定钻石奖励※不限次数，不限总数，充得多送得多",
["CombinedActive1.text3"] = "您当前充值：",
["CombinedActive1.text4"] = "您当前可领取绑钻：",
["CombinedActive1.text5"] = "钻石",
["CombinedActive1.text6"] = "充值",
["CombinedActive1.text7"] = "（再充值%s钻石可获得奖励1000绑钻）",
["CombinedActive2.text1"] = "寻宝",
["CombinedActive2.text2"] = "是否花费300钻石进行幸运的寻宝?",
["CombinedActive2.text3"] = "您拥有的钻石不足！",
["CombinedActive3.text1"] = "※合服后第三天24点截止帮派排名决定奖励归属※活动结束后新加入帮派的玩家不可以获得奖励",
["CombinedActive4.text1"] = "※活动时间内进行结缘即可以获得结缘大礼包（发到背包）※每种结缘大礼包只可以获得一次（各获得1次）",
["CopyTYCompletePanel.text1"] = "获得经验：",
["CopyTYCompletePanel.text2"] = "获得铜币：",
["CopyTYCompletePanel.text3"] = "获得奖励如下：",
["CopyTYFollowPanel.text1"] = "挑战怪物：",
["CopyTYFollowPanel.text2"] = "剩余时间：",
["TaoYuanMessageHandler.text1"] = "使用成功",
["TaoYuanMessageHandler.text2"] = "已经达到使用上限",
["TaoYuanMessageHandler.text3"] = "物品不足",
["OpenView1Item.text1"] = "累充",
["OpenView1Item.text4"] = "钻石",
["OpenView2Item.text1"] = "累充",
["OpenView2Item.text4"] = "提升",
["OpenView4Item.text1"] = "限购 :",
["OpenView4Item.text2"] = "原价 :",
["OpenView4Item.text3"] = "打折 :",
["OpenView4Item.text6"] = "数量超过购买上限",
["OpenView6Item.text1"] = "坐骑升星",
["OpenView6Item.text2"] = "足迹升星",
["OpenView6Item.text3"] = "羽翼升星",
["OpenView6Item.text4"] = "妖精升星",
["OpenView6Item.text5"] = "仙灵升星",
["OpenView6Item.text6"] = "法阵升星",
["OpenView6Item.text7"] = "龙魂升星",
["OpenView6Item.text8"] = "奖励",
["OpenView6Item.text9"] = "阶数达标",
["OpenView6Item.text10"] = "到二阶3星即可获得奖励",
["OpenView6Item.text11"] = "第%s名",
["OpenView10Item.text1"] = "原价 :",
["OpenView10Item.text2"] = "打折 :",
["OpenView10Item.text5"] = "数量超过购买上限",
["OpenView10Item.text6"] = "限购：%s个",
["OpenView5Item.text2"] = "消费[0xfff35b]%s钻石[-]奖励",
["OpenView5Item.text3"] = "再消费[0x00ff00]%s[-]钻石",
["SkillInitMessageHandler.text1"] = "%s技能升级到Lv.%s",
["LeagueContributionItem.text1"] = "系统自动整点发放",
["LeagueContributionView.text1"] = "帮贡设定",
["LeagueContributionView.text2"] = "*帮派仓库将在 2月25日 更新时下线，请及时把物品分配完",
["LeagueContributionView.text3"] = "*世界BOSS奖励将通过邮件发给伤害最高帮派的第一名玩家",
["LeagueContributionView.text4"] = "确认",
["LeagueMemberItemView.text1"] = "在线",
["LeagueMemberItemView.text2"] = "超过30天",
["LeagueMemberItemView.text3"] = "一天以内",
["LeagueMemberItemView.text4"] = "超过",
["OpenPanel.text2"] = "消费返利",
["OpenPanel.text3"] = "妖精冲阶",
["OpenPanel.text4"] = "坐骑冲阶",
["OpenPanel.text5"] = "羽翼冲阶",
["OpenPanel.text6"] = "仙灵冲阶",
["OpenPanel.text7"] = "足迹冲阶",
["OpenPanel.text8"] = "坐骑冲榜",
["OpenPanel.text9"] = "足迹冲榜",
["OpenPanel.text10"] = "羽翼冲榜",
["OpenPanel.text11"] = "妖精冲榜",
["OpenPanel.text12"] = "仙灵冲榜",
["OpenPanel.text13"] = "全民送礼",
["OpenPanel.text14"] = "超值折扣",
["OpenPanel.text15"] = "兑换好礼",
["OpenPanel.text16"] = "团购送礼",
["OpenPanel.text17"] = "法阵冲阶",
["OpenPanel.text18"] = "龙魂冲阶",
["OpenPanel.text19"] = "法阵冲榜",
["OpenPanel.text20"] = "龙魂冲榜",
["OpenPanel.text21"] = "特卖专场",
["OpenPanel.text22"] = "男神女神",
["OpenPanel.text23"] = "钻石投资",
["OpenPanel.text24"] = "活动倒计时：",
["OpenPanel.text25"] = "排名榜",
["OpenPanel.text27"] = "没有排名",
["OpenPanel.text29"] = "活动已结束",
["OpenPanel.text30"] = "全民寻宝",
["BaseOperateActiveView.text1"] = "活动奖励：",
["BaseOperateActiveView.text2"] = "立即参与",
["BaseOperateActiveView.text3"] = "活动介绍：",
["RankClubItemView.text1"] = "当前已有帮派",
["RankClubItemView.text2"] = "申请成功",
["LeagueShopView.text1"] = "拥有帮贡：",
["LeagueShopView.text2"] = "（帮派捐献钻石或铜币可获得帮贡）",
["LeagueWareHouseView.text1"] = "*帮派仓库将在 2月25日 更新时下线，请及时把物品分配完",
["LeagueWareHouseView.text2"] = "*世界BOSS奖励将通过邮件发给伤害最高帮派的第一名玩家",
["LeagueWareHouseView.text3"] = "帮贡设定",
["LeagueWareHouseView.text4"] = "分配记录",
["UpdateAlert.text1"] = "本资源包含有以下系统 4-15 阶形象资源（wifi环境下自动下载）",
["UpdateAlert.text2"] = "坐骑、妖精、羽翼、足迹、仙灵、法阵、龙魂",
["UpdateAlert.text3"] = "温馨提示：wifi网络已自动下载扩展包，请领取奖励！",
["UpdateAlert.text4"] = "立即更新",
["UpdateAlert.text5"] = "温馨提示：点击“立即更新”即可以获得以下丰富奖励！(%s/%s)",
["ActivityIconItem.text1"] = "请回城后再参与",
["OpenView7Item.text2"] = "物品数量不够",
["OpenView9Item.text2"] = "第%s天全服首充满25人",
["OpenView9Item.text3"] = "充值满%s钻石可领取",
["GuideTitleItemView.text1"] = "恭喜您获得新的显示称号：",
["GuideTitleItemView.text2"] = "称号",
["GuideTitleItemView.text3"] = "领取称号",
["BaggagePanel.text1"] = "物 品",
["BaggagePanel.text2"] = "装 备",
["BaggagePanel.text3"] = "融 炼",
["CombinedActivePanel.text1"] = "欢乐送钻",
["CombinedActivePanel.text2"] = "寻宝轮盘",
["CombinedActivePanel.text3"] = "帮派排名",
["CombinedActivePanel.text4"] = "结缘礼包",
["CombinedActivePanel.text5"] = "合服礼包",
["CombinedActivePanel.text6"] = "活动倒计时：",
["CombinedActivePanel.text7"] = "排名榜",
["CombinedActivePanel.text8"] = "结束",
["LeagueHistoryItem.text1"] = "分配人：",
["LeagueHistoryView.text1"] = "分配记录",
["LeagueHistoryView.text2"] = "无分配记录",
["LeagueItemView.text1"] = "申请",
["LeagueItemView.text2"] = "申请数量已满",
["MatterItemView.text2"] = "时间",
["TopTenView.text1"] = "排名榜",
["RankArenaView.text1"] = "我的竞技",
["RankArenaView.text2"] = "排名",
["RankArenaView.text3"] = "战力",
["RankArenaView.text4"] = "玩家职业",
["RankArenaView.text5"] = "玩家名",
["RankArenaView.text6"] = "级开启此功能",
["RankFazhenView.text1"] = "我的法阵",
["RankFazhenView.text2"] = "总战力",
["RankFazhenView.text3"] = "品阶",
["RankFazhenView.text4"] = "法阵名称",
["RankFazhenView.text5"] = "角色名称",
["RankFightView.text1"] = "我的战力",
["RankFightView.text2"] = "角色名称",
["RankFightView.text3"] = "职业",
["RankFightView.text4"] = "所属帮派",
["RankFightView.text5"] = "战力",
["RankFightView.text6"] = "查看奖励",
["RankGodView.text1"] = "我的足迹",
["RankGodView.text2"] = "总战力",
["RankGodView.text3"] = "品阶",
["RankGodView.text4"] = "足迹名称",
["RankGodView.text5"] = "角色名称",
["RankLevelView.text1"] = "我的等级",
["RankLevelView.text3"] = "所属帮派",
["RankLevelView.text4"] = "职业",
["RankLevelView.text5"] = "角色名称",
["RankLevelView.text6"] = "查看奖励",
["RankLonghunView.text1"] = "我的龙魂",
["RankLonghunView.text2"] = "角色名称",
["RankLonghunView.text3"] = "龙魂名称",
["RankLonghunView.text4"] = "品阶",
["RankLonghunView.text5"] = "总战力",
["RankPetView.text1"] = "我的妖精",
["RankPetView.text2"] = "总战力",
["RankPetView.text3"] = "品阶",
["RankPetView.text4"] = "妖精名称",
["RankPetView.text5"] = "角色名称",
["RankRiderView.text1"] = "我的坐骑",
["RankRiderView.text2"] = "角色名称",
["RankRiderView.text3"] = "坐骑名称",
["RankRiderView.text4"] = "品阶",
["RankRiderView.text5"] = "总战力",
["RankSpriteView.text1"] = "我的仙灵",
["RankSpriteView.text2"] = "角色名称",
["RankSpriteView.text3"] = "仙灵名称",
["RankSpriteView.text4"] = "品阶",
["RankSpriteView.text5"] = "总战力",
["RankTipView1.text1"] = "排行榜说明",
["RankTipView1.text2"] = "战力榜：",
["RankTipView1.text3"] = "战力榜按角色战斗力由高到低排序，战斗力相同的情况按时间先后排序，刷新时间为整点",
["RankTipView2.text1"] = "排行榜说明",
["RankTipView2.text2"] = "帮派榜：",
["RankTipView2.text3"] = "帮派榜按帮派等级高低排序，等级相同时以帮派实力高低排；帮派榜每整点刷新排名",
["RankWingView.text1"] = "我的羽翼",
["RankWingView.text2"] = "角色名称",
["RankWingView.text3"] = "羽翼名称",
["RankWingView.text4"] = "品阶",
["RankWingView.text5"] = "总战力",
["LetterPanel.text1"] = "温馨提示：邮件最多存放7天后自动清除，请及时处理！",
["RolePropertyView.text2"] = "称号：",
["RolePropertyView.text3"] = "称号管理",
["RolePropertyView.text4"] = "提升战力",
["RolePropertyView.text5"] = "属性详情",
["RolePropertyView.text6"] = "此功能即将开放",
["RolePropertyView.text7"] = "觉醒说明",
["RolePropertyView.text8"] = "觉 醒",
["RolePropertyView.text9"] = "50级开放",
["RolePropertyView.text10"] = "所需物品不足，请继续努力",
["RolePropertyView.text11"] = "级时才可以开启第一阶段任务",
["RolePropertyView.text12"] = "级时才可以开启第二阶段任务",
["RolePropertyView.text13"] = "级时才可以开启最终阶段任务",
["TitleViewII.text1"] = "称号描述",
["TitleViewII.text2"] = "有效时间：",
["TitleViewII.text3"] = "佩 戴",
["TitleViewII.text4"] = "卸 下",
["TitleViewII.text6"] = "成长称号",
["TitleViewII.text7"] = "活动称号",
["TitleViewII.text8"] = "平台称号",
["TitleViewII.text9"] = "特殊称号无法被替换",
["TitleViewII.text10"] = "特殊称号无法卸下",
["TitleViewII.text11"] = "永久",
["TitleViewII.text12"] = "成长称号 %s/%s",
["TitleViewII.text14"] = "活动称号 %s/%s",
["TitleViewII.text15"] = "平台称号 %s/%s",
["TitleViewII.text16"] = "个性称号",
["TitleViewII.text17"] = "个性称号 %s/%s",
["FriendItemView.text1"] = "55级以上（包括55级）才能给好友赠送非绑钻石",
["ArenaAlertPanel.text1"] = "提示",
["ArenaAlertPanel.text2"] = "是否花费",
["ArenaAlertPanel.text3"] = "100钻石",
["ArenaAlertPanel.text4"] = "进行激励提升      战力？",
["ArenaAlertPanel.text6"] = "已激励次数：",
["ArenaAlertPanel.text7"] = "激励",
["ArenaAlertPanel.text8"] = "激励次数已满",
["ArenaAlertPanel.text9"] = "激励提升战力仅在当天斗神殿挑战有效",
["ArenaPanel.text1"] = "挑战次数：",
["ArenaPanel.text2"] = "重置时间：",
["ArenaPanel.text3"] = "换一批",
["ArenaPanel.text4"] = "挑 战",
["ArenaPanel.text5"] = "该场景不能进行此操作",
["ArenaPanel.text6"] = "请选择一个玩家挑战",
["ArenaPanel.text7"] = "无可挑战次数",
["ArenaPanel.text8"] = "不能挑战自己",
["ArenaPanel.text9"] = "等待%s",
["ArenaPanel.text11"] = "挑战次数已满",
["ArenaPanel.text12"] = "确定要花费[0x007F00]%s钻石[-]立即获得一次挑战机会？ ",
["SHMessageHandler.text1"] = "对方拒绝邀请",
["SHMessageHandler.text2"] = "队伍已经解散",
["SHMessageHandler.text3"] = "队伍已满",
["SHMessageHandler.text4"] = "对方副本次数不够",
["AwakenSkillPanel.text1"] = "点击技能按钮可以更换技能（普通攻击除外），副本中和战斗状态下不能更换",
["AwakenSkillPanel.text2"] = "职业技能",
["AwakenSkillPanel.text3"] = "通用技能",
["AwakenSkillPanel.text4"] = "方",
["AwakenSkillPanel.text5"] = "案",
["AwakenSkillPanel.text6"] = "一",
["AwakenSkillPanel.text7"] = "二",
["AwakenSkillPanel.text8"] = "三",
["AwakenSkillPanel.text9"] = "当前使用技能方案有技能CD中，不能切换",
["AwakenSkillPanel.text10"] = "已使用",
["AwakenSkillPanel.text12"] = "已达最高",
["WashGoldPanel.text1"] = "结束倒计时：",
["WashGoldPanel.text2"] = "奖池总钻石：",
["WashGoldPanel.text3"] = "虚位以待",
["WashGoldPanel.text5"] = "淘金次数不足，请充值再玩",
["WashGoldPanel.text6"] = "钻石不足,请充值再玩",
["WashGoldPanel.text7"] = "是否花费30钻石进行淘金?",
["WashGoldPanel.text8"] = "淘金次数不足10次，请充值再玩",
["WashGoldPanel.text9"] = "是否花费270钻石进行十次淘金?",
["WashGoldPanel.text10"] = "玩法说明",
["WashGoldPanel.text11"] = "[%s]%s[-]抽中了[0xFF6900]%s钻石[-]",
["WashGoldPanel.text12"] = "[%s]%s[-]抽中了%s个[%s]%s[-]",
["SceneCopySweepAwardPanel.text1"] = "恭喜你，扫荡已经完成！",
["SceneCopySweepAwardPanel.text2"] = "获得奖励：",
["SceneCopySweepAwardPanel.text3"] = "自动扫荡奖励",
["CopyDTCompletePanel.text1"] = "获得经验：",
["CopyDTCompletePanel.text2"] = "获得铜币：",
["CopyDTCompletePanel.text3"] = "获得奖励如下：",
["CopyDTFollowPanel.text1"] = "玩家名称",
["CopyDTFollowPanel.text2"] = "答对题数",
["CopyDTFollowPanel.text3"] = "累计经验：",
["CopyDTFollowPanel.text4"] = "答题即将开始。（答题开始后，所有的题目都为判断题，若您认为对则移动到绿色区域；反之，则移动到红色区域）",
["ArenaResultPanel.text1"] = "您的排名提升至",
["ArenaResultPanel.text2"] = "获得奖励：",
["ArenaResultPanel.text3"] = "经验：",
["ArenaResultPanel.text4"] = "荣誉：",
["ArenaResultPanel.text5"] = "退 出",
["ArenaResultPanel.text6"] = "您的排名保持不变",
["ArenaResultPanel.text7"] = "声望：",
["ArenaRankAwardPanel.text1"] = "竞技场奖励",
["ArenaRankAwardPanel.text2"] = "每天0点结算时的排名奖励",
["BangzhanRankAwardItem.text1"] = "第%s名帮派奖励：",
["BangzhanRankAwardItem.text2"] = "帮战胜场",
["BangzhanRankAwardItem.text3"] = "个人积分",
["BangzhanRankPanel.text1"] = "帮战排名榜",
["BangzhanRankPanel.text2"] = "排名",
["BangzhanRankPanel.text4"] = "实力",
["BangzhanRankPanel.text5"] = "总积分",
["BangzhanRankPanel.text6"] = "周五帮战结束如个人积分不达标仅能获得一半奖励",
["BangZhanResultPanel.text1"] = "帮战统计",
["BangZhanResultPanel.text2"] = "排名",
["BangZhanResultPanel.text4"] = "积分",
["BangZhanResultPanel.text5"] = "个人排名：",
["BangZhanResultPanel.text6"] = "个人积分：",
["BangZhanResultPanel.text7"] = "个人帮贡：",
["BangZhanResultPanel.text8"] = "经验奖励：",
["GuideNewModuleView.text1"] = "点击任意位置继续 ",
["SceneSkillPanel.text1"] = "技能方案一",
["SceneSkillPanel.text2"] = "技能方案二",
["SceneSkillPanel.text3"] = "技能方案三 ",
["SceneSkillPanel.text4"] = "该方案尚未设置",
["SceneSkillPanel.text5"] = "当前方案正在使用 ",
["SceneSkillPanel.text6"] = "当前使用技能处于CD当中，无法切换方案",
["ConsumeGiftPanel.text1"] = "活动期间，每日消费钻石累计达到要求，即可激活对应档次的奖励，所有已激活的档次的奖励都可同时领取。 ",
["ConsumeGiftPanel.text2"] = "累计消费额和领取机会将在换天后0点清空，请及时领取奖励。 ",
["ConsumeGiftPanel.text3"] = "今日累计消费： ",
["ConsumeGiftPanel.text4"] = "激活下一档奖励还需要消费： ",
["ConsumeGiftPanel.text5"] = "活动结束： ",
["ConsumeGiftPanel.text6"] = "（好友赠送钻石不会累计消费） ",
["ConsumeGiftItem.text2"] = "消费",
["CopySHUpdatePanel.text1"] = "召唤守卫",
["CopySHUpdatePanel.text2"] = "进 化",
["CopySHUpdatePanel.text3"] = "召 唤",
["CopySHUpdatePanel.text4"] = "名字：",
["CopySHUpdatePanel.text6"] = "进化：",
["CopySHUpdatePanel.text7"] = "召唤：",
["CopySHUpdatePanel.text8"] = "水仙灵",
["CopySHUpdatePanel.text9"] = "守卫天兵",
["CopySHUpdatePanel.text10"] = "治疗",
["CopySHUpdatePanel.text11"] = "请选择一种守卫",
["CopySHUpdatePanel.text12"] = "该守卫已进化满5星",
["CopySHUpdatePanel.text14"] = "守卫数量已达上限",
["CopySHUpdatePanel.text15"] = "满星",
["CopySHUpdatePanel.text16"] = "拥有积分：",
["CopySHUpdatePanel.text17"] = "已召唤：",
["CopyDefenedCompletePanel.text1"] = "通关奖励",
["CopyDefenedCompletePanel.text2"] = "恭喜你，成功通关第　    　波！",
["CopyDefenedCompletePanel.text3"] = "获得铜币：",
["CopyDefenedCompletePanel.text4"] = "获得经验：",
["CopySHFollowPanel.text1"] = "当前波次：",
["CopySHFollowPanel.text2"] = "刷下一波：",
["CopySHFollowPanel.text3"] = "无队友",
["CopySHFollowPanel.text4"] = "铁扇公主",
["CopySHFollowPanel.text5"] = "空",
["CopySHFollowPanel.text6"] = "副本已通关，是否退出",
["CopySHFollowPanel.text7"] = "第%s波",
["CopyExpeditionAwardPanel.text1"] = "通关宝箱奖励",
["CopyExpeditionAwardPanel.text2"] = "领取奖励",
["CopyExpeditionCompletePanel.text1"] = "通关奖励",
["CopyExpeditionCompletePanel.text2"] = "恭喜你，成功通关第　    　波！",
["CopyExpeditionCompletePanel.text3"] = "累计获得铜币：",
["CopyExpeditionCompletePanel.text4"] = "累计获得经验：",
["CopyExpeditionCompletePanel.text5"] = "恭喜你成功通关！",
["WorldBossVipFollowPanel.text1"] = "挑战怪物：",
["WorldBossVipFollowPanel.text2"] = "剩余时间：",
["WorldBossVipPanel.text1"] = "2、降妖只允许个人挑战，战胜BOSS即可以有机会获得特殊道具",
["WorldBossVipPanel.text2"] = "1、可以免费挑战和支付钻石立即挑战（刷新计时越短费用越少）",
["ChaosFollowPanel.text1"] = "举报",
["ChaosFollowPanel.text2"] = "我的阵营：",
["ChaosFollowPanel.text3"] = "红方",
["ChaosFollowPanel.text4"] = "蓝方",
["ChaosFollowPanel.text5"] = "水晶：",
["ChaosFollowPanel.text6"] = "积分：",
["ChaosFollowPanel.text7"] = "举报成功",
["ChaosFollowPanel.text8"] = "对方无违规行为，不能举报",
["ChaosFollowPanel.text9"] = "不能频繁举报，请稍后再试",
["ChaosFollowPanel.text10"] = "本场是你的升段赛，加油吧！",
["ChaosFollowPanel.text11"] = "你是否举报该队友？\n举报成功后，该队友将不能获得本场比赛的奖励。（每次举报有60秒的冷却时间）",
["ExitCopyBtn.text1"] = "是否退出当前副本？",
["ExitCopyBtn.text2"] = "现在退出战场将被判定为负方，请确认是否现在离场！",
["ExitCopyBtn.text3"] = "即将结束",
["CrossBossFollowView.text1"] = "当前BOSS：",
["CrossBossInfoItemView.text1"] = "已战胜",
["CopyExpeditionFollowPanel.text1"] = "挑战怪物：",
["CopyExpeditionFollowPanel.text2"] = "挑战用时：",
["CopyExpeditionFollowPanel.text3"] = "剩余时间：",
["FashionViewPanel.text1"] = "物品不足",
["FashionViewPanel.text4"] = "卸 下",
["FashionViewPanel.text5"] = "装 备",
["FindTreasureComletePanel.text1"] = "获得经验：",
["FindTreasureComletePanel.text2"] = "获得铜币：",
["FindTreasureComletePanel.text3"] = "获得奖励如下：",
["FindTreasureFollowPanel.text1"] = "挑战怪物：",
["FindTreasureFollowPanel.text2"] = "剩余时间：",
["FindTreasureFollowPanel.text3"] = "剩余宝箱：",
["FindTreasureFollowPanel.text4"] = "剩余怪物：",
["FashionViewItem.text1"] = "未获得",
["MarryApplyPanel.text1"] = "求 婚",
["MarryApplyPanel.text2"] = "战力:",
["MarryApplyPanel.text3"] = "请选择好友",
["MarryApplyPanel.text4"] = "对方已经下线",
["MarryApplyPanel.text5"] = "您已经结缘",
["MarryApplyPanel.text6"] = "同性结缘暂未开放",
["MarryApplyPanel.text7"] = "当前无在线好友",
["MarryApplyPanel.text8"] = "是否花费%s钻石请求结缘?",
["MarryAcceptPanel.text1"] = "奉上信物：",
["MarryAcceptPanel.text2"] = "残忍拒绝",
["MarryAcceptPanel.text3"] = "我愿意",
["MarryAcceptPanel.text4"] = "向你请求结缘",
["MarryBreakPanel.text1"] = "解缘确认",
["MarryBreakPanel.text2"] = "解缘后信物和属性将会保留。",
["MarryBreakPanel.text3"] = "立即解缘：",
["MarryBreakPanel.text4"] = "解缘需要花费",
["MarryBreakPanel.text5"] = "万铜币（对方离线超过7天则免费）",
["MarryBreakPanel.text6"] = "同 意",
["MarryBreakPanel.text7"] = "拒 绝",
["MarryBreakPanel.text8"] = "你即将与%s解除仙缘关系！",
["CopyLYCompletePanel.text1"] = "通关奖励",
["CopyLYCompletePanel.text2"] = "恭喜你，成功通关第　    　波！",
["CopyLYCompletePanel.text3"] = "获得铜币：",
["CopyLYCompletePanel.text4"] = "获得经验：",
["CopyLYFollowPanel.text1"] = "当前波次：",
["CopyLYFollowPanel.text2"] = "剩余时间：",
["CopyLYFollowPanel.text3"] = "本波铜币：",
["CopyLYFollowPanel.text4"] = "累计铜币：",
["CopyLYFollowPanel.text5"] = "副本已通关，即将退出",
["SkyDreamLandAwardItemView.text1"] = "小怪",
["SkyDreamLandAwardItemView.text2"] = "精英BOSS",
["SkyDreamLandAwardItemView.text3"] = "传说BOSS",
["SkyDreamLandAwardPanel.text1"] = "竞技场奖励",
["SkyDreamLandAwardPanel.text2"] = "仙境奖励",
["SceneWorldMapView.text1"] = "世界地图",
["SceneWorldMapView.text2"] = "点击可传送到相应地图",
["SceneWorldMapView.text3"] = "暂未开放",
["SceneWorldMapView.text4"] = "不在活动时间内",
["SceneWorldMapView.text5"] = "是否支付[%s] 10钻石 [-]获得60分钟的蟠桃仙境时间？",
["CopyTanBaoCompletePanel.text1"] = "个人排名：",
["CopyTanBaoCompletePanel.text2"] = "探宝金币：",
["CopyTanBaoRankPanel.text1"] = "探宝金币",
["CopyTanBaoRankPanel.text2"] = "死亡次数",
["OpenView12Item.text1"] = "是否支付[%s] %s钻石 [-]获得成长计划？",
["LeaguePanel.text1"] = "基本信息",
["LeaguePanel.text2"] = "成员列表",
["LeaguePanel.text4"] = "诛神灭魔",
["BangZhanCopyFollowPanel.text1"] = "帮派积分排行",
["BangZhanCopyFollowPanel.text2"] = "查看个人积分总榜",
["BangZhanCopyFollowPanel.text3"] = "获得[0xF000D6]%s积分[-]",
["BangZhanPlayerRankView.text1"] = "帮战个人积分榜",
["ChangeProfessionPanel.text1"] = "觉醒：魔剑士",
["ChangeProfessionPanel.text2"] = "觉醒：御法师",
["ChangeProfessionPanel.text3"] = "觉醒：舞风者",
["ChangeProfessionPanel.text4"] = "觉醒：罗刹女",
["ChangeProfessionPanel.text5"] = "觉醒：圣灵使",
["ChangeProfessionPanel.text6"] = "觉醒：天行客",
["ChangeProfessionPanel.text7"] = "转职需要消耗1张转职卡，你当前拥有转职卡  张，请选择你要转职的职业。",
["ChangeProfessionPanel.text8"] = "获得转职卡",
["ChangeProfessionPanel.text9"] = "确认转职",
["ChangeProfessionPanel.text10"] = "转职需要消耗1张转职卡，你当前拥有转职卡%s张，请选择你要转职的职业:",
["ChangeProfessionPanel.text11"] = "转职卡不足请获取转职卡",
["ChangeProfessionPanel.text12"] = "你已经是该职业，请选择其他职业",
["ChangeProfessionPanel.text13"] = "结缘后不能转为不同性别角色，请先解缘",
["ChaosAwardPanel.text1"] = "混沌战场每日奖励",
["ChaosInviteItemView.text1"] = "对方等级不足%s级",
["LeaguePanel.text5"] = "帮贡商城",
["LeaguePanel.text6"] = "帮派仓库",
["LeaguePanel.text7"] = "申请列表",
["MainMenu.text1"] = "当前还没有坐骑",
["OperateActivePanel.text1"] = "暖阳兑换",
["OperateActivePanel.text2"] = "充值有礼",
["OperateActivePanel.text3"] = "快乐淘金",
["OperateActivePanel.text4"] = "全服双倍",
["OperateActivePanel.text5"] = "限时首充",
["OperateActivePanel.text6"] = "有钱任性",
["OperateActivePanel.text7"] = "烟花榜",
["OperateActivePanel.text8"] = "暖阳礼盒",
["OperateActivePanel.text9"] = "积分商城",
["OperateActivePanel.text10"] = "充值感恩",
["OperateActivePanel.text11"] = "财运亨通",
["OperateActivePanel.text12"] = "充值感恩",
["OperateActivePanel.text13"] = "中秋有礼",
["OperateActivePanel.text14"] = "萌兔感恩",
["RankPanel.text1"] = "等级榜",
["RankPanel.text2"] = "坐骑榜",
["RankPanel.text3"] = "妖精榜",
["RankPanel.text4"] = "羽翼榜",
["RankPanel.text5"] = "足迹榜",
["RankPanel.text6"] = "仙灵榜",
["RankPanel.text7"] = "法阵榜",
["RankPanel.text8"] = "龙魂榜",
["RankPanel.text11"] = "竞技榜",
["RankPanel.text12"] = "战力榜",
["RankPanel.text13"] = "帮派榜",
["ChaosMatchingPanel.text2"] = "正在寻找对手中，请稍等...",
["SceneTaskItemView.text1"] = "(已完成)",
["SceneTaskItemView.text2"] = "(进行中)",
["SceneTaskItemView.text3"] = "(%s级可接)",
["SceneTaskItemView.text4"] = "(可接)",
["CopyBossKillPanel.text1"] = "秒后自动关闭",
["SceneTaskPanel.text1"] = "[材料]材料副本",
["SceneTaskPanel.text4"] = "[荣誉]斗神殿",
["SceneTaskPanel.text5"] = "[BOSS]降妖",
["SceneTaskPanel.text6"] = "[经验]西行副本",
["SceneTaskPanel.text7"] = "[铜币]炼狱副本",
["SceneTaskPanel.text8"] = "[材料]宝藏秘境",
["SceneTaskPanel.text9"] = "[经验]守护副本",
["SceneTaskPanel.text10"] = "[经验]诛神灭魔",
["SceneTaskPanel.text11"] = "[经验]我要挂机",
["SceneTaskPanel.text12"] = "可挑战",
["SceneTaskPanel.text13"] = "[挂机]蟠桃仙境",
["SceneTaskPanel.text14"] = "可进入",
["ShowHideBtn.text1"] = "本方",
["ShowHideBtn.text2"] = "周围",
["ShowHideBtn.text3"] = "显示",
["ShowHideBtn.text4"] = "玩家",
["ShowHideBtn.text5"] = "隐藏",
["FindTreasureItem.text1"] = "所有宝藏已经寻获啦！",
["FindTreasureItem.text2"] = "翻牌次数已用完",
["FindTreasureItem.text3"] = "继续翻牌需要支付[%s]10钻石[-]，请确定？\n[%s]（温馨提示：还有%s个宝藏未寻获）[-]",
["DoubleElevenFive.text1"] = "我的排名：%s",
["DoubleElevenFive.text2"] = "今日累计消费：%s",
["DoubleElevenFour.text1"] = "剩余可翻牌次数：%s",
["DoubleElevenFour.text3"] = "翻牌次数已用尽",
["DoubleElevenViewOneItem.text1"] = "立即秒杀",
["DoubleElevenViewOneItem.text2"] = "剩余份数：",
["DoubleElevenViewOneItem.text3"] = "只能购买一件",
["DoubleElevenViewOneItem.text5"] = "已被抢购一空，下次再来吧",
["DoubleElevenViewOneItem.text6"] = "秒杀还未开始，请稍后再试",
["DoubleElevenViewOneItem.text7"] = "上次秒杀",
["DoubleElevenViewOneItem.text9"] = "本次秒杀",
["DoubleElevenViewOneItem.text10"] = "即将开始",
["DoubleElevenViewOneItem.text11"] = "秒杀结束",
["DoubleElevenViewOneItem.text12"] = "下次秒杀",
["DoubleElevenViewOneItem.text13"] = "开始",
["DoubleElevenViewOneItem.text14"] = "敬请期待",
["DoubleElevenViewOneItem.text15"] = "暂无",
["DoubleElevenViewThree.text1"] = "距离本轮结束还有",
["DoubleElevenViewTwo.text1"] = "正在进行   倒计时",
["DoubleElevenViewTwo.text2"] = "即将开始",
["DoubleElevenViewTwo.text3"] = "团购价",
["DoubleElevenViewTwo.text4"] = "原价",
["DoubleElevenViewTwo.text5"] = "购买人数：",
["DoubleElevenViewTwo.text6"] = "立即团购",
["DoubleElevenViewTwo.text7"] = "已经参与该次团购了",
["DoubleElevenViewTwo.text9"] = "(已达成，可以继续参与)",
["DoubleElevenViewTwo.text10"] = "(未达成)",
["DoubleElevenPanel.text1"] = "限时秒杀",
["DoubleElevenPanel.text2"] = "超值团购",
["DoubleElevenPanel.text3"] = "限时折扣",
["DoubleElevenPanel.text4"] = "欢乐抽奖",
["DoubleElevenPanel.text5"] = "消费排行",
["GuideAcceptView.text1"] = "领 取",
["GuideAcceptView.text2"] = "翠羽黄衫儿，伴我西行乐",
["GuideAcceptView.text3"] = "仙骑踏九霄，与君共逍遥",
["GuideAcceptView.text4"] = "步凝仙脂露，身护紫霞光",
["GuideAcceptView.text5"] = "缥缈虚空里，畅游云海间",
["GuideAcceptView.text6"] = "怒含三味火，笑度生死岸",
["EquipStrengthTip.text1"] = "下一级",
["EquipStrengthTip.text2"] = "全身装备强化+",
["CopyDTInfo.text1"] = "第%s/30题：",
["CopyTBInfo.text1"] = "失去",
["SkillChoosePanel.text1"] = "可用技能",
["SkillChoosePanel.text2"] = "技能选择",
["MysticalShopItem.text1"] = "VIP%s可购买",
["MysticalShopPanel.text1"] = "神秘商店",
["MysticalShopPanel.text2"] = "是否支付[%s]1钻石[-]立即刷新商品？",
["MysticalShopPanel.text3"] = "积分商城",
["SignOutTipsView.text1"] = "%s[材料]材料副本(%s次)\n",
["SignOutTipsView.text3"] = "%s[荣誉]竞技场(%s次)\n",
["SignOutTipsView.text4"] = "%s[荣誉]斗神殿(%s次)\n",
["SignOutTipsView.text5"] = "%s[BOSS]降妖(可挑战)\n",
["SignOutTipsView.text6"] = "%s[经验]西行副本(%s次)\n",
["SignOutTipsView.text7"] = "%s[铜币]炼狱副本(可挑战)\n",
["SignOutTipsView.text8"] = "%s[材料]宝藏秘境(可寻宝)\n",
["SignOutTipsView.text9"] = "%s[经验]守护副本(%s次)\n",
["SignOutTipsView.text10"] = "%s[经验]诛神灭魔(可挑战)\n",
["SignOutTipsView.text11"] = "%s(已完成)\n",
["SignOutTipsView.text12"] = "%s(进行中)\n",
["SignOutTipsView.text13"] = "[%s]%s(可接)\n%s",
["SignOutTipsView.text14"] = "%s[%s]%s(可接)\n",
["AnswerMessageHandler.text1"] = "本轮共有%s人答错变成笨笨猪",
["DoubleElevenMessageHandler.text1"] = "已经参与该次团购了",
["DoubleElevenMessageHandler.text2"] = "活动还没开启",
["TaskMissionTemplateInfo.text1"] = "找%s对话",
["MarryFriendView.text1"] = "选择好友",
["ReceiveFlowerPanel.text1"] = "聊天",
["ReceiveFlowerPanel.text2"] = "回赠",
["ReceiveFlowerPanel.text3"] = "被您的魅力所倾倒，送上了%s。此刻无比幸福的您想怎么感谢TA呢？",
["SendFlowerPanel.text1"] = "立即行动",
["SendFlowerPanel.text2"] = "赠送鲜花成功",
["SendFlowerPanel.text3"] = "是否花费%s钻石购买鲜花赠送对方?",
["SendFlowerPanel.text4"] = "是否花费%s绑定钻石购买鲜花赠送对方?",
["CopyLeagueBossFollowPanel.text1"] = "累计伤害：",
["CopyLYTipView.text1"] = "秒内击败BOSS跳至第　　   关!",
["JingyingBossSelectView.text1"] = "携带宝物",
["JingyingBossSelectView.text2"] = "立即前往",
["WorldBossFollowPanel.text1"] = "前10名有额外奖励",
["WorldBossFollowPanel2.text1"] = "帮派总伤害",
["WorldBossPanel.text1"] = "2、最高伤害帮派的第一名获得BOSS奖励，所有挑战者获得参与奖励，最后一击有额外礼包。",
["WorldBossPanel.text2"] = "1、BOSS每日",
["WorldBossPanel.text3"] = "刷新，狂系列BOSS脱离战斗会自动回血。",
["WorldBossSelectView.text1"] = "携带宝物",
["WorldBossSelectView.text2"] = "立即前往",
["RankCrossRechargeItemView.text1"] = "满",
["RankCrossRechargeItemView.text2"] = "当前充值",
["RankCrossRechargeItemView.text3"] = "第[%s]%s[-]名充值",
["RankCrossRechargeItemView.text4"] = "第[%s]%s[-]名消费",
["RankCrossRechargePanel.text1"] = "活动开启后截止当天23:50累计充值钻石进行跨服排名，当充值总量满足每档奖励最低要求时，可获得该档额外奖",
["RankCrossRechargePanel.text2"] = "励；奖励在当天24:00通过邮件发放。",
["RankCrossRechargePanel.text3"] = "距活动结束还有：",
["RankCrossRechargePanel.text4"] = "今日累计充值：",
["RankCrossRechargePanel.text5"] = "我的排名：",
["SceneTryCopySHInviteItem.text1"] = "对方已在队伍中",
["SceneTryCopySHTeamPanel.text1"] = "立即守护",
["SceneTryCopySHTeamPanel.text2"] = "守护副本",
["SceneTryCopyTeamMatchPanel.text1"] = "单人挑战",
["VipPanel.text1"] = "VIP特权",
["PlayerNoticeUtils.text1"] = "%s将【%s】装备强化到[0xfff799]+%s[-]，神器在手，万夫莫敌！%s",
["PlayerNoticeUtils.text2"] = "[%s]%s个钻石[-]",
["PlayerNoticeUtils.text3"] = "{2$1812$0$我要淘金}",
["PlayerNoticeUtils.text4"] = "[0xFF6900]%s[-]在快乐淘金中幸运抽中了%s%s",
["PlayerNoticeUtils.text5"] = "魔剑士",
["PlayerNoticeUtils.text6"] = "御法师",
["PlayerNoticeUtils.text7"] = "舞风者",
["PlayerNoticeUtils.text8"] = "罗刹女",
["PlayerNoticeUtils.text9"] = "圣灵使",
["PlayerNoticeUtils.text10"] = "天行客",
["PlayerNoticeUtils.text11"] = "恭喜",
["PlayerNoticeUtils.text12"] = "系统自动将奖池金额补充到[0xffa200]5000[-]钻石了，快来试试运气吧！{2$1812$0$我要淘金}",
["PlayerNoticeUtils.text13"] = "哇哦，奖池已经累积到[0xffa200]8000[-]钻石了，大奖等着你哟！{2$1812$0$我要淘金}",
["PlayerNoticeUtils.text14"] = "天啊，奖池已经累积到[0xffa200]10000[-]钻石了，赶紧行动吧！{2$1812$0$我要淘金}",
["PlayerNoticeUtils.text15"] = "My God！奖池已经累积到[0xffa200]15000[-]钻石了，谁会获得幸运大奖！{2$1812$0$我要淘金}",
["PlayerNoticeUtils.text16"] = "{%s我要进阶}",
["PlayerNoticeUtils.text17"] = "%s成功进阶出%s装备【%s】，实力大大提升！%s",
["PlayerNoticeUtils.text18"] = "{%s我要激活}",
["PlayerNoticeUtils.text19"] = "[0xFF6900]%s[-]成功激活了[0xFF6900]%s[-],瞬间提升了[0xFF6900]%s[-]战力%s ",
["PlayerNoticeUtils.text20"] = "{2$1605$0$我要强化}",
["PlayerNoticeUtils.text21"] = ",最高伤害输出%s获得了%s!",
["PlayerNoticeUtils.text22"] = "[0x00ffff]%s帮派[-]一举战胜[0xFFF100]【世界BOSS】%s(%s级)[-]%s",
["PlayerNoticeUtils.text23"] = "，获得[%s]%s%s%s[-]",
["PlayerNoticeUtils.text24"] = "[0x00ffff]%s[-]给予[0xFFF100]【世界BOSS】%s(%s级)[-]最后一击%s!{2$1654$0$我要挑战}",
["PlayerNoticeUtils.text25"] = "[0x00ffff]%s[-]一举战胜[0xFFF100]【封魔BOSS】%s(%s级)[-]%s",
["PlayerNoticeUtils.text26"] = "世界BOSS将在[0x00ff00]10[-]分钟后携带大量宝物出现，请大家做好准备！{2$1654$0$我要挑战}",
["PlayerNoticeUtils.text27"] = "世界BOSS将在[0x00ff00]5[-]分钟后携带大量宝物出现，请大家做好准备！{2$1654$0$我要挑战}",
["PlayerNoticeUtils.text28"] = "世界BOSS已经出现啦，请大家快去挑战夺宝了！{2$1654$0$我要挑战}",
["PlayerNoticeUtils.text29"] = "[0xe25f50]【封魔BOSS】%s(%s级)[-]将在[0x00ff00]5[-]分钟后刷新，请大家做好准备！{2$1655$0$我要挑战}",
["PlayerNoticeUtils.text30"] = "[0xe25f50]【封魔BOSS】%s(%s级)[-]已经刷新，请大家前往挑战！{2$1655$0$我要挑战}",
["PlayerNoticeUtils.text31"] = "{%s我要挑战}",
["PlayerNoticeUtils.text32"] = "恭喜%s成功闯过秘境第%s层，让我们一起为他们欢呼吧！%s",
["PlayerNoticeUtils.text33"] = "%s一举成为渡劫第%s层的霸主，所向披靡，锐不可当！%s",
["PlayerNoticeUtils.text34"] = "%s成功闯过[0xff00ff]炼狱[-]第%s波！%s",
["PlayerNoticeUtils.text35"] = "仙宠",
["PlayerNoticeUtils.text36"] = "%s成功将[0xFFF35B]%s[-]进阶到%s，遨游天地间！%s",
["PlayerNoticeUtils.text37"] = "%s有如神助，成功将[0xFFF35B]%s[-]进阶到%s！%s",
["PlayerNoticeUtils.text38"] = "帮战结束，%s守护成功继任王者之位！",
["PlayerNoticeUtils.text39"] = "帮战结束，攻方摧毁了守方水晶塔，%s以%s积分成为新的王者！",
["PlayerNoticeUtils.text40"] = "%s已连续战胜%s人，谁去终结他吧！",
["PlayerNoticeUtils.text41"] = "%s已连续战胜%s人，谁去终结他吧！",
["PlayerNoticeUtils.text42"] = "%s已连续战胜%s人，谁去终结他吧！",
["PlayerNoticeUtils.text43"] = "%s终结了%s的%s连胜！",
["PlayerNoticeUtils.text44"] = "[绿方]",
["PlayerNoticeUtils.text45"] = "[蓝方]",
["PlayerNoticeUtils.text46"] = "[红方]",
["PlayerNoticeUtils.text47"] = "%s的守卫已被打败！",
["PlayerNoticeUtils.text48"] = "%s%s对%s最后一击，获得了额外%s积分。",
["PlayerNoticeUtils.text49"] = "[0x00ffff]%s[-]以强大战力占领神职，成为[0xff0000]%s[-]！{%s我要挑战}",
["PlayerNoticeUtils.text50"] = "恭喜[0x00ffff]%s[-]开启[0xfff100]%s[-]幸运获得%s",
["PlayerNoticeUtils.text51"] = "%s%s*%s%s[-]!{2$1808$0$我也要礼包}",
["PlayerNoticeUtils.text52"] = "恭喜[0x00ffff]%s[-]获得充值奖励%s，神装在手，天下我有！{2$1692$0$我要充值}",
["PlayerNoticeUtils.text53"] = "恭喜[0x00ffff]%s[-]在全民捉妖活动中勇夺[0xfff100]一等奖[-]奖励！",
["PlayerNoticeUtils.text54"] = "%s在探宝中打开了豪华宝箱，获得了大量金币！",
["PlayerNoticeUtils.text55"] = "%s英勇无双，一举战胜蝙蝠女妖！",
["PlayerNoticeUtils.text56"] = "[0xfff35b]%s[-]的[0xfff35b]%s[-],采集了橙色水晶，运气太好了！",
["PlayerNoticeUtils.text57"] = "本帮派在帮派大战中取得了第[0xfff35b]%s[-]获得[0xfff35b]%s[-]帮派财富奖励！",
["PlayerNoticeUtils.text58"] = "[0xfff35b]%s[-]的[0xfff35b]%s[-]成功占领了龙魂石，带领帮派走向胜利！",
["PlayerNoticeUtils.text59"] = "[0xfff35b]%s[-]的[0xfff35b]%s[-]成功占领%s战旗，大家赶快去争夺！",
["PlayerNoticeUtils.text60"] = "[0x00FFFF]%s[-]战胜了[0xFFF100]【降妖BOSS】%s(%s级)[-]，获得了[%s]%s[-]！",
["PlayerNoticeUtils.text61"] = "[0x00FFFF]%s[-]战胜了[0xFFF100]【世界BOSS】%s(%s级)[-]，获得了[%s]%s[-]！",
["PlayerNoticeUtils.text62"] = "[0x00FFFF]%s[-]战胜了[0xFFF100]【封魔BOSS】%s(%s级)[-]，获得了[%s]%s[-]！",
["PlayerNoticeUtils.text63"] = "[0x00FFFF]%s[-]战胜了[0xFFF100]【蟠桃仙境】%s(%s级)[-]，获得了[%s]%s[-]！",
["PlayerNoticeUtils.text64"] = "大神[0xfff35b]%s[-]创建了[0xfff35b]%s（帮派）[-]，欢迎各位加入！{2$1651$0$我要加入}",
["PlayerNoticeUtils.text65"] = "由于没有对手，本帮在帮派大战中直接胜出，获得%s帮派财富奖励。",
["PlayerNoticeUtils.text66"] = "[0xfff35b]%s[-]在财运亨通活动中幸运地抽中了[%s]%s*%s[-]，运气真好呀！{2$1696$0$我要抽奖}",
["PlayerNoticeUtils.text67"] = "%s情比金坚[-]",
["PlayerNoticeUtils.text68"] = "情牵一生",
["PlayerNoticeUtils.text69"] = "%s琴瑟和鸣[-]",
["PlayerNoticeUtils.text70"] = "百年好合",
["PlayerNoticeUtils.text71"] = "%s神仙眷侣[-]",
["PlayerNoticeUtils.text72"] = "永结同心",
["PlayerNoticeUtils.text73"] = "恭喜[0x00ff00]%s[-]和[0x00ff00]%s[-]以%s为信物共谐连理，拥抱幸福%s！",
["PlayerNoticeUtils.text74"] = "[0x00ff00]%s[-]和[0x00ff00]%s[-]解除了仙侣关系！",
["PlayerNoticeUtils.text75"] = "哇~~[0x00ff00]%s[-]为[0x00ff00]%s[-]献上了[%s]%s[-]鲜花，真是令人羡慕呀！{2$1711$0$我要送花}",
["PlayerNoticeUtils.text76"] = "[%s]%s阶 %s[-]",
["PlayerNoticeUtils.text77"] = "恭喜[0x00ff00]%s[-]将仙缘提升至%s，战力大升！{2$1710$0$我要提升}",
["PlayerNoticeUtils.text78"] = "[0xfff35b]%s[-]势如破竹，一举战胜[0xFF0004]【跨服BOSS】%s[-]！",
["PlayerNoticeUtils.text79"] = "[0xfff35b]%s[-]战胜[0xFF0004]【跨服BOSS】%s[-]，获得[%s]%s[-]！",
["PlayerNoticeUtils.text80"] = "%s*%s万  %s",
["PlayerNoticeUtils.text81"] = "[0xfff35b]%s[-] 领取了消费赠礼：[0xF000D6]%s[-]。{2$1712$0$查看赠礼}",
["PlayerNoticeUtils.text82"] = "[0xFF0004]【终极BOSS】%s[-]已经刷新，请速速前往挑战！",
["PlayerNoticeUtils.text83"] = "[0xfff35b]%s[-]帮派一举战胜[0xFF0004]【帮派BOSS】%s！[-]获得%s",
["PlayerNoticeUtils.text84"] = "%s很幸运在神秘商店淘到了%s{2$1713$0$我要淘宝}。",
["PlayerNoticeUtils.text85"] = "%s很幸运在积分商城兑换到了%s{2$1720$0$我要兑换}。",
["PlayerNoticeUtils.text86"] = "[0xfff35b]%s[-]领取了钻石投资奖励：%s{2$1714$0$我要领取}。",
["PlayerNoticeUtils.text87"] = "恭喜[0xfff35b]%s[-]在寻宝轮盘活动中幸运获得了%s{2$1820$0$我要寻宝}。",
["PlayerNoticeUtils.text88"] = "%s的%s采集了%s",
["PlayerNoticeUtils.text89"] = "[0x00ff00]%s、%s、%s[-]三人义结金兰，情比金坚，共闯天下。",
["PlayerNoticeUtils.text90"] = "{%s我要提升}",
["PlayerNoticeUtils.text91"] = "[0xfff35b]%s[-]成功将[0xF000D6]%s%s[-]升星到[0xF000D6]%s%s[-]，提升[0xffa200]%s[-]战力!%s。",
["PlayerNoticeUtils.text92"] = "星",
["PlayerNoticeUtils.text93"] = "仙",
["PlayerNoticeUtils.text94"] = "神",
["PlayerNoticeUtils.text95"] = "获得了%s",
["PlayerNoticeUtils.text96"] = " [0x00ffff]%s[-]在经历了艰难的挑战后终于成功觉醒，成为[0xffa200]%s[-]！",
["PlayerNoticeUtils.text97"] = "恭喜[0x00ffff]%s[-]获得新服大馈赠奖励[0xF000D6]%s[-]，酷炫外形，狂飚战力，应有尽有！ {2$1814$0$我也想要}",
["BangZhanMessageHandler.text1"] = "帮主%s使用召集技能，是否立即传送到帮主身边？",
["TaskUpdateMessageHandler.text1"] = "您已完成了帮派任务，个人获得：[%s]%s经验、%s铜币、%s帮贡。[-]帮派获得：[%s]%s帮派财富。[-]今日还有[%s]%s环[-]未完成，是否继续下一环任务？",
["TaskUpdateMessageHandler.text2"] = "你完成了循环任务，个人获得：[%s]%s经验、%s铜币。[-]今日还有[%s]%s环[-]未完成，是否继续下一环任务？",
["TaskUpdateMessageHandler.text3"] = "你完成了觉醒任务，个人获得：[%s]%s经验、%s铜币。[-]今日还有[%s]%s环[-]未完成，是否继续下一环任务？",
["HomeLevelUpPanel.text1"] = "当前材料不足，不能升级",
["HomeLevelUpPanel.text2"] = "大厅",
["HomeLevelUpPanel.text3"] = "获取材料",
["HomeLevelUpPanel.text4"] = "确认升级",
["HomeLevelUpPanel.text5"] = "是否消耗以下材料将大厅升级到下一级",
["HomeLevelUpPanel.text6"] = "温馨提示：",
["HomeLevelUpPanel.text7"] = "家园建筑的等级提升与当前大厅的等级有关",
["HomeLevelUpPanel.text8"] = "家园建筑的等级越高相应的收益越好",
["NewServerGiftViwe.text1"] = "累充%s元",
["NewServerGiftViwe.text2"] = "再充值%s元即可领取外型%s",
["NewServerGiftViwe.text3"] = "全部奖励已通过邮件发放，请自行查收",
["HomeLevelUpPanel.text9"] = "大厅等级已达最高级",
["HomePanel.text1"] = "浇水成功",
["HomePanel.text2"] = "浇水冷却中，请稍后再来",
["HomePanel.text3"] = "为好友浇水成功，获得奖励",
["HomePanel.text4"] = "该好友可被浇水次数已满",
["HomePanel.text5"] = "今日已经为TA浇过水了",
["HomePanel.text6"] = "大厅%s级可开放",
["HomePanel.text7"] = "剩余浇水次数：",
["HomePanel.text8"] = "浇水冷却中：",
["HomePanel.text9"] = "大厅%s级可升下一级",
["HomePanel.text10"] = "已满级",
["HomePanel.text11"] = "幸运树已经成熟了，不能浇水",
["BaseWishAwardPanel.text1"] = "请许下一个愿望：(单击选中想要的物品,双击查看物品信息）",
["BaseWishAwardPanel.text2"] = "许愿",
["BaseWishAwardPanel.text3"] = "确定花费%s钻石进行许愿吗？",
["WishPanel.text1"] = "全部摘取",
["WishPanel.text2"] = "许愿池",
["WishPanel.text3"] = "免费摘星倒计时：",
["WishPanel.text4"] = "现有星星：",
["WishPanel.text5"] = "可领取星星数已达上限",
["WishPanel.text6"] = "颗",
["WishPanel.text7"] = "无可采摘星星",
["WarmTipsView.text20"] = "家园大厅可升级",
["WarmTipsView.text21"] = "幸运树可收获",
["HomePanel.text12"] = "今天可帮好友浇水的次数已满",
["Common.career1"] = "白龙马",
["Common.career2"] = "小龙女",
["ChaosRank.stage1"] = "青铜",
["ChaosRank.stage2"] = "白银",
["ChaosRank.stage3"] = "黄金",
["ChaosRank.stage4"] = "钻石",
["ChaosRank.stage5"] = "超神",
["sdk.tips1"] = "请先关闭敏感软件后重启游戏",
["sdk.tips2"] = "登录服务器失败(错误码%s)",
["sdk.tips3"] = "登录服务器失败,请重新登录游戏",
["sdk.tips4"] = "正在进入游戏",
["sdk.tips5"] = "正在获取账号信息",
["sdk.tips6"] = "恭喜您，充值成功！",
["sdk.tips7"] = "充值失败(Err:%s)！",
["sdk.tips8"] = "余额不足",
["sdk.tips9"] = "充值结束",
["scene.attackTips1"] = "你被%s击飞",
["scene.attackTips2"] = "你被%s迷乱",
["scene.attackTips3"] = "%s被你击飞",
["scene.attackTips4"] = "%s被你迷乱",
["scene.attackTips5"] = "吟唱中",
["scene.attackTips6"] = "宝箱已被别人抢走啦！",
["scene.attackTips7"] = "成功开启宝箱！",
["scene.attackTips8"] = "采集中",
["scene.nameWord1"] = "[帮]",
["scene.nameWord2"] = "❤%s的仙侣❤",
["scene.nameWord3"] = "[义]",
["scene.collectTips1"] = "不能采集该物品",
["scene.collectTips2"] = "该物品不存在",
["scene.collectTips3"] = "%s级才能采集该物品",
["scene.collectTips4"] = "需要先占领战旗才能采集该物品",
["scene.collectTips5"] = "已经占领了龙魂石",
["scene.riderTips1"] = "战斗状态无法乘骑",
["scene.riderTips2"] = "该场景不能上坐骑",
["scene.riderTips3"] = "变身状态不能上坐骑",
["scene.attackTips9"] = "同帮派不能攻击",
["scene.attackTips10"] = "同阵营不能攻击",
["scene.attackTips11"] = "特殊场景不能攻击玩家",
["scene.attackTips12"] = "和平模式不能攻击",
["scene.attackTips14"] = "对象不能受击",
["scene.attackTips15"] = "不能攻击自己的战旗",
["scene.attackTips16"] = "安全区，不可攻击",
["scene.copyTips1"] = "当前场景不能直接跳转",
["scene.copyTips2"] = "今日副本次数已用完",
["scene.copyTips3"] = "等级不足",
["scene.copyTips4"] = "等级过高",
["scene.copyTips5"] = "你还没有帮派",
["scene.copyTips6"] = "帮派等级不足",
["scene.copyTips7"] = "只有队长才可以申请进入副本",
["scene.flyTips1"] = "当前位置不能传送",
["scene.flyTips2"] = "在副本中不能传送",
["scene.flyTips3"] = "该地图无法传送",
["scene.flyTips4"] = "战斗状态无法传送",
["scene.pickTips1"] = "背包已满！",
["scene.pickTips2"] = "别人的物品暂时不可拾取哦！",
["scene.startTips1"] = "新服",
["scene.startTips2"] = "请输入账号",
["scene.startTips3"] = "选择服务器",
["scene.startTips4"] = "点击选区",
["scene.startTips5"] = "版本号：%s",
["scene.startTips6"] = "未登录",
["scene.startTips7"] = "开始登录游戏",
["scene.startTips8"] = "服务器正在维护中",
["scene.startTips9"] = "资源号：%s",
["scene.startTips10"] = "点击创建角色",
["scene.startTips11"] = "服务器",
["scene.startTips12"] = "推荐区",
["scene.startTips13"] = "服务器角色信息",
["scene.startTips14"] = "上次登录：",
["SignOutTipsView.text15"] = "退出游戏",
["SignOutTipsView.text16"] = "继续游戏",
["WelfareZhiZunView.text1"] = "今日钻石已领取",
["WelfareZhiZunView.text2"] = "恭喜获得%s钻石，祝您游戏愉快",
["WelfarePanel.text9"] = "至尊会员",
["HomeFriendListItem.text1"] = "浇水",
["HomePanel.text13"] = "我的家园",
["HomePanel.text14"] = "帮忙浇水",
["WarmTipsView.text22"] = "许愿池星星可采摘",
["WarmTipsView.text23"] = "幸运树可浇水",
["WelfareZhiZunView.text3"] = "充值 6 元",
["HomeMessageHandler.text1"] = "对方的家园未激活",
["OpenView6sItem.text1"] = "玩家:",
["OpenView6sItem.text2"] = "%s万",
["OpenView6sItem.text3"] = "等级:",
["OpenView6sItem.text4"] = "实力:",
["OpenView6sItem.text5"] = "帮派:",
["HomePanel.text15"] = "没有可浇水的在线好友",
["MenuManager.text7"] = "玩家正忙，暂时不可查看",
["FarmItemView.text1"] = "好渴啊",
["WelfareGiftView.text10"] = "领取礼包",
["WelfareGiftView.text11"] = "我的电影票优惠券 %s 张",
["WelfareGiftView.text12"] = "你还未获得电影票!",
["FarmPanel.text1"] = "农场",
["FarmPanel.text2"] = "一键采集",
["FarmPanel.text3"] = "一键浇水",
["FarmPanel.text4"] = "采集成功",
["FarmPanel.text5"] = "别心急，等会再来吧",
["LeagueInfoView.text31"] = "捐献200",
["LeagueInfoView.text32"] = "捐献10万",
["FarmItemView.text2"] = "农场%s级方可开垦该土地",
["FarmItemView.text3"] = "%s绑钻",
["FarmItemView.text4"] = "确认花费%s开垦土地吗？",
["FarmItemView.text5"] = "是否开垦该土地？",
["OpenView12Item.text2"] = "达到",
["OpenView12Item.text3"] = "领奖",
["MysticalShopPanel.text4"] = "每天的10:00、14:00、18:00、22:00自动刷新商品",
["MysticalShopPanel.text5"] = "积分商城开放期间每充值10钻石可获得1积分,当前拥有积分:",
["SeedShopPanel.text1"] = "普通土地",
["SeedShopPanel.text2"] = "黄金土地",
["SeedShopPanel.text3"] = "钻石土地",
["WarmTipsView.text24"] = "工坊物品可合成",
["PeiShiPanel.text1"] = "该佩饰还未开启",
["PeiShiPanel.text2"] = "佩饰升级成功",
["PeiShiPanel.text3"] = "该佩饰已经满级",
["PeiShiPanel.text4"] = "先选择需要升级的佩饰",
["PeiShiPanel.text5"] = "消耗亲密度：",
["PeiShiPanel.text6"] = "消耗道具：",
["PeiShiItem.text1"] = "仙缘满%s阶可开启",
["FarmAwardPanel.text1"] = "%s%s(丰收):",
["FarmAwardPanel.text2"] = "种瓜得瓜种豆得豆，亲，你的收获不错哦~",
["SignOutTipsView.text17"] = "亲爱的友友，你今日还有如下任务未完成，确定要退出游戏吗?",
["FactoryExchangeItem.text1"] = "合成",
["FactoryExchangeItem.text2"] = "工坊%s级可合成",
["FactoryExchangePanel.text1"] = "工坊",
["FactoryExchangePanel.text2"] = "至尊飞升",
["FactoryExchangePanel.text3"] = "材料合成",
["FactoryExchangePanel.text4"] = "珍稀仙品",
["FactoryExchangePanel.text5"] = "大厅%s级可升下一级",
["FactoryExchangePanel.text6"] = "进入农场",
["PlayerNoticeUtils.text98"] = "恭喜[0x00ffff]%s[-]在%s上幸运大丰收，收获双倍作物！天道酬勤，厚德载物！{2$1815$0$我要种植}",
["FarmItemView.text6"] = "可收获",
["WarmTipsView.text25"] = "农场可操作",
["WarmTipsView.text26"] = "佩饰可升级",
["WarmTipsView.text28"] = "时装可提升",
["FarmPanel.text6"] = "进入工坊",
["FarmPanel.text7"] = "*每30分钟可浇水一次，浇水可加快作物成熟",
["WelfareZhiZunView.text5"] = "领取钻石",
["WorldBossVipCompletePanel.text5"] = "（退出副本时未拾取物品会自动放到背包）",
["YanhuaRankPanel.text1"] = "赠送烟花可获得人气值",
["YanhuaRankPanel.text2"] = "送烟花",
["YanhuaRankPanel.text3"] = "人气值",
["YanhuaRankPanel.text4"] = "个人人气：",
["YanhuaRankItemView.text1"] = "添加好友后才能送烟花",
["YanhuaRankGiftItemView.text1"] = "人气值达到",
["SendYanhuaPanel.text1"] = "赠送烟花成功",
["SendYanhuaPanel.text2"] = "是否花费%s钻石购买烟花赠送对方?",
["SendYanhuaPanel.text3"] = "是否花费%s绑定钻石购买烟花赠送对方?",
["GoodsTipII.text21"] = "播种",
["FarmItemView.text7"] = "(产量 x %s)",
["PlayerNoticeUtils.text99"] = "快看！[0x00ff00]%s[-]为[0x00ff00]%s[-]献上了满城烟火：[%s]%s[-]，真是羡煞旁人啊！{2$1816$0$我要送烟花}",
["WishPanel.text8"] = "初级许愿池",
["WishPanel.text9"] = "中级许愿池",
["WishPanel.text10"] = "高级许愿池",
["TieJiangPanel.text1"] = "锻造说明",
["TieJiangPanel.text2"] = "铁匠铺%s级开放",
["TieJiangPanel.text3"] = "铁匠铺",
["FiveEquipTip.text22"] = "锻造 +%s(%s%s)",
["WarmTipsView.text27"] = "铁匠铺可操作",
["VipPanel.text2"] = "是否花费%s钻石购买%s天VIP会员",
["VipPanel.text3"] = "您已达到最高等级",
["VipPanel.text4"] = "每天登录获得100VIP经验，商城可购买经验卡",
["VipPanel.text5"] = "激活VIP",
["VipPanel.text6"] = "（激活后才能享受VIP特权）",
["VipDesView.text1"] = "获得铜币额外增加",
["VipDesView.text2"] = "获得经验额外增加",
["VipPanel.text7"] = "亲爱的友友，你的VIP特权已过期，激活后可享受以下特权！",
["OnlineRewardsPanel.text1"] = "今天的奖励已领完了",
["OnlineRewardsPanel.text2"] = "请领取奖励",
["PanelTabGroupType.text51"] = "伙伴",
["PanelTabGroupType.text52"] = "装备品阶不足，无法进阶",
["PartnerEquipUpView.text1"] = "装备品阶不能超过【伙伴】品阶",
["PartnerEquipUpView.text2"] = "休息",
["PartnerEquipUpView.text3"] = "出战",
["PartnerEquipUpView.text4"] = "已经达到最高品阶",
["PartnerEquipUpView.text5"] = "物品已升至当前最高阶",
["PartnerEquipUpView.text6"] = "伙伴未激活",
["PartnerEquipUpView.text7"] = "伙伴进阶到%s阶(未达成)",
["PartnerEquipUpView.text8"] = "伙伴进阶到%s阶(已达成)",
["WelfareSignView.text3"] = "确认花费%s钻石购买礼包",
["WelfareSignView.text4"] = "第%s天",
["WelfareSignView.text5"] = "1、领完前6天奖励后，周日可免费领取第7天礼包，记得每天登录哦",
["WelfareSignView.text6"] = "2、前6天奖励如果未领完，想获得第7天大礼包则需要花费钻石购买",
["WorldBossVipPanel.text3"] = "付费挑战次数：%s",
["WorldBossVipPanel.text4"] = "今日付费挑战次数已用完",
["VipRechargeItem.text1"] = "数量:",
["SanDaMessageHandler.text1"] = "由于您中途退出副本，需等待%s秒方可再参与",
["PanelTabGroupType.text53"] = "妖精",
["PlayerNoticeUtils.text100"] = "[0x00ffff][%s]%s[-]在三打白骨精活动中获得了最佳伤害奖：[%s]%s[-]",
["PlayerNoticeUtils.text101"] = "大土豪[0x00ffff]%s[-]发放了[0xF000D6]%s钻石[-]%s红包，大家快去抢呀！",
["PlayerNoticeUtils.text102"] = "恭喜[0x00ffff]%s[-]在红包活动中幸运获得了%s!",
["PlayerNoticeUtils.text103"] = "绑钻",
["PlayerNoticeUtils.text104"] = "全服",
["PlayerNoticeUtils.text105"] = "可恶的白骨精又来破坏一年一度的元宵盛事了！快去仙女处领取答题Buff，共同讨伐吧！{2$1824$0$我要参加}",
["OpenPanel.text31"] = "公测礼包",
["OpenPanel.text32"] = "进阶特惠",
["OpenPanel.text33"] = "冲榜送票",
["OpenPanel.text34"] = "累充送票",
["OpenPanel.text35"] = "前去答题",
["OpenPanel.text36"] = "暂未开启",
["OpenPanel.text37"] = "当前进度（ %s / 5，答对 %s 题，答错 %s 题）",
["OpenPanel.text38"] = "是否花费%s钻石跳过此题?",
["OpenPanel.text39"] = "已参与讨伐",
["OpenPanel.text40"] = "前去讨伐",
["OpenPanel.text41"] = "才华横溢的你获得了讨伐白骨精伤害上升%s%s的BUFF",
["OpenPanel.text42"] = "活动奖励已经邮件发放，敬请期待下一波活动开启",
["OpenPanel.text43"] = "很遗憾，你未获得仙女的祝福，请再接再厉哦！",
["XiaofeiPanel.text53"] = "可升星",
["XiaofeiPanel.text54"] = "免费升星",
["SanDaMatchingPanel.text1"] = "正在匹配队友中，请稍后...",
["PanelTabGroupType.text54"] = "仙皇争霸",
["ArenaXHPanel.text1"] = "匹配对手",
["ArenaXHPanel.text2"] = "我的积分：",
["ArenaXHPanel.text3"] = "我的荣誉：",
["ArenaXHPanel.text4"] = "周一到周五的19:00-19:15开启",
["WelfareZhiZunView.text6"] = "钻石不足请先充值！",
["OpenView13.text1"] = "足迹",
["ArenaXHFollowPanel.text1"] = "倒计时",
["EquipRongluView.text1"] = "没有可熔炼的装备",
["EquipRongluView.text2"] = "1、只会熔炼比当前穿戴装备战力低的进阶外形装备",
["EquipRongluView.text3"] = "2、比当前穿戴装备战力高的同部位装备都会保留一件",
["EquipRongluView.text4"] = "当前可熔炼的装备：%s",
["EquipRongluView.text5"] = "开始熔炼",
["EquipRongluView.text6"] = "此次熔炼将增加%s点熔炼值\n是否确定熔炼",
["ArenaXHMessageHandler.text1"] = "在特殊场景中，请先回主城",
["StartCreateRoleView.text12"] = "名称已被使用",
["OnlineRewardsPanel.text3"] = "在线奖励",
["OnlineRewardsPanel.text4"] = "今日奖励展示",
["VipDesView.text3"] = "获得荣誉额外增加",
["VipDesView.text4"] = "人物生命提升",
["VipDesView.text5"] = "人物防御、属防提升",
["VipDesView.text6"] = "人物攻击、属攻提升",
["VipDesView.text7"] = "妖精攻击、属攻提升",
["VipDesView.text8"] = "伙伴攻击、属攻提升",
["PartnerEquipUpView.text9"] = "伙伴神技",
["VipLoseView.text1"] = "去激活",
["PartnerEquipUpView.text10"] = "降魔项链",
["PartnerEquipUpView.text11"] = "降魔手镯",
["PartnerEquipUpView.text12"] = "降魔戒指",
["PartnerEquipUpView.text13"] = "降魔护符",
["PartnerEquipUpView.text14"] = "降魔战甲",
["PartnerEquipUpView.text15"] = "降魔手套",
["PartnerEquipUpView.text16"] = "降魔护腿",
["PartnerEquipUpView.text17"] = "降魔鞋子",
["PartnerEquipUpView.text18"] = "已升到最高",
["SceneWorldMapView.text6"] = "(10:00~23:55开启)",
["LeagueApplyListPanel.text4"] = "暂无帮众申请该物品",
["LeagueHistoryView.text3"] = "暂无物品分配记录",
["OpenTipView.text6"] = "热血PK，誉满天下",
["PartnerSysPanel.text1"] = "伙伴激活后20%属性会加到人物身上",
["VipLoseView.text2"] = "暂不",
["VipInfo.text1"] = "VIP经验",
["VipInfo.text2"] = "天VIP时间",
["VipInfo.text3"] = "小时VIP时间",
["VipInfo.text4"] = "分钟VIP时间",
["FightComparePanel.text5"] = "伙伴",
["SkyDreamLandItem.text1"] = "%s人",
["OpenView15.text1"] = "去进阶",
["OpenView15.text2"] = "已获得最高阶形象",
["OpenView15.text3"] = "进阶获得新形象",
["ExitCopyBtn.text4"] = "确定要离开蟠桃仙境，返回主城吗？",
["ExitCopyBtn.text5"] = "确认离开全民捉妖地图，返回主城吗？",
["ExitCopyBtn.text6"] = "确认离开三界斗法地图，返回主城吗？",
["ExitCopyBtn.text7"] = "确认离开仙皇争霸地图，返回主城吗？",
["ExitCopyBtn.text8"] = "确认离开三打白骨精地图，返回主城吗？",
["ExitCopyBtn.text9"] = "确认离开全民探宝地图，返回主城吗？",
["ExitCopyBtn.text10"] = "确认离开帮战地图，返回主城吗？",
["ArenaXHResultPanel.text1"] = "（每天最多获得10次经验和荣誉奖励）",
["OpenView16.text1"] = "第1名：电影票3张",
["OpenView16.text2"] = "第2名：电影票2张",
["OpenView16.text3"] = "第3名：电影票1张",
["OpenView16.text4"] = "(领取激活码后请妥善保管，遗失或被盗领不再补发）",
["OpenView16.text5"] = "在“福利-礼包领取”页面可查看优惠券（请妥善保存优惠券，遗失不补发）",
["OpenView17.text1"] = "累充%s元奖励10元电影优惠券  1  张",
["OpenView17.text2"] = "累充%s元奖励20元电影优惠券  1  张",
["OpenView17.text3"] = "累充648元奖励电影票 2 张",
["OpenView17.text4"] = "前往充值",
["OpenView17.text5"] = "未达成",
["OpenView17.text6"] = "已发放",
["OpenView17.text7"] = "优惠券库存",
["OpenView17.text8"] = "优惠券已领完",
["OpenView18.text1"] = "活动说明",
["OpenView19.text1"] = "发红包",
["OpenView19.text2"] = "当前积分:%s",
["popupWindowView.text1"] = "知道了",
["GoodsInfoTester.text29"] = "等级不足，不能使用！",
["CopyMaterialCompletePanel.text6"] = "再打一次",
["RoleComparePanel.text5"] = "结义：",
["PanelTabGroupType.text55"] = "还没有领取羽翼",
["common.btnlabel88"] = "删 除",
["LetterMessageHandler.text4"] = "背包空间不足，附件提取失败",
["NpcPanelDialogView.text1"] = "NPC对话框%s秒后自动关闭",
["WelfareGiftView.text13"] = "亲爱的友友，关注微信号可以获得最新礼包和咨询哦！",
["WelfareGiftView.text14"] = "关注方法：点击微信右上角 + 号→添加朋友→搜索微信号“sandawxh”",
["PartnerEquipUpView.text19"] = "当前装备已满阶",
["PartnerEquipUpView.text20"] = "挑战西行副本可获得材料",
["PartnerEquipUpView.text21"] = "目标关卡未开放",
["PartnerEquipUpView.text22"] = "伙伴达到%s阶,装备才能继续进阶",
["ChatPanelII.text16"] = "%s级后才能使用喇叭",
["CopyTBInfo.text2"] = "金币",
["NewSpringOne.text1"] = "献宝",
["NewSpringOne.text2"] = "没有所要提交的物品哦",
["NewSpringOne.text3"] = "金身完成度（%s%s）",
["NewSpringOne.text4"] = "提交物品成功",
["NewSpringTwo.text1"] = "新年我要：",
["NewSpringTwo.text2"] = "我的愿望篮子：",
["NewSpringTwo.text3"] = "今日截止许愿时间：",
["NewSpringTwo.text4"] = "玩偶刷新",
["NewSpringTwo.text5"] = "钻石刷新",
["NewSpringTwo.text6"] = "选好了",
["NewSpringTwo.text7"] = "今日已许愿无法刷新",
["NewSpringTwo.text8"] = "猴子玩偶数量不足无法刷新",
["NewSpringTwo.text9"] = "是否花费2钻石刷新",
["NewSpringTwo.text10"] = "今日已许愿无法再次许愿",
["NewSpringTwo.text11"] = "要选满三个新年愿望哦！",
["NewSpringTwo.text12"] = "许愿成功",
["NewSpringTwo.text13"] = "恭喜本次消费打%s折",
["SceneTryCopyExpeditionPanel.text21"] = "后恢复1次）",
["XiaofeiPanel.text55"] = "活动日加速     折",
["XiaofeiSkillTipPanel.text12"] = "%s进阶到%s阶%s星时自动升级(未达成)",
["SkillPanel.text13"] = "升级条件：",
["SkillPanel.text14"] = "人物达到%s级时，技能自动升到Lv.%s",
["deleteAlertPanel.text1"] = "角色删除后不可再寻回，请谨慎操作！\n请输入\"%s\"文字：",
["deleteAlertPanel.text2"] = "删除",
["deleteAlertPanel.text3"] = "成功删除了角色",
["deleteAlertPanel.text4"] = "请输入\"%s\"文字",
["GoodsTemplateInfo.text4"] = "紫色",
["GoodsTemplateInfo.text5"] = "橙色",
["GoodsTemplateInfo.text6"] = "暗金",
["GoodsTemplateInfo.text7"] = "红色",
["XiaofeiPanel.text56"] = "加速",
["NewServerGiftView.text1"] = "新服送豪礼",
["GuideAlertView.text1"] = "经验不足？大王还可以通过以下途径获取经验哦！",
["GuideAlertView.text2"] = "点击图标即可以参与相应的玩法",
["XiaofeiPanel.text57"] = "免费升星",
["EquipStrengthView.text14"] = "（先扣绑钻）",
["BangzhanRankPanel.text7"] = "每周一、周三、周五的20:00-20:15开启",
["redBagPanel.text2"] = "1、发给全服最多可以获得200、500、1000积分，发给帮众则获得一半积分",
["redBagPanel.text3"] = "2、10分钟后根据钻石领取情况结算积分，未领走钻石将返回红包发起者",
["redBagPanel.text4"] = "发给全服",
["redBagPanel.text5"] = "发给帮众",
["redBagPanel.text6"] = "你确定支付[0x007F00]%s钻石[-]给%s发放红包吗？\n[0x007F00]温馨提示：你最多可获得%s红包积分[-]",
["redBagPanel.text7"] = "全服玩家",
["redBagPanel.text8"] = "帮派成员",
["FiveEquipInfoGrid.text1"] = "今日炼丹炉奖励已领取完！",
["FiveEquipInfoGrid.text2"] = "角色达到%s级后才能获得装备",
["PayCountGiftView.text1"] = "充值好礼",
["PayCountGiftView.text2"] = "（ 充值结算剩余时间：%s ）",
["PayCountGiftItem.text1"] = "%s元",
["PayCountGiftItem.text2"] = "邮件发奖励",
["PanelTabGroupType.text56"] = "帮战",
["SceneTryCopyExpeditionPanel.text22"] = "确定要免费扫荡该关卡吗？",
["WorldBossFollowPanel2.text2"] = "本帮个人伤害",
["ShopSaleItemView.text4"] = "更多超值道具敬请期待",
["OpenView21.text1"] = "团圆福",
["OpenView21.text2"] = "和谐福",
["OpenView21.text3"] = "快乐福",
["OpenView21.text4"] = "幸运福",
["OpenView21.text5"] = "美满福",
["OpenView21.text6"] = "是否花费%s钻石进行补签？",
["OpenView21.text7"] = "是否花费%s钻石进行提前签？",
["GoodsTipII.text22"] = "直接激活",
["ToWestPanel.text1"] = "任务剩余时间：",
["ToWestItemView.text1"] = "领奖励",
["ToWestItemView.text2"] = "%s级开放",
["ToWestItemView.text3"] = "达成目标可领取奖励",
["PanelTabGroupType.text57"] = "一路向西",
["PanelTabGroupType.text58"] = "战力评分",
["PrivilegeBtnItem.text1"] = "特权礼包",
["PrivilegeBtnItem.text2"] = "每日礼包",
["PrivilegeBtnItem.text3"] = "敬请期待",
["GoodsInfoTester.text30"] = "\n%s融合后将会获得%s",
["CountDownLabel.text1"] = "%s天%s时%s分%s秒",
["OnlineAwardItemView.text1"] = "第%s份奖励",
["CopyExpeditionFollowPanel.text4"] = "通关星级：",
["PrivilegePanel.text1"] = "欢迎您，%s，您是三打白骨精俱乐部特权会员",
["PrivilegePanel.text2"] = "特权会员专属服务",
["PrivilegePanel.text3"] = "您在游戏中遇到任何问题可拔打特权专线：",
["PrivilegePanel.text4"] = "特权暂未开放，敬请期待",
["PrivilegeItem.text1"] = "美女客服QQ专线：%s",
["PrivilegeItem.text2"] = "QQ验证填写角色名及所在区服，通过后即可享受贴必服务",
["SkyDreamLandFollowPanel.text11"] = "可PK",
["SkyDreamLandFollowPanel.text12"] = "挂机地图",
["SceneWorldMapView.text7"] = "级开放蟠桃仙境地图",
["LeagueInfoView.text33"] = "更新",
["GameSetting.text14"] = "任意外形可以免费进阶升星时通知",
["GameSetting.text15"] = "降妖BOSS都可以免费挑战时通知",
["GameSetting.text16"] = "西行副本挑战次数恢复满20次时通知",
["GameSetting.text17"] = "在线奖励可以领取时通知",
["GameSetting.text18"] = "斗神殿挑战次数恢复满5次时通知",
["GameSetting.text19"] = "周一、三、五帮战通知",
["ArenaXHPanel.text5"] = "每天活动结束后发放排名奖励",
["RoleDisplayView.text15"] = "开服第4天开放此功能",
["SceneTryCopyExpeditionPanel.text23"] = "*每天前60次三倍掉落",
}
return tmp
end)
YuyanbaoManager = class("YuyanbaoManager",function()
local dm = {}
dm.list = {}
return dm
end)
function YuyanbaoManager:ctor()
local tmp = Yuyanbao:new()
self.list = tmp.list
end
function YuyanbaoManager:getYuyanbao(id)
local str = self.list[id]
if(str == nil) then
print("-------------语言包中未找到"..id.."对应的配置信息---------------------")
return ""
end
str = string.gsub(str,"\\n","\n")
return str
end
ActivityMessageHandler = class("ActivityMessageHandler",function(self)
local temp= {}
local messageInfoReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
globalData.activityInfo:initInfo(bytes)
end
local messageAwardReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
globalData.activityInfo:initAward(bytes)
end
--成就系统
local messageAchievementInfoReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
globalData.activityInfo:achievementInfo(bytes)
end
--双倍福利
local messageDoubleWelfareReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
globalData.activityInfo:showDoubleWelfare(bytes)
end
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.BRISK_INFO,messageInfoReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.BRISK_AWARD_INFO,messageAwardReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.ACHIEVEMENT_INFO,messageAchievementInfoReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.DOUBLEWELFARE,messageDoubleWelfareReturn)
return temp
end)
ArenaMessageReceiver = class("ArenaMessageReceiver", function(self)
local temp = {}
return temp
end)
function ArenaMessageReceiver:ctor()
local infoReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
local type = bytes:readByte()
globalData.arena1Info.rank = bytes:readInt()
globalData.arena1Info:setCanGainAward(bytes:readBoolean())
globalData.arena1Info.awardRank = bytes:readInt()
globalData.arena1Info:setTimes(bytes:readByte())
globalData.arena1Info.cdTime = bytes:readInt()
globalData.arena1Info.activeTimes = bytes:readByte()
globalData.arena1Info.activeFightValue = bytes:readInt()
globalData.arena1Info:setTodayCount(bytes:readShort())
globalData.arena1Info:update()
end
local rankReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
local type = bytes:readByte()
local rankData = {}
local len = bytes:readShort()
for i=1,len do
local state = bytes:readByte()
local rankInfo = ArenaRankItemInfo:new(type)
if(state == 0) then
rankInfo.rank = bytes:readInt()
rankInfo:setPlayerInfo()
else
rankInfo.playerInfo.userId = bytes:readNumber()
rankInfo.playerInfo.level = bytes:readShort()
rankInfo.playerInfo.serverId = bytes:readInt()
rankInfo.rank = bytes:readInt()
rankInfo.totalHp = bytes:readInt()
rankInfo.playerInfo.combat = bytes:readInt()
rankInfo.playerInfo:setCareer(bytes:readInt())
rankInfo.playerInfo.nick = bytes:readString()
globalManager.messageUtils:setPlayerStyleBin(rankInfo.playerInfo,bytes,false)
end
table.insert(rankData,rankInfo)
end
globalData.arena1Info:setRankData(rankData)
end
local fightReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
local fightResult = {}
local type = bytes:readByte()
fightResult.sign = bytes:readByte()
fightResult.rank = bytes:readInt()
fightResult.exp = bytes:readInt()
fightResult.honour = bytes:readInt()
--成功
if(fightResult.sign == 0)then
--失败
elseif(fightResult.sign == 1)then
--排行榜发送变化
elseif(fightResult.sign == 2)then
-- globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("ArenaMessageReceiver.text1"))
end
globalData.arena1Info:fightReturn(fightResult)
end
local activeReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
local type = bytes:readByte()
local isSucc = bytes:readByte()
if(isSucc == 0)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("ArenaMessageReceiver.text2"))
globalData.arena1Info:activeReturn()
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("ArenaMessageReceiver.text3"))
end
end
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.ARENA_INFO,infoReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.ARENA_RANK,rankReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.ARENA_FIGHT,fightReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.ARENA_ACTIVE,activeReturn)
end
BangZhanMessageHandler = class("BangZhanMessageHandler",function()
local x = {}
local infoReturn = function(data)
local bytes = tolua.cast(data,"MessageIn")
globalData.copyInfo.copyBZInfo:initData(bytes)
end
local rankReturn = function(data)
local bytes = tolua.cast(data,"MessageIn")
globalData.copyInfo.copyBZInfo:initRank(bytes)
end
local clubInfoReturn = function(data)
local bytes = tolua.cast(data,"MessageIn")
globalData.copyInfo.copyBZInfo:initClubsInfo(bytes)
end
local clubAwardReturn = function(data)
local bytes = tolua.cast(data,"MessageIn")
globalData.copyInfo.copyBZInfo:initAwardInfo(bytes)
end
local clubMembersReturn = function(data)
local bytes = tolua.cast(data,"MessageIn")
local x = bytes:readInt()
local y = bytes:readInt()
local name = bytes:readString()
local memberHandler = function()
globalData.messageAdder:sendMember(x,y)
end
Alert:new():show(2,string.format(globalManager.yuyanbaoManager:getYuyanbao("BangZhanMessageHandler.text1"),name),nil,10,x,memberHandler)
end
local clubWarApplicantNumReturn = function(data)
local bytes = tolua.cast(data,"MessageIn")
globalData.bangZhanInfo.applicantNum = bytes:readShort()
globalData.bangZhanInfo:sendUpdateApplicantNum()
end
local clubWarPersonRankReturn = function(data)
local bytes = tolua.cast(data,"MessageIn")
globalData.bangZhanInfo:updateInfo(bytes)
end
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.CLUB_WAR_INFO,infoReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.CLUB_WAR_RANK,rankReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.CLUB_WAR_CLUBS,clubInfoReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.CLUB_WAR_AWARD,clubAwardReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.CLUB_WAR_MEMBERS,clubMembersReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.CLUB_WAR_APPLICANT_NUM,clubWarApplicantNumReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.CLUB_WAR_PERSON_RANK,clubWarPersonRankReturn)
return x
end)
ChatMessageHandler = class("ChatMessageHandler", function(self)
local temp = {}
return temp
end)
function ChatMessageHandler:ctor()
local messageReturn = function(data)
local bytes = tolua.cast(data,"MessageIn")
local serverId = bytes:readShort()
local currentServerId = bytes:readShort()
local channel = bytes:readByte()
local vipLevel = bytes:readByte()
local gm = bytes:readByte()
local nick = bytes:readString()
local userId = bytes:readNumber()
local toUserId = bytes:readNumber()
local sex = bytes:readInt()
local uniteJobId = bytes:readByte()
local message = bytes:readString()
if(userId == globalData.selfPlayerInfo.userId) then
return
end
local info = ChatItemInfo:new()
info.playerInfo = BasePlayerInfo:new()
info.playerInfo.serverId = serverId
info.currentServerId = currentServerId
info.channel = channel
info.playerInfo.vipLevel = vipLevel
info.playerInfo.gm = gm
info.playerInfo.nick = nick
info.playerInfo.userId = userId
info.toUserId = toUserId
info.playerInfo.sex = sex
info.uniteJobId = uniteJobId
info.message = message
info.time = globalData.systemDateInfo:secondsToDateString((math.floor(globalData.systemDateInfo:getSystemTime() / 1000 + globalData.systemDateInfo.timeZoneSecond) + 1) % globalData.systemDateInfo.secondsOfDay)
--taoran 可能需要添加发送者职业和等级
globalData.chatItemList:appendChatItem(info)
end
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.CHAT,messageReturn)
end
CopyMessageHandler = class("CopyMessageHandler",function()
local temp = {}
return temp
end)
function CopyMessageHandler:ctor()
local messageEntrustReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
local itemList = {}
local len = bytes:readByte()
for i = 1,len,1 do
table.insert(itemList,{bytes:readInt(),bytes:readInt(),bytes:readByte(),bytes:readByte()})
end
globalData.copyInfo:addEntrustItem(itemList)
end
local messageKingReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
globalData.copyInfo:setCopyKingInfo(bytes)
end
local messageSweepInfoReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
globalData.copyInfo:addSweepInfo(bytes)
end
local messageSweepStartReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
globalData.copyInfo:copyAddCount(bytes:readInt(),bytes:readByte())
end
local messageXiXingStarInfoHandler = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
globalData.copyInfo:setXiXingStarInfo(bytes)
end
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.XIXING_STAR_INFO,messageXiXingStarInfoHandler)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.COPY_SD_ENTRUST,messageEntrustReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.COPY_KING_INFO,messageKingReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.COPY_SD_INFO,messageSweepInfoReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.COPY_SD_START,messageSweepStartReturn)
end
CorssBossInfoMessageHandler = class("CorssBossInfoMessageHandler", function()
local self = {}
return self
end)
function CorssBossInfoMessageHandler:ctor()
local function allInfoReturn(data)
local bytes = tolua.cast(data,"MessageIn")
globalData.copyInfo.copyCrossBossInfo:crossBossAllInfo(bytes)         --全部boss血量
end
local function infoReturn(data)
local bytes = tolua.cast(data,"MessageIn")
globalData.copyInfo.copyCrossBossInfo:crossBossInfo(bytes)            --单个boss伤害
end
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.ALLCROSSBOSS_HURT_INFO,allInfoReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.CROSSBOSS_HURT_INFO, infoReturn)
end
SystemDateMessageHandler = class("SystemDateMessageHandler", function(self)
local temp = {}
return temp
end)
function SystemDateMessageHandler:ctor()
local messageDateReturn = function(data)
data = tolua.cast(data, "MessageIn")
globalData.systemDateInfo:syncSystemDate(data:readInt())
end
local messageHourRefreshReturn = function(data)
data = tolua.cast(data, "MessageIn")
globalData.systemDateInfo.hourTickCount = 5
globalManager.tickManager:addTick(globalData.systemDateInfo.hourTick,globalData.systemDateInfo)
end
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.SYS_DATE,messageDateReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.SYS_DAY_REFRESH,messageHourRefreshReturn)
end
FiveEquipUpdateMessageHandler = class("FiveEquipUpdateMessageHandler",function()
local temp = {}
return temp
end)
function FiveEquipUpdateMessageHandler:ctor()
local messageReturn = function(data)
local bytes = tolua.cast(data,"MessageIn")
local len = bytes:readShort()
local list = {}
for i = 1,len,1 do
local info = FiveEquipInfo:new()
globalManager.messageUtils:setPetEquip(info,bytes)
table.insert(list,info)
end
globalData.fiveEquipList:addEquipList(list)
end
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.SPECIAL_INFO,messageReturn)
end
FriendMessageHandler = class("FriendMessageHandler", function(self)
local temp = {}
return temp
end)
function FriendMessageHandler:ctor()
local messageListReturn = function(data)
data = tolua.cast(data, "MessageIn")
globalData.friendList:loadData(data)
end
local messageStateReturn = function(data)
data = tolua.cast(data, "MessageIn")
local userId = data:readNumber()
local online = data:readByte()
local player = globalData.friendList:getPlayer(userId)
if(player ~= nil)then
player.online = online
end
globalData.friendList:dispatchEvent(BaseEvent:new(globalData.globalEventType.friend_onlineUpdate,globalData.friendList))
end
local messageResponseReturn = function(data)
data = tolua.cast(data, "MessageIn")
data:readNumber()
local info = BasePlayerInfo:new()
info.serverId = data:readShort()
info.userId = data:readNumber()
info.nick = data:readString()
info.vip = data:readByte()
info.fight = data:readInt()
globalData.responseInfoList:addInfo(info,1)
end
local messageUpdateReturn = function(data)
data = tolua.cast(data, "MessageIn")
local id = data:readNumber()
local tempInfo = globalData.friendList:getPlayer(id)
if(tempInfo == nil) then
local friendInfo = FriendInfo:new()
friendInfo.friendState = data:readInt()
friendInfo:updateState()
friendInfo.online = data:readInt()
friendInfo.info.userId = id
friendInfo.info.serverId = data:readShort()
friendInfo.info.nick = data:readString()
friendInfo.info.sex = data:readByte()
friendInfo.info.level = data:readShort()
friendInfo.info:setCareer(data:readByte())
friendInfo.info.vipLevel = data:readByte()
data:readByte()
data:readByte()
data:readInt()
data:readShort()
globalData.friendList:updateFriend(friendInfo)
else
tempInfo.userId = id
tempInfo.friendState = data:readInt()
tempInfo:updateState()
tempInfo.online = data:readInt()
tempInfo.info.serverId = data:readShort()
tempInfo.info.nick = data:readString()
tempInfo.info.sex = data:readByte()
tempInfo.info.level = data:readShort()
tempInfo.info:setCareer(data:readByte())
tempInfo.info.vipLevel = data:readByte()
data:readByte()
data:readByte()
data:readInt()
data:readShort()
globalData.friendList:updateFriend(tempInfo)
end
end
local messageWaterReturn = function (data)
data = tolua.cast(data, "MessageIn")
local len = data:readShort()
for i = 1,len,1 do
local id = data:readNumber()
local tempInfo = globalData.friendList:getPlayer(id)
if(tempInfo ~= nil)then
tempInfo.isWater = data:readByte()
end
end
end
local messageGiveResultReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
local result = bytes:readByte()
if(result == 1)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("FriendMessageHandler.text1"))
globalData.friendList:dispatchEvent(BaseEvent:new(globalData.globalEventType.firend_giveGoldSuccess,self,nil))
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("FriendMessageHandler.text2"))
end
end
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.FRIEDN_WATER,messageWaterReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.FRIEND_GET_LIST,messageListReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.FRIEND_ONLINE_STATE,messageStateReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.FRIEND_RESPONSE,messageResponseReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.FRIEND_UPDATE,messageUpdateReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.LETTER_SEND,messageGiveResultReturn)
end
GMMessageHandler = class("GMMessageHandler", function(self)
local temp = {}
return temp
end)
function GMMessageHandler:ctor()
local messageReturn = function(data)
data = tolua.cast(data, "MessageIn")
local state = data:readByte()
if state == 1 then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("GMMessageHandler.text1"))
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("GMMessageHandler.text2"))
end
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.global_gm,globalManager.gameDispatcher,state))
end
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.GM_MESSAGE,messageReturn)
end
GoodsMessageHandler = class("GoodsMessageHandler",function(self)
local temp = {}
return temp
end)
function GoodsMessageHandler:ctor()
local messageBuyReturn = function(data)
local bytes = tolua.cast(data,"MessageIn")
local isOk = bytes:readBoolean()
if(isOk)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel34"))
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel35"))
end
end
local blessUseReturn = function(data)
local str = {globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel14"), globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel15"), globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel59"), globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel16"), globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel19"), globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel20"), globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel21")}
local bytes = tolua.cast(data,"MessageIn")
local succseeType = bytes:readByte()
local num = bytes:readShort()
if(succseeType)then
globalManager.tipsManager.quickTip:show(string.format(globalManager.yuyanbaoManager:getYuyanbao("GoodsMessageHandler.text8"),str[succseeType],num))
end
end
local messageExListReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
local len = bytes:readShort()
for i=1,len do
globalData.goodsExchangeList:setExchangeItemData(bytes:readInt(),bytes:readInt())
end
globalData.goodsExchangeList:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_goodsExchange,self))
end
local messageExReturn = function(data)
local bytes = tolua.cast(data,"MessageIn")
local id = bytes:readInt()
local value = bytes:readByte()
local template = globalData.allTemplates.exchangeTemplateList:getTemplate(id)
if(value == 1)then
--        	if(template ~= nil)then
--                if(#template.specialIds > 0)then
--                    local goodsTemplate = globalData.allTemplates.goodsTemplateList:getTemplate(template.specialIds[1].goodsTemplateId)
--                    globalData.chatItemList:appendSystemItem(globalManager.yuyanbaoManager:getYuyanbao("GoodsMessageHandler.text1")..globalData.allStaticTypes.colorType:getColorStrByQuality(goodsTemplate.quality).."]" .. goodsTemplate.name .. "×" .. template.specialIds[1].count.."[-]")
--                else
--                    local goodsTemplate = globalData.allTemplates.goodsTemplateList:getTemplate(template.productIds[1].goodsTemplateId)
--                    globalData.chatItemList:appendSystemItem(globalManager.yuyanbaoManager:getYuyanbao("GoodsMessageHandler.text1")..globalData.allStaticTypes.colorType:getColorStrByQuality(goodsTemplate.quality).."]" .. goodsTemplate.name.."[-]")
--                end
--        	end
elseif(value == 2)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("GoodsMessageHandler.text2"))
elseif(value == 3)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("GoodsMessageHandler.text3"))
elseif(value == 4)then
globalManager.tipsManager.quickTip:show(string.format(globalManager.yuyanbaoManager:getYuyanbao("GoodsMessageHandler.text9"),template.limitCount))
end
end
local messangeFusionReturn = function(data)
data = tolua.cast(data,"MessageIn")
local success = data:readBoolean()
if(success)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("GoodsMessageHandler.text4"))
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("GoodsMessageHandler.text5"))
end
end
local messageGainReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
local itemId = bytes:readInt()
if(itemId == globalData.allStaticTypes.categoryType.copperItem or itemId == globalData.allStaticTypes.categoryType.bindGoldItem) then
return
end
local goodsTemplate = globalData.allTemplates.goodsTemplateList:getTemplate(itemId)
local count = bytes:readInt()
globalData.chatItemList:appendSystemItem(string.format(globalManager.yuyanbaoManager:getYuyanbao("PlayerNoticeUtils.text95"),count) .. "x["..globalData.allStaticTypes.colorType:getColorStrByQuality(goodsTemplate.quality).."]" .. goodsTemplate.name.."[-]")
end
local messageQueryReturn = function(data)
local bytes = tolua.cast(data,"MessageIn")
local goodsInfo = GoodsInfo:new()
globalManager.messageUtils:setGoods(goodsInfo,bytes)
bytes:readInt()--删掉
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_goodsQuery,globalManager.gameDispatcher,goodsInfo))
end
local messangeSellReturn = function(data)
data = tolua.cast(data,"MessageIn")
local copper = data:readInt()
local bindYB = data:readInt()
local goodsName = data:readString()
local actName = ""
if(copper == 0 and bindYB == 0) then
actName = globalManager.yuyanbaoManager:getYuyanbao("GoodsInfoTester.text3")
else
actName = globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel49")
end
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("GoodsMessageHandler.text7")..actName..goodsName)
end
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.GOODS_BUY,messageBuyReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.BLESS_USE,blessUseReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.GOODS_EXCHANGE_LIST,messageExListReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.GOODS_EXCHANGE,messageExReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.GOODS_FUSION,messangeFusionReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.GOODS_GAIN_MSG,messageGainReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.GOODS_QUERY,messageQueryReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.GOODS_SELL,messangeSellReturn)
end
InfoQueryMessageHandler = class("InfoQueryMessageHandler", function(self)
local queryItem = {}
queryItem.petItem = {}
queryItem.riderItem = {}
queryItem.godItem = {}
queryItem.wingItem = {}
queryItem.spriteItem = {}
queryItem.fazhenItem = {}
queryItem.longhunItem = {}
queryItem.oathItem = {}
queryItem.partnerFight = 0
return queryItem
end)
function InfoQueryMessageHandler:ctor()
local function infoQueryReturn(data)
self:clearData()
local bytes = tolua.cast(data,"MessageIn")
local userId = bytes:readNumber()  --64
if(userId <= 0)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("InfoQueryMessageHandler.text1"))
return
end
self.userId = userId
self.playerInfo = DetailPlayerInfo:new()
self.playerInfo:setIsHorse(false)
self.equipList = {}
self.fashionInfo = FashionInfo:new()
--玩家数据
self.playerInfo.userId = userId
globalManager.messageUtils:setDetailPlayer(self.playerInfo,bytes)
local len = bytes:readInt()
for i = 1,len do
local goods = GoodsInfo:new()
goods.position = bytes:readInt()
globalManager.messageUtils:setGoods(goods,bytes)
goods:resetScore(self.playerInfo.level)
self.equipList[goods.position] = goods
end
--fiveEquip
self.petItem.fiveEquip = {}
self.riderItem.fiveEquip = {}
self.wingItem.fiveEquip = {}
self.godItem.fiveEquip = {}
self.spriteItem.fiveEquip = {}
self.fazhenItem.fiveEquip = {}
self.longhunItem.fiveEquip = {}
local len = bytes:readByte()
for i = 1,len do
local id = bytes:readInt()
local info = globalData.allTemplates.fiveEquipTemplateList:getTemplate(id)
if(info.categoryId == globalData.allStaticTypes.petXiaofeiType.CHONGWU) then
self.petItem.fiveEquip[info.place] = {id,bytes:readByte(),bytes:readByte()}
elseif(info.categoryId == globalData.allStaticTypes.petXiaofeiType.ZUOQI) then
self.riderItem.fiveEquip[info.place] = {id,bytes:readByte(),bytes:readByte()}
elseif(info.categoryId == globalData.allStaticTypes.petXiaofeiType.CHIBANG) then
self.wingItem.fiveEquip[info.place] = {id,bytes:readByte(),bytes:readByte()}
elseif(info.categoryId == globalData.allStaticTypes.petXiaofeiType.SHENBING) then
self.godItem.fiveEquip[info.place] = {id,bytes:readByte(),bytes:readByte()}
elseif(info.categoryId == globalData.allStaticTypes.petXiaofeiType.JINGLING) then
self.spriteItem.fiveEquip[info.place] = {id,bytes:readByte(),bytes:readByte()}
elseif(info.categoryId == globalData.allStaticTypes.petXiaofeiType.FAZHEN) then
self.fazhenItem.fiveEquip[info.place] = {id,bytes:readByte(),bytes:readByte()}
elseif(info.categoryId == globalData.allStaticTypes.petXiaofeiType.LONGHUN) then
self.longhunItem.fiveEquip[info.place] = {id,bytes:readByte(),bytes:readByte()}
end
end
local isMarry = bytes:readBoolean()
if(isMarry) then
self.playerInfo.marryType = bytes:readByte()
self.playerInfo.marryName = bytes:readString()
end
--时装
local isFashion = bytes:readBoolean()
local hasIdList = {}
local hasStarList = {}
local hasStarIdList  = {}
if(isFashion) then
self.fashionInfo.currentFashion = bytes:readInt()
local len = bytes:readByte()
for i = 1,len do
local hasFashionId = bytes:readInt()
table.insert(hasIdList,hasFashionId)
end
self.fashionInfo.hasIdList      = hasIdList
local len1 = bytes:readByte()
for i = 1,len1,1 do
local templateId = bytes:readInt()
local starLevel  = bytes:readShort()
table.insert(hasStarIdList,templateId)
hasStarList[templateId] = starLevel
end
self.fashionInfo.hasStarList    = hasStarList
self.fashionInfo.hasStarIdList  = hasStarIdList
end
end
local function parseData(item,bytes)
item.stage = bytes:readShort()
item.qianneng = bytes:readShort()
item.chengzhang = bytes:readShort()
item.fight = bytes:readInt()
item.valueList = {}
local len = bytes:readByte()
for i = 1, len do
local id2 = bytes:readByte()
item.valueList[id2] = bytes:readInt()
end
end
local function petQueryReturn(data)
local bytes = tolua.cast(data,"MessageIn")
local haspet = bytes:readBoolean()
if(haspet)then
parseData(self.petItem,bytes)
else
self.petItem = {}
end
end
local function xiaofeiQueryReturn(data)
local bytes = tolua.cast(data,"MessageIn")
local len = bytes:readByte()
for i = 1,len,1 do
local type = bytes:readByte()
if type == globalData.allStaticTypes.petXiaofeiType.CHONGWU then
elseif type == globalData.allStaticTypes.petXiaofeiType.ZUOQI then
parseData(self.riderItem,bytes)
elseif type == globalData.allStaticTypes.petXiaofeiType.CHIBANG then
parseData(self.wingItem,bytes)
elseif type == globalData.allStaticTypes.petXiaofeiType.SHENBING then
parseData(self.godItem,bytes)
elseif type == globalData.allStaticTypes.petXiaofeiType.JINGLING then
parseData(self.spriteItem,bytes)
elseif type == globalData.allStaticTypes.petXiaofeiType.FAZHEN then
parseData(self.fazhenItem,bytes)
elseif type == globalData.allStaticTypes.petXiaofeiType.LONGHUN then
parseData(self.longhunItem,bytes)
end
end
end
local function oathQueryReturn(data)
-- body
local bytes = tolua.cast(data,"MessageIn")
local len = bytes:readByte()
self.oathItem = {}
if len ~= 0 then
for i = 1, len do
self.oathItem[i] = bytes:readString()
end
end
end
local function partnerFightQueryReturn(data)
local bytes = tolua.cast(data,"MessageIn")
self.partnerFight = bytes:readInt()
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.friend_infoQuery,globalManager.gameDispatcher,self))
end
local function playerOfflineTips(data)
local bytes = tolua.cast(data,"MessageIn")
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("InfoQueryMessageHandler.text1"))
end
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.QUERY_OFFLINE_TIPS,playerOfflineTips)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.XIAOFEI_INFO,xiaofeiQueryReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.INFO_QUERY,infoQueryReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.PET_INFO,petQueryReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.OATH_INFO_2,oathQueryReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.QUERY_PARTNER_FIGHT,partnerFightQueryReturn)
end
function InfoQueryMessageHandler:clearData()
self.petItem = {}
self.riderItem = {}
self.godItem = {}
self.wingItem = {}
self.spriteItem = {}
self.fazhenItem = {}
self.longhunItem = {}
self.oathItem = {}
end
LeagueMessageReceiver = class("LeagueMessageReceiver", function(self)
local temp = {}
return temp
end)
function LeagueMessageReceiver:ctor()
--帮派创建更新
local leagueCreateReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
local isSucc = bytes:readBoolean()
if(isSucc)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("LeagueMessageReceiver.text1"))
globalData.leagueInfo:dispatchEvent(BaseEvent:new(globalData.globalEventType.league_create,globalData.leagueInfo))
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("LeagueMessageReceiver.text2"))
end
end
--自动加入帮派
local autoJoinReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
local isSucc = bytes:readBoolean()
if(isSucc)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("LeagueMessageReceiver.text3"))
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("LeagueMessageReceiver.text4"))
end
end
--帮派信息更新
local leagueInfoReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
globalData.leagueInfo.id = bytes:readNumber()
globalData.leagueInfo.name = bytes:readString()
local level = bytes:readByte()
globalData.leagueInfo.wealth = bytes:readInt()
globalData.leagueInfo.descript = bytes:readString()
globalData.leagueInfo.rank = bytes:readInt()
globalData.leagueInfo.serverId = bytes:readShort()
globalData.leagueInfo.updateTime = bytes:readInt() --升级时间
globalData.leagueInfo.autoLevel = bytes:readShort() --自动加入等级
globalData.leagueInfo.totalFight = bytes:readInt()  --帮派总战力
globalData.leagueInfo.member = bytes:readByte() --帮派当前人数
globalData.leagueInfo.giveCount = bytes:readShort() --已经捐赠帮贡次数
globalData.leagueInfo.masterName = bytes:readString()
if(globalData.leagueInfo.level ~= level)then
globalData.leagueInfo.level = level
globalData.leagueInfo:dispatchEvent(BaseEvent:new(globalData.globalEventType.league_level,globalData.leagueInfo))
end
globalData.leagueInfo:dispatchEvent(BaseEvent:new(globalData.globalEventType.league_info,globalData.leagueInfo))
end
--自己帮派贡献更新
local leagueGongxianInfoReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
globalData.leagueInfo.myJob = bytes:readByte()    --职务
globalData.leagueInfo.myGongxian = bytes:readInt() --自己帮贡
globalData.leagueInfo.myTotalGongxian = bytes:readInt() --自己总帮贡
globalData.leagueInfo.yuanbaoCount = bytes:readByte() --钻石捐献次数
globalData.leagueInfo.copperCount = bytes:readByte() --铜币捐助次数
globalData.leagueInfo:dispatchEvent(BaseEvent:new(globalData.globalEventType.league_myInfo,globalData.leagueInfo))
end
--帮派列表更新
local leagueListReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
local len = bytes:readShort()
local dataList = {}
local canInList = {}
for i=1,len do
local leagueData = {}
leagueData.id = bytes:readNumber()
leagueData.name = bytes:readString()
leagueData.level = bytes:readInt()
leagueData.rank = bytes:readInt()
leagueData.serverId = bytes:readShort()
leagueData.autoLevel = bytes:readByte()
leagueData.totalFight = bytes:readInt()
leagueData.member = bytes:readByte()
leagueData.masterId = bytes:readNumber()
leagueData.masterName = bytes:readString()
table.insert(dataList,leagueData)
if(leagueData.autoLevel > 0)then
if((leagueData.autoLevel > 10 and leagueData.autoLevel <= globalData.selfPlayerInfo.level) or (leagueData.autoLevel <= 10 and globalData.selfPlayerInfo.combat >= leagueData.autoLevel * 100000)) then
table.insert(canInList,leagueData)
end
end
end
globalData.leagueInfo.leagueList = dataList
globalData.leagueInfo.canInList = canInList
globalData.leagueInfo:leagueListSort()
globalData.leagueInfo:dispatchEvent(BaseEvent:new(globalData.globalEventType.league_listUpdate,globalData.leagueInfo))
end
--帮派成员信息更新
local leagueMemberListReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
local len = bytes:readShort()
local dataList = {}
for i=1,len do
local memberData = {}
memberData.userId = bytes:readNumber()
memberData.name = bytes:readString()
memberData.level = bytes:readShort()
memberData.gongxian = bytes:readInt()
memberData.fight = bytes:readInt()
memberData.state = bytes:readByte() --是否在线
memberData.lastDate = bytes:readInt()
memberData.job = bytes:readByte() --0无，1会长，2副会长
memberData.vipLevel = bytes:readByte()
table.insert(dataList,memberData)
end
globalData.leagueInfo.leagueMembers = dataList
globalData.leagueInfo:leagueMembersSort()
globalData.leagueInfo:dispatchEvent(BaseEvent:new(globalData.globalEventType.league_memberList,globalData.leagueInfo))
end
--申请成员列表
local leagueRequestListReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
local len = bytes:readShort()
local dataList = {}
for i=1,len do
local data = {}
data.userId = bytes:readNumber()
data.name = bytes:readString()
data.level = bytes:readShort()
data.career = bytes:readByte()
data.sex = 1
if(data.career == 2) then
data.sex = 2
end
data.vipLevel = bytes:readByte()
table.insert(dataList,data)
end
globalData.leagueInfo.applyList = dataList
globalData.leagueInfo:dispatchEvent(BaseEvent:new(globalData.globalEventType.league_requestList,globalData.leagueInfo))
end
--退出帮派
local leagueQuitListReturn = function(mess)
globalData.leagueInfo:quit()
end
--踢人返回
local leagueKickReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
local userId = bytes:readNumber()
globalData.leagueInfo:kick(userId)
end
--职务改变返回
local leagueJobUpdateReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
local userId = bytes:readNumber()
local job = bytes:readByte()
globalData.leagueInfo:changeJob(userId,job)
end
--会长更改返回
local leagueMasterUpdateReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
end
--帮派升级
local leagueUpgradeReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("LeagueMessageReceiver.text5"))
end
--捐帮贡
local leagueGongxianReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
local type = bytes:readByte()
if(type == 1)then
globalData.chatItemList:appendSystemItem(globalManager.yuyanbaoManager:getYuyanbao("LeagueMessageReceiver.text6"))
elseif(type == 2)then
globalData.chatItemList:appendSystemItem(globalManager.yuyanbaoManager:getYuyanbao("LeagueMessageReceiver.text7"))
end
end
--帮派仓库物品列表
local function leagueItemListReturn(mess)
local bytes = tolua.cast(mess,"MessageIn")
local len = bytes:readShort()
for i = 1, len do
globalData.leagueInfo.wareHouseList:update(bytes)
end
len = bytes:readShort()
for i=1,len do
globalData.leagueInfo.wareHouseList:addUser(bytes)
end
globalData.leagueInfo:dispatchEvent(BaseEvent:new(globalData.globalEventType.league_goodsAppli,globalData.leagueInfo))
end
--物品发放日志
local function leagueItemLogReturn(mess)
local bytes = tolua.cast(mess,"MessageIn")
globalData.leagueInfo.wareHouseLog = {}
local len = bytes:readByte()
for i=1,len do
table.insert(globalData.leagueInfo.wareHouseLog, LeagueWareHouseLogInfo:new(bytes))
end
end
--帮会骰子
local function leagueDiceReturn(mess)
local bytes = tolua.cast(mess,"MessageIn")
local name = bytes:readString()
local num = bytes:readByte()
local info = ChatItemInfo:new()
info.channel = globalData.allStaticTypes.channelType.CLUB
info.message = string.format(globalManager.yuyanbaoManager:getYuyanbao("LeagueMessageReceiver.text11"),name,num)
info.uniteJobId = bytes:readByte()
globalData.chatItemList:appendChatItem(info)
end
--帮会帮贡设置
local function leagueContributeReturn(mess)
local bytes = tolua.cast(mess,"MessageIn")
local len =  bytes:readShort()
local dataList = {}
for i = 1,len do
local data = {}
data.templateId = bytes:readInt()
data.state = bytes:readByte()
data.club_wealth   = bytes:readInt()
local info = globalData.leagueInfo.wareHouseList:getInfo(data.templateId)
if info ~= nil then
info.isAuto = data.state
info.needWealth = data.club_wealth
end
end
globalData.leagueInfo:dispatchEvent(BaseEvent:new(globalData.globalEventType.league_contributeSet,globalData.leagueInfo))
end
--帮派BOSS血量
local leagueBossHpReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
globalData.leagueInfo:updateCopyInfo(bytes)
end
--帮派BOSS奖励
local leagueBossAwardReturn = function(mess)
local bytes    = tolua.cast(mess,"MessageIn")
local exp      = bytes:readInt()
local wealth   = bytes:readInt()
local hurtRate = bytes:readShort()
local len = bytes:readShort()
local list = {}
for i = 1, len do
local temp = {}
temp.templateId = bytes:readInt()
temp.count = bytes:readShort()
table.insert(list,temp)
end
local view     = LeagueBossResultView:new()
view:setInfo(exp, wealth, hurtRate, list)
end
--帮派BOSS伤害
local leagueBossHurtReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
globalData.leagueInfo:updateBossHurt(bytes:readInt(),bytes:readInt(),bytes:readNumber())
end
--帮派BOSS重置
local leagueBossResetReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
local state = bytes:readByte()
local copyId = bytes:readInt()
if(state == 1) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("LeagueMessageReceiver.text8"))
elseif(state == 2) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("LeagueMessageReceiver.text9"))
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("LeagueMessageReceiver.text10"))
local missionId = globalData.allTemplates.copyTemplateList:getCopy(copyId).missions[1]
globalData.leagueInfo:restUpdateInfo(copyId,missionId,0)
end
end
--帮派等级更新
local clubLevelUpdateReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
globalData.leagueInfo.level = bytes:readShort()
end
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.LEAGUE_DICE,leagueDiceReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.LEAGUE_ITEM_REQUEST_LIST,leagueItemListReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.LEAGUE_ITEM_REQUEST_LOG, leagueItemLogReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.LEAGUE_INFO,leagueInfoReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.LEAGUE_GONGXIAN_INFO,leagueGongxianInfoReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.LEAGUE_LIST,leagueListReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.LEAGUE_MEMBER_LIST,leagueMemberListReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.LEAGUE_CREATE,leagueCreateReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.AUTO_JOIN_LEAGUE,autoJoinReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.LEAGUE_REQUEST_LIST,leagueRequestListReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.LEAGUE_QUIT,leagueQuitListReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.LEAGUE_KICK,leagueKickReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.LEAGUE_JOB_UPDATE,leagueJobUpdateReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.LEAGUE_MATER_UPDATE,leagueMasterUpdateReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.LEAGUE_UPGRADE,leagueUpgradeReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.LEAGUE_GONGXIAN,leagueGongxianReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.CLUBCOPY_BOSS_HP,leagueBossHpReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.CLUBCOPY_AWARD,leagueBossAwardReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.CLUBCOPY_HURT,leagueBossHurtReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.CLUBCOPY_RESET,leagueBossResetReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.LEAGUE_ITEM_REQUEST_SET,leagueContributeReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.LEAGUE_LEVEL_UPDATE,clubLevelUpdateReturn)
end
--
-- 消费积分更新
-- Date: 2014-05-15 16:10:15
--
PayValueUpdateMessageHandler = class("PayValueUpdateMessageHandler", function(self)
local temp = {}
return temp
end)
function PayValueUpdateMessageHandler:ctor()
local messageReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
globalData.selfPlayerInfo.moneyInfo.payValue = bytes:readInt()
globalData.selfPlayerInfo.moneyInfo:update()
end
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.PAY_VALUE_UPDATE,messageReturn)
end
--活动结束通知
BroadcastQuitMapMessageHandler = class("BroadcastQuitMapMessageHandler", function()
return {}
end)
function BroadcastQuitMapMessageHandler:ctor()
local function messageReturn(mess)
local bytes     = tolua.cast(mess,"MessageIn")
local warType   = bytes:readByte()
globalData.activityIcons:remove(warType)
end
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.BROADCAST_QUIT_MAP,messageReturn)
end
--
-- 用户公告协议
-- Date: 2014-06-03 15:13:38
--
PlayerNoticeMessageHandler = class("PlayerNoticeMessageHandler", function(self)
return {}
end)
function PlayerNoticeMessageHandler:ctor()
local messageReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
local type = bytes:readShort()
--炼狱第几关
if(type == 3)then
local playerInfo = BasePlayerInfo:new()
globalManager.messageUtils:setLinkPlayer(playerInfo,bytes)
local stage = bytes:readShort()
globalManager.playerNoticeUtils:lianyuNotice(playerInfo,stage)
elseif(type == 4)then
globalManager.playerNoticeUtils:yuanXiaoDaTiNotice()
--妖精进阶
elseif(type == 12)then
local playerInfo = BasePlayerInfo:new()
globalManager.messageUtils:setLinkPlayer(playerInfo,bytes)
local petTemplateId = bytes:readShort()
globalManager.playerNoticeUtils:stageAdvance(1,playerInfo,petTemplateId)
--坐骑进阶
elseif(type == 21)then
local playerInfo = BasePlayerInfo:new()
globalManager.messageUtils:setLinkPlayer(playerInfo,bytes)
local riderTemplateId = bytes:readShort()
globalManager.playerNoticeUtils:stageAdvance(2,playerInfo,riderTemplateId)
--龙魂进阶
elseif(type == 22)then
local playerInfo = BasePlayerInfo:new()
globalManager.messageUtils:setLinkPlayer(playerInfo,bytes)
local longhunTemplateId = bytes:readShort()
globalManager.playerNoticeUtils:stageAdvance(7,playerInfo,longhunTemplateId)
--法阵进阶
elseif(type == 23)then
local playerInfo = BasePlayerInfo:new()
globalManager.messageUtils:setLinkPlayer(playerInfo,bytes)
local fazhenTemplateId = bytes:readShort()
globalManager.playerNoticeUtils:stageAdvance(6,playerInfo,fazhenTemplateId)
--足迹进阶
elseif(type == 25)then
local playerInfo = BasePlayerInfo:new()
globalManager.messageUtils:setLinkPlayer(playerInfo,bytes)
local godTemplateId = bytes:readShort()
globalManager.playerNoticeUtils:stageAdvance(3,playerInfo,godTemplateId)
--翅膀进阶
elseif(type == 26)then
local playerInfo = BasePlayerInfo:new()
globalManager.messageUtils:setLinkPlayer(playerInfo,bytes)
local wingTemplateId = bytes:readShort()
globalManager.playerNoticeUtils:stageAdvance(4,playerInfo,wingTemplateId)
--仙灵进阶
elseif(type == 27)then
local playerInfo = BasePlayerInfo:new()
globalManager.messageUtils:setLinkPlayer(playerInfo,bytes)
local spriteTemplateId = bytes:readShort()
globalManager.playerNoticeUtils:stageAdvance(5,playerInfo,spriteTemplateId)
--炼器强化
elseif(type == 31)then
local playerInfo = BasePlayerInfo:new()
globalManager.messageUtils:setLinkPlayer(playerInfo,bytes)
local goodsId = bytes:readNumber() --goodsId
local goodsTemplateId = bytes:readInt() --goodsTempId
local strengthLevel = bytes:readInt() --strengthLevel
local stage = bytes:readUByte()
globalManager.playerNoticeUtils:furnaceStrength(playerInfo,goodsId,goodsTemplateId,strengthLevel,stage)
--		--炼器升级
--		elseif(type == 32)then
--			local playerInfo = BasePlayerInfo:new()
--			globalManager.messageUtils:setLinkPlayer(playerInfo,bytes)
--			local oldGoodsTemplateId = bytes:readInt() --oldGoodsTemplateId
--			local goodsTemplateId = bytes:readInt() --goodsTemplateId
--
--			globalManager.playerNoticeUtils:furnaceUpgrade(playerInfo,oldGoodsTemplateId,goodsTemplateId)
--		--炼器提品
--		elseif(type == 33)then
--			local playerInfo = BasePlayerInfo:new()
--			globalManager.messageUtils:setLinkPlayer(playerInfo,bytes)
--			local goodsTemplateId = bytes:readInt() --goodsTemplateId
--			local goodsId = bytes:readNumber() --goodsId
--
--			globalManager.playerNoticeUtils:furnaceUpPrefix(playerInfo,goodsId,goodsTemplateId)
elseif(type == 36)then
local leagueName = bytes:readString()
globalManager.playerNoticeUtils:leagueWarStreak(leagueName)
elseif(type == 37)then
local leagueName = bytes:readString()
local score = bytes:readInt()
globalManager.playerNoticeUtils:leagueWarWin(leagueName,score)
--炼器进阶
elseif(type == 38)then
local playerInfo = BasePlayerInfo:new()
globalManager.messageUtils:setLinkPlayer(playerInfo,bytes)
local goodsId = bytes:readNumber() --goodsId
local goodsTemplateId = bytes:readInt() --goodsTempId
local strengthLevel = bytes:readInt() --strengthLevel
local stage = bytes:readUByte()
globalManager.playerNoticeUtils:furnaceAdvance(playerInfo,goodsId,goodsTemplateId,strengthLevel,stage)
--开箱子获得物品
elseif(type == 39)then
local nickName      = bytes:readString()
local boxTemplateId = bytes:readInt()
local templateId    = bytes:readInt()
local amount        = bytes:readShort()
local streng        = bytes:readUByte()
local stage         = bytes:readUByte()
globalManager.playerNoticeUtils:openBoxNotice(nickName,boxTemplateId,templateId,amount,streng,stage)
elseif(type == 41)then
--BOSS死亡
local bossId = bytes:readInt()
local userName = bytes:readString()
local name = bytes:readString()
local len = bytes:readByte()
local itemList = {}
for i = 1,len,1 do
local templateId = bytes:readInt()
local count = bytes:readShort()
local streng = bytes:readShort()
local stage = bytes:readShort()
table.insert(itemList,{templateId,count,streng,stage})
end
globalManager.playerNoticeUtils:worldBossBeKill(bossId,userName,name,itemList)
elseif(type == 42)then
--BOSS击杀人
local bossId = bytes:readInt()
local playerName = bytes:readString()
local itemLen = bytes:readByte()
local items = {}
for i = 1,itemLen,1 do
local templateId = bytes:readInt()
local count = bytes:readShort()
local streng = bytes:readShort()
local stage = bytes:readShort()
table.insert(items,{templateId,count,streng,stage})
end
globalManager.playerNoticeUtils:worldBossKiller(bossId,playerName,items)
elseif(type == 43)then
--精英击杀人
local bossId = bytes:readInt()
local name = bytes:readString()
local len = bytes:readByte()
local itemList = {}
for i = 1,len,1 do
local templateId = bytes:readInt()
local count = bytes:readShort()
local streng = bytes:readShort()
local stage = bytes:readShort()
table.insert(itemList,{templateId,count,streng,stage})
end
globalManager.playerNoticeUtils:jingyinBossKiller(bossId,name,itemList)
elseif(type == 44)then --
--BOSS10分钟
globalManager.playerNoticeUtils:worldBossFlesh(10)
elseif(type == 45)then --
--BOSS5分钟
globalManager.playerNoticeUtils:worldBossFlesh(5)
elseif(type == 46)then --
--BOSS出现
globalManager.playerNoticeUtils:worldBossFlesh(0)
elseif(type == 47)then --
--精英5分钟
globalManager.playerNoticeUtils:jingyinBossFlesh(bytes:readInt(),5)
elseif(type == 48)then --
--精英出现
globalManager.playerNoticeUtils:jingyinBossFlesh(bytes:readInt(),0)
elseif(type == 49)then
--远古战场 终结
local nick2 = bytes:readString()
local nick1 = bytes:readString()
globalManager.playerNoticeUtils:yuanGuStopKill(nick1,nick2,bytes:readShort())
elseif(type == 50)then
--远古战场 连斩
globalManager.playerNoticeUtils:yuanGuKillCount(bytes:readString(),bytes:readShort())
elseif(type == 51)then
--远古战场 击杀守卫
globalManager.playerNoticeUtils:yuanGuKillMonster1(bytes:readByte())
elseif(type == 52)then
--远古战场 击杀雕像
globalManager.playerNoticeUtils:yuanGuKillMonster2(bytes:readByte(),bytes:readString(),bytes:readInt(),bytes:readShort())
elseif(type == 54)then --
--首充公告
local playerName = bytes:readString()
local len = bytes:readByte()
local itemList = {}
for i = 1,len,1 do
local templateId = bytes:readInt()
local count = bytes:readInt()
local streng = bytes:readShort()
local stage = bytes:readShort()
table.insert(itemList,{templateId,count,streng,stage})
end
globalManager.playerNoticeUtils:firstRewardNotice(playerName,itemList)
elseif(type == 55)then
--一锤定音公告
local playerName = bytes:readString()
local len = bytes:readByte()
local itemList = {}
for i = 1,len,1 do
local templateId = bytes:readInt()
local count = bytes:readShort()
local streng = bytes:readShort()
local stage = bytes:readShort()
table.insert(itemList,{templateId,count,streng,stage})
end
globalManager.playerNoticeUtils:yichuiReawardNotice(playerName,itemList)
elseif(type == 56) then
--探宝公告
globalManager.playerNoticeUtils:tanbaoNamedNotice(bytes:readString())
elseif(type == 57) then
--击杀橙色朵朵
globalManager.playerNoticeUtils:killedDuoduo(bytes:readString())
elseif(type == 58) then
--采集橙水晶公告
local clubName = bytes:readString()
local userName = bytes:readString()
globalManager.playerNoticeUtils:getOrangeCrystal(clubName,userName)
elseif(type == 59) then
--帮战结束公告
local rank     = bytes:readByte()
local Wealth   = bytes:readInt()
globalManager.playerNoticeUtils:bangzhanEnd(rank,Wealth)
elseif(type == 60) then
--占领龙魂石公告
local clubName = bytes:readString()
local userName = bytes:readString()
globalManager.playerNoticeUtils:occupationStone(clubName,userName)
elseif(type == 61) then
--占领战旗公告
local clubName = bytes:readString()
local userName = bytes:readString()
local templateId = bytes:readInt()
globalManager.playerNoticeUtils:occupationFlag(clubName,userName,templateId)
elseif(type == 62) then
--击杀世界Boss（世界、精英、猎魂）获得物品
local userName   = bytes:readString()
local monsterId  = bytes:readInt()
local templateId = bytes:readInt()
globalManager.playerNoticeUtils:hasKilledBoss(userName,monsterId,templateId)
elseif(type == 63) then
--创建帮派公告
local userId     = bytes:readNumber()
local playerName = bytes:readString()
local clubName   = bytes:readString()
globalManager.playerNoticeUtils:createClub(userId,playerName,clubName)
elseif(type == 64)then
--帮战结束
local wealth     = bytes:readInt()
globalManager.playerNoticeUtils:leagueWarEnd(wealth)
elseif(type == 65)then
--充值转盘公告
local playerName = bytes:readString()
local templateId = bytes:readInt()
local count      = bytes:readInt()
globalManager.playerNoticeUtils:yuanbaoZhuanpan(playerName,templateId,count)
elseif(type == 66)then
--送花
local name1 = bytes:readString()
local flowerType = bytes:readInt()
local name2 = bytes:readString()
globalManager.playerNoticeUtils:sendFlower(name1,flowerType,name2)
elseif(type == 67)then
--结婚
local name1 = bytes:readString()
local name2 = bytes:readString()
local type = bytes:readByte()
globalManager.playerNoticeUtils:marryNotice(name1,name2,type)
elseif(type == 68)then
--离婚
local name1 = bytes:readString()
local name2 = bytes:readString()
globalManager.playerNoticeUtils:marryBreak(name1,name2)
elseif(type == 69)then
--仙缘升级
local name = bytes:readString()
local index = bytes:readInt()
index = math.floor(index / 30) + 1
globalManager.playerNoticeUtils:XianYuanUpLevel(name,index)
elseif(type == 70)then
--击杀跨服Boss
local serverId = bytes:readShort()
local userName = bytes:readString()
local bossId   = bytes:readInt()
globalManager.playerNoticeUtils:killedCrossBossInfo(serverId,userName,bossId)
elseif(type == 71)then
--跨服boss奖励
local monsterId = bytes:readInt()
local templateId= bytes:readInt()
local userName  = bytes:readString()
local serverId  = bytes:readShort()
globalManager.playerNoticeUtils:crossBossAward(monsterId,templateId,userName,serverId)
elseif(type == 72)then
--消费送礼公告
local consumenId = bytes:readByte()
local userName   = bytes:readString()
globalManager.playerNoticeUtils:consumenNotice(consumenId,userName)
elseif(type == 73)then
--终极跨服boss出现
local bossId     = bytes:readInt()
globalManager.playerNoticeUtils:crossBossComeHere(bossId)
elseif(type == 74)then
--帮派boss击杀物品掉落
local awardList    = {}
local clubName     = bytes:readString()
local bossName     = bytes:readString()
local len          = bytes:readByte()
for i = 1,len,1 do
local templateId = bytes:readInt()
local count      = bytes:readInt()
table.insert(awardList,{templateId,count})
end
globalManager.playerNoticeUtils:leagueBossGoodsInfo(clubName,bossName,awardList)
elseif(type == 75)then
--神秘商店购买公告
local playerInfo = BasePlayerInfo:new()
globalManager.messageUtils:setLinkPlayer(playerInfo,bytes)
local shopId = bytes:readInt()
globalManager.playerNoticeUtils:shenMiShopNotice(playerInfo,shopId)
elseif(type == 76)then
--成长计划公告
local awardList  = {}
local nickName   = bytes:readString()
local len        = bytes:readByte()
for i = 1,len,1 do
local templateId = bytes:readInt()
local count      = bytes:readInt()
table.insert(awardList,{templateId,count})
end
globalManager.playerNoticeUtils:growUpPlanNotice(nickName,awardList)
elseif(type == 77)then
--寻宝转盘
local nickName = bytes:readString()
local len      = bytes:readByte()
local itemList = {}
for i = 1,len,1 do
local templateId = bytes:readInt()
local count      = bytes:readInt()
table.insert(itemList,{templateId,count})
end
globalManager.playerNoticeUtils:combinedZhuanpanNotice(nickName,itemList)
elseif(type == 78)then
local fight = bytes:readInt()
local userName = bytes:readString()
local goodsName = bytes:readString()
local Jumptype = bytes:readByte()
globalManager.playerNoticeUtils:activeImage(fight, userName, goodsName, Jumptype)
elseif(type == 79)then
local type = bytes:readByte()
local userName = bytes:readString()
local collectId = bytes:readInt()
globalManager.playerNoticeUtils:chaosCollectNotice(type, userName, collectId)
elseif type == 80 then
local name1 = bytes:readString()
local name2 = bytes:readString()
local name3 = bytes:readString()
local oathId = bytes:readByte()
globalManager.playerNoticeUtils:oathNotice(name1, name2, name3, oathId)
elseif(type == 81)then
--vip商店购买公告
local playerInfo = BasePlayerInfo:new()
globalManager.messageUtils:setLinkPlayer(playerInfo,bytes)
local shopId = bytes:readInt()
globalManager.playerNoticeUtils:vipScoreMallNotice(playerInfo,shopId)
elseif type == 82 then
local name = bytes:readString()
local len = bytes:readByte()
local list = {}
if len ~= 0 then
for i = 1, len do
local userId = bytes:readInt()
local amount = bytes:readInt()
table.insert(list, {userId, amount})
end
end
globalManager.playerNoticeUtils:washGoldNotice(list,name)
elseif type == 83 then
local num = bytes:readInt()
globalManager.playerNoticeUtils:washGoldNumNotice(num)
elseif(type == 84)then
--化形进化公告
local nickName  = bytes:readString()
local equipName = bytes:readString()
local starLevel = bytes:readShort()
local fightValue= bytes:readInt()
local type      = bytes:readByte()
globalManager.playerNoticeUtils:jinHuaNotice(nickName,equipName,starLevel,fightValue,type)
elseif(type == 85)then
--觉醒公告
local nickName  = bytes:readString()
local career = bytes:readByte()
globalManager.playerNoticeUtils:wakeUp(nickName,career)
elseif(type == 86) then
local nickName = bytes:readString()
local len = bytes:readByte()
local result = {}
for i = 1, len do
local goods = {}
goods.templateId = bytes:readInt()
goods.amount = bytes:readInt()
table.insert(result,goods)
end
globalManager.playerNoticeUtils:xinfukuizeng(nickName,result)
elseif(type == 87) then
local nickName = bytes:readString()
local landType = bytes:readByte()
globalManager.playerNoticeUtils:farmHarvest(nickName,landType)
elseif(type == 88) then
--烟花公告
local name1 = bytes:readString()
local yanhuaType = bytes:readInt()
local name2 = bytes:readString()
globalManager.playerNoticeUtils:sendYanhua(name1,yanhuaType,name2)
elseif(type == 89) then
local serverId = bytes:readShort()
local nickName = bytes:readString()
local templateId = bytes:readInt()
globalManager.playerNoticeUtils:sanDaCopy(serverId,nickName,templateId)
elseif(type == 90)then
--玩家发红包
local nickName  = bytes:readString()
local goldNum   = bytes:readInt()
local arenaType = bytes:readByte()
globalManager.playerNoticeUtils:sendRedPakectInfo(nickName,goldNum,arenaType)
elseif(type == 91)then
--抢到最高红包
local nickName  = bytes:readString()
local goodsNum  = bytes:readInt()
local goodsType = bytes:readByte()
globalManager.playerNoticeUtils:getBestRedPakectInfo(nickName,goodsType,goodsNum)
end
end
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.PLAYER_NOTICE,messageReturn)
end
SceneWordShowMessageHandler = class("SceneWordShowMessageHandler", function()
return {}
end)
function SceneWordShowMessageHandler:ctor()
local function messageReturn(mess)
local bytes = tolua.cast(mess,"MessageIn")
local type = bytes:readByte()
local id = bytes:readInt()
local tmpType = bytes:readByte()
if(type == 0)then
globalManager.tipsManager.sceneWordTip:show(tostring(id))
elseif(type == 1)then
if(tmpType == 0)then
globalManager.tipsManager.sceneWordTip:show("buff"..tostring(id))
elseif(tmpType == 1)then
globalManager.tipsManager.sceneWordTip:show("buffA"..tostring(id))
end
end
end
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.SCENE_WORD_SHOW,messageReturn)
end
WarTimeMessageHandler = class("WarTimeMessageHandler", function()
return {}
end)
function WarTimeMessageHandler:ctor()
local function messageReturn(mess)
local bytes     = tolua.cast(mess,"MessageIn")
local warType   = bytes:readByte()
--0:准备, 1:已经开始
local timeType  = bytes:readByte()
local timeBegin = bytes:readInt()
local timeEnd   = bytes:readInt()
local info     = globalData.activityIcons:getTemplate(warType)
if(info == nil)then return end
info.timeType  = timeType
info.timeBegin = timeBegin
info.timeEnd   = timeEnd
globalData.activityIcons:add(info)
end
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.WAR_TIME,messageReturn)
end
OpenSelfInfoMessageHandler = class("OpenSelfInfoMessageHandler",function()
local temp = {}
return temp
end)
function OpenSelfInfoMessageHandler:ctor()
local messageInfoReturn = function(data)
local bytes = tolua.cast(data,"MessageIn")
globalData.openInfo:setSelfInfo(bytes)
end
local messageRankReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
globalData.openInfo:setRankInfo(bytes)
end
local messageStageReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
globalData.openInfo:setStageInfo(bytes)
end
local messagePeopleReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
globalData.openInfo:setPeopleNumber(bytes)
end
local growUpdateMessageReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
globalData.openInfo:setGrowUpProject(bytes)
end
local stageNumMessageReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
globalData.openInfo:getOpen13Info(bytes)
end
--寻宝轮盘
local function pickReturn(mess)
local bytes = tolua.cast(mess,"MessageIn")
globalData.openInfo:pickReturn(bytes)
end
--金猴活动获取进度
local function percentReturn(data)
data = tolua.cast(data, "MessageIn")
local percent = data:readInt()
globalData.openInfo:updatePercent(percent)
end
--新年愿望信息
local function wishInfoReturn(data)
data = tolua.cast(data, "MessageIn")
local len = data:readByte()
local awardList = {}
if len ~= 0 then
for i=1,len do
awardList[data:readByte()] = {data:readInt(),data:readInt()}
end
else
print("服务端返回许愿物品列表长度为0")
end
local len2 = data:readByte()
local hasWishList = {}
if len2 ~= 0 then
for i=1,len2 do
hasWishList[data:readByte()] = {data:readInt(),data:readInt(),i}
end
else
print("服务端返回已许愿物品列表长度为0")
end
globalData.openInfo:updateAwardList(awardList,hasWishList)
end
--打折通知
local function offSaleReturn(data)
data = tolua.cast(data, "MessageIn")
local offSale = data:readByte()
globalManager.tipsManager.quickTip:show(string.format(globalManager.yuyanbaoManager:getYuyanbao("NewSpringTwo.text13"),offSale / 10))
end
--红包信息更新
local function redPacketInfoReturn(data)
data = tolua.cast(data, "MessageIn")
globalData.openInfo:redPakectUpdateInfo(data)
end
local function redPacketScoreReturn(data)
data = tolua.cast(data, "MessageIn")
globalData.openInfo:redPakectUpdateScore(data)
end
local function jiFuInfoReturn(data)
data = tolua.cast(data, "MessageIn")
globalData.openInfo:jiFuAwardListUpdate(data)
end
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.JIFU_INFO,jiFuInfoReturn)
--答题信息更新
local function yuanXiaoDiTiInfoReturn(data)
data = tolua.cast(data, "MessageIn")
globalData.openInfo:yuanXiaoDiTiInfo(data)
end
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.ZHUANPAN_XUNBAO_INFO,pickReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.ACTIVE_OS_INFO,messageInfoReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.ACTIVE_OS_RANK,messageRankReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.ACTIVE_OS_STAGE,messageStageReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.ACTIVE_OS_TOTAL_PAY,messagePeopleReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.GROWUPPROJECT_GET,growUpdateMessageReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.ACTIVE_OS_STAGENUM,stageNumMessageReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.NEW_YEAR_GET_PERCENT,percentReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.NEW_YEAR_WISH_INFO,wishInfoReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.OFF_SALE,offSaleReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.RED_PACKET_INFO,redPacketInfoReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.RED_PACKET_SCORE,redPacketScoreReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.YUANXIAO_DATI_INFO,yuanXiaoDiTiInfoReturn)
end
PeiShiUpdateMessageHandler = class("PeiShiUpdateMessageHandler",function()
local temp = {}
return temp
end)
function PeiShiUpdateMessageHandler:ctor()
local messageReturn = function(data)
local bytes = tolua.cast(data,"MessageIn")
globalData.peiShiInfo:initData(bytes)
end
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.PEISHI_UPDATE,messageReturn)
end
PetUpdateMessageHandler = class("PetUpdateMessageHandler",function()
local temp = {}
return temp
end)
function PetUpdateMessageHandler:ctor()
local xiaofeiShowMessageReturn = function(data)
local bytes = tolua.cast(data,"MessageIn")
local type = bytes:readByte()
if type == globalData.allStaticTypes.petXiaofeiType.LONGHUN then
globalData.longhunItemInfo:setShow(bytes:readBoolean())
elseif type == globalData.allStaticTypes.petXiaofeiType.FAZHEN then
globalData.fazhenItemInfo:setShow(bytes:readBoolean())
end
end
local petMessageReturn = function(data)
local bytes = tolua.cast(data,"MessageIn")
globalData.petItemInfo:updateInfo(bytes)
globalData.petItemInfo:initAFKSkills()
end
local xiaofeiMessageReturn = function(data)
local bytes = tolua.cast(data,"MessageIn")
local len = bytes:readByte()
for i = 1, len do
local type = bytes:readByte()
if type == globalData.allStaticTypes.petXiaofeiType.CHONGWU then
--妖精1
-- globalData.petItemInfo:updateInfo(bytes)
-- globalData.petItemInfo:initAFKSkills()
elseif type == globalData.allStaticTypes.petXiaofeiType.ZUOQI then
--坐骑2
globalData.riderItemInfo:updateInfo(bytes)
bytes:readBoolean()
elseif type == globalData.allStaticTypes.petXiaofeiType.CHIBANG then
--翅膀3
globalData.wingItemInfo:updateInfo(bytes)
bytes:readBoolean()
elseif type == globalData.allStaticTypes.petXiaofeiType.SHENBING then
--足迹4
globalData.godItemInfo:updateInfo(bytes)
bytes:readBoolean()
elseif type == globalData.allStaticTypes.petXiaofeiType.JINGLING then
--仙灵5
globalData.spriteItemInfo:updateInfo(bytes)
bytes:readBoolean()
elseif type == globalData.allStaticTypes.petXiaofeiType.FAZHEN then
--法阵6
globalData.fazhenItemInfo:updateInfo(bytes)
globalData.fazhenItemInfo:setShow(bytes:readBoolean())
elseif type == globalData.allStaticTypes.petXiaofeiType.LONGHUN then
--龙魂7
globalData.longhunItemInfo:updateInfo(bytes)
globalData.longhunItemInfo:setShow(bytes:readBoolean())
end
end
end
local riderTalentInfoMessageReturn = function(data)
local bytes = tolua.cast(data,"MessageIn")
local len   = bytes:readByte()
for i = 1,len,1 do
local type = bytes:readByte()
if(type == globalData.allStaticTypes.petXiaofeiType.CHONGWU)then
globalData.petItemInfo:updateTalentInfo(bytes)
elseif(type == globalData.allStaticTypes.petXiaofeiType.ZUOQI)then
globalData.riderItemInfo:updateTalentInfo(bytes)
elseif(type == globalData.allStaticTypes.petXiaofeiType.CHIBANG)then
elseif(type == globalData.allStaticTypes.petXiaofeiType.SHENBING)then
elseif(type == globalData.allStaticTypes.petXiaofeiType.JINGLING)then
elseif(type == globalData.allStaticTypes.petXiaofeiType.FAZHEN)then
elseif(type == globalData.allStaticTypes.petXiaofeiType.LONGHUN)then
end
end
end
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.PET_UPDATE,petMessageReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.XIAOFEI_JINJIE,xiaofeiMessageReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.XIAOFEI_SHOW,xiaofeiShowMessageReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.RIDER_TALENTUPDATE,riderTalentInfoMessageReturn)
end
UpdateSelfMessageHandler = class("UpdateSelfMessageHandler",function()
local us = {}
return us
end)
function UpdateSelfMessageHandler:ctor()
local messageExpReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
globalData.selfPlayerInfo:updateExp(bytes:readNumber())
end
local messageHonourReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
local honour = bytes:readInt()
globalData.selfPlayerInfo:updateHonour(honour)
end
local messageInfoReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
local selfPlayer = globalData.selfPlayerInfo
selfPlayer.maxHP = bytes:readInt()
selfPlayer.currentHP = bytes:readInt()
selfPlayer.attack = bytes:readInt()
selfPlayer.defense = bytes:readInt()
selfPlayer.proAttack = bytes:readInt()
selfPlayer.proDefense = bytes:readInt()
selfPlayer:setAbilitys(bytes:readInt(),bytes:readInt(),bytes:readInt(),bytes:readInt())
selfPlayer.hurt = bytes:readInt()
selfPlayer.inhurt = bytes:readInt()
selfPlayer.sunder = bytes:readInt()
selfPlayer.criHurt = bytes:readInt()
selfPlayer.killValue = bytes:readInt()
--		selfPlayer:setResistances(bytes:readInt(),bytes:readInt(),bytes:readInt(),bytes:readInt(),bytes:readInt(),bytes:readInt())
local fight = bytes:readInt()
selfPlayer:updateCombat(fight)
selfPlayer:sendPropertyHp()
end
local messageQinmiduReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
globalData.selfPlayerInfo:updateQinmidu(bytes:readInt())
end
local messageCharmReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
globalData.selfPlayerInfo:updateCharm(bytes:readInt())
end
local messageCareerReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
globalData.selfPlayerInfo:setCareer(bytes:readByte())
end
local messageWakeUpInfoReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
local isWakeUp = bytes:readByte()
local state = bytes:readByte()
if(isWakeUp == 1)then
globalData.uiPanelContainer:close()
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.isWakeUp,globalManager.gameDispatcher,nil))
end
globalData.selfPlayerInfo:updateWakeUpState(state)
end
local messageWakeUpUpdateReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
end
--人气值
local messageRenqiReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
globalData.selfPlayerInfo:updateRenqi(bytes:readInt());
end
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.WAKEUP_INFO,messageWakeUpInfoReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.WAKEUP_UPDATE,messageWakeUpUpdateReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.CAREER_UPDATE,messageCareerReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.UPDATE_SELF_EXP,messageExpReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.UPDATE_PLAYER_HONOUR,messageHonourReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.UPDATE_USER_INFO,messageInfoReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.QINMIDU_CHANGE,messageQinmiduReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.CHARM_CHANGE,messageCharmReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.RENQI_CHANGE,messageRenqiReturn)
end
RongLuInfoUpdateMessageHandler = class("RongLuInfoUpdateMessageHandler", function(self)
local temp = {}
return temp
end)
function RongLuInfoUpdateMessageHandler:ctor()
local rongluInfoReturn = function(mess)
local bytes = tolua.cast(mess, "MessageIn")
globalData.rongluInfo:updateInfo(bytes)
end
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.RONGLU_INFO, rongluInfoReturn)
end
ShopDiscountMessageHandler = class("ShopDiscountMessageHandler", function(self)
local  temp = {}
return temp
end)
function ShopDiscountMessageHandler:ctor()
local messageReturn = function(data)
local bytes = tolua.cast(data,"MessageIn")
local types = bytes:readByte()
local len = bytes:readInt()
globalData.discountGoodsList:clearInfoByType(types)
for i=1,len do
local shopId = bytes:readInt()
local info = DiscountGoodsInfo:new()
info.id = shopId
info:parseData(bytes)
globalData.discountGoodsList:addInfo(info)
end
globalData.discountGoodsList:update()
end
local messageBuyReturn = function(data)
local bytes = tolua.cast(data,"MessageIn")
local value = bytes:readBoolean()
if(value)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel34"))
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel35"))
end
local id = bytes:readInt()
local item = globalData.discountGoodsList:getInfo(id)
local hasBuy = bytes:readInt()
if(value and item ~= nil)then
item:updateCount(hasBuy)
end
end
local messageShenmiUpdateReturn = function(data)
local bytes = tolua.cast(data,"MessageIn")
globalData.shenmiShopInfo:updateItemList(bytes)
end
local messageShenmiBuyReturn = function(data)
local bytes = tolua.cast(data,"MessageIn")
local index = bytes:readInt()
globalData.shenmiShopInfo:setItemBuy(index)
end
local messageVipMallUpdateReturn = function(data)
local bytes = tolua.cast(data,"MessageIn")
globalData.vipMallInfo:updateItemList(bytes)
end
local messageVipMallBuyReturn = function(data)
local bytes = tolua.cast(data,"MessageIn")
local index = bytes:readInt()
globalData.vipMallInfo:setItemBuy(index)
end
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.SHOP_DISCOUNT,messageReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.SHOP_DISCOUNT_BUY,messageBuyReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.SHENMI_SHOP_UPDATE,messageShenmiUpdateReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.SHENMI_SHOP_BUY,messageShenmiBuyReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.VIP_MALL_UPDATE,messageVipMallUpdateReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.VIP_MALL_BUY,messageVipMallBuyReturn)
end
SkyDreamLandInfoMessageHandler = class("SkyDreamLandInfoMessageHandler", function()
local self = {}
return self
end)
function SkyDreamLandInfoMessageHandler:ctor()
local function infoReturn(data)
local bytes = tolua.cast(data,"MessageIn")
globalData.skyDreamLandInfo:skyDreamInfo(bytes)
end
local function infoBuyReturn(data)
local bytes = tolua.cast(data,"MessageIn")
local value = bytes:readByte()
if(value == 1)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel34"))
end
end
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.SKYDREAMLAND_INFO, infoReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.SKYDREAMLAND_BUY, infoBuyReturn)
end
StarcraftMessageHandler = class("StarcraftMessageHandler",function()
local self = {}
local rankInfoReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
globalData.starcraftInfo.progress    = bytes:readByte()
globalData.starcraftInfo.rank        = bytes:readByte()
globalData.starcraftInfo.score       = bytes:readInt()
globalData.starcraftInfo.totalPage   = bytes:readByte()
globalData.starcraftInfo:updateInfo(bytes)
end
local followInfoReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
globalData.copyInfo.starcraftCopyInfo:setInfo(bytes)
end
local matchInfoReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
globalData.starcraftInfo.state       = bytes:readByte()
globalData.starcraftInfo.stateTime   = bytes:readShort()
globalData.starcraftInfo:sendStateEvent()
end
local readyTimeReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
globalData.copyInfo.starcraftCopyInfo.timeDown = bytes:readShort()
globalData.copyInfo.starcraftCopyInfo:sendReadZoneTimeEvent()
end
-- local restEnterReturn = function(mess)
-- 	local bytes = tolua.cast(mess,"MessageIn")
-- 	globalData.starcraftInfo.flag        = bytes:readByte()
-- 	globalData.starcraftInfo.cdTime      = bytes:readShort()
-- 	globalData.starcraftInfo:sendRestStateEvent()
-- end
-- local selfInfoReturn = function(mess)
-- 	local bytes = tolua.cast(mess,"MessageIn")
-- 	globalData.starcraftInfo.btnState    = bytes:readByte()
-- 	globalData.starcraftInfo:sendSelfInfoEvent()
-- end
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.STARCRAFT_RANK_INFO,rankInfoReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.STARCRAFT_INFO,followInfoReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.STARCRAFT_MATCHING,matchInfoReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.STARCRAFT_READYZONE_TIME,readyTimeReturn)
--globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.STARCRAFT_REST_ENTER,restEnterReturn)
--globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.STARCRAFT_SELFINFO,selfInfoReturn)
return self
end)
TanBaoInfoMessageHandler = class("TanBaoInfoMessageHandler", function()
local self = {}
self.copyInfo = nil
return self
end)
function TanBaoInfoMessageHandler:ctor()
local function getInfo()
if self.copyInfo == nil then
local copyid = globalData.allTemplates.copyTemplateList.TANBAO
self.copyInfo = globalData.copyInfo:getCopyInfo(copyid)
end
return self.copyInfo
end
local function infoReturn(data)
local bytes = tolua.cast(data,"MessageIn")
getInfo():initInfo(bytes)
end
local function rankReturn(data)
local bytes = tolua.cast(data,"MessageIn")
getInfo():initRank(bytes)
end
local function overReturn(data)
local bytes = tolua.cast(data,"MessageIn")
getInfo():initOver(bytes)
end
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.TB_INFO, infoReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.TB_RANK, rankReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.TB_AWARD,overReturn)
end
TaskUpdateMessageHandler = class("TaskUpdateMessageHandler",function()
local tu = {}
return tu
end)
function TaskUpdateMessageHandler:ctor()
local messageReturn = function(data)
local bytes = tolua.cast(data,"MessageIn")
local len = bytes:readInt()
local hasComplete = false
for i = 1,len,1 do
local id = bytes:readInt()
local isSubmit = bytes:readBoolean()
if(isSubmit)then
local completeInfo = TaskCompleteInfo:new()
completeInfo.taskId = id
local isNewFinish = bytes:readByte() == 2
completeInfo.dayLeftCount = bytes:readByte()
completeInfo.finishDate = bytes:readInt()
local taskT = globalData.taskItemList:getTask(id)
if(taskT ~= nil)then
taskT.state = globalData.allStaticTypes.taskStaticInfo.submit
end
globalData.taskItemList:addCompleteTask(completeInfo)
if(isNewFinish)then
globalData.allTemplates.taskTemplateList:handleSubmitTrigger(id)
end
globalData.taskItemList:removeTask(id)
hasComplete = true
else
local task = globalData.taskItemList:getTask(id)
local isAdd = false
if(task == nil)then
task = TaskItemInfo:new()
task.taskId = id
isAdd = true
task:setTemplate(id)
end
if(isAdd)then
globalData.taskItemList:addTask(task)
end
local tmpIsNew = bytes:readByte() == 1
task.isNewAccept = tmpIsNew
task:handleAcceptTrigger()
local lastMissionIndex = task:getMissionIndex()
local missionIndex = bytes:readInt()
task:setMissionIndex(missionIndex)
local updateMission = false
if(lastMissionIndex ~= -1 and lastMissionIndex ~= missionIndex)then
updateMission = true
end
local tmp = bytes:readString()
if(tmp ~= "")then
task:setNeedCounts(globalManager.messageUtils:splitStringToInt(tmp,","),not globalData.firstUpdateTask)
else
task:setNeedCounts({})
end
task:updateState()
--执行配置事件
task:handlerTriggers()
--刷新对应NPC状态
if(tmpIsNew)then
--新接任务，接受npc刷新,去掉接受状态
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_taskAccept,globalManager.gameDispatcher,task:getTemplate().acceptNpc))
end
--切换关卡，更新上一个关卡的NPC状态
if(updateMission)then
local missionTemplate = task:getPreMission()
if(missionTemplate ~= nil)then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_taskAccept,globalManager.gameDispatcher,missionTemplate.finishNpc))
end
end
--状态更新完再发事件
if(task.state == globalData.allStaticTypes.taskStaticInfo.finishNotSubmit)then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_canSubmit,globalManager.gameDispatcher,task:getCurrentMission().finishNpc))
elseif(tmpIsNew)then
--新接任务，完成NPC都刷新
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_taskAccept,globalManager.gameDispatcher,task:getCurrentMission().finishNpc))
end
end
end
if(hasComplete)then
--有提交任务，更新全部NPC状态
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_taskSubmit,globalManager.gameDispatcher,nil))
end
globalData.taskItemList:taskListUpdate()
globalData.firstUpdateTask = false
end
local messageClubReturn = function(data)
local function continueTask()
local taskTemp = globalData.allTemplates.taskTemplateList:getTask(globalData.taskItemList.club.taskId)
if taskTemp ~= nil then
local list = taskTemp.acceptTriggers
if list ~= nil and #list > 0 then
globalManager.triggerManager:handlerList(list)
end
end
end
local bytes = tolua.cast(data,"MessageIn")
local item = globalData.taskItemList.club
item.taskId = bytes:readInt()
item.amount = bytes:readByte()
item.awardTimes = bytes:readByte()
local isFinished = bytes:readByte()
if(isFinished == 1)then
local lev = math.floor(globalData.selfPlayerInfo.level * 0.1) * 10
local copper = 0
local exp    = 0
local leagueDevote = 0
local leagueMoney  = 0
for i,info in pairs(globalData.allTemplates.taskClubTemplateList:getTemplate(lev).startRewardList) do
if(info[1] == globalData.allStaticTypes.categoryType.expItem)then
exp = info[2]
elseif(info[1] == globalData.allStaticTypes.categoryType.copperItem)then
copper = info[2]
elseif(info[1] == globalData.allStaticTypes.categoryType.leagueDevote)then
leagueDevote = info[2]
elseif(info[1] == globalData.allStaticTypes.categoryType.leagueMoney)then
leagueMoney = info[2]
end
end
if(globalData.isShowQuickTip) then
Alert:new():show(2,string.format(globalManager.yuyanbaoManager:getYuyanbao("TaskUpdateMessageHandler.text1"),globalData.allStaticTypes.colorType.TIPTITLE_COLOR_STR,exp,copper,leagueDevote,globalData.allStaticTypes.colorType.TIPTITLE_COLOR_STR,leagueMoney,globalData.allStaticTypes.colorType.TIPTITLE_COLOR_STR,(21 - item.amount)),nil,5,self,continueTask)
end
else
if(globalData.taskItemList.finish2 ~= -1 and item.amount >= 20) then
local view = GetTaskAwardView:new(2)
end
end
globalData.taskItemList.finish2 = isFinished
item:updateInfo()
if(item.taskId == 0)then
globalData.taskItemList:taskDailyListUpdate()
end
end
local messageZhenYaoReturn = function(data)
local function continueTask()
local taskTemp = globalData.allTemplates.taskTemplateList:getTask(globalData.taskItemList.zhenyao.taskId)
if taskTemp ~= nil then
local list = taskTemp.acceptTriggers
if list ~= nil and #list > 0 then
globalManager.triggerManager:handlerList(list)
end
end
end
local bytes = tolua.cast(data,"MessageIn")
local item = globalData.taskItemList.zhenyao
item.taskId = bytes:readInt()
if globalData.selfPlayerInfo ~= nil then
item.level = math.floor(globalData.selfPlayerInfo.level / 50) * 50
else
item.level = 1
end
if item.level > 200 then item.level = 200 end
item.amount = bytes:readByte()
print("循环任务数量",item.amount)
item.star = bytes:readByte()
item.hadRefleshTimes = bytes:readByte()
item.awardTimes = bytes:readByte()
local isFinished = bytes:readByte()
if(isFinished == 1) then
local lev = math.floor(globalData.selfPlayerInfo.level * 0.1) * 10
local copper = 0
local exp    = 0
for i,info in pairs(globalData.allTemplates.taskZhenyaoTemplateList:getTemplate(lev).startRewardList) do
if(info[1] == globalData.allStaticTypes.categoryType.expItem)then
exp = info[2]
elseif(info[1] == globalData.allStaticTypes.categoryType.copperItem)then
copper = info[2]
end
end
if(globalData.isShowQuickTip) then
Alert:new():show(2,string.format(globalManager.yuyanbaoManager:getYuyanbao("TaskUpdateMessageHandler.text2"),globalData.allStaticTypes.colorType.TIPTITLE_COLOR_STR,exp,copper,globalData.allStaticTypes.colorType.TIPTITLE_COLOR_STR,(21 - item.amount)),nil,5,self,continueTask)
end
else
if(globalData.taskItemList.finish1 ~= -1 and item.amount >= 20) then
local view = GetTaskAwardView:new(1)
end
end
globalData.taskItemList.finish1 = isFinished
if(item.taskId == 0)then
globalData.taskItemList:taskDailyListUpdate()
end
end
local messageWakeUpReturn = function(data)
local function continueTask()
local taskTemp = globalData.allTemplates.taskTemplateList:getTask(globalData.taskItemList.wakeUp.taskId)
if taskTemp ~= nil then
local list = taskTemp.acceptTriggers
if list ~= nil and #list > 0 then
globalManager.triggerManager:handlerList(list)
end
end
end
local bytes = tolua.cast(data,"MessageIn")
local item = globalData.taskItemList.wakeUp
item.taskId = bytes:readInt()
item.level = 1
item.amount = bytes:readByte()
item.awardTimes = bytes:readByte()
local isFinished = bytes:readByte()
if(isFinished == 1) then
local copper = 0
local exp    = 0
for i,info in pairs(globalData.allTemplates.taskWakeUpTemplateList.list[1].startRewardList) do
if(info[1] == globalData.allStaticTypes.categoryType.expItem)then
exp = info[2]
elseif(info[1] == globalData.allStaticTypes.categoryType.copperItem)then
copper = info[2]
end
end
if(globalData.isShowQuickTip) then
Alert:new():show(2,string.format(globalManager.yuyanbaoManager:getYuyanbao("TaskUpdateMessageHandler.text3"),globalData.allStaticTypes.colorType.TIPTITLE_COLOR_STR,exp,copper,globalData.allStaticTypes.colorType.TIPTITLE_COLOR_STR,(11 - item.amount)),nil,5,self,continueTask)
end
end
globalData.taskItemList.finish3 = isFinished
if(item.taskId == 0)then
globalData.taskItemList:taskDailyListUpdate()
end
end
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.TASK_WAKE_UP_UPDATE,messageWakeUpReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.TASK_UPDATE,messageReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.TASK_CLUB_UPDATE,messageClubReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.TASK_ZHENYAO_UPDATE,messageZhenYaoReturn)
end
PlayerTitleMessageHandler = class("PlayerTitleMessageHandler",function()
local pt = {}
return pt
end)
function PlayerTitleMessageHandler:ctor()
local messageInfoReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
local len = bytes:readInt()
if(len > 0)then
for i=1,len do
local titleId = bytes:readInt()
local isCurrent = bytes:readBoolean()
local endTime = bytes:readInt()
local title = globalData.selfPlayerInfo.titleInfo:getTitle(titleId)
if(title == nil)then
title = TitleInfo:new()
title.templateId = titleId
globalData.selfPlayerInfo.titleInfo:addTitle(title)
if(not globalData.firstUpdateTitle and title:getTemplate().resouceType ~= 0)then
globalManager.containerManager:showTitleItemPanel(titleId)
end
end
title.time = endTime
if(isCurrent)then
globalData.selfPlayerInfo.titleInfo:setCurrentTitleId(titleId)
if(titleId == 400) then
globalData.selfPlayerInfo.gm = 1
else
globalData.selfPlayerInfo.gm = 0
end
end
end
end
globalData.firstUpdateTitle = false
end
local messageChooseReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
local titleTemplateId = bytes:readInt()
globalData.selfPlayerInfo.titleInfo:setCurrentTitleId(titleTemplateId)
end
local messageDeleteReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
local len = bytes:readByte()
for i=1,len do
local titleId = bytes:readInt()
globalData.selfPlayerInfo.titleInfo:removeTitle(titleId)
end
end
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.PLAYER_TITLE_INFO,messageInfoReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.PLAYER_CHOOSE_TITLE,messageChooseReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.PLAYER_TITLE_DELETE,messageDeleteReturn)
end
VipInfoMessageHandler = class("VipInfoMessageHandler", function(self)
local temp = {}
local messageReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
local exp = bytes:readNumber()
local time = bytes:readNumber()
local vipLevel = globalData.allTemplates.vipTemplateList:getLevelByExp(exp)
globalData.selfPlayerInfo:setVipLevel(vipLevel)
globalData.selfPlayerInfo.vipInfo:update(exp,time)
end
local loseVipReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
local isShow = bytes:readByte()
if(isShow == 1)then
globalData.isShowVipAlert = true
end
end
local privilegeReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
globalData.selfPlayerInfo.vipInfo:setPrivilegeInfo(bytes)
end
local privilegeAwardReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
local type = bytes:readShort()
if(type == 0)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("ActiveCodeMessageHandler.text1"))
elseif(type == 1 or type == 3)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("ActiveCodeMessageHandler.text2"))
elseif(type == 2)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("ActiveCodeMessageHandler.text3"))
elseif(type == 4)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("ActiveCodeMessageHandler.text5"))
end
end
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.VIP_LOSE,loseVipReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.VIP_INFO,messageReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.PRIVILEGE_INFO,privilegeReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.PRIVILEGE_AWARD,privilegeAwardReturn)
return temp
end)
AccountLostConnectMessageHandler = class("AccountLostConnectMessageHandler",function(self)
local al = {}
local messageReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
local result = bytes:readByte()
local tipStr = ""
if(result == 1)then
tipStr = globalManager.yuyanbaoManager:getYuyanbao("AccountLostConnectMessageHandler.text1")
elseif(result == 2)then
tipStr = globalManager.yuyanbaoManager:getYuyanbao("AccountLostConnectMessageHandler.text2")
elseif(result == 3)then
tipStr = globalManager.yuyanbaoManager:getYuyanbao("AccountLostConnectMessageHandler.text3")
elseif(result == 5)then
tipStr = globalManager.yuyanbaoManager:getYuyanbao("AccountLostConnectMessageHandler.text4")
elseif(result == 6)then
tipStr = globalManager.yuyanbaoManager:getYuyanbao("AccountLostConnectMessageHandler.text5")
elseif(result == 21) then
tipStr = globalManager.yuyanbaoManager:getYuyanbao("AccountLostConnectMessageHandler.text6")
elseif(result == 25)then
tipStr = globalManager.yuyanbaoManager:getYuyanbao("AccountLostConnectMessageHandler.text7")
elseif(result == 30)then
tipStr = globalManager.yuyanbaoManager:getYuyanbao("AccountLostConnectMessageHandler.text9")
else
tipStr = globalManager.yuyanbaoManager:getYuyanbao("AccountLostConnectMessageHandler.text8").."("..result..")"
end
globalManager.containerManager:showDisconnectPanel(tipStr)
end
local gmTickReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
local endHandler = function()
globalManager.messageManager:gameExit(0)
end
Alert:new():show(1,bytes:readString(),nil,0,self,endHandler)
end
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.ACCOUNT_LOST_CONNECT,messageReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.GM_TICK_INFO,gmTickReturn)
return al
end)
ActiveCodeMessageHandler = class("ActiveCodeMessageHandler",function()
local ac = {}
local messageReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
--0成功，1激活码不存在，2码用过，3码不存在，4玩家已经领取过活动
local code = bytes:readUByte()
if(code == 0)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("ActiveCodeMessageHandler.text1"))
elseif(code == 1)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("ActiveCodeMessageHandler.text2"))
elseif(code == 2)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("ActiveCodeMessageHandler.text3"))
elseif(code == 3)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("ActiveCodeMessageHandler.text2"))
elseif(code == 4)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("ActiveCodeMessageHandler.text5"))
else
print("#ActiveCodeMessageHandler", code)
end
end
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.ACTIVE_CODE,messageReturn)
return ac
end)
GoodsUpdateMessageHandler = class("GoodsUpdateMessageHandler",function()
local temp = {}
return temp
end)
function GoodsUpdateMessageHandler:ctor()
local messageReturn = function(data)
local bytes = tolua.cast(data,"MessageIn")
local len = bytes:readInt()
local goods = nil
local list = {}
for i = 1,len,1 do
goods = GoodsInfo:new()
goods.position = bytes:readInt()
goods.exist = bytes:readBoolean()
if(goods.exist) then
local getType = bytes:readByte()
--获取类型 0:普通 1：掉落 2:任务 3:邮件 4:通用奖历
globalManager.messageUtils:setGoods(goods,bytes)
if(getType > 0) then
globalManager.effectCreator:showGetItemEffect(goods:getTemplateId(),getType)
globalManager.goodsInfoTester:checkAItemIsCanUse(goods)
end
if(goods.position >= 0 and goods.position < 30) then
goods:resetScore()
end
end
table.insert(list,goods)
end
globalData.goodsInfoList:updateItems(list)
end
local fiveEquipUpdateReturn = function(data)
local bytes = tolua.cast(data,"MessageIn")
local len = bytes:readInt()
local goods = nil
local list = {}
for i = 1,len,1 do
goods = GoodsInfo:new()
goods.position = bytes:readInt()
goods.exist = bytes:readBoolean()
if(goods.exist) then
local getType = bytes:readByte()
--获取类型 0:普通 1：掉落 2:任务 3:邮件 4:通用奖历
globalManager.messageUtils:setGoods(goods,bytes)
if(getType > 0) then
globalManager.effectCreator:showGetItemEffect(goods:getTemplateId(),getType)
globalManager.goodsInfoTester:checkAItemIsCanUse(goods)
end
end
table.insert(list,goods)
end
globalData.goodsInfoList:updateEquips(list)
end
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.ITEM_PLACE_UPDATE,messageReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.GOODS_FIVEEQUIP_UPDATE,fiveEquipUpdateReturn)
end
LetterUpdateMessageHandler = class("LetterUpdateMessageHandler",function()
local temp = {}
return temp
end)
function LetterUpdateMessageHandler:ctor()
local messageReturn = function(data)
local bytes = tolua.cast(data,"MessageIn")
local hasUnRead = false
local len = bytes:readShort()
print("收到信件",len)
local letter = nil
local list = {}
for i = 1,len,1 do
letter = LetterItemInfo:new()
letter:init(bytes)
if(not hasUnRead and not letter.read) then
hasUnRead = true
end
table.insert(list,letter)
end
globalData.letterInfoList:updates(list)
end
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.LETTER_UPDATE,messageReturn)
end
MoneyInfoUpdateMessageHandler = class("MoneyInfoUpdateMessageHandler",function()
local temp = {}
return temp
end)
function MoneyInfoUpdateMessageHandler:ctor()
local messageReturn = function(data)
local bytes = tolua.cast(data,"MessageIn")
globalData.selfPlayerInfo.moneyInfo:updateMoney(bytes)
end
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.UPDATE_SELF_MONEY,messageReturn)
end
PayInfoMessageHandler = class("PayInfoMessageHandler",function()
local pi = {}
local payInfoReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
local len = bytes:readUByte()
for i = 1,len,1 do
globalData.payItemList:addItem(bytes:readInt())
end
end
local payCountGiftInfo = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
globalData.payItemList:setPayCountGiftInfo(bytes)
end
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.PAY_INFO,payInfoReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.PAY_COUNT_AWARD_INFO,payCountGiftInfo)
return pi
end)
SkillInitMessageHandler = class("SkillInitMessageHandler",function()
local si = {}
si.isShowTip = false
return si
end)
function SkillInitMessageHandler:ctor()
local messageReturn = function(data)
local bytes = tolua.cast(data,"MessageIn")
local len = bytes:readInt()
for i = 1,len,1 do
local skillId = bytes:readInt()
if(bytes:readBoolean() == true)then
local item = globalData.skillList:getSkillByGroupId(skillId)
local add = false
if(item == nil)then
item = SkillItemInfo:new()
add = true
item.templateId = skillId
end
local tmp = bytes:readNumber()
item:setLevel(bytes:readShort())
item:setLastUseTime(tmp)
if(add == true)then
globalData.skillList:addSkill(item)
else
globalData.skillList:updateSkillItem(item)
end
if(self.isShowTip and (item.templateId ~= 3101 and item.templateId ~= 3103) and item.levelUpMark) then
item.levelUpMark = false
local skilltemplateInfo = globalData.allTemplates.skillTemplateList:getSkillTemplate(item.templateId)
globalManager.tipsManager.quickTip:show(string.format(globalManager.yuyanbaoManager:getYuyanbao("SkillInitMessageHandler.text1"),skilltemplateInfo.name,item.level))
self.isShowTip = false
end
else
globalData.skillList:removeSkill(skillId)
end
end
globalData.skillList:initAFKSkills()
globalData.skillList:skillListUpdate()
end
local skillPlanReturn = function(data)
local bytes = tolua.cast(data,"MessageIn")
local len = bytes:readByte()
for i = 1,len,1 do
local planIndex = bytes:readByte()
local isUse = bytes:readByte()
local len2 = bytes:readByte()
for i = 1,len2,1 do
local barIndex = bytes:readShort()
local type = bytes:readByte()
local groupId = bytes:readInt()
--print("方案，位置，模板表id",planIndex,barIndex,groupId)
globalData.skillList:setSkillPlan(planIndex,barIndex,groupId)
end
if(isUse == 1 and globalData.selfPlayerInfo.career > 10)then
globalData.skillList:setSkillPlanChoice(planIndex)
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.changeSkill,globalManager.gameDispatcher,planIndex))
end
end
globalData.skillList:initAFKSkills()
end
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.SKILL_INIT,messageReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.SKILL_PLAN_INIT,skillPlanReturn)
end
SystemMessMessageHandler = class("SystemMessMessageHandler",function()
local sm = {}
local messageReturn = function(mess)
--[[
-define(EVENT,1).					%% 事件栏
-define(CHAT,2).					%% 聊天栏
-define(FLOAT,3).					%% 浮动栏
-define(ALTER,4).					%% 警告框
-define(NOTIC,5).					%% 系统公告
-define(ROLL,6)	.					%% 滚动栏
-define(CHAT_OVER_WORLD,7). 		%% 聊天栏(世界频道)
-define(CHAT_INFO,8). 				%% 聊天框信息
-define(WORLD_ROLL, 9).				%% 屏幕中间消息，聊天栏不显示
-define(CHAT_WORLD_AND_TEAM, 10).		%% 世界和队伍
-define(CHAT_WORLD_AND_GUILD, 11).		%% 世界和公会
]]
local bytes = tolua.cast(mess,"MessageIn")
local mType = bytes:readShort()
local code = bytes:readInt()
local color = bytes:readByte()
local message = bytes:readString()
local chatItemInfo = nil
--事件
if(mType == 1)then
chatItemInfo = ChatItemInfo:new()
chatItemInfo.channel = globalData.allStaticTypes.channelType.EVENT
chatItemInfo.message = message
globalData.chatItemList:appendChatItem(chatItemInfo)
elseif(mType == 3
or mType == 10
or mType == 11
)then
globalManager.tipsManager.quickTip:show(message)
elseif(mType == 5)then
chatItemInfo = ChatItemInfo:new()
chatItemInfo.channel = globalData.allStaticTypes.channelType.SYSTEM_NOTICE
chatItemInfo.message = message
globalData.chatItemList:appendChatItem(chatItemInfo)
elseif(mType == 6)then
--			globalManager.tipsManager.scrollTip:show(message)
elseif(mType == 10)then
chatItemInfo = ChatItemInfo:new()
chatItemInfo.channel = globalData.allStaticTypes.channelType.TEAM
chatItemInfo.message = message
globalData.chatItemList:appendChatItem(chatItemInfo)
else
print("-----------------------------------")
print("还未处理的系统消息:" .. message)
print("mType:" .. mType .. ",code:" .. code)
print("-----------------------------------")
end
end
local speedReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
globalData:setSpeedCheck(bytes:readString())
end
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.SYS_MESS,messageReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.SYS_SPEEDCHECK,speedReturn)
return sm
end)
WelfareMessageReceiver = class("WelfareMessageReceiver", function(self)
local temp = {}
--七天登陆信息
local dayAwardInfoReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
globalData.welfareInfo.loginDays = bytes:readByte() --总登陆天数
globalData.welfareInfo.loginAwardDays = {}
local len = bytes:readByte()
for i=1,len do
local awardDay = bytes:readByte() --领取过的天数
table.insert(globalData.welfareInfo.loginAwardDays,awardDay)
end
globalData.welfareInfo:loginUpdate()
print("7天登陆信息更新----",globalData.welfareInfo.loginDays)
end
--每日签到信息
local monthAwardInfoReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
globalData.welfareInfo.signDays = {}
globalData.welfareInfo.signAwardDays = {}
local len1 = bytes:readByte()
for i=1,len1 do
local day = bytes:readByte() --已签到天
table.insert(globalData.welfareInfo.signDays,day)
end
local len2 = bytes:readByte()
for i=1,len2 do
local day = bytes:readByte() --已领奖天
table.insert(globalData.welfareInfo.signAwardDays,day)
end
globalData.welfareInfo:signUpdate()
print("每日签到信息更新----")
end
--经验补偿信息
local lossInfoReturn = function(mess)
print("经验补偿信息更新----")
local bytes = tolua.cast(mess,"MessageIn")
globalData.welfareInfo:updateLossExp(bytes:readInt())
end
local lossFetchReturn = function(mess)
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel76"))
globalData.welfareInfo:updateLossExp(0)
end
--等级礼包信息
local updateMessageReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
globalData.welfareInfo.hasGetLevel = {}
local len = bytes:readByte()
for i = 1,len, 1 do
local level = bytes:readShort()
table.insert(globalData.welfareInfo.hasGetLevel,level)
end
globalData.welfareInfo:levelAwarderUpdate()
end
--月卡信息
local monthCardMessageReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
globalData.welfareInfo.monthCardInfo = {}
local len = bytes:readByte()
for i = 1,len,1 do
local cardTtype = bytes:readByte()
local restDay   = bytes:readShort()
local fetch     = bytes:readByte()
table.insert(globalData.welfareInfo.monthCardInfo,{cardTtype,restDay,fetch})
end
globalData.welfareInfo:monthCardInfoUpdate()
end
--经验回购
local welfareExpInfoMessageReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
local isCan = bytes:readByte()
local worldLevel = bytes:readShort()
local addExp     = bytes:readNumber()
globalData.welfareInfo.isCan      = isCan
globalData.welfareInfo.worldLevel = worldLevel
globalData.welfareInfo.addExp     = addExp
globalData.welfareInfo:expInfoUpdate()
end
--获取邀请码数据
local inviteCodeGetMessageReturn = function(mess)
local bytes     = tolua.cast(mess,"MessageIn")
local code      = bytes:readString()
local count     = bytes:readShort()
local award     = bytes:readInt()
local getState  = bytes:readByte()
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_inviteCode,globalManager.gameDispatcher,{code,count,award,getState}))
end
--领取邀请码
local inviteCodeUseMessageReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
local type = bytes:readByte()
if(type == 1) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("ActiveCodeMessageHandler.text1"))
elseif(type == 2) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("ActiveCodeMessageHandler.text3"))
elseif(type == 3) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("ActiveCodeMessageHandler.text2"))
end
end
local messageRankInfoReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
globalData.rankInfo:initRankInfo(bytes)
end
local messageLoadAwardReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
globalData.welfareInfo:loadPlusAwardUpdate(bytes)
end
local filmTicketMessageReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
globalData.welfareInfo:filmTicketInfoUpdate(bytes)
end
local filmTicketNumsMessageReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
globalData.welfareInfo:filmTicketNumsInfoUpdate(bytes)
end
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.LOADPLUSAWARDINFO,messageLoadAwardReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.RANK_INFO,messageRankInfoReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.DAY_AWARD_INFO,dayAwardInfoReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.MONTH_AWARD_INFO,monthAwardInfoReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.LOSS_INFO,lossInfoReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.LOSS_FETCH,lossFetchReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.PP_LEVEL_AWARD_INFO,updateMessageReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.MONTH_CARD_INFO,monthCardMessageReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.WELFARE_EXP_INFO,welfareExpInfoMessageReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.INVITE_CODE_GET,inviteCodeGetMessageReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.INVITE_CODE_USE,inviteCodeUseMessageReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.FILM_TICKET_INFO,filmTicketMessageReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.FILM_TICKET_NUM_INFO,filmTicketNumsMessageReturn)
return temp
end)
--[[
write(?PP_DAY_AWARD_INFO, [Days, List]) ->
Len = length(List),
F = fun(Day) ->
<<(Day):8>>
end,
Data = tool:to_binary([F(X)||X <- (List)]),
{ok, pt:pack(?PP_DAY_AWARD_INFO, <<Days:8, Len:8, Data/binary>>)};
%% 月签到信息
write(?PP_MONTH_AWARD_INFO, [DaysList, AwardList]) ->
DaysLen = length(DaysList),
AwardLen = length(AwardList),
F = fun(Day) ->
<<(Day):8>>
end,
DaysData = tool:to_binary([F(X)||X <- (DaysList)]),
AwardData = tool:to_binary([F(X)||X <- (AwardList)]),
{ok, pt:pack(?PP_DAY_AWARD_INFO, <<DaysLen:8, DaysData/binary, AwardLen:8, AwardData/binary>>)};
%%
write(?PP_LOSS_INFO, [Exp]) ->
{ok, pt:pack(?PP_LOSS_INFO, <<Exp>>)};
]]
WuhunInfoUpdateMessageHandler = class("WuhunInfoUpdateMessageHandler", function(self)
local temp = {}
return temp
end)
function WuhunInfoUpdateMessageHandler:ctor()
local wuhunInfoReturn = function(mess)
local bytes = tolua.cast(mess, "MessageIn")
globalData.wuhunInfo:updateInfo(bytes)
end
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.WUHUN_INFO, wuhunInfoReturn)
end
XiaoFeiHuanHuaMessageHandler = class("XiaoFeiHuanHuaMessageHandler",function()
local temp = {}
local messageReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
local type = bytes:readByte()
local huanhua = bytes:readUByte()
if(type == 13) then
globalData.petItemInfo:setHuanHua(huanhua)
elseif(type == 3) then
globalData.riderItemInfo:setHuanHua(huanhua)
elseif(type == 4) then
globalData.wingItemInfo:setHuanHua(huanhua)
elseif(type == 14) then
globalData.godItemInfo:setHuanHua(huanhua)
elseif(type == 6) then
globalData.spriteItemInfo:setHuanHua(huanhua)
elseif(type == 11) then
globalData.fazhenItemInfo:setHuanHua(huanhua)
elseif(type == 12) then
globalData.longhunItemInfo:setHuanHua(huanhua)
end
end
local huaXingmessageReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
local len   = bytes:readByte()
for i = 1,len,1 do
local type = bytes:readByte()
if(type == globalData.allStaticTypes.petXiaofeiType.ZUOQI) then
globalData.riderItemInfo:setHuaXing(bytes)
elseif(type == globalData.allStaticTypes.petXiaofeiType.CHIBANG) then
globalData.wingItemInfo:setHuaXing(bytes)
elseif(type == globalData.allStaticTypes.petXiaofeiType.SHENBING) then
bytes:readByte()
elseif(type == globalData.allStaticTypes.petXiaofeiType.JINGLING) then
bytes:readByte()
elseif(type == globalData.allStaticTypes.petXiaofeiType.FAZHEN) then
globalData.fazhenItemInfo:setHuaXing(bytes)
elseif(type == globalData.allStaticTypes.petXiaofeiType.LONGHUN) then
bytes:readByte()
end
end
end
local jinhuamessageReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
local type  = bytes:readShort()
if(type == globalData.allStaticTypes.petXiaofeiType.CHONGWU)then
globalData.petItemInfo:setJinhuaInfo(bytes)
elseif(type == globalData.allStaticTypes.petXiaofeiType.ZUOQI) then
globalData.riderItemInfo:setJinhuaInfo(bytes)
elseif(type == globalData.allStaticTypes.petXiaofeiType.CHIBANG) then
globalData.wingItemInfo:setJinhuaInfo(bytes)
elseif(type == globalData.allStaticTypes.petXiaofeiType.SHENBING) then
elseif(type == globalData.allStaticTypes.petXiaofeiType.JINGLING) then
elseif(type == globalData.allStaticTypes.petXiaofeiType.FAZHEN) then
globalData.fazhenItemInfo:setJinhuaInfo(bytes)
elseif(type == globalData.allStaticTypes.petXiaofeiType.LONGHUN) then
end
end
local petHuaXingmessageReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
globalData.petItemInfo:setHuaXing(bytes)
end
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.XIAOFEI_HUANHUA,messageReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.XIAOFEI_HUAXING,huaXingmessageReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.XIAOFEI_JINGHUA,jinhuamessageReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.PET_HUAXING,petHuaXingmessageReturn)
return temp
end)
YanhuaMessageHandler = class("YanhuaMessageHandler",function()
local temp = {}
return temp
end)
function YanhuaMessageHandler:ctor()
local messageReturn = function(data)
local bytes = tolua.cast(data,"MessageIn")
local userId = bytes:readNumber()
local type = bytes:readInt()
local name = bytes:readString()
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_showYanhuaReceivePanel,globalManager.gameDispatcher,{userId,type,name}))
end
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.SEND_YANHUA,messageReturn)
end
YiChuiMessageHandler = class("YiChuiMessageHandler",function()
local x = {}
local awardReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
globalData.copyInfo.copyYCInfo:initAward(bytes)
end
local infoReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
globalData.copyInfo.copyYCInfo:initInfo(bytes)
end
local cardReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
globalData.copyInfo.copyYCInfo:initCard(bytes)
end
local cardAwardReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
globalData.copyInfo.copyYCInfo:initCardAward(bytes)
end
local monTimeReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
globalData.copyInfo.copyYCInfo:initMonTime(bytes)
end
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.YCDY_AWARD,awardReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.YCDY_INFO,infoReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.YCDY_CARD,cardReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.YCDY_CARD_AWARD,cardAwardReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.YCDY_MON_TIME,monTimeReturn)
return x
end)
--##globalManager.goodsInfoTester
GoodsInfoTester = class("GoodsInfoTester", function(self)
local temp = {}
return temp
end)
--由于装备的穿上卸下是物品移动来实现的，所以穿戴卸载写在这里
--装备物品
function GoodsInfoTester:goodsEquip(goodsInfo)
local fusion = function()
globalData.messageAdder:goodsFusion(goodsInfo.position)
end
if(goodsInfo == nil or goodsInfo:getTemplate() == nil)then return end
if(not globalData.allStaticTypes.categoryType:IsEquip(goodsInfo:getTemplate().categoryId)) then
return
end
if(goodsInfo:getTemplate().needCareer ~= 0 and goodsInfo:getTemplate().needCareer ~= globalData.allStaticTypes.careerType:getCareer(globalData.selfPlayerInfo.career))then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("GoodsInfoTester.text8"))
return
end
if(goodsInfo:getTemplate().needLevel > globalData.selfPlayerInfo.level)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel50"))
return
end
local placeList = globalData.allStaticTypes.categoryType:getEquipPlace(goodsInfo:getTemplate().categoryId)
local toPlace = -1
local len = table.getn(placeList)
if(len > 1)then
local tmpPlaceInfo1 = globalData.goodsInfoList:getGoodsByPlace(placeList[1])
local tmpPlaceInfo2 = globalData.goodsInfoList:getGoodsByPlace(placeList[2])
if(tmpPlaceInfo1 == nil)then
toPlace = placeList[1]
elseif(tmpPlaceInfo2 == nil)then
toPlace = placeList[2]
elseif(tmpPlaceInfo1:getTemplate():getQuality() <= tmpPlaceInfo2:getTemplate():getQuality())then
toPlace = placeList[1]
else
toPlace = placeList[2]
end
elseif(len == 1)then
toPlace = placeList[1]
end
if(toPlace ~= -1)then
local placeInfo = globalData.goodsInfoList:getGoodsByPlace(toPlace)
if(placeInfo ~= nil) then
local minLevel = math.min(placeInfo.strengthLevel ,goodsInfo.strengthLevel)
local costTemp = globalData.allTemplates.strengthCostTemplateList:getTemplate(minLevel)
local str = ""
if(costTemp ~= nil)then
local stoneTmp = globalData.allTemplates.goodsTemplateList:getTemplate(costTemp.stoneId)
local stoneName = "[" .. globalData.allStaticTypes.colorType:getColorStrByQuality(stoneTmp:getQuality()) .. "]"..stoneTmp.name..math.ceil(costTemp.stoneNum / 2).."[-]"
local name = ""
if(minLevel == placeInfo.strengthLevel)then
name = placeInfo:getColorName()
else
name = goodsInfo:getColorName()
end
str = string.format(globalManager.yuyanbaoManager:getYuyanbao("GoodsInfoTester.text30"),name,stoneName)
end
Alert:new():show(2,globalManager.yuyanbaoManager:getYuyanbao("GoodsInfoTester.text23")..str,nil,0,self,fusion)
else
globalData.messageAdder:goodsMove(goodsInfo.position, toPlace, 1)
end
end
end
--卸载装备
function GoodsInfoTester:goodsDisboard(goodsInfo)
if(goodsInfo == nil)then return end
local place = globalData.goodsInfoList:getBaggageEmptyPlace(1)
if(place == -1)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("GoodsInfoTester.text24"))
else
globalData.messageAdder:goodsMove(goodsInfo.position, place, 1)
end
end
--出售物品
function GoodsInfoTester:sellGoods(position,count)
local function sellGoodsHandler()
globalData.messageAdder:goodsSell(position,count)
end
local goodsInfo = globalData.goodsInfoList:getGoodsByPlace(position)
if(goodsInfo ~= nil)then
local quality = goodsInfo:getTemplate():getQuality()
if(quality > 2)then
local str = ""
if(goodsInfo:getTemplate().sellPrice > 0) then
str = globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel49")
else
str = globalManager.yuyanbaoManager:getYuyanbao("GoodsInfoTester.text3")
end
Alert:new():show(2,string.format(globalManager.yuyanbaoManager:getYuyanbao("GoodsInfoTester.text24"),str,goodsInfo:getTemplate():getColorName()),globalManager.noAlertUtils.SELL_RARE_GOODS,0,self,sellGoodsHandler)
else
globalData.messageAdder:goodsSell(position,count)
end
end
end
--货币购买流程
-- 返回 error信息
function GoodsInfoTester:goodsBuy(shopTemplateInfo,buyCount,isUse)
--金钱
local price = shopTemplateInfo.price * buyCount
if(shopTemplateInfo.payType == globalData.allStaticTypes.payType.COPPER)then
if(price > globalData.selfPlayerInfo.moneyInfo.copper)then
globalManager.containerManager:getQuickBuyPanel():show(globalData.allStaticTypes.categoryType.QUCIK_BUY_COPPER_ID,1,true)
-- globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel12"))
return globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel12")
end
elseif(shopTemplateInfo.payType == globalData.allStaticTypes.payType.GOLD)then
if(price > globalData.selfPlayerInfo.moneyInfo.gold)then
-- globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel11"))
return globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel11")
end
elseif(shopTemplateInfo.payType == globalData.allStaticTypes.payType.BINGDGOLD)then
if(price > globalData.selfPlayerInfo.moneyInfo.bindGold)then
-- globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel11"))
return globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel30")
end
end
--背包位置
if(globalData.goodsInfoList:getBaggageEmptyPlace(1) == -1)then
-- globalManager.tipsManager.quickTip:show("背包已满")
return globalManager.yuyanbaoManager:getYuyanbao("GoodsInfoTester.text4")
end
globalData.messageAdder:goodsBuy(shopTemplateInfo.shopId, buyCount, isUse)
return nil
end
--物品拆分
-- 返回 error信息
function GoodsInfoTester:splitGoods(goodsInfo)
--拆分数字面板回调
local splitNumCallback = function(info,count)
if(count <= 0)then
return globalManager.yuyanbaoManager:getYuyanbao("QuickBuyPanel.text1")
end
globalData.messageAdder:goodsSplit(info.position,count)
return nil
end
globalManager.containerManager:getNumberPanel():splitGoodsInfo(goodsInfo,splitNumCallback)
end
--商城购买
-- 返回 error信息
function GoodsInfoTester:shopBuy(shopGoodsTemplate,buyAndUse)
buyAndUse = buyAndUse or false
local shopBuyNumCallBack = function(shopGoodsTemplate,count)
if(count <= 0)then
return globalManager.yuyanbaoManager:getYuyanbao("QuickBuyPanel.text1")
end
return self:goodsBuy(shopGoodsTemplate,count,buyAndUse)
end
if(shopGoodsTemplate == nil)then return end
globalManager.containerManager:getNumberPanel():showShopGoodsTemplate(shopGoodsTemplate,shopBuyNumCallBack,buyAndUse,999,1)
end
--批量使用物品
-- 返回 error信息
function GoodsInfoTester:batchUseGoods(goodsInfo)
-- globalData.messageAdder:
local numCallback = function(info,count)
if(count <= 0)then
return globalManager.yuyanbaoManager:getYuyanbao("QuickBuyPanel.text1")
end
globalData.messageAdder:goodsBatchUse(info.position,count)
return nil
end
if(goodsInfo:getTemplate().categoryId == globalData.allStaticTypes.categoryType.CLUB_DAN) then
if(globalData.selfPlayerInfo.uniteId <= 0) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("GoodsInfoTester.text12"))
return
end
end
if(goodsInfo:getTemplate().needLevel > globalData.selfPlayerInfo.level)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("GoodsInfoTester.text29"))
return
end
if(self:specialGoodsUse(goodsInfo))then
return
end
if(self:vipGoodsUse(goodsInfo))then
return
end
globalManager.containerManager:getNumberPanel():showGoodsInfo(goodsInfo,numCallback)
end
--使用物品
function GoodsInfoTester:useGoods(goodsInfo,showTip)
if(showTip == nil)then showTip = false end
if(goodsInfo == nil)then return end
if(not goodsInfo:getTemplate().canUse)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("GoodsInfoTester.text5"))
return
end
if(goodsInfo:outOfDate())then
if(showTip)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("GoodsInfoTester.text7"))
end
return
end
if(goodsInfo:getTemplate().needLevel > globalData.selfPlayerInfo.level)then
if(showTip)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("GoodsInfoTester.text29"))
end
return
end
if(goodsInfo:getTemplate().needCareer ~= 0 and goodsInfo:getTemplate().needCareer ~= globalData.allStaticTypes.careerType:getCareer(globalData.selfPlayerInfo.career))then
if(showTip)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("GoodsInfoTester.text8"))
end
return
end
if(goodsInfo:getTemplate().needSex ~= 0 and goodsInfo:getTemplate().needSex ~= globalData.selfPlayerInfo.sex)then
if(showTip)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("GoodsInfoTester.text9"))
end
return
end
if(globalData.allStaticTypes.categoryType:IsFiveEquip(goodsInfo:getTemplate().categoryId))then
local stage = globalData.fiveEquipList:getStageByType(goodsInfo:getTemplate().property2)
if(stage < goodsInfo.stage) then
if(showTip)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("GoodsInfoTester.text10"))
end
return
end
local info = globalData.fiveEquipList:getFiveEquipInfo(goodsInfo:getTemplate().property2,globalData.allTemplates.fiveEquipTemplateList:getTemplate(goodsInfo:getTemplate().property1).place)
if(info ~= nil) then
if(info.stage >= goodsInfo.stage)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("GoodsInfoTester.text28"))
return
end
end
elseif(goodsInfo:getTemplate().categoryId == globalData.allStaticTypes.categoryType.CLUB_DAN) then
if(globalData.selfPlayerInfo.uniteId <= 0) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("GoodsInfoTester.text12"))
return
end
-------------------------------------------祝福提升卡--------------------------------------------------------------------
elseif (goodsInfo:getTemplate().categoryId == globalData.allStaticTypes.categoryType.PET_BLESS) then
local stage = globalData.petItemInfo.stage
if stage < 7 then   --三阶1星后才能使用
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("GoodsInfoTester.text1"))
return
else
globalData.messageAdder:useBless(1)
return
end
elseif (goodsInfo:getTemplate().categoryId == globalData.allStaticTypes.categoryType.WING_BLESS) then
local stage = globalData.wingItemInfo.stage
if stage < 7 then   --三阶1星后才能使用
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("GoodsInfoTester.text1"))
return
else
globalData.messageAdder:useBless(3)
return
end
elseif (goodsInfo:getTemplate().categoryId == globalData.allStaticTypes.categoryType.IMMORTALS_BLESS) then
local stage = globalData.godItemInfo.stage
if stage < 7 then   --三阶1星后才能使用
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("GoodsInfoTester.text1"))
return
else
globalData.messageAdder:useBless(4)
return
end
elseif (goodsInfo:getTemplate().categoryId == globalData.allStaticTypes.categoryType.SPRITE_BLESS) then
local stage = globalData.spriteItemInfo.stage
if stage < 7 then   --三阶1星后才能使用
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("GoodsInfoTester.text1"))
return
else
globalData.messageAdder:useBless(5)
return
end
elseif (goodsInfo:getTemplate().categoryId == globalData.allStaticTypes.categoryType.MATRIX_BLESS) then
local stage = globalData.fazhenItemInfo.stage
if stage < 7 then   --三阶1星后才能使用
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("GoodsInfoTester.text1"))
return
else
globalData.messageAdder:useBless(6)
return
end
elseif (goodsInfo:getTemplate().categoryId == globalData.allStaticTypes.categoryType.DRAGONSOUL_BLESS) then
local stage = globalData.longhunItemInfo.stage
if stage < 7 then   --三阶1星后才能使用
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("GoodsInfoTester.text1"))
return
else
globalData.messageAdder:useBless(7)
return
end
elseif (goodsInfo:getTemplate().categoryId == globalData.allStaticTypes.categoryType.MOUNT_BLESS) then
local stage = globalData.riderItemInfo.stage
if stage < 7 then   --三阶1星后才能使用
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("GoodsInfoTester.text1"))
return
else
globalData.messageAdder:useBless(2)
return
end
-----------------------------------------------------------------------------------------------------------------
elseif(goodsInfo:getTemplate().templateId == globalData.allStaticTypes.categoryType.CHANGE_NAME_CARD)then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_showRenamePanel,globalManager.gameDispatcher,nil))
return
elseif(goodsInfo:getTemplate().templateId == 160482)then --转职卡
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_showChangeProfessionPanl,globalManager.gameDispatcher,nil))
return
elseif(goodsInfo:getTemplate().templateId == globalData.allStaticTypes.categoryType.TAOYUAN_GANLU)then
if(globalData.oathInfo.oathPosition <= 0) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("GoodsInfoTester.text26"))
else
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab3,globalData.allStaticTypes.panelTabType.oath)
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.showTaoYuanPanel,globalManager.gameDispatcher))
end
return
elseif(globalData.allStaticTypes.categoryType:IsFashion(goodsInfo:getTemplate().templateId) > 0) then
local hasFashionId = globalData.fashionInfo.hasIdList
if(globalManager.commonUtils:getIndexOfTable(hasFashionId,goodsInfo:getTemplate().templateId) > 0)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("GoodsInfoTester.text14"))
return
end
end
if(self:specialGoodsUse(goodsInfo))then
return
end
if(self:vipGoodsUse(goodsInfo))then
return
end
globalData.messageAdder:goodsUse(goodsInfo.position)
end
--特殊物品使用
--返回 bool ，是否特殊物品
function GoodsInfoTester:specialGoodsUse(goodsInfo)
local count_ = 0
local payGoodsHandler = function()
globalData.messageAdder:sendPayItem(goodsInfo.goodsId,count_)
end
local numBackHandler = function(info,count)
count_ = count
Alert:new():show(2,string.format(globalManager.yuyanbaoManager:getYuyanbao("GoodsInfoTester.text27"),goodsInfo:getTemplate().property1 * count_),nil,0,self,payGoodsHandler)
end
if(goodsInfo:getTemplate().categoryId == globalData.allStaticTypes.categoryType.PAY_BOX)then
if(globalData.selfPlayerInfo.moneyInfo.gold < goodsInfo:getTemplate().property1)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel11"))
else
local max = math.floor(globalData.selfPlayerInfo.moneyInfo.gold / goodsInfo:getTemplate().property1)
if(max > goodsInfo.count) then max = goodsInfo.count end
globalManager.containerManager:getNumberPanel():showGoodsTemplateInfo(goodsInfo:getTemplate(),numBackHandler,max,max)
end
return true
end
return false
end
--vip经验、时间卡的使用
--返回 bool ，是否是vip经验、时间卡
function GoodsInfoTester:vipGoodsUse(goodsInfo)
local count = goodsInfo.count
local cardType = 0
local payGoodsHandler = function(info,count)
count = count
globalData.messageAdder:sendUseVipCard(goodsInfo.goodsId,count,cardType)
end
if(globalData.allStaticTypes.categoryType:IsVipTimeCard(goodsInfo:getTemplateId()))then
cardType = 1
if(count > 1) then
globalManager.containerManager:getNumberPanel():showGoodsTemplateInfo(goodsInfo:getTemplate(),payGoodsHandler,count,count)
else
globalData.messageAdder:sendUseVipCard(goodsInfo.goodsId,1,cardType)
end
return true
elseif(globalData.allStaticTypes.categoryType:IsVipExpCard(goodsInfo:getTemplateId()))then
cardType = 2
if(count > 1) then
globalManager.containerManager:getNumberPanel():showGoodsTemplateInfo(goodsInfo:getTemplate(),payGoodsHandler,count,count)
else
globalData.messageAdder:sendUseVipCard(goodsInfo.goodsId,1,cardType)
end
return true
end
return false
end
--一个商城物品价格检测
--返回：金钱是否足够
--param shopGoodsTemplate 商城物品模板
--param count 数量
--param isShowTip 是否显示tips，默认不显示
function GoodsInfoTester:shopGoodsMoneyCheck(shopGoodsTemplate,count,isShowTip,isBind)
isShowTip = isShowTip or false
if(shopGoodsTemplate.payType == globalData.allStaticTypes.payType.COPPER)then
if(globalData.selfPlayerInfo.moneyInfo.copper < shopGoodsTemplate.price * count)then
if(isShowTip)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel12"))
end
return false
end
elseif(shopGoodsTemplate.payType == globalData.allStaticTypes.payType.GOLD)then
local gold = globalData.selfPlayerInfo.moneyInfo.gold
if(isBind == true) then
gold = gold + globalData.selfPlayerInfo.moneyInfo.bindGold
end
if(gold < shopGoodsTemplate.price * count)then
if(isShowTip)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel11"))
end
return false
end
elseif(shopGoodsTemplate.payType == globalData.allStaticTypes.payType.BINGDGOLD)then
local gold = globalData.selfPlayerInfo.moneyInfo.bindGold
if(gold < shopGoodsTemplate.price * count)then
if(isShowTip)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel30"))
end
return false
end
elseif(shopGoodsTemplate.payType == globalData.allStaticTypes.payType.GONGXIAN)then
if(globalData.leagueInfo.myGongxian < shopGoodsTemplate.price * count)then
if(isShowTip)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("GoodsInfoTester.text16"))
end
return false
end
elseif(shopGoodsTemplate.payType == globalData.allStaticTypes.payType.HONOUR)then
if(globalData.selfPlayerInfo.honour < shopGoodsTemplate.price * count)then
if(isShowTip)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("GoodsInfoTester.text17"))
end
return false
end
end
return true
end
--获取身上的金钱能购买的最大数量
function GoodsInfoTester:getCanBuyCount(shopGoodsTemplate,isBind)
local result = 0
if(shopGoodsTemplate.payType == globalData.allStaticTypes.payType.COPPER)then
result = math.floor(globalData.selfPlayerInfo.moneyInfo.copper / shopGoodsTemplate.price)
elseif(shopGoodsTemplate.payType == globalData.allStaticTypes.payType.GOLD)then
if(isBind == true) then
result = math.floor(globalData.selfPlayerInfo.moneyInfo:getAllGold() / shopGoodsTemplate.price)
else
result = math.floor(globalData.selfPlayerInfo.moneyInfo.gold / shopGoodsTemplate.price)
end
elseif(shopGoodsTemplate.payType == globalData.allStaticTypes.payType.BINGDGOLD)then
result = math.floor(globalData.selfPlayerInfo.moneyInfo.bindGold / shopGoodsTemplate.price)
elseif(shopGoodsTemplate.payType == globalData.allStaticTypes.payType.GONGXIAN)then
result = math.floor(globalData.leagueInfo.myGongxian / shopGoodsTemplate.price)
elseif(shopGoodsTemplate.payType == globalData.allStaticTypes.payType.HONOUR)then
result = math.floor(globalData.selfPlayerInfo.honour / shopGoodsTemplate.price)
end
return result
end
--检测最好装备
function GoodsInfoTester:checkBetterEquip()
for __,value in pairs(globalData.goodsInfoList:getGoodsList(1)) do
if(value ~= nil and globalData.allStaticTypes.categoryType:IsEquip(value:getTemplate().categoryId) and (value:getTemplate().needCareer == 0 or value:getTemplate().needCareer == globalData.allStaticTypes.careerType:getCareer(globalData.selfPlayerInfo.career))) then
local placeList = globalData.allStaticTypes.categoryType:getEquipPlace(value:getTemplate().categoryId)
local equipGoods = globalData.goodsInfoList:getGoodsByPlace(placeList[1])
if(equipGoods == nil or equipGoods.stage < value.stage or (equipGoods.stage == value.stage and equipGoods.strengthLevel < value.strengthLevel)) then
globalManager.containerManager:showUseItemPanel(value)
return
end
end
end
end
--检测可使用
function GoodsInfoTester:checkCanUseItem()
for __,value in pairs(globalData.goodsInfoList:getGoodsList(1)) do
if(self:checkAItemIsCanUse(value)) then return end
end
globalData.isCheckCanUseItem = false
end
function GoodsInfoTester:checkAItemIsCanUse(value)
if(value == nil) then return false end
if(value:getTemplate() == nil) then return false end
local type = value:getTemplate().categoryId
if(type == 201 or type == 220 or type == 221 or type == 234 or type == 264) then
if(type == globalData.allStaticTypes.categoryType.CLUB_DAN and globalData.selfPlayerInfo.uniteId <= 0)then
return false
end
if(value:getTemplate().needLevel <= globalData.selfPlayerInfo.level and not value:outOfDate()) then
globalManager.containerManager:showUseItemPanel(value)
return true
end
end
return false
end
OpenInfoTester = class("OpenInfoTester", function(self)
local temp = EventDispatcher:new()
--{type:value,type:value}
temp.typeResult = {}
temp.typeResult1 = {}
temp.hasAllCheck = false
temp.hasAllCheck1 = false
temp._isInitialization = false
temp._stageTypeList = {}
temp._levelList = {1,3,5}
temp.time = 0
return temp
end)
function OpenInfoTester:ctor()
self:initEvent()
end
function OpenInfoTester:initEvent()
globalData.petItemInfo:addEventListener(globalData.globalEventType.playerInfo_petTemplate,self.checkPetHandler,self)
globalData.riderItemInfo:addEventListener(globalData.globalEventType.playerInfo_riderTemplate,self.checkRiderHandler,self)
globalData.godItemInfo:addEventListener(globalData.globalEventType.playerInfo_godTemplate,self.checkGodHandler,self)
globalData.wingItemInfo:addEventListener(globalData.globalEventType.playerInfo_wingTemplate,self.checkWingHandler,self)
globalData.spriteItemInfo:addEventListener(globalData.globalEventType.playerInfo_spriteTemplate,self.checkSpriteHandler,self)
globalData.fazhenItemInfo:addEventListener(globalData.globalEventType.playerInfo_fazhenTemplate,self.checkFazhenHandler,self)
globalData.longhunItemInfo:addEventListener(globalData.globalEventType.playerInfo_longhunTemplate,self.checkLonghunHandler,self)
globalData.selfPlayerInfo.moneyInfo:addEventListener(globalData.globalEventType.playerInfo_money,self.checkMoneyHandler,self)
globalData.selfPlayerInfo:addEventListener(globalData.globalEventType.playerInfo_vip,self.checkStageHandler,self)
globalData.openInfo:addEventListener(globalData.globalEventType.playerInfo_openTemplate,self.openTempInfoUpdateHandler,self)
globalData.openInfo:addEventListener(globalData.globalEventType.playerInfo_openInfo,self.openInfoHandler,self)
globalData.openInfo:addEventListener(globalData.globalEventType.playerInfo_rechargeStage,self.rechargeStageUpdateHandler,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_reConnect,self.reconnectHandler,self)
globalData.openInfo:addEventListener(globalData.globalEventType.playerInfo_growUpPlaneUpdate,self.checkGrowUpPlanHandler,self)
globalData.selfPlayerInfo:addEventListener(globalData.globalEventType.playerInfo_level,self.levelUpdateHandler,self)
globalData.combinedActiveInfo:addEventListener(globalData.globalEventType.combined_Active_Info,self.checkCombinedActiveHandler,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.global_systemHour,self.checkCombinedActiveHandler,self)
globalData.openInfo:addEventListener(globalData.globalEventType.openView_jiFuUpdate,self.checkJiFuHandler,self)
end
function OpenInfoTester:levelUpdateHandler(evt)
self:checkGrowUpPlanHandler()
end
--检测妖精冲阶
function OpenInfoTester:checkPetHandler(evt)
self.typeResult[4] = self:checkPetStage()
self.typeResult[51] = self:checkPetStage(false)
self:doResult()
end
--检测坐骑冲阶
function OpenInfoTester:checkRiderHandler(evt)
self.typeResult[5] = self:checkRiderStage()
self.typeResult[52] = self:checkRiderStage(false)
self:doResult()
end
--检测足迹冲阶
function OpenInfoTester:checkGodHandler(evt)
self.typeResult[8] = self:checkGodStage()
self.typeResult[54] = self:checkGodStage(false)
self:doResult()
end
--检测羽翼冲阶
function OpenInfoTester:checkWingHandler(evt)
self.typeResult[6] = self:checkWingStage()
self.typeResult[53] = self:checkWingStage(false)
self:doResult()
end
--检测仙灵冲阶
function OpenInfoTester:checkSpriteHandler(evt)
self.typeResult[7] = self:checkSpriteStage()
self.typeResult[55] = self:checkSpriteStage(false)
self:doResult()
end
--检测法阵冲阶
function OpenInfoTester:checkFazhenHandler(evt)
self.typeResult[21] = self:checkFazhenStage()
self.typeResult[57] = self:checkFazhenStage(false)
self:doResult()
end
--检测龙魂冲阶
function OpenInfoTester:checkLonghunHandler(evt)
self.typeResult[22] = self:checkLonghunStage()
self.typeResult[56] = self:checkLonghunStage(false)
self:doResult()
end
--检测全民送礼
function OpenInfoTester:checkStageHandler(evt)
if(self.time == 0) then
globalManager.tickManager:addTick(self.tick,self)
end
self.time = 120
end
function OpenInfoTester:rechargeStageUpdateHandler(evt)
if(self.time == 0) then
globalManager.tickManager:addTick(self.tick,self)
end
self.time = 120
end
--检测充值消费
function OpenInfoTester:checkMoneyHandler(evt)
self.typeResult[2] = self:checkRecharge2()
self.typeResult[3] = self:checkPay2()
self:doResult()
end
--成长计划信息检测
function OpenInfoTester:checkGrowUpPlanHandler(evt)
self.typeResult[27] = self:checkGrowUpPlan()
self:doResult()
end
function OpenInfoTester:openTempInfoUpdateHandler(evt)
self._isInitialization = true
self._stageTypeList = {}
for __,type in pairs(globalData.allTemplates.openTemplateList.typeList) do
if(type == 14) then
local infoList = globalData.openInfo:getInfoByShowType(14)
for i = 1,#infoList,1 do
if(globalManager.commonUtils:getIndexOfTable(self._stageTypeList,infoList[i].type) == -1) then
globalData.messageAdder:sendGetStage(infoList[i].type)
table.insert(self._stageTypeList,infoList[i].type)
end
end
end
end
self:checkAll2()
end
function OpenInfoTester:openInfoHandler(evt)
self:checkAll2()
end
function OpenInfoTester:reconnectHandler(evt)
self._isInitialization = false
end
function OpenInfoTester:tick(delta,count)
self.time = self.time - 1
if(self.time <= 0) then
self.time = 0
globalManager.tickManager:removeTick(self.tick,self)
self.typeResult[14] = self:checkStage2()
self:doResult()
end
end
--判断所有
function OpenInfoTester:checkAll2()
if(not self._isInitialization) then return 0 end
self.typeResult[2] = self:checkRecharge2()
self.typeResult[3] = self:checkPay2()
self.typeResult[4] = self:checkPetStage()
self.typeResult[5] = self:checkRiderStage()
self.typeResult[6] = self:checkWingStage()
self.typeResult[7] = self:checkSpriteStage()
self.typeResult[8] = self:checkGodStage()
self.typeResult[16] = self:checkNeedExchange()
self.typeResult[21] = self:checkFazhenStage()
self.typeResult[22] = self:checkLonghunStage()
self.typeResult[14] = self:checkStage2()
self.typeResult[26] = self:checkWeihui()
self.typeResult[27] = self:checkGrowUpPlan()
self.typeResult1[1] = self:checkCombinedActive(1)
self.typeResult1[3] = self:checkCombinedActive(3)
self.typeResult1[5] = self:checkCombinedActive(5)
self.typeResult[41] = self:checkGoldMonkey()
self.typeResult[45] = self:checkJiFu()
self.typeResult[51] = self:checkPetStage(false)
self.typeResult[52] = self:checkRiderStage(false)
self.typeResult[53] = self:checkWingStage(false)
self.typeResult[54] = self:checkGodStage(false)
self.typeResult[55] = self:checkSpriteStage(false)
self.typeResult[56] = self:checkLonghunStage(false)
self.typeResult[57] = self:checkFazhenStage(false)
self.hasAllCheck = true
self.hasAllCheck1 = true
self:doResult()
self:doResult1()
end
function OpenInfoTester:doResult1()
if(not self.hasAllCheck)then return end
local result = self.typeResult1[1] + self.typeResult1[3] + self.typeResult1[5]
if(result > 0)then
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.quickIcon_combinedActive,self,true))
else
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.quickIcon_combinedActive,self,false))
end
end
function OpenInfoTester:doResult()
--先执行一次 checkall，确保typeResult都有值
if(not self.hasAllCheck)then return end
local result = self.typeResult[4] + self.typeResult[5] + self.typeResult[6] + self.typeResult[7] +
self.typeResult[8] + self.typeResult[21] + self.typeResult[22] + self.typeResult[16] + self.typeResult[27] + self.typeResult[41] + self.typeResult[45] + self.typeResult[51] + self.typeResult[52] + self.typeResult[53] + self.typeResult[54] + self.typeResult[55] + self.typeResult[56] + self.typeResult[57]
if(result > 0)then
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.quickIcon_open,self,true))
else
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.quickIcon_open,self,false))
end
end
--检测元宵集福是否可领取
function OpenInfoTester:checkJiFu()
if(globalData.consumenGiftInfo.jiFuIsShow == false)then return 0 end
local num = 0
local hasGetList = globalData.openInfo.jiFuAwardList
local curDay = globalData.openInfo:getJiFuDay()
local index = globalManager.commonUtils:getIndexOfTable(hasGetList,curDay)
if(index == -1 and curDay > 0 and curDay < 6)then
num = num + 1
end
return num
end
function OpenInfoTester:checkGoldMonkey()
if(globalData.consumenGiftInfo.springActivityIsShow)then
local goodsNum = globalData.goodsInfoList:getGoodsCount(150400)
if(goodsNum > 0)then
return 1
end
end
return 0
end
--判断充值
function OpenInfoTester:checkRecharge2()
if(not self._isInitialization) then return 0 end
local result = 0
local infoList = globalData.openInfo:getInfoByShowType(2)
local selfInfo = nil
for __,info in pairs(infoList) do
selfInfo = globalData.openInfo:getSelfInfoById(info.id)
local selfInfoSign = 200000
if(selfInfo ~= nil) then
selfInfoSign = globalData.selfPlayerInfo.moneyInfo.chargeValue - selfInfo.sign
if(selfInfo.count < info.count) then
local count = math.min(math.floor(selfInfoSign / tonumber(info.conditionList)),info.count) - selfInfo.count
if(count > 0) then
result = result + 1
end
end
end
end
return result
end
--判断支付
function OpenInfoTester:checkPay2()
if(not self._isInitialization) then return 0 end
local result = 0
local infoList = globalData.openInfo:getInfoByShowType(3)
local selfInfo = nil
local selfInfoSign = 200000
for __,info in pairs(infoList) do
selfInfo = globalData.openInfo:getSelfInfoById(info.id)
if(selfInfo ~= nil) then
selfInfoSign = globalData.selfPlayerInfo.moneyInfo.payValue - selfInfo.sign
if(selfInfo.count < info.count) then
local count = math.min(math.floor(selfInfoSign / tonumber(info.conditionList)),info.count) - selfInfo.count
if(count > 0) then
result = result + 1
end
end
end
end
return result
end
--判断全民送礼
function OpenInfoTester:checkStage2()
if(not self._isInitialization) then return 0 end
local result = 0
local infoList,selfInfo,stage
for __,type in pairs(self._stageTypeList) do
stage = globalData.openInfo.stageList[type]
if(stage ~= nil) then
infoList = globalData.openInfo:getInfoByType(type)
for i = 1,3,1 do
selfInfo = globalData.openInfo:getSelfInfoById(infoList[i].id)
if(selfInfo == nil or selfInfo.count < infoList[i].count) then
if(globalData.selfPlayerInfo.vipLevel >= self._levelList[i] and stage >= globalManager.messageUtils:splitStringToInt(infoList[i].conditionList,",")[2]) then
result = result + 1
end
end
end
end
if(result > 0) then
break
end
end
return result
end
--检测妖精升阶
function OpenInfoTester:checkPetStage(isOpen)
if(not self._isInitialization) then return 0 end
local stage = 0
local result = 0
local infoList
if(isOpen == nil or isOpen) then
infoList = globalData.openInfo:getInfoByShowType(4)
else
infoList = globalData.openInfo:getInfoByShowType(51)
end
local selfInfo = nil
local selfStage = globalData.petItemInfo.stage
for __,info in pairs(infoList) do
selfInfo = globalData.openInfo:getSelfInfoById(info.id)
if(selfInfo == nil or selfInfo.count == 0) then
if(tonumber(info.conditionList) <= selfStage) then
result = result + 1
if(stage == 0) then
stage = tonumber(info.conditionList)
end
end
end
end
return result,stage
end
--检测坐骑升阶
function OpenInfoTester:checkRiderStage(isOpen)
if(not self._isInitialization) then return 0 end
local stage = 0
local result = 0
local infoList
if(isOpen == nil or isOpen) then
infoList = globalData.openInfo:getInfoByShowType(5)
else
infoList = globalData.openInfo:getInfoByShowType(52)
end
local selfInfo = nil
local selfStage = globalData.riderItemInfo.stage
for __,info in pairs(infoList) do
selfInfo = globalData.openInfo:getSelfInfoById(info.id)
if(selfInfo == nil or selfInfo.count == 0) then
if(tonumber(info.conditionList) <= selfStage) then
result = result + 1
if(stage == 0) then
stage = tonumber(info.conditionList)
end
end
end
end
return result,stage
end
--检测翅膀升阶
function OpenInfoTester:checkWingStage(isOpen)
if(not self._isInitialization) then return 0 end
local stage = 0
local result = 0
local infoList
if(isOpen == nil or isOpen) then
infoList = globalData.openInfo:getInfoByShowType(6)
else
infoList = globalData.openInfo:getInfoByShowType(53)
end
local selfInfo = nil
local selfStage = globalData.wingItemInfo.stage
for __,info in pairs(infoList) do
selfInfo = globalData.openInfo:getSelfInfoById(info.id)
if(selfInfo == nil or selfInfo.count == 0) then
if(tonumber(info.conditionList) <= selfStage) then
result = result + 1
if(stage == 0) then
stage = tonumber(info.conditionList)
end
end
end
end
return result,stage
end
--检测仙灵升阶
function OpenInfoTester:checkSpriteStage(isOpen)
if(not self._isInitialization) then return 0 end
local stage = 0
local result = 0
local infoList
if(isOpen == nil or isOpen) then
infoList = globalData.openInfo:getInfoByShowType(7)
else
infoList = globalData.openInfo:getInfoByShowType(55)
end
local selfInfo = nil
local selfStage = globalData.spriteItemInfo.stage
for __,info in pairs(infoList) do
selfInfo = globalData.openInfo:getSelfInfoById(info.id)
if(selfInfo == nil or selfInfo.count == 0) then
if(tonumber(info.conditionList) <= selfStage) then
result = result + 1
if(stage == 0) then
stage = tonumber(info.conditionList)
end
end
end
end
return result,stage
end
--检测足迹升阶
function OpenInfoTester:checkGodStage(isOpen)
if(not self._isInitialization) then return 0 end
local stage = 0
local result = 0
local infoList
if(isOpen == nil or isOpen) then
infoList = globalData.openInfo:getInfoByShowType(8)
else
infoList = globalData.openInfo:getInfoByShowType(54)
end
local selfInfo = nil
local selfStage = globalData.godItemInfo.stage
for __,info in pairs(infoList) do
selfInfo = globalData.openInfo:getSelfInfoById(info.id)
if(selfInfo == nil or selfInfo.count == 0) then
if(tonumber(info.conditionList) <= selfStage) then
result = result + 1
if(stage == 0) then
stage = tonumber(info.conditionList)
end
end
end
end
return result,stage
end
--检测法阵升阶
function OpenInfoTester:checkFazhenStage(isOpen)
if(not self._isInitialization) then return 0 end
local stage = 0
local result = 0
local infoList
if(isOpen == nil or isOpen) then
infoList = globalData.openInfo:getInfoByShowType(21)
else
infoList = globalData.openInfo:getInfoByShowType(57)
end
local selfInfo = nil
local selfStage = globalData.fazhenItemInfo.stage
for __,info in pairs(infoList) do
selfInfo = globalData.openInfo:getSelfInfoById(info.id)
if(selfInfo == nil or selfInfo.count == 0) then
if(tonumber(info.conditionList) <= selfStage) then
result = result + 1
if(stage == 0) then
stage = tonumber(info.conditionList)
end
end
end
end
return result,stage
end
--检测龙魂升阶
function OpenInfoTester:checkLonghunStage(isOpen)
if(not self._isInitialization) then return 0 end
local stage = 0
local result = 0
local infoList
if(isOpen == nil or isOpen) then
infoList = globalData.openInfo:getInfoByShowType(22)
else
infoList = globalData.openInfo:getInfoByShowType(56)
end
local selfInfo = nil
local selfStage = globalData.longhunItemInfo.stage
for __,info in pairs(infoList) do
selfInfo = globalData.openInfo:getSelfInfoById(info.id)
if(selfInfo == nil or selfInfo.count == 0) then
if(tonumber(info.conditionList) <= selfStage) then
result = result + 1
if(stage == 0) then
stage = tonumber(info.conditionList)
end
end
end
end
print("#############",result)
return result,stage
end
--检测微会活动
function OpenInfoTester:checkWeihui()
if(not self._isInitialization) then return 0 end
local result = 0
local infoList = globalData.openInfo:getInfoByType(60)
local selfInfo = nil
local playerFight = globalData.selfPlayerInfo.combat
local playerVip   = globalData.selfPlayerInfo.vipLevel
for __,info in pairs(infoList) do
selfInfo = globalData.openInfo:getSelfInfoById(info.id)
if(selfInfo == nil or selfInfo.count == 0) then
local conditionList = globalManager.messageUtils:splitStringToInt(info.conditionList,",")
if(playerFight >= conditionList[2] and playerVip >= conditionList[1])then
return 1
end
end
end
return 0
end
--检测极品兑换
function OpenInfoTester:checkNeedExchange()
local exchangeInfoList = globalData.allTemplates.exchangeTemplateList:getCanExchangeTemp(1)
local sortFunc = function(info1,info2)
return info1.id < info2.id
end
table.sort(exchangeInfoList, sortFunc)
for index,info in pairs(exchangeInfoList) do
local hasExchangeNum = globalData.goodsExchangeList:getExchangeItemData(info.id)
if(hasExchangeNum == nil)then hasExchangeNum = 0 end
local goods1 = globalData.goodsInfoList:getGoodsCount(info.materialIds[1].goodsTemplateId,1)
local goods2 = globalData.goodsInfoList:getGoodsCount(info.materialIds[2].goodsTemplateId,1)
goods2 = globalData.allStaticTypes.categoryType:getTypeMoneyByType(info.materialIds[2].goodsTemplateId,goods2)
if(goods1 >= info.materialIds[1].count and goods2 >= info.materialIds[2].count and (hasExchangeNum < info.limitCount or info.limitCount == 0)) then
return 1
end
end
return 0
end
--检测成长计划
function OpenInfoTester:checkGrowUpPlan()
local openTime = globalData.openTime
local systemTime = math.floor(globalData.systemDateInfo:getSystemTime() / 1000)
local openDay = math.ceil((systemTime - openTime) / (3600 * 24))
if(openDay <= 7)then
local playerLevel = globalData.selfPlayerInfo.level
for __,info in pairs(globalData.allTemplates.growUpProjectTemplateList.list) do
local hasIdList = globalData.openInfo.hasGrowUpProjectList
if(hasIdList ~= nil)then
local index = globalManager.commonUtils:getIndexOfTable(hasIdList,info.growUpId)
if(index == -1)then
if(playerLevel >= info.condition)then
return 1
end
end
end
end
end
return 0
end
--检测极品兑换兑换数据
function OpenInfoTester:checkExchangeHandler(evt)
self.typeResult[16] = self:checkNeedExchange()
self:doResult()
end
function OpenInfoTester:checkJiFuHandler(evt)
self.typeResult[45] = self:checkJiFu()
self:doResult()
end
function OpenInfoTester:checkGoldMonkeyHandler(evt)
self.typeResult[41] = self:checkGoldMonkey()
self:doResult()
end
--检测欢乐送钻数据--检测帮派排名数据--检测合服礼包数据
function OpenInfoTester:checkCombinedActiveHandler(evt)
self.typeResult1[1] = self:checkCombinedActive(1)
self.typeResult1[3] = self:checkCombinedActive(3)
self.typeResult1[5] = self:checkCombinedActive(5)
self:doResult1()
end
function OpenInfoTester:checkCombinedActive(index)
if(index == 1)then
local recharge     = globalData.combinedActiveInfo.recharge
if(recharge >= 1000)then
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.quickIcon_combinedActive1,self,nil))
return 1
else
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.quickIcon_combinedActive1,self,nil))
return 0
end
elseif(index == 5)then
local mergeAward   = globalData.combinedActiveInfo.mergeAward
if(mergeAward == 0)then
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.quickIcon_combinedActive5,self,nil))
return 1
else
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.quickIcon_combinedActive5,self,nil))
return 0
end
elseif(index == 3)then
local clubAward    = globalData.combinedActiveInfo.clubAward
local clubSign     = globalData.combinedActiveInfo.clubSign
if(clubAward == 1 or clubAward == 2 or clubAward == 3 and (clubSign ~= 1 or clubSign ~= 2 or clubSign ~= 3))then
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.quickIcon_combinedActive3,self,nil))
return 1
else
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.quickIcon_combinedActive3,self,nil))
return 0
end
end
end
PlayerInfoTester = class("PlayerInfoTester", function(self)
local temp = EventDispatcher:new()
temp.LEVEL = 50--温馨提示开启等级
temp.MAXSTAGE = globalData.allStaticTypes.petXiaofeiType.XIAOFEI_MAXLEVEL
temp.MAXSTRENGTH = 15--最高强化等级
temp._awardActivity = {20,40,60,80,100}
temp.oldLevel = 0
temp.STONE1LEVEL = 10 --强化需要强化石1
temp.STONE2LEVEL = 15 --强化需要强化石2
temp.STONE3LEVEL = 20 --强化需要强化石3
--------------------------温馨提示用到的数据----------------------------
temp._showCount = 0
temp._isShowSkill = false--技能
temp._isShowPet = false--妖精
temp._isShowRider = false--坐骑
temp._isShowWing = false--羽翼
temp._isShowGod = false--足迹
temp._isShowSprite = false--仙灵
temp._isShowStrength = false--强化
temp._isShowStrengthPop = false--强化泡泡
temp._isShowAdvance = false--进阶
temp._isShowRonglu = false --熔炉
temp._isShowActivity = false--活跃度
temp._isShowLYGift = false--炼狱
temp._isShowSign = false--签到
temp._isShowFazhen = false--法阵
temp._isShowLonghun = false--龙魂
temp._isShowRiderTalent = false--坐骑天赋
temp._isShowAchievement = false--成就系统
temp._isShowPetTalent   = false--妖精天赋
temp._isShowTaoYuan = false--桃园摘桃
temp._isShowTaoYuanCopy = false--桃园副本
temp._isShowXianYuan = false--仙缘系统
temp._isShowWakeUp = false--觉醒提升
temp._isShowHomeUp = false--家园升级
temp._isShowLuckTree = false--幸运树可收获
temp._isShowWaterTree = false--幸运树浇水
temp._isShowWishPanel = false--许愿池
temp._isShowFarmPanel = false--农场
temp._isShowFactoryExchange = false--工坊
temp._isShowPeishi = false --佩饰提示
temp._isShowPartner = false --伙伴提示
temp._isShowPetHuaxing = false--化形宠物
temp._isShowRiderHuaxing = false --化形坐骑
temp._isShowWingHuaxing = false --化形翅膀
temp._isShowFashion = false --时装
--------------------------按钮角标用到的数据----------------------------
temp._activityNum = 0--活跃度
temp._skillNum = 0--技能
temp._copyNum1 = 0--材料
temp._copyNum3 = 0--远征
temp._copyNum4 = 0--炼狱领奖
temp._copyNum5 = 0--守护
temp._signNum = 0--签到
temp._loginNum = 0--登录
temp._giftNum = 0--月卡
temp._arenaNum2 = 0--尊武殿
temp._fightNum2 = 0--尊武殿挑战次数
temp._oath = false--結義
temp._petNum = 0--妖精
temp._petTalantNum = 0--妖精天赋
temp._riderNum = 0--坐骑
temp._riderTalentNum = 0--坐骑天赋
temp._wingNum = 0--羽翼
temp._godNum = 0--足迹
temp._spriteNum = 0--仙灵
temp._fazhenNum = 0--法阵
temp._longhunNum = 0--龙魂
temp._strengthNum = 0--强化
temp._rongluNum = 0 --熔炉
temp._advancedNum = 0--进阶
temp._wuHunNum = 0 --武魂
temp._bossNum1 = 0--世界BOSS
temp._bossNum2 = 0--精英BOSS
temp._vipBossNum = 0--VIPboss
temp._leagueNum = 0--帮派申请数量
temp._findTreasureNum = 1 --宝藏秘境
temp._yuanbaoPanelNum = 0 --充值转盘
temp._consumenGiftNum = 0 --消费赠礼
temp._zhuanXiangNum   = 0 --专享充值
temp._achievementNum  = 0 --成就系统
temp._leagueBossNum   = 0 --帮派boss
temp._shenmiShopNum   = -1 --神秘商店
temp._chaosNum        = 0 --混沌战场
temp._xianYuanNum     = 0 --仙缘系统
temp._wakeUpNum       = 0 --觉醒可提升
temp._washNum         = 0 --淘金
temp._partnerNum      = 0 --伙伴系统
temp._petHuaxingNum   = 0 --化形宠物
temp._riderHuaxingNum = 0 --化形坐骑
temp._wingHuaxingNum  = 0 --化形翅膀
temp._fashionNum      = 0 --时装
temp._toWestGoNum     = 0 --一路向西可去完成
temp._toWestGetNum    = 0 --一路向西可领取
--------------------------追踪面板用到的数据----------------------------
temp._copyMax1 = globalData.allTemplates.copyTemplateList:getCopy(globalData.allTemplates.copyTemplateList.MATERIAL).dayTimes--材料副本次数
temp._copyMax2 = 0--降魔可做次数
temp._copyMax3 = 1--远征重置次数
temp._copyMax4 = 1--炼狱副本重置次数
temp._copyMax5 = globalData.allTemplates.copyTemplateList:getCopy(globalData.allTemplates.copyTemplateList.DEFENED).dayTimes--守护副本次数
temp._copyLeagueBossPre = {} --帮派boss血量
temp.activityPopType = 1--活跃度
temp.copy1PopType = 2--材料副本
temp.copy2PopType = 3--降魔
temp.copy3PopType = 4--远征
temp.copy4PopType = 5--炼狱领奖
temp.copy5PopType = 6--守护
temp.signPopType = 8--签到
temp.loginPopType = 9--登录
temp.giftPopType = 12--月卡
temp.skillPopType = 13--技能
temp.arenaPopType = 14--竞技场,混沌战场
temp.petPopType = 16--妖精
temp.riderPopType = 17--坐骑
temp.wingPopType = 18--羽翼
temp.godPopType = 19--足迹
temp.spritePopType = 20--仙灵
temp.fazhenPopType = 21--法阵
temp.longhunPopType = 22--龙魂
temp.strengthPopType = 24--强化
--  	temp.worldPopType = 26--世界BOSS
--  	temp.jingyingPopType = 27--精英BOSS
temp.bossPopType = 28--VIPboss
temp.leaguePopType = 29--帮派申请
temp.findTreaSureType  = 30--宝藏秘境
temp.arenaFightType = 31 --竞技场尊武殿挑战次数
temp.yuanbaoPanelType = 32--充值转盘类型
temp.consumenGiftType = 33--消费赠礼
temp.zhuanXiangType  = 34--专享充值
temp.achievementType   = 36--成就系统
temp.leagueBossPopType = 37--帮派boss
temp.shenmiShopType    = 38--神秘商店
temp.taoYuanType = 39--桃园系统
temp.oathType = 40--结义系统
temp.xianYuanType = 41--仙缘系统
temp.wakeUpType = 42--觉醒提升
temp.partnerType = 43--伙伴系统
temp.petHuaxingType = 44--化形宠物
temp.riderHuaxingType = 45 --化形坐骑
temp.wingHuaxingType = 46 --化形翅膀
temp.washPopType = 47--淘金
temp.fashionType = 48--时装
temp.toWestType = 49--一路向西
temp._petInfo = nil
temp._riderInfo = nil
temp._wingInfo = nil
temp._godInfo = nil
temp._spriteInfo = nil
temp._fazhenInfo = nil
temp._longhunInfo = nil
temp._itemList = {}
temp._count = 0--背包检测计时器
temp._wuhunCount = 0 --武魂升级检测计时器
temp._fiveEquipCount = 0--装备背包检测计时器
temp._getCount = 0--延迟获取数据计时器
temp._checkBoxTime = 0--魔方检测计时器
temp._checkLeagueRequest = 0--获取帮派申请列表计时器
temp._checkWishRequest = 0--获取许愿池计时器
temp._toWestCount = 0--一路向西检测计时器
temp.checkCount = 0
temp._tuiTick = 0
--推送用数据
temp._tuiRiderUpTime = 0--下次坐骑升星时间
temp._tuiPetUpTime = 0--下次宠物升星时间
temp._tuiWingUpTime = 0--下次翅膀升星时间
temp._tuiFootUpTime = 0--下次足迹升星时间
temp._tuiSpriteUpTime = 0--下次精灵升星时间
temp._tuiFazhenUpTime = 0--下次法阵升星时间
temp._tuiLonghunUpTime = 0--下次龙魂升星时间
temp._tuiBOSSTime = 0--下次BOSS可打时间
temp._tuiWestTime = 0--下次西行次数满时间
temp._tuiOnlineTime = 0--下次炼丹炉可领取时间
temp._tuiArenaTime = 0--下次竞技场挑战次数满时间
temp._tuiLeagueWarTime = 0--下次帮战报名时间
return temp
end)
function PlayerInfoTester:ctor()
self.oldLevel = globalData.selfPlayerInfo.level
self:initEvent()
self:leagueBossUpdateHandler()
self:getData()
globalManager.tickManager:addTick(self.checkBoxTick,self)
globalManager.kyPlatformSDK:luaCall({globalManager.kyPlatformSDK.cleanNotify})
end
function PlayerInfoTester:getData()
self._getCount = 0
globalManager.tickManager:addTick(self.getDataTick,self)
end
--延迟请求数据
function PlayerInfoTester:getDataTick(delta,count)
self._getCount = self._getCount + 1
if(self._getCount == 60) then
globalData.messageAdder:getMonthInfo(2)
globalData.messageAdder:getDayAwardInfo()
globalData.messageAdder:getMonthAwardInfo()
globalData.messageAdder:sendGetExchangeList()
globalData.messageAdder:sendLoadPlusInfo(1)
globalData.openInfo:systemHourUpdateHandler()
globalManager.skillUtils:levelUpCheck()
elseif(self._getCount == 100) then
if(globalData.selfPlayerInfo.level >= globalData.newModuleLevelConfig.lianyuLevel) then
globalData.messageAdder:sendCopyMissionResetCount(globalData.allTemplates.copyTemplateList.LIANYU)
end
if(globalData.selfPlayerInfo.level >= globalData.newModuleLevelConfig.expeditionLevel) then
globalData.messageAdder:sendCopyMissionResetCount(globalData.allTemplates.copyTemplateList.EXPEDITION)
end
if(globalData.selfPlayerInfo.level >= globalData.newModuleLevelConfig.findTreasureLevel) then
globalData.messageAdder:findTreasureInfo()
end
if(globalData.selfPlayerInfo.level >= globalData.newModuleLevelConfig.warLevel) then
globalData.messageAdder:sendArenaInfo(2)
end
if(globalData.selfPlayerInfo.level >= globalData.newModuleLevelConfig.arena1Level) then
globalData.messageAdder:sendArenaInfo(1)
end
if(globalData.selfPlayerInfo.level >= globalData.newModuleLevelConfig.worldBossLevel) then
globalData.messageAdder:sendBossUpdate()
globalData.messageAdder:getWorldBossVipInfo()
end
if(globalData.selfPlayerInfo.level >= globalData.newModuleLevelConfig.warLevel) then
globalData.messageAdder:sendArenaRank(0,1)
end
if(globalData.selfPlayerInfo.level >= globalData.newModuleLevelConfig.chaosLevel)then
globalData.messageAdder:sendGetPlayerInfo3V3()
end
if(globalData.oathInfo.oathPosition > 0) then
self:checkTaoYuanCopy()
end
self:resetData()
globalManager.tickManager:removeTick(self.getDataTick,self)
end
end
function PlayerInfoTester:resetData()
if(globalData.selfPlayerInfo.level >= globalData.newModuleLevelConfig.clubLevel)then
if(globalData.leagueInfo.id > 0)then
globalData.messageAdder:sendLeagueBossInfoList()
end
end
end
function PlayerInfoTester:initEvent()
globalData.selfPlayerInfo:addEventListener(globalData.globalEventType.playerInfo_level,self.updateLevel,self)
-- globalData.skillList:addEventListener(globalData.globalEventType.playerInfo_skillList,self.checkSkill,self)
globalData.activityInfo:addEventListener(globalData.globalEventType.activity_award,self.checkActivity,self)
globalData.copyInfo:addEventListener(globalData.globalEventType.playerInfo_copyDataUpdate,self.copyDataUpdate,self)
globalData.copyInfo:addEventListener(globalData.globalEventType.playerInfo_copyCount,self.copyUpdate,self)
globalData.copyInfo:addEventListener(globalData.globalEventType.playerInfo_copyTodayMax,self.copyUpdate,self)
globalData.copyInfo:addEventListener(globalData.globalEventType.playerInfo_copyMissionAward,self.copyLYUpdate,self)
globalData.welfareInfo:addEventListener(globalData.globalEventType.playerInfo_signUpdate,self.welfareMonthUpdate,self)
globalData.welfareInfo:addEventListener(globalData.globalEventType.playerInfo_loginUpdate,self.welfareDayUpdate,self)
globalData.welfareInfo:addEventListener(globalData.globalEventType.playerInfo_monthInfo,self.giftUpdate,self)
globalData.goodsInfoList:addEventListener(globalData.globalEventType.playerInfo_itemUpdate,self.goodsUpdate,self)
globalData.goodsInfoList:addEventListener(globalData.globalEventType.playerInfo_equipUpdate,self.fiveEquipUpdate,self)
globalData.oathInfo:addEventListener(globalData.globalEventType.playerInfo_oath,self.checkOath,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_reConnect,self.reConnectHandler,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.playerInfo_selfInfo,self.getData,self)
globalData.arena1Info:addEventListener(globalData.globalEventType.arenaInfo_canAward,self.checkArena1,self)
globalData.arena1Info:addEventListener(globalData.globalEventType.arenaInfo_max,self.checkArena1,self)
globalData.worldBossVipInfo:addEventListener(globalData.globalEventType.playerInfo_worldBossVipTime,self.checkBoss,self)
globalData.worldBossVipInfo:addEventListener(globalData.globalEventType.sceneInfo_worldBossList,self.checkBoss,self)
globalData.copyInfo:addEventListener(globalData.globalEventType.playerInfo_copyCount,self.copyExUpdate,self)
globalData.leagueInfo:addEventListener(globalData.globalEventType.league_requestList, self.leagueRequestListUpdateHandler, self)
globalData.findTreasureInfo:addEventListener(globalData.globalEventType.findTreasureOpenCard_update,self.checkFindTreasure,self)
globalData.findTreasureInfo:addEventListener(globalData.globalEventType.needExchange_popData,self.checkNeedExchange,self)
globalData.zhuanPanInfo:addEventListener(globalData.globalEventType.zhuanpan_Yuanbao_pick,self.checkYuanbaoPanel,self)
globalData.zhuanPanInfo:addEventListener(globalData.globalEventType.zhuanpan_infoUpdate,self.checkYuanbaoPanel,self)
globalData.consumenGiftInfo:addEventListener(globalData.globalEventType.consumen_infoUpdate,self.checkConsumenGiftPanel,self)
globalData.consumenGiftInfo:addEventListener(globalData.globalEventType.consumen_showUpdate,self.checkConsumenGiftPanel,self)
globalData.selfPlayerInfo.moneyInfo:addEventListener(globalData.globalEventType.playerInfo_money,self.checkConsumenGiftPanel,self)
globalData.selfPlayerInfo.moneyInfo:addEventListener(globalData.globalEventType.playerInfo_money,self.checkZhuanXiangPanel,self)
globalData.selfPlayerInfo.moneyInfo:addEventListener(globalData.globalEventType.playerInfo_money,self.wuhunUpdate,self)
globalData.consumenGiftInfo:addEventListener(globalData.globalEventType.charge_infoUpdate,self.checkZhuanXiangPanel,self)
globalData.consumenGiftInfo:addEventListener(globalData.globalEventType.charge_showUpdate,self.checkZhuanXiangPanel,self)
globalData.leagueInfo:addEventListener(globalData.globalEventType.league_bossHp,self.leagueBossUpdateHandler,self)
globalData.leagueInfo:addEventListener(globalData.globalEventType.league_join,self.resetData,self)
globalData.leagueInfo:addEventListener(globalData.globalEventType.league_level,self.resetData,self)
globalData.shenmiShopInfo:addEventListener(globalData.globalEventType.update_ShenmiShopInfo,self.shenmiShopCheck,self)
globalData.shenmiShopInfo:addEventListener(globalData.globalEventType.update_ShenmiShopBuy,self.shenmiShopCheck,self)
globalData.activityInfo:addEventListener(globalData.globalEventType.activity_achievement_info,self.checkAchievement,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.chaosShowPopIcon,self.checkChaos,self)
globalData.oathInfo:addEventListener(globalData.globalEventType.taoYuanInfoUpdate,self.taoYuanPick,self)
globalData.marryInfo:addEventListener(globalData.globalEventType.playerInfo_marryUpdate,self.checkXianYuanLevelUp,self)
globalData.selfPlayerInfo:addEventListener(globalData.globalEventType.playerInfo_qinmiduUpdate,self.checkXianYuanLevelUp,self)
globalData.selfPlayerInfo:addEventListener(globalData.globalEventType.playerInfo_qinmiduUpdate,self.checkPeishi,self)
globalData.selfPlayerInfo:addEventListener(globalData.globalEventType.playerInfo_wakeUpStateUpdate,self.checkWakeUp,self)
globalData.homeInfo:addEventListener(globalData.globalEventType.home_infoUpdate,self.checkLuckTreeAward,self)
globalData.farmInfo:addEventListener(globalData.globalEventType.farm_infoUpdate,self.checkFarm,self)
globalData.farmInfo:addEventListener(globalData.globalEventType.farm_landUpdate,self.checkFarm,self)
globalData.washGoldInfo:addEventListener(globalData.globalEventType.washGold_times,self.washGoldTipUpdate,self)
globalData.partnerInfo:addEventListener(globalData.globalEventType.update_PartnerInfo,self.checkPartner,self)
globalData.petItemInfo:addEventListener(globalData.globalEventType.playerInfo_petInfo,self.checkPetHandler,self)
globalData.riderItemInfo:addEventListener(globalData.globalEventType.playerInfo_riderInfo,self.checkRiderHandler,self)
globalData.wingItemInfo:addEventListener(globalData.globalEventType.playerInfo_wingInfo,self.checkWingHandler,self)
globalData.fazhenItemInfo:addEventListener(globalData.globalEventType.playerInfo_fazhenInfo,self.checkFazhenHandler,self)
globalData.godItemInfo:addEventListener(globalData.globalEventType.playerInfo_godInfo,self.checkGodHandler,self)
globalData.longhunItemInfo:addEventListener(globalData.globalEventType.playerInfo_longhunInfo,self.checkLonghunHandler,self)
globalData.spriteItemInfo:addEventListener(globalData.globalEventType.playerInfo_spriteInfo,self.checkSpriteHandler,self)
globalData.toWestInfo:addEventListener(globalData.globalEventType.toWest_InfoUpdate,self.toWestUpdate,self)
end
--升级判断
function PlayerInfoTester:updateLevel(evt)
if(self.oldLevel == globalData.selfPlayerInfo.level) then return end
if(self.oldLevel ~= 0) then
--等级到之后自动领取法阵和龙魂
if(globalData.selfPlayerInfo.level >= globalData.newModuleLevelConfig.fazhenLevel and globalData.fazhenItemInfo.stage == 0) then
globalData.messageAdder:sendActiveFazhen()
elseif(globalData.selfPlayerInfo.level >= globalData.newModuleLevelConfig.longhunLevel and globalData.longhunItemInfo.stage == 0) then
globalData.messageAdder:sendActiveLonghun()
end
end
self.oldLevel = globalData.selfPlayerInfo.level
--自动学习新技能（Lv1免费技能）
globalManager.skillUtils:levelUpCheck()
-- self:checkSkill()
self:shenmiShopCheck()
--功能屏蔽：觉醒
--self:checkWakeUp()
--屏蔽完成
self:copyLYUpdate()
end
--检测是否有可学技能
function PlayerInfoTester:checkSkill(evt)
local num = 0
local isShow = globalManager.skillUtils:skillUpgradeCheck()
if(isShow ~= self._isShowSkill) then
self._isShowSkill = isShow
self:checkShow()
end
if(isShow) then
num = num + 1
end
if(self._skillNum ~= num) then
self._skillNum = num
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.quickIcon_popData,self,self.skillPopType))
end
end
--检测是否有活跃度奖励可领取
function PlayerInfoTester:checkActivity(evt)
self._isShowActivity = false
if(globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.dailyLevel) then return end
local num = 0
for i = 1,5,1 do
if(globalData.activityInfo.activity >= self._awardActivity[i]) then
if(not globalData.activityInfo.awardList[self._awardActivity[i]]) then
self._isShowActivity = true
num = num + 1
break--只需要判断有或者没有   暂时不需要计数
end
end
end
if(self._activityNum ~= num) then
self._activityNum = num
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.quickIcon_popData,self,self.activityPopType))
self:checkShow()
end
end
function PlayerInfoTester:wuhunUpdate(evt)
self._wuhunCount = 120
globalManager.tickManager:addTick(self.wuhunTick,self)
end
function PlayerInfoTester:wuhunTick(delta,count)
self._wuhunCount = self._wuhunCount - 1
if(self._wuhunCount <= 0) then
self._wuhunCount = 0
globalManager.tickManager:removeTick(self.wuhunTick,self)
self:checkWuhun()
local num = 0
if(self._isShowWuhun ) then num = num + 1 end
if(self._wuHunNum ~= num) then
self._wuHunNum = num
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.quickIcon_popData,self,self.strengthPopType))
end
end
end
function PlayerInfoTester:goodsUpdate(evt)
self._count = 120
globalManager.tickManager:addTick(self.tick,self)
end
function PlayerInfoTester:fiveEquipUpdate(evt)
self._fiveEquipCount = 120
globalManager.tickManager:addTick(self.fiveEquipTick,self)
end
function PlayerInfoTester:toWestUpdate(evt)
self._toWestCount = 300
globalManager.tickManager:addTick(self.toWstTick,self)
end
function PlayerInfoTester:tick(delta,count)
self._count = self._count - 1
if(self._count <= 0) then
self._count = 0
globalManager.tickManager:removeTick(self.tick,self)
self:checkGoods()
end
end
function PlayerInfoTester:fiveEquipTick(delta,count)
self._fiveEquipCount = self._fiveEquipCount - 1
if(self._fiveEquipCount <= 0) then
self._fiveEquipCount = 0
globalManager.tickManager:removeTick(self.fiveEquipTick,self)
self:checkFiveEquip()
self:checkRongLu()
local num = 0
if(self._isShowRonglu) then num = num + 1 end
if(self._rongluNum ~= num) then
self._rongluNum = num
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.quickIcon_popData,self,self.strengthPopType))
end
end
end
function PlayerInfoTester:toWstTick(delta,count)
self._toWestCount = self._toWestCount - 1
if(self._toWestCount <= 0) then
self._toWestCount = 0
globalManager.tickManager:removeTick(self.toWstTick,self)
self:toWestCheck()
end
end
--获取物品数量
function PlayerInfoTester:checkGoods()
self._petInfo = globalData.petItemInfo
self._riderInfo = globalData.riderItemInfo
self._wingInfo = globalData.wingItemInfo
self._godInfo = globalData.godItemInfo
self._spriteInfo = globalData.spriteItemInfo
self._fazhenInfo = globalData.fazhenItemInfo
self._longhunInfo = globalData.longhunItemInfo
local betterItem = nil
self._itemList = {}
for i = 1,42,1 do
table.insert(self._itemList,0)
end
local itemList = globalData.goodsInfoList:getGoodsList()
local tempInfo
for __,value in pairs(itemList) do
tempInfo = value:getTemplate()
if(value ~= nil and not value:outOfDate()) then
if(tempInfo.categoryId == 212 and self._petInfo ~= nil and tempInfo.property1 <= self._petInfo.stage and tempInfo.property2 >= self._petInfo.stage) then
self._itemList[1] = self._itemList[1] + value.count--妖精进阶丹
elseif(tempInfo.categoryId == 214) then
self._itemList[2] = self._itemList[2] + value.count--妖精潜能丹
elseif(tempInfo.categoryId == 213) then
self._itemList[3] = self._itemList[3] + value.count--妖精成长丹
elseif(tempInfo.categoryId == 216 and self._riderInfo ~= nil and tempInfo.property1 <= self._riderInfo.stage and tempInfo.property2 >= self._riderInfo.stage) then
self._itemList[4] = self._itemList[4] + value.count--坐骑进阶丹
elseif(tempInfo.categoryId == 218) then
self._itemList[5] = self._itemList[5] + value.count--坐骑潜能丹
elseif(tempInfo.categoryId == 217) then
self._itemList[6] = self._itemList[6] + value.count--坐骑成长丹
elseif(tempInfo.categoryId == 226 and self._wingInfo ~= nil and tempInfo.property1 <= self._wingInfo.stage and tempInfo.property2 >= self._wingInfo.stage) then
self._itemList[7] = self._itemList[7] + value.count--羽翼进阶丹
elseif(tempInfo.categoryId == 228) then
self._itemList[8] = self._itemList[8] + value.count--羽翼潜能丹
elseif(tempInfo.categoryId == 227) then
self._itemList[9] = self._itemList[9] + value.count--羽翼成长丹
elseif(tempInfo.categoryId == 222 and self._godInfo ~= nil and tempInfo.property1 <= self._godInfo.stage and tempInfo.property2 >= self._godInfo.stage) then
self._itemList[10] = self._itemList[10] + value.count--足迹进阶丹
elseif(tempInfo.categoryId == 224) then
self._itemList[11] = self._itemList[11] + value.count--足迹潜能丹
elseif(tempInfo.categoryId == 223) then
self._itemList[12] = self._itemList[12] + value.count--足迹成长丹
elseif(tempInfo.categoryId == 230 and self._spriteInfo ~= nil and tempInfo.property1 <= self._spriteInfo.stage and tempInfo.property2 >= self._spriteInfo.stage) then
self._itemList[13] = self._itemList[13] + value.count--仙灵进阶丹
elseif(tempInfo.categoryId == 232) then
self._itemList[14] = self._itemList[14] + value.count--仙灵潜能丹
elseif(tempInfo.categoryId == 231) then
self._itemList[15] = self._itemList[15] + value.count--仙灵成长丹
elseif(tempInfo.templateId == globalData.allStaticTypes.categoryType.NORMAL_STONE) then
self._itemList[16] = self._itemList[16] + value.count--强化石
elseif(tempInfo.templateId == globalData.allStaticTypes.categoryType.SUPER_STONE) then
self._itemList[17] = self._itemList[17] + value.count--超级强化石
elseif(tempInfo.templateId == globalData.allStaticTypes.categoryType.EPIC_STONE) then
self._itemList[42] = self._itemList[42] + value.count--超超级强化石
elseif(tempInfo.categoryId == 209) then
self._itemList[18] = self._itemList[18] + value.count--红宝石
elseif(tempInfo.categoryId == 210) then
self._itemList[19] = self._itemList[19] + value.count--蓝宝石
elseif(tempInfo.categoryId == 211) then
self._itemList[20] = self._itemList[20] + value.count--紫宝石
elseif(tempInfo.categoryId == 280 and self._fazhenInfo ~= nil and tempInfo.property1 <= self._fazhenInfo.stage and tempInfo.property2 >= self._fazhenInfo.stage) then
self._itemList[23] = self._itemList[23] + value.count--法阵进阶丹
elseif(tempInfo.categoryId == 282) then
self._itemList[24] = self._itemList[24] + value.count--法阵潜能丹
elseif(tempInfo.categoryId == 281) then
self._itemList[25] = self._itemList[25] + value.count--法阵成长丹
elseif(tempInfo.categoryId == 284 and self._longhunInfo ~= nil and tempInfo.property1 <= self._longhunInfo.stage and tempInfo.property2 >= self._longhunInfo.stage) then
self._itemList[26] = self._itemList[26] + value.count--龙魂进阶丹
elseif(tempInfo.categoryId == 286) then
self._itemList[27] = self._itemList[27] + value.count--龙魂潜能丹
elseif(tempInfo.categoryId == 285) then
self._itemList[28] = self._itemList[28] + value.count--龙魂成长丹
elseif(tempInfo.categoryId == 291) then
self._itemList[35] = self._itemList[35] + value.count--坐骑飞升丹
elseif(tempInfo.categoryId == 292) then
self._itemList[36] = self._itemList[36] + value.count--妖精飞升丹
elseif(tempInfo.categoryId == 293) then
self._itemList[37] = self._itemList[37] + value.count--羽翼飞升丹
elseif(tempInfo.categoryId == 294) then
self._itemList[38] = self._itemList[38] + value.count--足迹飞升丹
elseif(tempInfo.categoryId == 295) then
self._itemList[39] = self._itemList[39] + value.count--仙灵飞升丹
elseif(tempInfo.categoryId == 296) then
self._itemList[40] = self._itemList[40] + value.count--法阵飞升丹
elseif(tempInfo.categoryId == 297) then
self._itemList[41] = self._itemList[41] + value.count--龙魂飞升丹
elseif(tempInfo.categoryId == 298) then
self._itemList[28 + tempInfo.property1] = self._itemList[28 + tempInfo.property1] + value.count--29-32技能书  33预留给技能书
elseif(tempInfo.categoryId == 275)then
self._itemList[34] = self._itemList[34] + value.count --万能进阶丹
elseif(betterItem == nil and globalData.allStaticTypes.categoryType:IsEquip(value:getTemplate().categoryId)) then
if(value:getTemplate().needCareer == 0 or value:getTemplate().needCareer == globalData.allStaticTypes.careerType:getCareer(globalData.selfPlayerInfo.career)) then
local placeList = globalData.allStaticTypes.categoryType:getEquipPlace(value:getTemplate().categoryId)
local equipGoods = globalData.goodsInfoList:getGoodsByPlace(placeList[1])
if(equipGoods == nil or equipGoods.stage < value.stage or (equipGoods.stage == value.stage and equipGoods.strengthLevel < value.strengthLevel)) then
betterItem = value
end
end
end
end
end
self:checkPetHandler()
self:checkPetTalent()
self:checkRiderHandler()
self:checkRiderTalent()
self:checkAchievement()
self:checkWingHandler()
self:checkGodHandler()
self:checkSpriteHandler()
self:checkFazhenHandler()
self:checkLonghunHandler()
self:checkStrength()
self:checkAdvance()
self:checkRongLu()
self:checkWuhun()
-- self:checkSkill()
self:checkShow()
self:leagueBossUpdateHandler()
self:shenmiShopCheck()
self:checkOperateActivePop()
self:checkPartner()
self:checkPetHuaxingHandler()
self:checkRiderHuaxingHandler()
self:checkWingHuaxingHandler()
self:checkFashion()
--功能屏蔽：配饰 、工坊、家园、觉醒、桃园、结义
-- self:checkPeishi()
-- self:checkFactoryExchange()
-- self:checkHomeLevelUp()
-- self:checkWakeUp()
-- self:checkOath()
-- self:checkTaoYuanCopy()
--屏蔽完成
--时装
local num = 0
if(self._isShowFashion) then num = num + 1 end
if(self._fashionNum ~= num) then
self._fashionNum = num
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.quickIcon_popData,self,self.fashionType))
end
local num = 0
if(self._isShowPetTalent) then num = num + 1 end
if(self._petTalantNum ~= num) then
self._petTalantNum = num
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.quickIcon_popData,self,self.petPopType))
end
local num = 0
if(self._isShowRiderTalent)then num = num + 1 end
if(self._riderTalentNum ~= num)then
self._riderTalentNum = num
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.quickIcon_popData,self,self.riderPopType))
end
local num = 0
if(self._isShowAchievement)then num = num + 1 end
if(self._achievementNum ~= num)then
self._achievementNum = num
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.quickIcon_popData,self,self.achievementType))
end
local num = 0
if(self._isShowStrength) then num = num + 1 end
if(self._strengthNum ~= num) then
self._strengthNum = num
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.quickIcon_popData,self,self.strengthPopType))
end
local num = 0
if(self._isShowAdvance) then num = num + 1 end
if(self._advancedNum ~= num) then
self._advancedNum = num
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.quickIcon_popData,self,self.strengthPopType))
end
local num = 0
if(self._isShowRonglu) then num = num + 1 end
if(self._rongluNum ~= num) then
self._rongluNum = num
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.quickIcon_popData,self,self.strengthPopType))
end
local num = 0
if(self._isShowWuhun ) then num = num + 1 end
if(self._wuHunNum ~= num) then
self._wuHunNum = num
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.quickIcon_popData,self,self.strengthPopType))
end
--检测可使用道具
if(globalData.isCheckCanUseItem) then
globalManager.goodsInfoTester:checkCanUseItem()
end
if(betterItem ~= nil) then
globalManager.containerManager:showUseItemPanel(betterItem)
end
globalManager.openInfoTester:checkExchangeHandler()  --检测极品兑换角标
globalManager.openInfoTester:checkGoldMonkeyHandler()       --检测金猴献礼角标
end
function PlayerInfoTester:checkPetHuaxingHandler()
local state = self:checkHuaxingPet()
local num = 0
if(state) then num = num + 1 end
if(self._petHuaxingNum  ~= num) then
self._petHuaxingNum = num
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.quickIcon_popData,self,self.petHuaxingType))
end
end
function PlayerInfoTester:checkPetHandler()
self:checkPet()
local num = 0
if(self._isShowPet) then num = num + 1 end
if(self._petNum ~= num) then
self._petNum = num
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.quickIcon_popData,self,self.petPopType))
end
self:fiveEquipUpdate()
end
function PlayerInfoTester:checkRiderHuaxingHandler()
local state = self:checkHuaxingRider()
local num = 0
if(state) then num = num + 1 end
if(self._riderHuaxingNum ~= num) then
self._riderHuaxingNum = num
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.quickIcon_popData,self,self.riderHuaxingType))
end
end
function PlayerInfoTester:checkRiderHandler()
self:checkRider()
local num = 0
if(self._isShowRider) then num = num + 1 end
if(self._riderNum ~= num) then
self._riderNum = num
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.quickIcon_popData,self,self.riderPopType))
end
self:fiveEquipUpdate()
end
function PlayerInfoTester:checkWingHuaxingHandler()
local state = self:checkHuaxingWing()
local num = 0
if(state) then num = num + 1 end
if(self._wingHuaxingNum ~= num) then
self._wingHuaxingNum = num
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.quickIcon_popData,self,self.wingHuaxingType))
end
end
function PlayerInfoTester:checkWingHandler()
self:checkWing()
local num = 0
if(self._isShowWing) then num = num + 1 end
if(self._wingNum ~= num) then
self._wingNum = num
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.quickIcon_popData,self,self.wingPopType))
end
self:fiveEquipUpdate()
end
function PlayerInfoTester:checkGodHandler()
self:checkGod()
local num = 0
if(self._isShowGod) then num = num + 1 end
if(self._godNum ~= num) then
self._godNum = num
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.quickIcon_popData,self,self.godPopType))
end
self:fiveEquipUpdate()
end
function PlayerInfoTester:checkSpriteHandler()
self:checkSprite()
local num = 0
if(self._isShowSprite) then num = num + 1 end
if(self._spriteNum ~= num) then
self._spriteNum = num
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.quickIcon_popData,self,self.spritePopType))
end
self:fiveEquipUpdate()
end
function PlayerInfoTester:checkLonghunHandler()
self:checkLonghun()
local num = 0
if(self._isShowLonghun) then num = num + 1 end
if(self._longhunNum ~= num) then
self._longhunNum = num
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.quickIcon_popData,self,self.longhunPopType))
end
self:fiveEquipUpdate()
end
function PlayerInfoTester:checkFazhenHandler()
self:checkFazhen()
local num = 0
if(self._isShowFazhen) then num = num + 1 end
if(self._fazhenNum ~= num) then
self._fazhenNum = num
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.quickIcon_popData,self,self.fazhenPopType))
end
self:fiveEquipUpdate()
end
function PlayerInfoTester:checkFiveEquip()
local betterItem = nil
local itemList = globalData.goodsInfoList:getGoodsList()
local tempInfo
for __,value in pairs(itemList) do
tempInfo = value:getTemplate()
if(betterItem == nil and value ~= nil and not value:outOfDate() and
globalData.allStaticTypes.categoryType:IsFiveEquip(value:getTemplate().categoryId) and
globalData.fiveEquipList:getStageByType(value:getTemplate().property2) >= value.stage) then
local equipGoods = globalData.fiveEquipList:getFiveEquipInfo(value:getTemplate().property2,globalData.allTemplates.fiveEquipTemplateList:getTemplate(value:getTemplate().property1).place)
if(equipGoods == nil or equipGoods.stage < value.stage or (equipGoods.stage == value.stage and equipGoods.level < value.strengthLevel)) then
betterItem = value
end
end
end
if(betterItem ~= nil) then
globalManager.containerManager:showUseItemPanel(betterItem)
end
end
function PlayerInfoTester:checkOperateActivePop()
--检测公测活动兑换
local operateActiveList = globalData.allTemplates.exchangeTemplateList:getOperateActiveLise(1)
for index,info in pairs(operateActiveList) do
local goods1 = globalData.goodsInfoList:getGoodsCount(info.materialIds[1].goodsTemplateId,1)
local goods2 = globalData.goodsInfoList:getGoodsCount(info.materialIds[2].goodsTemplateId,1)
if info.materialIds[2].goodsTemplateId == globalData.allStaticTypes.categoryType.copperItem then
goods2 = globalData.selfPlayerInfo.moneyInfo.copper
end
if(goods1 >= info.materialIds[1].count and goods2 >= info.materialIds[2].count) then
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.operateIcon_popData,self,true))
return
end
end
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.operateIcon_popData,self,false))
end
--检测妖精是否可强化
function PlayerInfoTester:checkPet()
self._isShowPet = false
if(self._petInfo == nil) then return end
local currentInfo = globalData.allTemplates.petTemplateList:getTemplate(self._petInfo.stage)
if(currentInfo == nil) then return end
if(currentInfo.maxQianNeng > self._petInfo.qianneng and self._itemList[2] > 0) then
self._isShowPet = true
return
end
if(currentInfo.maxChengZhang > self._petInfo.chengzhang and self._itemList[3] > 0) then
self._isShowPet = true
return
end
if(currentInfo.maxFeiSheng > self._petInfo.feisheng and self._itemList[36] > 0) then
self._isShowPet = true
return
end
if(self:checkHuaxingPet()) then return end
self._isShowPet = self:checkPetUpTime() or false
end
function PlayerInfoTester:checkPetUpTime()
if(globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.petLevel) then return end
if(self._petInfo == nil) then return end
if(self._petInfo.stage < self.MAXSTAGE) then
local systemTime = math.floor(globalData.systemDateInfo:getSystemTime()*0.001)
local time = self._petInfo.wishDate
local currentInfo = globalData.allTemplates.petTemplateList:getTemplate(self._petInfo.stage)
if(currentInfo == nil) then return end
self._tuiPetUpTime = currentInfo.upStarTime + time
if(self._tuiPetUpTime <= systemTime) then
return true
end
end
end
--检测妖精天赋是否可以提升
function PlayerInfoTester:checkPetTalent()
self._isShowPetTalent = false
if(globalData.petItemInfo.stage < 4) then return end
local materialIdList = {160143,160144,160145,160146,160147,160148,160149}
for index,value in pairs(globalData.petItemInfo.talentList) do
if(globalData.goodsInfoList:getGoodsCount(materialIdList[index],1) >= self:getNeedCounts(value + 1))then
self._isShowPetTalent = true
return
end
end
end
function PlayerInfoTester:checkHuaxingRider()
local infoList   = {}
local jinHuaList = {}
local huaXingList= {}
infoList = globalData.allTemplates.huaxingTemplateList.riderList
jinHuaList  = globalData.riderItemInfo.jinHuaList
huaXingList = globalData.riderItemInfo.huaXing
for id,info in pairs(infoList) do
local index = globalManager.commonUtils:getIndexOfTable(huaXingList,info.id)
if(index == -1)then
local goodsNum     = globalData.goodsInfoList:getGoodsCount(info.itemList[1][1],1)
local templateInfo = globalData.allTemplates.huaxingTemplateList:getInfoByTypeAndId(globalData.allStaticTypes.petXiaofeiType.ZUOQI,info.id)
if(goodsNum >= info.itemList[1][2])then
self._isShowRider = true
self._isShowRiderHuaxing = true
return true
end
else
local tempList = globalData.allTemplates.huaXingStarTemplateList:getTemplateByidAndType(info.id,globalData.allStaticTypes.petXiaofeiType.ZUOQI)
local tempInfo = nil
if(jinHuaList[info.id] == nil or jinHuaList[info.id] == 0)then
for __,info in pairs(tempList) do
if(info.level == 1)then
tempInfo = info
end
end
local goodsNum     = globalData.goodsInfoList:getGoodsCount(tempInfo.amountList[1][1],1)
local templateInfo = globalData.allTemplates.huaxingTemplateList:getInfoByTypeAndId(globalData.allStaticTypes.petXiaofeiType.ZUOQI,info.id)
if(goodsNum >= tempInfo.amountList[1][2])then
self._isShowRider = true
self._isShowRiderHuaxing = true
return true
end
else
for __,info in pairs(tempList) do
if(info.level == jinHuaList[info.templateId] + 1)then
tempInfo = info
end
end
if(jinHuaList[info.id] < 5)then
local goodsNum = globalData.goodsInfoList:getGoodsCount(tempInfo.amountList[1][1],1)
if(goodsNum >= tempInfo.amountList[1][2])then
self._isShowRider = true
self._isShowRiderHuaxing = true
return true
end
end
end
end
end
return false
end
function PlayerInfoTester:checkHuaxingWing()
local infoList   = {}
local jinHuaList = {}
local huaXingList= {}
infoList = globalData.allTemplates.huaxingTemplateList.wingList
jinHuaList  = globalData.wingItemInfo.jinHuaList
huaXingList = globalData.wingItemInfo.huaXing
for id,info in pairs(infoList) do
local index = globalManager.commonUtils:getIndexOfTable(huaXingList,info.id)
if(index == -1)then
local goodsNum     = globalData.goodsInfoList:getGoodsCount(info.itemList[1][1],1)
local templateInfo = globalData.allTemplates.huaxingTemplateList:getInfoByTypeAndId(globalData.allStaticTypes.petXiaofeiType.CHIBANG,info.id)
if(goodsNum >= info.itemList[1][2])then
self._isShowWing = true
self._isShowWingHuaxing = true
return true
end
else
local tempList = globalData.allTemplates.huaXingStarTemplateList:getTemplateByidAndType(info.id,globalData.allStaticTypes.petXiaofeiType.CHIBANG)
local tempInfo = nil
if(jinHuaList[info.id] == nil or jinHuaList[info.id] == 0)then
for __,info in pairs(tempList) do
if(info.level == 1)then
tempInfo = info
end
end
local goodsNum     = globalData.goodsInfoList:getGoodsCount(tempInfo.amountList[1][1],1)
local templateInfo = globalData.allTemplates.huaxingTemplateList:getInfoByTypeAndId(globalData.allStaticTypes.petXiaofeiType.CHIBANG,info.id)
if(goodsNum >= tempInfo.amountList[1][2])then
self._isShowWing = true
self._isShowWingHuaxing = true
return true
end
else
for __,info in pairs(tempList) do
if(info.level == jinHuaList[info.templateId] + 1)then
tempInfo = info
end
end
if(jinHuaList[info.id] < 5)then
local goodsNum = globalData.goodsInfoList:getGoodsCount(tempInfo.amountList[1][1],1)
if(goodsNum >= tempInfo.amountList[1][2])then
self._isShowWing = true
self._isShowWingHuaxing = true
return true
end
end
end
end
end
return false
end
function PlayerInfoTester:checkHuaxingPet()
local infoList   = {}
local jinHuaList = {}
local huaXingList= {}
infoList = globalData.allTemplates.huaxingTemplateList.petList
jinHuaList  = globalData.petItemInfo.jinHuaList
huaXingList = globalData.petItemInfo.huaXing
for id,info in pairs(infoList) do
local index = globalManager.commonUtils:getIndexOfTable(huaXingList,info.id)
if(index == -1)then
local goodsNum     = globalData.goodsInfoList:getGoodsCount(info.itemList[1][1],1)
local templateInfo = globalData.allTemplates.huaxingTemplateList:getInfoByTypeAndId(globalData.allStaticTypes.petXiaofeiType.CHONGWU,info.id)
if(goodsNum >= info.itemList[1][2])then
self._isShowPet = true
self._isShowPetHuaxing = true
return true
end
else
local tempList = globalData.allTemplates.huaXingStarTemplateList:getTemplateByidAndType(info.id,globalData.allStaticTypes.petXiaofeiType.CHONGWU)
local tempInfo = nil
if(jinHuaList[info.id] == nil or jinHuaList[info.id] == 0)then
for __,info in pairs(tempList) do
if(info.level == 1)then
tempInfo = info
end
end
local goodsNum     = globalData.goodsInfoList:getGoodsCount(tempInfo.amountList[1][1],1)
local templateInfo = globalData.allTemplates.huaxingTemplateList:getInfoByTypeAndId(globalData.allStaticTypes.petXiaofeiType.CHONGWU,info.id)
if(goodsNum >= tempInfo.amountList[1][2])then
self._isShowPet = true
self._isShowPetHuaxing = true
return true
end
else
for __,info in pairs(tempList) do
if(info.level == jinHuaList[info.templateId] + 1)then
tempInfo = info
end
end
if(jinHuaList[info.id] < 5)then
local goodsNum = globalData.goodsInfoList:getGoodsCount(tempInfo.amountList[1][1],1)
if(goodsNum >= tempInfo.amountList[1][2])then
self._isShowPet = true
self._isShowPetHuaxing = true
return true
end
end
end
end
end
return false
end
--检测坐骑是否可强化
function PlayerInfoTester:checkRider()
self._isShowRider = false
if(self._riderInfo == nil) then return end
local currentInfo = globalData.allTemplates.xiaofeiTemplateList:getTemplate(globalData.allStaticTypes.petXiaofeiType.ZUOQI, self._riderInfo.stage)
if(currentInfo == nil) then return end
-- if(currentInfo.maxQianNeng > self._riderInfo.qianneng and self._itemList[5] > 0) then
-- 	self._isShowRider = true
-- 	return
-- end
-- if(currentInfo.maxChengZhang > self._riderInfo.chengzhang and self._itemList[6] > 0) then
-- 	self._isShowRider = true
-- 	return
-- end
-- if(currentInfo.maxFeiSheng > self._riderInfo.feisheng and self._itemList[35] > 0) then
-- 	self._isShowRider = true
-- 	return
-- end
if(self:checkHuaxingRider()) then return end
self._isShowRider = self:checkRiderUpTime() or false
end
function PlayerInfoTester:checkRiderUpTime()
if(globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.riderLevel) then return end
if(self._riderInfo == nil) then return end
if(self._riderInfo.stage < self.MAXSTAGE) then
local systemTime = math.floor(globalData.systemDateInfo:getSystemTime()*0.001)
local time = self._riderInfo.wishDate
local currentInfo = globalData.allTemplates.xiaofeiTemplateList:getTemplate(globalData.allStaticTypes.petXiaofeiType.ZUOQI, self._riderInfo.stage)
if(currentInfo == nil) then return end
local upStarTime = currentInfo.upStarTime
self._tuiRiderUpTime = upStarTime + time
if(self._tuiRiderUpTime <= systemTime) then
return true
end
end
end
--检测坐骑天赋是否可以提升
function PlayerInfoTester:checkRiderTalent()
self._isShowRiderTalent = false
if(globalData.riderItemInfo.stage < 4) then return end
local materialIdList = {160130,160131,160132,160133,160134,160135,160129}
for index,value in pairs(globalData.riderItemInfo.talentList) do
if(globalData.goodsInfoList:getGoodsCount(materialIdList[index],1) >= self:getNeedCounts(value + 1))then
self._isShowRiderTalent = true
return
end
end
end
--检测成就系统是否可领取
function PlayerInfoTester:checkAchievement()
self._isShowAchievement = false
local achievementTemplate = globalData.allTemplates.activityAchievementTemplateList._activityAchievementList
local infoList = globalData.activityInfo.achievementInfoList
for type,info in pairs(achievementTemplate) do
local currentInfoList = infoList[type]
local templateInfo    = nil
if(info == nil)then return end
if(currentInfoList == nil)then
templateInfo = info[1]
else
for index,value in pairs(info) do
local index1 = globalManager.commonUtils:getIndexOfTable(currentInfoList[4],index)
if(index1 == -1)then
templateInfo = info[index]
break
end
end
end
if(templateInfo ~= nil)then
if(currentInfoList ~= nil)then
local index = globalManager.commonUtils:getIndexOfTable(currentInfoList[4],templateInfo.id)
if(currentInfoList[2] == 1)then
if(templateInfo.type == 21)then
if(templateInfo.condition <= globalData.activityInfo.achievementCount and index == -1)then
self._isShowAchievement = true
break
end
else
if(templateInfo.condition <= currentInfoList[3] and index == -1) then
self._isShowAchievement = true
break
end
end
elseif(currentInfoList[2] == 2)then
if(templateInfo.condition >= currentInfoList[3] and index == -1)then
self._isShowAchievement = true
break
end
end
else
if(info[1].type == 21)then
if(globalData.activityInfo.achievementCount >= info[1].condition)then
self._isShowAchievement = true
break
end
end
end
end
end
end
function PlayerInfoTester:getNeedCounts(nextLevel)
local needMatrial = 0
if(nextLevel > 0 and nextLevel % 2 == 1)then
needMatrial = (nextLevel + 1) / 2
else
needMatrial = nextLevel / 2
end
return needMatrial
end
--检测羽翼是否可强化
function PlayerInfoTester:checkWing()
self._isShowWing = false
if(self._wingInfo == nil) then return end
local currentInfo = globalData.allTemplates.xiaofeiTemplateList:getTemplate(globalData.allStaticTypes.petXiaofeiType.CHIBANG, self._wingInfo.stage)
if(currentInfo == nil) then return end
-- if(currentInfo.maxQianNeng > self._wingInfo.qianneng and self._itemList[8] > 0) then
-- 	self._isShowWing = true
-- 	return
-- end
-- if(currentInfo.maxChengZhang > self._wingInfo.chengzhang and self._itemList[9] > 0) then
-- 	self._isShowWing = true
-- 	return
-- end
-- if(currentInfo.maxFeiSheng > self._wingInfo.feisheng and self._itemList[37] > 0) then
-- 	self._isShowWing = true
-- 	return
-- end
if(self:checkHuaxingWing())then return end
self._isShowWing = self:checkWingUpTime() or false
end
function PlayerInfoTester:checkWingUpTime()
if(globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.wingLevel) then return end
if(self._wingInfo == nil) then return end
if(self._wingInfo.stage < self.MAXSTAGE) then
local systemTime = math.floor(globalData.systemDateInfo:getSystemTime()*0.001)
local time = self._wingInfo.wishDate
local currentInfo = globalData.allTemplates.xiaofeiTemplateList:getTemplate(globalData.allStaticTypes.petXiaofeiType.CHIBANG, self._wingInfo.stage)
if(currentInfo == nil) then return end
self._tuiWingUpTime = currentInfo.upStarTime + time
if(self._tuiWingUpTime <= systemTime) then
return true
end
end
end
--检测足迹是否可强化
function PlayerInfoTester:checkGod()
self._isShowGod = false
if(self._godInfo == nil) then return end
local currentInfo = globalData.allTemplates.xiaofeiTemplateList:getTemplate(globalData.allStaticTypes.petXiaofeiType.SHENBING, self._godInfo.stage)
if(currentInfo == nil) then return end
-- if(currentInfo.maxQianNeng > self._godInfo.qianneng and self._itemList[11] > 0) then
-- 	self._isShowGod = true
-- 	return
-- end
-- if(currentInfo.maxChengZhang > self._godInfo.chengzhang and self._itemList[12] > 0) then
-- 	self._isShowGod = true
-- 	return
-- end
-- if(currentInfo.maxFeiSheng > self._godInfo.feisheng and self._itemList[38] > 0) then
-- 	self._isShowGod = true
-- 	return
-- end
self._isShowGod = self:checkGodUpTime() or false
end
function PlayerInfoTester:checkGodUpTime()
if(globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.weaponLevel) then return end
if(self._godInfo == nil) then return end
if(self._godInfo.stage < self.MAXSTAGE) then
local systemTime = math.floor(globalData.systemDateInfo:getSystemTime()*0.001)
local time = self._godInfo.wishDate
local currentInfo = globalData.allTemplates.xiaofeiTemplateList:getTemplate(globalData.allStaticTypes.petXiaofeiType.SHENBING, self._godInfo.stage)
if(currentInfo == nil) then return end
self._tuiFootUpTime = currentInfo.upStarTime + time
if(self._tuiFootUpTime <= systemTime) then
return true
end
end
end
--检测仙灵是否可强化
function PlayerInfoTester:checkSprite()
self._isShowSprite = false
if(self._spriteInfo == nil) then return end
local currentInfo = globalData.allTemplates.xiaofeiTemplateList:getTemplate(globalData.allStaticTypes.petXiaofeiType.JINGLING, self._spriteInfo.stage)
if(currentInfo == nil) then return end
-- if(currentInfo.maxQianNeng > self._spriteInfo.qianneng and self._itemList[14] > 0) then
-- 	self._isShowSprite = true
-- 	return
-- end
-- if(currentInfo.maxChengZhang > self._spriteInfo.chengzhang and self._itemList[15] > 0) then
-- 	self._isShowSprite = true
-- 	return
-- end
-- if(currentInfo.maxFeiSheng > self._spriteInfo.feisheng and self._itemList[39] > 0) then
-- 	self._isShowSprite = true
-- 	return
-- end
self._isShowSprite = self:checkSpriteUpTime() or false
end
function PlayerInfoTester:checkSpriteUpTime()
if(globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.spriteLevel) then return end
if(self._spriteInfo == nil) then return end
if(self._spriteInfo.stage < self.MAXSTAGE) then
local systemTime = math.floor(globalData.systemDateInfo:getSystemTime()*0.001)
local time = self._spriteInfo.wishDate
local currentInfo = globalData.allTemplates.xiaofeiTemplateList:getTemplate(globalData.allStaticTypes.petXiaofeiType.JINGLING, self._spriteInfo.stage)
if(currentInfo == nil) then return end
self._tuiSpriteUpTime = currentInfo.upStarTime + time
if(self._tuiSpriteUpTime <= systemTime) then
return true
end
end
end
--检测法阵是否可强化
function PlayerInfoTester:checkFazhen()
self._isShowFazhen = false
if(self._fazhenInfo == nil) then return end
local currentInfo = globalData.allTemplates.xiaofeiTemplateList:getTemplate(globalData.allStaticTypes.petXiaofeiType.FAZHEN, self._fazhenInfo.stage)
if(currentInfo == nil) then return end
-- if(currentInfo.maxQianNeng > self._fazhenInfo.qianneng and self._itemList[24] > 0) then
-- 	self._isShowFazhen = true
-- 	return
-- end
-- if(currentInfo.maxChengZhang > self._fazhenInfo.chengzhang and self._itemList[25] > 0) then
-- 	self._isShowFazhen = true
-- 	return
-- end
-- if(currentInfo.maxFeiSheng > self._fazhenInfo.feisheng and self._itemList[40] > 0) then
-- 	self._isShowFazhen = true
-- 	return
-- end
self._isShowFazhen = self:checkFazhenUpTime() or false
end
function PlayerInfoTester:checkFazhenUpTime()
if(globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.fazhenLevel) then return end
if(self._fazhenInfo == nil) then return end
if(self._fazhenInfo.stage < self.MAXSTAGE) then
local systemTime = math.floor(globalData.systemDateInfo:getSystemTime()*0.001)
local time = self._fazhenInfo.wishDate
local currentInfo = globalData.allTemplates.xiaofeiTemplateList:getTemplate(globalData.allStaticTypes.petXiaofeiType.FAZHEN, self._fazhenInfo.stage)
if(currentInfo == nil) then return end
self._tuiFazhenUpTime = currentInfo.upStarTime + time
if(self._tuiFazhenUpTime <= systemTime) then
return true
end
end
end
--检测龙魂是否可强化
function PlayerInfoTester:checkLonghun()
self._isShowLonghun = false
if(self._longhunInfo == nil) then return end
local currentInfo = globalData.allTemplates.xiaofeiTemplateList:getTemplate(globalData.allStaticTypes.petXiaofeiType.LONGHUN, self._longhunInfo.stage)
if(currentInfo == nil) then return end
-- if(currentInfo.maxQianNeng > self._longhunInfo.qianneng and self._itemList[27] > 0) then
-- 	self._isShowLonghun = true
-- 	return
-- end
-- if(currentInfo.maxChengZhang > self._longhunInfo.chengzhang and self._itemList[28] > 0) then
-- 	self._isShowLonghun = true
-- 	return
-- end
-- if(currentInfo.maxFeiSheng > self._longhunInfo.feisheng and self._itemList[41] > 0) then
-- 	self._isShowLonghun = true
-- 	return
-- end
self._isShowLonghun = self:checkLonghunUpTime() or false
end
function PlayerInfoTester:checkLonghunUpTime()
if(globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.longhunLevel) then return end
if(self._longhunInfo == nil) then return end
if(self._longhunInfo.stage < self.MAXSTAGE) then
local systemTime = math.floor(globalData.systemDateInfo:getSystemTime()*0.001)
local time = self._longhunInfo.wishDate
local currentInfo = globalData.allTemplates.xiaofeiTemplateList:getTemplate(globalData.allStaticTypes.petXiaofeiType.LONGHUN, self._longhunInfo.stage)
if(currentInfo == nil) then return end
self._tuiLonghunUpTime = currentInfo.upStarTime + time
if(self._tuiLonghunUpTime <= systemTime) then
return true
end
end
end
--检测时装是否可提升
function PlayerInfoTester:checkFashion()
self._isShowFashion = false
local fashionInfo  = globalData.fashionInfo
local playerCarrer = globalData.allStaticTypes.careerType:getCareer(globalData.selfPlayerInfo.career)
local templateList = globalData.allTemplates.fashionTemplateList:getInfoByCarrer(playerCarrer)
if(templateList == nil)then return end
local stateFlag    = fashionInfo.currentFashion
local hasIdList    = fashionInfo.hasIdList
local hasStarList  = fashionInfo.hasStarList
local hasStarIdList= fashionInfo.hasStarIdList
for __,info in pairs(templateList) do
local starNextLevel= 0
local index = globalManager.commonUtils:getIndexOfTable(hasIdList,info.templateId)
if(index == -1)then
local tempInfo = globalData.allTemplates.fashionTemplateList:getTemplateById(info.templateId)
if(globalData.goodsInfoList:getGoodsCount(tempInfo.needItem[1][1],1) >=  tempInfo.needItem[1][2])then
self._isShowFashion = true
return
end
else
if(hasStarList[info.templateId] == nil or hasStarList[info.templateId] == 0)then
starNextLevel = 1
elseif(hasStarList[info.templateId] < 5)then
starNextLevel = hasStarList[info.templateId] + 1
else
starNextLevel = 6
end
local needStar = 0
if(starNextLevel <= 1)then
needStar = 1
else
needStar = starNextLevel
end
if(needStar < 6)then
local tempInfo = globalData.allTemplates.fashionStarTemplateList:getTemplateByIdAndStar(info.templateId,needStar)
if(globalData.goodsInfoList:getGoodsCount(tempInfo.amountList[1][1],1) >=  tempInfo.amountList[1][2])then
self._isShowFashion = true
return
end
end
end
end
self._isShowFashion = false
end
--检测伙伴是否可提升
function PlayerInfoTester:checkPartner()
self._isShowPartner = false
local maxPartnerStage = 25
local templateList = globalData.allTemplates.partnerTemplateList.list
for index,currentInfo in pairs(templateList) do
-- local goodsId  = currentInfo.itemList[1]
-- local goodsNum = currentInfo.itemList[2]
-- local hasNum   = globalData.goodsInfoList:getGoodsCount(goodsId,1)
local partnerList = globalData.partnerInfo.partnerList
-- if(partnerList[currentInfo.id] == nil)then
-- 	if(hasNum >= goodsNum)then
-- 		self._isShowPartner = true
-- 	end
-- end
if(partnerList[currentInfo.id] ~= nil)then
local equipList   = partnerList[currentInfo.id].equipList
local stage       = partnerList[currentInfo.id].stage
local matrialList = {}
local state = true
for i = 1,8,1 do
local equipCurrentInfo = globalData.allTemplates.partnerEquipTemplateList:getTemplate(currentInfo.id,i)
local placeLevel = equipList[i]
local len = 0
if(placeLevel ~= nil)then
matrialList = equipCurrentInfo.itemList[placeLevel + 1]
else
matrialList = equipCurrentInfo.itemList[1]
end
local matrialLists = {}
local stateMatrial = {}
if(matrialList == nil)then
matrialList = equipCurrentInfo.itemList[placeLevel]
matrialLists = globalManager.messageUtils:changeStrToIntList(matrialList)
else
matrialLists = globalManager.messageUtils:changeStrToIntList(matrialList)
end
len   = #matrialLists
if(len > 4)then len = 4 end
for j = 1,len,1 do
local hasNum  = globalData.goodsInfoList:getGoodsCount(matrialLists[j][1],1)
local needNum = matrialLists[j][2]
if(hasNum < needNum)then
state = false
else
state = true
end
stateMatrial[matrialLists[j][1]] = state
end
local totalNumsList = {}
local count = 0
for id,state in pairs(stateMatrial) do
if(state == true)then
count = count + 1
totalNumsList[id] = count
end
end
for id,state in pairs(stateMatrial) do
if(totalNumsList[id] ~= nil and totalNumsList[id] >= 4)then
if(equipList[i] ~= nil)then
if( stage < maxPartnerStage and equipList[i] + 1 <= math.ceil( stage / 4 ) )then
self._isShowPartner = true
end
else
self._isShowPartner = true
end
end
end
end
-- local skillTempinfo = nil
-- local skillLevel    = 0
-- for i = 1,4,1 do
-- 	skillTempinfo = globalData.allTemplates.skillTemplateList.skillList[currentInfo.skillId[i]]
-- 	skillLevel    = partnerList[currentInfo.id].skillList[currentInfo.skillId[i]]
-- 	if(skillLevel ~= nil)then
-- 		if(skillTempinfo.needItem[skillLevel] ~= nil)then
-- 			local needNum = skillTempinfo.needItem[skillLevel]
-- 			local hasNum  = globalData.goodsInfoList:getGoodsCount(skillTempinfo.needItemBooks[skillLevel],1)
-- 			print("###########",needNum,hasNum)
-- 			if(hasNum >= needNum)then
-- 				self._isShowPartner = true
-- 				return
-- 			end
-- 		end
-- 	end
-- end
local canUpNum    = 0
local stage = partnerList[currentInfo.id].stage
if(stage < maxPartnerStage)then
local partnertUpTempInfo = globalData.allTemplates.partnerUpTemplateList:getTemplate(stage)
for place,level in pairs(partnerList[currentInfo.id].equipList) do
if(level >= partnertUpTempInfo.equipLevel)then
canUpNum = canUpNum + 1
end
end
if(canUpNum >= partnertUpTempInfo.needCount)then
self._isShowPartner = true
end
end
end
end
--伙伴
local num = 0
if(self._isShowPartner) then num = num + 1 end
if(self._partnerNum ~= num) then
self._partnerNum = num
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.quickIcon_popData,self,self.partnerType))
end
end
--检测时候有装备可以熔炼
function PlayerInfoTester:checkRongLu()
self._isShowRonglu = false
local list = globalData.goodsInfoList:getGoodsList(2)
local secondaryGoods = {}
for k,v in pairs(list) do
local stage = globalData:getXiaoFeiInfoByType(globalData.allTemplates.fiveEquipTemplateList:getTemplate(v:getTemplate().property1).categoryId).stage
if(v.stage <= stage)then
self._isShowRonglu = true
return
else
if(secondaryGoods[v:getTemplate().templateId] == nil)then
secondaryGoods[v:getTemplate().templateId] = {}
end
table.insert(secondaryGoods[v:getTemplate().templateId],v)
end
end
for k,goodsList in pairs(secondaryGoods) do
local hasThisStageTab = {}
for i = 1, #goodsList do
if(hasThisStageTab[goodsList[i].stage])then
self._isShowRonglu = true
return
else
hasThisStageTab[goodsList[i].stage] = true
if(goodsList[i].count > 1)then
self._isShowRonglu = true
return
end
end
end
end
end
function PlayerInfoTester:checkWuhun()
self._isShowWuhun = false
local wuhunLevel  = math.floor((globalData.wuhunInfo.level - 1) / 8 ) + 1
if(wuhunLevel < globalData.allTemplates.wuhunTemplateList.maxLevel)then
local curentTemp = globalData.allTemplates.wuhunTemplateList:getTemplate(wuhunLevel)
if curentTemp == nil then return end
local needCopper = curentTemp.needCopper
if(globalData.selfPlayerInfo.moneyInfo.copper >= needCopper * 10)then
self._isShowWuhun = true
end
end
end
--检测是否有装备可进阶
function PlayerInfoTester:checkAdvance()
self._isShowAdvance = false
local MAXSTAGE = 3
local state = false
local place = -1
local index = 5--装备从武器开始检测，所以顺序为先5-9后0-4
for i = 0,9,1 do
local info = globalData.goodsInfoList:getGoods(index)
if(info ~= nil  and info.stage < MAXSTAGE) then --and info.stage > 0
local needTemp = globalData.allTemplates.furnaceAdvanceTemplateList:getTemplate(info.stage + 1)
if(needTemp.condition[1] <= info.stage and needTemp.condition[2] <= info.strengthLevel) then
local stoneId,stoneNum = needTemp:getNeedInfoByType(info:getTemplate().categoryId)
if(stoneNum <= globalData.goodsInfoList:getGoodsCount(stoneId,1)) then
self._isShowAdvance = true
end
end
end
index = index + 1
if(index > 9) then index = 0 end
end
end
--检测是否有装备可强化
function PlayerInfoTester:checkStrength()
self._isShowStrength = false
self._isShowStrengthPop = false
if(globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.strengthLevel) then return end
local minLevel = 999
local maxLevel = 0
for i = 0,8,1 do
if(i ~= 4) then
local info = globalData.goodsInfoList:getGoods(i)
if(info ~= nil) then
if(minLevel > info.strengthLevel) then
minLevel = info.strengthLevel
end
if(maxLevel < info.strengthLevel) and (info.strengthLevel ~= self.MAXSTRENGTH)then
maxLevel = info.strengthLevel
end
end
end
end
if(minLevel < self.MAXSTRENGTH) then
local costTemp
if(minLevel < self.STONE1LEVEL) then
costTemp = globalData.allTemplates.strengthCostTemplateList:getTemplate(minLevel + 1)
if(costTemp.stoneNum <= self._itemList[16]) then
self._isShowStrength = true
end
elseif(minLevel < self.STONE2LEVEL) then
costTemp = globalData.allTemplates.strengthCostTemplateList:getTemplate(minLevel + 1)
if(costTemp.stoneNum <= self._itemList[17]) then
self._isShowStrength = true
end
else
costTemp = globalData.allTemplates.strengthCostTemplateList:getTemplate(minLevel + 1)
if(costTemp.stoneNum <= self._itemList[42]) then
self._isShowStrength = true
end
end
end
if(maxLevel < self.MAXSTRENGTH) then
local costTemp
if(maxLevel < self.STONE1LEVEL) then
costTemp = globalData.allTemplates.strengthCostTemplateList:getTemplate(maxLevel + 1)
if(costTemp.stoneNum <= self._itemList[16]) then
self._isShowStrengthPop = true
end
elseif(maxLevel < self.STONE2LEVEL) then
costTemp = globalData.allTemplates.strengthCostTemplateList:getTemplate(maxLevel + 1)
if(costTemp.stoneNum <= self._itemList[17]) then
self._isShowStrengthPop = true
end
else
costTemp = globalData.allTemplates.strengthCostTemplateList:getTemplate(maxLevel + 1)
if(costTemp.stoneNum <= self._itemList[42]) then
self._isShowStrengthPop = true
end
end
end
end
--检测结义
function PlayerInfoTester:checkOath()
if (globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.oathLevel) then return end
local costQingYi = 0
local _currentTotle = globalData.oathInfo.oathLevel
if(_currentTotle < 250)then
costQingYi = (_currentTotle + 1) * 10
elseif(_currentTotle >= 250 and _currentTotle < 270)then
costQingYi = math.floor((_currentTotle + 1) * 10 * 1.5)
elseif(_currentTotle >= 270 and _currentTotle < 300)then
costQingYi = math.floor((_currentTotle + 1) * 10 * 2)
end
self._oath = false
if globalData.oathInfo.oathValue >= costQingYi then
self._oath = true
end
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.quickIcon_popData,self,self.oathType))
self:checkShow()
end
--检测尊武殿
function PlayerInfoTester:checkArena1()
if(globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.arena1Level) then return end
local num = 0
if(globalData.arena1Info.canGainAward or globalData.arena1Info.times >= 5) then num = num + 1 end
if(self._fightNum2 ~= globalData.arena1Info.times) then
self._fightNum2 = globalData.arena1Info.times
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.quickIcon_popData,self,self.arenaFightType))
end
self._tuiArenaTime = math.floor(globalData.systemDateInfo:getSystemTime() * 0.001) + (5 - self._fightNum2) * globalData.arena1Info.ADD_TIME_CD
if(self._arenaNum2 ~= num) then
self._arenaNum2 = num
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.quickIcon_popData,self,self.arenaPopType))
end
end
--检测宝藏秘境
function PlayerInfoTester:checkFindTreasure()
if(globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.findTreasureLevel) then return end
local num = 0
if(globalData.findTreasureInfo.openCardNum > 0 or globalData.findTreasureInfo.layer < 10) then
num = num + 1
end
if(self._findTreasureNum ~= num) then
self._findTreasureNum = num
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.quickIcon_popData,self,self.findTreaSureType))
end
end
--检测充值转盘次数
function PlayerInfoTester:checkYuanbaoPanel()
if(not globalData.zhuanPanInfo.isYuanbaoShow and globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.yuanbaoPanelLevel) then return end
local num = 0
local hasCount =  globalData.zhuanPanInfo.hasCount
local rechargeGold = globalData.zhuanPanInfo.rechargeGold
local canCount = math.floor(rechargeGold / 500)
local delta = canCount - hasCount
if(delta > 0) then
num = num + 1
end
if(self._yuanbaoPanelNum ~= num) then
self._yuanbaoPanelNum = num
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.quickIcon_popData,self,self.yuanbaoPanelType))
end
end
--消费赠礼
function PlayerInfoTester:checkConsumenGiftPanel()
if(not globalData.consumenGiftInfo.isShow and globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.consumenGiftLevel) then return end
local num = 0
local template  = globalData.allTemplates.consumenGiftTemplateList.consumenList
local hasIdList = globalData.consumenGiftInfo.hasIdList
local currentConsumen = globalData.consumenGiftInfo.currentConsumen
local selfInfoSign = globalData.selfPlayerInfo.moneyInfo.payValue
local delta = selfInfoSign - currentConsumen
if(delta <= 0)then
delta = 0
end
for __,info in pairs(template) do
if(delta >= info.consumen)then
if(#hasIdList > 0)then
local index = globalManager.commonUtils:getIndexOfTable(hasIdList,info.id)
if(index == -1)then
num = num + 1
break
end
else
num = num + 1
break
end
end
end
if(self._consumenGiftNum ~= num or self._consumenGiftNum >= 1) then
self._consumenGiftNum = num
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.quickIcon_popData,self,self.consumenGiftType))
end
end
function PlayerInfoTester:checkZhuanXiangPanel()
if(not globalData.consumenGiftInfo.chargeShowList[2] and globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.yuanbaoPanelLevel) then return end
local num = 0
local hasIdList    = globalData.consumenGiftInfo.chargeList[3]
local chargeValue  = globalData.selfPlayerInfo.moneyInfo.chargeValue
if(globalData.consumenGiftInfo.chargeList[2] == nil)then
globalData.consumenGiftInfo.chargeList[2] = 99999999
end
local delta        = chargeValue - globalData.consumenGiftInfo.chargeList[2]
local template     = globalData.allTemplates.consumenGiftTemplateList.chargeList
for __,info in pairs(template) do
if(delta > 0)then
if(hasIdList ~= nil)then
if(#hasIdList > 0)then
num = 0
else
num = num + 1
end
else
num = num + 1
end
end
end
if(self._zhuanXiangNum ~= num or self._zhuanXiangNum >= 1) then
self._zhuanXiangNum = num
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.quickIcon_popData,self,self.zhuanXiangType))
end
end
--检测boss
function PlayerInfoTester:checkBoss()
if(globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.worldBossLevel) then return end
local num = 0
--世界BOSS
for __,info in pairs(globalData.worldBossList.bossList) do
if(info.state == 1) then
num = num + 1
break
end
end
--	if(self._bossNum1 ~= num) then
--		self._bossNum1 = num
--		self:dispatchEvent(BaseEvent:new(globalData.globalEventType.quickIcon_popData,self,self.worldPopType))
--	end
--	--精英BOSS
--	num = 0
--	local systemTime = math.floor(globalData.systemDateInfo:getSystemTime() / 1000)
--	for __,info in pairs(globalData.worldBossList.jingyinList) do
--		if(systemTime > info.state) then
--			num = num + 1
--			break
--		end
--	end
--	if(self._bossNum2 ~= num) then
--		self._bossNum2 = num
--		self:dispatchEvent(BaseEvent:new(globalData.globalEventType.quickIcon_popData,self,self.jingyingPopType))
--	end
--VIPboss
if(globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.worldBossVipLevel) then return end
local num = 0
local count = 0
local now = math.floor(globalData.systemDateInfo:getSystemTime()*0.001)
self._tuiBOSSTime = 0
for __,time in pairs(globalData.worldBossVipInfo.flushTime) do
count = count + 1
if(time <= now) then
num = num + 1
end
if(time > self._tuiBOSSTime) then
self._tuiBOSSTime = time
end
end
if(num == 0 and count < 3) then num = num + 1 end
if(self._vipBossNum ~= num) then
self._vipBossNum = num
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.quickIcon_popData,self,self.bossPopType))
end
end
--帮派申请列表更新
function PlayerInfoTester:leagueRequestListUpdateHandler(evt)
local num = #globalData.leagueInfo.applyList
if(self._leagueNum == num) then return end
self._leagueNum = num
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.quickIcon_popData,self,self.leaguePopType))
end
function PlayerInfoTester:leagueBossUpdateHandler(evt)
local copyList = globalData.allTemplates.copyTemplateList:getLeagueBossCopyList()
for __,info in pairs(copyList) do
local data = globalData.leagueInfo.bossMissionList[info.copyId]
local missonId = globalData.allTemplates.copyTemplateList:getCopy(info.copyId).missions[9]
local missionInfo = globalData.allTemplates.copyMissionTemplateList:getMission(missonId)
if(data == nil) then
self._copyLeagueBossPre[info.copyId] = 0
else
local per = math.floor( data[2] * 100 / missionInfo.fight)
self._copyLeagueBossPre[info.copyId] = per
end
end
if(globalData.leagueInfo.id > 0)then
local copyList = globalData.allTemplates.copyTemplateList:getLeagueBossCopyList()
local count    = 0
for __,copy in pairs(copyList) do
if(globalManager.playerInfoTester._copyLeagueBossPre[copy.copyId] < 100)then
if(globalData.leagueInfo.level >= copy.leagueLevel)then
count = globalData.copyInfo:getCopyLeftCount(copy.copyId)
if(count > 0)then
break
end
end
end
end
self._leagueBossNum = count
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.quickIcon_popData,self,self.leagueBossPopType))
end
end
function PlayerInfoTester:shenmiShopCheck()
if(globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.shenMiShopLevel) then return end
local itemList = globalData.shenmiShopInfo.itemList
if(itemList == nil)then
globalData.messageAdder:sendShenmiUpdateInfo()
end
local num = 0
local isBuy = false
for __,info in pairs(itemList) do
if(info[2])then
isBuy = true
break
end
end
if(isBuy == false )then
num = 1
end
if(self._shenmiShopNum ~= num) then
self._shenmiShopNum = num
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.quickIcon_popData,self,self.shenmiShopType))
end
end
--桃园检测是否可以摘桃子
function PlayerInfoTester:taoYuanPick()
self._isShowTaoYuan = false
if(globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.oathLevel or globalData.oathInfo.oathPosition <= 0) then return end
for i = 1,5,1 do
if(globalData.oathInfo:isCanGetAward(i))then
self._isShowTaoYuan = true
end
end
self:checkShow()
end
function PlayerInfoTester:checkTaoYuanCopy()
self._isShowTaoYuanCopy = false
if(globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.oathLevel or globalData.oathInfo.oathPosition <= 0) then return end
local count = globalData.copyInfo:getCopyLeftCount(globalData.allTemplates.copyTemplateList.TAOYUAN)
if(count == 4)then
self._isShowTaoYuanCopy = true
end
self:checkShow()
end
--每30秒检测一次魔方(又增加世界BOSS和竞技场尊武殿,幸运树浇水,许愿树)
--每5秒检测一次操作频率（弹无操作提示面板用）
function PlayerInfoTester:checkBoxTick()
self._checkBoxTime = self._checkBoxTime + 1
--	if(self._checkBoxTime % 300 == 0) then
--		if(globalData.selfPlayerInfo ~= nil and globalData.selfPlayerInfo.level > globalData.newModuleLevelConfig.caozuoLevel
--		and globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.caozuoMaxLevel and globalData.copyInfo.currentCopyId <= 0
--		and not globalData.allTemplates.mapTemplateList:isWorldBossMap(globalData.currentMapId) and not globalData.allTemplates.mapTemplateList:isJingyinBossMap(globalData.currentMapId)
--		and globalData.systemDateInfo:getSystemTime()*0.001 - globalData.lastCaoZuoTime >= 120) then
--			globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_showGuideAlert,globalManager.gameDispatcher,nil))
--			globalData.lastCaoZuoTime = 9999999999
--		end
--	end
if(self._checkBoxTime < 1800) then return end
--检测幸运树浇水
self:checkLuckTreeWater()
self:checkFarm()
--检测许愿树
if globalData.allTemplates.homeTemplateList:getTemplateByLevel(globalData.homeInfo.hallLevel).poolLevel > 0 then
if globalData.allTemplates.homeTemplateList:getTemplateByLevel(globalData.homeInfo.hallLevel).starTotalCount > globalData.homeInfo.todaysGot then
if globalData.homeInfo.canGetStar > 0 then
self._isShowWishPanel = true
self:checkShow()
elseif  self._checkWishRequest >= globalData.allTemplates.homeTemplateList:getTemplateByLevel(globalData.homeInfo.hallLevel).starCD*4 then
self._isShowWishPanel = true
self._checkWishRequest = 0
self:checkShow()
else
self._checkWishRequest = self._checkWishRequest + 30
end
end
end
self._checkBoxTime = 0
self:checkBoss()
self._tuiTick = self._tuiTick + 1
if(self._tuiTick >= 2) then
self._tuiTick = 0
self:checkTuisong()
end
if(globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.warLevel) then return end
if(globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.arena1Level) then return end
if(globalData.arena1Info.times < 5) then
if(globalData.arena1Info.cdTime - globalData.systemDateInfo:getSystemTime() / 1000 <= 0) then
globalData.arena1Info.cdTime = globalData.arena1Info.cdTime + 900--竞技场次数刷新CD
globalData.arena1Info:setTimes(globalData.arena1Info.times + 1)
end
end
self._checkLeagueRequest = self._checkLeagueRequest + 1
if(self._checkLeagueRequest <= 10) then return end
self._checkLeagueRequest = 0
if(globalData.selfPlayerInfo.uniteId > 0 and globalData.selfPlayerInfo.uniteJob > 0) then
globalData.messageAdder:getRequestList()
else
self:resetLeagueRequest()
end
end
function PlayerInfoTester:resetLeagueRequest()
if(self._leagueNum ~= 0) then
self._leagueNum = 0
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.quickIcon_popData,self,self.leaguePopType))
end
end
function PlayerInfoTester:toWestCheck()
local num1 = 0
local num2 = 0
for k = 1,7,1 do
local tempInfoList = globalData.allTemplates.toWestTemplateList:getInfoListByDay(k)
local i = 1
local count = 0
for __,info in pairs(tempInfoList) do
if(i <= 4)then
local state = globalData.toWestInfo:getTaskState(info.type,info.condition)
if(state == 0)then --未完成
num1 = 1
elseif(state == 1)then --完成
count = count + 1
elseif(state > 1)then --等级不够
end
i = i + 1
end
end
if(count >= 4)then
local index = globalManager.commonUtils:getIndexOfTable(globalData.toWestInfo.hasGetList,k)
if(index == -1)then --没领取
num2 = 1
end
end
if(num1 > 0 and num2 > 0)then
break
end
end
if(num1 > 0 or num2 > 0)then
self._toWestGoNum = num1
self._toWestGetNum = num2
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.quickIcon_popData,self,self.toWestType))
end
end
function PlayerInfoTester:washGoldTipUpdate(evt)
if evt.data ~= nil then
self._washNum = evt.data
end
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.quickIcon_popData,self,self.washPopType))
end
--副本数据更新
function PlayerInfoTester:copyDataUpdate(evt)
self:copyUpdate()
self:copyLYUpdate()
self:copyExUpdate()
end
--签到数据更新
function PlayerInfoTester:welfareMonthUpdate(evt)
self._isShowSign = false
if(globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.welfareSignLevel) then return end
local num = 0
if (globalData.systemDateInfo:getWday(math.floor(globalData.systemDateInfo:getSystemTime()/1000)) ~= 7 and not globalData.welfareInfo:isDayInList()) or globalData.welfareInfo:isSevenCanGet() == 1 then
num = 1
self._isShowSign = true
end
if(self._signNum ~= num) then
self._signNum = num
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.quickIcon_popData,self,self.signPopType))
self:checkShow()
end
end
--检测仙缘等级提升
function PlayerInfoTester:checkXianYuanLevelUp(evt)
self._isShowXianYuan = false
if(globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.xianYuanLevel) then return end
if(globalData.marryInfo.marryType == 0) then return end
local num = 0
local costQinmi = 0
local currentTotle = globalData.marryInfo.marryLevel
if(currentTotle < 250)then
costQinmi = (currentTotle + 1) * 10
elseif(currentTotle >= 250 and currentTotle < 270)then
costQinmi = math.floor((currentTotle + 1) * 10 * 1.5)
elseif(currentTotle >= 270 and currentTotle < 300)then
costQinmi = math.floor((currentTotle + 1) * 10 * 2)
end
if(globalData.selfPlayerInfo.qinmidu >= costQinmi and currentTotle < 300)then --仙缘最大等级300
num = 1
self._isShowXianYuan = true
end
if(self._xianYuanNum ~= num)then
self._xianYuanNum = num
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.quickIcon_popData,self,self.xianYuanType))
self:checkShow()
end
end
--佩饰温馨提示
function PlayerInfoTester:checkPeishi(evt)
self._isShowPeishi = false
if(globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.xianYuanLevel) then return end
local list = globalData.allTemplates.peiShiTemplateList.list
local tempInfo = globalData.allTemplates.peiShiTemplateList.list[1]
local count = 0
if(tempInfo ~= nil)then
local itemList = globalData.goodsInfoList:getGoodsList(1)
for __,value in pairs(itemList) do
if(value ~= nil and not value:outOfDate()) then
if( value:getTemplate().templateId == tempInfo.needItemId) then
count = count + value.count
end
end
end
end
if(count == 0) then return end
local qinmi = globalData.selfPlayerInfo.qinmidu
local currentTotle = globalData.marryInfo.marryLevel
for i = 1, #list do
local selfInfo = globalData.peiShiInfo:getInfo(list[i].id)
if(selfInfo == nil or selfInfo.level < globalData.allTemplates.peiShiTemplateList.peiShiMaxLevel)then
if(list[i].needXianYuanLevel < currentTotle and count >= list[i].needItemCount and qinmi >= list[i].needQinmiCount) then
self._isShowPeishi = true
break
end
end
end
if(self._isShowPeishi) then
self:checkShow()
end
end
--检测家园是否可升级
function PlayerInfoTester:checkHomeLevelUp()
self._isShowHomeUp = false
if(globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.home) then return end
local count = globalData.goodsInfoList:getGoodsCount(globalData.allStaticTypes.categoryType.WUTONGMU,1)
local templateInfo = globalData.allTemplates.homeTemplateList:getTemplateByLevel(globalData.homeInfo.hallLevel + 1)
if(templateInfo ~= nil and templateInfo.upgradeCount <= count and globalData.homeInfo.hallLevel < globalData.allTemplates.homeTemplateList:getHallMaxLevel())then
self._isShowHomeUp = true
self:checkShow()
end
end
--检测工坊兑换
function PlayerInfoTester:checkFactoryExchange()
self._isShowFactoryExchange = false
if(globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.home) then return end
if globalData.allTemplates.homeTemplateList:getTemplateByLevel(globalData.homeInfo.hallLevel).factorylevel <= 0 then return end
for k,v in pairs(globalData.allTemplates.homeTemplateList:getFlagOfLeftBtn()) do
if v == true then
self._isShowFactoryExchange = true
self:checkShow()
break
end
end
end
--检测幸运树是否可收获
function PlayerInfoTester:checkLuckTreeAward()
self._isShowLuckTree = false
if(globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.home) then return end
local templateInfo = globalData.allTemplates.homeTemplateList:getTemplateByLevel(globalData.homeInfo.hallLevel)
if(templateInfo ~= nil and globalData.homeInfo.waterCount >= templateInfo.treeWaterCount)then
self._isShowLuckTree = true
self:checkShow()
end
if self.checkCount < 1 then
self:checkWishStar()
end
end
--检测幸运树是否可浇水
function PlayerInfoTester:checkLuckTreeWater()
self._isShowWaterTree = false
if(globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.home) then return end
if(globalData.homeInfo.hasWaterCount > 0)then
self._isShowWaterTree = true
self:checkShow()
else
local templateInfo = globalData.allTemplates.homeTemplateList:getTemplateByLevel(globalData.homeInfo.hallLevel)
local systemTime = math.floor(globalData.systemDateInfo:getSystemTime() / 1000)
if(templateInfo ~= nil and globalData.homeInfo.waterTime + templateInfo.treeWaterCD - systemTime + 2 <= 0)then
self._isShowWaterTree = true
self:checkShow()
end
end
end
--检测许愿池
function PlayerInfoTester:checkWishStar()
self._isShowWishPanel = false
if(globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.home) then return end
local templateInfo = globalData.allTemplates.homeTemplateList:getTemplateByLevel(globalData.homeInfo.hallLevel)
if templateInfo ~= nil and globalData.homeInfo.canGetStar == 4 then
self._isShowWishPanel = true
self:checkShow()
end
self.checkCount = self.checkCount + 1
end
--检测农场是否可操作
function PlayerInfoTester:checkFarm()
self._isShowFarmPanel = false
for i = 1,12,1 do
local plantInfo = globalData.farmInfo:getPlant(i)
if(plantInfo ~= nil)then
local tempInfo = globalData.allTemplates.seedTemplateList:getTemplateById(plantInfo[2])
local systemTime = math.floor(globalData.systemDateInfo:getSystemTime() / 1000)
local ripeTime = plantInfo[3] + tempInfo.ripeTime - systemTime + 1
local waterCD = plantInfo[4] + tempInfo.waterCD - systemTime + 1
if(ripeTime < 0 or waterCD < 0)then
self._isShowFarmPanel = true
self:checkShow()
end
end
end
end
--检测觉醒提升
function PlayerInfoTester:checkWakeUp()
self._isShowWakeUp = false
local num = 0
local wakeUpTempInfo = globalData.allTemplates.wakeUpTemplateList:getTemplate(globalData.selfPlayerInfo.wakeUpState + 1)
if(wakeUpTempInfo ~= nil and globalData.selfPlayerInfo.career < 10)then
if(globalData.selfPlayerInfo.level >= wakeUpTempInfo.needLevel) then
local hasCount = globalData.goodsInfoList:getGoodsCount(wakeUpTempInfo.item[1][1],1)
local needCount = wakeUpTempInfo.item[1][2]
if(hasCount >= needCount) then
num = 1
self._isShowWakeUp = true
end
end
end
if(self._wakeUpNum ~= num)then
self._wakeUpNum = num
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.quickIcon_popData,self,self.wakeUpType))
self:checkShow()
end
end
--登录数据更新
function PlayerInfoTester:welfareDayUpdate(evt)
if(globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.welfareLoginLevel) then return end
local num = 0
for __,info in pairs(globalData.allTemplates.dayAwardTemplateList.list) do
if(info.day <= globalData.welfareInfo.loginDays)then
if(globalManager.commonUtils:getIndexOfTable(globalData.welfareInfo.loginAwardDays,info.day) == -1)then
num = num + 1
break--只需要判断有或者没有   暂时不需要计数
end
end
end
if(self._loginNum ~= num) then
self._loginNum = num
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.quickIcon_popData,self,self.loginPopType))
end
end
--月卡礼包数据更新
function PlayerInfoTester:giftUpdate(evt)
local num = 0
local monthCardInfo = globalData.welfareInfo.monthCardInfo
if(#monthCardInfo >= 0 and monthCardInfo[1][3] == 1) then num = num + 1 end
if(self._giftNum ~= num) then
self._giftNum = num
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.quickIcon_popData,self,self.giftPopType))
end
end
--检测混沌战场
function PlayerInfoTester:checkChaos(evt)
local num = 0
if(evt ~= nil and evt.data > 0)then
num = evt.data
end
if(self._chaosNum ~= num)then
self._chaosNum = num
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.quickIcon_popData,self,self.arenaPopType))
end
end
--副本次数更新
function PlayerInfoTester:copyUpdate(evt)
--材料副本
if(globalData.selfPlayerInfo.level >= globalData.newModuleLevelConfig.materialLevel) then
local num = 0
num = globalData.copyInfo:getCopyLeftCount(globalData.allTemplates.copyTemplateList.MATERIAL)
if(num < 0)then num = 0 end
if(self._copyNum1 ~= num) then
self._copyNum1 = num
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.quickIcon_popData,self,self.copy1PopType))
end
end
--守护副本
if(globalData.selfPlayerInfo.level >= globalData.newModuleLevelConfig.defenedLevel) then
local num = globalData.copyInfo:getCopyLeftCount(globalData.allTemplates.copyTemplateList.DEFENED)
if(num < 0)then num = 0 end
if(self._copyNum5 ~= num) then
self._copyNum5 = num
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.quickIcon_popData,self,self.copy5PopType))
end
end
end
--炼狱副本信息更新
function PlayerInfoTester:copyLYUpdate(evt)
if(globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.lianyuLevel) then return end
local num = 0
self._isShowLYGift = false
local temp = globalData.allTemplates.copyTemplateList:getCopy(globalData.allTemplates.copyTemplateList.LIANYU)
local mission = temp:missionIdToIndex(globalData.copyInfo:getTodayMaxMission(globalData.allTemplates.copyTemplateList.LIANYU))
mission = math.max(1, math.min(#temp.missions, mission - 1))
local start = globalData.copyInfo.copyLYInfo:getAwardLevel()
for i = start,start + 3,1 do
if(i * 10 <= mission and globalData.copyInfo.copyLYInfo:getState(i) == false) then
self._isShowLYGift = true
num = num + 1
break
end
end
local copyTemp = globalData.allTemplates.copyTemplateList:getCopy(globalData.allTemplates.copyTemplateList.LIANYU)
local maxCount = #copyTemp.missions
local current = globalData.copyInfo:getTodayMaxMission(globalData.allTemplates.copyTemplateList.LIANYU)
current = copyTemp:missionIdToIndex(current)
current = math.max(1, math.min(maxCount, current - 1))
local maxMission = globalData.copyInfo:getMaxMission(globalData.allTemplates.copyTemplateList.LIANYU)
maxMission = copyTemp:missionIdToIndex(maxMission)
maxMission = math.max(1, math.min(maxCount, maxMission - 1))
if(current < maxMission or maxMission == 1)then
num = num + 1
end
if(self._copyNum4 ~= num) then
self._copyNum4 = num
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.quickIcon_popData,self,self.copy4PopType))
end
self:checkShow()
end
--远征副本信息更新
function PlayerInfoTester:copyExUpdate(evt)
if(globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.expeditionLevel) then return end
--local num = globalData.copyInfo.expeditionInfo.restNum
local num1 = globalData.copyInfo:getCopyLeftCount(globalData.allTemplates.copyTemplateList.EXPEDITION)
self._tuiWestTime = math.floor(globalData.systemDateInfo:getSystemTime() * 0.001) +
(globalData.allTemplates.copyTemplateList.EXPEDITIONMAX - num1) * globalData.allTemplates.copyTemplateList.EXPEDITIONTIME
if(self._copyNum3 ~= num1) then
self._copyNum3 = num1
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.quickIcon_popData,self,self.copy3PopType))
end
end
--重连重设数据
function PlayerInfoTester:reConnectHandler(evt)
globalManager.tickManager:removeTick(self.tick,self)
globalManager.tickManager:removeTick(self.fiveEquipTick,self)
globalManager.tickManager:removeTick(self.toWstTick,self)
self._showCount = -1
self._isShowSkill = false--技能
self._isShowPet = false--妖精
self._isShowPetTalent = false --妖精天赋
self._isShowRider = false--坐骑
self._isShowRiderTalent = false--坐骑天赋
self._isShowWing = false--羽翼
self._isShowGod = false--足迹
self._isShowSprite = false--仙灵
self._isShowStrength = false--强化
self._isShowStrengthPop = false--强化
self._isShowAdvance = false --进阶
self._isShowRonglu = false --熔炉
self._isShowWuhun = false --武魂
self._isShowActivity = false--活跃度
self._isShowLYGift = false--炼狱
self._isShowSign = false--签到
self._isShowFazhen = false--法阵
self._isShowLonghun = false--龙魂
self._isShowTaoYuan = false--桃园摘桃
self._isShowTaoYuanCopy = false--桃园副本
self._isShowXianYuan = false--仙缘系统
self._isShowHomeUp = false--家园升级
self._isShowLuckTree = false--幸运树收获
self._isShowWaterTree = false--幸运树浇水
self._isShowWishPanel = false--许愿池
self._isShowFarmPanel = false--农场
self._isShowAchievement = false--成就系统
self._isShowWakeUp = false--觉醒提升
self._isShowLuckTree = false--幸运树可收获
self._isShowFactoryExchange = false--工坊
self._isShowPeishi = false --佩饰提示
self._isShowPartner = false --伙伴提示
self._isShowPetHuaxing = false--化形宠物
self._isShowRiderHuaxing = false --化形坐骑
self._isShowWingHuaxing = false --化形翅膀
self._isShowFashion = false --时装
self._activityNum = 0--活跃度
self._skillNum = 0--技能
self._copyNum1 = 0--材料
self._copyNum3 = 0--远征
self._copyNum4 = 0--炼狱领奖
self._copyNum5 = 0--守护
self._signNum = 0--签到
self._loginNum = 0--登录
self._giftNum = 0--月卡
self._arenaNum2 = 0--尊武殿
self._fightNum2 = 0--尊武殿挑战次数
self._oath = false--結義
self._petNum = 0--妖精
self._isShowRiderTalent = 0--妖精天赋
self._riderNum = 0--坐骑
self._riderTalentNum = 0 --坐骑天赋
self._wingNum = 0--羽翼
self._godNum = 0--足迹
self._spriteNum = 0--仙灵
self._fazhenNum = 0--法阵
self._longhunNum = 0--龙魂
self._strengthNum = 0--强化
self._rongluNum = 0 --熔炉
self._wuHunNum = 0 --武魂
self._bossNum1 = 0--世界BOSS
self._bossNum2 = 0--精英BOSS
self._vipBossNum = 0--VIPboss
self._leagueNum = 0--帮派申请数量
self._findTreasureNum = 1 --宝藏秘境
self._chaosNum        = 0 --混沌战场
self._xianYuanNum     = 0 --仙缘系统
self._wakeUpNum = 0
self.checkCount     = 0
self._washNum     = 0
self._advancedNum = 0--进阶
self._yuanbaoPanelNum = 0 --充值转盘
self._consumenGiftNum = 0 --消费赠礼
self._zhuanXiangNum   = 0 --专享充值
self._achievementNum  = 0 --成就系统
self._leagueBossNum   = 0 --帮派boss
self._shenmiShopNum   = -1 --神秘商店
self._partnerNum      = 0 --伙伴系统
self._petHuaxingNum   = 0 --化形宠物
self._riderHuaxingNum  = 0 --化形坐骑
self._wingHuaxingNum   = 0 --化形翅膀
self._fashionNum      = 0 --时装
self._toWestGetNum    = 0 --一路向西可领取
self._toWestGoNum    = 0 --一路向西可去完成
self._tuiRiderUpTime = 0--下次坐骑升星时间
self._tuiPetUpTime = 0--下次宠物升星时间
self._tuiWingUpTime = 0--下次翅膀升星时间
self._tuiFootUpTime = 0--下次足迹升星时间
self._tuiSpriteUpTime = 0--下次精灵升星时间
self._tuiFazhenUpTime = 0--下次法阵升星时间
self._tuiLonghunUpTime = 0--下次龙魂升星时间
self._tuiBOSSTime = 0--下次BOSS可打时间
self._tuiWestTime = 0--下次西行次数满时间
self._tuiOnlineTime = 0--下次炼丹炉可领取时间
self._tuiArenaTime = 0--下次竞技场挑战次数满时间
self._tuiLeagueWarTime = 0--下次帮战报名时间
end
--检测温馨提示数量是否有变
function PlayerInfoTester:checkShow()
local show = 0
if(globalData.selfPlayerInfo.level >= self.LEVEL) then
if(self._isShowSkill) then show = show + 1 end
if(self._isShowAchievement) then show = show + 1 end
if(self._isShowPet or self._isShowRider or self._isShowWing or self._isShowGod or self._isShowSprite or self._isShowFazhen or self._isShowLonghun) then show = show + 1 end
--		if(self._isShowGod) then show = show + 1 end
--		if(self._isShowSprite) then show = show + 1 end
--		if(self._isShowFazhen) then show = show + 1 end
--		if(self._isShowLonghun) then show = show + 1 end
if(self._isShowActivity) then show = show + 1 end
if(self._isShowLYGift) then show = show + 1 end
if(self._isShowSign) then show = show + 1 end
if(self._isShowFashion)then show = show + 1 end
--功能屏蔽：温馨提示
-- if(self._isShowRiderTalent) then show = show + 1 end
-- if(self._isShowPetTalent)then show = show + 1 end
-- if(self._isShowTaoYuan)then show = show + 1 end
-- if(self._isShowTaoYuanCopy)then show = show + 1 end
-- if(self._isShowWakeUp)then show = show + 1 end
-- if(self._oath)then show = show + 1 end
-- if(self._isShowXianYuan)then show = show + 1 end
-- if(self._isShowHomeUp)then show = show + 1 end
-- if(self._isShowLuckTree)then show = show + 1 end
-- if(self._isShowWishPanel)then show = show + 1 end
-- if(self._isShowFarmPanel)then show = show + 1 end
-- if(self._isShowWaterTree)then show = show + 1 end
-- if(self._isShowFactoryExchange)then show = show + 1 end
-- if(self._isShowPeishi)then show = show + 1 end
--屏蔽完成
end
if(show ~= self._showCount) then
self._showCount = show
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.quickIcon_skill,self))
end
end
--获取共有多少温馨提示
function PlayerInfoTester:getShowCount()
return self._showCount
end
--后台推送判断
function PlayerInfoTester:checkTuisong()
local now = math.floor(globalData.systemDateInfo:getSystemTime()*0.001)
--计算帮战报名推送时间戳
if(globalData.leagueInfo.level >= 2) then
local date = globalData.systemDateInfo:getDate(now)
local pass = globalData.systemDateInfo:getZeroPassTime(now)
local day = 0
if(date.wday == 7 or date.wday == 2 or date.wday == 4) then--周天周二周四 都是1天有帮战
day = 1
elseif(date.wday == 1 or date.wday == 3 or date.wday == 5) then--周一周三周五当天未超过19:50则算0天后有帮战
if(pass >= 71400) then
if(date.wday == 5) then--若超时 周五为 3天后有帮战
day = 3
else
day = 2--若超时  周一周三为 2天后有帮战
end
else
day = 0--未超时 0天后有帮战（马上有）
end
else
day = 2--周六为2天后有帮战
end
self._tuiLeagueWarTime = now - pass + globalData.systemDateInfo.secondsOfDay*day + 71400
else
self._tuiLeagueWarTime = 0
end
globalManager.kyPlatformSDK:luaCall({globalManager.kyPlatformSDK.cleanNotify})
local isTenClock = false
local passTime = 0
local tuiDate = nil
if(globalData.gameSetting.tuiStarUp) then
local tuiTime = 9999999999
if(self._tuiRiderUpTime - now > 60) then
if(self._tuiPetUpTime < tuiTime) then
tuiTime = self._tuiRiderUpTime
end
end
if(self._tuiPetUpTime - now > 60) then
if(self._tuiPetUpTime < tuiTime) then
tuiTime = self._tuiPetUpTime
end
end
if(self._tuiWingUpTime - now > 60) then
if(self._tuiWingUpTime < tuiTime) then
tuiTime = self._tuiWingUpTime
end
end
if(self._tuiFootUpTime - now > 60) then
if(self._tuiFootUpTime < tuiTime) then
tuiTime = self._tuiFootUpTime
end
end
if(self._tuiSpriteUpTime - now > 60) then
if(self._tuiSpriteUpTime < tuiTime) then
tuiTime = self._tuiSpriteUpTime
end
end
if(self._tuiFazhenUpTime - now > 60) then
if(self._tuiFazhenUpTime < tuiTime) then
tuiTime = self._tuiFazhenUpTime
end
end
if(self._tuiLonghunUpTime - now > 60) then
if(self._tuiLonghunUpTime < tuiTime) then
tuiTime = self._tuiLonghunUpTime
end
end
passTime = globalData.systemDateInfo:getZeroPassTime(tuiTime)
if(isTenClock == false or passTime > 36000) then
if(passTime <= 36000) then
tuiTime = tuiTime + 36000 - passTime
isTenClock = true
end
tuiDate = globalData.systemDateInfo:getDate(tuiTime)
globalManager.kyPlatformSDK:luaCall({globalManager.kyPlatformSDK.setNotify,"外形免费进阶升星",
"您有外形可以免费升星啦，快来提升战力吧！",globalData.systemDateInfo:dateToString(tuiDate),
tostring(globalData.systemDateInfo:singleToDouble(tuiDate.hour)),
tostring(globalData.systemDateInfo:singleToDouble(tuiDate.min)),1})
end
end
if(globalData.gameSetting.tuiBOSS) then
if(self._tuiBOSSTime - now > 60) then
passTime = globalData.systemDateInfo:getZeroPassTime(self._tuiBOSSTime)
if(isTenClock == false or passTime > 36000) then
if(passTime <= 36000) then
self._tuiBOSSTime = self._tuiBOSSTime + 36000 - passTime
isTenClock = true
end
tuiDate = globalData.systemDateInfo:getDate(self._tuiBOSSTime)
globalManager.kyPlatformSDK:luaCall({globalManager.kyPlatformSDK.setNotify,"降妖BOSS挑战",
"免费打降妖BOSS，获得稀有坐骑、妖精、羽翼装备宝箱！",globalData.systemDateInfo:dateToString(tuiDate),
tostring(globalData.systemDateInfo:singleToDouble(tuiDate.hour)),
tostring(globalData.systemDateInfo:singleToDouble(tuiDate.min)),1})
end
end
end
if(globalData.gameSetting.tuiWest) then
if(self._tuiWestTime - now > 60) then
passTime = globalData.systemDateInfo:getZeroPassTime(self._tuiWestTime)
if(isTenClock == false or passTime > 36000) then
if(passTime <= 36000) then
self._tuiWestTime = self._tuiWestTime + 36000 - passTime
isTenClock = true
end
tuiDate = globalData.systemDateInfo:getDate(self._tuiWestTime)
globalManager.kyPlatformSDK:luaCall({globalManager.kyPlatformSDK.setNotify,"西行副本挑战",
"您有20次副本挑战机会，快来打BOSS集材料升伙伴！",globalData.systemDateInfo:dateToString(tuiDate),
tostring(globalData.systemDateInfo:singleToDouble(tuiDate.hour)),
tostring(globalData.systemDateInfo:singleToDouble(tuiDate.min)),1})
end
end
end
if(globalData.gameSetting.tuiOnline) then
if(self._tuiOnlineTime - now > 60) then
passTime = globalData.systemDateInfo:getZeroPassTime(self._tuiOnlineTime)
if(isTenClock == false or passTime > 36000) then
if(passTime <= 36000) then
self._tuiOnlineTime = self._tuiOnlineTime + 36000 - passTime
isTenClock = true
end
tuiDate = globalData.systemDateInfo:getDate(self._tuiOnlineTime)
globalManager.kyPlatformSDK:luaCall({globalManager.kyPlatformSDK.setNotify,"领取在线奖励",
"亲，你的在线奖励可以领取啦，惊喜奖励等着你哦！",globalData.systemDateInfo:dateToString(tuiDate),
tostring(globalData.systemDateInfo:singleToDouble(tuiDate.hour)),
tostring(globalData.systemDateInfo:singleToDouble(tuiDate.min)),1})
end
end
end
if(globalData.gameSetting.tuiArena) then
if(self._tuiArenaTime - now > 60) then
passTime = globalData.systemDateInfo:getZeroPassTime(self._tuiArenaTime)
if(isTenClock == false or passTime > 36000) then
if(passTime <= 36000) then
self._tuiArenaTime = self._tuiArenaTime + 36000 - passTime
isTenClock = true
end
tuiDate = globalData.systemDateInfo:getDate(self._tuiArenaTime)
globalManager.kyPlatformSDK:luaCall({globalManager.kyPlatformSDK.setNotify,"斗神殿荣誉之战",
"斗神圣殿为荣誉而战，荣誉可兑换仙灵、足迹装备宝箱哦！",globalData.systemDateInfo:dateToString(tuiDate),
tostring(globalData.systemDateInfo:singleToDouble(tuiDate.hour)),
tostring(globalData.systemDateInfo:singleToDouble(tuiDate.min)),1})
end
end
end
if(globalData.gameSetting.tuiLeagueWar) then
if(self._tuiLeagueWarTime - now > 60) then
passTime = globalData.systemDateInfo:getZeroPassTime(self._tuiLeagueWarTime)
if(isTenClock == false or passTime > 36000) then
if(passTime <= 36000) then
self._tuiLeagueWarTime = self._tuiLeagueWarTime + 36000 - passTime
isTenClock = true
end
tuiDate = globalData.systemDateInfo:getDate(self._tuiLeagueWarTime)
globalManager.kyPlatformSDK:luaCall({globalManager.kyPlatformSDK.setNotify,"帮派群雄混战",
"帮派大战将在20:00开始啦，群雄混战争夺天下第一帮荣誉！",globalData.systemDateInfo:dateToString(tuiDate),
tostring(globalData.systemDateInfo:singleToDouble(tuiDate.hour)),
tostring(globalData.systemDateInfo:singleToDouble(tuiDate.min)),1})
end
end
end
end
ActivityAchievementItem = class("ActivityAchievementItem",function(self,info)
local temp = globalManager.ccCreator:newJsonWidget("activityAchivementItem")
temp._achivementTitle = temp:getChildByName("achivementTitle")
temp._contentLabel    = temp:getChildByName("contentLabel")
temp._numLabel        = temp:getChildByName("numLabel")
temp._exchangeBtn     = temp:getChildByName("talentBtn_Copy0")
temp._exchangeBtnLabel= temp._exchangeBtn:getChildByName("btnLabel")
temp._goldIcon     = temp:getChildByName("goldIcon")
temp._info            = info
temp.index            = 0
temp.templateInfo     = nil
temp.flagState        = false
temp:getChildByName("awardLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("ActivityAchievementItem.text4"))
temp._exchangeBtnLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel37"))
return temp
end)
function ActivityAchievementItem:ctor()
self:initEvent()
end
function ActivityAchievementItem:initEvent()
local clickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
if(self._info ~= nil)then
if(self._info[2] == 1)then
if(self.templateInfo.type == 21)then
if(self.templateInfo.condition <= globalData.activityInfo.achievementCount and self.index == -1)then
--print("发送领奖",self.templateInfo.id,self._info[1])
globalData.messageAdder:sendAchievementFetch(self.templateInfo.id,self.templateInfo.type)
else
globalManager.triggerManager:handlerList(self.templateInfo.depoly)
end
else
if(self.templateInfo.condition <= self._info[3] and self.index == -1)then
--print("发送领奖",self.templateInfo.id,self._info[1])
globalData.messageAdder:sendAchievementFetch(self.templateInfo.id,self.templateInfo.type)
else
globalManager.triggerManager:handlerList(self.templateInfo.depoly)
end
end
elseif(self._info[2] == 2)then
if(self.templateInfo.condition >= self._info[3] and self.index == -1)then
--print("发送领奖",self.templateInfo.id,self._info[1])
globalData.messageAdder:sendAchievementFetch(self.templateInfo.id,self.templateInfo.type)
else
globalManager.triggerManager:handlerList(self.templateInfo.depoly)
end
end
else
if(self.templateInfo.type == 21)then
if(globalData.activityInfo.achievementCount >= self.templateInfo.condition)then
--print("发送领奖",self.templateInfo.id,self.templateInfo.type)
globalData.messageAdder:sendAchievementFetch(self.templateInfo.id,self.templateInfo.type)
else
globalManager.triggerManager:handlerList(self.templateInfo.depoly)
end
else
globalManager.triggerManager:handlerList(self.templateInfo.depoly)
end
end
end
end
self._exchangeBtn:addTouchEventListener(clickHandler)
end
function ActivityAchievementItem:removeEvent()
end
function ActivityAchievementItem:setData(infoTypeList)
if(infoTypeList == nil)then return end
local maxIndex = 0
if(self._info == nil)then
self.templateInfo = infoTypeList[1]
else
for index,info in pairs(infoTypeList) do
local index1 = globalManager.commonUtils:getIndexOfTable(self._info[4],index)
if(index1 == -1)then
self.templateInfo = infoTypeList[index]
break
end
if(maxIndex < index)then
maxIndex = index
end
end
end
if(self.templateInfo == nil)then
self.templateInfo = infoTypeList[maxIndex]
self._exchangeBtn:loadTextureNormal("btn/ui_tabBtn1_5.png", 1)
self._exchangeBtnLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("ActivityAchievementItem.text1"))
self._exchangeBtn:setTouchEnabled(false)
self._achivementTitle:setText(self.templateInfo.achievementName)
self._contentLabel:setText(self.templateInfo.contentDes)
self:setMoneyIcon(self.templateInfo.awardList[1][1])
if(self.templateInfo.awardList[1][1] == globalData.allStaticTypes.categoryType.copperItem)then
self._numLabel:setText("x" .. self.templateInfo.awardList[1][2] * 0.0001 .. globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel44"))
else
self._numLabel:setText("x" .. self.templateInfo.awardList[1][2])
end
return
end
self._achivementTitle:setText(self.templateInfo.achievementName)
self._contentLabel:setText(self.templateInfo.contentDes)
self:setMoneyIcon(self.templateInfo.awardList[1][1])
if(self.templateInfo.awardList[1][1] == globalData.allStaticTypes.categoryType.copperItem)then
self._numLabel:setText("x" .. self.templateInfo.awardList[1][2] * 0.0001 .. globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel44"))
else
self._numLabel:setText("x" .. self.templateInfo.awardList[1][2])
end
if(self._info ~= nil)then
--print("#######",self.templateInfo.condition,self._info[3])
self.index = globalManager.commonUtils:getIndexOfTable(self._info[4],self.templateInfo.id)
if(self._info[2] == 1)then
--print("#######",self.templateInfo.condition,self._info[3],self._info[1])
if(self.templateInfo.type == 21)then
if(self.templateInfo.condition <= globalData.activityInfo.achievementCount and self.index == -1)then
self._exchangeBtn:loadTextureNormal("btn/ui_tabBtn1_4.png", 1)
self._exchangeBtnLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel37"))
self.flagState = true
else
self._exchangeBtn:loadTextureNormal("btn/ui_tabBtn1_3.png", 1)
self._exchangeBtnLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("ActivityAchievementItem.text3"))
end
else
if(self.templateInfo.condition <= self._info[3] and self.index == -1)then
self._exchangeBtn:loadTextureNormal("btn/ui_tabBtn1_4.png", 1)
self._exchangeBtnLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel37"))
self.flagState = true
else
self._exchangeBtn:loadTextureNormal("btn/ui_tabBtn1_3.png", 1)
self._exchangeBtnLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("ActivityAchievementItem.text3"))
end
end
elseif(self._info[2] == 2)then
if(self.templateInfo.condition >= self._info[3] and self.index == -1)then
self._exchangeBtn:loadTextureNormal("btn/ui_tabBtn1_4.png", 1)
self._exchangeBtnLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel37"))
self.flagState = true
else
self._exchangeBtn:loadTextureNormal("btn/ui_tabBtn1_3.png", 1)
self._exchangeBtnLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("ActivityAchievementItem.text3"))
end
end
else
if(infoTypeList[1].type == 21)then
if(globalData.activityInfo.achievementCount >= infoTypeList[1].condition)then
self.templateInfo = infoTypeList[1]
self._exchangeBtn:loadTextureNormal("btn/ui_tabBtn1_4.png", 1)
self._exchangeBtnLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel37"))
self.flagState = true
else
self._exchangeBtn:loadTextureNormal("btn/ui_tabBtn1_3.png", 1)
self._exchangeBtnLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("ActivityAchievementItem.text3"))
end
else
self._exchangeBtn:loadTextureNormal("btn/ui_tabBtn1_3.png", 1)
self._exchangeBtnLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("ActivityAchievementItem.text3"))
end
end
end
function ActivityAchievementItem:setMoneyIcon(type)
if(type == globalData.allStaticTypes.categoryType.goldItem)then
self._goldIcon:loadTexture("icon/ui_moneyIcon3.png",1)
elseif(type == globalData.allStaticTypes.categoryType.NORMAL_STONE)then
self._goldIcon:loadTexture("icon/ui_moneyIcon4.png",1)
elseif(type == globalData.allStaticTypes.categoryType.copperItem)then
self._goldIcon:loadTexture("icon/ui_moneyIcon2.png",1)
end
end
function ActivityAchievementItem:getState()
return self.flagState
end
function ActivityAchievementItem:dispose()
self:removeEvent()
self._goldIcon = nil
self._achivementTitle = nil
self._contentLabel    = nil
self._numLabel        = nil
self._exchangeBtn     = nil
self.templateInfo     = nil
globalManager.ccCreator:release(self)
end
ActivityAchievementPanel = class("ActivityAchievementPanel",function(self,controller)
local temp   = globalManager.ccCreator:newJsonWidget("activityAchivementPanel")
temp._itemPanel = temp:getChildByName("item_panel")
temp._layerList = {}
for i = 1,4,1 do
table.insert(temp._layerList,temp:getChildByName("titleLayer" .. i))
end
temp.viewList   = {}
temp.itemList   = {}
temp.infoList   = globalData.activityInfo.achievementInfoList
temp.achievementCount  = globalData.activityInfo.achievementCount
return temp
end)
function ActivityAchievementPanel:ctor()
self:initEvent()
self:initView()
end
function ActivityAchievementPanel:initEvent()
globalData.activityInfo:addEventListener(globalData.globalEventType.activity_achievement_info,self.infoUpdate,self)
end
function ActivityAchievementPanel:removeEvent()
globalData.activityInfo:removeEventListener(globalData.globalEventType.activity_achievement_info,self.infoUpdate,self)
end
function ActivityAchievementPanel:infoUpdate()
self.infoList  = globalData.activityInfo.achievementInfoList
self.achievementCount = globalData.activityInfo.achievementCount
self:initView()
end
function ActivityAchievementPanel:initView()
if(#self.viewList > 0) then
self._itemPanel:removeAllItems()
if(self.viewList ~= nil) then
for __,view in pairs(self.viewList) do
view:dispose()
end
self.viewList = {}
end
end
local achievementTemplate = globalData.allTemplates.activityAchievementTemplateList._activityAchievementList
local list1 = {}      --存放可以领取的数据
local list2 = {}      --存放不能领取的数据
for _,index in pairs(globalData.allTemplates.activityAchievementTemplateList.typeList) do
local type = index
local info = achievementTemplate[index]
local view = ActivityAchievementItem:new(self.infoList[type])
view:setData(info)
if(view:getState())then
table.insert(list1,view)
else
table.insert(list2,view)
end
--self._itemPanel:pushBackCustomItem(view)
table.insert(self.viewList,view)
end
for __,item in pairs(list1) do
self._itemPanel:pushBackCustomItem(item)
end
for __,item in pairs(list2) do
self._itemPanel:pushBackCustomItem(item)
end
list1 = nil
list2 = nil
self._itemPanel:refreshView()
if(#self.itemList > 0) then
if(self.itemList ~= nil) then
for __,view in pairs(self.itemList) do
view:dispose()
end
self.itemList = {}
end
end
local titleInfoList = globalData.allTemplates.activityAchievementTemplateList._activityAchievementList[21]
for i = 1,4,1 do
local item = ActivityAchievementTitle:new(self.achievementCount,self.infoList[21])
item:setData(titleInfoList[i])
self._layerList[i]:addChild(item)
table.insert(self.itemList,item)
end
end
function ActivityAchievementPanel:dispose()
self:removeEvent()
self._itemPanel = nil
self._layerList = nil
for __,info in pairs(self.viewList) do
info:dispose()
info = nil
end
self.viewList = nil
for __,info in pairs(self.itemList) do
info:dispose()
info = nil
end
self.itemList          = {}
globalManager.ccCreator:release(self)
end
ActivityAchievementTitle = class("ActivityAchievementTitle",function(self,achievementCount,titleList)
local temp = globalManager.ccCreator:newWidget()
temp._numLabel   = globalManager.ccCreator:newLabel()
temp._numLabel:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[1])
temp._numLabel:setTextHorizontalAlignment(cc.TEXT_ALIGNMENT_LEFT)
temp._numLabel:setPosition(globalManager.ccCreator:newPoint(77,14))
temp:addChild(temp._numLabel)
temp._titleLabel = nil
temp._titleImg   = nil
temp._effect     = nil
temp._imgPath    = nil
temp.achievementCount = achievementCount
temp.titleList   = titleList
return temp
end)
function ActivityAchievementTitle:ctor()
self:initEvent()
end
function ActivityAchievementTitle:initEvent()
end
function ActivityAchievementTitle:removeEvent()
end
function ActivityAchievementTitle:setData(info)
self:clear()
local career = globalData.allStaticTypes.careerType:getCareer(globalData.selfPlayerInfo.career)
local picId  = 0
for __,info1 in pairs(info.title) do
if(career == info1[1])then
picId = info1[2]
break
end
end
local titleTemplate = globalData.allTemplates.titleTemplateList:getTitle(picId)
if(titleTemplate == nil)then return end
--文字
if(titleTemplate.resouceType == 0)then
self._titleLabel = globalManager.ccCreator:newBMFont()
self:addChild(self._titleLabel)
self._titleLabel:setScale(0.7)
self._titleLabel:setText(titleTemplate.name)
self._titleLabel:setColor(globalData.allStaticTypes.colorType:getColorByQuality(titleTemplate.quality))
--图片
elseif(titleTemplate.resouceType == 1)then
self._titleImg = globalManager.ccCreator:newImageView()
self._titleImg:setPosition(82,56)
self._titleImg:setScale(0.9)
self:addChild(self._titleImg)
self._imgPath = globalManager.pathManager:getTitleImgPath(titleTemplate.picPath)
globalManager.sourceCacheManager:setImage(self._titleImg,self._imgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
--特效
elseif(titleTemplate.resouceType == 2)then
self._effect = globalManager.effectCreator:create(tonumber(titleTemplate.picPath), nil, nil,false)
self._effect:move2(self,0,0)
self._effect:play()
self:addNode(self._effect)
end
if(self.achievementCount < info.condition)then
self._numLabel:setText(self.achievementCount .. "/" ..info.condition)
self._numLabel:setColor(globalData.allStaticTypes.colorType.COLORRED)
else
if(self.titleList ~= nil)then
local index = globalManager.commonUtils:getIndexOfTable(self.titleList[4],info.id)
if(index == -1)then
self._numLabel:setText(self.achievementCount .. "/" ..info.condition)
self._numLabel:setColor(globalData.allStaticTypes.colorType.TIPACT_COLOR)
else
self._numLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel63"))
self._numLabel:setColor(globalData.allStaticTypes.colorType.COLORGREEN)
end
else
self._numLabel:setText(self.achievementCount .. "/" ..info.condition)
self._numLabel:setColor(globalData.allStaticTypes.colorType.TIPACT_COLOR)
end
end
end
function ActivityAchievementTitle:clear()
if(self._imgPath ~= nil)then
globalManager.sourceCacheManager:removeQuote(self._imgPath)
self._imgPath = nil
end
if(self._titleLabel ~= nil)then
globalManager.ccCreator:release(self._titleLabel)
self._titleLabel = nil
end
if(self._titleImg ~= nil)then
globalManager.ccCreator:release(self._titleImg)
self._titleImg = nil
end
if(self._effect ~= nil)then
self._effect:dispose()
self._effect = nil
end
end
function ActivityAchievementTitle:dispose()
self:removeEvent()
self:clear()
if(self._numLabel) then
globalManager.ccCreator:release(self._numLabel)
self._numLabel = nil
end
self.achievementCount = nil
self.titleList   = nil
globalManager.ccCreator:release(self)
end
ActivityItem = class("ActivityItem",function(self)
local temp = globalManager.ccCreator:newJsonWidget("activityItem")
temp._nameLabel = temp:getChildByName("name_label")
temp._countLabel = temp:getChildByName("count_label")
temp._numLabel = temp:getChildByName("num_label")
temp._goBtn = temp:getChildByName("go_btn")
temp._labelBtn = temp._goBtn:getChildByName("btnLabel")
temp._icon = temp:getChildByName("ImageView_191530")
temp._icon:setVisible(false)
temp._doubleIcon = temp:getChildByName("doubelIcon")
temp._doubleIcon:setVisible(false)
temp._doublePath = nil
temp._info = nil
temp.complate = false
temp.taskId1 = 0
temp.taskId2 = 0
temp._goBtn:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("ActivityAchievementItem.text3"))
return temp
end)
function ActivityItem:ctor()
self:initEvent()
end
function ActivityItem:initEvent()
local function ok1Handler()
local gold = globalData.selfPlayerInfo.moneyInfo.gold
local num =  globalData.activityInfo.infoList[10]    --未完成的环
if(num == nil)then
num = 20
end
if(gold >= 2 * num)then
globalData.messageAdder:sendZhenYaoQuickFinsih(self.taskId1)
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel11"))
end
end
local function ok2Handler()
local gold = globalData.selfPlayerInfo.moneyInfo.gold
local num =  globalData.activityInfo.infoList[11]    --未完成的环
if(num == nil)then
num = 20
end
if(gold >= 2 * num)then
globalData.messageAdder:sendZhenYaoQuickFinsih(self.taskId2)
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel11"))
end
end
local goBtnClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
print("才高八斗",self._info.templateId )
if(self._info.templateId == 10)then
if(self.taskId1 == 0) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("ActivityItem.text1"))
return
end
local num =  globalData.activityInfo.infoList[10]    --未完成的环
if(num == nil)then
num = 20
end
local lev = math.floor(globalData.selfPlayerInfo.level * 0.1) * 10
local copper = 0
local exp    = 0
for i,info in pairs(globalData.allTemplates.taskZhenyaoTemplateList:getTemplate(lev).startRewardList) do
if(info[1] == globalData.allStaticTypes.categoryType.expItem)then
exp = info[2]
elseif(info[1] == globalData.allStaticTypes.categoryType.copperItem)then
copper = info[2]
end
end
local totalExp    = exp*num
local totalCopper = copper*num
if(totalExp > 10000) then
totalExp = (totalExp / 10000)..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel44")
else
totalExp = totalExp
end
if(totalCopper > 10000) then
totalCopper = (totalCopper / 10000)..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel44")
else
totalCopper = totalCopper
end
Alert:new():show(2,string.format(globalManager.yuyanbaoManager:getYuyanbao("ActivityItem.text2"),num,2 * num,totalExp,totalCopper),nil,0,self,ok1Handler)
elseif(self._info.templateId == 11)then
if(self.taskId2 == 0) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("ActivityItem.text1"))
return
end
local num =  globalData.activityInfo.infoList[11]    --未完成的环
if(num == nil)then
num = 20
end
local lev = math.floor(globalData.selfPlayerInfo.level * 0.1) * 10
local copper = 0
local exp    = 0
local leagueDevote = 0
local leagueMoney  = 0
for i,info in pairs(globalData.allTemplates.taskClubTemplateList:getTemplate(lev).startRewardList) do
if(info[1] == globalData.allStaticTypes.categoryType.expItem)then
exp = info[2]
elseif(info[1] == globalData.allStaticTypes.categoryType.copperItem)then
copper = info[2]
elseif(info[1] == globalData.allStaticTypes.categoryType.leagueDevote)then
leagueDevote = info[2]
elseif(info[1] == globalData.allStaticTypes.categoryType.leagueMoney)then
leagueMoney = info[2]
end
end
local totalExp    = exp*num
local totalCopper = copper*num
if(totalExp > 10000) then
totalExp = (totalExp / 10000)..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel44")
else
totalExp = totalExp
end
if(totalCopper > 10000) then
totalCopper = (totalCopper / 10000)..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel44")
else
totalCopper = totalCopper
end
Alert:new():show(2,string.format(globalManager.yuyanbaoManager:getYuyanbao("ActivityItem.text3"),num,2 * num,leagueDevote*num,totalExp,totalCopper,leagueMoney*num),nil,0,self,ok2Handler)
else
if(#self._info.depoly > 0)then
globalManager.triggerManager:handlerList(self._info.depoly)
end
end
end
end
self._goBtn:addTouchEventListener(goBtnClickHandler)
globalData.activityInfo:addEventListener(globalData.globalEventType.doubleWelfareShow,self.showUpdate,self)
end
function ActivityItem:removeEvent()
globalData.activityInfo:removeEventListener(globalData.globalEventType.doubleWelfareShow,self.showUpdate,self)
end
function ActivityItem:showUpdate()
if(self._info.type == 4)then
if(self._info.templateId == 22)then
self:doubleIconShow(22,"outPic/ui_doubleExp.png")
elseif(self._info.templateId == 23)then
self:doubleIconShow(21,"outPic/ui_doubleExp.png")
elseif(self._info.templateId == 16)then
self:doubleIconShow(24,"outPic/ui_doubleHor.png")
end
elseif(self._info.type == 1) then
if self._info.templateId == 21 then
self:doubleIconShow(28,"outPic/ui_doubleFortune.png")
end
elseif(self._info.type == 3) then
if self._info.templateId == 28 then
self:doubleIconShow(31,"outPic/ui_doubleExp.png")
end
end
end
function ActivityItem:doubleIconShow(flag, path)
-- body
self._doublePath = globalManager.pathManager:getUISource(path)
globalManager.sourceCacheManager:setImage(self._doubleIcon,self._doublePath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
if globalData.activityInfo.doubleWelfare[flag] then
self._doubleIcon:setVisible(true)
else
self._doubleIcon:setVisible(false)
end
end
function ActivityItem:getTaskId()
local list = globalData.taskItemList:getTaskNotSubmit()
if(#list["canSubmit"] > 0) then
for i,info in pairs(list["canSubmit"]) do
if(info:getTemplate().taskType == 4) then
self.taskId1 = info:getTemplate().taskId
elseif(info:getTemplate().taskType == 5)then
self.taskId2 = info:getTemplate().taskId
end
end
end
if(#list["cantSubmit"] > 0) then
for i,info in pairs(list["cantSubmit"]) do
if(info:getTemplate().taskType == 4) then
self.taskId1 = info:getTemplate().taskId
elseif(info:getTemplate().taskType == 5)then
self.taskId2 = info:getTemplate().taskId
end
end
end
end
function ActivityItem:setInfo(info)
self._info = info
self._nameLabel:setText(info.name)
self._numLabel:setText(info.activity)
if(self._info.templateId == 10 or self._info.templateId == 11)then
self._goBtn:setVisible(true)
self._goBtn:setTouchEnabled(true)
self._goBtn:loadTextureNormal("btn/ui_tabBtn1_4.png",1)
self._labelBtn:setScale(0.8)
self._labelBtn:setText(globalManager.yuyanbaoManager:getYuyanbao("ActivityItem.text8"))
self:getTaskId()
elseif(#self._info.depoly > 0)then
self._goBtn:setVisible(true)
self._goBtn:setTouchEnabled(true)
else
self._goBtn:setVisible(false)
self._goBtn:setTouchEnabled(false)
end
self:updateInfo()
self:showUpdate()
end
function ActivityItem:updateInfo()
local data = globalData.activityInfo.infoList[self._info.templateId]
if(data) then
self._countLabel:setText(tostring(self._info.count - data).."/"..self._info.count)
if(data == 0) then
self._nameLabel:setColor(globalData.allStaticTypes.colorType.COLORBLACKGREEN)
self._countLabel:setColor(globalData.allStaticTypes.colorType.COLORBLACKGREEN)
self._numLabel:setColor(globalData.allStaticTypes.colorType.COLORBLACKGREEN)
self._goBtn:setEnabled(false)
self._icon:setVisible(true)
self.complate = true
end
else
self._countLabel:setText("0/"..self._info.count)
end
end
function ActivityItem:getIsComplate()
return self.complate
end
function ActivityItem:getInfo()
return self._info
end
function ActivityItem:dispose()
self:removeEvent()
self._info = nil
self._nameLabel = nil
self._countLabel = nil
self._numLabel = nil
self._goBtn = nil
self._icon = nil
self._doubleIcon = nil
globalManager.sourceCacheManager:removeQuote(self._doublePath)
self._doublePath = nil
globalManager.ccCreator:release(self)
end
ActivityPanel = class("ActivityPanel",function(self,controller)
local temp = BasePanel:new()
temp.BasePanelDispose = temp.dispose
temp._controller = controller
temp._widget = globalManager.ccCreator:newJsonWidget("activityPanel")
temp:addChild(temp._widget)
temp._awardActivity = {20,40,60,80,100}
temp._effectList = {nil,nil,nil,nil,nil}
temp.cateList = {}
temp.awardList = {}
for i = 1,5,1 do
table.insert(temp.awardList,temp._widget:getChildByName("award_btn"..i))
temp._widget:getChildByName("level_label"..i):setText(temp._awardActivity[i])
end
for j = 1,5,1 do
table.insert(temp.cateList,temp._widget:getChildByName("item"..j))
end
temp.itemList = {}
temp._listPanel = temp._widget:getChildByName("item_panel")
temp._perLabel = temp._widget:getChildByName("per_label")
temp._activityBar = temp._widget:getChildByName("activity_bar")
temp._itemSelect = temp._widget:getChildByName("selected_light")
temp._currentIndex = 0
temp._awardItem = {120019,120020,120021,120022,120023}
temp._achievementPanel = nil
temp._widget:getChildByName("ImageView_77439_Copy1"):getChildByName("Label_77447_Copy6"):setText(globalManager.yuyanbaoManager:getYuyanbao("ActivityPanel.text1"))
temp._widget:getChildByName("ImageView_77439_Copy1"):getChildByName("Label_77447_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("ActivityPanel.text2"))
temp._widget:getChildByName("ImageView_77439_Copy1"):getChildByName("Label_77447_Copy1"):setText(globalManager.yuyanbaoManager:getYuyanbao("ActivityPanel.text3"))
temp._widget:getChildByName("ImageView_77439_Copy1"):getChildByName("Label_77447_Copy2"):setText(globalManager.yuyanbaoManager:getYuyanbao("ActivityPanel.text4"))
temp._widget:getChildByName("item3"):getChildByName("Label_191480"):setText(globalManager.yuyanbaoManager:getYuyanbao("ActivityPanel.text5"))
temp._widget:getChildByName("item2"):getChildByName("Label_191480"):setText(globalManager.yuyanbaoManager:getYuyanbao("ActivityPanel.text6"))
temp._widget:getChildByName("item1"):getChildByName("Label_191480"):setText(globalManager.yuyanbaoManager:getYuyanbao("ActivityPanel.text7"))
temp._widget:getChildByName("item4"):getChildByName("Label_191480"):setText(globalManager.yuyanbaoManager:getYuyanbao("ActivityPanel.text8"))
temp._widget:getChildByName("item5"):getChildByName("Label_191480"):setText(globalManager.yuyanbaoManager:getYuyanbao("ActivityPanel.text9"))
return temp
end)
function ActivityPanel:ctor()
self:initEvent()
self:setIndex(3)
self:awardUpdate()
end
function ActivityPanel:initEvent()
local itemBtnClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
local index = globalManager.commonUtils:getIndexOfTable(self.cateList,sender)
if(index > 0) then
self:setIndex(index)
end
end
end
local awardBtnClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
local index = globalManager.commonUtils:getIndexOfTable(self.awardList,sender)
local activity = self._awardActivity[index]
if(globalData.activityInfo.activity >= activity and not globalData.activityInfo.awardList[activity]) then
self._controller.module.message:sendAccept(activity)
else
globalManager.tipsManager:showGoodsTemplate(globalData.allTemplates.goodsTemplateList:getTemplate(self._awardItem[index]))
end
end
end
for i = 1,5,1 do
self.awardList[i]:addTouchEventListener(awardBtnClickHandler)
end
for j = 1,5,1 do
self.cateList[j]:addTouchEventListener(itemBtnClickHandler)
end
globalData.activityInfo:addEventListener(globalData.globalEventType.activity_info,self.infoUpdate,self)
globalData.activityInfo:addEventListener(globalData.globalEventType.activity_award,self.awardUpdate,self)
end
function ActivityPanel:removeEvent()
globalData.activityInfo:removeEventListener(globalData.globalEventType.activity_info,self.infoUpdate,self)
globalData.activityInfo:removeEventListener(globalData.globalEventType.activity_award,self.awardUpdate,self)
end
function ActivityPanel:infoUpdate()
for __,item in pairs(self.itemList) do
item:updateInfo()
end
end
function ActivityPanel:awardUpdate()
local pre = 0
for i = 1,5,1 do
local isAccept = true
local icon = self.awardList[i]:getChildByName("got_icon")
if(not globalData.activityInfo.awardList[self._awardActivity[i]]) then
icon:setEnabled(false)
isAccept = false
else
icon:setEnabled(true)
end
if(globalData.activityInfo.activity >= self._awardActivity[i]) then
pre = pre + 20
if(isAccept) then
if(self._effectList[i] ~= nil) then
self._effectList[i]:dispose()
self._effectList[i] = nil
end
else
if(self._effectList[i] == nil) then
self._effectList[i] = globalManager.effectCreator:create(38)
self._effectList[i]:move2(self.awardList[i],0,0)
self._effectList[i]:play()
self.awardList[i]:addNode(self._effectList[i])
end
end
if(pre < 100) then
if(globalData.activityInfo.activity > self._awardActivity[i] and globalData.activityInfo.activity < self._awardActivity[i + 1]) then
pre = pre + 10
end
end
else
if(self._effectList[i] ~= nil) then
self._effectList[i]:dispose()
self._effectList[i] = nil
end
end
end
self._perLabel:setText(globalData.activityInfo.activity)
self._activityBar:setPercent(pre)
end
function ActivityPanel:setIndex(index)
if(self._currentIndex == index) then return end
self._currentIndex = index
self._itemSelect:setPosition(globalManager.ccCreator:newPoint(self.cateList[index]:getPositionX(),self.cateList[index]:getPositionY()))
self:clearItems()
if(index == 5)then
self._achievementPanel = ActivityAchievementPanel:new()
self._achievementPanel:setPosition(242,12)
self:addChild(self._achievementPanel,3)
return
else
if(self._achievementPanel ~= nil)then
self._achievementPanel:dispose()
self._achievementPanel = nil
end
end
self._listPanel:refreshView()
local list = globalData.allTemplates.activityTemplateList:getInfoByType(index)
local comList = {}
for __,info in pairs(list) do
if(info.level <= globalData.selfPlayerInfo.level) then
local item = ActivityItem:new()
item:setInfo(info)
if(item:getIsComplate()) then
table.insert(comList,item)
else
table.insert(self.itemList,item)
self._listPanel:pushBackCustomItem(item)
end
end
end
for __,item in pairs(comList) do
table.insert(self.itemList,item)
self._listPanel:pushBackCustomItem(item)
end
end
function ActivityPanel:clearItems()
self._listPanel:removeAllItems()
if(self.itemList) then
for __,item in pairs(self.itemList) do
item:dispose()
item = nil
end
end
self.itemList = {}
end
function ActivityPanel:dispose()
self:removeEvent()
for i = 1,5,1 do
if(self._effectList[i] ~= nil) then
self._effectList[i]:dispose()
end
end
if(self._achievementPanel ~= nil)then
self._achievementPanel:dispose()
self._achievementPanel = nil
end
self._effectList = nil
self._controller = nil
self.cateList = nil
self.awardList = nil
self:clearItems()
self.itemList = nil
self._listPanel = nil
self._perLabel = nil
self._activityBar = nil
self._itemSelect = nil
self._awardActivity = nil
self._awardItem = nil
globalManager.ccCreator:release(self._widget)
self._widget = nil
self:BasePanelDispose()
self.BasePanelDispose = nil
end
GetTaskAwardView = class("GetTaskAwardView",function(self,type)
local temp = globalManager.ccCreator:newJsonWidget("getBoxAwardPanel")
temp:getChildByName("Label_367228"):setText("")
temp:getChildByName("ok_btn_Copy0"):getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("MarryRingTip.text3"))
temp._goodsGrid = {temp:getChildByName("grid_bg_Copy0")}
temp._goodsName = {temp:getChildByName("Label_367228")}
temp._okBtn = temp:getChildByName("ok_btn_Copy0")
temp._type  = type
temp._goodsInfos = {}
temp._gridList = {}
return temp
end)
function GetTaskAwardView:ctor()
globalData.uiClickContainer:addItem(self,true,true)
self:initEvent()
self:initView()
end
function GetTaskAwardView:initEvent()
local okBtnHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
self:dispose()
end
end
self._okBtn:addTouchEventListener(okBtnHandler)
end
function GetTaskAwardView:removeEvent()
end
function GetTaskAwardView:initView()
local templateId = 0
local count = 0
if(self._type == 1)then
templateId = 120025
count = 1
elseif(self._type == 2)then
templateId = 120026
count = 1
end
local index = 1
for i = 1,1 do
local grid = GoodsInfoGrid:new()
local goodsinfo = GoodsInfo:new()
goodsinfo:setTemplateId(templateId)
goodsinfo.count = count
table.insert(self._goodsInfos,goodsinfo)
grid:setGoodsInfo(goodsinfo)
self._goodsGrid[index]:addChild(grid)
table.insert(self._gridList,grid)
index = index + 1
local templateInfo = globalData.allTemplates.goodsTemplateList:getTemplate(templateId)
self._goodsName[i]:setText(templateInfo.name .. "X" .. count)
end
end
function GetTaskAwardView:dispose()
self:removeEvent()
self._goodsGrid = nil
self._goodsName = nil
if(self._goodsInfos ~= nil) then
for __,info in pairs(self._goodsInfos) do
info:dispose()
end
self._goodsInfos = nil
end
self._okBtn = nil
if(self._gridList ~= nil) then
for __,grid in pairs(self._gridList) do
grid:dispose()
end
self._gridList = nil
end
self._parent = nil
globalData.uiClickContainer:close(self)
globalManager.ccCreator:release(self)
end
ActivityController = class("ActivityController",function(self,module)
local temp = {}
temp.module = module
return temp
end)
function ActivityController:showPanel()
if(self.module.activityPanel == nil) then
self.module.activityPanel = ActivityPanel:new(self)
self.module.activityPanel.eventDis:addEventListener(globalData.globalEventType.trigger_panelDispose,self.panelCloseHandler,self)
end
globalData.uiPanelContainer:addPanel(globalData.allStaticTypes.panelTabType.activity,self.module.activityPanel)
end
function ActivityController:panelCloseHandler(evt)
self.module.activityPanel.eventDis:removeEventListener(globalData.globalEventType.trigger_panelDispose,self.panelCloseHandler,self)
self.module.activityPanel = nil
end
ActivityMessageSender = class("ActivityMessageSender",function(self,module)
local temp = {}
temp.activityModule = module
return temp
end)
function ActivityMessageSender:add()
end
--领取奖励
function ActivityMessageSender:sendAccept(id)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.BRISK_AWARD_ACCEPT)
messOut:writeShort(id)
globalManager.messageManager:send(messOut)
end
ActivityModule = class("ActivityModule",function(self)
local temp = BaseModule:new()
temp.activityController = nil
temp.activityPanel = nil
return temp
end)
--override
function ActivityModule:getModuleType()
return globalData.allStaticTypes.moduleType.activity
end
--override
function ActivityModule:setup(data)
self.message = ActivityMessageSender:new(self)
self.message:add()
self.activityController = ActivityController:new(self)
self.activityController:showPanel()
end
--override
function ActivityModule:configure(data)
self.activityController:showPanel()
end
BaggagePanel = class("BaggagePanel",function(self,controller)
local temp = BasePanel:new()
temp.BasePanelDispose = temp.dispose
temp._controller = controller
temp._widget = globalManager.ccCreator:newJsonWidget("baggage")
temp:addChild(temp._widget)
local bagLayer = temp._widget:getChildByName("baggagePanel")
temp.baseBagPos = globalManager.ccCreator:newPoint(bagLayer:getPositionX(),bagLayer:getPositionY())
temp.baseBagZOrder = bagLayer:getLocalZOrder()
local moneyLayer = temp._widget:getChildByName("moneyPanel")
temp.baseMoneyPos = globalManager.ccCreator:newPoint(moneyLayer:getPositionX(),moneyLayer:getPositionY())
temp.baseMoneyZOrder = moneyLayer:getLocalZOrder()
temp.baseBagPanel = nil
temp.baseMoneyPanel = nil
temp._itemBtn = temp._widget:getChildByName("itemBtn")
temp._equipBtn = temp._widget:getChildByName("equipBtn")
--temp._mergeBtn = temp._widget:getChildByName("mergeBtn")
temp._roleView = nil
temp._itemBtn:getChildByName("marketBtnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("BaggagePanel.text1"))
temp._equipBtn:getChildByName("marketBtnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("BaggagePanel.text2"))
--temp._mergeBtn:getChildByName("sortBtnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("BaggagePanel.text3"))
temp._currentType = 1--1：物品 2：装备
return temp
end)
function BaggagePanel:ctor()
self.baseBagPanel = BaseBagPanel:new()
self.baseBagPanel:setPosition(self.baseBagPos)
self:addChild(self.baseBagPanel,self.baseBagZOrder)
self.baseMoneyPanel = BaseMoneyPanel:new()
self.baseMoneyPanel:setPosition(self.baseMoneyPos)
self:addChild(self.baseMoneyPanel,self.baseMoneyZOrder)
self._roleView = RoleDisplayView:new()
self._roleView:setPositionY(2)
self._roleView:setData(globalData.selfPlayerInfo,globalData.goodsInfoList:getGoodsList(),globalData.fashionInfo)
self:addChild(self._roleView)
self:initEvent()
end
function BaggagePanel:initEvent()
local itemClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self:selectBag(1)
end
end
local equipClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self:selectBag(2)
end
end
local mergeClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.rongluLevel)then
globalManager.tipsManager.quickTip:show(globalData.newModuleLevelConfig.rongluLevel..globalManager.yuyanbaoManager:getYuyanbao("PanelTabGroupType.text41"))
return
end
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.furnace)
if(globalData.uiPanelContainer:getCurrentPanel() ~= nil) then
globalData.uiPanelContainer:getCurrentPanel():jumpToTab(4)
end
end
end
self._itemBtn:addTouchEventListener(itemClickHandler)
self._equipBtn:addTouchEventListener(equipClickHandler)
--self._mergeBtn:addTouchEventListener(mergeClickHandler)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.playerInfo_gridClick, self.bagGridClickHandler, self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.playerInfo_gridDoubleClick, self.bagGridDoubleClickHandler, self)
end
function BaggagePanel:removeEvent()
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.playerInfo_gridClick, self.bagGridClickHandler, self)
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.playerInfo_gridDoubleClick, self.bagGridDoubleClickHandler, self)
end
function BaggagePanel:selectBag(type)
if(self._currentType == type) then return end
self._currentType = type
if(self._currentType == 1) then
self._itemBtn:loadTextureNormal("btn/ui_tabBtn1_2.png",1)
self._itemBtn:setTouchEnabled(false)
self._equipBtn:loadTextureNormal("btn/ui_tabBtn1_1.png",1)
self._equipBtn:setTouchEnabled(true)
elseif(self._currentType == 2) then
self._itemBtn:loadTextureNormal("btn/ui_tabBtn1_1.png",1)
self._itemBtn:setTouchEnabled(true)
self._equipBtn:loadTextureNormal("btn/ui_tabBtn1_2.png",1)
self._equipBtn:setTouchEnabled(false)
end
self.baseBagPanel:setBagType(self._currentType)
end
function BaggagePanel:bagGridClickHandler(evt)
local place = evt.data
local goodsInfo = globalData.goodsInfoList:getGoods(place)
globalManager.tipsManager:showGoods(goodsInfo,globalData.allStaticTypes.goodsTipType.BAG)
end
function BaggagePanel:bagGridDoubleClickHandler(evt)
local place = evt.data
local goodsInfo = globalData.goodsInfoList:getGoods(place)
if(goodsInfo == nil)then return end
if(globalData.allStaticTypes.categoryType:IsEquip(goodsInfo:getTemplate().categoryId))then
globalManager.goodsInfoTester:goodsEquip(goodsInfo)
elseif(goodsInfo:getTemplate().canUse)then
globalManager.goodsInfoTester:useGoods(goodsInfo,true)
elseif(#goodsInfo:getTemplate().triggers > 0) then
globalManager.triggerManager:handlerList(goodsInfo:getTemplate().triggers)
end
end
function BaggagePanel:dispose()
self:removeEvent()
self._controller = nil
globalManager.ccCreator:release(self._widget)
self._widget = nil
if(self._roleView ~= nil)then
self._roleView:dispose()
self._roleView = nil
end
if(self.baseBagPanel ~= nil) then
self.baseBagPanel:dispose()
self.baseBagPanel = nil
end
if(self.baseMoneyPanel ~= nil) then
self.baseMoneyPanel:dispose()
self.baseMoneyPanel = nil
end
self._itemBtn = nil
self._equipBtn = nil
--self._mergeBtn = nil
self.baseBagPos = nil
self.baseMoneyPos = nil
self:BasePanelDispose()
self.BasePanelDispose = nil
end
BaggageController = class("BaggageController",function(self,module)
local temp = {}
temp.module = module
return temp
end)
function BaggageController:showBaggagePanel()
if(self.module.baggagePanel == nil) then
self.module.baggagePanel = BaggagePanel:new(self)
self.module.baggagePanel.eventDis:addEventListener(globalData.globalEventType.trigger_panelDispose,self.baggagePanelCloseHandler,self)
end
globalData.uiPanelContainer:addPanel(globalData.allStaticTypes.panelTabType.bag,self.module.baggagePanel)
end
function BaggageController:baggagePanelCloseHandler(evt)
self.module.baggagePanel.eventDis:removeEventListener(globalData.globalEventType.trigger_panelDispose,self.baggagePanelCloseHandler,self)
self.module.baggagePanel = nil
end
BaggageModule = class("BaggageModule",function(self)
local temp = BaseModule:new()
temp.baggageController = nil
temp.baggagePanel = nil
return temp
end)
--override
function BaggageModule:getModuleType()
return globalData.allStaticTypes.moduleType.bag
end
--override
function BaggageModule:setup(data)
self.baggageController = BaggageController:new(self)
self.baggageController:showBaggagePanel()
end
--override
function BaggageModule:configure(data)
self.baggageController:showBaggagePanel()
end
ChatPanelII = class("ChatPanelII", function(self,controller,tab)
local temp = globalManager.ccCreator:newNode()
--data
temp.eventDis = EventDispatcher:new()
temp._currentChannel = -1
temp._controller = controller
temp.sendType = globalData.allStaticTypes.channelType.WORLD
temp.currentHeight = 0 --滚动内容当前高度
temp.newHeight = 0--新增内容高度
temp.fontSize = 20 --字号大小
temp.maxContentLen = 30 --最大单条聊天长度
temp.isLocked = false
temp.chatItemList = {} --聊天展示列表
temp.chatInfoList = {} --聊天信息列表
temp.newChatList = {}
temp.time = 0 --计时器
--view
temp._widget = globalManager.ccCreator:newJsonWidget("ChatPanelII")
temp:addChild(temp._widget)
local bg = temp._widget:getChildByName("board5_Copy1")
bg:setOpacity(255)
bg:setColor(globalData.allStaticTypes.colorType.COLORBLACK)
temp.scrollView = temp._widget:getChildByName("scrollView")
temp.container = globalManager.ccCreator:newWidget()
temp.container:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[7])
temp.scrollView:addChild(temp.container)
temp._scrollBarWrapper = ScrollBarWrapper:new(temp.scrollView,temp)
temp.closeBtn = temp._widget:getChildByName("closeBtn")
temp.lockBtn = temp._widget:getChildByName("lockBtn")
temp.faceBtn = temp._widget:getChildByName("faceBtn")
temp.faceBtn:setPositionY(130)
temp.sendBtn = temp._widget:getChildByName("sendBtn")
temp.typeLabel = temp._widget:getChildByName("typeLabel")
--editbox
temp.inputBg = globalManager.ccCreator:newImageView("board/ui_board8.png",1)
temp.inputBg:setScale9Enabled(true)
temp.inputBg:setCapInsets(cc.rect(16,16,1,1))
temp.inputBg:setSize(globalManager.ccCreator:newSize(405,36))
temp.inputBg:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[7])
temp.inputBg:setPosition(cc.p(418,18))
temp:addChild(temp.inputBg,8)
temp.inputEditBox = globalManager.ccCreator:newEditBox(globalManager.ccCreator:newSize(405,36), temp.maxContentLen)
temp.inputEditBox:setPosition(cc.p(418,18))
temp.inputEditBox:setPlaceHolder("")
temp:addChild(temp.inputEditBox,9)
temp._faceView = nil
temp._tabGroup = nil
temp._tab = tab
temp._widget:getChildByName("btnLabel_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("ChatPanelII.text14"))
temp.sendBtn:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("ChatPanelII.text15"))
return temp
end)
function ChatPanelII:ctor()
self:initView()
self:initEvent()
end
function ChatPanelII:initView()
self._tabGroup = TabGroup:new(3)
self._tabGroup:setData({globalManager.yuyanbaoManager:getYuyanbao("ChatPanelII.text1"),
globalManager.yuyanbaoManager:getYuyanbao("ChatPanelII.text2"),
globalManager.yuyanbaoManager:getYuyanbao("ChatPanelII.text3"),
globalManager.yuyanbaoManager:getYuyanbao("ChatPanelII.text4"),
globalManager.yuyanbaoManager:getYuyanbao("ChatPanelII.text5"),
globalManager.yuyanbaoManager:getYuyanbao("ChatPanelII.text6")},self.setTabIndex,self,self._tab)
self._tabGroup:setPosition(globalManager.ccCreator:newPoint(915,508))
self._tabGroup:setTabEnable(2,false)
self._tabGroup:setTabEnable(4,false)
self:addChild(self._tabGroup)
end
function ChatPanelII:initEvent()
--消息发送操作
local function sendTouchHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
local content  = globalManager.ccCreator:getTextString(self.inputEditBox)
if(content == nil or content == "")then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("ChatPanelII.text7"))
return
end
--			if(globalData.wordFiltersInfo:checkChat(content)) then
local content = globalData.wordFiltersInfo:filtChat(content)
if(content == "") then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("ChatPanelII.text7"))
return
end
self:sendMessage(content,true)
if(self.sendType == globalData.allStaticTypes.channelType.SYSTEM) then
self._tabGroup:setIndex(1)
end
--			else
--				globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("ChatPanelII.text8"))
--			end
end
end
local function faceTouchHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self:showFaceView()
end
end
local function closeTouchHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self:dispose()
end
end
local function lockTouchHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self.isLocked = not self.isLocked
if(self.isLocked)then
self.lockBtn:loadTextureNormal("flag/ui_chat_lock.png",1)
else
self.lockBtn:loadTextureNormal("flag/ui_chat_nolock.png",1)
end
end
end
self.sendBtn:addTouchEventListener(sendTouchHandler)
self.faceBtn:addTouchEventListener(faceTouchHandler)
self.closeBtn:addTouchEventListener(closeTouchHandler)
self.lockBtn:addTouchEventListener(lockTouchHandler)
--global
globalData.chatItemList:addEventListener(globalData.globalEventType.chat_appendItem, self.appendChatItemHandler, self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.global_closeChatPanel,self.dispose,self)
end
function ChatPanelII:removeEvent()
globalData.chatItemList:removeEventListener(globalData.globalEventType.chat_appendItem, self.appendChatItemHandler, self)
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.global_closeChatPanel,self.dispose,self)
end
function ChatPanelII:sendMessage(content,clearInputLabel)
clearInputLabel = clearInputLabel or false
if(not self:sendCondition())then
return
end
local type = self.sendType
if(type == globalData.allStaticTypes.channelType.SYSTEM) then
type = globalData.allStaticTypes.channelType.WORLD
end
if(globalData.selfPlayerInfo.level >= 50)then
globalData.messageAdder:chatSend(type,content,globalData.selfPlayerInfo.nick,globalData.selfPlayerInfo.userId)
end
globalData.chatItemList.sendTime[type] = globalData.systemDateInfo:getSystemTime()
local info = ChatItemInfo:new()
info.playerInfo = BasePlayerInfo:new()
info.playerInfo.serverId = globalData.selfPlayerInfo.serverId
info.currentServerId = globalData.selfPlayerInfo.combinedServerId
info.channel = type
if(globalData.selfPlayerInfo.vipInfo:getVipTime() > 0)then
info.playerInfo.vipLevel = globalData.selfPlayerInfo.vipLevel
else
info.playerInfo.vipLevel = 0
end
info.playerInfo.gm = globalData.selfPlayerInfo.gm
info.playerInfo.nick = globalData.selfPlayerInfo.nick
info.playerInfo.userId = globalData.selfPlayerInfo.userId
info.toUserId = globalData.selfPlayerInfo.userId
info.playerInfo.sex = globalData.selfPlayerInfo.sex
info.uniteJobId = globalData.selfPlayerInfo.uniteJob
info.message = content
info.time = globalData.systemDateInfo:secondsToDateString((math.floor(globalData.systemDateInfo:getSystemTime() / 1000 + globalData.systemDateInfo.timeZoneSecond) + 1) % globalData.systemDateInfo.secondsOfDay)
globalData.chatItemList:appendChatItem(info)
if(clearInputLabel)then
globalManager.ccCreator:setTextString(self.inputEditBox,"")
end
end
--聊天频道发送条件判断
function ChatPanelII:sendCondition()
--CD判断
local nowTime = globalData.systemDateInfo:getSystemTime()
local type = self.sendType
if(type == globalData.allStaticTypes.channelType.SYSTEM) then
type = globalData.allStaticTypes.channelType.WORLD
end
local delta = globalData.chatItemList.sendCd[type] - math.floor((nowTime - globalData.chatItemList.sendTime[type]) / 1000)
--发送条件判断
local errorMsg = nil
local errorChannel = globalData.allStaticTypes.channelType.WORLD
local function chatSpeakerHandler()
if(globalData.selfPlayerInfo.moneyInfo.gold >= 3)then
local type = self.sendType
if(type == globalData.allStaticTypes.channelType.SYSTEM) then
type = globalData.allStaticTypes.channelType.WORLD
end
local content = globalManager.ccCreator:getTextString(self.inputEditBox)
if(globalData.wordFiltersInfo:filtChat(content)) then
content = globalData.wordFiltersInfo:filtChat(content)
globalData.messageAdder:chatSend(type,content,globalData.selfPlayerInfo.nick,globalData.selfPlayerInfo.userId,1)
globalData.chatItemList.sendTime[type] = globalData.systemDateInfo:getSystemTime()
local info = ChatItemInfo:new()
info.playerInfo = BasePlayerInfo:new()
info.playerInfo.serverId = globalData.selfPlayerInfo.serverId
info.currentServerId = globalData.selfPlayerInfo.combinedServerId
info.channel = type
info.playerInfo.vipLevel = globalData.selfPlayerInfo.vipLevel
info.playerInfo.gm = globalData.selfPlayerInfo.gm
info.playerInfo.nick = globalData.selfPlayerInfo.nick
info.playerInfo.userId = globalData.selfPlayerInfo.userId
info.toUserId = globalData.selfPlayerInfo.userId
info.playerInfo.sex = globalData.selfPlayerInfo.sex
info.uniteJobId = globalData.selfPlayerInfo.uniteJob
info.message = content
info.time = globalData.systemDateInfo:secondsToDateString((math.floor(globalData.systemDateInfo:getSystemTime() / 1000 + globalData.systemDateInfo.timeZoneSecond) + 1) % globalData.systemDateInfo.secondsOfDay)
globalData.chatItemList:appendChatItem(info)
globalManager.ccCreator:setTextString(self.inputEditBox,"")
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("ChatPanelII.text8"))
end
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel11"))
end
end
if(delta > 0)then
errorChannel = type
-- errorMsg = globalData.allStaticTypes.channelType:getChannelName(type) .. "发言间隔时间还有：" .. delta .. "秒"
errorMsg = string.format(globalManager.yuyanbaoManager:getYuyanbao("ChatPanelII.text9"),globalData.chatItemList.sendCd[type])
elseif(type == globalData.allStaticTypes.channelType.WORLD)then
--		if(globalData.selfPlayerInfo.level < 30)then
--			errorMsg = "世界发言等级需达到30级，请加油升级！"
errorChannel = globalData.allStaticTypes.channelType.WORLD
--		end
elseif(type == globalData.allStaticTypes.channelType.CLUB)then
if(globalData.selfPlayerInfo.uniteId == 0)then
errorMsg = globalManager.yuyanbaoManager:getYuyanbao("ChatPanelII.text11")
end
errorChannel = globalData.allStaticTypes.channelType.CLUB
elseif(type == globalData.allStaticTypes.channelType.SPEAKER)then
--判断喇叭数量
local speakerCount = globalData.goodsInfoList:getGoodsCount(globalData.allStaticTypes.categoryType.speakerId,1)
if(globalData.selfPlayerInfo.level < 50)then
globalManager.tipsManager.quickTip:show(string.format(globalManager.yuyanbaoManager:getYuyanbao("ChatPanelII.text16"),50))
return false
end
if(speakerCount <= 0)then
Alert:new():show(2,globalManager.yuyanbaoManager:getYuyanbao("ChatPanelII.text13"),globalManager.noAlertUtils.CHATSPEAKER_UPDATE,0,self,chatSpeakerHandler)
return false
end
end
if(errorMsg ~= nil)then
-- globalManager.tipsManager.quickTip:show(errorMsg)
local chatItemInfo = ChatItemInfo:new()
chatItemInfo.channel = errorChannel
chatItemInfo.message = errorMsg
globalData.chatItemList:appendChatItem(chatItemInfo)
return false
end
return true
end
--显示聊天表情
function ChatPanelII:showFaceView()
if(self._faceView == nil)then
self._faceView = FaceView:new(self)
self._faceView:setCallback(self.faceSelected,self)
end
self._faceView:show(cc.p(globalData.GAME_WIDTH - 420,65))
end
function ChatPanelII:hideFaceView()
if(self._faceView ~= nil)then
self._faceView:dispose()
self._faceView = nil
end
end
function ChatPanelII:faceSelected(faceIndex)
-- local content  = self.inputLabel:getStringValue()
local content  = globalManager.ccCreator:getTextString(self.inputEditBox)
local len = globalManager.utf8:utf8len(content)
if(len >= self.maxContentLen)then
do return end
end
if(faceIndex < 10)then
faceIndex = "0" .. tostring(faceIndex)
end
content = content .. "#" .. faceIndex
-- self.inputLabel:setText(content)
globalManager.ccCreator:setTextString(self.inputEditBox,content)
end
function ChatPanelII:appendChatItemHandler(evt)
local chatItemInfo = evt.data
local flag = globalData.allStaticTypes.channelType:isInFilter(self._currentChannel,chatItemInfo.channel)
if(flag)then
table.insert(self.newChatList,chatItemInfo)
globalManager.tickManager:addTick(self.tick,self)
end
end
function ChatPanelII:appendChatItem(chatItemInfo)
local flag = globalData.allStaticTypes.channelType:isInFilter(self._currentChannel,chatItemInfo.channel)
if(flag)then
table.insert(self.chatInfoList,chatItemInfo)
globalManager.tickManager:addTick(self.tick,self)
end
end
function ChatPanelII:tick(delta,count)
self.time = self.time + 1
if(self.time >= 5) then
local richLabel = globalManager.ccCreator:newRichLabel2(nil,510,globalData.allStaticTypes.colorType.CHAT_COLOR)
local info = nil
if(#self.chatInfoList > 0) then
info = table.remove(self.chatInfoList,#self.chatInfoList)
if(info ~= nil and info.message ~= nil) then
richLabel:setCharInfo(info)
self.currentHeight = self.currentHeight + richLabel:getHeight()
richLabel:setPositionY(self.currentHeight)
self.container:addChild(richLabel)
table.insert(self.chatItemList, richLabel)
end
else
info = table.remove(self.newChatList,#self.newChatList)
if(info ~= nil and info.message ~= nil) then
richLabel:setCharInfo(info)
richLabel:setPositionY(-self.newHeight)
self.newHeight = self.newHeight + richLabel:getHeight()
self.container:addChild(richLabel)
table.insert(self.chatItemList, richLabel)
end
end
self.container:setPositionY(self.newHeight - 30)
self.scrollView:setInnerContainerSize(cc.size(910,self.currentHeight + self.newHeight))
self.scrollView:requestDoLayout()
if(not self.isLocked)then
self.scrollView:jumpToBottom()
end
if(#self.chatInfoList == 0 and #self.newChatList == 0) then
globalManager.tickManager:removeTick(self.tick,self)
end
self.time = 0
end
end
function ChatPanelII:setTabIndex(index)
local channelType = globalData.allStaticTypes.channelType.WORLD
if(index == 1)then
channelType = globalData.allStaticTypes.channelType.WORLD
elseif(index == 3)then
channelType = globalData.allStaticTypes.channelType.CLUB
elseif(index == 4)then
channelType = globalData.allStaticTypes.channelType.TEAM
elseif(index == 5)then
channelType = globalData.allStaticTypes.channelType.SPEAKER
elseif(index == 6)then
channelType = globalData.allStaticTypes.channelType.SYSTEM
end
self:showType(channelType)
end
function ChatPanelII:showType(type)
if(self._currentChannel == type)then
return
end
self._currentChannel = type
self:clear()
local chatItemList = globalData.chatItemList:getChatItemList(type)
local len = table.getn(chatItemList)
for i=1,len do
self:appendChatItem(chatItemList[i])
end
self.sendType = type
self:updateSendType()
end
function ChatPanelII:updateSendType()
if(self.sendType == globalData.allStaticTypes.channelType.WORLD)then
self.typeLabel:loadTexture("flag/ui_label_world.png",1)
elseif(self.sendType == globalData.allStaticTypes.channelType.CLUB)then
self.typeLabel:loadTexture("flag/ui_label_club.png",1)
elseif(self.sendType == globalData.allStaticTypes.channelType.TEAM)then
self.typeLabel:loadTexture("flag/ui_label_team.png",1)
elseif(self.sendType == globalData.allStaticTypes.channelType.SPEAKER)then
self.typeLabel:loadTexture("flag/ui_label_speaker.png",1)
elseif(self.sendType == globalData.allStaticTypes.channelType.SYSTEM)then
self.typeLabel:loadTexture("flag/ui_label_world.png",1)
end
end
function ChatPanelII:clear()
globalManager.tickManager:removeTick(self.tick,self)
self.container:removeAllChildren()
for __,label in pairs(self.chatItemList) do
label:dispose()
end
self.chatItemList = {}
self.chatInfoList = {}
self.newChatList = {}
self.currentHeight = 0
self.newHeight = 0
end
function ChatPanelII:dispose()
self.eventDis:dispatchEvent(BaseEvent:new(globalData.globalEventType.trigger_panelDispose,self.eventDis,nil))
self.eventDis:dispose()
self.eventDis = nil
self:removeEvent()
self:clear()
self._controller = nil
self.scrollView = nil
self.closeBtn = nil
self.lockBtn = nil
self.sendBtn = nil
self.sendBtn = nil
self.typeLabel = nil
self.chatItemList = nil
self.chatInfoList = nil
self.newChatList = nil
globalManager.ccCreator:release(self._widget)
self._widget = nil
globalManager.ccCreator:release(self.container)
self.container = nil
globalManager.ccCreator:release(self.inputEditBox)
self.inputEditBox = nil
globalManager.ccCreator:release(self.inputBg)
self.inputBg = nil
self._scrollBarWrapper:dispose()
self._scrollBarWrapper = nil
if(self._faceView ~= nil)then
self._faceView:dispose()
self._faceView = nil
end
if(self._tabGroup ~= nil)then
self._tabGroup:dispose()
self._tabGroup = nil
end
globalManager.ccCreator:release(self)
end
FaceItem = class("FaceItem", function(self)
local temp = globalManager.ccCreator:newImageView()
temp:setTouchEnabled(true)
temp:setAnchorPoint(cc.p(0,0))
-- temp:setScale(2)
temp._frameRate = 3
temp._faceData = nil  --帧数组
temp._tickCount = 0
temp._currentFrame = 1
return temp
end)
function FaceItem:ctor()
end
function FaceItem:setFaceData(faceData)
self._faceData = faceData
self:showFrame()
globalManager.tickManager:addTick(self.tick, self)
end
function FaceItem:tick(delta)
self._tickCount = self._tickCount + 1
if(self._tickCount % self._frameRate == 0)then
self._currentFrame = self._currentFrame + 1
if(self._currentFrame > table.getn(self._faceData))then
self._currentFrame = 1
end
self:showFrame()
end
end
function FaceItem:showFrame()
local frameName = self._faceData[self._currentFrame] .. ".png"
self:loadTexture(frameName,1)
end
function FaceItem:dispose()
globalManager.tickManager:removeTick(self.tick, self)
self._faceData = nil
globalManager.ccCreator:release(self)
end
FaceView = class("FaceView", function(self,parent)
local temp = globalManager.ccCreator:newWidget()
temp._faces = {}
temp._callback = nil
temp._target = nil
temp._parent = parent
temp._background = globalManager.ccCreator:newImageView("board/ui_board4.png", 1)
temp._background:setScale9Enabled(true)
temp._background:setAnchorPoint(cc.p(0,0))
temp._background:setCapInsets(cc.rect(30,39,1,1))
temp._background:setSize(cc.size(336,424))
temp:addChild(temp._background)
return temp
end)
function FaceView:ctor()
self:initView()
self:initEvent()
end
function FaceView:initView()
local list = globalData.allTemplates.effectTemplateList.faceInfo.FACES
local len = table.getn(list)
for i=1,len do
local face = FaceItem:new()
face:setScale(2)
face:setFaceData(list[i])
face:setPosition(cc.p((i - 1) % 5 * 53 + 36,math.floor((i - 1) / 5) * 50 + 36))
self:addChild(face)
table.insert(self._faces, face)
if(i >= 35)then
break
end
end
end
function FaceView:initEvent()
local function touchHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
local index = globalManager.commonUtils:getIndexOfTable(self._faces,sender)
if(self._target ~= nil and self._callback ~= nil)then
self._callback(self._target,index)
end
end
end
for __,face in pairs(self._faces) do
face:addTouchEventListener(touchHandler)
end
end
function FaceView:setCallback(callback,target)
self._callback = callback
self._target = target
end
function FaceView:show(pos)
globalData.uiClickContainer:addItem(self)
self:setPosition(pos)
end
function FaceView:hideFormClickContainer()
self._parent:hideFaceView()
end
function FaceView:dispose()
globalData.uiClickContainer:close(self)
if(self:getParent() ~= nil)then
self:removeFromParent(false)
end
for __,face in pairs(self._faces) do
face:dispose()
end
self._parent = nil
self._faces = nil
self._callback = nil
self._target = nil
globalManager.ccCreator:release(self._background)
self._background = nil
globalManager.ccCreator:release(self)
end
ChatController = class("ChatController", function(self,module)
local temp = {}
temp.module = module
return temp
end)
function ChatController:showChatPanelII(tab)
if(self.module.chatPanelII == nil)then
self.module.chatPanelII = ChatPanelII:new(self,tab)
self.module.chatPanelII.eventDis:addEventListener(globalData.globalEventType.trigger_panelDispose,self.hideChatPanelII,self)
end
if(self.module.chatPanelII:getParent() == nil)then
globalManager.containerManager.panelContainer:addChild(self.module.chatPanelII)
self.module.chatPanelII:setPosition(cc.p(globalData.GAME_WIDTH - 960,0))
end
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_showChatPanel,globalManager.gameDispatcher))
end
function ChatController:hideChatPanelII(evt)
self.module.chatPanelII.eventDis:removeEventListener(globalData.globalEventType.trigger_panelDispose,self.hideChatPanelII,self)
self.module.chatPanelII = nil
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_hideChatPanel,globalManager.gameDispatcher))
end
ChatModule = class("ChatModule",function(self)
local temp = BaseModule:new()
temp.chatController = nil
--components
temp.chatPanel = nil
temp.chatPanelII = nil
return temp
end)
--override
function ChatModule:getModuleType()
return globalData.allStaticTypes.moduleType.chat
end
--override
function ChatModule:setup(data)
self.chatController = ChatController:new(self)
self:configure(data)
end
--override
function ChatModule:configure(data)
self.chatController:showChatPanelII(data)
end
--欢乐送钻
CombinedActive1 = class("CombinedActive1",function(self,type)
local temp          = globalManager.ccCreator:newJsonWidget("CombineActive1")
temp._moneyLabel    = temp:getChildByName("moneyLabel")
temp._deltaLabel    = temp:getChildByName("content3")
temp._goldNumLabel  = temp:getChildByName("goldNumLabel")
temp._getBtn        = temp:getChildByName("getBtn")
temp._btnLabel      = temp._getBtn:getChildByName("label")
temp._btnLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel37"))
temp:getChildByName("content2"):setText(globalManager.yuyanbaoManager:getYuyanbao("CombinedActive1.text2"))
temp:getChildByName("content4"):setText(globalManager.yuyanbaoManager:getYuyanbao("CombinedActive1.text3"))
temp:getChildByName("content1"):setText(globalManager.yuyanbaoManager:getYuyanbao("CombinedActive1.text4"))
temp._type          = type
temp._flag          = 0
temp._templateInfo  = nil
return temp
end)
function CombinedActive1:ctor()
self:initEvent()
self:updateView()
end
function CombinedActive1:initEvent()
local getClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
if(self._flag == 1)then
globalData.messageAdder:sendCombinedActiveGet(self._type,self._templateInfo[1].condition)
elseif(self._flag == 2)then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.payTab,globalData.allStaticTypes.panelTabType.pay)
end
end
end
self._getBtn:addTouchEventListener(getClickHandler)
globalData.combinedActiveInfo:addEventListener(globalData.globalEventType.combined_Active_Info,self.updateView,self)
end
function CombinedActive1:removeEvent()
globalData.combinedActiveInfo:removeEventListener(globalData.globalEventType.combined_Active_Info,self.updateView,self)
end
function CombinedActive1:updateView()
self._templateInfo = globalData.allTemplates.combinedActiveTemplateList.combinedActive1List
local recharge     = globalData.combinedActiveInfo.recharge
local value        = 0
if(recharge > 0)then
value        = recharge % self._templateInfo[1].condition
end
local delta        = (self._templateInfo[1].condition - value)
self._moneyLabel:setText((recharge % self._templateInfo[1].condition) .. "/" .. (self._templateInfo[1].condition) ..globalManager.yuyanbaoManager:getYuyanbao("CombinedActive1.text5"))
self._deltaLabel:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("CombinedActive1.text7"),delta))
self._goldNumLabel:setText(math.floor(recharge / self._templateInfo[1].condition) * 1000)
if(recharge >= 1000)then
self._getBtn:loadTextureNormal("btn/ui_tabBtn1_3.png", 1)
self._btnLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel37"))
self._flag = 1
else
self._getBtn:loadTextureNormal("btn/ui_tabBtn1_4.png", 1)
self._btnLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("CombinedActive1.text6"))
self._flag = 2
end
end
function CombinedActive1:dispose()
self:removeEvent()
self._moneyLabel    = nil
self._deltaLabel    = nil
self._goldNumLabel  = nil
self._getBtn        = nil
self._type          = nil
self._templateInfo  = nil
globalManager.ccCreator:release(self)
end
--帮派排名
CombinedActive3 = class("CombinedActive3",function(self,type)
local temp          = globalManager.ccCreator:newJsonWidget("CombineActive2")
temp._jieyuanLabel  = temp:getChildByName("jylb")
temp._jieyuanLabel:setVisible(false)
temp:getChildByName("bppm"):setText(globalManager.yuyanbaoManager:getYuyanbao("CombinedActive3.text1"))
temp._itemList      = {}
temp._flagIconList  = {}
temp._nameList      = {}
temp._awardGrid     = {}
temp._getBtnList    = {}
temp._hasIconList   = {}
temp._priceList     = {}
for i = 1,3,1 do
table.insert(temp._itemList,temp:getChildByName("board_"..i))
table.insert(temp._flagIconList,temp._itemList[i]:getChildByName("bp"..i))
table.insert(temp._nameList,temp._itemList[i]:getChildByName("name_"..i))
table.insert(temp._awardGrid,temp._itemList[i]:getChildByName("award_"..i))
table.insert(temp._priceList,temp._itemList[i]:getChildByName("value_"..i))
table.insert(temp._getBtnList,temp._itemList[i]:getChildByName("getBtn_"..i))
table.insert(temp._hasIconList,temp._itemList[i]:getChildByName("hasGot_"..i))
temp._getBtnList[i]:getChildByName("label"):setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel37"))
end
temp._type          = type
temp._cell          = nil
return temp
end)
function CombinedActive3:ctor()
self:initEvent()
self:initView()
self:updateView()
end
function CombinedActive3:initEvent()
local get1ClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalData.messageAdder:sendCombinedActiveGet(self._type,1)
end
end
local get2ClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalData.messageAdder:sendCombinedActiveGet(self._type,2)
end
end
local get3ClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalData.messageAdder:sendCombinedActiveGet(self._type,3)
end
end
self._getBtnList[1]:addTouchEventListener(get1ClickHandler)
self._getBtnList[2]:addTouchEventListener(get2ClickHandler)
self._getBtnList[3]:addTouchEventListener(get3ClickHandler)
globalData.combinedActiveInfo:addEventListener(globalData.globalEventType.combined_Active_Info,self.updateView,self)
end
function CombinedActive3:removeEvent()
globalData.combinedActiveInfo:removeEventListener(globalData.globalEventType.combined_Active_Info,self.updateView,self)
end
function CombinedActive3:initView()
self._priceList[1]:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel71")..":4888"..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel58"))
self._priceList[2]:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel71")..":2888"..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel58"))
self._priceList[3]:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel71")..":1888"..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel58"))
local templateInfo = globalData.allTemplates.combinedActiveTemplateList.combinedActive3List
for i,info in pairs(templateInfo) do
self._cell          = BaseGrid:new()
self._awardGrid[i]:addChild(self._cell)
local goodsTemplate = globalData.allTemplates.goodsTemplateList:getTemplate(info.awardList[1][1])
self._nameList[i]:setText(goodsTemplate.name)
self._nameList[i]:setColor(globalData.allStaticTypes.colorType:getColorByQuality(goodsTemplate.quality))
self._cell:setGoodsTempInfo(goodsTemplate)
end
end
function CombinedActive3:updateView()
local clubAward     = globalData.combinedActiveInfo.clubAward
local clubSign      = globalData.combinedActiveInfo.clubSign
if(clubAward == 0)then
for i = 1,3,1 do
self._getBtnList[i]:loadTextureNormal("btn/ui_tabBtn1_5.png", 1)
self._getBtnList[i]:setTouchEnabled(false)
end
elseif(clubAward == 1 or clubAward == 2 or clubAward == 3)then
for i = 1,3,1 do
if(i == clubAward)then
self._getBtnList[i]:loadTextureNormal("btn/ui_tabBtn1_3.png", 1)
self._getBtnList[i]:setTouchEnabled(true)
else
self._getBtnList[i]:loadTextureNormal("btn/ui_tabBtn1_5.png", 1)
self._getBtnList[i]:setTouchEnabled(false)
end
end
end
if(clubSign == 1 or clubSign == 2 or clubSign == 3)then
for i = 1,3,1 do
if(i == clubSign)then
self._getBtnList[i]:setVisible(false)
end
end
end
end
function CombinedActive3:dispose()
self:removeEvent()
self._jieyuanLabel  = nil
self._itemList      = nil
self._flagIconList  = nil
self._nameList      = nil
self._awardGrid     = nil
self._getBtnList    = nil
self._hasIconList   = nil
if(self._cell ~= nil)then
self._cell:dispose()
self._cell = nil
end
globalManager.ccCreator:release(self)
end
--结缘礼包
CombinedActive4 = class("CombinedActive4",function(self,type)
local temp          = globalManager.ccCreator:newJsonWidget("CombineActive2")
temp._bangpaiLabel  = temp:getChildByName("bppm")
temp._bangpaiLabel:setVisible(false)
temp:getChildByName("jylb"):setText(globalManager.yuyanbaoManager:getYuyanbao("CombinedActive4.text1"))
temp._itemList      = {}
temp._flagIconList  = {}
temp._nameList      = {}
temp._awardGrid     = {}
temp._getBtnList    = {}
temp._hasIconList   = {}
temp._priceList     = {}
for i = 1,3,1 do
table.insert(temp._itemList,temp:getChildByName("board_"..i))
table.insert(temp._flagIconList,temp._itemList[i]:getChildByName("bp"..i))
temp._flagIconList[i]:setVisible(false)
table.insert(temp._nameList,temp._itemList[i]:getChildByName("name_"..i))
table.insert(temp._awardGrid,temp._itemList[i]:getChildByName("award_"..i))
table.insert(temp._priceList,temp._itemList[i]:getChildByName("value_"..i))
table.insert(temp._getBtnList,temp._itemList[i]:getChildByName("getBtn_"..i))
temp._getBtnList[i]:setVisible(false)
table.insert(temp._hasIconList,temp._itemList[i]:getChildByName("hasGot_"..i))
temp._hasIconList[i]:setVisible(false)
end
temp._type          = type
temp._cell          = nil
return temp
end)
function CombinedActive4:ctor()
self:initEvent()
self:initView()
self:updateView()
end
function CombinedActive4:initEvent()
globalData.combinedActiveInfo:addEventListener(globalData.globalEventType.combined_Active_Info,self.updateView,self)
end
function CombinedActive4:removeEvent()
globalData.combinedActiveInfo:removeEventListener(globalData.globalEventType.combined_Active_Info,self.updateView,self)
end
function CombinedActive4:initView()
self._priceList[1]:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel71")..":11888"..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel58"))
self._priceList[2]:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel71")..":1888"..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel58"))
self._priceList[3]:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel71")..":988"..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel58"))
local templateInfo = globalData.allTemplates.combinedActiveTemplateList.combinedActive4List
for i,info in pairs(templateInfo) do
self._cell          = BaseGrid:new()
self._awardGrid[i]:addChild(self._cell)
local goodsTemplate = globalData.allTemplates.goodsTemplateList:getTemplate(info.awardList[1][1])
self._nameList[i]:setText(goodsTemplate.name)
self._nameList[i]:setColor(globalData.allStaticTypes.colorType:getColorByQuality(goodsTemplate.quality))
self._cell:setGoodsTempInfo(goodsTemplate)
end
end
function CombinedActive4:updateView()
local hasIdList = globalData.combinedActiveInfo.hasIdList
if(hasIdList == nil or #hasIdList < 0)then
for i = 1,3,1 do
self._hasIconList[i]:setVisible(false)
end
else
for __,id in pairs(hasIdList) do
if(id == 1)then
self._hasIconList[3]:setVisible(true)
elseif(id == 2)then
self._hasIconList[2]:setVisible(true)
elseif(id == 3)then
self._hasIconList[1]:setVisible(true)
end
end
end
end
function CombinedActive4:dispose()
self:removeEvent()
self._bangpaiLabel  = nil
self._itemList      = nil
self._flagIconList  = nil
self._nameList      = nil
self._awardGrid     = nil
self._getBtnList    = nil
self._hasIconList   = nil
if(self._cell ~= nil)then
self._cell:dispose()
self._cell = nil
end
globalManager.ccCreator:release(self)
end
--合服礼包
CombinedActive5 = class("CombinedActive5",function(self,type)
local temp          = globalManager.ccCreator:newJsonWidget("CombineActive3")
temp._getBtn        = temp:getChildByName("getBtn")
temp._getBtn:getChildByName("label"):setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel37"))
temp:getChildByName("tips"):setText(globalManager.yuyanbaoManager:getYuyanbao("CombinedActive5.text2"))
temp:getChildByName("content3"):setText(globalManager.yuyanbaoManager:getYuyanbao("CombinedActive5.text3"))
temp:getChildByName("content2"):setText(globalManager.yuyanbaoManager:getYuyanbao("CombinedActive5.text4"))
temp:getChildByName("content1"):setText(globalManager.yuyanbaoManager:getYuyanbao("CombinedActive5.text5"))
temp._itemList      = {}
for i = 1,5,1 do
table.insert(temp._itemList,temp:getChildByName("award_"..i))
end
temp._type          = type
temp._gridList      = {}
temp._flag          = -1
return temp
end)
function CombinedActive5:ctor()
self:initEvent()
self:initView()
self:updateView()
end
function CombinedActive5:initEvent()
local getClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
if(self._flag == 1)then
globalData.messageAdder:sendCombinedActiveGet(self._type,0)
end
end
end
self._getBtn:addTouchEventListener(getClickHandler)
globalData.combinedActiveInfo:addEventListener(globalData.globalEventType.combined_Active_Info,self.updateView,self)
end
function CombinedActive5:removeEvent()
globalData.combinedActiveInfo:removeEventListener(globalData.globalEventType.combined_Active_Info,self.updateView,self)
end
function CombinedActive5:initView()
local templateInfo = globalData.allTemplates.combinedActiveTemplateList.combinedActive5List
for i = 1,5,1 do
if(templateInfo[1].awardList[i] ~= nil) then
local grid = BaseGrid:new()
grid:setGoodsTempInfo(globalData.allTemplates.goodsTemplateList:getTemplate(templateInfo[1].awardList[i][1]))
grid:setCount(templateInfo[1].awardList[i][2])
self._itemList[i]:addChild(grid)
table.insert(self._gridList,grid)
end
end
end
function CombinedActive5:updateView()
local mergeAward = globalData.combinedActiveInfo.mergeAward
if(mergeAward == 0)then
self._flag = 1
elseif(mergeAward == 1)then
self._flag = 2
self._getBtn:setEnabled(false)
end
end
function CombinedActive5:dispose()
self:removeEvent()
self._itemList      = nil
self._getBtn        = nil
self._type          = nil
if(self._gridList ~= nil) then
for __,grid in pairs(self._gridList) do
grid:dispose()
end
self._gridList = nil
end
globalManager.ccCreator:release(self)
end
CombinedActivePanel = class("CombinedActivePanel",function(self,controller)
local temp = BasePanel:new()
temp.BasePanelDispose = temp.dispose
temp._controller = controller
temp._widget = globalManager.ccCreator:newJsonWidget("openPanel")
temp:addChild(temp._widget)
temp.nameList = {
globalManager.yuyanbaoManager:getYuyanbao("CombinedActivePanel.text1"),
globalManager.yuyanbaoManager:getYuyanbao("CombinedActivePanel.text2"),
globalManager.yuyanbaoManager:getYuyanbao("CombinedActivePanel.text3"),
globalManager.yuyanbaoManager:getYuyanbao("CombinedActivePanel.text4"),
globalManager.yuyanbaoManager:getYuyanbao("CombinedActivePanel.text5")
}
temp.btnList = nil
temp.panelList = {}
temp.bg        = temp._widget:getChildByName("subviewBg")
temp.bg:setOpacity(100)
temp._listPanel = temp._widget:getChildByName("btn_list")
temp._listPanel:setItemsMargin(10)
temp._rechargeBtn = temp._widget:getChildByName("rechargeBtn_Copy0")
temp._rechargeBtn:setEnabled(false)
temp._titleImg = temp._widget:getChildByName("title_image")
temp._countDown = temp._widget:getChildByName("countDownLabel")
temp._panelLayer = temp._widget:getChildByName("panel_layer")
temp._timeLabel = temp._widget:getChildByName("timeLabel")
temp._rankLabel = temp._widget:getChildByName("rankLabel")
temp._rankLabel:setVisible(false)
temp._rank_Btn = temp._widget:getChildByName("rank_Btn")
temp._rank_Btn:setEnabled(false)
temp._xian = temp._widget:getChildByName("xian")
temp._xian:setVisible(false)
temp._currentIndex = 0
temp._path = nil
temp._chgTypeList = nil
temp._widget:getChildByName("countDownLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("CombinedActivePanel.text6"))
temp._widget:getChildByName("rankLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("CombinedActivePanel.text7"))
return temp
end)
function CombinedActivePanel:ctor()
self:initEvent()
self:initData()
self:openIconTipUpdate()
end
function CombinedActivePanel:initData()
local btnClickHandler = function(sender,eventType)
self:setIndex(globalManager.commonUtils:getIndexOfTable(self.btnList,sender))
end
if(globalData.allTemplates.combinedActiveTemplateList.typeList == nil or #globalData.allTemplates.combinedActiveTemplateList.typeList == 0) then
return
end
self.btnList = {}
self._chgTypeList = {}
local btn = nil
for __,type in pairs(globalData.allTemplates.combinedActiveTemplateList.typeList) do
table.insert(self._chgTypeList, type)
btn = UIPanelTabButton:new(self.nameList[type])
self._listPanel:pushBackCustomItem(btn)
btn:addTouchEventListener(btnClickHandler)
table.insert(self.btnList,btn)
end
self:setIndex(1)
end
function CombinedActivePanel:initEvent()
globalManager.openInfoTester:addEventListener(globalData.globalEventType.quickIcon_combinedActive1,self.openIconTipUpdate,self)
globalManager.openInfoTester:addEventListener(globalData.globalEventType.quickIcon_combinedActive3,self.openIconTipUpdate,self)
globalManager.openInfoTester:addEventListener(globalData.globalEventType.quickIcon_combinedActive5,self.openIconTipUpdate,self)
end
function CombinedActivePanel:removeEvent()
globalManager.openInfoTester:removeEventListener(globalData.globalEventType.quickIcon_combinedActive1,self.openIconTipUpdate,self)
globalManager.openInfoTester:removeEventListener(globalData.globalEventType.quickIcon_combinedActive3,self.openIconTipUpdate,self)
globalManager.openInfoTester:removeEventListener(globalData.globalEventType.quickIcon_combinedActive5,self.openIconTipUpdate,self)
end
function CombinedActivePanel:jumpToTab(type)
local index = globalManager.commonUtils:getIndexOfTable(globalData.allTemplates.combinedActiveTemplateList.typeList,type)
if(index == -1)then
self:setIndex(1)
else
self:setIndex(index)
end
end
function CombinedActivePanel:openTempUpdateHandler(evt)
globalData.uiPanelContainer:close()
end
function CombinedActivePanel:openIconTipUpdate(evt)
for i,type in pairs(globalData.allTemplates.combinedActiveTemplateList.typeList) do
if(globalManager.openInfoTester.typeResult1[type] ~= nil) then
if(globalManager.openInfoTester.typeResult1[type] > 0) then
self.btnList[i]:setShowPop(true)
else
self.btnList[i]:setShowPop(false)
end
end
end
end
function CombinedActivePanel:setIndex(index)
if(self._currentIndex == index) then return end
if(self._currentIndex ~= 0) then
self.btnList[self._currentIndex]:setSelected(false)
self.panelList[self._currentIndex]:removeFromParent(false)
end
self._currentIndex = index
local curType = self._chgTypeList[self._currentIndex]
self.btnList[self._currentIndex]:setSelected(true)
if(self.panelList[self._currentIndex] == nil) then
self.panelList[self._currentIndex] = self:getPanel(curType)
end
self._panelLayer:addChild(self.panelList[self._currentIndex])
if(self._currentIndex == 2)then
self._panelLayer:setPosition(182,16)
end
--self.panelList[self._currentIndex]:setScroll()
self:setTitleImg(globalManager.pathManager:getUISource("outPic/combinedTitleImg.png"))
local combinedTime = globalData.combinedTime
local systemTime   = globalData.systemDateInfo:getSystemTime() / 1000
local deltaTime    = 0
if(self._currentIndex == 3)then
deltaTime    = 3600 * 3 * 24
else
deltaTime    = 3600 * 5 * 24
end
local time         = math.floor(combinedTime + deltaTime - systemTime)
if(time > 0)then
self._timeLabel:setText(globalData.systemDateInfo:secondsToDateString4(time,false))
else
self._timeLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("CombinedActivePanel.text8"))
end
end
function CombinedActivePanel:setTitleImg(path)
if(self._path == path) then return end
if(self._path ~= nil) then
globalManager.sourceCacheManager:removeQuote(self._path)
end
self._path = path
globalManager.sourceCacheManager:setImage(self._titleImg,self._path,globalData.allStaticTypes.sourceStaticType.clearFiveM)
end
function CombinedActivePanel:getPanel(type)
if(type == 1) then--欢乐送钻
return CombinedActive1:new(type)
-- elseif(type == 2)then--寻宝轮盘
-- 	return CombinedActive2:new(type)
elseif(type == 3)then--帮派排名
return CombinedActive3:new(type)
elseif(type == 4)then--结缘礼包
return CombinedActive4:new(type)
elseif(type == 5)then--合服礼包
return CombinedActive5:new(type)
end
end
function CombinedActivePanel:dispose()
self:removeEvent()
if(self._path ~= nil) then
globalManager.sourceCacheManager:removeQuote(self._path)
self._path = nil
end
self._controller = nil
self._rechargeBtn = nil
self.nameList = nil
if(self.btnList ~= nil) then
for __,btn in pairs(self.btnList) do
btn:dispose()
end
self.btnList = nil
end
if(self.panelList ~= nil) then
for __,panel in pairs(self.panelList) do
if(panel ~= nil) then
panel:dispose()
end
end
self.panelList = nil
end
self._listPanel:removeAllItems()
self._listPanel = nil
self._titleImg = nil
self._panelLayer = nil
self._rankLabel = nil
self._rank_Btn = nil
self._timeLabel = nil
self._countDown = nil
self._xian = nil
self._chgTypeList = nil
globalManager.ccCreator:release(self._widget)
self._widget = nil
self:BasePanelDispose()
self.BasePanelDispose = nil
end
CombinedActiveController = class("CombinedActiveController",function(self,module)
local temp = {}
temp.module = module
return temp
end)
function CombinedActiveController:showPanel()
if(self.module.combinedActivePanel == nil) then
self.module.combinedActivePanel = CombinedActivePanel:new(self)
self.module.combinedActivePanel.eventDis:addEventListener(globalData.globalEventType.trigger_panelDispose,self.panelCloseHandler,self)
end
globalData.uiPanelContainer:addPanel(globalData.allStaticTypes.panelTabType.combinedActive,self.module.combinedActivePanel)
end
function CombinedActiveController:panelCloseHandler(evt)
self.module.combinedActivePanel.eventDis:removeEventListener(globalData.globalEventType.trigger_panelDispose,self.panelCloseHandler,self)
self.module.combinedActivePanel = nil
end
CombinedActiveModule = class("CombinedActiveModule",function(self)
local temp = BaseModule:new()
temp.combinedActiveController = nil
temp.combinedActivePanel = nil
temp.message = nil
return temp
end)
--override
function CombinedActiveModule:getModuleType()
return globalData.allStaticTypes.moduleType.open
end
--override
function CombinedActiveModule:setup(data)
self.combinedActiveController = CombinedActiveController:new(self)
self.combinedActiveController:showPanel()
end
--override
function CombinedActiveModule:configure(data)
self.combinedActiveController:showPanel()
end
FightUpItem = class("FightUpItem",function(self,index)
local temp = globalManager.ccCreator:newJsonWidget("FightValueUpItem")
temp._index      = index
temp._typeIcon   = temp:getChildByName("typeIcon")
temp._fightLabel = temp:getChildByName("fight_label")
temp._itemList   = {}
for i = 1,3,1 do
table.insert(temp._itemList,temp:getChildByName("score" .. i))
temp._itemList[i]:setVisible(false)
end
temp._loadingBar = temp:getChildByName("exp_bar")
temp._loadingText = temp._loadingBar:getChildByName("txt")
temp._loadingText:setVisible(false)
return temp
end)
function FightUpItem:ctor()
self:initEvent()
self:initView()
end
function FightUpItem:initEvent()
end
function FightUpItem:removeEvent()
end
function FightUpItem:initView()
local templateInfoList = {}
local fightValue = 0
local jinHuaList = {}
local huaXingList= {}
local infoList   = {}
local currentInfo = nil
local nextInfo    = nil
local maxInfo     = nil
if(self._index == 1)then --rider
fightValue  = 0
currentInfo = nil
nextInfo    = nil
maxInfo     = nil
templateInfoList = globalData.allTemplates.fightValueUpTemplateList:getTemplateByType(self._index)
self._typeIcon:loadTexture("icon/mainmenu_in_btn11.png",1)
fightValue  = globalData.riderItemInfo.fight
-- jinHuaList  = globalData.riderItemInfo.jinHuaList
-- huaXingList = globalData.riderItemInfo.huaXing
-- infoList    = globalData.allTemplates.huaxingTemplateList.riderList
-- for __,info in pairs(infoList) do
-- 	local index = globalManager.commonUtils:getIndexOfTable(huaXingList,info.id)
-- 	if(index ~= -1)then
-- 		if(jinHuaList[info.id] == nil or jinHuaList[info.id] == 0)then
-- 			local templateInfo = globalData.allTemplates.huaxingTemplateList:getInfoByTypeAndId(2,info.id)
-- 			fightValue = fightValue + templateInfo.fight
-- 		else
-- 			local tempList = globalData.allTemplates.huaXingStarTemplateList:getTemplateByidAndType(info.id,2)
-- 			local tempInfo = nil
-- 			for __,info in pairs(tempList) do
-- 				if(info.level == jinHuaList[info.templateId])then
-- 					tempInfo = info
-- 				end
-- 			end
-- 			fightValue = fightValue + tempInfo.fightValue
-- 		end
-- 	end
-- end
self._fightLabel:setStringValue(fightValue)
for i = 1,#templateInfoList,1 do
if(templateInfoList[i].fightValue > fightValue)then
nextInfo    = templateInfoList[i]
currentInfo = templateInfoList[i - 1]
break
else
if(i >= #templateInfoList)then
maxInfo     = templateInfoList[6]
end
end
end
if(currentInfo ~= nil)then
self:setTypeLevel(currentInfo.id)
else
self:setTypeLevel(maxInfo.id)
end
if(maxInfo == nil)then
local rate = math.ceil(fightValue / nextInfo.fightValue * 100)
if(rate <= 0)then rate = 3 end
if(rate >= 100)then rate = 100 end
self._loadingBar:setPercent(rate)
else
self._loadingBar:setPercent(100)
end
elseif(self._index == 2)then --longhun
fightValue = 0
currentInfo = nil
nextInfo    = nil
maxInfo     = nil
templateInfoList = globalData.allTemplates.fightValueUpTemplateList:getTemplateByType(self._index)
self._typeIcon:loadTexture("icon/mainmenu_in_btn7.png",1)
fightValue  = globalData.longhunItemInfo.fight
self._fightLabel:setStringValue(fightValue)
for i = 1,#templateInfoList,1 do
if(templateInfoList[i].fightValue > fightValue)then
nextInfo    = templateInfoList[i]
currentInfo = templateInfoList[i - 1]
break
else
if(i >= #templateInfoList)then
maxInfo     = templateInfoList[6]
end
end
end
if(currentInfo ~= nil)then
self:setTypeLevel(currentInfo.id)
else
self:setTypeLevel(maxInfo.id)
end
if(maxInfo == nil)then
local rate = math.ceil(fightValue / nextInfo.fightValue * 100)
if(rate <= 0)then rate = 3 end
if(rate >= 100)then rate = 100 end
self._loadingBar:setPercent(rate)
else
self._loadingBar:setPercent(100)
end
elseif(self._index == 3)then --pet
fightValue = 0
currentInfo = nil
nextInfo    = nil
maxInfo     = nil
templateInfoList = globalData.allTemplates.fightValueUpTemplateList:getTemplateByType(self._index)
self._typeIcon:loadTexture("icon/mainmenu_in_btn10.png",1)
fightValue  = globalData.petItemInfo.fight
-- jinHuaList  = globalData.petItemInfo.jinHuaList
-- huaXingList = globalData.petItemInfo.huaXing
-- infoList    = globalData.allTemplates.huaxingTemplateList.petList
-- for __,info in pairs(infoList) do
-- 	local index = globalManager.commonUtils:getIndexOfTable(huaXingList,info.id)
-- 	if(index ~= -1)then
-- 		if(jinHuaList[info.id] == nil or jinHuaList[info.id] == 0)then
-- 			local templateInfo = globalData.allTemplates.huaxingTemplateList:getInfoByTypeAndId(1,info.id)
-- 			fightValue = fightValue + templateInfo.fight
-- 		else
-- 			local tempList = globalData.allTemplates.huaXingStarTemplateList:getTemplateByidAndType(info.id,1)
-- 			local tempInfo = nil
-- 			for __,info in pairs(tempList) do
-- 				if(info.level == jinHuaList[info.templateId])then
-- 					tempInfo = info
-- 				end
-- 			end
-- 			fightValue = fightValue + tempInfo.fightValue
-- 		end
-- 	end
-- end
self._fightLabel:setStringValue(fightValue)
for i = 1,#templateInfoList,1 do
if(templateInfoList[i].fightValue > fightValue)then
nextInfo    = templateInfoList[i]
currentInfo = templateInfoList[i - 1]
break
else
if(i >= #templateInfoList)then
maxInfo     = templateInfoList[6]
end
end
end
if(currentInfo ~= nil)then
self:setTypeLevel(currentInfo.id)
else
self:setTypeLevel(maxInfo.id)
end
if(maxInfo == nil)then
local rate = math.ceil(fightValue / nextInfo.fightValue * 100)
if(rate <= 0)then rate = 3 end
if(rate >= 100)then rate = 100 end
self._loadingBar:setPercent(rate)
else
self._loadingBar:setPercent(100)
end
elseif(self._index == 4)then --panrtner
fightValue = 0
currentInfo = nil
nextInfo    = nil
maxInfo     = nil
templateInfoList = globalData.allTemplates.fightValueUpTemplateList:getTemplateByType(self._index)
self._typeIcon:loadTexture("icon/mainmenu_in_btn15.png",1)
local templateList = globalData.allTemplates.partnerTemplateList.list
for __,info in pairs(templateList) do
local partnerInfo = globalData.partnerInfo.partnerList[info.id]
if(partnerInfo ~= nil)then
fightValue = fightValue + partnerInfo.fightValue
end
end
self._fightLabel:setStringValue(fightValue)
for i = 1,#templateInfoList,1 do
if(templateInfoList[i].fightValue > fightValue)then
nextInfo    = templateInfoList[i]
currentInfo = templateInfoList[i - 1]
break
else
if(i >= #templateInfoList)then
maxInfo     = templateInfoList[6]
end
end
end
if(currentInfo ~= nil)then
self:setTypeLevel(currentInfo.id)
else
self:setTypeLevel(maxInfo.id)
end
if(maxInfo == nil)then
local rate = math.ceil(fightValue / nextInfo.fightValue * 100)
if(rate <= 0)then rate = 3 end
if(rate >= 100)then rate = 100 end
self._loadingBar:setPercent(rate)
else
self._loadingBar:setPercent(100)
end
elseif(self._index == 5)then --wing
fightValue = 0
currentInfo = nil
nextInfo    = nil
maxInfo     = nil
templateInfoList = globalData.allTemplates.fightValueUpTemplateList:getTemplateByType(self._index)
self._typeIcon:loadTexture("icon/mainmenu_in_btn2.png",1)
fightValue  = globalData.wingItemInfo.fight
-- jinHuaList  = globalData.wingItemInfo.jinHuaList
-- huaXingList = globalData.wingItemInfo.huaXing
-- infoList    = globalData.allTemplates.huaxingTemplateList.wingList
-- for __,info in pairs(infoList) do
-- 	local index = globalManager.commonUtils:getIndexOfTable(huaXingList,info.id)
-- 	if(index ~= -1)then
-- 		if(jinHuaList[info.id] == nil or jinHuaList[info.id] == 0)then
-- 			local templateInfo = globalData.allTemplates.huaxingTemplateList:getInfoByTypeAndId(3,info.id)
-- 			fightValue = fightValue + templateInfo.fight
-- 		else
-- 			local tempList = globalData.allTemplates.huaXingStarTemplateList:getTemplateByidAndType(info.id,3)
-- 			local tempInfo = nil
-- 			for __,info in pairs(tempList) do
-- 				if(info.level == jinHuaList[info.templateId])then
-- 					tempInfo = info
-- 				end
-- 			end
-- 			fightValue = fightValue + tempInfo.fightValue
-- 		end
-- 	end
-- end
self._fightLabel:setStringValue(fightValue)
for i = 1,#templateInfoList,1 do
if(templateInfoList[i].fightValue > fightValue)then
nextInfo    = templateInfoList[i]
currentInfo = templateInfoList[i - 1]
break
else
if(i >= #templateInfoList)then
maxInfo     = templateInfoList[6]
end
end
end
if(currentInfo ~= nil)then
self:setTypeLevel(currentInfo.id)
else
self:setTypeLevel(maxInfo.id)
end
if(maxInfo == nil)then
local rate = math.ceil(fightValue / nextInfo.fightValue * 100)
if(rate <= 0)then rate = 3 end
if(rate >= 100)then rate = 100 end
self._loadingBar:setPercent(rate)
else
self._loadingBar:setPercent(100)
end
elseif(self._index == 6)then --fashion
fightValue = 0
currentInfo = nil
nextInfo    = nil
maxInfo     = nil
templateInfoList = globalData.allTemplates.fightValueUpTemplateList:getTemplateByType(self._index)
local hasIdList    = globalData.fashionInfo.hasIdList
local hasStarList  = globalData.fashionInfo.hasStarList
local hasStarIdList= globalData.fashionInfo.hasStarIdList
self._typeIcon:loadTexture("icon/mainmenu_in_btn16.png",1)
local playerCarrer = globalData.selfPlayerInfo.career
local templateList = globalData.allTemplates.fashionTemplateList:getInfoByCarrer(playerCarrer)
for __,info in pairs(templateList) do
local index = globalManager.commonUtils:getIndexOfTable(hasIdList,info.templateId)
local index1 = globalManager.commonUtils:getIndexOfTable(hasStarIdList,info.templateId)
if(index ~= -1)then
if(index1 == -1)then
fightValue = fightValue + info.fightValue
else
local tempFight = globalData.allTemplates.fashionStarTemplateList:getTemplateByIdAndStar(info.templateId,hasStarList[info.templateId]).fightValue
fightValue = fightValue + tempFight
end
end
end
self._fightLabel:setStringValue(fightValue)
for i = 1,#templateInfoList,1 do
if(templateInfoList[i].fightValue > fightValue)then
nextInfo    = templateInfoList[i]
currentInfo = templateInfoList[i - 1]
break
else
if(i >= #templateInfoList)then
maxInfo     = templateInfoList[6]
end
end
end
if(currentInfo ~= nil)then
self:setTypeLevel(currentInfo.id)
else
self:setTypeLevel(maxInfo.id)
end
if(maxInfo == nil)then
local rate = math.ceil(fightValue / nextInfo.fightValue * 100)
if(rate <= 0)then rate = 3 end
if(rate >= 100)then rate = 100 end
self._loadingBar:setPercent(rate)
else
self._loadingBar:setPercent(100)
end
elseif(self._index == 7)then --foorPrint
fightValue = 0
currentInfo = nil
nextInfo    = nil
maxInfo     = nil
templateInfoList = globalData.allTemplates.fightValueUpTemplateList:getTemplateByType(self._index)
self._typeIcon:loadTexture("icon/mainmenu_in_btn4.png",1)
fightValue  = globalData.godItemInfo.fight
self._fightLabel:setStringValue(fightValue)
for i = 1,#templateInfoList,1 do
if(templateInfoList[i].fightValue > fightValue)then
nextInfo    = templateInfoList[i]
currentInfo = templateInfoList[i - 1]
break
else
if(i >= #templateInfoList)then
maxInfo     = templateInfoList[6]
end
end
end
if(currentInfo ~= nil)then
self:setTypeLevel(currentInfo.id)
else
self:setTypeLevel(maxInfo.id)
end
if(maxInfo == nil)then
local rate = math.ceil(fightValue / nextInfo.fightValue * 100)
if(rate <= 0)then rate = 3 end
if(rate >= 100)then rate = 100 end
self._loadingBar:setPercent(rate)
else
self._loadingBar:setPercent(100)
end
elseif(self._index == 8)then --threng
fightValue = 0
currentInfo = nil
nextInfo    = nil
maxInfo     = nil
templateInfoList = globalData.allTemplates.fightValueUpTemplateList:getTemplateByType(self._index)
self._typeIcon:loadTexture("icon/mainmenu_in_btn5.png",1)
for i = 0,13,1 do
local goodsInfo = globalData.goodsInfoList:getGoods(i-1)
if(goodsInfo ~= nil)then
fightValue = fightValue + goodsInfo.score
end
end
self._fightLabel:setStringValue(fightValue)
for i = 1,#templateInfoList,1 do
if(templateInfoList[i].fightValue > fightValue)then
nextInfo    = templateInfoList[i]
currentInfo = templateInfoList[i - 1]
break
else
if(i >= #templateInfoList)then
maxInfo     = templateInfoList[6]
end
end
end
if(currentInfo ~= nil)then
self:setTypeLevel(currentInfo.id)
else
self:setTypeLevel(maxInfo.id)
end
if(maxInfo == nil)then
local rate = math.ceil(fightValue / nextInfo.fightValue * 100)
if(rate <= 0)then rate = 3 end
if(rate >= 100)then rate = 100 end
self._loadingBar:setPercent(rate)
else
self._loadingBar:setPercent(100)
end
elseif(self._index == 9)then --sprite
fightValue = 0
currentInfo = nil
nextInfo    = nil
maxInfo     = nil
templateInfoList = globalData.allTemplates.fightValueUpTemplateList:getTemplateByType(self._index)
self._typeIcon:loadTexture("icon/mainmenu_in_btn3.png",1)
fightValue  = globalData.spriteItemInfo.fight
self._fightLabel:setStringValue(fightValue)
for i = 1,#templateInfoList,1 do
if(templateInfoList[i].fightValue > fightValue)then
nextInfo    = templateInfoList[i]
currentInfo = templateInfoList[i - 1]
break
else
if(i >= #templateInfoList)then
maxInfo     = templateInfoList[6]
end
end
end
if(currentInfo ~= nil)then
self:setTypeLevel(currentInfo.id)
else
self:setTypeLevel(maxInfo.id)
end
if(maxInfo == nil)then
local rate = math.ceil(fightValue / nextInfo.fightValue * 100)
if(rate <= 0)then rate = 3 end
if(rate >= 100)then rate = 100 end
self._loadingBar:setPercent(rate)
else
self._loadingBar:setPercent(100)
end
elseif(self._index == 10)then --wuhun
fightValue = 0
currentInfo = nil
nextInfo    = nil
maxInfo     = nil
templateInfoList = globalData.allTemplates.fightValueUpTemplateList:getTemplateByType(self._index)
self._typeIcon:loadTexture("icon/mainmenu_in_btn9.png",1)
local curentLevel = math.floor((globalData.wuhunInfo.level - 1) / 8 )+ 1
local nextIndex = (globalData.wuhunInfo.level % 8) + 1
local preTemp = globalData.allTemplates.wuhunTemplateList:getTemplate(curentLevel - 1)
local currentTemp = globalData.allTemplates.wuhunTemplateList:getTemplate(curentLevel)
local nextTemp = globalData.allTemplates.wuhunTemplateList:getTemplate(curentLevel + 1)
for i = 1, 8 do
if(nextIndex == 1) then
if(currentTemp ~= nil) then
fightValue = fightValue + globalData.allStaticTypes.propertyType:fightCalculate(currentTemp.attr1[i].propertyId,currentTemp.attr1[i].propertyValue)
end
else
if(i < nextIndex) then
fightValue = fightValue + globalData.allStaticTypes.propertyType:fightCalculate(currentTemp.attr1[i].propertyId,currentTemp.attr1[i].propertyValue)
else
if(preTemp ~= nil) then
fightValue = fightValue + globalData.allStaticTypes.propertyType:fightCalculate(preTemp.attr1[i].propertyId,preTemp.attr1[i].propertyValue)
end
end
end
end
self._fightLabel:setStringValue(fightValue)
for i = 1,#templateInfoList,1 do
if(templateInfoList[i].fightValue > fightValue)then
nextInfo    = templateInfoList[i]
currentInfo = templateInfoList[i - 1]
break
else
if(i >= #templateInfoList)then
maxInfo     = templateInfoList[6]
end
end
end
if(currentInfo ~= nil)then
self:setTypeLevel(currentInfo.id)
else
self:setTypeLevel(maxInfo.id)
end
if(maxInfo == nil)then
local rate = math.ceil(fightValue / nextInfo.fightValue * 100)
if(rate <= 0)then rate = 3 end
if(rate >= 100)then rate = 100 end
self._loadingBar:setPercent(rate)
else
self._loadingBar:setPercent(100)
end
elseif(self._index == 11)then --fazhen
fightValue = 0
currentInfo = nil
nextInfo    = nil
maxInfo     = nil
templateInfoList = globalData.allTemplates.fightValueUpTemplateList:getTemplateByType(self._index)
self._typeIcon:loadTexture("icon/mainmenu_in_btn6.png",1)
fightValue  = globalData.fazhenItemInfo.fight
self._fightLabel:setStringValue(fightValue)
for i = 1,#templateInfoList,1 do
if(templateInfoList[i].fightValue > fightValue)then
nextInfo    = templateInfoList[i]
currentInfo = templateInfoList[i - 1]
break
else
if(i >= #templateInfoList)then
maxInfo     = templateInfoList[6]
end
end
end
if(currentInfo ~= nil)then
self:setTypeLevel(currentInfo.id)
else
self:setTypeLevel(maxInfo.id)
end
if(maxInfo == nil)then
local rate = math.ceil(fightValue / nextInfo.fightValue * 100)
if(rate <= 0)then rate = 3 end
if(rate >= 100)then rate = 100 end
self._loadingBar:setPercent(rate)
else
self._loadingBar:setPercent(100)
end
elseif(self._index == 12)then --ronglu
fightValue = 0
currentInfo = nil
nextInfo    = nil
maxInfo     = nil
templateInfoList = globalData.allTemplates.fightValueUpTemplateList:getTemplateByType(self._index)
self._typeIcon:loadTexture("icon/mainmenu_in_btn17.png",1)
local curentLevel = globalData.rongluInfo.level
local currentTemp = globalData.allTemplates.smelterTemplateList:getTemplate(curentLevel)
local nextTemp = globalData.allTemplates.smelterTemplateList:getTemplate(curentLevel + 1)
for i = 1,9,1 do
if(currentTemp ~= nil) then
fightValue = fightValue + globalData.allStaticTypes.propertyType:fightCalculate(currentTemp.attrList[i].propertyId,currentTemp.attrList[i].propertyValue)
end
end
self._fightLabel:setStringValue(fightValue)
for i = 1,#templateInfoList,1 do
if(templateInfoList[i].fightValue > fightValue)then
nextInfo    = templateInfoList[i]
currentInfo = templateInfoList[i - 1]
break
else
if(i >= #templateInfoList)then
maxInfo     = templateInfoList[6]
end
end
end
if(currentInfo ~= nil)then
self:setTypeLevel(currentInfo.id)
else
self:setTypeLevel(maxInfo.id)
end
if(maxInfo == nil)then
local rate = math.ceil(fightValue / nextInfo.fightValue * 100)
if(rate <= 0)then rate = 3 end
if(rate >= 100)then rate = 100 end
self._loadingBar:setPercent(rate)
else
self._loadingBar:setPercent(100)
end
end
end
function FightUpItem:setTypeLevel(level)
if(level == 1)then
self._itemList[1]:setVisible(false)
self._itemList[2]:setVisible(true)
self._itemList[3]:setVisible(false)
self._itemList[2]:loadTexture("icon/score1.png",1)
elseif(level == 2)then
self._itemList[1]:setVisible(false)
self._itemList[2]:setVisible(true)
self._itemList[3]:setVisible(false)
self._itemList[2]:loadTexture("icon/score2.png",1)
elseif(level == 3)then
self._itemList[1]:setVisible(false)
self._itemList[2]:setVisible(true)
self._itemList[3]:setVisible(false)
self._itemList[2]:loadTexture("icon/score3.png",1)
elseif(level == 4)then
self._itemList[1]:setVisible(false)
self._itemList[2]:setVisible(true)
self._itemList[3]:setVisible(false)
self._itemList[2]:loadTexture("icon/score4.png",1)
elseif(level == 5)then
self._itemList[1]:setVisible(true)
self._itemList[2]:setVisible(true)
self._itemList[3]:setVisible(false)
self._itemList[1]:loadTexture("icon/score4.png",1)
self._itemList[2]:loadTexture("icon/score4.png",1)
elseif(level == 6)then
self._itemList[1]:setVisible(true)
self._itemList[2]:setVisible(true)
self._itemList[3]:setVisible(true)
self._itemList[1]:loadTexture("icon/score4.png",1)
self._itemList[2]:loadTexture("icon/score4.png",1)
self._itemList[3]:loadTexture("icon/score4.png",1)
end
end
function FightUpItem:dispose()
self:removeEvent()
self._index = nil
self._index      = nil
self._typeIcon   = nil
self._fightLabel = nil
self._itemList   = nil
self._loadingBar = nil
self._loadingText = nil
globalManager.ccCreator:release(self)
end
FightUpPanel = class("FightUpPanel",function (self,controller)
local temp = BasePanel:new()
temp.BasePanelDispose = temp.dispose
temp._controller = controller
temp._widget = globalManager.ccCreator:newJsonWidget("FightValueUpPanel")
temp:addChild(temp._widget)
temp._itemView = temp._widget:getChildByName("scrollView")
temp._itemList = {}
return temp
end)
function FightUpPanel:ctor()
self:initEvent()
self:initView()
end
function FightUpPanel:initEvent()
end
function FightUpPanel:removeEvent()
end
function FightUpPanel:initView()
local height = 85 * math.floor(1 + 11 / 2)
for i = 1,12,1 do
local view = FightUpItem:new(i)
view:setPosition(cc.p(460 * ((i - 1) % 2) + 6,height - 85 - 85 * math.floor((i - 1) / 2)))
self._itemView:addChild(view)
table.insert(self._itemList,view)
end
end
function FightUpPanel:dispose()
self:removeEvent()
self._controller = nil
self._itemView = nil
for __,item in pairs(self._itemList) do
item:dispose()
item = nil
end
self._itemList = nil
globalManager.ccCreator:release(self._widget)
self._widget = nil
self:BasePanelDispose()
self.BasePanelDispose = nil
end
FightUpController = class("FightUpController",function(self,fightUpModule)
local sc = {}
sc.fightUpModule = fightUpModule
return sc
end)
function FightUpController:showFightUpPanel()
if(self.fightUpModule.fightUpPanel == nil)then
self.fightUpModule.fightUpPanel = FightUpPanel:new(self)
self.fightUpModule.fightUpPanel.eventDis:addEventListener(globalData.globalEventType.trigger_panelDispose,self.closeFightUpPanel,self)
end
globalData.uiPanelContainer:addPanel(globalData.allStaticTypes.panelTabType.fightUp,self.fightUpModule.fightUpPanel)
end
function FightUpController:closeFightUpPanel(evt)
self.fightUpModule.fightUpPanel.eventDis:removeEventListener(globalData.globalEventType.trigger_panelDispose,self.closeFightUpPanel,self)
self.fightUpModule.fightUpPanel = nil
end
FightUpModule = class("FightUpModule",function()
local sm = BaseModule:new()
sm.fightUpPanel  = nil
sm.fightUpController = nil
return sm
end)
--override
function FightUpModule:getModuleType()
return globalData.allStaticTypes.moduleType.fightUp
end
--override
function FightUpModule:setup(data)
self.fightUpController = FightUpController:new(self)
self:configure(data)
end
--override
function FightUpModule:configure(data)
self.fightUpController:showFightUpPanel()
end
FriendGiveGoldPanel = class("FriendGiveGoldPanel", function(self,parent,controller)
local temp = globalManager.ccCreator:newJsonWidget("giveGoldPanel")
temp:getChildByName("titleLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("FriendGiveGoldPanel.text1"))
temp:getChildByName("info_layer"):getChildByName("Label_280935"):setText(globalManager.yuyanbaoManager:getYuyanbao("FriendGiveGoldPanel.text2"))
temp:getChildByName("info_layer"):getChildByName("Label_280936"):setText(globalManager.yuyanbaoManager:getYuyanbao("FriendGiveGoldPanel.text3"))
temp:getChildByName("label1"):setText(globalManager.yuyanbaoManager:getYuyanbao("FriendGiveGoldPanel.text4"))
temp:getChildByName("label2"):setText(globalManager.yuyanbaoManager:getYuyanbao("FriendGiveGoldPanel.text5"))
temp:getChildByName("label3"):setText(globalManager.yuyanbaoManager:getYuyanbao("FriendGiveGoldPanel.text6"))
temp:getChildByName("friendName"):setText("")
temp:getChildByName("cancel_Btn"):getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("FriendGiveGoldPanel.text7"))
temp:getChildByName("go_Btn"):getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("MarryRingTip.text3"))
temp._friendName   = temp:getChildByName("friendName")
temp._vipLevel     = temp:getChildByName("vipLevelLabel_Copy0")
temp._haveGoldNum  = temp:getChildByName("haveGoldNum")
temp._giveGoldNum  = temp:getChildByName("giveGoldNum")
temp._cancelBtn    = temp:getChildByName("cancel_Btn")
temp._goBtn        = temp:getChildByName("go_Btn")
temp._inputBtn     = temp:getChildByName("inputBtn")
temp.parent        = parent
temp.goldNum       = 50
temp.friendInfo    = nil
temp._controller   = controller
return temp
end)
function FriendGiveGoldPanel:ctor()
self:initEvent()
end
function FriendGiveGoldPanel:setData(friendInfo)
self.friendInfo = friendInfo
self._friendName:setText(self.friendInfo.info.nick)
self._vipLevel:setStringValue(self.friendInfo.info.vipLevel)
self._haveGoldNum:setText(tostring(globalData.selfPlayerInfo.moneyInfo.gold))
self.goldNum = 50
self._giveGoldNum:setText("50")
end
function FriendGiveGoldPanel:initEvent()
local numCallBack = function(count)
if(count <= 0)then
return globalManager.yuyanbaoManager:getYuyanbao("FriendGiveGoldPanel.text9")
elseif(count > globalData.selfPlayerInfo.moneyInfo.gold)then
return globalManager.yuyanbaoManager:getYuyanbao("FriendGiveGoldPanel.text10")
end
self.goldNum = count
self._giveGoldNum:setText(count)
return nil
end
local function touchHandler(sender,eventType)
local function confirm()
globalData.messageAdder:sendGiveGoldToFriend(self.friendInfo.info.serverId,self.goldNum,self.friendInfo.info.nick)
end
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(sender == self._cancelBtn)then
self.parent:hideGivePanel()
elseif(sender == self._goBtn)then
if(self.goldNum > 0)then
Alert:new():show(2,string.format(globalManager.yuyanbaoManager:getYuyanbao("FriendGiveGoldPanel.text12"),self.friendInfo.info.nick,self.goldNum),nil,0,self,confirm)
else
return
end
elseif(sender == self._inputBtn)then
if(globalData.selfPlayerInfo.moneyInfo.gold < 50) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("FriendGiveGoldPanel.text11"))
return
end
globalManager.containerManager:getNumberPanel():showNumber(50,numCallBack,50,math.min(globalData.selfPlayerInfo.moneyInfo.gold,5000))
end
end
end
self._cancelBtn:addTouchEventListener(touchHandler)
self._goBtn:addTouchEventListener(touchHandler)
self._inputBtn:addTouchEventListener(touchHandler)
end
function FriendGiveGoldPanel:removeEvent()
end
function FriendGiveGoldPanel:dispose()
self:removeEvent()
self._friendName   = nil
self._vipLevel     = nil
self._haveGoldNum  = nil
self._giveGoldNum  = nil
self._cancelBtn    = nil
self._goBtn        = nil
self.parent        = nil
self.friendInfo    = nil
self._controller   = nil
globalManager.ccCreator:release(self)
end
FriendItemView = class("FriendItemView", function(self,parent)
local temp = globalManager.ccCreator:newJsonWidget("FriendItemView")
temp.headIcon = temp:getChildByName("headIcon")
temp.levelLabel = temp:getChildByName("levelLabel")
temp.nameLabel = temp:getChildByName("nameLabel")
temp.addBtn = temp:getChildByName("addBtn")
temp.chatPaopao = temp:getChildByName("chatPaopao")
temp.chatCountLabel = temp.chatPaopao:getChildByName("countLabel")
temp.selectBoard = temp:getChildByName("ImageView_444208")
temp.vipIcon  = temp:getChildByName("vip_icon")
temp.vipLevel = temp:getChildByName("vipLevel_label")
temp.itembg   = temp:getChildByName("itembg")
temp.itemfg   = temp:getChildByName("itemfg")
temp.giveIcon = temp:getChildByName("ImageView_666306")
temp.giveBtn  = temp:getChildByName("giveBtn")
temp.giveIcon:setEnabled(false)
temp.giveBtn:setEnabled(false)
temp.chatPaopao:setVisible(false)
temp.selectBoard:setVisible(false)
--data
temp.friendInfo = nil
temp.index = 0
temp._selected = false
temp._selectCallback = nil
temp._selectCallbackTarget = nil
temp.fromType = nil
temp._isGray  = false
temp.parent   = parent
return temp
end)
function FriendItemView:ctor()
self:initEvent()
if(globalData:isShenHe()) then
self.giveIcon:setEnabled(false)
self.giveBtn:setEnabled(false)
end
end
function FriendItemView:initEvent()
local function touchHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(sender == self.addBtn)then
globalManager.menuManager:showPlayerMenu(self.friendInfo.info, sender:getTouchStartPos(), self.fromType)
elseif(sender == self)then
if(self._selectCallback ~= nil)then
self._selectCallback(self._selectCallbackTarget,self.index)
end
elseif(sender == self.giveBtn)then
local playerLevel = globalData.selfPlayerInfo.level
if(playerLevel >= globalData.newModuleLevelConfig.giveGoldFriend)then
self.parent:showGivePanel(self.friendInfo)
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("FriendItemView.text1"))
end
end
end
end
self:addTouchEventListener(touchHandler)
self.addBtn:addTouchEventListener(touchHandler)
self.giveBtn:addTouchEventListener(touchHandler)
end
function FriendItemView:removeEvent()
end
function FriendItemView:setSelected(value)
if(self._selected == value)then return end
self._selected = value
self.selectBoard:setVisible(value)
end
function FriendItemView:setData(index,itemTouchCallback,target)
self.index = index
self.friendInfo = globalData.friendList.friendList[index]
self.headIcon:loadTexture(globalData.allStaticTypes.careerType:getHeadPath(self.friendInfo.info.career),1)
self._selectCallback = itemTouchCallback
self._selectCallbackTarget = target
self:updateView()
end
function FriendItemView:updateView()
self.nameLabel:setText(self.friendInfo.info.nick)
if(self.friendInfo.info.level == 0) then
self.levelLabel:setText("??")
else
self.levelLabel:setText(self.friendInfo.info.level)
end
self:setVipLevel(self.friendInfo.info.vipLevel)
self:setGray(self.friendInfo.online ~= 1)
end
function FriendItemView:setVipLevel(level)
if(level <= 0) then
self.vipIcon:setEnabled(false)
self.vipLevel:setEnabled(false)
else
self.vipLevel:setStringValue(tostring(level))
end
end
function FriendItemView:setGray(isGray)
if(self._isGray == isGray) then return end
self._isGray = isGray
if(isGray) then
globalManager.commonUtils:setImgColorGrey(self.itembg)
globalManager.commonUtils:setImgColorGrey(self.itemfg)
globalManager.commonUtils:setImgColorGrey(self.headIcon)
else
globalManager.commonUtils:setImgColorNormal(self.itembg)
globalManager.commonUtils:setImgColorNormal(self.itemfg)
globalManager.commonUtils:setImgColorNormal(self.headIcon)
end
end
function FriendItemView:updateChatCount()
local chatCount = globalData.chatItemList:getUnreadCount(self.friendInfo.info.userId)
self.chatPaopao:setVisible(chatCount > 0)
self.chatCountLabel:setText(tostring(chatCount))
end
function FriendItemView:dispose()
self:removeEvent()
self.headIcon = nil
self.levelLabel = nil
self.nameLabel = nil
self.addBtn = nil
self.chatPaopao = nil
self.chatCountLabel = nil
self.friendInfo = nil
self._selectCallback = nil
self._selectCallbackTarget = nil
self.selectBoard = nil
self.vipIcon = nil
self.vipLevel = nil
self.itembg = nil
self.itemfg = nil
self.fromType = nil
self.giveIcon = nil
self.giveBtn = nil
self.parent  = nil
globalManager.ccCreator:release(self)
end
FriendPanel = class("FriendPanel", function(self,controller)
--view
local temp = BasePanel:new()
temp.maxContentLen = 50 --最大单条聊天长度
temp.fontSize = 20 --字号大小
temp._widget = globalManager.ccCreator:newJsonWidget("FriendPanel")
temp:addChild(temp._widget)
temp._widget:getChildByName("titleLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("FriendPanel.text1"))
temp._widget:getChildByName("contentLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("FriendPanel.text2"))
temp._widget:getChildByName("contentLabel_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("FriendPanel.text3"))
temp._widget:getChildByName("contentLabel_Copy1"):setText(globalManager.yuyanbaoManager:getYuyanbao("FriendPanel.text4"))
temp._widget:getChildByName("sendBtn"):getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("FriendPanel.text5"))
temp.sendBtn = temp._widget:getChildByName("sendBtn")
temp.faceBtn = temp._widget:getChildByName("faceBtn")
temp.itemListView = temp._widget:getChildByName("itemListView")
temp.chatScrollView = temp._widget:getChildByName("chatScrollView")
temp.flagTitle = temp._widget:getChildByName("titleLabel")
temp.flagContent = temp._widget:getChildByName("contentLabel")
temp.flagContent1 = temp._widget:getChildByName("contentLabel_Copy0")
temp.flagContent2 = temp._widget:getChildByName("contentLabel_Copy1")
temp.container = globalManager.ccCreator:newWidget()
temp.container:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[2])
temp.chatScrollView:addChild(temp.container)
temp._scrollBarWrapper = ScrollBarWrapper:new(temp.chatScrollView,temp)
temp._faceView = nil
temp.inputBg = globalManager.ccCreator:newImageView("board/ui_board8.png",1)
temp.inputBg:setScale9Enabled(true)
temp.inputBg:setCapInsets(cc.rect(16,16,1,1))
temp.inputBg:setSize(globalManager.ccCreator:newSize(345,36))
temp.inputBg:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[7])
temp.inputBg:setPosition(cc.p(402,30))
temp:addChild(temp.inputBg,8)
temp.inputEditBox = globalManager.ccCreator:newEditBox(globalManager.ccCreator:newSize(345,36), temp.maxContentLen)
temp.inputEditBox:setPosition(globalManager.ccCreator:newPoint(402,30))
temp:addChild(temp.inputEditBox,9)
------------------------------------------------------
-- CCEditorBox不能被widget:addNode之后还响应鼠标，因此它被放在widget的上层，此时按钮将被挡住，因此把该按钮的父级修改
------------------------------------------------------
temp.controller = controller
temp.BasePanelDispose = temp.dispose
temp.itemList = nil  --缓存ItemView
temp.tab = -1
temp.currentFriendIndex = 0
temp._isDirty = false
temp._labelsNeedAddToListView = {}
temp._currentHeight = 30
temp._createCount = 0
temp._listCount = 0
temp.isChangeSelect = false
temp.targetIndex = 0
temp.tempIndex = 0
temp.friendGiveGoldPanel = nil
return temp
end)
function FriendPanel:ctor()
self:initEvent()
end
function FriendPanel:initEvent()
local function buttonTouchHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(sender == self.sendBtn)then
self:sendMessage(globalManager.ccCreator:getTextString(self.inputEditBox))
self.inputEditBox:setText("")
elseif(sender == self.faceBtn)then
self:showFaceView()
elseif(sender == self.pointBtn)then
--发送坐标【已经取消】
-- 普通地图才能发送坐标
if(globalData.allTemplates.mapTemplateList.canSendPoint(globalData.currentMapId))then
local str = globalData.allTemplates.mapTemplateList:getMap(globalData.currentMapId).name .. "[" .. globalData.selfPlayerInfo.scenePos.x .. "," .. globalData.selfPlayerInfo.scenePos.y .. "]"
local deployStr = string.format("{3$1300$0$%s$%s$%s$%s}",
str,
globalData.currentMapId,
globalData.selfPlayerInfo.scenePos.x,
globalData.selfPlayerInfo.scenePos.y
)
self:sendMessage(deployStr)
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("FriendPanel.text6"))
end
end
end
end
self.sendBtn:addTouchEventListener(buttonTouchHandler)
self.faceBtn:addTouchEventListener(buttonTouchHandler)
--global
--好友
globalData.friendList:addEventListener(globalData.globalEventType.friend_addFriend, self.friendUpdateHandler, self)
globalData.friendList:addEventListener(globalData.globalEventType.friend_removeFriend, self.friendUpdateHandler, self)
--上下线
globalData.friendList:addEventListener(globalData.globalEventType.friend_onlineUpdate, self.playerOnlineUpdateHandler, self)
--聊天信息
globalData.chatItemList:addEventListener(globalData.globalEventType.chat_appendItem, self.appendChatItemHandler, self)
--聊天快速图标更新
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.quickIcon_chat,self.chatIconUpdateHandler,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.friend_select,self.selectHandler,self)
globalData.friendList:addEventListener(globalData.globalEventType.firend_giveGoldSuccess, self.hideGivePanel, self)
end
function FriendPanel:removeEvent()
--好友
globalData.friendList:removeEventListener(globalData.globalEventType.friend_addFriend, self.friendUpdateHandler, self)
globalData.friendList:removeEventListener(globalData.globalEventType.friend_removeFriend, self.friendUpdateHandler, self)
--上下线
globalData.friendList:removeEventListener(globalData.globalEventType.friend_onlineUpdate, self.playerOnlineUpdateHandler, self)
--聊天信息
globalData.chatItemList:removeEventListener(globalData.globalEventType.chat_appendItem, self.appendChatItemHandler, self)
--聊天快速图标更新
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.quickIcon_chat,self.chatIconUpdateHandler,self)
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.friend_select,self.selectHandler,self)
globalData.friendList:removeEventListener(globalData.globalEventType.firend_giveGoldSuccess, self.hideGivePanel, self)
end
function FriendPanel:playerOnlineUpdateHandler(evt)
if(self.itemList == nil) then return end
for __,item in pairs(self.itemList) do
item:updateView()
end
end
function FriendPanel:chatIconUpdateHandler(evt)
if(self.itemList == nil) then return end
for __,item in pairs(self.itemList) do
item:updateChatCount()
end
end
function FriendPanel:appendChatItemHandler(evt)
self:appendChatItem(evt.data)
end
function FriendPanel:selectHandler(evt)
if(self.itemList == nil) then return end
local userId = evt.data
local len = #globalData.friendList.friendList
for i = 1,len,1 do
if(globalData.friendList.friendList[i].info.userId == userId)then
if(self._createCount < i)then
self.tempIndex = i
else
self:setSelectedItem(i)
end
end
end
end
function FriendPanel:appendChatItem(chatItemInfo)
if(self.currentFriendIndex == 0)then return end
if(chatItemInfo.channel ~= globalData.allStaticTypes.channelType.PRIVATE)then
return
end
local userId = globalData.friendList.friendList[self.currentFriendIndex].info.userId
if(chatItemInfo.toUserId == userId or chatItemInfo.playerInfo.userId == userId)then
local richLabel = globalManager.ccCreator:newRichLabel2(nil,510,globalData.allStaticTypes.colorType.CHAT_COLOR)
richLabel:setCharInfo(chatItemInfo)
table.insert(self._labelsNeedAddToListView,richLabel)
globalManager.tickManager:addTick(self.tick,self)
self._isDirty = true
if(chatItemInfo:getUnread() == true)then
chatItemInfo:setUnread(false)
end
end
end
function FriendPanel:friendUpdateHandler(evt)
self:updateListView(false)
end
function FriendPanel:tick(delta, tickCount)
if(self._isDirty)then
self:updateChatView()
self._isDirty = false
globalManager.tickManager:removeTick(self.tick,self)
end
end
function FriendPanel:faceSelected(faceIndex)
local content  = globalManager.ccCreator:getTextString(self.inputEditBox)
local len = globalManager.utf8:utf8len(content)
if(len >= self.maxContentLen)then
do return end
end
if(faceIndex < 10)then
faceIndex = "0" .. tostring(faceIndex)
end
content = content .. "#" .. faceIndex
globalManager.ccCreator:setTextString(self.inputEditBox,content)
end
--显示聊天表情
function FriendPanel:showFaceView()
if(self._faceView == nil)then
self._faceView = FaceView:new(self)
self._faceView:setCallback(self.faceSelected,self)
end
self._faceView:show(cc.p(620,95))
end
function FriendPanel:hideFaceView()
if(self._faceView ~= nil)then
self._faceView:dispose()
self._faceView = nil
end
end
function FriendPanel:sendMessage(content)
if(self.currentFriendIndex == 0)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("FriendPanel.text7"))
return
end
if(globalData.selfPlayerInfo.level < 40)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("FriendPanel.text8"))
return
end
if(content == nil or content == "")then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("FriendPanel.text9"))
return
end
if(globalData.friendList.friendList[self.currentFriendIndex] ~= nil and globalData.friendList.friendList[self.currentFriendIndex].online == 0)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("FriendPanel.text10"))
return
end
local info = globalData.friendList.friendList[self.currentFriendIndex]
if(info ~= nil)then
globalData.messageAdder:chatSend(globalData.allStaticTypes.channelType.PRIVATE,content,info.info.nick,info.info.userId)
local chatinfo = ChatItemInfo:new()
chatinfo.playerInfo = BasePlayerInfo:new()
chatinfo.playerInfo.serverId = globalData.selfPlayerInfo.serverId
chatinfo.currentServerId = globalData.selfPlayerInfo.combinedServerId
chatinfo.channel = globalData.allStaticTypes.channelType.PRIVATE
if(globalData.selfPlayerInfo.vipInfo:getVipTime() > 0)then
chatinfo.playerInfo.vipLevel = globalData.selfPlayerInfo.vipLevel
else
chatinfo.playerInfo.vipLevel = 0
end
chatinfo.playerInfo.gm = globalData.selfPlayerInfo.gm
chatinfo.playerInfo.nick = globalData.selfPlayerInfo.nick
chatinfo.playerInfo.userId = globalData.selfPlayerInfo.userId
chatinfo.toUserId = info.info.userId
chatinfo.playerInfo.sex = globalData.selfPlayerInfo.sex
chatinfo.uniteJobId = globalData.selfPlayerInfo.uniteJob
chatinfo.message = content
chatinfo.time = globalData.systemDateInfo:secondsToDateString((math.floor(globalData.systemDateInfo:getSystemTime() / 1000 + globalData.systemDateInfo.timeZoneSecond) + 1) % globalData.systemDateInfo.secondsOfDay)
globalData.chatItemList:appendChatItem(chatinfo)
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("FriendPanel.text11"))
end
end
function FriendPanel:show(container,tab)
if(self:getParent() == nil) then
container:addChild(self)
end
if(tab ~= nil)then
self:setTabType(tab)
end
end
function FriendPanel:setTabType(tab)
if(self.tab == tab)then return end
self.tab = tab
self:updateListView(true)
end
function FriendPanel:updateListView(isChangeSelect)
self.isChangeSelect = isChangeSelect or false
local function friendSort(info1,info2)
local count1 = globalData.chatItemList:getUnreadCount(info1.info.userId)
local count2 = globalData.chatItemList:getUnreadCount(info2.info.userId)
if(count1 == count2) then
return info1.online > info2.online
end
return count1 > count2
end
globalManager.tickManager:removeTick(self.addItemTick,self)
self:clearItems()
self.itemList = {}
table.sort(globalData.friendList.friendList,friendSort)
self._listCount = table.getn(globalData.friendList.friendList)
if(self._listCount > 0)then
self.flagTitle:setVisible(false)
self.flagContent:setVisible(false)
self.flagContent1:setVisible(false)
self.flagContent2:setVisible(false)
self.targetIndex = 0
self._createCount = 0
globalManager.tickManager:addTick(self.addItemTick,self)
else
self.flagTitle:setVisible(true)
self.flagContent:setVisible(true)
self.flagContent1:setVisible(true)
self.flagContent2:setVisible(true)
end
end
function FriendPanel:addItemTick(delta,count)
self._createCount = self._createCount + 1
local item = FriendItemView:new(self)
table.insert(self.itemList,item)
self.itemListView:pushBackCustomItem(item)
item.fromType = globalData.allStaticTypes.menuType.fromFriend
item:setData(self._createCount,self.itemTouchCallback,self)
--选中逻辑
if(self.isChangeSelect)then
if(self._createCount == 1)then
self.targetIndex = self._createCount
end
else
if(self._createCount == self.currentFriendIndex)then
self.targetIndex = self._createCount
item:setSelected(true)
end
end
if(self._createCount >= self._listCount) then
self:addItemOver()
end
end
function FriendPanel:addItemOver()
globalManager.tickManager:removeTick(self.addItemTick,self)
self.itemListView:refreshView()
if(self.tempIndex > 0)then
self:setSelectedItem(self.tempIndex)
else
self:setSelectedItem(self.targetIndex)
end
end
function FriendPanel:clearItems()
if(self.itemList == nil) then return end
self.itemListView:removeAllItems()
for __,item in pairs(self.itemList) do
item:dispose()
item = nil
end
self.itemList = nil
end
function FriendPanel:updateChatView()
--更新显示聊天内容
local flag = false
for __,richLabel in pairs(self._labelsNeedAddToListView) do
self.container:addChild(richLabel)
flag = true
richLabel:setPosition(5,-self._currentHeight)
self._currentHeight = self._currentHeight + richLabel:getHeight()
end
if(self._currentHeight > self.chatScrollView:getSize().height)then
self.container:setPositionY(self._currentHeight)
else
self.container:setPositionY(self.chatScrollView:getSize().height)
end
self.chatScrollView:setInnerContainerSize(cc.size(525,self._currentHeight))
self.chatScrollView:requestDoLayout()
if(flag)then
self._labelsNeedAddToListView = {}
self.chatScrollView:jumpToBottom()
end
end
function FriendPanel:clearChatView()
self.container:removeAllChildren()
self._labelsNeedAddToListView = {}
self._currentHeight = 30
end
function FriendPanel:itemTouchCallback(index)
self:setSelectedItem(index)
end
function FriendPanel:setSelectByInfo(friendInfo)
if(self.itemList == nil) then return end
local userId = friendInfo.info.userId
local len = #globalData.friendList.friendList
for i = 1,len,1 do
if(globalData.friendList.friendList[i].info.userId == userId)then
self:setSelectedItem(i)
end
end
end
function FriendPanel:setSelectedItem(index)
if(index == 0)then
self.currentFriendIndex = 0
self:clearChatView()
else
if(self.currentFriendIndex == index)then
return
end
self:clearChatView()
if(self.currentFriendIndex ~= 0) then
self.itemList[self.currentFriendIndex]:setSelected(false)
end
self.currentFriendIndex = index
self.itemList[self.currentFriendIndex]:setSelected(true)
--聊天记录
local list = globalData.chatItemList:getPrivateList(globalData.friendList.friendList[self.currentFriendIndex].info.userId)
if(list ~= nil)then
local len = table.getn(list)
local startIndex = 1
if(len > 50)then startIndex = len - 49 end
for i=startIndex,len do
self:appendChatItem(list[i])
end
end
end
end
function FriendPanel:showGivePanel(info)
if(self.friendGiveGoldPanel == nil)then
self.friendGiveGoldPanel = FriendGiveGoldPanel:new(self,self.controller)
self.friendGiveGoldPanel:setPosition(382,8)
self:addChild(self.friendGiveGoldPanel)
end
self.friendGiveGoldPanel:setData(info)
end
function FriendPanel:hideGivePanel()
if(self.friendGiveGoldPanel ~= nil) then
self.friendGiveGoldPanel:dispose()
self.friendGiveGoldPanel = nil
end
end
function FriendPanel:dispose()
globalManager.tickManager:removeTick(self.addItemTick,self)
self:removeEvent()
self:hideGivePanel()
self.sendBtn = nil
self.faceBtn = nil
self:clearItems()
self.itemListView = nil
self.chatScrollView = nil
self.flagTitle   = nil
self.flagContent = nil
self.flagContent1 = nil
self.flagContent2 = nil
self.controller  = nil
for __,label in pairs(self._labelsNeedAddToListView) do
label:dispose()
end
self._labelsNeedAddToListView = nil
if(self._scrollBarWrapper ~= nil)then
self._scrollBarWrapper:dispose()
self._scrollBarWrapper = nil
end
if(self._faceView ~= nil)then
self._faceView:dispose()
self._faceView = nil
end
globalManager.ccCreator:release(self.inputEditBox)
self.inputEditBox = nil
globalManager.ccCreator:release(self.inputBg)
self.inputBg = nil
globalManager.ccCreator:release(self.container)
self.container = nil
globalManager.ccCreator:release(self._widget)
self._widget = nil
self.BasePanelDispose(self)
self.BasePanelDispose = nil
end
FriendResponsePanel = class("FriendResponsePanel", function(self,controller)
local temp = ResponsePanel:new()
temp:setTitle(globalManager.yuyanbaoManager:getYuyanbao("ResponsePanel.text1"))
--data
temp.controller = controller
temp.__ResponsePanelDispose = temp.dispose
return temp
end)
function FriendResponsePanel:ctor()
self:friendIconUpdate()
self:initEvent()
end
function FriendResponsePanel:initEvent()
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.quickIcon_friend,self.friendIconUpdate,self)
end
function FriendResponsePanel:removeEvent()
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.quickIcon_friend,self.friendIconUpdate,self)
end
function FriendResponsePanel:friendIconUpdate()
local playerInfos = globalData.friendList.friendResponseInfo.responseList
self:updateView(playerInfos)
end
--override
function FriendResponsePanel:agreeHandler(playerInfo)
globalData.messageAdder:sendAcceptFriend(playerInfo.userId,true)
-- globalData.friendList.friendResponseInfo:removeInfo(playerInfo.userId)
globalData.responseInfoList:removeInfo(playerInfo.userId,1)
end
--override
function FriendResponsePanel:allAgreeHandler()
local playerInfos = globalData.friendList.friendResponseInfo.responseList
for __,playerInfo in pairs(playerInfos) do
self:agreeHandler(playerInfo)
end
end
--override
function FriendResponsePanel:refuseHandler(playerInfo)
globalData.messageAdder:sendAcceptFriend(playerInfo.userId,false)
-- globalData.friendList.friendResponseInfo:removeInfo(playerInfo.userId)
globalData.responseInfoList:removeInfo(playerInfo.userId,1)
end
--override
function FriendResponsePanel:allRefuseHandler()
local playerInfos = globalData.friendList.friendResponseInfo.responseList
for __,playerInfo in pairs(playerInfos) do
self:refuseHandler(playerInfo)
end
end
function FriendResponsePanel:dispose()
self:removeEvent()
self.controller = nil
self.__ResponsePanelDispose(self)
self.__ResponsePanelDispose = nil
end
FriendController = class("FriendController", function(self,module)
local temp = {}
temp.module = module
return temp
end)
function FriendController:showFriendPanel(tab,friendInfo)
if(self.module.friendPanel == nil)then
self.module.friendPanel = FriendPanel:new(self)
self.module.friendPanel.eventDis:addEventListener(globalData.globalEventType.trigger_panelDispose,self.hideFriendPanel,self)
end
self.module.friendPanel:setTabType(tab)
if(friendInfo ~= nil)then
self.module.friendPanel:setSelectByInfo(friendInfo)
end
if(self.module.friendPanel:getParent() == nil)then
globalData.uiPanelContainer:addPanel(tab,self.module.friendPanel)
end
end
function FriendController:hideFriendPanel(evt)
self.module.friendPanel.eventDis:removeEventListener(globalData.globalEventType.trigger_panelDispose,self.hideFriendPanel,self)
self.module.friendPanel = nil
end
function FriendController:showFriendResponsePanel()
if(self.module.friendResponsePanel == nil)then
self.module.friendResponsePanel = FriendResponsePanel:new(self)
self.module.friendResponsePanel.eventDis:addEventListener(globalData.globalEventType.trigger_panelDispose,self.hideFriendResponsePanel,self)
end
if(self.module.friendResponsePanel:getParent() == nil)then
globalManager.containerManager.tipContainer:addChild(self.module.friendResponsePanel)
end
end
function FriendController:hideFriendResponsePanel(evt)
self.module.friendResponsePanel.eventDis:removeEventListener(globalData.globalEventType.trigger_panelDispose,self.hideFriendResponsePanel,self)
self.module.friendResponsePanel = nil
end
FriendModule = class("FriendModule", function(self)
local temp = BaseModule:new()
temp.controller = nil
temp.friendPanel = nil
temp.friendResponsePanel = nil
return temp
end)
--override
function FriendModule:getModuleType()
return globalData.allStaticTypes.moduleType.friend
end
--override
function FriendModule:setup(data)
self.controller = FriendController:new(self)
self:configure(data)
end
--override
--data值：
-- 1：为tab类型，表示打开哪一个切卡
-- 2：为friendInfo类型：自动选中该数据，如发起聊天发送
function FriendModule:configure(data)
if(type(data) == "table")then
local tab = nil
local friendInfo = data
self.controller:showFriendPanel(tab,friendInfo)
else
if(data == globalData .allStaticTypes.panelTabType.friendResponse)then
self.controller:showFriendResponsePanel()
elseif(data == globalData.allStaticTypes.panelTabType.friend)then
self.controller:showFriendPanel(data)
end
end
end
EquipWuhunItem = class("EquipWuhunItem", function(_, controller, place,name)
local self = globalManager.ccCreator:newWidget()
self._controller = controller
self._place = place
self._icon = globalManager.ccCreator:newImageView()
self:addChild(self._icon)
self._label = globalManager.ccCreator:newLabel()
self._label:setPositionY(-46)
self._label:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[1])
self._label:setTextHorizontalAlignment(cc.TEXT_ALIGNMENT_CENTER)
self._label:setColor(globalData.allStaticTypes.colorType.TIPTITLE_COLOR)
self:addChild(self._label)
self._name = name
self._iconPath = globalManager.pathManager:getDisplayItemPath(place,globalData.allStaticTypes.goodsIconPathType.SKILL_ICON)
globalManager.sourceCacheManager:setImage(self._icon,self._iconPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self._label:setText("")
globalManager.commonUtils:setImgColorGrey(self._icon)
return self
end)
function EquipWuhunItem:ctor()
self:initEvent()
end
function EquipWuhunItem:initEvent()
-- globalData.wuhunInfo:addEventListener(globalData.globalEventType.playerInfo_wuhunInfo, self.infoUpdate, self)
end
function EquipWuhunItem:removeEvent()
-- globalData.wuhunInfo:removeEventListener(globalData.globalEventType.playerInfo_wuhunInfo, self.infoUpdate, self)
end
function EquipWuhunItem:infoUpdate(evt)
self:updateView()
end
function EquipWuhunItem:updateView()
local level = math.floor(globalData.wuhunInfo.level / 8)
if(globalData.wuhunInfo.level % 8 >= self._place)then
level = level + 1
end
-- local val = globalData.allTemplates.wuhunTemplateList
self._label:setText(self._name .. "Lv." .. level)
-- else
-- 	self._label:setText("")
-- end
if(level <= 0)then
globalManager.commonUtils:setImgColorGrey(self._icon)
else
globalManager.commonUtils:setImgColorNormal(self._icon)
end
end
function EquipWuhunItem:dispose()
globalManager.sourceCacheManager:removeQuote(self._iconPath)
self._iconPath = nil
self:removeEvent()
self._controller = nil
self._place      = nil
self._name = nil
globalManager.ccCreator:release(self._icon)
self._icon = nil
globalManager.ccCreator:release(self._label)
self._label = nil
globalManager.ccCreator:release(self)
end
EquipAdvancedView = class("EquipAdvancedView", function(self,controller)
local temp = globalManager.ccCreator:newWidget()
temp._controller = controller
temp._goodsInfo = nil
temp._goods2Info = nil
temp._costTemp = nil
temp._stoneId = nil
temp._stoneNum = nil
temp._widget = globalManager.ccCreator:newJsonWidget("EquipAdvancedView")
temp:addChild(temp._widget)
temp._widget:getChildByName("getHelpLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("EquipAdvancedView.text1"))
temp._widget:getChildByName("Label_277847"):setText(globalManager.yuyanbaoManager:getYuyanbao("EquipAdvancedView.text2"))
temp._widget:getChildByName("prometLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("EquipAdvancedView.text3"))
temp._widget:getChildByName("Label_277847_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("EquipAdvancedView.text4"))
temp._widget:getChildByName("Label_5473_Copy2"):setText(globalManager.yuyanbaoManager:getYuyanbao("NumberPanel.text5"))
temp._widget:getChildByName("upBtn"):getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("EquipAdvancedView.text6"))
temp._widget:setPosition(5,5)
temp._equipView = EquipView:new()
temp:addChild(temp._equipView)
temp._equipView:setPosition(5,5)
temp._shieldImg1 = temp._widget:getChildByName("shieldImg1")
temp._shieldImg2 = temp._widget:getChildByName("shieldImg2")
temp._getHelpBtn = temp._widget:getChildByName("help_btn")
temp._countLabel = temp._widget:getChildByName("Label_277847_Copy1")
temp._upBtn = temp._widget:getChildByName("upBtn")
temp._costCopperLabel = temp._widget:getChildByName("cost_copperLabel_Copy0")
local equip_cell = temp._widget:getChildByName("equip_cell")
temp._equipGrid = FurnaceGrid:new()
equip_cell:addChild(temp._equipGrid)
local equip2_cell = temp._widget:getChildByName("equip2_cell")
temp._equip2Grid = FurnaceGrid:new()
equip2_cell:addChild(temp._equip2Grid)
local material_cell = temp._widget:getChildByName("material_cell")
temp._stoneGrid = FurnaceGrid:new()
material_cell:addChild(temp._stoneGrid)
temp._prometLabel = temp._widget:getChildByName("prometLabel")
temp._MAXSTAGE = 3
temp._bgImg = temp._widget:getChildByName("bgImg")
temp._bgPath1 = globalManager.pathManager:getUISource("outPic/furnaceAdvancedBg.png")
globalManager.sourceCacheManager:setImage(temp._bgImg,temp._bgPath1,globalData.allStaticTypes.sourceStaticType.clearFiveM)
return temp
end)
function EquipAdvancedView:ctor()
self._prometLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("EquipAdvancedView.text3"))
end
function EquipAdvancedView:setup()
self:checkItem(true)
end
function EquipAdvancedView:initEvent()
local function buttonTouchHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(sender == self._upBtn)then
if(not self:sendCondition(true))then
return
end
self._controller.furnaceModule.message:setUpStage(self._goodsInfo.position)
elseif(sender == self._getHelpBtn)then
local content = globalManager.yuyanbaoManager:getYuyanbao("EquipAdvancedView.text13")
globalManager.tipsManager:showString(content)
end
end
end
self._upBtn:addTouchEventListener(buttonTouchHandler)
self._getHelpBtn:addTouchEventListener(buttonTouchHandler)
self._controller.furnaceModule.evtDis:addEventListener(globalData.globalEventType.furnace_stage, self.stageUpdateHandler, self)
end
function EquipAdvancedView:removeEvent()
self._controller.furnaceModule.evtDis:removeEventListener(globalData.globalEventType.furnace_stage, self.stageUpdateHandler, self)
end
function EquipAdvancedView:checkItem(isSelect)
local state = false
local place = -1
local index = 5--装备从武器开始检测，所以顺序为先5-9后0-4
for i = 0,9,1 do
local info = globalData.goodsInfoList:getGoods(index)
if(info ~= nil  and info.stage < self._MAXSTAGE) then --and info.stage > 0
local needTemp = globalData.allTemplates.furnaceAdvanceTemplateList:getTemplate(info.stage + 1)
if(needTemp.condition[1] > info.stage or needTemp.condition[2] > info.strengthLevel) then
self._equipView:setCellUpIcon(index,false)
else
local stoneId,stoneNum = needTemp:getNeedInfoByType(info:getTemplate().categoryId)
if(stoneNum <= globalData.goodsInfoList:getGoodsCount(stoneId,1)) then
self._equipView:setCellUpIcon(index,true)
if(not state) then
state = true
place = index
end
else
self._equipView:setCellUpIcon(index,false)
if(not state) then place = index end
end
end
else
self._equipView:setCellUpIcon(index,false)
end
index = index + 1
if(index > 9) then index = 0 end
end
if(isSelect and place > -1) then
self._equipView:selectAEquip(place)
end
end
function EquipAdvancedView:stageUpdateHandler(evt)
local info = globalData.goodsInfoList:getGoods(self._goodsInfo.position)
if(info.stage >= self._MAXSTAGE) then
self:setSelectGoods(nil)
else
-- if(info.stage == 0)then
-- 	self:setSelectGoods(nil)
-- 	self._prometLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("EquipAdvancedView.text7"))
-- else
self:setSelectGoods(info)
--end
end
local updateEffect = globalManager.effectCreator:create(35)
updateEffect:move2(self,346,-300)
updateEffect:play()
self:addNode(updateEffect,100)
self:checkItem()
end
function EquipAdvancedView:stopTick()
end
function EquipAdvancedView:sendCondition(isBuy)
if(self._goodsInfo == nil)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("EquipAdvancedView.text8"))
return false
end
if(self._costTemp == nil)then
print("强化消耗获取异常")
return false
end
local delta1 = self._stoneNum - globalData.goodsInfoList:getGoodsCount(self._stoneId,1)
--判断材料是否足够
if(delta1 > 0)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("EquipAdvancedView.text9"))
--		if(isBuy) then
--			globalManager.containerManager:getQuickBuyPanel():show(self._stoneId,delta1,false)
--		end
return false
end
--判断铜币是否足够
local info = globalData.allTemplates.furnaceAdvanceTemplateList:getTemplate(self._goodsInfo.stage + 1)
local delta2 = globalData.selfPlayerInfo.moneyInfo.copper - info.needCopper
if(delta2 < 0)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel12"))
return false
end
return true
end
function EquipAdvancedView:update()
if(self._goodsInfo == nil) then
self._equipGrid:setGoodsInfo(nil)
self._costTemp = nil
self._equip2Grid:setGoodsInfo(nil)
self._stoneGrid:setGoodsTempInfo(nil)
self._stoneGrid:setNeedCounts(-1)
self._costCopperLabel:setText(" ")
self._shieldImg1:setVisible(false)
self._shieldImg2:setVisible(false)
-- elseif(self._goodsInfo.stage == 0)then
-- 	self._goodsInfo = globalData.goodsInfoList:getGoods(self._goodsInfo.position)
-- 	self._equipGrid:setGoodsInfo(self._goodsInfo)
-- 	self._costCopperLabel:setText(" ")
-- 	self._costTemp = nil
-- 	self._equip2Grid:setGoodsInfo(nil)
-- 	self._stoneGrid:setGoodsTempInfo(nil)
-- 	self._stoneGrid:setNeedCounts(-1)
-- 	self._shieldImg1:setVisible(true)
-- 	self._shieldImg2:setVisible(true)
else
self._shieldImg1:setVisible(false)
self._shieldImg2:setVisible(false)
self._goodsInfo = globalData.goodsInfoList:getGoods(self._goodsInfo.position)
self._equipGrid:setGoodsInfo(self._goodsInfo)
self._costTemp = globalData.allTemplates.furnaceAdvanceTemplateList:getTemplate(self._goodsInfo.stage + 1)
if(self._goods2Info ~= nil) then
self._goods2Info:dispose()
end
self._goods2Info = self._goodsInfo:getClone()
self._goods2Info.stage = self._goodsInfo.stage + 1
self._equip2Grid:setGoodsInfo(self._goods2Info)
self._stoneId,self._stoneNum = self._costTemp:getNeedInfoByType(self._goodsInfo:getTemplate().categoryId)
self._stoneGrid:setGoodsTempInfo(globalData.allTemplates.goodsTemplateList:getTemplate(self._stoneId))
self._stoneGrid:setNeedCounts(self._stoneNum)
self._costCopperLabel:setText(self._costTemp.needCopper)
end
end
function EquipAdvancedView:setSelectGoods(goodsInfo)
if(self._goodsInfo == goodsInfo)then return end
if(goodsInfo ~= nil) then
local info = globalData.allTemplates.furnaceAdvanceTemplateList:getTemplate(goodsInfo.stage + 1)
-- if(goodsInfo.stage == 0)then
-- 	self._prometLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("EquipAdvancedView.text7"))
-- 	self._upBtn:setTouchEnabled(false)
-- 	self._upBtn:loadTextureNormal("btn/ui_tabBtn1_5.png",1)
-- else
if(info == nil or not goodsInfo:getTemplate().canStrengthen or info:getNeedInfoByType(goodsInfo:getTemplate().categoryId) == nil) then
self._prometLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("EquipAdvancedView.text10"))
goodsInfo = nil
elseif(info.condition[1] <= goodsInfo.stage and info.condition[2] <= goodsInfo.strengthLevel) then
self._prometLabel:setText(" ")
self._upBtn:setTouchEnabled(true)
self._upBtn:loadTextureNormal("btn/ui_tabBtn1_3.png",1)
else
if(goodsInfo:getQuality() == 3)then
self._prometLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("EquipAdvancedView.text3"))
elseif(goodsInfo:getQuality() == 4)then
self._prometLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("EquipAdvancedView.text11"))
elseif(goodsInfo:getQuality() == 5)then
self._prometLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("EquipAdvancedView.text12"))
end
self._upBtn:setTouchEnabled(false)
self._upBtn:loadTextureNormal("btn/ui_tabBtn1_5.png",1)
end
end
self._goodsInfo = goodsInfo
self:update()
end
function EquipAdvancedView:dispose()
self:removeEvent()
globalManager.sourceCacheManager:removeQuote(self._bgPath1)
self._bgPath1 = nil
self._controller = nil
self._goodsInfo = nil
self._costTemp = nil
self._getHelpBtn = nil
self._countLabel = nil
self._upBtn = nil
self._costCopperLabel = nil
self._prometLabel = nil
self._shieldImg1 = nil
self._shieldImg2 = nil
if(self._stoneGrid ~= nil) then
self._stoneGrid:dispose()
self._stoneGrid = nil
end
if(self._equipGrid ~= nil) then
self._equipGrid:dispose()
self._equipGrid = nil
end
if(self._stoneGrid ~= nil) then
self._stoneGrid:dispose()
self._stoneGrid = nil
end
if(self._equip2Grid ~= nil)then
self._equip2Grid:dispose()
self._equip2Grid = nil
end
if(self._goods2Info ~= nil) then
self._goods2Info:dispose()
self._goods2Info = nil
end
if(self._equipView ~= nil)then
self._equipView:dispose()
self._equipView = nil
end
globalManager.ccCreator:release(self._widget)
self._widget = nil
self._bgImg = nil
globalManager.ccCreator:release(self)
end
EquipRongluView = class("EquipRongluView", function(_, controller)
local self = globalManager.ccCreator:newWidget()
self._controller = controller
self._widget     = globalManager.ccCreator:newJsonWidget("RongLuPanel")
self:addChild(self._widget)
self._widget:setPosition(5,5)
self.infos       = {}	--属性值
self.plus        = {}   --附加属性值
self.icons  	 = {}
local nameList = {
globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel31"),
globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel32"),
globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel38"),
globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel33"),
globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel39"),
globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel40"),
globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel42"),
globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel43"),
globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel41"),
}
for i = 1,9 do
self._widget:getChildByName("name_label"..i):setText(nameList[i])
table.insert( self.infos, self._widget:getChildByName("info_label"..i) )
self.infos[i]:setText("0")
table.insert( self.plus, self._widget:getChildByName("plus_label"..i) )
table.insert( self.icons, self._widget:getChildByName("up_icon"..i) )
self.icons[i]:setVisible(false)
end
self._bgImg      = self._widget:getChildByName("bg")
self._bgPath    = globalManager.pathManager:getUISource("outPic/ui_rongluBg.png")
self._exp_bar = self._widget:getChildByName("exp_bar")
self._fight_label = self._widget:getChildByName("fight_label")
self._auto_btn = self._widget:getChildByName("auto_btn")
self._levelLabel = self._widget:getChildByName("levelLabel")
self._descLabel1 = self._widget:getChildByName("descLabel1")
self._descLabel2 = self._widget:getChildByName("descLabel2")
self._countLabel = self._widget:getChildByName("countLabel")
self._exp_txt = self._exp_bar:getChildByName("txt")
self.list = nil
self.ronglianCount = 0
self.rongluExp = globalData.rongluInfo.total_exp
return self
end)
function EquipRongluView:ctor()
globalManager.sourceCacheManager:setImage(self._bgImg,self._bgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self._descLabel1:setText(globalManager.yuyanbaoManager:getYuyanbao("EquipRongluView.text2"))
self._descLabel2:setText(globalManager.yuyanbaoManager:getYuyanbao("EquipRongluView.text3"))
self._auto_btn:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("EquipRongluView.text5"))
end
function EquipRongluView:isShowAutoCycle()
end
function EquipRongluView:setup()
self:infoUpdate()
end
function EquipRongluView:initEvent()
local ronglianHandler = function (sender,eventType)
globalData.messageAdder:sendRongLuUpgrade(self.list)
end
local function btnClickHandler(sender, eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(self.list ~= nil and #self.list > 0) then
local content = string.format(globalManager.yuyanbaoManager:getYuyanbao("EquipRongluView.text6"),self.ronglianCount)
Alert:new():show(2,content,globalManager.noAlertUtils.RONG_LIAN,0,self,ronglianHandler)
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("EquipRongluView.text1"))
end
end
end
self._auto_btn:addTouchEventListener(btnClickHandler)
globalData.rongluInfo:addEventListener(globalData.globalEventType.ronglu_update, self.infoUpdate, self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.newly_startRongLian, self.ronglianHandler, self)
end
function EquipRongluView:ronglianHandler()
globalData.messageAdder:sendRongLuUpgrade(self.list)
end
function EquipRongluView:removeEvent()
globalData.rongluInfo:removeEventListener(globalData.globalEventType.ronglu_update, self.infoUpdate, self)
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.newly_startRongLian, self.ronglianHandler, self)
end
function EquipRongluView:update()
end
function EquipRongluView:infoUpdate(evt)
local list, count, ronglian = globalData.rongluInfo:getRongLuEquipList()
self._countLabel:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("EquipRongluView.text4"),count))
self.list = list
self.ronglianCount = ronglian
local curentLevel = globalData.rongluInfo.level
self._levelLabel:setText("Lv."..curentLevel)
local fight = 0
local currentTemp = globalData.allTemplates.smelterTemplateList:getTemplate(curentLevel)
local nextTemp = globalData.allTemplates.smelterTemplateList:getTemplate(curentLevel + 1)
for i = 1, 9 do
if(currentTemp == nil) then
self.infos[i]:setText(" 0")
else
self.infos[i]:setText(" "..currentTemp.attrList[i].propertyValue)
fight = fight + globalData.allStaticTypes.propertyType:fightCalculate(currentTemp.attrList[i].propertyId,currentTemp.attrList[i].propertyValue)
end
if(nextTemp == nil) then
self.plus[i]:setText("")
self.icons[i]:setVisible(false)
else
if(currentTemp ~= nil) then
self.plus[i]:setText(nextTemp.attrList[i].propertyValue - currentTemp.attrList[i].propertyValue)
else
self.plus[i]:setText(nextTemp.attrList[i].propertyValue)
end
self.icons[i]:setVisible(true)
end
end
self._fight_label:setStringValue(fight)
if(nextTemp == nil) then
self._exp_bar:setPercent(100)
if(currentTemp ~= nil)then
self._exp_txt:setText(currentTemp.level_exp.."/"..currentTemp.level_exp)
end
else
self._exp_txt:setText((globalData.rongluInfo.total_exp + nextTemp.level_exp - nextTemp.total_exp).."/"..nextTemp.level_exp)
local num = math.min(100,math.max(0,math.floor(nextTemp.level_exp - (nextTemp.total_exp - globalData.rongluInfo.total_exp)) / nextTemp.level_exp * 100))
self._exp_bar:setPercent(num)
end
if(self.rongluExp < globalData.rongluInfo.total_exp)then
local pos = self._exp_bar:convertToWorldSpace(globalManager.ccCreator.ANCHOR_POINTS[7])
local posX = pos.x
local posY = pos.y + 20
PlusNumberEffect:new("+"..tostring(globalData.rongluInfo.total_exp - self.rongluExp),globalManager.ccCreator:newPoint(posX,posY))
self.rongluExp = globalData.rongluInfo.total_exp
end
end
function EquipRongluView:stopTick()
end
function EquipRongluView:dispose()
self:removeEvent()
self:stopTick()
self._controller = nil
if self._bgPath ~= nil then
globalManager.sourceCacheManager:removeQuote(self._bgPath)
self._bgPath = nil
end
self.icons       = nil   --提升的图标
self.infos       = nil	  --属性值
self.plus        = nil   --附加属性值
self._bgImg      = nil
self._bgPath    = nil
self._exp_bar = nil
self._fight_label = nil
self._auto_btn = nil
self._levelLabel = nil
self._descLabel1 = nil
self._descLabel2 = nil
self._countLabel = nil
self._exp_txt = nil
self.list = nil
self.ronglianCount = nil
self.rongluExp = nil
globalManager.ccCreator:release(self._widget)
self._widget = nil
globalManager.ccCreator:release(self)
end
EquipStrengthView = class("EquipStrengthView", function(self,controller)
local temp = globalManager.ccCreator:newWidget()
temp.STONE1LEVEL = 10 --使用强化石1（自动购买）
temp.STONE2LEVEL = 15 --使用强化石2
temp.MAXLEVEL = 20 --使用强化石3
--data
temp._controller = controller
temp._goodsInfo = nil
temp._stonePlace = 0
temp._perfectPlace = 0
temp._costTemp = nil
temp._autoTickCount = 0 --自动强化计时
temp._equipStrengthInfo = EquipStrengthInfo:new()
--view
temp._widget = globalManager.ccCreator:newJsonWidget("EquipStrengthView")
temp:addChild(temp._widget)
temp._widget:setPosition(7,7)
temp._widget:getChildByName("getHelpLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("EquipStrengthView.text1"))
temp._widget:getChildByName("Label_5473_Copy2"):setText(globalManager.yuyanbaoManager:getYuyanbao("NumberPanel.text5"))
temp._widget:getChildByName("proCon"):getChildByName("Label_22614_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel27"))
temp._widget:getChildByName("proCon"):getChildByName("propertyNameLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("EquipStrengthView.text4"))
temp._widget:getChildByName("label"):setText(globalManager.yuyanbaoManager:getYuyanbao("LingMaiPanel.text11"))
temp._widget:getChildByName("autoBuyCheckbox"):getChildByName("Label_5473_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("EquipStrengthView.text6"))
--temp._widget:getChildByName("autoBuyCheckbox"):getChildByName("tipslabel2"):setText(globalManager.yuyanbaoManager:getYuyanbao("EquipStrengthView.text14"))
temp._widget:getChildByName("equipCell"):getChildByName("LabelBMFont_57858"):setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel23"))
temp._widget:getChildByName("materialCell"):getChildByName("LabelBMFont_57858"):setText(globalManager.yuyanbaoManager:getYuyanbao("EquipStrengthView.text8"))
temp._widget:getChildByName("autoStrengthBtn"):getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("EquipStrengthView.text9"))
temp._equipView = EquipView:new()
temp:addChild(temp._equipView)
temp._equipView:setPosition(7,7)
temp._proCon = temp._widget:getChildByName("proCon")
temp._proCon:setVisible(false)
--temp._strengthBtn = temp._widget:getChildByName("strengthBtn")
temp._autoStrengthBtn = temp._widget:getChildByName("autoStrengthBtn")
temp._autoBuyCheckbox = temp._widget:getChildByName("autoBuyCheckbox")
temp._strengthLabel = temp._widget:getChildByName("strengthLabel")
temp._nowLevelLabel = temp._proCon:getChildByName("nowLevelLabel")
temp._nextLevelLabel = temp._proCon:getChildByName("nextLevelLabel")
temp._nowPropertyLabel = temp._proCon:getChildByName("nowPropertyLabel")
temp._nextPropertyLabel = temp._proCon:getChildByName("nextPropertyLabel")
temp._propertyNameLabel = temp._proCon:getChildByName("propertyNameLabel")
temp._expBar = temp._widget:getChildByName("expBar")
temp._luck = 0
temp._oldStreng = 0
temp._expBar:setPercent(0)
temp._txtPb = temp._expBar:getChildByName("txtPb")
temp._txtPb:setText("")
temp._tipBtn = temp._widget:getChildByName("tipBtn")
temp._getHelpBtn = temp._widget:getChildByName("info_btn")
temp._costCopper = temp._widget:getChildByName("cost_copperLabel_Copy0")
local posX,posY = temp._widget:getChildByName("materialCell"):getPosition()
temp._stoneGrid = FurnaceGrid:new()
temp._stoneGrid:setPosition(cc.p(posX - 30,posY + 40))
temp:addChild(temp._stoneGrid,10)
posX,posY = temp._widget:getChildByName("equipCell"):getPosition()
temp._equipGrid = FurnaceGrid:new()
temp._equipGrid:setPosition(cc.p(posX - 30,posY + 40))
temp:addChild(temp._equipGrid,10)
temp._bgImg = temp._widget:getChildByName("bgImg")
temp._bgPath1 = globalManager.pathManager:getUISource("outPic/furnaceStrengthBg.png")
globalManager.sourceCacheManager:setImage(temp._bgImg,temp._bgPath1,globalData.allStaticTypes.sourceStaticType.clearFiveM)
temp._checkCount = 0
temp._effect = globalManager.effectCreator:create(26,nil,nil,false)
temp._successEffect = globalManager.effectCreator:create(35,nil,nil,false)
temp._successEffect:move2(self,343,-384)
temp._effect:move2(self,posX + 6,88 - posY)
-- temp._effect:play()
--    temp._effect:setCallback(self.effectComplete,self)
temp._isFirst = true
return temp
end)
function EquipStrengthView:ctor()
self:updateEquips()
end
function EquipStrengthView:setup()
self:checkItem(true)
--	self._equipView:selectAEquip()
end
function EquipStrengthView:initEvent()
local function buttonTouchHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
-- if(sender == self._strengthBtn)then
-- 	self:stopTick()
-- 	if(not self:sendCondition(true))then
-- 		return
-- 	end
-- 	self._controller.furnaceModule.message:sendGoodsStrength(self._goodsInfo.position, self:getStonePlace(), self:getPerfectPlace())
-- else
if(sender == self._autoStrengthBtn)then
if(not self:sendCondition())then
self:stopTick()
return
end
if(globalManager.tickManager:containTick(self.tick, self) ~= -1)then
self:stopTick()
else
globalManager.tickManager:addTick(self.tick, self)
self._autoStrengthBtn:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("LingMaiPanel.text3"))
end
-- self._controller.furnaceModule.message:sendGoodsAutoStrength(self._goodsInfo.position, self:getStonePlace(), self:getPerfectPlace())
elseif(sender == self._tipBtn)then
globalManager.tipsManager:showEquipStrength(self._equipStrengthInfo)
elseif(sender == self._getHelpBtn)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
globalManager.tipsManager:showString(globalManager.descriptManager:getDescript("10019"))
end
end
end
--self._strengthBtn:addTouchEventListener(buttonTouchHandler)
self._autoStrengthBtn:addTouchEventListener(buttonTouchHandler)
self._tipBtn:addTouchEventListener(buttonTouchHandler)
self._getHelpBtn:addTouchEventListener(buttonTouchHandler)
self._controller.furnaceModule.evtDis:addEventListener(globalData.globalEventType.furnace_strength, self.strengthUpdateHandler, self)
self._controller.furnaceModule.evtDis:addEventListener(globalData.globalEventType.furnace_luck, self.luckUpdateHandler, self)
globalData.goodsInfoList:addEventListener(globalData.globalEventType.playerInfo_roleUpdate,self.updateEquips,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.newly_furnaceAutoUpdate,self.furnaceAutoUpdate,self)
end
function EquipStrengthView:removeEvent()
self._controller.furnaceModule.evtDis:removeEventListener(globalData.globalEventType.furnace_strength, self.strengthUpdateHandler, self)
self._controller.furnaceModule.evtDis:removeEventListener(globalData.globalEventType.furnace_luck, self.luckUpdateHandler, self)
globalData.goodsInfoList:removeEventListener(globalData.globalEventType.playerInfo_roleUpdate,self.updateEquips,self)
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.newly_furnaceAutoUpdate,self.furnaceAutoUpdate,self)
end
function EquipStrengthView:checkItem(isSelect)
local itemCount1 = globalData.goodsInfoList:getGoodsCount(globalData.allStaticTypes.categoryType.NORMAL_STONE,1)
local itemCount2 = globalData.goodsInfoList:getGoodsCount(globalData.allStaticTypes.categoryType.SUPER_STONE,1)
local itemCount3 = globalData.goodsInfoList:getGoodsCount(globalData.allStaticTypes.categoryType.EPIC_STONE,1)
local place = 5
local canUpLevel = 99
local index = 5--装备从武器开始检测，所以顺序为先5-9后0-4
for i = 0,9,1 do
local info = globalData.goodsInfoList:getGoods(index)
if(info ~= nil and info.strengthLevel < self.MAXLEVEL) then
local needTemp = globalData.allTemplates.strengthCostTemplateList:getTemplate(info.strengthLevel + 1)
if(info.strengthLevel < self.STONE1LEVEL) then
if(needTemp.stoneNum <= itemCount1) then
self._equipView:setCellUpIcon(index,true)
if(info.strengthLevel < canUpLevel) then
canUpLevel = info.strengthLevel
place = index
end
else
self._equipView:setCellUpIcon(index,false)
end
elseif(info.strengthLevel < self.STONE2LEVEL) then
if(needTemp.stoneNum <= itemCount2) then
self._equipView:setCellUpIcon(index,true)
if(info.strengthLevel < canUpLevel) then
canUpLevel = info.strengthLevel
place = index
end
else
self._equipView:setCellUpIcon(index,false)
end
else
if(needTemp.stoneNum <= itemCount3) then
self._equipView:setCellUpIcon(index,true)
if(info.strengthLevel < canUpLevel) then
canUpLevel = info.strengthLevel
place = index
end
else
self._equipView:setCellUpIcon(index,false)
end
end
else
self._equipView:setCellUpIcon(index,false)
end
index = index + 1
if(index > 9) then index = 0 end
end
if(self._isFirst) then
self._equipView:selectAEquip(place)
self._isFirst = false
end
end
function EquipStrengthView:checkTick(delta,count)
self._checkCount = self._checkCount - 1
if(self._checkCount <= 0) then
self._checkCount = 0
self:checkItem()
globalManager.tickManager:removeTick(self.checkTick,self)
end
end
function EquipStrengthView:furnaceAutoUpdate(evt)
globalManager.tickManager:addTick(self.tick, self)
self._autoStrengthBtn:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("LingMaiPanel.text3"))
end
--function EquipStrengthView:effectComplete()
-- if(self._effect:getParent() ~= nil)then
-- 	self._effect:removeFromParent()
-- 	self._effect:stop()
-- end
--end
function EquipStrengthView:tick(delta, count)
if(self._autoTickCount % 20 == 0)then
if(not self:sendCondition())then
self:stopTick()
return
end
self._controller.furnaceModule.message:sendGoodsStrength(self._goodsInfo.position, self:getStonePlace(), self:getPerfectPlace())
end
self._autoTickCount = self._autoTickCount + 1
end
function EquipStrengthView:stopTick()
self._autoTickCount = 0
self._autoStrengthBtn:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("EquipStrengthView.text9"))
globalManager.tickManager:removeTick(self.tick, self)
end
function EquipStrengthView:updateEquips(evt)
self._equipStrengthInfo.equipList = {}
for i = 0,13 do
local goodsInfo = globalData.goodsInfoList:getGoods(i)
if(goodsInfo ~= nil and goodsInfo:getTemplate().categoryId ~= globalData.allStaticTypes.categoryType.HUIZHANG)then
table.insert(self._equipStrengthInfo.equipList, goodsInfo)
end
end
self._equipStrengthInfo:update()
self._strengthLabel:setStringValue(self._equipStrengthInfo.strengthLevel)
end
function EquipStrengthView:strengthUpdateHandler(evt)
self:stopTick()
if(self._effect:getParent() == nil)then
self:addNode(self._effect,10)
end
if(self._successEffect:getParent() == nil)then
self:addNode(self._successEffect,11)
end
self._effect:play()
self._successEffect:play()
self:update()
self._checkCount = 40
globalManager.tickManager:addTick(self.checkTick,self)
end
function EquipStrengthView:sendCondition(isBuy)
if(self._goodsInfo == nil)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("EquipStrengthView.text11"))
return false
end
if(self._costTemp == nil)then
print("强化消耗获取异常")
return false
end
local delta1 = self._costTemp.stoneNum - globalData.goodsInfoList:getGoodsCount(self._costTemp.stoneId,1)
if(self._goodsInfo.strengthLevel < self.STONE1LEVEL and self._autoBuyCheckbox:getSelectedState())then
--判断自动购买的钱是否足够
if(delta1 > 0)then
local template1,template2 = globalData.allTemplates.shopTemplateList:getForgeShopItems(self._costTemp.stoneId)
if((template2 ~= nil and not globalManager.goodsInfoTester:shopGoodsMoneyCheck(template2,delta1,false,true)) or
(template1 ~= nil and not globalManager.goodsInfoTester:shopGoodsMoneyCheck(template1,delta1,true,true)))then
return false
end
end
else
--判断材料是否足够
if(delta1 > 0)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("EquipStrengthView.text12"))
if(self._goodsInfo.strengthLevel < self.STONE1LEVEL and isBuy) then
globalManager.containerManager:getQuickBuyPanel():show(self._costTemp.stoneId,delta1,false)
end
return false
end
end
--判断铜币
if(self._costTemp.needCopper > globalData.selfPlayerInfo.moneyInfo.copper)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel12"))
return false
end
return true
end
function EquipStrengthView:update()
if(self._goodsInfo == nil)then return end
self._goodsInfo = globalData.goodsInfoList:getGoods(self._goodsInfo.position)
self._equipGrid:setGoodsInfo(self._goodsInfo)
local costTemp = globalData.allTemplates.strengthCostTemplateList:getTemplate(self._goodsInfo.strengthLevel + 1)
if(costTemp == nil)then
self._proCon:setVisible(false)
self._stoneGrid:setNeedCounts(-1)
self._stoneGrid:setGoodsTempInfo(nil)
self._luck = 0
self._oldStreng = 0
self._expBar:setPercent(0)
return
end
self._proCon:setVisible(true)
self._costTemp = costTemp
if(costTemp.totalCount <= 0)then
self._luck = 100
self._oldStreng = 0
self._expBar:setPercent(100)
--self._txtPb:setText("100/100")
else
self._luck = math.floor(self._goodsInfo.strengthTimes / costTemp.totalCount * 100)
self._oldStreng = self._goodsInfo.strengthTimes
self._expBar:setPercent(self._luck)
self._txtPb:setText(self._goodsInfo.strengthTimes.."/"..costTemp.totalCount )
end
local goodsTemplate = globalData.allTemplates.goodsTemplateList:getTemplate(costTemp.stoneId)
self._stoneGrid:setGoodsTempInfo(goodsTemplate)
self._stoneGrid:setNeedCounts(costTemp.stoneNum)
if(self._goodsInfo.strengthLevel >= self.STONE1LEVEL) then
self._autoBuyCheckbox:setEnabled(false)
else
self._autoBuyCheckbox:setEnabled(true)
end
self._nowPropertyLabel:setText(tostring(self._goodsInfo.score))
self._nowLevelLabel:setText("+" .. self._goodsInfo.strengthLevel)
local score = 0
local regularPropertyList = globalData.allTemplates.equipStrengthLevelTemplateList:getTemplate(self._goodsInfo:getTemplate().categoryId,globalData.selfPlayerInfo.level)
local strengthTemp1 = globalData.allTemplates.strengthPropertyTemplateList:getTemplate(self._goodsInfo:getTemplate().categoryId,self._goodsInfo.strengthLevel)
local strengthTemp2 = globalData.allTemplates.strengthPropertyTemplateList:getTemplate(self._goodsInfo:getTemplate().categoryId,self._goodsInfo.strengthLevel + 1)
for i,propertyInfo in pairs(regularPropertyList.propertys) do
local pre = 1
if(self._goodsInfo.stage > 0)then
local stageTemp = globalData.allTemplates.furnaceAdvanceTemplateList:getTemplate(self._goodsInfo.stage)
pre = (1 + stageTemp.addPre / 100)
end
local addPro = 0
if(strengthTemp1 == nil) then
addPro = strengthTemp2.propertyAdd[i].propertyValue
else
addPro = strengthTemp2.propertyAdd[i].propertyValue - strengthTemp1.propertyAdd[i].propertyValue
end
addPro = math.ceil(addPro * pre)
score = score + globalData.allStaticTypes.propertyType:fightCalculate(propertyInfo.propertyId,addPro)
end
score = math.floor(score)
self._nextPropertyLabel:setText(tostring(self._goodsInfo.score + score))
self._nextLevelLabel:setText("+" .. (self._goodsInfo.strengthLevel + 1))
--data update
local stoneList = globalData.goodsInfoList:getGoodsByTempId(costTemp.stoneId,1)
if(#stoneList > 0)then
self._stonePlace = stoneList[1].position
else
self._stonePlace = 0
end
local perfectList = globalData.goodsInfoList:getGoodsByTempId(costTemp.perfectId,1)
if(#perfectList > 0)then
self._perfectPlace = perfectList[1].position
else
self._perfectPlace = 0
end
self._costCopper:setText(self._costTemp.needCopper)
end
function EquipStrengthView:luckUpdateHandler()
self._goodsInfo = globalData.goodsInfoList:getGoods(self._goodsInfo.position)
local costTemp = self._costTemp
if(costTemp.totalCount <= 0)then
self._luck = 100
self._oldStreng = 0
self._expBar:setPercent(100)
else
local temp = math.floor(self._goodsInfo.strengthTimes / costTemp.totalCount * 100)
if(self._luck < temp) then
local effect = PlusNumberEffect:new(self._goodsInfo.strengthTimes - self._oldStreng,self._expBar:convertToWorldSpace(globalManager.ccCreator.ANCHOR_POINTS[7]))
end
self._luck = temp
self._oldStreng = self._goodsInfo.strengthTimes
self._expBar:setPercent(self._luck)
self._txtPb:setText(self._goodsInfo.strengthTimes.."/"..costTemp.totalCount)
end
self._checkCount = 60
globalManager.tickManager:addTick(self.checkTick,self)
end
function EquipStrengthView:setSelectGoods(goodsInfo)
if(self._goodsInfo == goodsInfo)then return end
if(not goodsInfo:getTemplate().canStrengthen)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("EquipStrengthView.text13"))
return
end
self._goodsInfo = goodsInfo
self:update()
self:stopTick()
end
function EquipStrengthView:getPerfectPlace()
return 0
end
function EquipStrengthView:getStonePlace()
if(self._autoBuyCheckbox:getSelectedState())then
return 1000
end
return self._stonePlace
end
function EquipStrengthView:dispose()
globalManager.sourceCacheManager:removeQuote(self._bgPath1)
globalManager.tickManager:removeTick(self.checkTick,self)
self:stopTick()
self:removeEvent()
self._controller = nil
self._goodsInfo = nil
self._costTemp = nil
self._equipStrengthInfo = nil
if(self._stoneGrid ~= nil) then
self._stoneGrid:dispose()
self._stoneGrid = nil
end
if(self._equipGrid ~= nil) then
self._equipGrid:dispose()
self._equipGrid = nil
end
if(self._equipView ~= nil)then
self._equipView:dispose()
self._equipView = nil
end
if(self._effect ~= nil)then
self._effect:dispose()
self._effect = nil
end
if(self._successEffect ~= nil)then
self._successEffect:dispose()
self._successEffect = nil
end
globalManager.ccCreator:release(self._widget)
self._widget = nil
self._proCon = nil
self._costCopper = nil
--self._strengthBtn = nil
self._autoStrengthBtn = nil
self._autoBuyCheckbox = nil
self._strengthLabel = nil
self._nowLevelLabel = nil
self._nextLevelLabel = nil
self._nowPropertyLabel = nil
self._nextPropertyLabel = nil
self._propertyNameLabel = nil
self._expBar = nil
self._txtPb = nil
self._tipBtn = nil
self._getHelpBtn = nil
self._bgImg = nil
globalManager.ccCreator:release(self)
end
EquipWuhunView = class("EquipWuhunView", function(_, controller)
local self = globalManager.ccCreator:newWidget()
self._controller = controller
self._widget     = globalManager.ccCreator:newJsonWidget("WuHunPanel")
self._currentLev = 0
self._tickcount  = 0
self._isupdating = false
self:addChild(self._widget)
self._widget:setPosition(5,5)
self.cells       = {}   --中间的格子
self.icons       = {}   --提升的图标
self.infos       = {}	--属性值
self.plus        = {}   --附加属性值
self.items       = {}
self.barLucky    = self._widget:getChildByName("luck_bar")
self.barLucky:setVisible(false)
self.txt         = self._widget:getChildByName("luck_bar"):getChildByName("txt")
self.tipBg       = self._widget:getChildByName("ImageView_468466")
self.tipBg:setVisible(false)
self.txtFight    = self._widget:getChildByName("fight_label")
self.txtGold     = self._widget:getChildByName("gold_label")
self.btnAuto     = self._widget:getChildByName("auto_btn")
self.btnAutotxt  = self.btnAuto:getChildByName("btnLabel")
self.copperLabel = self._widget:getChildByName("totalcopper_label")
self.autocycle = self._widget:getChildByName("autocycle")
self.autocycle:getChildByName("Label_243217"):setText(globalManager.yuyanbaoManager:getYuyanbao("EquipWuhunView.text7"))
self.autocycle:setVisible(false)
self.nameList = {globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel31"),globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel32"),globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel33"),globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel38"),globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel39"),globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel53"),globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel51"),globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel52")}
for i = 1,8 do
table.insert( self.cells, self._widget:getChildByName("cell_view"..i) )
self._widget:getChildByName("name_label"..i.."_Copy0"):setText(self.nameList[i])
table.insert( self.icons, self._widget:getChildByName("up_icon"..i.."_Copy0") )
self.icons[i]:setVisible(false)
table.insert( self.infos, self._widget:getChildByName("info_label"..i.."_Copy0") )
self.infos[i]:setText("0")
table.insert( self.plus, self._widget:getChildByName("plus_label"..i.."_Copy0") )
end
self.isGray = false
self.levelLabel  = self._widget:getChildByName("level_tip")
self._effect1    = nil
self._successEffect = globalManager.effectCreator:create(35,nil,nil,false)
self._successEffect:move2(self,200,-314)
self._bgImg      = self._widget:getChildByName("bg")
self._bgPath1    = globalManager.pathManager:getUISource("outPic/ui_wuhun_bg.png")
self.tipLabel = self._widget:getChildByName("name_label8_Copy2")
self.tipLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("LingMaiPanel.text11"))
self.tipLabel:setVisible(false)
self._widget:getChildByName("name_label8_Copy3"):setText(globalManager.yuyanbaoManager:getYuyanbao("EquipWuhunView.text2"))
self._widget:getChildByName("name_label8_Copy1"):setText(globalManager.yuyanbaoManager:getYuyanbao("EquipWuhunView.text3"))
self.btnAuto:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("EquipWuhunView.text4"))
self._wish = 0
return self
end)
function EquipWuhunView:ctor()
for i = 1,8,1 do
local item = EquipWuhunItem:new(self._controller,i,self.nameList[i])
item:setPosition(globalManager.ccCreator:newPoint(self.cells[i]:getPosition()))
self:addChild(item, 10)
table.insert( self.items, item )
end
globalManager.sourceCacheManager:setImage(self._bgImg,self._bgPath1,globalData.allStaticTypes.sourceStaticType.clearFiveM)
local level = math.floor((globalData.wuhunInfo.level - 1) / 8 ) + 1
if(level <= 0) then level = 1 end
local topLucky = globalData.allTemplates.wuhunTemplateList:getTemplate(level).luckyNum
self.txt:setText(globalData.wuhunInfo.wish.."/"..topLucky)
globalData.messageAdder:getWuhunInfo()
self:isShowAutoCycle()
end
function EquipWuhunView:isShowAutoCycle()
-- body
if self.autocycle:isVisible() == true then return end
if globalData.wuhunInfo.level < 160 then
self.autocycle:setVisible(false)
self.btnAuto:setPosition(668,46)
end
end
function EquipWuhunView:setup()
self:infoUpdate()
end
function EquipWuhunView:initEvent()
local function btnClickHandler(sender, eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if sender == self.btnAuto then
self:startAuto()
end
end
end
self.btnAuto:addTouchEventListener(btnClickHandler)
globalData.wuhunInfo:addEventListener(globalData.globalEventType.playerInfo_wuhunInfo, self.infoUpdate, self)
globalData.wuhunInfo:addEventListener(globalData.globalEventType.playerInfo_wuhunWish, self.wishUpdate, self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.newly_wuhunAutoUpdate,self.startAuto,self)
end
function EquipWuhunView:removeEvent()
globalData.wuhunInfo:removeEventListener(globalData.globalEventType.playerInfo_wuhunInfo, self.infoUpdate, self)
globalData.wuhunInfo:removeEventListener(globalData.globalEventType.playerInfo_wuhunWish, self.wishUpdate, self)
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.newly_wuhunAutoUpdate,self.startAuto,self)
end
function EquipWuhunView:startAuto()
self.autocycle:setTouchEnabled(false)
if self._isupdating == false then
globalManager.tickManager:addTick(self.tick, self)
self._isupdating = true
self.btnAutotxt:setText(globalManager.yuyanbaoManager:getYuyanbao("EquipWuhunView.text5"))
else
self:stopTick()
end
end
function EquipWuhunView:update()
local curentLevel = math.floor((globalData.wuhunInfo.level - 1) / 8 )+ 1
if(curentLevel == 0) then curentLevel = 1 end
local curentTemp = globalData.allTemplates.wuhunTemplateList:getTemplate(curentLevel)
local needCopper = curentTemp.needCopper
local needLevel = curentTemp.needLevel
if needCopper > 0 and globalData.selfPlayerInfo.moneyInfo.copper < needCopper then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel12"))
return false
end
if(needLevel > globalData.selfPlayerInfo.level) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel50"))
return false
end
self._controller.furnaceModule.message:wuhunUpdate()
return true
end
function EquipWuhunView:infoUpdate(evt)
if evt ~= nil and evt.data == true then
if(self._successEffect:getParent() == nil)then
self:addNode(self._successEffect,11)
end
self._successEffect:play()
end
local curentLevel = math.floor((globalData.wuhunInfo.level - 1) / 8 )+ 1
local nextIndex = (globalData.wuhunInfo.level % 8) + 1
local fight = 0
--if(nextIndex == 1 or globalData.wuhunInfo.level > 160) then
if (nextIndex == 1) or (self.autocycle:getSelectedState() == false and globalData.wuhunInfo.level > 160) then
self:stopTick()
end
if self.autocycle:isVisible() == false and globalData.wuhunInfo.level >= 160 then
self.autocycle:setVisible(true)
self.btnAuto:setPosition(718,46)
end
if globalData.wuhunInfo.level >= globalData.allTemplates.wuhunTemplateList:getTopLevel() then
if(self._effect1) then
self._effect1:dispose()
self._effect1 = nil
end
self:stopTick()
end
local preTemp = globalData.allTemplates.wuhunTemplateList:getTemplate(curentLevel - 1)
local currentTemp = globalData.allTemplates.wuhunTemplateList:getTemplate(curentLevel)
local nextTemp = globalData.allTemplates.wuhunTemplateList:getTemplate(curentLevel + 1)
for i = 1, 8 do
if(nextIndex == 1) then
if(currentTemp == nil) then
self.infos[i]:setText(" 0")
else
self.infos[i]:setText(" "..currentTemp.attr1[i].propertyValue)
fight = fight + globalData.allStaticTypes.propertyType:fightCalculate(currentTemp.attr1[i].propertyId,currentTemp.attr1[i].propertyValue)
end
else
if(i < nextIndex) then
self.infos[i]:setText( " " .. currentTemp.attr1[i].propertyValue)
fight = fight + globalData.allStaticTypes.propertyType:fightCalculate(currentTemp.attr1[i].propertyId,currentTemp.attr1[i].propertyValue)
else
if(preTemp == nil) then
self.infos[i]:setText( " " .. 0)
else
self.infos[i]:setText( " " .. preTemp.attr1[i].propertyValue)
fight = fight + globalData.allStaticTypes.propertyType:fightCalculate(preTemp.attr1[i].propertyId,preTemp.attr1[i].propertyValue)
end
end
end
if(i == nextIndex) then
if(nextIndex == 1) then
if(nextTemp == nil) then
self.plus[i]:setText("")
self.icons[i]:setVisible(false)
else
if(currentTemp ~= nil) then
self.plus[i]:setText(nextTemp.attr1[i].propertyValue - currentTemp.attr1[i].propertyValue)
else
self.plus[i]:setText(nextTemp.attr1[i].propertyValue)
end
self.icons[i]:setVisible(true)
if(self._effect1 == nil) then
self._effect1 = globalManager.effectCreator:create(75)
self._effect1:move2(self,0,0)
self._effect1:play()
self:addNode(self._effect1,50)
end
--			    	self._effect1:move(self.cells[i]:getPositionX() - 1,-self.cells[i]:getPositionY() - 1)
self._effect1:move2(self,self.cells[i]:getPositionX() - 1,-self.cells[i]:getPositionY() - 1)
end
else
if(preTemp ~= nil) then
self.plus[i]:setText(currentTemp.attr1[i].propertyValue - preTemp.attr1[i].propertyValue)
else
self.plus[i]:setText(currentTemp.attr1[i].propertyValue)
end
self.icons[i]:setVisible(true)
if(self._effect1 == nil) then
self._effect1 = globalManager.effectCreator:create(75)
self._effect1:move2(self,0,0)
self._effect1:play()
self:addNode(self._effect1,50)
end
--		    	self._effect1:move(self.cells[i]:getPositionX() - 1,-self.cells[i]:getPositionY() - 1)
self._effect1:move2(self,self.cells[i]:getPositionX() - 1,-self.cells[i]:getPositionY() - 1)
end
else
self.plus[i]:setText("")
self.icons[i]:setVisible(false)
end
self.items[i]:updateView()
end
local info = nil
local act  = false
local stage = math.floor( globalData.wuhunInfo.level / 80 )
if(stage < 1) then
info = globalData.allTemplates.wuhunTemplateList:getTemplate(10)
act  = false
else
info = globalData.allTemplates.wuhunTemplateList:getTemplate(stage*10)
act  = true
end
local suitFight = 0
if(info.attr2 ~= nil) then
for __,prop in pairs(info.attr2) do
suitFight = suitFight + globalData.allStaticTypes.propertyType:fightCalculate(prop.propertyId,prop.propertyValue)
end
if(act) then
suitFight = suitFight
else
suitFight = 0
end
end
self.txtFight:setStringValue( tostring( math.floor( fight + suitFight) ) )
local needCopper = 0
local needLevel = 0
if(nextIndex == 1) then
if(nextTemp ~= nil) then
needCopper = nextTemp.needCopper
needLevel = nextTemp.needLevel
end
else
needCopper = currentTemp.needCopper
needLevel = currentTemp.needLevel
end
local isCanUpdate = false
local coppersNum = 0
if(needCopper > 9999)then
coppersNum = needCopper * 0.0001
self.txtGold:setText(coppersNum .. globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel44"))
else
self.txtGold:setText(needCopper)
end
local copper = globalData.selfPlayerInfo.moneyInfo.copper
local copperStr
if(copper > 9999) then
copperStr = tostring(math.floor(copper * 0.001)*0.1)..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel44")
else
copperStr = tostring(copper)
end
self.copperLabel:setText(copperStr)
if(nextIndex == 1 and nextTemp == nil) then
self.levelLabel:setVisible(true)
self.txtGold:setColor(globalData.allStaticTypes.colorType.TIPTITLE_COLOR)
self.levelLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("EquipWuhunView.text6"))
else
if(needCopper > globalData.selfPlayerInfo.moneyInfo.copper) then
self.txtGold:setColor(globalData.allStaticTypes.colorType.FALSE_COLOR)
else
self.txtGold:setColor(globalData.allStaticTypes.colorType.TIPTITLE_COLOR)
isCanUpdate = true
end
if(needLevel > globalData.selfPlayerInfo.level) then
self.levelLabel:setVisible(true)
self.levelLabel:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("EquipWuhunView.text8"),tostring(needLevel)))
else
self.levelLabel:setVisible(false)
isCanUpdate = true
end
end
if(isCanUpdate) then
self.btnAuto:loadTextureNormal("btn/ui_tabBtn1_3.png",1)
self.btnAuto:setTouchEnabled(true)
else
self.btnAuto:loadTextureNormal("btn/ui_tabBtn1_5.png",1)
self.btnAuto:setTouchEnabled(false)
end
self:wishUpdate()
end
function EquipWuhunView:wishUpdate(evt)
if(self._wish == globalData.wuhunInfo.wish) then return end
if(evt ~= nil and self._wish < globalData.wuhunInfo.wish) then
local effect = PlusNumberEffect:new(globalData.wuhunInfo.wish - self._wish,self.barLucky:convertToWorldSpace(globalManager.ccCreator.ANCHOR_POINTS[7]))
end
self._wish = globalData.wuhunInfo.wish
local level = math.floor((globalData.wuhunInfo.level - 1) / 8 ) + 1
if(level <= 0) then level = 1 end
local topLucky = globalData.allTemplates.wuhunTemplateList:getTemplate(level).luckyNum
self.barLucky:setPercent(math.floor(self._wish * 100 / topLucky))
self.txt:setText(self._wish.."/"..topLucky)
local copper = globalData.selfPlayerInfo.moneyInfo.copper
local copperStr
if(copper > 9999) then
copperStr = tostring(math.floor(copper * 0.001)*0.1)..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel44")
else
copperStr = tostring(copper)
end
self.copperLabel:setText(copperStr)
end
function EquipWuhunView:tick(delta, count)
self._tickcount = self._tickcount + 1
if self._tickcount > 20 then
self._tickcount = 0
if self:update() == false then
self:stopTick()
end
end
end
function EquipWuhunView:stopTick()
globalManager.tickManager:removeTick(self.tick, self)
self._isupdating = false
self.autocycle:setTouchEnabled(true)
self.btnAutotxt:setText(globalManager.yuyanbaoManager:getYuyanbao("EquipWuhunView.text4"))
end
function EquipWuhunView:dispose()
self:removeEvent()
self:stopTick()
self._controller = nil
self._tickcount  = 0
self._isupdating = false
if self.items ~= nil then
for i = 1, #self.items do
self.items[i]:dispose()
self.items[i] = nil
end
self.items = nil
end
if(self._successEffect ~= nil)then
self._successEffect:dispose()
self._successEffect = nil
end
if self._bgPath1 ~= nil then
globalManager.sourceCacheManager:removeQuote(self._bgPath1)
self._bgPath1 = nil
end
self._bgImg      = nil
self.cells       = nil  --中间的格子
self.icons       = nil   --提升的图标
self.infos       = nil	  --属性值
self.plus        = nil   --附加属性值
self.barLucky    = nil
self.txt    = nil
self.txtFight    = nil
self.txtGold     = nil
self.btnAuto     = nil
self.btnAutotxt  = nil
self.levelLabel  = nil
self.copperLabel = nil
self.autocycle = nil
self.nameList = nil
if self._effect1 ~= nil then
self._effect1:dispose()
self._effect1 = nil
end
globalManager.ccCreator:release(self._widget)
self._widget = nil
globalManager.ccCreator:release(self)
end
FurnacePanel = class("FurnacePanel", function(self,controller)
local temp = BasePanel:new()
--data
temp._controller = controller
temp._BasePanelDispose = temp.dispose
temp._BasePanelShow = temp.show
temp._currentIndex = 1
--sub view
temp._subViews = {} 	--Dictionary  key---tab  value--subView
temp._tabGroup = TabGroup:new(1)
temp._tabGroup:setPosition(cc.p(78,500))
temp:addChild(temp._tabGroup,10)
return temp
end)
function FurnacePanel:ctor()
self:initEvent()
self._tabGroup:setData({globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel27"),
globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel28"),
globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel29"),
globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel87")
},
self.setIndex,self,1)
self:updateLevel()
self:popDataUpdate(nil)
self:selectItem()
end
function FurnacePanel:selectItem()
if(globalManager.playerInfoTester._strengthNum > 0)then
self:jumpToTab(1)
return
elseif(globalManager.playerInfoTester._wuHunNum > 0)then
self:jumpToTab(2)
return
elseif(globalManager.playerInfoTester._advancedNum > 0)then
self:jumpToTab(3)
return
elseif(globalManager.playerInfoTester._rongluNum > 0)then
self:jumpToTab(4)
return
else
self:jumpToTab(1)
end
end
function FurnacePanel:initEvent()
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.playerInfo_furnaceGridClick, self.furnaceidClickHandler,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.newly_furnaceTab,self.furnaceTab,self)
globalData.selfPlayerInfo:addEventListener(globalData.globalEventType.playerInfo_level,self.updateLevel,self)
globalManager.playerInfoTester:addEventListener(globalData.globalEventType.quickIcon_popData,self.popDataUpdate,self)
end
function FurnacePanel:removeEvent()
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.playerInfo_furnaceGridClick, self.furnaceidClickHandler,self)
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.newly_furnaceTab,self.furnaceTab,self)
globalData.selfPlayerInfo:removeEventListener(globalData.globalEventType.playerInfo_level,self.updateLevel,self)
globalManager.playerInfoTester:removeEventListener(globalData.globalEventType.quickIcon_popData,self.popDataUpdate,self)
end
function FurnacePanel:updateLevel(evt)
self._tabGroup:setTabEnable(1,globalData.selfPlayerInfo.level >= globalData.newModuleLevelConfig.strengthLevel)
self._tabGroup:setTabEnable(2,globalData.selfPlayerInfo.level >= globalData.newModuleLevelConfig.wuhunLevel)
self._tabGroup:setTabEnable(3,globalData.selfPlayerInfo.level >= globalData.newModuleLevelConfig.advancedLevel)
self._tabGroup:setTabEnable(4,globalData.selfPlayerInfo.level >= globalData.newModuleLevelConfig.rongluLevel)
end
function FurnacePanel:furnaceTab(evt)
self._tabGroup:setIndex(evt.data)
end
function FurnacePanel:furnaceidClickHandler(evt)
local goodsInfo = evt.data
self._subViews[self._currentIndex]:setSelectGoods(goodsInfo)
end
function FurnacePanel:jumpToTab(tab)
self._tabGroup:setIndex(tab)
end
function FurnacePanel:show(container,tab)
self._BasePanelShow(self,container,tab)
if(tab ~= nil)then
self:showTab(tab)
end
end
function FurnacePanel:setIndex(index)
self._currentIndex = index
if(self._subViews[index] == nil)then
if(index == 1)then
self._subViews[index] = EquipStrengthView:new(self._controller)
self._subViews[index]:setPosition(cc.p(136,2))
elseif(index == 2)then
self._subViews[index] = EquipWuhunView:new(self._controller)
self._subViews[index]:setPosition(cc.p(137,5))
elseif(index == 3)then
self._subViews[index] = EquipAdvancedView:new(self._controller)
self._subViews[index]:setPosition(cc.p(138,4))
elseif(index == 4)then
self._subViews[index] = EquipRongluView:new(self._controller)
self._subViews[index]:setPosition(cc.p(137,5))
end
self._subViews[index]:setup()
end
for key,view in pairs(self._subViews) do
if(key ~= index and self._subViews[key] ~= nil)then
if(self._subViews[key]:getParent() ~= nil)then
self._subViews[key]:removeEvent()
self._subViews[key]:removeFromParent()
--点击切卡的时候，停止自动强化
self._subViews[key]:stopTick()
end
end
end
if(self._subViews[index] ~= nil and self._subViews[index]:getParent() == nil)then
self:addChild(self._subViews[index])
self._subViews[index]:setLocalZOrder(1)
self._subViews[index]:initEvent()
self._subViews[index]:setup()
end
end
function FurnacePanel:popDataUpdate(evt)
if(evt == nil or evt.data == globalManager.playerInfoTester.strengthPopType) then
if(globalManager.playerInfoTester._strengthNum > 0) then
self._tabGroup:getTabBtns()[1]:setShowPop(true)
else
self._tabGroup:getTabBtns()[1]:setShowPop(false)
end
if(globalManager.playerInfoTester._rongluNum > 0) then
self._tabGroup:getTabBtns()[4]:setShowPop(true)
else
self._tabGroup:getTabBtns()[4]:setShowPop(false)
end
if(globalManager.playerInfoTester._advancedNum > 0)then
self._tabGroup:getTabBtns()[3]:setShowPop(true)
else
self._tabGroup:getTabBtns()[3]:setShowPop(false)
end
if(globalManager.playerInfoTester._wuHunNum > 0) then
self._tabGroup:getTabBtns()[2]:setShowPop(true)
else
self._tabGroup:getTabBtns()[2]:setShowPop(false)
end
end
end
function FurnacePanel:dispose()
self:removeEvent()
self._controller = nil
for __,view in pairs(self._subViews) do
view:dispose()
end
self._subViews = nil
if(self._tabGroup ~= nil)then
self._tabGroup:dispose()
self._tabGroup = nil
end
self._BasePanelDispose(self)
self._BasePanelDispose = nil
self._BasePanelShow = nil
end
--
-- Date: 2014-05-26 20:12:22
--
FurnaceController = class("FurnaceController", function(self,furnaceModule)
local temp = {}
temp.furnaceModule = furnaceModule
return temp
end)
function FurnaceController:showFurnacePanel(tab)
if(self.furnaceModule.furnacePanel == nil)then
self.furnaceModule.furnacePanel = FurnacePanel:new(self)
self.furnaceModule.furnacePanel.eventDis:addEventListener(globalData.globalEventType.trigger_panelDispose,self.hideFurnacePanel,self)
end
globalData.uiPanelContainer:addPanel(tab,self.furnaceModule.furnacePanel)
end
function FurnaceController:hideFurnacePanel(evt)
self.furnaceModule.furnacePanel.eventDis:removeEventListener(globalData.globalEventType.trigger_panelDispose,self.hideFurnacePanel,self)
self.furnaceModule.furnacePanel = nil
end
function FurnaceController:showBatchRebuildPanel(goodsInfo)
if(self.furnaceModule.batchRebuildPanel == nil)then
self.furnaceModule.batchRebuildPanel = FurnaceBatchRebuildPanel:new(self)
self.furnaceModule.batchRebuildPanel.eventDis:addEventListener(globalData.globalEventType.trigger_panelDispose,self.hideBatchRebuildPanel,self)
end
globalManager.containerManager.panelContainer:addChild(self.furnaceModule.batchRebuildPanel)
self.furnaceModule.batchRebuildPanel:setSelectGoods(goodsInfo)
end
function FurnaceController:hideBatchRebuildPanel(evt)
self.furnaceModule.batchRebuildPanel.eventDis:removeEventListener(globalData.globalEventType.trigger_panelDispose,self.hideBatchRebuildPanel,self)
self.furnaceModule.batchRebuildPanel = nil
end
FurnaceMessageSender = class("FurnaceMessageSender", function(self,furnaceModule)
local temp = {}
temp.furnaceModule = furnaceModule
return temp
end)
function FurnaceMessageSender:ctor()
end
--自动购买位置发1000
--道具强化
function FurnaceMessageSender:sendGoodsStrength(goodsPlace,stonePlace,perfectPlace)
--32 32 32
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.GOODS_STRENGTH)
messOut:writeInt(goodsPlace)
messOut:writeInt(stonePlace)
messOut:writeInt(perfectPlace)
globalManager.messageManager:send(messOut)
end
--自动购买位置发1000
--道具自动强化
function FurnaceMessageSender:sendGoodsAutoStrength(goodsPlace,stonePlace,perfectPlace)
--32,32,32
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.GOODS_AUTO_STRENGTH)
messOut:writeInt(goodsPlace)
messOut:writeInt(stonePlace)
messOut:writeInt(perfectPlace)
globalManager.messageManager:send(messOut)
end
--道具升级
function FurnaceMessageSender:sendGoodsUpgrade(goodsPlace)
--32
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.GOODS_UPGRADE)
messOut:writeInt(goodsPlace)
globalManager.messageManager:send(messOut)
end
--道具进阶
function FurnaceMessageSender:sendGoodsAdvance(goodsPlace)
--32
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.GOODS_ADVANCE)
messOut:writeInt(goodsPlace)
globalManager.messageManager:send(messOut)
end
--道具洗练
--param times:  1：1次  10：批量洗练
--param stonePlace:  1000 表示自动购买
function FurnaceMessageSender:sendGoodsRebuild(goodsPlace,stonePlace,place1,place2,place3,place4,place5,place6,times)
--32,32,8,8,8,8,8,8,8
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.GOODS_REBUILD)
messOut:writeInt(goodsPlace)
messOut:writeInt(stonePlace)
messOut:writeByte(place1)
messOut:writeByte(place2)
messOut:writeByte(place3)
messOut:writeByte(place4)
messOut:writeByte(place5)
messOut:writeByte(place6)
messOut:writeByte(times)
globalManager.messageManager:send(messOut)
end
--批量洗练数据查询
function FurnaceMessageSender:sendBatchRebuildQuery(goodsId)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.GOODS_BATCH_REBUILD)
messOut:writeNumber(goodsId)
globalManager.messageManager:send(messOut)
end
--道具批量洗练替换
function FurnaceMessageSender:sendRebuildReplace(goodsPlace,index)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.GOODS_REBUILD_REPLACE)
messOut:writeInt(goodsPlace)
messOut:writeByte(index)
globalManager.messageManager:send(messOut)
end
--道具提品
function FurnaceMessageSender:setUpStage(place)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.GOODS_UP_STAGE)
messOut:writeInt(place)
globalManager.messageManager:send(messOut)
end
function FurnaceMessageSender:wuhunUpdate()
globalManager.messageManager:send(globalData.allStaticTypes.messageType.WUHUN_UPDATE)
end
--
-- Date: 2014-05-27 17:57:20
--
FurnaceMessageReceiver = class("FurnaceMessageReceiver", function(self,furnaceModule)
local temp = {}
temp.furnaceModule = furnaceModule
return temp
end)
function FurnaceMessageReceiver:ctor()
--提品
local upStageReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
local isSucc = bytes:readBoolean()
local goodsId = bytes:readNumber()
if(isSucc)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("FurnaceMessageReceiver.text1"))
self.furnaceModule.evtDis:dispatchEvent(BaseEvent:new(globalData.globalEventType.furnace_stage,self.furnaceModule,goodsId))
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("FurnaceMessageReceiver.text2"))
end
end
--强化
local strengthReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
local isUpgrade = bytes:readBoolean()
local goodsId = bytes:readNumber()
if(isUpgrade)then
self.furnaceModule.evtDis:dispatchEvent(BaseEvent:new(globalData.globalEventType.furnace_strength,self.furnaceModule,goodsId))
else
self.furnaceModule.evtDis:dispatchEvent(BaseEvent:new(globalData.globalEventType.furnace_luck,self.furnaceModule,goodsId))
end
end
--自动强化
local autoStrengthReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
local isSucc = bytes:readBoolean()
local goodsId = bytes:readNumber()
local strengthLevel = bytes:readByte()
local goodsName = bytes:readString()
local costGoodsCount = bytes:readInt()
local costCopper = bytes:readInt()
local costYuanbao = bytes:readInt()
local costPNum = bytes:readShort() 	--消耗完美符数量
local costSNum = bytes:readShort()	--消耗石头数量
local alertContent = ""
if(isSucc)then
alertContent = string.format(globalManager.yuyanbaoManager:getYuyanbao("FurnaceMessageReceiver.text11"),costGoodsCount,costSNum,costYuanbao,costCopper)
self.furnaceModule.evtDis:dispatchEvent(BaseEvent:new(globalData.globalEventType.furnace_strength,self.furnaceModule,goodsId))
else
alertContent = string.format(globalManager.yuyanbaoManager:getYuyanbao("FurnaceMessageReceiver.text12"),costGoodsCount,costSNum,costYuanbao,costCopper)
end
Alert:new():show(1,alertContent)
end
--道具洗练
local goodsRebuild = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
-- print("洗练协议返回")
local isSucc = bytes:readBoolean()
local goodsId = bytes:readNumber()
if(isSucc)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("FurnaceMessageReceiver.text3"))
self.furnaceModule.evtDis:dispatchEvent(BaseEvent:new(globalData.globalEventType.furnace_rebuild,self.furnaceModule,goodsId))
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("FurnaceMessageReceiver.text4"))
end
end
local goodsRebuildReplace = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
-- print("洗练替换协议返回")
local isSucc = bytes:readBoolean()
local goodsId = bytes:readNumber()
if(isSucc)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("FurnaceMessageReceiver.text5"))
self.furnaceModule.evtDis:dispatchEvent(BaseEvent:new(globalData.globalEventType.furnace_rebuildReplace,self.furnaceModule,goodsId))
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("FurnaceMessageReceiver.text6"))
end
end
--道具批量洗练
local goodsBatchRebuild = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
-- print("批量洗练协议返回")
local data = {}
data.goodsId = bytes:readNumber()
data.list = {}
local len = bytes:readByte()
for i=1,len do
data.list[i] = {}
data.list[i].goodsId = data.goodsId
data.list[i].index = bytes:readByte()
data.list[i].score = bytes:readInt()
data.list[i].propertys = globalManager.messageUtils:parseProperty(bytes:readString())
end
local sortFunc = function(data1,data2)
if(data1.score == data2.score) then
return data1.index < data2.index
end
return data1.score < data2.score
end
table.sort(data.list,sortFunc)
self.furnaceModule.evtDis:dispatchEvent(BaseEvent:new(globalData.globalEventType.furnace_batchRebuild,self.furnaceModule,data))
end
--道具升级
local goodsUpgrade = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
-- print("升级协议返回")
local goodsId = bytes:readNumber()
local isSucc = bytes:readBoolean()
if(isSucc)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("LeagueMessageReceiver.text5"))
self.furnaceModule.evtDis:dispatchEvent(BaseEvent:new(globalData.globalEventType.furnace_upgrade,self.furnaceModule,goodsId))
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("FurnaceMessageReceiver.text8"))
end
end
--道具进阶
local goodsAdvance = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
-- print("进阶协议返回")
local goodsId = bytes:readNumber()
local isSucc = bytes:readBoolean()
if(isSucc)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("FurnaceMessageReceiver.text9"))
self.furnaceModule.evtDis:dispatchEvent(BaseEvent:new(globalData.globalEventType.furnace_advance,self.furnaceModule,goodsId))
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("FurnaceMessageReceiver.text10"))
end
end
local wuhunInfoReturn = function(mess)
local bytes = tolua.cast(mess, "MessageIn")
globalData.wuhunInfo:updateInfo(bytes)
end
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.WUHUN_INFO, wuhunInfoReturn )
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.GOODS_STRENGTH,strengthReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.GOODS_AUTO_STRENGTH,autoStrengthReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.GOODS_REBUILD,goodsRebuild)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.GOODS_BATCH_REBUILD,goodsBatchRebuild)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.GOODS_REBUILD_REPLACE,goodsRebuildReplace)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.GOODS_UPGRADE,goodsUpgrade)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.GOODS_ADVANCE,goodsAdvance)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.GOODS_UP_STAGE,upStageReturn)
end
--
-- Date: 2014-05-26 20:04:48
--
FurnaceMoudle = class("FurnaceMoudle", function(self)
local temp = BaseModule:new()
temp.evtDis = EventDispatcher:new()
temp.controller = nil
temp.message = nil
--view
temp.furnacePanel = nil
temp.batchRebuildPanel = nil
return temp
end)
--override
function FurnaceMoudle:getModuleType()
return globalData.allStaticTypes.moduleType.furnace
end
--override
function FurnaceMoudle:setup(data)
self.controller = FurnaceController:new(self)
self.message = FurnaceMessageSender:new(self)
self.messageReceiver = FurnaceMessageReceiver:new(self)
self:configure(data)
end
--override
function FurnaceMoudle:configure(data)
self.controller:showFurnacePanel(data)
end
HomePanel = class("HomePanel",function (self,controller)
local temp = BasePanel:new()
temp.BasePanelDispose = temp.dispose
temp._controller = controller
temp._widget = globalManager.ccCreator:newJsonWidget("HomePanel")
temp:addChild(temp._widget)
temp._bg = temp._widget:getChildByName("bg")
temp._farmImg = temp._widget:getChildByName("farmImg")
temp._gongFangImg = temp._widget:getChildByName("gongFangImg")
temp._lianYaoImg = temp._widget:getChildByName("lianYaoImg")
temp._xuYuanImg = temp._widget:getChildByName("xuYuanImg")
temp._tieJiangImg = temp._widget:getChildByName("tieJiangImg")
temp._waterImg = temp._widget:getChildByName("waterImg")
temp._harvestImg = temp._widget:getChildByName("harvestImg")
temp._hallImg = temp._widget:getChildByName("hallImg")
temp._luckTreeImg = temp._widget:getChildByName("luckTreeImg")
temp._tipsLabel = temp._widget:getChildByName("tipsLabel")
temp._hallLevelLabel = temp._widget:getChildByName("hallLevelLabel")
temp._gongFangLevelLabel = temp._widget:getChildByName("gongFangLevelLabel")
temp._lianYaohallLevelLabel = temp._widget:getChildByName("lianYaohallLevelLabel")
temp._farmLevelLabel = temp._widget:getChildByName("farmLevelLabel")
temp._xuYuanLevelLabel = temp._widget:getChildByName("xuYuanLevelLabel")
temp._tieJiangLevelLabel = temp._widget:getChildByName("tieJiangLevelLabel")
temp._luckTreeLevelLabel = temp._widget:getChildByName("luckTreeLevelLabel")
temp._countLabel = temp._widget:getChildByName("countLabel")
temp._upIcon = temp._widget:getChildByName("up_icon")
temp._txtTime = CountDownLabel:new(nil,0,20,globalData.allStaticTypes.colorType.COLORRED,0)
local posX,posY = temp._countLabel:getPosition()
temp._txtTime:setPosition(globalManager.ccCreator:newPoint(posX - 18,posY - 15))
temp._widget:addChild(temp._txtTime,5)
temp._jiDuLabel = temp._widget:getChildByName("jinDuLabel")
temp._textLabel = temp._widget:getChildByName("textLabel")
temp._textLabel2 = temp._widget:getChildByName("textLabel2")
temp._textLabel2:setText(globalManager.yuyanbaoManager:getYuyanbao("TaoYuanPanel.text1"))
temp._backBtn = temp._widget:getChildByName("backBtn")
temp._helpBtn = temp._widget:getChildByName("helpBtn")
temp._myHomeLabel =  temp._widget:getChildByName("myHomeLabel")
temp._helpLabel = temp._widget:getChildByName("helpLabel")
temp._backIcon = temp._widget:getChildByName("backIcon")
temp._helpIcon = temp._widget:getChildByName("helpIcon")
temp._myHomeLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("HomePanel.text13"))
temp._helpLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("HomePanel.text14"))
temp._tipsBtn = temp._widget:getChildByName("tipsBtn")
temp._widget:getChildByName("explainLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("TaoYuanPanel.text7"))
temp._bgPath = globalManager.pathManager:getUISource("outPic/homeBg.png")
temp._waterImgPath = globalManager.pathManager:getUISource("outPic/home_Water.png")
temp._harvestImgPath = globalManager.pathManager:getUISource("outPic/home_Harvest.png")
temp._farmImgPath = globalManager.pathManager:getUISource("outPic/home_Farm.png")
temp._gongFangImgPath = globalManager.pathManager:getUISource("outPic/home_GongFang.png")
temp._lianYaoImgPath = globalManager.pathManager:getUISource("outPic/home_LianYao.png")
temp._xuYuanImgPath = globalManager.pathManager:getUISource("outPic/home_XuYuan.png")
temp._tieJiangImgPath = globalManager.pathManager:getUISource("outPic/home_TieJiang.png")
temp.info = nil
temp.templateInfo = nil
temp.levelUpPanel = nil
temp.friendListPanel = nil
temp.farmPanel = nil
temp.goodsId = globalData.allStaticTypes.categoryType.WUTONGMU
temp._offsetY = 131
temp._flag    = 1
temp.tickCount    = 0
return temp
end)
function HomePanel:ctor()
globalManager.sourceCacheManager:setImage(self._bg,self._bgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
globalManager.sourceCacheManager:setImage(self._waterImg,self._waterImgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
globalManager.sourceCacheManager:setImage(self._harvestImg,self._harvestImgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
globalManager.sourceCacheManager:setImage(self._farmImg,self._farmImgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
globalManager.sourceCacheManager:setImage(self._gongFangImg,self._gongFangImgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
globalManager.sourceCacheManager:setImage(self._lianYaoImg,self._lianYaoImgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
globalManager.sourceCacheManager:setImage(self._xuYuanImg,self._xuYuanImgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
globalManager.sourceCacheManager:setImage(self._tieJiangImg,self._tieJiangImgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self:initEvent()
self:initView()
globalManager.tickManager:addTick(self.tick, self)
if(globalData.uiPanelContainer:getTabCount() > 1)then
self._controller.homeModule.message:getLuckTreeInfo()
end
end
function HomePanel:setItemImages()
if(self.templateInfo.farmLevel > 0)then
self._farmImg:setVisible(true)
else
self._farmImg:setVisible(false)
end
if(self.templateInfo.factorylevel > 0)then
self._gongFangImg:setVisible(true)
else
self._gongFangImg:setVisible(false)
end
if(false)then
self._lianYaoImg:setVisible(true)
else
self._lianYaoImg:setVisible(false)
end
if(self.templateInfo.poolLevel > 0)then
self._xuYuanImg:setVisible(true)
else
self._xuYuanImg:setVisible(false)
end
if(false)then
self._tieJiangImg:setVisible(true)
else
self._tieJiangImg:setVisible(false)
end
end
function HomePanel:initEvent()
local function hallClickHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(self.levelUpPanel == nil) then
self.levelUpPanel = HomeLevelUpPanel:new(self._controller,self)
end
end
end
local function luckTreeClickHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(self.info.userId == globalData.selfPlayerInfo.userId)then
if(globalData.homeInfo.waterCount >=  self.templateInfo.treeWaterCount)then
self._controller.homeModule.message:sendGetTreeAward()
else
if(globalData.homeInfo.hasWaterCount > 0)then
self._controller.homeModule.message:sendWaterTree()
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("HomePanel.text1"))
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("HomePanel.text2"))
end
end
else
local playerInfo = globalData.friendList:getPlayer(self.info.userId)
if(playerInfo.isWater > 0)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("HomePanel.text5"))
return
end
if(self.info.waterCount >= self.templateInfo.treeWaterCount)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("HomePanel.text11"))
return
end
if(self.info.helpWaterCount >= self.templateInfo.treeHelpCount)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("HomePanel.text4"))
return
end
if(globalData.homeInfo.helpOthersCount >= 20)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("HomePanel.text12"))
return
end
self._controller.homeModule.message:sendWaterFriendTree(self.info.userId)
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("HomePanel.text3"))
self._waterImg:setVisible(false)
end
end
end
local function gongFangClickHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(self.templateInfo.factorylevel > 0)then
self._controller:showFactoryExchangePanel()
else
local level = globalData.allTemplates.homeTemplateList:getHallLevel(globalData.homeInfo.hallLevel,4)
if(level ~= nil)then
globalManager.tipsManager.quickTip:show(string.format(globalManager.yuyanbaoManager:getYuyanbao("HomePanel.text6"),level))
end
end
end
end
local function lianYaoClickHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(false)then
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("SceneWorldMapView.text3"))
end
end
end
local function xuYuanClickHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(self.templateInfo.poolLevel > 0)then
self._controller:showWishPanel()
else
globalManager.tipsManager.quickTip:show(string.format(globalManager.yuyanbaoManager:getYuyanbao("HomePanel.text6"),2))
end
end
end
local function tieJiangClickHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(false)then
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("SceneWorldMapView.text3"))
end
end
end
local function farmClickHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(self.templateInfo.farmLevel > 0)then
if(self.farmPanel == nil) then
self.farmPanel = FarmPanel:new(self._controller,self)
end
else
local level = globalData.allTemplates.homeTemplateList:getHallLevel(globalData.homeInfo.hallLevel,3)
if(level ~= nil)then
globalManager.tipsManager.quickTip:show(string.format(globalManager.yuyanbaoManager:getYuyanbao("HomePanel.text6"),level))
end
end
end
end
local function backBtnHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalData.uiPanelContainer:close()
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab3,globalData.allStaticTypes.panelTabType.home)
globalManager.moduleManager:addModule(globalData.allStaticTypes.moduleType.home,ToHomeModuleData:new(1,globalData.homeInfo),false)
end
end
local function helpBtnHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
local friendUserIdList = {}
for __,info in pairs(globalData.friendList:getOnlineList()) do
if(info.isWater == 0 and info.info.level >= globalData.newModuleLevelConfig.home)then
table.insert(friendUserIdList,info.info.userId)
end
end
if(#friendUserIdList == 0) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("HomePanel.text15"))
return
end
self._controller.homeModule.message:getCanWaterFriendList(friendUserIdList)
end
end
local function tipsBtnClickHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
globalManager.tipsManager:showString(globalManager.descriptManager:getDescript("10045"))
end
end
self._tipsBtn:addTouchEventListener(tipsBtnClickHandler)
self._backBtn:addTouchEventListener(backBtnHandler)
self._helpBtn:addTouchEventListener(helpBtnHandler)
self._hallImg:addTouchEventListener(hallClickHandler)
self._luckTreeImg:addTouchEventListener(luckTreeClickHandler)
self._gongFangImg:addTouchEventListener(gongFangClickHandler)
self._lianYaoImg:addTouchEventListener(lianYaoClickHandler)
self._xuYuanImg:addTouchEventListener(xuYuanClickHandler)
self._tieJiangImg:addTouchEventListener(tieJiangClickHandler)
self._farmImg:addTouchEventListener(farmClickHandler)
globalData.homeInfo:addEventListener(globalData.globalEventType.home_infoUpdate,self.updateInfo,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.friendHome_infoUpdate,self.friendInfoUpdate,self)
end
function HomePanel:removeEvent()
globalData.homeInfo:removeEventListener(globalData.globalEventType.home_infoUpdate,self.updateInfo,self)
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.friendHome_infoUpdate,self.friendInfoUpdate,self)
end
function HomePanel:initView()
end
function HomePanel:updateInfo()
if(self.info == nil or self.info.userId == globalData.selfPlayerInfo.userId)then
self:updateView(globalData.homeInfo)
end
end
function HomePanel:friendInfoUpdate(evt)
self:updateView(evt.data)
end
function HomePanel:updateView(info)
self.info = info
local level = info.hallLevel
self.templateInfo = globalData.allTemplates.homeTemplateList:getTemplateByLevel(level)
if(self.templateInfo ~= nil)then
if(info.userId == globalData.selfPlayerInfo.userId)then
if(info.hasWaterCount > 0)then
self._textLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("HomePanel.text7"))
self._countLabel:setText(info.hasWaterCount)
self._countLabel:setVisible(true)
self._txtTime:setVisible(false)
self._waterImg:setVisible(true)
self._harvestImg:setVisible(false)
else
self._textLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("HomePanel.text8"))
local systemTime = math.floor(globalData.systemDateInfo:getSystemTime() / 1000)
self._txtTime:start(info.waterTime + self.templateInfo.treeWaterCD - systemTime + 2,self.endTime,self)
self._waterImg:setVisible(false)
self._harvestImg:setVisible(false)
self._countLabel:setVisible(false)
self._txtTime:setVisible(true)
end
if(globalData.homeInfo.waterCount >= self.templateInfo.treeWaterCount)then
self._waterImg:setVisible(false)
self._harvestImg:setVisible(true)
end
local level2 = globalData.allTemplates.homeTemplateList:getHallLevel(level,1)
if(level2 ~= nil)then
self._tipsLabel:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("HomePanel.text9"),level2))
else
self._tipsLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("HomePanel.text10"))
end
self:isShowUpIcon()
self._jiDuLabel:setText(info.waterCount.."/"..self.templateInfo.treeWaterCount)
self._helpIcon:setEnabled(true)
self._helpBtn:setEnabled(true)
self._helpLabel:setEnabled(true)
self._backBtn:setEnabled(false)
self._myHomeLabel:setEnabled(false)
self._backIcon:setEnabled(false)
else
local playerInfo = globalData.friendList:getPlayer(self.info.userId)
if(playerInfo.isWater == 0 and self.info.waterCount <  self.templateInfo.treeWaterCount and self.info.helpWaterCount < self.templateInfo.treeHelpCount)then
self._waterImg:setVisible(true)
else
self._waterImg:setVisible(false)
end
self._harvestImg:setVisible(false)
self._textLabel:setVisible(false)
self._textLabel2:setVisible(false)
self._txtTime:setVisible(false)
self._jiDuLabel:setVisible(false)
self._countLabel:setVisible(false)
self._tipsLabel:setVisible(false)
self._upIcon:setVisible(false)
self._hallImg:setTouchEnabled(false)
self._farmImg:setTouchEnabled(false)
self._gongFangImg:setTouchEnabled(false)
self._lianYaoImg:setTouchEnabled(false)
self._xuYuanImg:setTouchEnabled(false)
self._tieJiangImg:setTouchEnabled(false)
self._helpIcon:setEnabled(false)
self._helpBtn:setEnabled(false)
self._helpLabel:setEnabled(false)
self._backBtn:setEnabled(true)
self._myHomeLabel:setEnabled(true)
self._backIcon:setEnabled(true)
self.info.wishAwardList = nil
end
self:setItemLevel()
self:setItemImages()
end
end
function HomePanel:endTime()
self._textLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("HomePanel.text7"))
self._countLabel:setText(1)
self._countLabel:setVisible(true)
self._txtTime:setVisible(false)
self._waterImg:setVisible(true)
self._harvestImg:setVisible(false)
globalData.homeInfo.hasWaterCount = 1
end
function HomePanel:setItemLevel()
self._hallLevelLabel:setText("Lv."..self.templateInfo.hallLevel)
self._luckTreeLevelLabel:setText("Lv."..self.templateInfo.luckTreeLevel)
self._gongFangLevelLabel:setText("Lv."..self.templateInfo.factorylevel)
self._lianYaohallLevelLabel:setText("")
self._farmLevelLabel:setText("Lv."..self.templateInfo.farmLevel)
self._xuYuanLevelLabel:setText("Lv."..self.templateInfo.poolLevel)
self._tieJiangLevelLabel:setText("")
end
function HomePanel:tick(delta,tickCount)
self.tickCount = self.tickCount + 1
if(self.tickCount > 4)then
self.tickCount = 0
self._offsetY = self._offsetY + self._flag
if(self._offsetY > 151 or self._offsetY < 131) then
self._flag = self._flag * -1
end
self._harvestImg:setPositionY(self._offsetY)
self._waterImg:setPositionY(self._offsetY)
self._upIcon:setPositionY(self._offsetY + 285)
end
end
function HomePanel:isShowUpIcon()
local count = globalData.goodsInfoList:getGoodsCount(self.goodsId,1)
local tempInfo = globalData.allTemplates.homeTemplateList:getTemplateByLevel(globalData.homeInfo.hallLevel + 1)
if(tempInfo ~= nil and tempInfo.upgradeCount <= count and globalData.homeInfo.hallLevel < globalData.allTemplates.homeTemplateList:getHallMaxLevel())then
self._upIcon:setVisible(true)
else
self._upIcon:setVisible(false)
end
end
function HomePanel:showFarmPanel()
local templateInfo = globalData.allTemplates.homeTemplateList:getTemplateByLevel(globalData.homeInfo.hallLevel)
if(templateInfo.farmLevel > 0)then
if(self.farmPanel == nil) then
self.farmPanel = FarmPanel:new(self._controller,self)
end
end
end
function HomePanel:showFriendListPanel(friendUserIdList)
if(self.friendListPanel == nil)then
self.friendListPanel = HomeFriendListPanel:new(self._controller,self,friendUserIdList)
end
end
function HomePanel:hideLevelUpPanel()
if(self.levelUpPanel ~= nil) then
self.levelUpPanel:dispose()
self.levelUpPanel = nil
end
end
function HomePanel:hideFriendListPanel()
if(self.friendListPanel ~= nil) then
self.friendListPanel:dispose()
self.friendListPanel = nil
end
end
function HomePanel:hideFarmPanel()
if(self.farmPanel ~= nil) then
self.farmPanel:dispose()
self.farmPanel = nil
end
end
function HomePanel:dispose()
self:hideFarmPanel()
self:hideLevelUpPanel()
self:hideFriendListPanel()
self:removeEvent()
globalManager.tickManager:removeTick(self.tick,self)
globalManager.sourceCacheManager:removeQuote(self._bgPath)
self._bgPath = nil
globalManager.sourceCacheManager:removeQuote(self._waterImgPath)
self._waterImgPath = nil
globalManager.sourceCacheManager:removeQuote(self._harvestImgPath)
self._harvestImgPath = nil
if(self._farmImgPath ~= nil)then
globalManager.sourceCacheManager:removeQuote(self._farmImgPath)
self._farmImgPath = nil
end
if(self._gongFangImgPath ~= nil)then
globalManager.sourceCacheManager:removeQuote(self._gongFangImgPath)
self._gongFangImgPath = nil
end
if(self._lianYaoImgPath ~= nil)then
globalManager.sourceCacheManager:removeQuote(self._lianYaoImgPath)
self._lianYaoImgPath = nil
end
if(self._xuYuanImgPath ~= nil)then
globalManager.sourceCacheManager:removeQuote(self._xuYuanImgPath)
self._xuYuanImgPath = nil
end
if(self._tieJiangImgPath ~= nil)then
globalManager.sourceCacheManager:removeQuote(self._tieJiangImgPath)
self._tieJiangImgPath = nil
end
self._upIcon = nil
self._bg = nil
self._farmImg = nil
self._gongFangImg = nil
self._lianYaoImg = nil
self._xuYuanImg = nil
self._tieJiangImg = nil
self._waterImg = nil
self._harvestImg = nil
self._hallImg = nil
self._luckTreeImg = nil
self._tipsLabel = nil
self._hallLevelLabel = nil
self._gongFangLevelLabel = nil
self._lianYaohallLevelLabel = nil
self._farmLevelLabel = nil
self._xuYuanLevelLabel = nil
self._tieJiangLevelLabel = nil
self._luckTreeLevelLabel = nil
self._textLabel2 = nil
self._textLabel = nil
self._jiDuLabel = nil
self._countLabel = nil
self._controller = nil
self._backBtn = nil
self._helpBtn = nil
self._myHomeLabel = nil
self._helpLabel = nil
self._helpIcon = nil
self._backIcon = nil
self._tipsBtn = nil
self._txtTime:dispose()
self._txtTime = nil
self.info = nil
self.templateInfo = nil
self.goodsId = nil
self._offsetY = nil
self._flag = nil
self.tickCount = nil
globalManager.ccCreator:release(self._widget)
self._widget = nil
self:BasePanelDispose()
self.BasePanelDispose = nil
end
FarmPanel = class("FarmPanel",function(self,controller,parent)
local temp = globalManager.ccCreator:newJsonWidget("FarmPanel")
temp._controller = controller
temp._parent = parent
temp._bg = temp:getChildByName("bg")
temp._bgPath = globalManager.pathManager:getUISource("outPic/home_farmBg.png")
temp._collectBtn = temp:getChildByName("collectBtn")
temp._waterBtn = temp:getChildByName("waterBtn")
temp._closeBtn = temp:getChildByName("closeBtn")
temp._landView = temp:getChildByName("landView")
temp._tipsLabel = temp:getChildByName("tipsLabel_Copy0")
temp._gongFangLinkBtn = temp:getChildByName("linkBtn")
local posX,posY = temp._landView:getPosition()
temp._landView:setPosition(cc.p(posX - 85,posY -45))
temp._landBg = {}
for i = 1,12,1 do
temp._landBg[i] = temp._landView:getChildByName("land"..i)
temp._landBg[i]:setOpacity(0)
end
temp._itemList = {}
temp._titleLabel = temp:getChildByName("titleLabel")
temp._collectBtn:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("FarmPanel.text2"))
temp._waterBtn:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("FarmPanel.text3"))
temp._gongFangLinkBtn:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("FarmPanel.text6"))
temp.textLable = temp:getChildByName("textLable1")
temp.textLable:setText(globalManager.yuyanbaoManager:getYuyanbao("FarmPanel.text7"))
temp.textLable:setPosition(globalManager.ccCreator:newPoint(25,110))
return temp
end)
function FarmPanel:ctor()
self:initEvent()
self:initView()
globalData.uiClickContainer:addItem(self,true,true)
end
function FarmPanel:initEvent()
local function waterBtnClick(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
local list = self:getLandList(2)
if(#list > 0)then
self._controller.homeModule.message:farmWaterPlant(list)
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("HomePanel.text1"))
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("FarmPanel.text5"))
end
end
end
local function collectBtnClick(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
local list = self:getLandList(1)
if(#list > 0)then
self._controller.homeModule.message:farmHarvest(list)
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("FarmPanel.text4"))
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("FarmPanel.text5"))
end
end
end
local function closeClickHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self._parent:hideFarmPanel()
end
end
local function linkBtnHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self._controller:showFactoryExchangePanel()
self._parent:hideFarmPanel()
end
end
self._gongFangLinkBtn:addTouchEventListener(linkBtnHandler)
self._closeBtn:addTouchEventListener(closeClickHandler)
self._waterBtn:addTouchEventListener(waterBtnClick)
self._collectBtn:addTouchEventListener(collectBtnClick)
globalData.farmInfo:addEventListener(globalData.globalEventType.farm_infoUpdate,self.farmUpdate,self)
globalData.farmInfo:addEventListener(globalData.globalEventType.farm_landUpdate,self.farmLandUpDate,self)
end
function FarmPanel:removeEvent()
globalData.farmInfo:removeEventListener(globalData.globalEventType.farm_infoUpdate,self.farmUpdate,self)
globalData.farmInfo:removeEventListener(globalData.globalEventType.farm_landUpdate,self.farmLandUpDate,self)
end
function FarmPanel:initView()
globalManager.sourceCacheManager:setImage(self._bg,self._bgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
for i = 1,12,1 do
local item = FarmItemView:new(self._controller,i)
self._itemList[i] = item
item:updateView()
self._landBg[i]:addChild(item)
end
local level = globalData.allTemplates.homeTemplateList:getHallLevel(globalData.homeInfo.hallLevel,3)
if(level ~= nil)then
self._tipsLabel:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("HomePanel.text9"),level))
else
self._tipsLabel:setText("")--globalManager.yuyanbaoManager:getYuyanbao("HomePanel.text10"))
end
local farmLevel = globalData.allTemplates.homeTemplateList:getTemplateByLevel(globalData.homeInfo.hallLevel).farmLevel
self._titleLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("FarmPanel.text1") .. "Lv."..farmLevel)
end
function FarmPanel:farmUpdate()
for i = 1,12,1 do
self._itemList[i]:updateView()
end
end
function FarmPanel:farmLandUpDate(evt)
local landId = evt.data
self._itemList[landId]:updateView()
end
--type : 1:收获  2:浇水
function FarmPanel:getLandList(type)
local landList = {}
for i = 1,12,1 do
local plantInfo = globalData.farmInfo:getPlant(i)
if(plantInfo ~= nil)then
local tempInfo = globalData.allTemplates.seedTemplateList:getTemplateById(plantInfo[2])
local systemTime = math.floor(globalData.systemDateInfo:getSystemTime() / 1000)
local ripeTime = plantInfo[3] + tempInfo.ripeTime - systemTime + 1
local waterCD = plantInfo[4] + tempInfo.waterCD - systemTime + 1
if(type == 1)then
if(ripeTime < 0)then
table.insert(landList,i)
end
else
if(ripeTime > 0 and waterCD < 0)then
table.insert(landList,i)
end
end
end
end
return landList
end
function FarmPanel:dispose()
self:removeEvent()
globalData.uiClickContainer:close(self)
self._controller = nil
self._parent = nil
self._bg = nil
globalManager.sourceCacheManager:removeQuote(self._bgPath)
self._bgPath = nil
self._collectBtn = nil
self._waterBtn = nil
self._closeBtn = nil
self._landView = nil
self._landBg = nil
self._tipsLabel = nil
self._gongFangLinkBtn = nil
self._titleLabel = nil
for i = 1,12,1 do
self._itemList[i]:dispose()
end
self._itemList = nil
globalManager.ccCreator:release(self)
end
FarmAwardPanel = class("FarmAwardPanel",function(self,controller,parent)
local temp = globalManager.ccCreator:newJsonWidget("FarmAwardPanel")
temp.okBtn = temp:getChildByName("ok_btn")
temp.okBtn:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel1"))
temp.itemView = temp:getChildByName("itemView")
temp:getChildByName("textLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("FarmAwardPanel.text2"))
temp.labelList = {}
return temp
end)
function FarmAwardPanel:ctor()
self:initEvent()
globalData.uiClickContainer:addItem(self,true,true)
end
function FarmAwardPanel:initEvent()
local closeBtnHandler = function (sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self:dispose()
end
end
self.okBtn:addTouchEventListener(closeBtnHandler)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_reConnect,self.dispose,self)
end
function FarmAwardPanel:removeEvent()
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.scene_reConnect,self.dispose,self)
end
function FarmAwardPanel:show(infoList,length)
if(infoList ~= nil)then
local height = math.max(180,length * 30)
local count = 0
for __,info in pairs(infoList) do
local label = globalManager.ccCreator:newLabel()
local text = ""
local index = info.landId
if(info.landId <= 6)then
text = globalManager.yuyanbaoManager:getYuyanbao("SeedShopPanel.text1")
elseif(info.landId >= 7 and info.landId <= 9)then
text = globalManager.yuyanbaoManager:getYuyanbao("SeedShopPanel.text2")
index = index - 6
elseif(info.landId >= 10 and info.landId <= 12)then
index = index - 9
text = globalManager.yuyanbaoManager:getYuyanbao("SeedShopPanel.text3")
end
if(info.isFengShou == 1)then
label:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("FarmAwardPanel.text1"),text,index))
else
label:setText(string.format("%s%s:",text,index))
end
label:setPosition(cc.p(5,height - count * 30))
label:setColor(globalData.allStaticTypes.colorType.TIPTITLE_COLOR)
label:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[5])
count = count + 1
self.itemView:addChild(label)
table.insert(self.labelList,label)
for i,temp in pairs(info.awardList) do
local goodsTempInfo = globalData.allTemplates.goodsTemplateList:getTemplate(temp[1])
local text2 = goodsTempInfo.name.." x "..temp[2]
local label2 = globalManager.ccCreator:newLabel()
label2:setText(text2)
label2:setPosition(cc.p(150 * ((i - 1) % 3) + 40,height - count * 30 - 30 * math.floor((i - 1) / 3)))
label2:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[5])
self.itemView:addChild(label2)
table.insert(self.labelList,label2)
end
count = count + math.floor((#info.awardList - 1) / 3) + 1
self.itemView:setInnerContainerSize(globalManager.ccCreator:newSize(467,height+10))
end
end
end
function FarmAwardPanel:dispose()
self:removeEvent()
globalData.uiClickContainer:close(self)
self.okBtn = nil
self.itemView = nil
for __,label in pairs(self.labelList) do
globalManager.ccCreator:release(label)
label = nil
end
self.labelList = nil
globalManager.ccCreator:release(self)
end
FarmItemView = class("FarmItemView",function (self,controller,index)
local temp = globalManager.ccCreator:newJsonWidget("FarmItem")
temp._controller = controller
temp._index = index
temp._landImg = temp:getChildByName("landImg")
local timeLabel = temp:getChildByName("timeLabel")
temp._nameLabel = temp:getChildByName("nameLabel")
temp._txtTime = CountDownLabel:new(timeLabel,0,20,globalData.allStaticTypes.colorType.COLORWHITE,0)
temp._waterCDLabel = CountDownLabel:new(nil,0,20,globalData.allStaticTypes.colorType.COLORWHITE,0)
temp._stateLabel = temp:getChildByName("stateLabel")
temp._stateLabel:setVisible(false)
temp._stateLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("FarmItemView.text1"))
temp._characterView = temp:getChildByName("plantView")
temp._canBuyFlagImg = temp:getChildByName("canBuyFlag")
temp._canBuyFlagImgPath = globalManager.pathManager:getUISource("outPic/farmLandFlag.png")
temp._landImgPath = nil
temp._character = nil
temp._seedShopPanel = nil
return temp
end)
function FarmItemView:ctor()
globalManager.sourceCacheManager:setImage(self._canBuyFlagImg,self._canBuyFlagImgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self:initEvent()
end
function FarmItemView:initEvent()
local function buyLand()
local tempInfo = globalData.allTemplates.landTemplateList:getTemplateById(self._index)
if(tempInfo.payType == globalData.allStaticTypes.payType.GOLD and globalData.selfPlayerInfo.moneyInfo.gold < tempInfo.price) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel11"))
return
end
if(tempInfo.payType == globalData.allStaticTypes.payType.BINGDGOLD and globalData.selfPlayerInfo.moneyInfo.bindGold < tempInfo.price) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel30"))
return
end
if(tempInfo.payType == globalData.allStaticTypes.payType.COPPER and globalData.selfPlayerInfo.moneyInfo.copper < tempInfo.price) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel12"))
return
end
self._controller.homeModule.message:farmBuyLand(self._index)
end
local function landClickHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(globalData.farmInfo:checkIsBuyLand(self._index))then
if(globalData.farmInfo:getPlant(self._index) ~= nil)then
local plantInfo = globalData.farmInfo:getPlant(self._index)
local tempInfo = globalData.allTemplates.seedTemplateList:getTemplateById(plantInfo[2])
local systemTime = math.floor(globalData.systemDateInfo:getSystemTime() / 1000)
local time = plantInfo[3] + tempInfo.ripeTime - systemTime + 1
local waterTime = plantInfo[4] + tempInfo.waterCD  - systemTime + 1
local list = {self._index}
if(time < 0)then
self._controller.homeModule.message:farmHarvest(list)
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("FarmPanel.text4"))
elseif(waterTime < 0)then
self._controller.homeModule.message:farmWaterPlant(list)
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("HomePanel.text1"))
end
else
if(self._seedShopPanel == nil)then
self._seedShopPanel = SeedShopPanel:new(self._controller,self,self._index)
end
end
else
local tempInfo = globalData.allTemplates.landTemplateList:getTemplateById(self._index)
if(globalData.farmInfo:checkLandCanBuy(self._index))then
local price = ""
if(tempInfo.payType == 1)then
price = string.format(globalManager.yuyanbaoManager:getYuyanbao("NewServerGiftViwe.text1"),tempInfo.price)
elseif(tempInfo.payType == 2)then
price = string.format(globalManager.yuyanbaoManager:getYuyanbao("FarmItemView.text3"),tempInfo.price)
elseif(tempInfo.payType == 3)then
price = string.format(globalManager.yuyanbaoManager:getYuyanbao("CopyTanBaoFollowPanel.text2"),tempInfo.price)
end
local text = ""
if(self._index <= 6)then
text = globalManager.yuyanbaoManager:getYuyanbao("FarmItemView.text5")
else
text = string.format(globalManager.yuyanbaoManager:getYuyanbao("FarmItemView.text4"),price)
end
Alert:new():show(2,text,nil,0,self,buyLand)
else
globalManager.tipsManager.quickTip:show(string.format(globalManager.yuyanbaoManager:getYuyanbao("FarmItemView.text2"),tempInfo.needFarmLevel))
end
end
end
end
self._canBuyFlagImg:addTouchEventListener(landClickHandler)
self._landImg:addTouchEventListener(landClickHandler)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.farm_closeSeedShop,self.hideSeedShopPanel,self)
end
function FarmItemView:removeEvent()
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.farm_closeSeedShop,self.hideSeedShopPanel,self)
end
function FarmItemView:updateView()
local homeTempInfo = globalData.allTemplates.homeTemplateList:getTemplateByLevel(globalData.homeInfo.hallLevel)
if(globalData.farmInfo:checkIsBuyLand(self._index))then
if(self._index >= 1 and self._index <= 6)then
self._landImgPath = globalManager.pathManager:getUISource("outPic/home_land1.png")
self._landImg:setVisible(false)
elseif(self._index >= 7 and self._index <= 9)then
self._landImgPath = globalManager.pathManager:getUISource("outPic/home_land4.png")
else
self._landImgPath = globalManager.pathManager:getUISource("outPic/home_land5.png")
end
if(globalData.farmInfo:getPlant(self._index) ~= nil)then
self:updatePlantView()
else
self._nameLabel:setText("")
if(self._character ~= nil) then
self._character:dispose()
self._character = nil
end
self._txtTime:stop()
self._txtTime:setText("")
self._txtTime:setVisible(false)
self._stateLabel:setVisible(false)
end
self._canBuyFlagImg:setEnabled(false)
else
self._txtTime:setVisible(false)
if(self._index >= 1 and self._index <= 6)then
self._landImgPath = globalManager.pathManager:getUISource("outPic/home_land1.png")
self._nameLabel:setText("")
elseif(self._index >= 7 and self._index <= 9)then
self._landImgPath = globalManager.pathManager:getUISource("outPic/home_land2.png")
self._nameLabel:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("FarmItemView.text7"),2))
else
self._landImgPath = globalManager.pathManager:getUISource("outPic/home_land3.png")
self._nameLabel:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("FarmItemView.text7"),3))
end
if(globalData.farmInfo:checkLandCanBuy(self._index))then
self._canBuyFlagImg:setEnabled(true)
else
self._canBuyFlagImg:setEnabled(false)
end
end
if(self._landImgPath ~= nil)then
globalManager.sourceCacheManager:setImage(self._landImg,self._landImgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
end
end
function FarmItemView:updatePlantView()
local plantInfo = globalData.farmInfo:getPlant(self._index)
local tempInfo = globalData.allTemplates.seedTemplateList:getTemplateById(plantInfo[2])
self.seedTempInfo = tempInfo
if(tempInfo ~= nil)then
self._nameLabel:setText(tempInfo.name)
if(self._character ~= nil) then
self._character:dispose()
self._character = nil
end
local systemTime = math.floor(globalData.systemDateInfo:getSystemTime() / 1000)
local time = plantInfo[3] + tempInfo.ripeTime - systemTime + 1
if(time > 0)then
self._txtTime:start(time,self.plantEndTime,self)
self._txtTime:setVisible(true)
self._character = globalManager.effectCreator:create(tonumber(tempInfo:getShowPath(1)),nil,nil,false,1.5)
--浇水状态
local waterTime = plantInfo[4] + tempInfo.waterCD  - systemTime + 1
if(waterTime > 0)then
self._stateLabel:setVisible(false)
self._waterCDLabel:start(waterTime,self.endTime,self)
else
self._stateLabel:setVisible(true)
end
else
self._stateLabel:setVisible(false)
self._txtTime:setText(globalManager.yuyanbaoManager:getYuyanbao("FarmItemView.text6"))
self._txtTime:stop()
self._character = globalManager.effectCreator:create(tonumber(tempInfo:getShowPath(2)),nil,nil,false,1.5)
end
if(self._character ~= nil) then
self._character:setScale(1)
self._character:move2(self._characterView,85,-67)
self._characterView:addNode(self._character)
self._character:play()
end
end
end
function FarmItemView:plantEndTime()
self:updatePlantView()
self._waterCDLabel:stop()
end
function FarmItemView:endTime()
self._waterCDLabel:stop()
self._stateLabel:setVisible(true)
end
function FarmItemView:hideSeedShopPanel()
if(self._seedShopPanel ~= nil) then
self._seedShopPanel:dispose()
self._seedShopPanel = nil
end
end
function FarmItemView:dispose()
self:removeEvent()
self:hideSeedShopPanel()
self._controller = nil
self._index = nil
self._landImg = nil
self._txtTime:dispose()
self._txtTime = nil
self._waterCDLabel:dispose()
self._waterCDLabel = nil
self._stateLabel = nil
self._nameLabel = nil
self._characterView = nil
if(self._landImgPath ~= nil) then
globalManager.sourceCacheManager:removeQuote(self._landImgPath)
self._landImgPath = nil
end
self._canBuyFlagImg = nil
globalManager.sourceCacheManager:removeQuote(self._canBuyFlagImgPath)
self._canBuyFlagImgPath = nil
if(self._character ~= nil)then
self._character:dispose()
end
self._character = nil
globalManager.ccCreator:release(self)
end
HomeLevelUpPanel = class("HomeLevelUpPanel",function (self,controller,parent)
local temp = globalManager.ccCreator:newJsonWidget("HomeLevelUp")
temp.controller = controller
temp.parent = parent
temp.closeBtn = temp:getChildByName("closeBtn")
local cell = temp:getChildByName("cell1_Copy0")
temp.grid = BaseGrid:new()
cell:addChild(temp.grid)
temp.getBtn = temp:getChildByName("getBtn")
temp.okBtn = temp:getChildByName("okBtn")
temp.levelLabel = temp:getChildByName("Label_890834")
temp.countLabel = temp:getChildByName("countLabel")
temp.count = 0
temp.goodsId = globalData.allStaticTypes.categoryType.WUTONGMU
temp.tempInfo = nil
temp:getChildByName("titleLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("HomeLevelUpPanel.text2"))
temp.getBtn:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("HomeLevelUpPanel.text3"))
temp.okBtn:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("HomeLevelUpPanel.text4"))
temp:getChildByName("textLabel1"):setText(globalManager.yuyanbaoManager:getYuyanbao("HomeLevelUpPanel.text5"))
temp:getChildByName("textLabel1_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("HomeLevelUpPanel.text6"))
temp:getChildByName("textLabel1_Copy1"):setText(globalManager.yuyanbaoManager:getYuyanbao("HomeLevelUpPanel.text7"))
temp:getChildByName("textLabel1_Copy2"):setText(globalManager.yuyanbaoManager:getYuyanbao("HomeLevelUpPanel.text8"))
return temp
end)
function HomeLevelUpPanel:ctor()
self:initEvent()
self:initView()
globalData.uiClickContainer:addItem(self,true,true)
end
function HomeLevelUpPanel:initEvent()
local closeClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self.parent:hideLevelUpPanel()
end
end
local okClickHandler = function (sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(globalData.homeInfo.hallLevel >= globalData.allTemplates.homeTemplateList:getHallMaxLevel())then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("HomeLevelUpPanel.text9"))
return
end
if(self.tempInfo ~= nil and self.tempInfo.upgradeCount > self.count )then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("HomeLevelUpPanel.text1"))
return
end
self.controller.homeModule.message:sendHomeUpgrade()
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("LeagueMessageReceiver.text5"))
self.parent:hideLevelUpPanel()
end
end
local getClickHandler = function (sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
local systemTime = globalData.systemDateInfo:getZeroPassTime()
local startTime  = 10 * 60 * 60
local endTime    = 24 * 60 * 60 - 300
if(systemTime >= startTime and systemTime <= endTime)then
globalData.uiPanelContainer:close()
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_showMapPanel,globalManager.gameDispatcher,1))
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_showSkyDreamLand,globalManager.gameDispatcher,nil))
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("SceneWorldMapView.text4"))
end
end
end
self.okBtn:addTouchEventListener(okClickHandler)
self.getBtn:addTouchEventListener(getClickHandler)
self.closeBtn:addTouchEventListener(closeClickHandler)
end
function HomeLevelUpPanel:initView()
self.tempInfo = globalData.allTemplates.homeTemplateList:getTemplateByLevel(globalData.homeInfo.hallLevel + 1)
self.grid:setGoodsTempInfo(globalData.allTemplates.goodsTemplateList:getTemplate(self.goodsId))
self.count = globalData.goodsInfoList:getGoodsCount(self.goodsId,1)
if(self.tempInfo ~= nil)then
self.countLabel:setText(self.count.."/"..self.tempInfo.upgradeCount)
else
self.countLabel:setText(self.count.."/0")
end
self.levelLabel:setText("Lv."..globalData.homeInfo.hallLevel)
end
function HomeLevelUpPanel:dispose()
globalData.uiClickContainer:close(self)
self.controller = nil
self.parent = nil
self.closeBtn = nil
self.tempInfo = nil
self.grid:dispose()
self.grid = nil
self.getBtn = nil
self.okBtn = nil
self.levelLabel = nil
self.countLabel = nil
globalManager.ccCreator:release(self)
end
HomeFriendListPanel = class("HomeFriendListPanel",function(self,controller,parent,friendUserIdList)
local temp = globalManager.ccCreator:newJsonWidget("HelpWaterPanel")
temp._closeBtn = temp:getChildByName("closeBtn_Copy0")
temp._itemListView = temp:getChildByName("ScrollView_489077_Copy0")
temp._waterBtn = temp:getChildByName("waterBtn")
temp._waterBtn:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("FarmPanel.text3"))
temp._controller = controller
temp.parent = parent
temp.friendUserIdList = friendUserIdList
temp._itemList = {}
temp.currentFriendIndex = 0
return temp
end)
function HomeFriendListPanel:ctor()
self:initEvent()
self:initView()
globalData.uiClickContainer:addItem(self,true,true)
end
function HomeFriendListPanel:initEvent()
local closeClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self.parent:hideFriendListPanel()
end
end
local waterAllHandler = function (sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(globalData.homeInfo.helpOthersCount >= 20)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("HomePanel.text12"))
return
end
self._controller.homeModule.message:luckTreeWaterAll(self.friendUserIdList)
self.parent:hideFriendListPanel()
end
end
self._waterBtn:addTouchEventListener(waterAllHandler)
self._closeBtn:addTouchEventListener(closeClickHandler)
end
function HomeFriendListPanel:hide()
self.parent:hideFriendListPanel()
end
function HomeFriendListPanel:initView()
self._itemList = {}
if(#self.friendUserIdList == 0) then return end
local len = table.getn(self.friendUserIdList)
local height = 500
if(len > 8)then
height = 120 * math.floor(1 + (len - 1)/ 2)
end
for i=1,len,1 do
local item = HomeFriendListItem:new(self,self._controller)
table.insert(self._itemList,item)
self._itemListView:addChild(item)
item:setPosition(cc.p(360 * ((i - 1) % 2),height - 120 - 120 * math.floor((i - 1) / 2)))
item:setData(i,self.friendUserIdList[i],self.itemTouchCallback,self)
end
self:setSelectedItem(1)
self._itemListView:setInnerContainerSize(globalManager.ccCreator:newSize(731,height))
end
function HomeFriendListPanel:itemTouchCallback(index)
self:setSelectedItem(index)
end
function HomeFriendListPanel:setSelectedItem(index)
if(index == 0)then
self.currentFriendIndex = 0
else
if(self.currentFriendIndex == index)then
return
end
if(self.currentFriendIndex ~= 0) then
self._itemList[self.currentFriendIndex]:setSelected(false)
end
self.currentFriendIndex = index
self._itemList[self.currentFriendIndex]:setSelected(true)
end
end
function HomeFriendListPanel:dispose()
globalData.uiClickContainer:close(self)
self._closeBtn = nil
self._itemListView = nil
self._controller = nil
self.parent = nil
self._waterBtn = nil
for __,item in pairs(self._itemList) do
item:dispose()
end
self._itemList = nil
self.friendUserIdList = nil
self.currentFriendIndex = nil
globalManager.ccCreator:release(self)
end
HomeFriendListItem = class("HomeFriendListItem",function(self,parent,controller)
local temp = globalManager.ccCreator:newJsonWidget("chaosInviteItem")
temp.headIcon = temp:getChildByName("headIcon")
temp.levelLabel = temp:getChildByName("levelLabel")
temp.nameLabel = temp:getChildByName("nameLabel")
temp.selectBoard = temp:getChildByName("ImageView_444208")
temp.vipLevel = temp:getChildByName("vipLevel")
temp.vipIcon = temp:getChildByName("vip_icon")
temp.inviteBtn  = temp:getChildByName("inviteBtn")
temp.selectBoard:setVisible(false)
temp.friendInfo = nil
temp.index = 0
temp._selected = false
temp._selectCallback = nil
temp._selectCallbackTarget = nil
temp._label = globalManager.ccCreator:newBMFont(globalManager.yuyanbaoManager:getYuyanbao("HomeFriendListItem.text1"))
temp._label:setPosition(cc.p(313,35))
temp._label:setColor(globalData.allStaticTypes.colorType.COLORYELLOW)
temp:addChild(temp._label,7)
temp.parent = parent
temp._controller = controller
return temp
end)
function HomeFriendListItem:ctor()
self.inviteBtn:loadTextureNormal("icon/ui_friendQuickIcon.png",1)
self:initEvent()
end
function HomeFriendListItem:initEvent()
local function touchHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(sender == self)then
if(self._selectCallback ~= nil)then
self._selectCallback(self._selectCallbackTarget,self.index)
end
elseif(sender == self.inviteBtn)then
globalData.homeInfo.isOther = true
globalData.messageAdder:sendGetFriendHomeInfo(self.friendInfo.info.userId)
self.parent:hide()
end
end
end
self:addTouchEventListener(touchHandler)
self.inviteBtn:addTouchEventListener(touchHandler)
end
function HomeFriendListItem:setSelected(value)
if(self._selected == value)then return end
self._selected = value
self.selectBoard:setVisible(value)
end
function HomeFriendListItem:setData(index,userId,itemTouchCallback,target)
self.index = index
self.friendInfo = globalData.friendList:getPlayer(userId)
self.headIcon:loadTexture(globalData.allStaticTypes.careerType:getHeadPath(self.friendInfo.info.career),1)
self._selectCallback = itemTouchCallback
self._selectCallbackTarget = target
self:updateView()
end
function HomeFriendListItem:updateView()
self.nameLabel:setText(self.friendInfo.info.nick)
if(self.friendInfo.info.level == 0) then
self.levelLabel:setText("??")
else
self.levelLabel:setText(self.friendInfo.info.level)
end
if(self.friendInfo.info.vipLevel > 0)then
self.vipLevel:setStringValue(self.friendInfo.info.vipLevel)
else
self.vipLevel:setVisible(false)
self.vipIcon:setVisible(false)
end
end
function HomeFriendListItem:dispose()
if(self._label ~= nil)then
globalManager.ccCreator:release(self._label)
self._label = nil
end
self.headIcon = nil
self.levelLabel = nil
self.nameLabel = nil
self.selectBoard = nil
self.vipLevel = nil
self.vipIcon = nil
self.inviteBtn = nil
self.inviteBtnPath = nil
self.friendInfo = nil
self.index = nil
self._selected = nil
self._selectCallbackTarget = nil
self._controller = nil
self.parent = nil
globalManager.ccCreator:release(self)
end
SeedShopPanel = class("SeedShopPanel",function (self,controller,parent,landId)
local temp = globalManager.ccCreator:newJsonWidget("SeedShop")
temp._controller = controller
temp._parent = parent
temp._landId = landId
temp._closeBtn = temp:getChildByName("close_btn")
temp._pageView = temp:getChildByName("pageView")
temp._itemView = temp:getChildByName("itemView")
temp._titleLabel = temp:getChildByName("titleLabel")
temp._tipsLabel = temp:getChildByName("tipsLabel")
temp._itemList = {}
for i=1,6,1 do
local itemWidget = temp._itemView:getChildByName("item"..i)
local item = SeedShopItemView:new(itemWidget,controller,i)
table.insert(temp._itemList,item)
end
temp._seedInfoList = globalData.allTemplates.seedTemplateList:getSeedList()
temp._pageList = {}
temp.currentPage = 0
temp.totalPage = math.floor((#temp._seedInfoList - 1) / 6 + 1)
return temp
end)
function SeedShopPanel:ctor()
self:initEvent()
self:initView()
globalData.uiClickContainer:addItem(self,true,true)
end
function SeedShopPanel:initEvent()
local closeClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self._parent:hideSeedShopPanel()
end
end
local updateViewTouchHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED or eventType == TOUCH_EVENT_CANCELED) then
local offsetX = sender:getTouchEndPos().x - sender:getTouchStartPos().x
if(offsetX > 50) then
if(self.currentPage > 1)then
self:setPage(self.currentPage - 1)
end
elseif(offsetX < -50) then
if(self.currentPage < self.totalPage)then
self:setPage(self.currentPage + 1)
end
end
end
end
local itemTouchHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED or eventType == TOUCH_EVENT_CANCELED) then
local offsetX = sender:getTouchEndPos().x - sender:getTouchStartPos().x
if(offsetX > 50) then
if(self.currentPage > 1)then
self:setPage(self.currentPage - 1)
end
elseif(offsetX < -50) then
if(self.currentPage < self.totalPage)then
self:setPage(self.currentPage + 1)
end
else
local templateInfo = sender:getInfo()
if(templateInfo ~= nil)then
local myFarmLevel = globalData.allTemplates.homeTemplateList:getTemplateByLevel(globalData.homeInfo.hallLevel).farmLevel
if(myFarmLevel < templateInfo.needLevel)then
else
globalManager.tipsManager:showSeedGoods(templateInfo,self._landId)
end
end
end
end
end
for i = 1,6,1 do
self._itemList[i]:addTouchEventListener(itemTouchHandler)
end
self._itemView:addTouchEventListener(updateViewTouchHandler)
self._closeBtn:addTouchEventListener(closeClickHandler)
end
function SeedShopPanel:initView()
if(self._landId <= 6)then
self._tipsLabel:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("FarmItemView.text7"),1))
self._titleLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("SeedShopPanel.text1"))
elseif(self._landId >= 7 and self._landId <= 9)then
self._tipsLabel:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("FarmItemView.text7"),2))
self._titleLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("SeedShopPanel.text2"))
elseif(self._landId >= 10 and self._landId <= 12)then
self._tipsLabel:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("FarmItemView.text7"),3))
self._titleLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("SeedShopPanel.text3"))
end
self:resetPageIcon()
self:setPage(1)
end
function SeedShopPanel:setPage(page)
if(self.currentPage == page) then return end
if(self.currentPage ~= 0) then
self._pageList[self.currentPage]:loadTexture("btn/ui_radioBtn1_1.png", 1)
end
self.currentPage = page
if(self._pageList[self.currentPage] ~= nil) then
self._pageList[self.currentPage]:loadTexture("btn/ui_radioBtn1_2.png", 1)
end
local index = (page - 1) * 6
for i =1,6,1 do
if(self._seedInfoList[index + i] ~= nil)then
self._itemList[i]:setEnabled(true)
self._itemList[i]:setData(self._seedInfoList[index + i])
else
self._itemList[i]:setEnabled(false)
end
end
end
function SeedShopPanel:resetPageIcon()
if(self.totalPage == nil) then self.totalPage = 0 end
if(self.totalPage == 0) then return end
for i = 1,self.totalPage,1 do
local pageIcon = globalManager.ccCreator:newImageView()
if(self.currentPage == i) then
pageIcon:loadTexture("btn/ui_radioBtn1_2.png", 1)
else
pageIcon:loadTexture("btn/ui_radioBtn1_1.png", 1)
end
pageIcon:setPosition(100 - (self.totalPage - 1)*20 + (i - 1)*40,10)
table.insert(self._pageList,pageIcon)
self._pageView:addChild(pageIcon)
end
end
function SeedShopPanel:dispose()
globalData.uiClickContainer:close(self)
self._controller = nil
self._parent = nil
self._closeBtn = nil
self._pageView = nil
self._itemView = nil
for i = 1,6,1 do
self._itemList[i]:dispose()
end
self._itemList = nil
self._seedInfoList = nil
for i,pageIcon in pairs(self._pageList) do
globalManager.ccCreator:release(pageIcon)
pageIcon = nil
end
self._pageList = nil
self.currentPage = nil
self._tipsLabel = nil
self.totalPage = nil
self._landId = nil
globalManager.ccCreator:release(self)
end
SeedShopItemView = class("SeedShopItemView",function (self,itemWidget,controller,index)
local temp = itemWidget
temp._controller = controller
temp._index = index
temp._jiHuoIcon = temp:getChildByName("jiHuoIcon")
temp._countLabel = temp:getChildByName("countLabel")
temp._typeIcon = temp:getChildByName("payIcon")
temp._cell = temp:getChildByName("cell")
temp._grid = BaseGrid:new()
temp._cell:addChild(temp._grid)
temp._nameLabel = temp:getChildByName("nameLabel")
temp._seedTmeplateInfo = nil
return temp
end)
function SeedShopItemView:ctor()
self.initEvent()
end
function SeedShopItemView:initEvent()
end
function SeedShopItemView:setData(templateInfo)
self._seedTmeplateInfo = templateInfo
local goodsTmeplateInfo = globalData.allTemplates.goodsTemplateList:getTemplate(templateInfo.templateId)
if(templateInfo.payType == 1)then
self._typeIcon:loadTexture("icon/ui_moneyIcon1.png", 1)
local goldNum = globalData.selfPlayerInfo.moneyInfo.gold
if(goldNum < templateInfo.price)then
self._countLabel:setColor(globalData.allStaticTypes.colorType.COLORRED)
else
self._countLabel:setColor(globalData.allStaticTypes.colorType.TIPACT_COLOR)
end
elseif(templateInfo.payType == 2)then
self._typeIcon:loadTexture("icon/ui_bindGoldIcon.png", 1)
local bindGoldNum = globalData.selfPlayerInfo.moneyInfo.bindGold
if(bindGoldNum < templateInfo.price)then
self._countLabel:setColor(globalData.allStaticTypes.colorType.COLORRED)
else
self._countLabel:setColor(globalData.allStaticTypes.colorType.TIPACT_COLOR)
end
elseif(templateInfo.payType == 3)then
self._typeIcon:loadTexture("icon/ui_moneyIcon2.png", 1)
self._typeIcon:setScale(1.2)
local copperNum = globalData.selfPlayerInfo.moneyInfo.copper
if(copperNum < templateInfo.price)then
self._countLabel:setColor(globalData.allStaticTypes.colorType.COLORRED)
else
self._countLabel:setColor(globalData.allStaticTypes.colorType.TIPACT_COLOR)
end
end
if(templateInfo.price < 10000)then
self._countLabel:setText(templateInfo.price)
else
local str = templateInfo.price * 0.0001 .. globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel44")
self._countLabel:setText(str)
end
local myFarmLevel = globalData.allTemplates.homeTemplateList:getTemplateByLevel(globalData.homeInfo.hallLevel).farmLevel
if(myFarmLevel < templateInfo.needLevel)then
self._jiHuoIcon:setVisible(true)
else
self._jiHuoIcon:setVisible(false)
end
self._grid:setGoodsTempInfo(goodsTmeplateInfo)
self._nameLabel:setText(goodsTmeplateInfo.name)
self._grid:setPicTouchEnabled(false)
end
function SeedShopItemView:getInfo()
return self._seedTmeplateInfo
end
function SeedShopItemView:dispose()
self._controller = nil
self._index = nil
self._jiHuoIcon = nil
self._countLabel = nil
self._typeIcon = nil
self._cell = nil
self._grid:dispose()
self._grid = nil
self._nameLabel = nil
self._seedTmeplateInfo = nil
end
WishPanel = class("WishPanel",function(self,controller)
local temp = globalManager.ccCreator:newJsonWidget("wishPanel")
temp._controller = controller
temp.bg  = temp:getChildByName("bg")
temp.needStart_1  = temp:getChildByName("bg"):getChildByName("needStar_1")
temp.needStart_2  = temp:getChildByName("bg"):getChildByName("needStar_2")
temp.needStart_3  = temp:getChildByName("bg"):getChildByName("needStar_3")
temp.getAllBtn  = temp:getChildByName("bg"):getChildByName("Button_1")
temp.star  = temp:getChildByName("bg"):getChildByName("Button_1"):getChildByName("ImageView_890642")
temp.canGetStar  = temp:getChildByName("bg"):getChildByName("Button_1"):getChildByName("ImageView_890642"):getChildByName("Label_890643")
temp.detailLabel = temp:getChildByName("Label_890546")
temp.hasStarLabel = temp:getChildByName("Label_890550")
temp.closeBtn = temp:getChildByName("closeBtn")
temp._bgPath = globalManager.pathManager:getUISource("outPic/wish.png")
temp._starPath = globalManager.pathManager:getUISource("outPic/star.png")
temp._star2Path = globalManager.pathManager:getUISource("outPic/star_2.png")
temp._countDownLabel = CountDownLabel:new(temp:getChildByName("Label_890548"),0,nil,nil,0)
temp.startList = {}
temp.effect = {}
temp.info = {}
for i = 1,4 do
table.insert(temp.startList,temp:getChildByName("bg"):getChildByName("star_"..i))
end
temp.wishBtnList = {}
for i = 1, 3 do
table.insert(temp.wishBtnList,temp:getChildByName("bg"):getChildByName("wishBtn_"..i))
temp.wishBtnList[i]:getChildByName("btnlabel"..i+1):setText(globalManager.yuyanbaoManager:getYuyanbao("WishPanel.text"..i+7))
end
temp.getAllBtn:getChildByName("btnlabel1"):setText(globalManager.yuyanbaoManager:getYuyanbao("WishPanel.text1"))
temp:getChildByName("titleLabel_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("WishPanel.text2"))
temp:getChildByName("Label_890547"):setText(globalManager.yuyanbaoManager:getYuyanbao("WishPanel.text3"))
temp:getChildByName("Label_890549"):setText(globalManager.yuyanbaoManager:getYuyanbao("WishPanel.text4"))
return temp
end)
function WishPanel:ctor()
globalManager.sourceCacheManager:setImage(self.bg,self._bgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
globalManager.sourceCacheManager:setImage(self.star,self._starPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self.detailLabel:setText(globalManager.descriptManager:getDescript("10037"))
for i = 1,4 do
globalManager.sourceCacheManager:setImage(self.startList[i],self._star2Path,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self.startList[i]:setVisible(false)
end
local mainLevel = globalData.homeInfo.hallLevel
self.info = globalData.allTemplates.homeTemplateList:getTemplateByLevel(mainLevel)
self:initEvent()
self._controller.homeModule.message:getWishTime()
end
function WishPanel:showEffect(value,index)
if(value and self.effect[index] == nil) then
self.effect[index] = globalManager.effectCreator:create(36)
self.effect[index]:move2(self,80,-70)
self.startList[index]:addNode(self.effect[index])
self.effect[index]:play()
elseif(not value and self.effect[index] ~= nil) then
self.effect[index]:dispose()
self.effect[index] = nil
end
end
function WishPanel:initView()
if globalData.homeInfo.canGetStar ~= 0 then
for i = 1, globalData.homeInfo.canGetStar do
if self.startList[i]:isVisible() == false then
self.startList[i]:setVisible(true)
self:showEffect(true,i)
end
end
else
for i = 1, 4 do
if self.startList[i]:isVisible() == true then
self.startList[i]:setVisible(false)
self:showEffect(false,i)
end
end
end
local endCallBack = function()
-- body
if globalData.homeInfo.canGetStar == 4 or self.info.starTotalCount <= globalData.homeInfo.todaysGot then
self:getChildByName("Label_890548"):setText(globalManager.yuyanbaoManager:getYuyanbao("WishPanel.text5"))
else
self._controller.homeModule.message:getWishTime()
-- self._countDownLabel:start(self.info.starCD,endCallBack,self)
-- self.canGetStar:setText(globalData.homeInfo.canGetStar+1)
-- self.startList[globalData.homeInfo.canGetStar+1]:setVisible(true)
end
end
if globalData.homeInfo.canGetStar == 4 or self.info.starTotalCount <= globalData.homeInfo.todaysGot then
self:getChildByName("Label_890548"):setText(globalManager.yuyanbaoManager:getYuyanbao("WishPanel.text5"))
else
self._countDownLabel:start(self.info.starCD + 5	- globalData.homeInfo.wishStartTime,endCallBack,self)
end
self.hasStarLabel:setText(globalData.homeInfo.starAmount..globalManager.yuyanbaoManager:getYuyanbao("WishPanel.text6"))
self.canGetStar:setText(globalData.homeInfo.canGetStar)
end
function WishPanel:initEvent()
local function closeBtnClick(sender,eventType)
-- body
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self._controller:hideWishPanel()
end
end
local function wishBtnClick(sender,eventType)
-- body
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
for k,v in pairs(self.wishBtnList) do
if v == sender then
-- local hasPassedTime = globalData.systemDateInfo:getSystemTime()
-- print("是否跨天",globalData.systemDateInfo:getBetweenTimeDay(globalData.homeInfo.updateInfoTime,hasPassedTime),globalData.homeInfo.updateInfoTime,hasPassedTime)
-- if globalData.systemDateInfo:getBetweenTimeDay(globalData.homeInfo.updateInfoTime,hasPassedTime) ~= 0 then
-- 	globalData.homeInfo.wishAwardList[1] = {}
-- 	globalData.homeInfo.wishAwardList[2] = {}
-- 	globalData.homeInfo.wishAwardList[3] = {}
-- 	globalData.homeInfo.updateInfoTime = hasPassedTime
-- end
if #globalData.homeInfo.wishAwardList[k] ~= 0 then
self._controller:showWishAwardPanel(globalData.homeInfo.wishAwardList[k],k)
else
self._controller.homeModule.message:getWishAwardList(k)
end
end
end
end
end
local function getAllBtnClick(sender,eventType)
-- body
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if globalData.homeInfo.canGetStar == 0 then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("WishPanel.text7"))
elseif self.info.starTotalCount <= globalData.homeInfo.todaysGot then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("WishPanel.text5"))
else
self._controller.homeModule.message:getAllStar()
self._controller.homeModule.message:getWishTime()
end
end
end
for i = 1, 3 do
self.wishBtnList[i]:addTouchEventListener(wishBtnClick)
end
self.closeBtn:addTouchEventListener(closeBtnClick)
self.getAllBtn:addTouchEventListener(getAllBtnClick)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.wish_infoUpdate,self.initView,self)
end
function WishPanel:removeEvent()
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.wish_infoUpdate,self.initView,self)
end
function WishPanel:openAwardListPanel()
end
function WishPanel:dispose()
self:removeEvent()
for i=1,#self.effect do
if self.effect[i] ~= nil then
self:showEffect(false,i)
end
end
self.effect = nil
self._controller = nil
self.bg = nil
self.needStart_1 = nil
self.needStart_2 = nil
self.needStart_3 = nil
self.getAllBtn = nil
self.star = nil
self.canGetStar = nil
self.detailLabel = nil
self.closeBtn = nil
self.hasStarLabel = nil
globalManager.sourceCacheManager:removeQuote(self._bgPath)
self._bgPath = nil
globalManager.sourceCacheManager:removeQuote(self._starPath)
self._starPath = nil
globalManager.sourceCacheManager:removeQuote(self._star2Path)
self._star2Path = nil
self.startList = nil
self.info = nil
if(self._countDownLabel ~= nil)then
self._countDownLabel:dispose()
self._countDownLabel = nil
end
self.wishBtnList = nil
globalManager.ccCreator:release(self)
end
BaseWishAwardPanel = class("BaseWishAwardPanel",function(self,controller,awardList,place)
local temp = globalManager.ccCreator:newJsonWidget("baseWishAward")
temp._cellList = {}
temp.hasGotList = {}
for i = 1, 6 do
local cellBG = temp:getChildByName("board"):getChildByName("award"..i)
local cell = BaseGrid:new()
cell:setPositionX(cell:getPositionX()-37)
cell:setPositionY(cell:getPositionY()+33)
cellBG:addChild(cell)
table.insert(temp._cellList,cell)
table.insert(temp.hasGotList,temp:getChildByName("board"):getChildByName("award"..i):getChildByName("hasGot_"..i))
temp.hasGotList[i]:setVisible(false)
end
temp.lightPosition = {60,157,254,352,449,547}
temp.selectedLight = temp:getChildByName("board"):getChildByName("selectIcon")
temp.closeBtn = temp:getChildByName("closeBtn")
temp.icon = temp:getChildByName("getBtn"):getChildByName("ImageView_729210_Copy1")
temp.priceLabel = temp:getChildByName("getBtn"):getChildByName("priceLabel2_Copy0")
temp.wishLabel = temp:getChildByName("getBtn"):getChildByName("btnlabel2_Copy0")
temp:getChildByName("label5"):setText(globalManager.yuyanbaoManager:getYuyanbao("BaseWishAwardPanel.text1"))
temp:getChildByName("getBtn"):getChildByName("btnlabel2_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("BaseWishAwardPanel.text2"))
temp.wishBtn = temp:getChildByName("getBtn")
temp._bgPath2 = globalManager.pathManager:getUISource("outPic/star.png")
temp.awardList = awardList
temp.place = place
if place == 1 then
temp.price = globalData.allTemplates.homeTemplateList:getTemplateByLevel(globalData.homeInfo.hallLevel).poolPrice1
temp.needStar = globalData.allTemplates.homeTemplateList:getTemplateByLevel(globalData.homeInfo.hallLevel).needStar1
elseif place == 2 then
temp.price = globalData.allTemplates.homeTemplateList:getTemplateByLevel(globalData.homeInfo.hallLevel).poolPrice2
temp.needStar = globalData.allTemplates.homeTemplateList:getTemplateByLevel(globalData.homeInfo.hallLevel).needStar2
elseif place == 3 then
temp.price = globalData.allTemplates.homeTemplateList:getTemplateByLevel(globalData.homeInfo.hallLevel).poolPrice3
temp.needStar = globalData.allTemplates.homeTemplateList:getTemplateByLevel(globalData.homeInfo.hallLevel).needStar3
end
temp.controller = controller
temp.selectGood = 1
return temp
end)
function BaseWishAwardPanel:ctor()
self:initView()
self:initEvent()
end
function BaseWishAwardPanel:initView()
local len = #self.awardList
local minSelectPosition = 9
if len ~= 0 then
if len > 6 then
len = 6
end
for i =1, len do
self._cellList[i]:setGoodsTempInfo(globalData.allTemplates.goodsTemplateList:getTemplate(self.awardList[i][2]))
self._cellList[i]:setCount(self.awardList[i][3])
if self.awardList[i][1] == 1 then
self:hasGot(i)
else
if minSelectPosition > i then
minSelectPosition = i
end
self._cellList[i]:setClickHandler(self,self.singleClick)
self._cellList[i]:setDoubleClickHandler(self,self.doubleClick)
end
end
if minSelectPosition == 9 then
self.selectedLight:setVisible(false)
self.wishBtn:loadTextureNormal("btn/ui_tabBtn1_5.png",1)
self.wishBtn:setTouchEnabled(false)
else
self.selectGood = minSelectPosition
self.selectedLight:setPositionX(self.lightPosition[minSelectPosition])
end
end
if globalData.homeInfo.starAmount < self.needStar then
self.priceLabel:setStringValue(self.price)
else
self.priceLabel:setStringValue(self.needStar)
globalManager.sourceCacheManager:setImage(self.icon,self._bgPath2,globalData.allStaticTypes.sourceStaticType.clearFiveM)
end
end
function BaseWishAwardPanel:hasGot(index)
-- body
self._cellList[index]:setTouchEnabled(false)
self.hasGotList[index]:setVisible(true)
self._cellList[index]:setClickHandler(self,self.emptyFunc)
self._cellList[index]:setDoubleClickHandler(self,self.doubleClick)
end
function BaseWishAwardPanel:emptyFunc(sender)
-- body
end
function BaseWishAwardPanel:singleClick(sender)
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
for k,v in pairs(self._cellList) do
if sender == v then
self.selectedLight:setPositionX(self.lightPosition[k])
self.selectGood = k
--globalManager.tipsManager:showGoodsTemplate(globalData.allTemplates.goodsTemplateList:getTemplate(self.awardList[k][2]))
end
end
end
function BaseWishAwardPanel:doubleClick(sender)
-- body
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
for k,v in pairs(self._cellList) do
if sender == v then
globalManager.tipsManager:showGoodsTemplate(globalData.allTemplates.goodsTemplateList:getTemplate(self.awardList[k][2]))
end
end
end
function BaseWishAwardPanel:initEvent()
local function closeBtnCallback(sender,eventType)
-- body
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self.controller:hideWishAwardPanel()
end
end
local function wishBtnCallback(sender,eventType)
-- body
if(eventType == TOUCH_EVENT_ENDED)then
local function wish()
-- body
if(eventType == TOUCH_EVENT_ENDED)then
self.controller.homeModule.message:wish(self.place,self.selectGood,1)
self.controller:hideWishAwardPanel()
end
end
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if globalData.homeInfo.starAmount < self.needStar then
if globalData.selfPlayerInfo.moneyInfo.gold - self.price >= 0 then
Alert:new():show(2,string.format(globalManager.yuyanbaoManager:getYuyanbao("BaseWishAwardPanel.text3"),self.price),nil,0,self,wish)
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel11"))
end
else
self.controller.homeModule.message:wish(self.place,self.selectGood,0)
self.controller:hideWishAwardPanel()
end
end
end
self.closeBtn:addTouchEventListener(closeBtnCallback)
self.wishBtn:addTouchEventListener(wishBtnCallback)
end
function BaseWishAwardPanel:removeEvent()
end
function BaseWishAwardPanel:dispose()
globalManager.sourceCacheManager:removeQuote(self._bgPath2)
self._bgPath2 = nil
self._cellList = {}
self.hasGotList = {}
self.lightPosition = {}
self.controller = nil
self.closeBtn = nil
self.wishBtn = nil
self.awardList = {}
self.price = 0
self.needStar = 0
self.selectGood = 1
globalManager.ccCreator:release(self)
self = nil
end
FactoryExchangePanel = class("FactoryExchangePanel",function(self,controller)
local temp = globalManager.ccCreator:newJsonWidget("factoryExchange")
temp._listPanel = temp:getChildByName("ImageView_898803"):getChildByName("btn_list")
temp._listPanel:setItemsMargin(10)
temp._itemList = temp:getChildByName("ImageView_898803"):getChildByName("borad_Copy0"):getChildByName("ImageView_437431_Copy0"):getChildByName("listView_Copy0")
temp.nameList = {
globalManager.yuyanbaoManager:getYuyanbao("FactoryExchangePanel.text2"),
globalManager.yuyanbaoManager:getYuyanbao("FactoryExchangePanel.text3"),
globalManager.yuyanbaoManager:getYuyanbao("FactoryExchangePanel.text4"),
"合成DD",
"合成EE",
}
temp.leftBtnList = {}
temp.currentIndex = 0
temp.controller = controller
temp.closeBtn = temp:getChildByName("closeBtn")
temp.enterFarm = temp:getChildByName("enterFarm")
temp:getChildByName("enterFarm"):getChildByName("enterFarmLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("FactoryExchangePanel.text6"))
temp:getChildByName("titleLabel_Copy1"):setText(globalManager.yuyanbaoManager:getYuyanbao("FactoryExchangePanel.text1").."Lv."..globalData.allTemplates.homeTemplateList:getTemplateByLevel(globalData.homeInfo.hallLevel).factorylevel)
local index = globalData.allTemplates.homeTemplateList:getHallLevel(globalData.homeInfo.hallLevel,4)
if index ~= nil then
temp:getChildByName("Label_915803"):setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("FactoryExchangePanel.text5"),index))
else
temp:getChildByName("Label_915803"):setText(globalManager.yuyanbaoManager:getYuyanbao("HomePanel.text10"))
end
temp.meterialInfo = nil
temp.rightItem = {}
temp.awardInfo = nil
temp._delayCount2 = 0
return temp
end)
function FactoryExchangePanel:ctor()
self.meterialInfo = globalData.allTemplates.homeTemplateList:getFactoryExchangeMaterialList(globalData.homeInfo.hallLevel)
self.awardInfo = globalData.allTemplates.homeTemplateList:getFactoryExchangeAwardList(globalData.homeInfo.hallLevel)
self:initView()
self:initEvent()
self:selectedLeftBtn(1)
end
function FactoryExchangePanel:initView()
-- body
local function btnClickHandler(sender,eventType)
-- body
if(eventType == TOUCH_EVENT_ENDED)then
local index = globalManager.commonUtils:getIndexOfTable(self.leftBtnList,sender)
if index ~= -1 then
self:selectedLeftBtn(index)
end
end
end
local flagList = globalData.allTemplates.homeTemplateList:getFlagOfLeftBtn()
for i=1,#self.meterialInfo do
local btn = UIPanelTabButton:new(self.nameList[i])
self._listPanel:pushBackCustomItem(btn)
btn:addTouchEventListener(btnClickHandler)
btn:setShowPop(flagList[i])
table.insert(self.leftBtnList,btn)
end
end
function FactoryExchangePanel:selectedLeftBtn(index)
-- body
if self.currentIndex == index then return end
if self.leftBtnList[self.currentIndex] then
self.leftBtnList[self.currentIndex]:setSelected(false)
end
self.currentIndex = index
self.leftBtnList[self.currentIndex]:setSelected(true)
self._itemList:removeAllItems()
if(self.rightItem ~= nil) then
for __,btn in pairs(self.rightItem) do
btn:dispose()
end
end
self.rightItem = {}
if #self.meterialInfo[index] > 0 then
for i=1,#self.meterialInfo[index] do
local item = FactoryExchangeItem:new(self.controller,self.meterialInfo[index][i],self.awardInfo[index][i],globalData.homeInfo.hallLevel)
self._itemList:pushBackCustomItem(item)
table.insert(self.rightItem,item)
end
end
end
function FactoryExchangePanel:updateView()
local function delayTick(delta,count)
-- body
self._delayCount2 = self._delayCount2 - 1
if(self._delayCount2 <= 0) then
self._delayCount2 = 0
local flagList = globalData.allTemplates.homeTemplateList:getFlagOfLeftBtn()
for i=1,#self.meterialInfo do
self.leftBtnList[i]:setShowPop(flagList[i])
end
globalManager.tickManager:removeTick(delayTick,self)
for index,item in pairs(self.rightItem) do
item:isMeterialsEnough()
end
end
end
--延时15ms刷新界面数据。（更新背包物品协议后于兑换成功协议所以要这样处理）
self._delayCount2 = 15
globalManager.tickManager:addTick(delayTick,self)
end
function FactoryExchangePanel:initEvent()
-- body
local function closeCallBack(sender,eventType)
-- body
if(eventType == TOUCH_EVENT_ENDED)then
self.controller:hideFactoryExchangePanel()
end
end
local function enterFarmCallBack(sender,eventType)
-- body
if(eventType == TOUCH_EVENT_ENDED)then
self.controller:showFarmPanel()
self.controller:hideFactoryExchangePanel()
end
end
self.closeBtn:addTouchEventListener(closeCallBack)
self.enterFarm:addTouchEventListener(enterFarmCallBack)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.factory_exchange_panel_update,self.updateView,self)
end
function FactoryExchangePanel:removeEvent()
-- body
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.factory_exchange_panel_update,self.updateView,self)
end
function FactoryExchangePanel:dispose()
self:removeEvent()
if(self.leftBtnList ~= nil) then
for __,btn in pairs(self.leftBtnList) do
btn:dispose()
end
self.leftBtnList = nil
end
self._listPanel:removeAllItems()
self._itemList:removeAllItems()
self._listPanel = nil
self._itemList = nil
self._delayCount2 = 0
self.nameList = nil
self.currentIndex = nil
self.controller = nil
self.closeBtn = nil
self.enterFarm = nil
self.meterialInfo = nil
self.awardInfo = nil
if(self.rightItem ~= nil) then
for __,btn in pairs(self.rightItem) do
btn:dispose()
end
self.rightItem = nil
end
globalManager.ccCreator:release(self)
end
FactoryExchangeItem = class("FactoryExchangeItem",function(self,controller,meterialList,awardList,hallLevel)
local temp = globalManager.ccCreator:newJsonWidget("factoryExchangeItem")
temp.controller = controller
temp.meterialList = meterialList
temp.awardList = awardList
temp.hallLevel = hallLevel
temp.exchangeBtn = temp:getChildByName("exchangeBTN")
temp.canNotExchangeTip = temp:getChildByName("Label_898840")
temp.goodsName = temp:getChildByName("goodsName")
temp.exchangeBtn:getChildByName("exchangeLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("FactoryExchangeItem.text1"))
temp.itemList = {}
for i =1, 3 do
local cellBG = temp:getChildByName("item_bg"..i)
local cell = FurnaceGrid:new()
cellBG:addChild(cell)
table.insert(temp.itemList,cell)
end
return temp
end)
function FactoryExchangeItem:ctor()
self:initView()
self:initEvent()
end
function FactoryExchangeItem:initView()
-- body
local info = globalData.allTemplates.homeTemplateList:getTemplateByLevel(self.hallLevel)
for i =1,2 do
self.itemList[i]:setGoodsTempInfo(globalData.allTemplates.goodsTemplateList:getTemplate(self.meterialList[i+4][1]))
self.itemList[i]:setNeedCount(self.meterialList[i+4][2])
end
self.itemList[3]:setGoodsTempInfo(globalData.allTemplates.goodsTemplateList:getTemplate(self.awardList[5][1]))
self.itemList[3]:setCount(self.awardList[5][2])
self.goodsName:setText(globalData.allTemplates.goodsTemplateList:getTemplate(self.awardList[5][1]).name)
self.goodsName:setColor(globalData.allStaticTypes.colorType:getColorByQuality(globalData.allTemplates.goodsTemplateList:getTemplate(self.awardList[5][1]).quality))
--item按钮根据工坊等级判断是否显示
if tonumber(self.awardList[4]) > info.factorylevel then
self.exchangeBtn:setVisible(false)
self.exchangeBtn:setEnabled(false)
self.canNotExchangeTip:setVisible(true)
self.canNotExchangeTip:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("FactoryExchangeItem.text2"),self.awardList[4]))
else
self.exchangeBtn:setVisible(true)
self.exchangeBtn:setEnabled(true)
self.canNotExchangeTip:setVisible(false)
end
--item按钮根据是否有材料物品来判断是否置灰
self:isMeterialsEnough()
end
function FactoryExchangeItem:isMeterialsEnough()
for i=1,2 do
self.itemList[i]:setNeedCount(self.meterialList[i+4][2])
end
if self.exchangeBtn:isVisible() then
local meterialGoods1 = globalData.goodsInfoList:getGoodsCount(self.meterialList[5][1],1)
local meterialGoods2 = globalData.goodsInfoList:getGoodsCount(self.meterialList[6][1],1)
if meterialGoods1 < self.meterialList[5][2] or meterialGoods2 < self.meterialList[6][2] then
self.exchangeBtn:loadTextureNormal("btn/ui_tabBtn1_5.png",1)
self.exchangeBtn:setTouchEnabled(false)
else
self.exchangeBtn:loadTextureNormal("btn/ui_tabBtn1_3.png",1)
self.exchangeBtn:setTouchEnabled(true)
end
end
end
function FactoryExchangeItem:initEvent()
-- body
local function touchCallBack(sender,eventType)
-- body
if(eventType == TOUCH_EVENT_ENDED)then
self.controller.homeModule.message:factoryExchange(self.awardList[1],self.awardList[2])
end
end
self.exchangeBtn:addTouchEventListener(touchCallBack)
end
function FactoryExchangeItem:dispose()
self.controller = nil
self.meterialList = nil
self.awardList = nil
self.hallLevel = nil
self.exchangeBtn = nil
self.canNotExchangeTip = nil
self.goodsName = nil
for i=1,3 do
self.itemList[i]:dispose()
end
self.itemList = nil
globalManager.ccCreator:release(self)
end
HomeController = class("HomeController",function(self,homeModule)
local sc = {}
sc.homeModule = homeModule
return sc
end)
function HomeController:ctor()
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.factory_exchange_panel, self.showFactoryExchangePanel, self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.farm_openFarmPanel, self.showFarmPanel,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.farm_openFactoryExchangePanel, self.showFactoryExchangePanel,self)
end
function HomeController:showFarmPanel()
if(self.homeModule.homePanel ~= nil)then
self.homeModule.homePanel:showFarmPanel()
end
end
function HomeController:showFactoryExchangePanel()
if(self.homeModule.factoryExchangePanel == nil)then
self.homeModule.factoryExchangePanel = FactoryExchangePanel:new(self)
end
globalData.uiClickContainer:addItem(self.homeModule.factoryExchangePanel,true,true)
end
function HomeController:hideFactoryExchangePanel()
if(self.homeModule.factoryExchangePanel ~= nil)then
globalData.uiClickContainer:close(self.homeModule.factoryExchangePanel)
self.homeModule.factoryExchangePanel:dispose()
self.homeModule.factoryExchangePanel = nil
end
end
function HomeController:showHomePanel()
if(self.homeModule.homePanel == nil)then
self.homeModule.homePanel = HomePanel:new(self)
self.homeModule.homePanel.eventDis:addEventListener(globalData.globalEventType.trigger_panelDispose,self.homePanelCloseHandler,self)
end
globalData.uiPanelContainer:addPanel(globalData.allStaticTypes.panelTabType.home,self.homeModule.homePanel)
end
function HomeController:showWishPanel()
if(self.homeModule.wishPanel == nil)then
self.homeModule.wishPanel = WishPanel:new(self)
end
globalData.uiClickContainer:addItem(self.homeModule.wishPanel,true,true)
end
function HomeController:hideWishPanel()
if(self.homeModule.wishPanel ~= nil)then
globalData.uiClickContainer:close(self.homeModule.wishPanel)
self.homeModule.wishPanel:dispose()
self.homeModule.wishPanel = nil
end
end
function HomeController:showWishAwardPanel(awardList,place)
if(self.homeModule.wishAwardPanel == nil)then
self.homeModule.wishAwardPanel = BaseWishAwardPanel:new(self,awardList,place)
end
globalData.uiClickContainer:addItem(self.homeModule.wishAwardPanel,true,true)
end
function HomeController:hideWishAwardPanel()
if(self.homeModule.wishAwardPanel ~= nil)then
globalData.uiClickContainer:close(self.homeModule.wishAwardPanel)
self.homeModule.wishAwardPanel:dispose()
self.homeModule.wishAwardPanel = nil
end
end
function HomeController:homePanelCloseHandler(evt)
self.homeModule.homePanel.eventDis:removeEventListener(globalData.globalEventType.trigger_panelDispose,self.homePanelCloseHandler,self)
self.homeModule.homePanel = nil
end
HomeMessageHandler = class("HomeMessageHandler",function(self,module)
local temp = {}
temp.hometModule = module
return temp
end)
function HomeMessageHandler:ctor()
local getAwardListMessageReturn = function(data)
data = tolua.cast(data, "MessageIn")
local place = data:readByte()
local len = data:readByte()
local infoList = {}
if len ~= 0 then
for i =1,len do
infoList[data:readByte()] = {data:readByte(),data:readInt(),data:readShort()}
end
globalData.homeInfo:updateAwardList2(place,infoList)
self.hometModule.homeController:showWishAwardPanel(infoList,place)
end
end
local function wishMessageReturn(data)
-- body
data = tolua.cast(data, "MessageIn")
local startAmount = data:readShort()
local place = data:readByte()
local len = data:readByte()
local infoList = {}
if len ~= 0 then
for i =1,len do
infoList[data:readByte()] = {data:readByte(),data:readInt(),data:readShort()}
end
end
globalData.homeInfo:updateAwardList(place,infoList,startAmount)
end
local function getStarMessageReturn(data)
-- body
data = tolua.cast(data, "MessageIn")
local starTime = data:readInt()
local canGetStar = data:readShort()
local hasStarCount = data:readShort()
local totalStarCount = data:readShort()
globalData.homeInfo:updateStarInfo(starTime,canGetStar,hasStarCount,totalStarCount)
end
--好友家园信息为空时返回
local function returnError(data)
data = tolua.cast(data, "MessageIn")
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("HomeMessageHandler.text1"))
end
--开垦土地
local function farmBuyLandReturn(data)
data = tolua.cast(data, "MessageIn")
local landId = data:readByte()
globalData.farmInfo:addLand(landId)
end
--购买种子
local function farmBuySeedReturn(data)
data = tolua.cast(data, "MessageIn")
local landId = data:readByte()
local seedId = data:readInt()
local plantTime = data:readInt()
local waterTime = data:readInt()
globalData.farmInfo:addPlantInfo({landId,seedId,plantTime,waterTime})
end
--一键浇水
local function farmWaterPlantReturn(data)
data = tolua.cast(data, "MessageIn")
local plantInfoList = {}
local len = data:readByte()
for i = 1,len do
local landId = data:readByte()
local seedId = data:readInt()
local plantTime = data:readInt()
local waterTime = data:readInt()
plantInfoList[i] = {landId,seedId,plantTime,waterTime}
end
globalData.farmInfo:waterTimeUpdate(plantInfoList)
end
--一键收获
local function farmHarvestReturn(data)
data = tolua.cast(data, "MessageIn")
local len1 = data:readByte()
local landList = {}
local infoList = {}
local length = 0
for i=1,len1 do
local info = {}
info.landId = data:readByte()
info.isFengShou = data:readByte()
local len2 = data:readByte()
length = length + math.floor((len2 - 1) / 3 + 1 + 1)
info.awardList = {}
for i=1,len2 do
local goodsId = data:readInt()
local count = data:readInt()
info.awardList[i] = {goodsId,count}
end
landList[i] = info.landId
table.insert(infoList,info)
end
globalData.farmInfo:harvestUpdate(landList)
local view = FarmAwardPanel:new()
view:show(infoList,length)
end
local function factoryExchangeReturn(data)
-- body
data = tolua.cast(data, "MessageIn")
local flag = data:readByte()
if flag == 1 then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.factory_exchange_panel_update,globalManager.gameDispatcher))
else
globalManager.tipsManager.quickTip:show("兑换失败")
end
end
local function treeFriendListReturn(data)
data = tolua.cast(data, "MessageIn")
local len = data:readShort()
local friendIdList = {}
for i = 1,len,1 do
local userId = data:readNumber()
table.insert(friendIdList,userId)
end
if(self.hometModule.homePanel ~= nil and #friendIdList > 0)then
self.hometModule.homePanel:showFriendListPanel(friendIdList)
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("HomePanel.text15"))
end
end
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.HOME_HELP_FRIEND_LIST,treeFriendListReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.FARM_BUY_LAND,farmBuyLandReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.FARM_BUY_SEED,farmBuySeedReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.FARM_WATER_PRANT,farmWaterPlantReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.HARM_HARVEST,farmHarvestReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.HOME_FRIEND_INFO_NIL,returnError)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.WISH_AWARD_LIST,getAwardListMessageReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.WISH_UPDATE_INFO,getStarMessageReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.WISH,wishMessageReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.FACTORY_EXCHANGE,factoryExchangeReturn)
end
HomeMessageSender = class("HomeMessageSender",function(self,module)
local temp = {}
temp.homeModule = module
return temp
end)
function HomeMessageSender:add()
self.homeMessageHandler = HomeMessageHandler:new(self.homeModule)
end
function HomeMessageSender:sendHomeUpgrade()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.HOME_UPGRADE)
globalManager.messageManager:send(messOut)
end
function HomeMessageSender:sendGetTreeAward()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.HOME_GET_TREE_AWARD)
globalManager.messageManager:send(messOut)
end
function HomeMessageSender:sendWaterTree()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.HOME_WATER_TREE)
globalManager.messageManager:send(messOut)
end
function HomeMessageSender:sendWaterFriendTree(userId)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.HOME_HELP_WATER)
messOut:writeNumber(userId)
globalManager.messageManager:send(messOut)
end
--获取许愿池物品列表
function HomeMessageSender:getWishAwardList(place)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.WISH_AWARD_LIST)
messOut:writeByte(place)
globalManager.messageManager:send(messOut)
end
--许愿
function HomeMessageSender:wish(place,awardPlace,flage)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.WISH)
messOut:writeByte(place)
messOut:writeByte(awardPlace)
messOut:writeByte(flage)
globalManager.messageManager:send(messOut)
end
--摘星星
function HomeMessageSender:getAllStar()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.WISH_GET_STAR)
globalManager.messageManager:send(messOut)
end
--摘刷新许愿池时间
function HomeMessageSender:getWishTime()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.WISH_UPDATE_INFO)
globalManager.messageManager:send(messOut)
end
--幸运树信息更新
function HomeMessageSender:getLuckTreeInfo()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.HOME_TREE_INFO)
globalManager.messageManager:send(messOut)
end
--幸运树一键帮浇水
function HomeMessageSender:luckTreeWaterAll(friendList)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.HOME_HELP_WATER_ALL)
messOut:writeShort(#friendList)
for __,userId in pairs(friendList) do
messOut:writeNumber(userId)
end
globalManager.messageManager:send(messOut)
end
--幸运树-获取可浇水好友列表
function HomeMessageSender:getCanWaterFriendList(friendList)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.HOME_HELP_FRIEND_LIST)
messOut:writeShort(#friendList)
for __,userId in pairs(friendList) do
messOut:writeNumber(userId)
end
globalManager.messageManager:send(messOut)
end
---------------------农场---------------------
--一键收获
function HomeMessageSender:farmHarvest(landIdList)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.HARM_HARVEST)
messOut:writeByte(#landIdList)
for __,id in pairs(landIdList) do
messOut:writeByte(id)
end
globalManager.messageManager:send(messOut)
end
--一键浇水
function HomeMessageSender:farmWaterPlant(landIdList)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.FARM_WATER_PRANT)
messOut:writeByte(#landIdList)
for __,id in pairs(landIdList) do
messOut:writeByte(id)
end
globalManager.messageManager:send(messOut)
end
--激活土地
function HomeMessageSender:farmBuyLand(landId)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.FARM_BUY_LAND)
messOut:writeByte(landId)
globalManager.messageManager:send(messOut)
end
--工坊兑换
function HomeMessageSender:factoryExchange(type,pos)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.FACTORY_EXCHANGE)
messOut:writeByte(type)
messOut:writeByte(pos)
globalManager.messageManager:send(messOut)
end
HomeModule = class("HomeModule",function()
local hm = BaseModule:new()
hm.homePanel = nil
hm.homeController = nil
return hm
end)
--override
function HomeModule:getModuleType()
return globalData.allStaticTypes.moduleType.home
end
--override
function HomeModule:setup(data)
self.message = HomeMessageSender:new(self)
self.message:add()
self.homeController = HomeController:new(self)
self:configure(data)
end
--override
function HomeModule:configure(data)
if(data.tab == 1)then
self.homeController:showHomePanel()
--self.homePanel:updateView(data.info)
end
end
LeagueApplyListItem = class("LeagueApplyListItem",function(self, view,controller)
local temp = globalManager.ccCreator:newJsonWidget("LeagueApplyItem")
temp:getChildByName("txtName_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueApplyListItem.text1"))
temp:getChildByName("nomalBtn_Copy4"):getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("ResponseItemView.text1"))
temp:getChildByName("btnDetail_Copy1"):getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueApplyListItem.text3"))
temp._view = view
temp._leagueController = controller
temp._agrrent = temp:getChildByName("btnDetail_Copy1")
temp._txtName = temp:getChildByName("txtName")
temp._personLevel = temp:getChildByName("btnLevel")
temp._refuse = temp:getChildByName("nomalBtn_Copy4")
temp._imageView = temp:getChildByName("ImageView_290495")
temp._careerIcon = temp._imageView:getChildByName("careerIcon")
temp._clubMoney  = temp:getChildByName("clubMoney")
temp._offlineLabel = temp:getChildByName("lixianLabel")
temp._careerIcon:setTouchEnabled(true)
temp._info = nil
return temp
end)
function LeagueApplyListItem:ctor()
self:initEvent()
if globalData.leagueInfo.myJob == 0 then
self._agrrent:setEnabled(false)
self._refuse:setEnabled(false)
end
end
function LeagueApplyListItem:initEvent()
local agrrentClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
self._leagueController.module.message:dealWareHouseItem(1,self._info.userId,self._info.itemId, 1, self._info.streng, self._info.stage)
self._view:updateView()
end
end
self._agrrent:addTouchEventListener(agrrentClickHandler)
local refuseClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
self._leagueController.module.message:dealWareHouseItem(0,self._info.userId,self._info.itemId, 1, self._info.streng, self._info.stage)
self._view:updateView()
end
end
self._refuse:addTouchEventListener(refuseClickHandler)
local personClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalData.messageAdder:infoQuery(self._info.userId,0)
end
end
self._careerIcon:addTouchEventListener(personClickHandler)
end
function LeagueApplyListItem:removeEvent()
end
function LeagueApplyListItem:setData(info)
if(info == nil) then return end
self._info = info
self._txtName:setText(info.name)
self._personLevel:setText(info.level ..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel48"))
self._careerIcon:loadTexture(globalData.allStaticTypes.careerType:getHeadPath(info.career),1)
self._clubMoney:setText(info.club_wealth)
if(info.state == 0)then
local systemTime = math.floor(globalData.systemDateInfo:getSystemTime() * 0.001)
local days = math.floor((systemTime - info.offline) / (24 * 3600))
if(days == 0)then
self._offlineLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueApplyListItem.text4"))
elseif(days > 0 )then
self._offlineLabel:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("LeagueApplyListItem.text6"),days))
end
elseif(info.state == 1)then
self._offlineLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueApplyListItem.text5"))
end
end
function LeagueApplyListItem:dispose()
self:removeEvent()
self._leagueController = nil
self._agrrent = nil
self._txtName = nil
self._personLevel = nil
self._refuse = nil
self._careerIcon = nil
self._imageView = nil
globalManager.ccCreator:release(self)
end
--帮派申請列表
LeagueApplyListPanel = class("LeagueApplyListPanel",function(self,info,controller)
local temp = globalManager.ccCreator:newJsonWidget("LeagueApplyList")
temp:getChildByName("titleLabel_Copy1"):setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueApplyListPanel.text1"))
temp:getChildByName("equipCell"):getChildByName("Label_277833"):setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueApplyListPanel.text2"))
temp:getChildByName("btnHistory"):getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueApplyListPanel.text3"))
temp._listPanel = temp:getChildByName("listView")
temp._leagueController = controller
temp._listPanel:setItemsMargin(10)
temp._equipCell = temp:getChildByName("equipCell")
temp._equipName = temp._equipCell:getChildByName("txtName")
temp._equipNum  = temp._equipCell:getChildByName("txtNum")
temp._btnHistory = temp:getChildByName("btnHistory")
temp._btnHistory:setEnabled(false)
temp._closeBtn = temp:getChildByName("close_btn")
temp._info = info
temp._grid = GoodsInfoGrid:new(false)
temp._equipCell:addChild(temp._grid)
temp._viewList = {}
temp._label = globalManager.ccCreator:newLabel()
temp._label:setFontSize(32)
temp._label:setPosition(globalManager.ccCreator:newPoint(330,265))
temp._label:setColor(globalData.allStaticTypes.colorType.TIPTITLE_COLOR)
temp._label:setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueApplyListPanel.text4"))
temp._label:setVisible(false)
temp:addChild(temp._label,2)
return temp
end)
function LeagueApplyListPanel:ctor()
self:initEvent()
self:updateView()
end
function LeagueApplyListPanel:initEvent()
local goClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
self._leagueController:showLeagueHistoryView()
end
end
self._btnHistory:addTouchEventListener(goClickHandler)
local closeClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
self:dispose()
end
end
self._closeBtn:addTouchEventListener(closeClickHandler)
end
function LeagueApplyListPanel:removeEvent()
end
function LeagueApplyListPanel:updateView()
self._listPanel:removeAllItems()
--帮派物品信息
self.goodsinfo = GoodsInfo:new()
self.goodsinfo:setTemplateId(self._info.itemId)
self._grid:setGoodsInfo(self.goodsinfo)
self._equipName:setText(self.goodsinfo:getTemplate().name)
self._equipNum:setText(self._info.amount)
--成员申请信息
if(self._viewList ~= nil and #self._viewList > 0) then
self._listPanel:removeAllItems()
for __,view in pairs(self._viewList) do
view:dispose()
end
self._viewList = {}
end
for i=#self._info.applyUsers,1,-1 do
local info = self._info.applyUsers[i]
local view = LeagueApplyListItem:new(self, self._leagueController)
view:setData(info)
self._listPanel:pushBackCustomItem(view)
table.insert(self._viewList,view)
end
if(self._info.applyUsers == nil or #self._info.applyUsers == 0)then
self._label:setVisible(true)
else
self._label:setVisible(false)
end
self._listPanel:refreshView()
self._listPanel:jumpToPercentVertical(0)
end
function LeagueApplyListPanel:hideFormClickContainer()
self:dispose()
end
function LeagueApplyListPanel:dispose()
globalData.uiClickContainer:close(self)
self:removeEvent()
self._leagueController = nil
if(self._listPanel ~= nil)then
self._listPanel:removeAllItems()
end
self._listPanel = nil
self._equipCell = nil
self._equipName = nil
self._equipNum  = nil
self._btnHistory = nil
self._info    = nil
self._closeBtn = nil
self._grid:dispose()
self._grid = nil
if(self._viewList ~= nil) then
for __,view in pairs(self._viewList) do
view:dispose()
end
self._viewList = nil
end
globalManager.ccCreator:release(self._label)
self._label = nil
globalManager.ccCreator:release(self)
end
LeagueBossItemView = class("LeagueBossItemView", function(self,controller,parent)
local temp = globalManager.ccCreator:newJsonWidget("LeagueBossItemView")
temp:getChildByName("reset_btn"):getChildByName("text_label"):setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueBossItemView.text1"))
temp:getChildByName("fight_btn"):getChildByName("text_label"):setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueBossItemView.text2"))
temp._controller = controller
temp._parent     = parent
temp._listPanel  = temp:getChildByName("icon_bg")
temp._nameLabel  = temp:getChildByName("name_label")
temp._levelLabel = temp:getChildByName("level_label")
temp._resetBtn   = temp:getChildByName("reset_btn")
temp._resetBtn:setEnabled(false)
temp._bossBar    = temp:getChildByName("boss_bar")
temp._bossLabel  = temp:getChildByName("boss_label")
temp._countLabel = temp:getChildByName("count_label")
temp._fightBtn   = temp:getChildByName("fight_btn")
temp._copyInfo   = nil
temp._count      = 0
temp._iconImage  = temp:getChildByName("bossIcon")
temp._path       = nil
return temp
end)
function LeagueBossItemView:ctor()
self:initEvent()
end
function LeagueBossItemView:setInfo(copyInfo)
self._copyInfo = copyInfo
self._nameLabel:setText(copyInfo.name)
self._count = globalData.copyInfo:getCopyLeftCount(copyInfo.copyId)
self._countLabel:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("LeagueBossItemView.text13"),self._count))
if(globalData.leagueInfo.level < copyInfo.leagueLevel) then
self._levelLabel:setText("("..copyInfo.leagueLevel..globalManager.yuyanbaoManager:getYuyanbao("LeagueBossItemView.text3"))
else
self._levelLabel:setVisible(false)
end
local monsterInfo = nil
if(copyInfo.copyId == 16110)then
monsterInfo  = globalData.allTemplates.monsterTemplateList:getMonster(900109)
elseif(copyInfo.copyId == 16210)then
monsterInfo = globalData.allTemplates.monsterTemplateList:getMonster(900209)
elseif(copyInfo.copyId == 16310)then
monsterInfo = globalData.allTemplates.monsterTemplateList:getMonster(900309)
end
self._path = globalManager.pathManager:getMonsterHead(monsterInfo.headPath)
globalManager.sourceCacheManager:setImage(self._iconImage,self._path,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self._iconImage:setScale(0.8)
end
function LeagueBossItemView:initEvent()
local function restBtnHandler()
self._controller.module.message:resetCopy(self._copyInfo.copyId)
end
local resetClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(globalData.leagueInfo.level < self._copyInfo.leagueLevel) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("LeagueBossItemView.text4"))
return
end
if(self._copyInfo.copyId == 16110)then
if(globalData.leagueInfo.wealth >= 20000)then
Alert:new():show(2,globalManager.yuyanbaoManager:getYuyanbao("LeagueBossItemView.text5"),globalManager.noAlertUtils.DELETE_FRIEND,0,self,restBtnHandler)
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("LeagueBossItemView.text6"))
end
elseif(self._copyInfo.copyId == 16210)then
if(globalData.leagueInfo.wealth >= 30000)then
Alert:new():show(2,globalManager.yuyanbaoManager:getYuyanbao("LeagueBossItemView.text7"),globalManager.noAlertUtils.DELETE_FRIEND,0,self,restBtnHandler)
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("LeagueBossItemView.text8"))
end
elseif(self._copyInfo.copyId == 16310)then
if(globalData.leagueInfo.wealth >= 40000)then
Alert:new():show(2,globalManager.yuyanbaoManager:getYuyanbao("LeagueBossItemView.text9"),globalManager.noAlertUtils.DELETE_FRIEND,0,self,restBtnHandler)
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("LeagueBossItemView.text10"))
end
end
end
end
local fightClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
-- if(globalData.leagueInfo.level < self._copyInfo.leagueLevel) then
-- 	globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("LeagueBossItemView.text11"))
-- 	return
-- end
if(self._count <= 0) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("LeagueBossItemView.text12"))
return
end
self._parent:showView2(self._copyInfo.copyId)
end
end
self._resetBtn:addTouchEventListener(resetClickHandler)
self._fightBtn:addTouchEventListener(fightClickHandler)
globalData.leagueInfo:addEventListener(globalData.globalEventType.league_bossHp, self.leagueBossHpHandler, self)
end
function LeagueBossItemView:removeEvent()
globalData.leagueInfo:removeEventListener(globalData.globalEventType.league_bossHp, self.leagueBossHpHandler, self)
end
function LeagueBossItemView:leagueBossHpHandler(evt)
local data = globalData.leagueInfo.bossMissionList[self._copyInfo.copyId]
local missonId = globalData.allTemplates.copyTemplateList:getCopy(self._copyInfo.copyId).missions[9]
local missionInfo = globalData.allTemplates.copyMissionTemplateList:getMission(missonId)
if(data == nil) then return end
local per = math.floor( data[2] * 100 / missionInfo.fight)
self._bossLabel:setText(per.."%")
self._bossBar:setPercent(per)
if(globalData.leagueInfo.myJob > 0 and data[1] > missonId)then
self._resetBtn:setEnabled(true)
end
if(data[1] > missonId)then
self._fightBtn:loadTextureNormal("btn/ui_tabBtn1_5.png",1)
self._fightBtn:setTouchEnabled(false)
else
self._fightBtn:loadTextureNormal("btn/ui_tabBtn1_3.png",1)
self._fightBtn:setTouchEnabled(true)
self._resetBtn:setEnabled(false)
end
end
function LeagueBossItemView:dispose()
self:removeEvent()
self._controller = nil
self._parent     = nil
self._listPanel  = nil
self._nameLabel  = nil
self._levelLabel = nil
self._resetBtn   = nil
self._bossBar    = nil
self._bossLabel  = nil
self._countLabel = nil
self._fightBtn   = nil
self._copyInfo   = nil
if(self._path ~= nil) then
globalManager.sourceCacheManager:removeQuote(self._path)
self._path   = nil
end
self._iconImage  = nil
globalManager.ccCreator:release(self)
end
LeagueBossView = class("LeagueBossView", function(self,controller)
local temp = globalManager.ccCreator:newJsonWidget("LeagueBossView")
temp:getChildByName("Label_461745"):setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueBossView.text1"))
temp:getChildByName("Label_461745_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueBossView.text2"))
temp._controller = controller
temp._copyList = nil
temp._listPanel = temp:getChildByName("list_panel")
temp._listPanel:setItemsMargin(5)
temp._itemList = {}
temp._copyView2 = nil
return temp
end)
function LeagueBossView:ctor()
self._copyList = globalData.allTemplates.copyTemplateList:getLeagueBossCopyList()
for __,copy in pairs(self._copyList) do
local item = LeagueBossItemView:new(self._controller,self)
item:setInfo(copy)
table.insert(self._itemList,item)
self._listPanel:pushBackCustomItem(item)
end
globalData.messageAdder:sendLeagueBossInfoList()
end
function LeagueBossView:showView2(copyId)
if(self._copyView2 == nil) then
self._copyView2 = LeagueBossView2:new(self._controller)
end
self._copyView2:setInfo(copyId)
self:addChild(self._copyView2,99)
end
function LeagueBossView:dispose()
self._controller = nil
self._copyList = nil
if(self._itemList ~= nil) then
for __,item in pairs(self._itemList) do
item:dispose()
end
self._itemList = nil
end
if(self._copyView2 ~= nil) then
self._copyView2:dispose()
self._copyView2 = nil
end
self._listPanel:removeAllItems()
self._listPanel = nil
globalManager.ccCreator:release(self)
end
LeagueBossResultView = class("LeagueBossResultView",function(self)
local self       = globalManager.ccCreator:newJsonWidget("leagueBossResultView")
self._rateLabel  = self:getChildByName("content2")
self._expLabel   = self:getChildByName("txtV4_Copy0")
self._bgLabel    = self:getChildByName("txtV2_Copy0")
self._quiteBtn   = self:getChildByName("quitBtn_Copy0")
self._itemList    = {}
for i = 1,4,1 do
table.insert(self._itemList,self:getChildByName("item"..i))
end
self:getChildByName("content1"):setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueBossResultView.text1"))
self:getChildByName("content3"):setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueBossResultView.text2"))
self:getChildByName("content4"):setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueBossResultView.text3"))
self:getChildByName("content5"):setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueBossResultView.text4"))
self:getChildByName("content6"):setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueBossResultView.text5"))
self._quiteBtn:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel1"))
self._goodsInfos = {}
self._gridList = {}
return self
end)
function LeagueBossResultView:ctor()
self:initEvent()
globalData.uiClickContainer:addItem(self,true,false)
end
function LeagueBossResultView:initEvent()
local goClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
self:dispose()
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.leagueTab)
if(globalData.uiPanelContainer:getCurrentPanel() ~= nil) then
globalData.uiPanelContainer:getCurrentPanel():jumpToTab(3)
end
end
end
self._quiteBtn:addTouchEventListener(goClickHandler)
end
function LeagueBossResultView:setInfo(exp, wealth, hurtRate, goodsList)
self._expLabel:setText(exp)
self._rateLabel:setText(hurtRate * 0.01 .."%")
self._bgLabel:setText(wealth)
local len = #goodsList
for i = 1,len,1 do
if self._itemList[i] ~= nil then
local grid = GoodsInfoGrid:new()
local goodsinfo = GoodsInfo:new()
goodsinfo:setTemplateId(goodsList[i].templateId)
goodsinfo.count = goodsList[i].count
table.insert(self._goodsInfos,goodsinfo)
grid:setGoodsInfo(goodsinfo)
self._itemList[i]:addChild(grid)
table.insert(self._gridList,grid)
end
end
end
function LeagueBossResultView:removeEvent()
end
function LeagueBossResultView:dispose()
globalData.uiClickContainer:close(self)
self:removeEvent()
self._rateLabel  = nil
self._expLabel   = nil
self._bgLabel    = nil
self._quiteBtn   = nil
for __,info in pairs(self._goodsInfos) do
info:dispose()
end
self._goodsInfos = nil
if(self._gridList ~= nil) then
for __,grid in pairs(self._gridList) do
grid:dispose()
end
self._gridList = nil
end
self._itemList = nil
globalManager.ccCreator:release(self)
end
--帮贡设置
LeagueContributionView = class("LeagueContributionView",function(self,controller)
local temp = globalManager.ccCreator:newJsonWidget("LeagueContributionView")
temp:getChildByName("titleLabel_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueContributionView.text1"))
temp:getChildByName("Label1_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueContributionView.text2"))
temp:getChildByName("Label1_Copy0"):setColor(globalData.allStaticTypes.colorType.COLORRED)
temp:getChildByName("Label2_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueContributionView.text3"))
temp:getChildByName("Label2_Copy0"):setColor(globalData.allStaticTypes.colorType.COLORRED)
temp:getChildByName("accept_btn_Copy0"):getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueContributionView.text4"))
temp._controller = controller
temp._listPanel = temp:getChildByName("listView")
temp._closeBtn = temp:getChildByName("close_btn_Copy0")
temp._OKBtn = temp:getChildByName("accept_btn_Copy0")
temp._listPanel:setItemsMargin(5)
temp._viewList = {}
return temp
end)
function LeagueContributionView:ctor()
self:initEvent()
self:updateView()
end
function LeagueContributionView:initEvent()
local closeClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
self:dispose()
end
end
local OKClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
local itemList = {}
for __,item in pairs(self._viewList) do
if(item:checkChange())then
table.insert(itemList,item:getInfo())
end
end
self._controller.module.message:leagueContributeSet(itemList)
self:dispose()
end
end
self._closeBtn:addTouchEventListener(closeClickHandler)
self._OKBtn:addTouchEventListener(OKClickHandler)
end
function LeagueContributionView:removeEvent()
end
function LeagueContributionView:updateView()
if(self._viewList ~= nil and #self._viewList > 0) then
for __,view in pairs(self._viewList) do
view:dispose()
end
self._listPanel:removeAllItems()
self._viewList = {}
end
local goodsList = globalData.leagueInfo.wareHouseList._list
for i,info in pairs(goodsList) do
local item = LeagueContributionItem:new()
item:setData(info)
self._listPanel:pushBackCustomItem(item)
table.insert(self._viewList,item)
end
self._listPanel:refreshView()
end
function LeagueContributionView:scrollTop()
globalManager.tickManager:addTick(self.nextFrame, self)
end
function LeagueContributionView:nextFrame()
globalManager.tickManager:removeTick(self.nextFrame, self)
self._listPanel:jumpToPercentVertical(0)
end
function LeagueContributionView:hideFormClickContainer()
end
function LeagueContributionView:dispose()
self:removeEvent()
globalData.uiClickContainer:close(self)
self._controller = nil
self._closeBtn = nil
self._OKBtn = nil
if(self._viewList ~= nil) then
for __,view in pairs(self._viewList) do
view:dispose()
end
self._viewList = nil
end
if(self._listPanel ~= nil)then
self._listPanel:removeAllItems()
self._listPanel = nil
end
globalManager.ccCreator:release(self)
end
LeagueContributionItem = class("LeagueContributionItem",function(self)
local temp = globalManager.ccCreator:newJsonWidget("LeagueContributionItem")
temp._equipCell = temp:getChildByName("equipCell_Copy1")
temp._autoIcon  = temp:getChildByName("ImageView_470451_Copy0")
temp._autoIcon:setVisible(false)
temp._txtName = temp:getChildByName("txtName")
temp._txtNum  = temp:getChildByName("txtNum")
temp._checkBox   = temp:getChildByName("auto_check_Copy0")
temp._subBtn     = temp:getChildByName("subBtn")
temp._addBtn     = temp:getChildByName("addBtn")
temp._numLabel   = temp:getChildByName("numLabel")
temp._grid = nil
temp.goodsinfo = nil
temp._templateId = 0
temp.club_wealth = 0
temp.oldWealth   = 0
temp.oldState    = false
temp._checkBox:getChildByName("Label_202054"):setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueContributionItem.text1"))
return temp
end)
function LeagueContributionItem:ctor()
self:initEvent()
end
function LeagueContributionItem:initEvent()
local function subBtnClickHandler(sender,eventType)
if (eventType == TOUCH_EVENT_ENDED) then
if(self.club_wealth <= 500)then
self.club_wealth = 500
else
self.club_wealth = self.club_wealth - 500
end
self._numLabel:setText(self.club_wealth)
end
end
local function addBtnClickHandler(sender,eventType)
if (eventType == TOUCH_EVENT_ENDED) then
if(self.club_wealth >= 10000)then
self.club_wealth = 10000
else
self.club_wealth = self.club_wealth + 500
end
self._numLabel:setText(self.club_wealth)
end
end
self._subBtn:addTouchEventListener(subBtnClickHandler)
self._addBtn:addTouchEventListener(addBtnClickHandler)
end
function LeagueContributionItem:removeEvent()
end
function LeagueContributionItem:checkChange()
if(self.oldWealth ~= self.club_wealth or self.oldState ~= self._checkBox:getSelectedState())then
return true
else
return false
end
end
function LeagueContributionItem:getInfo()
local changeNum = 0
if(self._checkBox:getSelectedState())then
changeNum = 1
else
changeNum = 0
end
return {self._templateId,changeNum,self.club_wealth}
end
function LeagueContributionItem:setData(info)
if(info == nil) then return end
self._templateId = info.itemId
self._grid = GoodsInfoGrid:new(false)
self.goodsinfo = GoodsInfo:new()
self.goodsinfo:setTemplateId(info.itemId)
self.goodsinfo.count = info
self._grid:setGoodsInfo(self.goodsinfo)
self._equipCell:addChild(self._grid)
self._txtName:setText(self.goodsinfo:getTemplate().name)
if(info.amount ~= nil)then
self._txtNum:setText(info.amount)
else
self._txtNum:setText("0")
end
if(info.needWealth ~= nil)then
self._numLabel:setText(info.needWealth)
self.club_wealth = info.needWealth
self.oldWealth   = info.needWealth
else
self._numLabel:setText("500")
self.club_wealth = 500
self.oldWealth   = 500
end
if(info.isAuto ~= nil and info.isAuto == 1 )then
self.oldState = true
self._autoIcon:setVisible(true)
self._checkBox:setSelectedState(true)
else
self.oldState = false
self._autoIcon:setVisible(false)
self._checkBox:setSelectedState(false)
end
end
function LeagueContributionItem:dispose()
self:removeEvent()
self._equipCell = nil
self._autoIcon = nil
self._txtName = nil
self._txtNum  = nil
self._subBtn = nil
self._addBtn = nil
self._checkBox = nil
if(self.goodsinfo ~= nil) then
self.goodsinfo:dispose()
self.goodsinfo = nil
end
self._numLabel = nil
if(self._grid ~= nil) then
self._grid:dispose()
self._grid = nil
end
globalManager.ccCreator:release(self)
end
LeagueBossView2 = class("LeagueBossView2", function(self,controller)
local temp = globalManager.ccCreator:newJsonWidget("LeagueBossView2")
temp._controller = controller
temp:getChildByName("title_label"):setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueBossView2.text1"))
temp:getChildByName("back_btn"):getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueBossView2.text2"))
temp:getChildByName("enter_btn"):getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueBossView2.text3"))
temp._copyId = 0
temp._index = 1
temp._background = temp:getChildByName("background")
temp._path = globalManager.pathManager:getUISource("outPic/ui_clubBossBg.png")
temp._backBtn = temp:getChildByName("back_btn")
temp._enterBtn = temp:getChildByName("enter_btn")
temp._titleLabel = temp:getChildByName("title_label")
temp._light = temp:getChildByName("select_light")
temp._lockIconList = {}
for i = 1,9,1 do
table.insert(temp._lockIconList,temp:getChildByName("lock_icon"..i))
end
temp._bossIconList = {}
temp._pathList     = {"","","","","","","","",""}
for i = 1,9,1 do
table.insert(temp._bossIconList,temp:getChildByName("bossIcon"..i))
end
temp._gridList = {}
temp._awardPanel = temp:getChildByName("awardCell_panel")
temp.copyInfo = nil
return temp
end)
function LeagueBossView2:ctor()
globalManager.sourceCacheManager:setImage(self._background,self._path,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self:initEvent()
end
function LeagueBossView2:initEvent()
local backClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self:removeFromParent(false)
end
end
local enterClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(globalData.leagueInfo.level < self.copyInfo.leagueLevel) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("LeagueBossView2.text4"))
return
end
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_enterCopy,globalManager.gameDispatcher,{self._copyId,self._index}))
end
end
self._backBtn:addTouchEventListener(backClickHandler)
self._enterBtn:addTouchEventListener(enterClickHandler)
end
function LeagueBossView2:removeEvent()
end
function LeagueBossView2:setInfo(copyId)
self._copyId = copyId
local mission = globalData.leagueInfo.bossMissionList[copyId]
self.copyInfo = globalData.allTemplates.copyTemplateList:getCopy(copyId)
if(mission == nil or mission[1] == nil) then
self._index = 1
else
self._index = globalManager.commonUtils:getIndexOfTable(self.copyInfo.missions,mission[1])
if(self._index == -1) then self._index = 10 end
end
for i = 1,9,1 do
if(i < self._index) then
self._lockIconList[i]:setVisible(true)
--self._lockIconList[i]:loadTexture("flag/ui_killFlag",1)
elseif(i == self._index) then
self._lockIconList[i]:setVisible(false)
self._light:setPosition(globalManager.ccCreator:newPoint(self._lockIconList[i]:getPositionX(),self._lockIconList[i]:getPositionY()))
else
self._lockIconList[i]:setVisible(false)
-- 	self._lockIconList[i]:loadTexture("icon/ui_copy1_lockIcon",1)
end
end
if(self._pathList ~= nil ) then
for __,info in pairs(self._pathList) do
globalManager.sourceCacheManager:removeQuote(info)
info = ""
end
end
for i = 1,9,1 do
local boosId = globalData.allTemplates.copyMissionTemplateList:getMission(self.copyInfo.missions[i]).bossId
local monsterTemplate = globalData.allTemplates.monsterTemplateList:getMonster(boosId)
self._pathList[i]     = globalManager.pathManager:getMonsterHead(monsterTemplate.headPath)
globalManager.sourceCacheManager:setImage(self._bossIconList[i],self._pathList[i],globalData.allStaticTypes.sourceStaticType.clearFiveM)
end
if(copyId == 16110)then
self._titleLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueBossView2.text1"))
elseif(copyId == 16210)then
self._titleLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueBossView2.text5"))
elseif(copyId == 16310)then
self._titleLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueBossView2.text6"))
end
local awardId = 0
if(self._index > 9)then
awardId = 1
else
awardId = self._index
end
local rewardList = globalData.allTemplates.copyMissionTemplateList:getMission(self.copyInfo.missions[awardId]).rewardItems
self:clearGrids()
if(rewardList ~= nil)then
local len = table.getn(rewardList)
if(len > 4)then len = 4 end
if(len > 0)then
for i = 1,len,1 do
local grid = GoodsInfoGrid:new()
grid:setGoodsTempInfo(globalData.allTemplates.goodsTemplateList:getTemplate(rewardList[i][1]))
table.insert(self._gridList,grid)
self._awardPanel:addChild(grid,9)
grid:setPosition((i - 1) * 91 - 2,-13)
end
end
end
end
function LeagueBossView2:clearGrids()
local len = table.getn(self._gridList)
for i = 1,len,1 do
self._gridList[i]:dispose()
end
self._gridList = {}
end
function LeagueBossView2:dispose()
self:removeEvent()
globalManager.sourceCacheManager:removeQuote(self._path)
self._backgroundPath = nil
self._controller = nil
self._background = nil
self._backBtn    = nil
self._enterBtn   = nil
self._titleLabel = nil
self._light = nil
self._lockIconList = nil
if(self._gridList ~= nil) then
for __,grid in pairs(self._gridList) do
grid:dispose()
end
self._gridList = nil
end
self._awardPanel = nil
self.copyInfo    = nil
if(self._pathList ~= nil) then
for __,info in pairs(self._pathList) do
globalManager.sourceCacheManager:removeQuote(info)
info = nil
end
end
self._pathList = nil
self._bossIconList = nil
globalManager.ccCreator:release(self)
end
LeagueHistoryItem = class("LeagueHistoryItem",function(self)
local temp = globalManager.ccCreator:newJsonWidget("LeagueHistoryItem")
temp._equipCell = temp:getChildByName("equipCell")
temp._equipCell:getChildByName("txtNum"):setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueHistoryItem.text1"))
temp._txtName = temp._equipCell:getChildByName("txtName")
temp._btnDeliver = temp._equipCell:getChildByName("btnDeliver")
temp._grid = nil
return temp
end)
function LeagueHistoryItem:ctor()
self:initEvent()
end
function LeagueHistoryItem:initEvent()
end
function LeagueHistoryItem:removeEvent()
end
function LeagueHistoryItem:setData(info)
if(info == nil) then return end
self._grid = GoodsInfoGrid:new()
local goodsinfo = GoodsInfo:new()
goodsinfo:setTemplateId(info.itemId)
goodsinfo.count = info.amount
if(info.strength ~= nil) then
goodsinfo:updateStrengthLevel(info.strength)
end
if(info.stage ~= nil) then
goodsinfo.stage = info.stage
end
self._grid:setGoodsInfo(goodsinfo)
self._equipCell:addChild(self._grid)
self._txtName:setText(info.request.. "  " .. globalData.systemDateInfo:secondsToDateString5(info.date + globalData.systemDateInfo.timeZoneSecond))
self._btnDeliver:setText(info.deal)
end
function LeagueHistoryItem:dispose()
self:removeEvent()
self._equipCell = nil
self._txtName = nil
self._btnDeliver = nil
if(self._grid ~= nil) then
self._grid:dispose()
self._grid = nil
end
globalManager.ccCreator:release(self)
end
--帮派分配记录
LeagueHistoryView = class("LeagueHistoryView",function(self)
local temp = globalManager.ccCreator:newJsonWidget("LeagueHistoryList")
temp:getChildByName("titleLabel_Copy1"):setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueHistoryView.text1"))
temp._listPanel = temp:getChildByName("listView")
temp._closeBtn = temp:getChildByName("close_btn")
temp._listPanel:setItemsMargin(10)
temp._viewList = {}
temp._label = globalManager.ccCreator:newLabel()
temp._label:setFontSize(32)
temp._label:setPosition(globalManager.ccCreator:newPoint(340,300))
temp._label:setColor(globalData.allStaticTypes.colorType.TIPTITLE_COLOR)
temp._label:setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueHistoryView.text3"))
temp._label:setVisible(false)
temp:addChild(temp._label,5)
return temp
end)
function LeagueHistoryView:ctor()
self:initEvent()
self:updateView()
end
function LeagueHistoryView:initEvent()
local closeClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
self:dispose()
end
end
self._closeBtn:addTouchEventListener(closeClickHandler)
end
function LeagueHistoryView:removeEvent()
end
function LeagueHistoryView:updateView()
if(self._viewList ~= nil and #self._viewList > 0) then
for __,view in pairs(self._viewList) do
view:dispose()
end
self._listPanel:removeAllItems()
self._viewList = {}
end
if(globalData.leagueInfo.wareHouseLog == nil or #globalData.leagueInfo.wareHouseLog <= 0)then
self._label:setVisible(true)
else
self._label:setVisible(false)
end
if(globalData.leagueInfo.wareHouseLog == nil) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("LeagueHistoryView.text2"))
return
end
local function sortFunc(a, b)
return a.date < b.date
end
table.sort( globalData.leagueInfo.wareHouseLog, sortFunc )
for i = #globalData.leagueInfo.wareHouseLog, 1, -1 do
local info = globalData.leagueInfo.wareHouseLog[i]
local view = LeagueHistoryItem:new()
view:setData(info)
self._listPanel:pushBackCustomItem(view)
table.insert(self._viewList,view)
end
self._listPanel:refreshView()
end
function LeagueHistoryView:scrollTop()
globalManager.tickManager:addTick(self.nextFrame, self)
end
function LeagueHistoryView:nextFrame()
globalManager.tickManager:removeTick(self.nextFrame, self)
self._listPanel:jumpToPercentVertical(0)
end
function LeagueHistoryView:hideFormClickContainer()
self:dispose()
end
function LeagueHistoryView:dispose()
self:removeEvent()
globalData.uiClickContainer:close(self)
self._closeBtn = nil
if(self._viewList ~= nil) then
for __,view in pairs(self._viewList) do
view:dispose()
end
self._viewList = nil
end
if(self._listPanel ~= nil)then
self._listPanel:removeAllItems()
self._listPanel = nil
end
globalManager.ccCreator:release(self._label)
self._label = nil
globalManager.ccCreator:release(self)
end
--帮派基本信息
LeagueInfoView = class("LeagueInfoView", function(self,controller)
local temp = globalManager.ccCreator:newNode()
temp.TOTAL_COUNT = 5 --捐献次数
temp._controller = controller
temp._widget = globalManager.ccCreator:newJsonWidget("LeagueInfoView")
temp:addChild(temp._widget)
temp._widget:getChildByName("Label_84430_Copy1"):setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueInfoView.text1").."：")
temp._widget:getChildByName("Label_84430_Copy2"):setText(globalManager.yuyanbaoManager:getYuyanbao("FiveEquipTip.text11").."：")
temp._widget:getChildByName("Label_84430_Copy6"):setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueInfoView.text3").."：")
temp._widget:getChildByName("Label_84430_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueInfoView.text4").."：")
temp._widget:getChildByName("Label_84430_Copy4"):setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueInfoView.text5").."：")
temp._widget:getChildByName("Label_84430_Copy5"):setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueInfoView.text6").."：")
temp._widget:getChildByName("Label_84430_Copy12"):setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueInfoView.text7").."：")
temp._widget:getChildByName("Label_84430_Copy10"):setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueInfoView.text8").."：")
temp._widget:getChildByName("Label_84430_Copy9"):setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueInfoView.text9").."：")
temp._widget:getChildByName("Label_84430_Copy11"):setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueInfoView.text10").."：")
temp._widget:getChildByName("Label_84430_Copy7"):setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueInfoView.text8").."：")
temp._widget:getChildByName("Label_84430_Copy8"):setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueInfoView.text9").."：")
temp._widget:getChildByName("Label_84430_Copy3"):setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueInfoView.text10").."：")
temp._widget:getChildByName("tipLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueInfoView.text11"))
temp._widget:getChildByName("tipLabel_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueInfoView.text12"))
temp._widget:getChildByName("upgradeBtn"):getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueInfoView.text13"))
temp._widget:getChildByName("quitBtn"):getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueInfoView.text14"))
temp._countDownLabel = temp._widget:getChildByName("countDownLabel")
temp._nameLabel = temp._widget:getChildByName("nameLabel")
temp._levelLabel = temp._widget:getChildByName("levelLabel")
temp._wealthLabel = temp._widget:getChildByName("wealthLabel")
temp._capacityLabel = temp._widget:getChildByName("capacityLabel")
temp._costLabel = temp._widget:getChildByName("costLabel")
temp._tipLabel = temp._widget:getChildByName("tipLabel")
temp._desLabel = temp._widget:getChildByName("desLabel")
--temp._desLabel:setText("")
temp._desLabel:setText("")
temp._countLabel1 = temp._widget:getChildByName("countLabel1")
temp._gongxianLabel1 = temp._widget:getChildByName("gongxianLabel1")
temp._wealthLabel1 = temp._widget:getChildByName("wealthLabel1")
temp._countLabel2 = temp._widget:getChildByName("countLabel2")
temp._gongxianLabel2 = temp._widget:getChildByName("gongxianLabel2")
temp._wealthLabel2 = temp._widget:getChildByName("wealthLabel2")
temp.gonggaoTipLabel = temp._widget:getChildByName("tipLabel_Copy0")
temp.strengthLabel = temp._widget:getChildByName("strengthLabel")
temp.remainLabel   = temp._widget:getChildByName("remainLabel")
temp._gongxianLabel1:setText(5000)
temp._wealthLabel1:setText(5000)
temp._gongxianLabel2:setText(500)
temp._wealthLabel2:setText(500)
temp._upgradeBtn = temp._widget:getChildByName("upgradeBtn")
temp._quitBtn = temp._widget:getChildByName("quitBtn")
temp._sendBtn1 = temp._widget:getChildByName("sendBtn1")
temp._sendBtn1:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueInfoView.text31"))
temp._sendBtn2 = temp._widget:getChildByName("sendBtn2")
temp._sendBtn2:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueInfoView.text32"))
temp._countDownView = CountDownLabel:new(temp._countDownLabel,0,nil,nil,0)
temp._noticeBtn = temp._widget:getChildByName("noticeBtn")
temp._noticeBtn:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueInfoView.text33"))
-- temp._noticeBtn = globalManager.ccCreator:newButton()
-- temp._noticeBtn:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[1])
-- temp._noticeBtn:setScale9Enabled(true)
-- temp._noticeBtn:setCapInsets(cc.rect(22,23,5,5))
-- temp._noticeBtn:setSize(globalManager.ccCreator:newSize(100,53))
-- temp._noticeBtn:loadTextureNormal("btn/ui_tabBtn1_4.png",1)
-- temp._noticeBtn:setPosition(globalManager.ccCreator:newPoint(874,312))
-- temp._widget:addChild(temp._noticeBtn,4)
-- temp._label = globalManager.ccCreator:newBMFont()
-- temp._label:setPosition(globalManager.ccCreator:newPoint(3,2))
-- temp._noticeBtn:addChild(temp._label,1)
-- temp._label:setColor(globalData.allStaticTypes.colorType.TAB_COLOR1)
-- temp._label:setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueInfoView.text33"))
--editbox
temp._inputEditBox = globalManager.ccCreator:newEditBox(cc.size(600,80), 30,18,false,nil,nil)
temp._inputEditBox:setPosition(cc.p(203,220))
temp:addChild(temp._inputEditBox,99)
temp._upgradeBtn:setEnabled(false)
temp._countDownLabel:setVisible(false)
return temp
end)
function LeagueInfoView:ctor()
self:initData()
self:initEvent()
end
function LeagueInfoView:initData()
globalData.messageAdder:getLeagueInfo()
end
function LeagueInfoView:initEvent()
local function buttonTouchHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(sender == self._upgradeBtn)then
if(globalData.leagueInfo.level >= globalData.allTemplates.leagueTemplateList.maxLevel)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("LeagueInfoView.text15"))
return
end
local template = globalData.allTemplates.leagueTemplateList:getTemplate(globalData.leagueInfo.level)
local function upgradeHandler()
if(template.money > globalData.leagueInfo.wealth)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("LeagueInfoView.text16"))
return
end
self._controller.module.message:upgrade()
end
Alert:new():show(2,string.format(globalManager.yuyanbaoManager:getYuyanbao("LeagueInfoView.text26"),template.money),nil,0,self,upgradeHandler)
elseif(sender == self._quitBtn)then
self:quitHandler()
elseif(sender == self._sendBtn1)then
if(globalData.selfPlayerInfo.moneyInfo.gold < 200)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel11"))
return
end
-- if(globalData.leagueInfo.yuanbaoCount >= self.TOTAL_COUNT)then
-- 	globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("LeagueInfoView.text17"))
-- 	return
-- end
self:juanxian(1)
elseif(sender == self._sendBtn2)then
if(globalData.selfPlayerInfo.moneyInfo.copper < 100000)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel12"))
return
end
if(globalData.leagueInfo.copperCount >= self.TOTAL_COUNT)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("LeagueInfoView.text17"))
return
end
self:juanxian(2)
elseif(sender == self._noticeBtn)then
self:changeNotice()
end
end
end
-- local function editBoxTextEventHandle1(strEventName)
-- 	if strEventName == "began" then
-- 	elseif strEventName == "ended" then
-- 		self:changeNotice()
-- 	elseif strEventName == "return" then
-- 	elseif strEventName == "changed" then
-- 	end
-- end
-- local function editBoxTextEventHandle2(sender,strEventName)
-- 	if strEventName == 0 then
-- 	elseif strEventName == 1 then
-- 		self:changeNotice()
-- 	elseif strEventName == 2 then
-- 	elseif strEventName == 3 then
-- 	end
-- end
self._noticeBtn:addTouchEventListener(buttonTouchHandler)
self._upgradeBtn:addTouchEventListener(buttonTouchHandler)
self._quitBtn:addTouchEventListener(buttonTouchHandler)
self._sendBtn1:addTouchEventListener(buttonTouchHandler)
self._sendBtn2:addTouchEventListener(buttonTouchHandler)
-- local type = tolua.type(self._inputEditBox)
-- if(type == "ccui.TextField") then
-- 	self._inputEditBox:addTouchEventListener(editBoxTextEventHandle2)
-- elseif(type == "cc.EditBox") then
-- 	self._inputEditBox:registerScriptEditBoxHandler(editBoxTextEventHandle1)
-- end
globalData.leagueInfo:addEventListener(globalData.globalEventType.league_info, self.leagueInfoUpdateHandler, self)
globalData.leagueInfo:addEventListener(globalData.globalEventType.league_myInfo, self.leagueInfoUpdateHandler, self)
globalData.leagueInfo:addEventListener(globalData.globalEventType.league_jobChange, self.leagueInfoUpdateHandler, self)
end
function LeagueInfoView:removeEvent()
globalData.leagueInfo:removeEventListener(globalData.globalEventType.league_info, self.leagueInfoUpdateHandler, self)
globalData.leagueInfo:removeEventListener(globalData.globalEventType.league_myInfo, self.leagueInfoUpdateHandler, self)
globalData.leagueInfo:removeEventListener(globalData.globalEventType.league_jobChange, self.leagueInfoUpdateHandler, self)
end
--修改游戏公告
function LeagueInfoView:changeNotice()
if(globalData.leagueInfo.myJob <= 0) then
globalManager.ccCreator:setTextString(self._inputEditBox,globalData.leagueInfo.descript)
return
end
if(globalManager.ccCreator:getTextString(self._inputEditBox) == "")then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("LeagueInfoView.text20"))
return
end
self._controller.module.message:noticeUpdate(globalManager.ccCreator:getTextString(self._inputEditBox))
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("LeagueInfoView.text21"))
end
function LeagueInfoView:quitHandler()
local function doQuit()
self._controller.module.message:quit()
end
if(globalData.leagueInfo.myJob == 1)then
Alert:new():show(2,globalManager.yuyanbaoManager:getYuyanbao("LeagueInfoView.text29"),nil,0,self,doQuit)
else
Alert:new():show(2,globalManager.yuyanbaoManager:getYuyanbao("LeagueInfoView.text30"),nil,0,self,doQuit)
end
end
function LeagueInfoView:juanxian(type)
local function juanxianHandler()
self._controller.module.message:gongxian(type)
end
local typeStr = nil
if(type == 2)then
typeStr = globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel67")
Alert:new():show(2,globalManager.yuyanbaoManager:getYuyanbao("LeagueInfoView.text22")..typeStr.."[-]",globalManager.noAlertUtils.LEAGUE_GONGXIAN,0,self,juanxianHandler)
elseif(type == 1)then
typeStr = globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel58")
Alert:new():show(2,globalManager.yuyanbaoManager:getYuyanbao("LeagueInfoView.text23")..typeStr.."[-]",globalManager.noAlertUtils.LEAGUE_GONGXIAN,0,self,juanxianHandler)
end
end
function LeagueInfoView:leagueInfoUpdateHandler(evt)
self:updateView()
end
function LeagueInfoView:updateView()
if(globalData.leagueInfo.myJob > 0)then
self._upgradeBtn:setEnabled(true)
self._countDownLabel:setVisible(false)
self._inputEditBox:setTouchEnabled(true)
self._desLabel:setText("")
self._inputEditBox:setVisible(true)
self.gonggaoTipLabel:setEnabled(true)
self._noticeBtn:setVisible(true)
self._noticeBtn:setTouchEnabled(true)
else
self._upgradeBtn:setEnabled(false)
self._countDownLabel:setVisible(false)
self._inputEditBox:setTouchEnabled(false)
self._desLabel:setText(globalData.leagueInfo.descript)
self._inputEditBox:setVisible(false)
self.gonggaoTipLabel:setEnabled(false)
self._noticeBtn:setVisible(false)
self._noticeBtn:setTouchEnabled(false)
end
self._tipLabel:setEnabled(globalData.leagueInfo.wealth <= 0)
local template = nil
if(globalData.leagueInfo.level <= globalData.allTemplates.leagueTemplateList.maxLevel)then
template = globalData.allTemplates.leagueTemplateList:getTemplate(globalData.leagueInfo.level)
else
template = globalData.allTemplates.leagueTemplateList:getTemplate(globalData.allTemplates.leagueTemplateList.maxLevel)
end
local totalCount = 50 + template.member * 5
self._tipLabel:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("LeagueInfoView.text27"),template.level * 10000))
self._nameLabel:setText(globalData.leagueInfo.name)
self._levelLabel:setText(globalData.leagueInfo.level)
self._wealthLabel:setText(globalData.leagueInfo.wealth)
self._capacityLabel:setText(globalData.leagueInfo.member .. "/" .. template.member)
self._costLabel:setText(globalData.leagueInfo.level * 1000 .. globalManager.yuyanbaoManager:getYuyanbao("LeagueInfoView.text24"))
self.strengthLabel:setText(globalData.leagueInfo.totalFight)
--self._desLabel:setText(globalData.leagueInfo.descript)
globalManager.ccCreator:setTextString(self._inputEditBox,globalData.leagueInfo.descript)
self._countLabel1:setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueInfoView.text25"))
self._countLabel2:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel69") .. (self.TOTAL_COUNT - globalData.leagueInfo.copperCount) .. globalManager.yuyanbaoManager:getYuyanbao("SceneTryCopyLYPanel.text7"))
self.remainLabel:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("LeagueInfoView.text28"),totalCount - globalData.leagueInfo.giveCount))
local delta = math.ceil(globalData.leagueInfo.updateTime - globalData.systemDateInfo:getSystemTime() / 1000)
if(globalData.leagueInfo.myJob > 0)then
if(delta > 0)then
self._countDownLabel:setVisible(true)
self._upgradeBtn:setEnabled(false)
self._countDownView:start(delta,self.countDownComplete,self)
else
self._countDownLabel:setVisible(false)
self._upgradeBtn:setEnabled(true)
self._countDownView:stop()
end
end
end
function LeagueInfoView:countDownComplete()
self:updateView()
end
function LeagueInfoView:dispose()
self:removeEvent()
self._controller = nil
if(self._countDownView ~= nil)then
self._countDownView:dispose()
self._countDownView = nil
end
self._countDownLabel = nil
self._nameLabel = nil
self._levelLabel = nil
self._wealthLabel = nil
self._capacityLabel = nil
self._costLabel = nil
self._tipLabel = nil
self._desLabel = nil
self._countLabel1 = nil
self._gongxianLabel1 = nil
self._wealthLabel1 = nil
self._countLabel2 = nil
self._gongxianLabel2 = nil
self._wealthLabel2 = nil
self._upgradeBtn = nil
self._quitBtn = nil
self._sendBtn1 = nil
self._sendBtn2 = nil
-- globalManager.ccCreator:release(self._noticeBtn)
self._noticeBtn = nil
self.gonggaoTipLabel = nil
globalManager.ccCreator:release(self._widget)
self._widget = nil
globalManager.ccCreator:release(self._inputEditBox)
self._inputEditBox = nil
self.strengthLabel = nil
-- globalManager.ccCreator:release(self._label)
-- self._label = nil
globalManager.ccCreator:release(self)
end
--帮派列表中的Item
LeagueItemView = class("LeagueItemView", function(self,controller)
local temp = globalManager.ccCreator:newJsonWidget("LeagueItemView")
temp:setTouchEnabled(false)
temp._controller = controller
temp.data = nil
temp:getChildByName("applyBtn"):getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueItemView.text1"))
temp._rankLabel = temp:getChildByName("rankLabel")
temp._nameLabel = temp:getChildByName("nameLabel")
temp._levelLabel = temp:getChildByName("levelLabel")
temp._capacityLabel = temp:getChildByName("capacityLabel")
temp._applyBtn = temp:getChildByName("applyBtn")
temp._applyLabel = temp:getChildByName("applyLabel")
temp._applyLabel:setEnabled(false)
temp._cockNameLabel = temp:getChildByName("cockNameLabel")
temp._clubCock_btn  = temp:getChildByName("clubCock_btn")
temp._itemBg        = temp:getChildByName("ImageView_414370")
temp._line          = temp:getChildByName("line_horizontal_Copy0")
return temp
end)
function LeagueItemView:ctor()
self:setData(nil,0)
self:initEvent()
end
function LeagueItemView:setData(data,index)
self.data = data
if(self.data == nil) then
self._rankLabel:setText("")
self._cockNameLabel:setText("")
self._nameLabel:setText("")
self._levelLabel:setText("")
self._capacityLabel:setText("")
self._applyBtn:setEnabled(false)
self._applyLabel:setEnabled(false)
self._clubCock_btn:setEnabled(false)
self._itemBg:setVisible(false)
self._line:setVisible(false)
return
end
local template = globalData.allTemplates.leagueTemplateList:getTemplate(data.level)
self._itemBg:setVisible(true)
self._line:setVisible(true)
self._rankLabel:setText(index)
self._nameLabel:setText(data.name)
self._cockNameLabel:setText(data.masterName)
self._levelLabel:setText(data.level .. globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel48"))
self._capacityLabel:setText(data.member .. "/" .. template.member)
self._applyBtn:setEnabled(true)
self._applyLabel:setEnabled(true)
self._clubCock_btn:setEnabled(true)
if(globalData.leagueInfo:hasApply(data.id))then
self._applyBtn:setEnabled(false)
self._applyLabel:setEnabled(true)
end
if(data.member >= template.member)then
self._applyBtn:setEnabled(false)
self._applyLabel:setEnabled(false)
end
end
function LeagueItemView:setRank(index)
end
function LeagueItemView:initEvent()
local function applyHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(#globalData.leagueInfo.hasApplyList >= 3) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("LeagueItemView.text2"))
return
end
globalData.messageAdder:leagueApply(self.data.id)
self._applyBtn:setEnabled(false)
self._applyLabel:setEnabled(true)
end
end
local function clubCockClick(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
globalData.messageAdder:infoQuery(self.data.masterId,0)
end
end
self._applyBtn:addTouchEventListener(applyHandler)
self._clubCock_btn:addTouchEventListener(clubCockClick)
end
function LeagueItemView:dispose()
self._controller = nil
self.data = nil
self._line = nil
self._itemBg = nil
self._cockNameLabel = nil
self._clubCock_btn  = nil
self._rankLabel = nil
self._nameLabel = nil
self._levelLabel = nil
self._capacityLabel = nil
self._applyBtn = nil
self._applyLabel = nil
globalManager.ccCreator:release(self)
end
--帮派列表界面
LeagueListPanel = class("LeagueListPanel", function(self,controller)
local temp = BasePanel:new()
temp._controller = controller
temp._BasePanelDispose = temp.dispose
--view
temp._widget = globalManager.ccCreator:newJsonWidget("LeagueListView")
temp:addChild(temp._widget)
temp._widget:getChildByName("board3_Copy0"):getChildByName("noLeagueListTip"):setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueListPanel.text1"))
temp._widget:getChildByName("canAutoInCheckBox"):getChildByName("Label_85794"):setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueListPanel.text2"))
temp._widget:getChildByName("createBtn"):getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueListPanel.text3"))
temp._widget:getChildByName("autoJoinBtn"):getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueListPanel.text4"))
temp._widget:getChildByName("alert"):getChildByName("Label_85822_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueListPanel.text5"))
temp._widget:getChildByName("alert"):getChildByName("payYuanbaoBtn"):getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueListPanel.text6"))
temp._widget:getChildByName("alert"):getChildByName("payCopperBtn"):getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueListPanel.text7"))
temp._listView = temp._widget:getChildByName("listView")
temp._alert = temp._widget:getChildByName("alert")
temp._alertCloseBtn = temp._alert:getChildByName("closeBtn")
temp._payYuanBaoBtn = temp._alert:getChildByName("payYuanbaoBtn")
temp._payCopperBtn = temp._alert:getChildByName("payCopperBtn")
temp._noLeagueListTip = temp._widget:getChildByName("board3_Copy0"):getChildByName("noLeagueListTip")
temp._payDesLabel = globalManager.ccCreator:newRichLabel2(globalManager.yuyanbaoManager:getYuyanbao("LeagueListPanel.text8"),356)
temp._payDesLabel:setPosition(cc.p(300,385))
temp._alert:addChild(temp._payDesLabel,10)
temp._alert:setEnabled(false)
temp._createBtn = temp._widget:getChildByName("createBtn")
temp._autoJoinBtn = temp._widget:getChildByName("autoJoinBtn")
temp._canAutoInCheckBox = temp._widget:getChildByName("canAutoInCheckBox")
temp._rightBtn = temp._widget:getChildByName("right_btn_Copy0")
temp._leftBtn = temp._widget:getChildByName("left_btn_Copy0")
temp._pages = temp._widget:getChildByName("page_label_Copy0")
temp.inputBg = globalManager.ccCreator:newImageView("board/ui_board8.png",1)
temp.inputBg:setScale9Enabled(true)
temp.inputBg:setCapInsets(cc.rect(16,16,1,1))
temp.inputBg:setSize(globalManager.ccCreator:newSize(209,36))
temp.inputBg:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[7])
temp.inputBg:setPosition(cc.p(455,287))
temp._inputEditBox = globalManager.ccCreator:newEditBox(cc.size(209,36), 12)
temp._inputEditBox:setPosition(cc.p(455,287))
temp._itemList = {}
temp._addCount = 0
temp._addIndex = 0
temp._timeCount = 0
temp._currentPage = -1
temp._totalPages = nil
for i = 1,6,1 do
local item = LeagueItemView:new(temp._controller)
table.insert(temp._itemList,item)
temp._listView:pushBackCustomItem(item)
end
return temp
end)
function LeagueListPanel:ctor()
self:initData()
self:initEvent()
end
function LeagueListPanel:initData()
self._controller.module.message:getLeagueList()
end
function LeagueListPanel:initEvent()
local function buttonTouchHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(sender == self._createBtn)then
self:showAlert()
elseif(sender == self._alertCloseBtn)then
self:hideAlert()
elseif(sender == self._payYuanBaoBtn)then
self:createLeagueHandler(1)
elseif(sender == self._payCopperBtn)then
self:createLeagueHandler(2)
elseif(sender == self._autoJoinBtn)then
self._controller.module.message:autoJoinLeague()
end
end
end
local function selectedEvent(sender,eventType)
self:setPage(1)
end
local function leftBtnTouchHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(self._currentPage <= 1) then
return
end
self:setPage(self._currentPage - 1)
end
end
local function rightBtnTouchHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(self._currentPage >= self._totalPages)then
return
end
self:setPage(self._currentPage + 1)
end
end
local showPanelTouchHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED or eventType == TOUCH_EVENT_CANCELED) then
local offsetX = sender:getTouchEndPos().x - sender:getTouchStartPos().x
if(offsetX > 50) then
if(self._currentPage > 1)then
self:setPage(self._currentPage - 1)
end
elseif(offsetX < -50) then
if(self._currentPage < self._totalPages)then
self:setPage(self._currentPage + 1)
end
end
end
end
self._canAutoInCheckBox:addEventListenerCheckBox(selectedEvent)
self._createBtn:addTouchEventListener(buttonTouchHandler)
self._autoJoinBtn:addTouchEventListener(buttonTouchHandler)
self._alertCloseBtn:addTouchEventListener(buttonTouchHandler)
self._payYuanBaoBtn:addTouchEventListener(buttonTouchHandler)
self._payCopperBtn:addTouchEventListener(buttonTouchHandler)
self._leftBtn:addTouchEventListener(leftBtnTouchHandler)
self._rightBtn:addTouchEventListener(rightBtnTouchHandler)
globalData.leagueInfo:addEventListener(globalData.globalEventType.league_create, self.leagueCreateCompleteHandler, self)
globalData.leagueInfo:addEventListener(globalData.globalEventType.league_join, self.leagueCreateCompleteHandler, self)
globalData.leagueInfo:addEventListener(globalData.globalEventType.league_listUpdate, self.leagueListUpdateHandler, self)
self._listView:addTouchEventListener(showPanelTouchHandler)
end
function LeagueListPanel:removeEvent()
globalData.leagueInfo:removeEventListener(globalData.globalEventType.league_create, self.leagueCreateCompleteHandler, self)
globalData.leagueInfo:removeEventListener(globalData.globalEventType.league_join, self.leagueCreateCompleteHandler, self)
globalData.leagueInfo:removeEventListener(globalData.globalEventType.league_listUpdate, self.leagueListUpdateHandler, self)
end
function LeagueListPanel:leagueCreateCompleteHandler(evt)
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.leagueTab)
end
function LeagueListPanel:leagueListUpdateHandler(evt)
self._canAutoInCheckBox:setSelectedState(false)
self._addCount = #globalData.leagueInfo.leagueList
if(self._addCount == 0) then
self._noLeagueListTip:setVisible(true)
else
self._noLeagueListTip:setVisible(false)
self:setPage(1)
end
end
function LeagueListPanel:setPage(page)
self._currentPage = page
self._canAutoInCheckBox:setTouchEnabled(false)
if(self._canAutoInCheckBox:getSelectedState())then
self._totalPages = math.ceil(#globalData.leagueInfo.canInList / 6)
for i = 1,6 do
self._itemList[i]:setData(globalData.leagueInfo.canInList[(self._currentPage - 1) * 6 + i],(self._currentPage - 1) * 6 + i)
end
self._pages:setText(self._currentPage .. "/" .. self._totalPages)
else
self._totalPages = math.ceil(#globalData.leagueInfo.leagueList / 6)
for i = 1,6 do
self._itemList[i]:setData(globalData.leagueInfo.leagueList[(self._currentPage - 1) * 6 + i],(self._currentPage - 1) * 6 + i)
end
self._pages:setText(self._currentPage .. "/" .. self._totalPages)
end
self._canAutoInCheckBox:setTouchEnabled(true)
end
function LeagueListPanel:createLeagueHandler(payType)
if(globalData.selfPlayerInfo.level < 45)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("LeagueListPanel.text9"))
return
end
local content = globalManager.ccCreator:getTextString(self._inputEditBox)
if(content == "")then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("LeagueListPanel.text10"))
return
end
--	local len = string.len(content)*0.5 + globalManager.utf8:utf8len(content)*0.5
local len = globalManager.utf8:utf8len(content)
if(len > 6)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("StartCreateRoleView.text2"))
return
elseif(len < 2)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("StartCreateRoleView.text1"))
return
end
if(payType == 1)then
if(globalData.selfPlayerInfo.moneyInfo.gold < 248)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel11"))
return
end
end
if(payType == 2)then
if(globalData.selfPlayerInfo.moneyInfo.copper < 2000000)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel12"))
return
end
end
if(not globalData.wordFiltersInfo:checkName(content)) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("StartCreateRoleView.text3"))
return
end
self:hideAlert()
self._controller.module.message:createLeague(payType,content)
end
function LeagueListPanel:showAlert()
if(self._inputEditBox:getParent() == nil)then
self:addChild(self.inputBg,8)
self:addChild(self._inputEditBox,9)
end
self._alert:setEnabled(true)
end
function LeagueListPanel:hideAlert()
if(self._inputEditBox:getParent() ~= nil)then
self._inputEditBox:removeFromParent()
end
if(self.inputBg:getParent() ~= nil)then
self.inputBg:removeFromParent()
end
self._alert:setEnabled(false)
end
function LeagueListPanel:dispose()
self:removeEvent()
self._controller = nil
for __,item in pairs(self._itemList) do
item:dispose()
end
self._itemList = nil
globalManager.ccCreator:release(self._widget)
self._widget = nil
if(self._payDesLabel ~= nil)then
self._payDesLabel:dispose()
self._payDesLabel = nil
end
globalManager.ccCreator:release(self.inputBg)
self.inputBg = nil
globalManager.ccCreator:release(self._inputEditBox)
self._inputEditBox = nil
self._listView = nil
self._alert = nil
self._alertCloseBtn = nil
self._payYuanBaoBtn = nil
self._payCopperBtn = nil
self._noLeagueListTip = nil
self._createBtn = nil
self._autoJoinBtn = nil
self._canAutoInCheckBox = nil
self._rightBtn = nil
self._leftBtn = nil
self._pages = nil
self._totalPages = nil
self._BasePanelDispose(self)
self._BasePanelDispose = nil
end
--帮派成员ITEM
LeagueMemberItemView = class("LeagueMemberItemView", function(self,controller)
local temp = globalManager.ccCreator:newJsonWidget("LeagueMemberItemView")
temp.data = data
temp._controller = controller
temp._clickHandler = nil
temp._target = nil
temp._jobImg = temp:getChildByName("jobImg")
temp._levelLabel = temp:getChildByName("levelLabel")
temp._nameLabel = temp:getChildByName("nameLabel")
temp._gongxianLabel = temp:getChildByName("gongxianLabel")
temp._stateLabel = temp:getChildByName("stateLabel")
temp._fightLabel = temp:getChildByName("fightLabel")
temp._handleBtn = temp:getChildByName("handleBtn")
temp._vipImage  = temp:getChildByName("vipImage")
temp._vipLevel  = temp:getChildByName("strengthLabel_Copy0")
return temp
end)
function LeagueMemberItemView:ctor()
self:initEvent()
end
function LeagueMemberItemView:setData(data,clickHandler,target)
self.data = data
self._clickHandler = clickHandler
self._target = target
self:updateView()
end
function LeagueMemberItemView:initEvent()
local function buttonTouchHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(sender == self._handleBtn)then
self._clickHandler(self._target,self)
end
end
end
self._handleBtn:addTouchEventListener(buttonTouchHandler)
end
function LeagueMemberItemView:removeEvent()
end
function LeagueMemberItemView:updateView()
if(self.data.job == 0)then
self._jobImg:setEnabled(false)
elseif(self.data.job == 1)then
self._jobImg:setEnabled(true)
self._jobImg:loadTexture("icon/job1.png",1)
elseif(self.data.job == 2)then
self._jobImg:setEnabled(true)
self._jobImg:loadTexture("icon/job2.png",1)
end
if(self.data.vipLevel > 0)then
self._vipImage:setVisible(true)
self._vipLevel:setVisible(true)
self._vipLevel:setStringValue(self.data.vipLevel)
else
self._vipImage:setVisible(false)
self._vipLevel:setVisible(false)
end
self._levelLabel:setText(self.data.level)
self._nameLabel:setText(self.data.name)
self._gongxianLabel:setText(self.data.gongxian)
self._fightLabel:setText(self.data.fight)
if(self.data.state == 1)then
self._stateLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueMemberItemView.text1"))
else
local delta = math.floor(globalData.systemDateInfo:getSystemTime() / 1000 - self.data.lastDate)
if(delta > 30 * 24 * 3600)then
self._stateLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueMemberItemView.text2"))
elseif(delta > 1 * 24 * 3600)then
self._stateLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueMemberItemView.text4").. math.floor(delta/(24 * 3600))..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel6"))
else
self._stateLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueMemberItemView.text3"))
end
self._levelLabel:setColor(globalData.allStaticTypes.colorType.COLORGRAY)
self._nameLabel:setColor(globalData.allStaticTypes.colorType.COLORGRAY)
self._gongxianLabel:setColor(globalData.allStaticTypes.colorType.COLORGRAY)
self._stateLabel:setColor(globalData.allStaticTypes.colorType.COLORGRAY)
self._fightLabel:setColor(globalData.allStaticTypes.colorType.COLORGRAY)
self._handleBtn:setColor(globalData.allStaticTypes.colorType.COLORGRAY)
end
if(self.data.userId == globalData.selfPlayerInfo.userId)then
self._handleBtn:setEnabled(false)
end
end
function LeagueMemberItemView:dispose()
self:removeEvent()
self.data = nil
self._controller = nil
self._clickHandler = nil
self._target = nil
self._jobImg = nil
self._levelLabel = nil
self._nameLabel = nil
self._gongxianLabel = nil
self._stateLabel = nil
self._fightLabel = nil
self._handleBtn = nil
globalManager.ccCreator:release(self)
end
--帮派成员列表
LeagueMemberView = class("LeagueMemberView", function(self,controller)
local temp = globalManager.ccCreator:newJsonWidget("LeagueMemberView")
temp._controller = controller
temp._itemList = {}
temp._selectData = nil
temp:getChildByName("challengTip_Copy2"):getChildByName("Label_94549_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueMemberView.text1"))
temp:getChildByName("challengTip_Copy2"):getChildByName("Label_94549_Copy1"):setText(globalManager.yuyanbaoManager:getYuyanbao("FiveEquipTip.text11"))
temp:getChildByName("challengTip_Copy2"):getChildByName("Label_94549_Copy2"):setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueMemberView.text3"))
temp:getChildByName("challengTip_Copy2"):getChildByName("Label_94549_Copy3"):setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueMemberView.text4"))
temp:getChildByName("challengTip_Copy2"):getChildByName("Label_94549_Copy4"):setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueMemberView.text5"))
temp:getChildByName("challengTip_Copy2"):getChildByName("Label_94549"):setText(globalManager.yuyanbaoManager:getYuyanbao("ActivityPanel.text4"))
temp:getChildByName("handAlert"):getChildByName("closeBtn"):getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueMemberView.text7"))
temp:getChildByName("handAlert"):getChildByName("changeBtn"):getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueMemberView.text8"))
temp:getChildByName("handAlert"):getChildByName("upgradeBtn"):getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueMemberView.text9"))
temp:getChildByName("handAlert"):getChildByName("relieveBtn"):getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueMemberView.text10"))
temp:getChildByName("handAlert"):getChildByName("kickBtn"):getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueMemberView.text11"))
temp:getChildByName("handAlert"):getChildByName("showInfoBtn"):getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueMemberView.text12"))
temp._listView = temp:getChildByName("listView")
temp._handAlert = temp:getChildByName("handAlert")
temp._handAlert:setVisible(true)
temp._backGround = temp._handAlert:getChildByName("background_Copy1")
temp._backGround:setVisible(false)
temp._backGround:setEnabled(false)
temp._clickBg = temp:getChildByName("bg")
temp._alertCloseBtn = temp._handAlert:getChildByName("closeBtn")
temp._alertCloseBtn:setVisible(false)
temp._alertCloseBtn:setEnabled(false)
temp._changeBtn = temp._handAlert:getChildByName("changeBtn")
temp._upgradeBtn = temp._handAlert:getChildByName("upgradeBtn")
temp._relieveBtn = temp._handAlert:getChildByName("relieveBtn")
temp._kickBtn = temp._handAlert:getChildByName("kickBtn")
temp._showInfoBtn = temp._handAlert:getChildByName("showInfoBtn")
temp._handAlert:setEnabled(false)
temp._clickBg:setEnabled(false)
return temp
end)
function LeagueMemberView:ctor()
self:initData()
self:initEvent()
end
function LeagueMemberView:initData()
self._controller.module.message:getMemberList()
end
function LeagueMemberView:initEvent()
--转让队长
local function changeHandler()
self._controller.module.message:masterChange(self._selectData.userId)
self._handAlert:setEnabled(false)
self._clickBg:setEnabled(false)
end
--升为副帮
local function upgradeHandler()
self._controller.module.message:jobChange(self._selectData.userId,2)
self._handAlert:setEnabled(false)
self._clickBg:setEnabled(false)
end
--卸任副帮
local function relieveHandler()
self._controller.module.message:jobChange(self._selectData.userId,0)
self._handAlert:setEnabled(false)
self._clickBg:setEnabled(false)
end
--踢出帮派
local function kickHandler()
self._controller.module.message:kick(self._selectData.userId)
self._handAlert:setEnabled(false)
self._clickBg:setEnabled(false)
end
local function alertButtonTouchHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(sender == self._clickBg)then
self._handAlert:setEnabled(false)
self._clickBg:setEnabled(false)
elseif(sender == self._changeBtn)then
Alert:new():show(2,string.format(globalManager.yuyanbaoManager:getYuyanbao("LeagueMemberView.text13"),self._selectData.name),nil,0,self,changeHandler)
elseif(sender == self._upgradeBtn)then
Alert:new():show(2,string.format(globalManager.yuyanbaoManager:getYuyanbao("LeagueMemberView.text14"),self._selectData.name),nil,0,self,upgradeHandler)
elseif(sender == self._relieveBtn)then
Alert:new():show(2,string.format(globalManager.yuyanbaoManager:getYuyanbao("LeagueMemberView.text15"),self._selectData.name),nil,0,self,relieveHandler)
elseif(sender == self._kickBtn)then
Alert:new():show(2,string.format(globalManager.yuyanbaoManager:getYuyanbao("LeagueMemberView.text16"),self._selectData.name),globalManager.noAlertUtils.LEAGUE_KICK,0,self,kickHandler)
elseif(sender == self._showInfoBtn)then
globalData.messageAdder:infoQuery(self._selectData.userId,0)
end
end
end
--self._alertCloseBtn:addTouchEventListener(alertButtonTouchHandler)
self._changeBtn:addTouchEventListener(alertButtonTouchHandler)
self._upgradeBtn:addTouchEventListener(alertButtonTouchHandler)
self._relieveBtn:addTouchEventListener(alertButtonTouchHandler)
self._kickBtn:addTouchEventListener(alertButtonTouchHandler)
self._showInfoBtn:addTouchEventListener(alertButtonTouchHandler)
self._clickBg:addTouchEventListener(alertButtonTouchHandler)
globalData.leagueInfo:addEventListener(globalData.globalEventType.league_memberList,self.leagueMemberUpdateHandler,self)
globalData.leagueInfo:addEventListener(globalData.globalEventType.league_jobChange,self.leagueJobChangeHandler,self)
globalData.leagueInfo:addEventListener(globalData.globalEventType.league_kick,self.leagueKickHandler,self)
end
function LeagueMemberView:removeEvent()
globalData.leagueInfo:removeEventListener(globalData.globalEventType.league_memberList,self.leagueMemberUpdateHandler,self)
globalData.leagueInfo:removeEventListener(globalData.globalEventType.league_jobChange,self.leagueJobChangeHandler,self)
globalData.leagueInfo:removeEventListener(globalData.globalEventType.league_kick,self.leagueKickHandler,self)
end
function LeagueMemberView:leagueKickHandler(evt)
local userId = evt.data
for __,item in pairs(self._itemList) do
if(item.data.userId == userId)then
globalManager.commonUtils:removeItemInTable(self._itemList,item)
self._listView:removeItem(self._listView:getIndex(item))
item:dispose()
break
end
end
end
function LeagueMemberView:leagueJobChangeHandler(evt)
for __,item in pairs(self._itemList) do
item:updateView()
end
end
function LeagueMemberView:leagueMemberUpdateHandler(evt)
self._handAlert:setEnabled(false)
self._clickBg:setEnabled(false)
self._listView:removeAllItems()
for __,item in pairs(self._itemList) do
item:dispose()
end
self._itemList = {}
local len = #globalData.leagueInfo.leagueMembers
for i=1,len do
local item = LeagueMemberItemView:new(self._controller)
item:setData(globalData.leagueInfo.leagueMembers[i],self.itemClickHandler,self)
table.insert(self._itemList,item)
end
self:updateView()
end
function LeagueMemberView:itemClickHandler(item)
--转让帮主、解除副帮、查看信息
local function layout1()
self._handAlert:setEnabled(true)
self._clickBg:setEnabled(true)
self._upgradeBtn:setEnabled(false)
self._kickBtn:setEnabled(false)
self._changeBtn:setEnabled(true)
self._relieveBtn:setEnabled(true)
self._showInfoBtn:setEnabled(true)
self._changeBtn:setPosition(cc.p(82,151))
self._relieveBtn:setPosition(cc.p(190,151))
self._showInfoBtn:setPosition(cc.p(297,151))
end
--升为副帮、踢出帮派、查看信息
local function layout2()
self._handAlert:setEnabled(true)
self._clickBg:setEnabled(true)
self._changeBtn:setEnabled(false)
self._relieveBtn:setEnabled(false)
self._upgradeBtn:setEnabled(true)
self._kickBtn:setEnabled(true)
self._showInfoBtn:setEnabled(true)
self._upgradeBtn:setPosition(cc.p(82,151))
self._kickBtn:setPosition(cc.p(190,151))
self._showInfoBtn:setPosition(cc.p(297,151))
end
--踢出帮派、查看信息
local function layout3()
self._handAlert:setEnabled(true)
self._clickBg:setEnabled(true)
self._changeBtn:setEnabled(false)
self._upgradeBtn:setEnabled(false)
self._relieveBtn:setEnabled(false)
self._kickBtn:setEnabled(true)
self._showInfoBtn:setEnabled(true)
self._kickBtn:setPosition(cc.p(114,151))
self._showInfoBtn:setPosition(cc.p(258,151))
end
self._selectData = item.data
self._handAlert:setEnabled(false)
self._clickBg:setEnabled(false)
if(globalData.leagueInfo.myJob == 0)then
globalData.messageAdder:infoQuery(item.data.userId,0)
elseif(globalData.leagueInfo.myJob == 1)then
if(item.data.job == 0)then
layout2()
elseif(item.data.job == 2)then
layout1()
end
elseif(globalData.leagueInfo.myJob == 2)then
if(item.data.job == 0)then
layout3()
else
globalData.messageAdder:infoQuery(item.data.userId,0)
end
end
end
function LeagueMemberView:updateView()
self._listView:removeAllItems()
for i=1,#self._itemList do
self._listView:pushBackCustomItem(self._itemList[i])
end
end
function LeagueMemberView:dispose()
self:removeEvent()
self._backGround = nil
self._controller = nil
self._selectData = nil
self._listView = nil
self._handAlert = nil
self._alertCloseBtn = nil
self._changeBtn = nil
self._upgradeBtn = nil
self._relieveBtn = nil
self._kickBtn = nil
self._showInfoBtn = nil
self._clickBg = nil
self._tipsLabel = nil
for __,item in pairs(self._itemList) do
item:dispose()
end
self._itemList = nil
globalManager.ccCreator:release(self)
end
LeaguePanel = class("LeaguePanel", function(self,controller)
local temp = BasePanel:new()
temp._controller = controller
temp._BasePanelDispose = temp.dispose
temp._tabGroup = nil
temp._subViews = {}
return temp
end)
function LeaguePanel:ctor()
self:initView()
self:initEvent()
end
function LeaguePanel:initView()
self._tabGroup = TabGroup:new(2)
self._tabGroup:setData({
globalManager.yuyanbaoManager:getYuyanbao("LeaguePanel.text1"),
globalManager.yuyanbaoManager:getYuyanbao("LeaguePanel.text2"),
globalManager.yuyanbaoManager:getYuyanbao("LeaguePanel.text4"),
globalManager.yuyanbaoManager:getYuyanbao("LeaguePanel.text5"),
globalManager.yuyanbaoManager:getYuyanbao("LeaguePanel.text6"),
globalManager.yuyanbaoManager:getYuyanbao("LeaguePanel.text7")},
self.setTabIndex,self,1)
self._tabGroup:setPosition(cc.p(86,530))
self._tabGroup:setTabEnable(5,false)
self:addChild(self._tabGroup)
self:leagueJobChangeHandler()
self:popDataUpdate(nil)
end
function LeaguePanel:popDataUpdate(evt)
if(evt == nil or evt.data == globalManager.playerInfoTester.leagueBossPopType) then
if(globalManager.playerInfoTester._leagueBossNum > 0) then
self._tabGroup:getTabBtns()[3]:setShowPop(true)
else
self._tabGroup:getTabBtns()[3]:setShowPop(false)
end
end
end
function LeaguePanel:initEvent()
globalData.leagueInfo:addEventListener(globalData.globalEventType.league_quit, self.leagueQuitHandler, self)
globalData.leagueInfo:addEventListener(globalData.globalEventType.league_jobChange, self.leagueJobChangeHandler, self)
globalData.leagueInfo:addEventListener(globalData.globalEventType.league_myInfo, self.leagueJobChangeHandler, self)
globalManager.playerInfoTester:addEventListener(globalData.globalEventType.quickIcon_popData,self.popDataUpdate,self)
end
function LeaguePanel:removeEvent()
globalData.leagueInfo:removeEventListener(globalData.globalEventType.league_quit, self.leagueQuitHandler, self)
globalData.leagueInfo:removeEventListener(globalData.globalEventType.league_jobChange, self.leagueJobChangeHandler, self)
globalData.leagueInfo:removeEventListener(globalData.globalEventType.league_myInfo, self.leagueJobChangeHandler, self)
globalManager.playerInfoTester:removeEventListener(globalData.globalEventType.quickIcon_popData,self.popDataUpdate,self)
end
--外部控制跳转
function LeaguePanel:jumpToTab(tab)
self._tabGroup:setIndex(tab)
end
function LeaguePanel:leagueJobChangeHandler(evt)
if(globalData.leagueInfo.myJob == 0)then
self._tabGroup:setTabEnable(6,false)
else
self._tabGroup:setTabEnable(6,true)
end
end
function LeaguePanel:leagueQuitHandler(evt)
-- globalData.uiPanelContainer:close()
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.leagueListTab)
end
function LeaguePanel:setTabIndex(index)
if(self._subViews[index] == nil)then
if(index == 1)then
self._subViews[index] = LeagueInfoView:new(self._controller)
elseif(index == 2)then
self._subViews[index] = LeagueMemberView:new(self._controller)
elseif(index == 3)then
self._subViews[index] = LeagueBossView:new(self._controller)
elseif(index == 4)then
self._subViews[index] = LeagueShopView:new(self._controller)
elseif(index == 5)then
self._subViews[index] = LeagueWareHouseView:new(self._controller)
elseif(index == 6)then
self._subViews[index] = LeagueRequestView:new(self._controller)
end
end
for k,view in pairs(self._subViews) do
if(k == index)then
if(view:getParent() == nil)then
self:addChild(view)
end
else
if(view:getParent() ~= nil)then
view:removeFromParent()
end
end
end
end
function LeaguePanel:dispose()
self:removeEvent()
self._controller = nil
for k,view in pairs(self._subViews) do
view:dispose()
end
self._subViews = nil
if(self._tabGroup ~= nil)then
self._tabGroup:dispose()
self._tabGroup = nil
end
-- globalManager.ccCreator:release(self._backgroud)
-- self._backgroud = nil
self._BasePanelDispose(self)
self._BasePanelDispose = nil
globalData.leagueInfo.wareHouseList:clear()
globalData.leagueInfo.wareHouseLog = {}
end
LeagueRequestItemView = class("LeagueRequestItemView", function(self,controller)
local temp = globalManager.ccCreator:newJsonWidget("LeagueRequestItemView")
temp.data = nil
temp._controller = controller
temp._refuseCallback = nil
temp._agreeCallback = nil
temp._target = nil
temp:getChildByName("refuseBtn"):getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("ResponseItemView.text1"))
temp:getChildByName("agreeBtn"):getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueApplyListItem.text3"))
temp._headIcon = temp:getChildByName("ImageView_85912")
temp._nameLabel = temp:getChildByName("nameLabel")
temp._levelLabel = temp:getChildByName("levelLabel")
temp._refuseBtn = temp:getChildByName("refuseBtn")
temp._agreeBtn = temp:getChildByName("agreeBtn")
temp._vipLevelLabel = temp:getChildByName("vipLevelLabel")
return temp
end)
function LeagueRequestItemView:ctor()
self:initEvent()
end
function LeagueRequestItemView:setData(data,refuseCallback,agreeCallback,target)
self.data = data
self._refuseCallback = refuseCallback
self._agreeCallback = agreeCallback
self._target = target
self._headIcon:loadTexture(globalData.allStaticTypes.careerType:getHeadPath(data.career),1)
self._headIcon:setTouchEnabled(true)
self._nameLabel:setText(data.name)
self._levelLabel:setText(data.level .. globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel48"))
if(data.vipLevel > 0) then
self._vipLevelLabel:setText("VIP" .. data.vipLevel)
self._vipLevelLabel:setColor(globalData.allStaticTypes.colorType.TIPTITLE_COLOR)
else
self._vipLevelLabel:setVisible(false)
end
end
function LeagueRequestItemView:initEvent()
local function buttonTouchHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(sender == self._refuseBtn)then
self._refuseCallback(self._target,self)
elseif(sender == self._agreeBtn)then
self._agreeCallback(self._target,self)
end
end
end
local function personTouchHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
globalData.messageAdder:infoQuery(self.data.userId,0)
end
end
self._refuseBtn:addTouchEventListener(buttonTouchHandler)
self._agreeBtn:addTouchEventListener(buttonTouchHandler)
self._headIcon:addTouchEventListener(personTouchHandler)
end
function LeagueRequestItemView:removeEvent()
end
function LeagueRequestItemView:dispose()
self:removeEvent()
self.data = nil
self._controller = nil
self._refuseCallback = nil
self._agreeCallback = nil
self._target = nil
self._headIcon = nil
self._nameLabel = nil
self._levelLabel = nil
self._refuseBtn = nil
self._agreeBtn = nil
self._vipLevelLabel = nil
globalManager.ccCreator:release(self)
end
LeagueRequestView = class("LeagueRequestView", function(self,controller)
local temp = globalManager.ccCreator:newJsonWidget("LeagueRequestView")
temp.MIN_LEVEL = 40
temp.MAX_LEVEL = 500
temp._controller = controller
temp._updateFlag = false 	--是否更新成员列表
temp._itemList = {}
--temp._autoLevel = math.max(temp.MIN_LEVEL,globalData.leagueInfo.autoLevel)
temp._listView = temp:getChildByName("listView")
temp._listView:setItemsMargin(5)
temp._allRefuseBtn = temp:getChildByName("allRefuseBtn")
temp._allAgreeBtn = temp:getChildByName("allAgreeBtn")
--temp._autoInCheckBox = temp:getChildByName("autoInCheckBox")
temp._levelLabel = temp:getChildByName("levelLabel")
--temp._levelLabel:setText(temp._autoLevel)
--temp._addBtn = temp:getChildByName("addBtn")
temp._listItemBtn = temp:getChildByName("listItemBtn")
--temp._minusBtn = temp:getChildByName("minusBtn")
temp._addCount = 0
temp._addIndex = 0
temp._timeCount = 0
temp.comboBox = nil
temp.conditionList = {globalManager.yuyanbaoManager:getYuyanbao("LeagueRequestView.text1"),globalManager.yuyanbaoManager:getYuyanbao("LeagueRequestView.text2"),globalManager.yuyanbaoManager:getYuyanbao("LeagueRequestView.text3"),globalManager.yuyanbaoManager:getYuyanbao("LeagueRequestView.text4"),globalManager.yuyanbaoManager:getYuyanbao("LeagueRequestView.text5")}
-- if(globalData.leagueInfo.autoLevel > 0)then
-- 	temp._autoInCheckBox:setSelectedState(true)
-- end
temp._allRefuseBtn:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("ResponsePanel.text5"))
temp._allAgreeBtn:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("ResponsePanel.text4"))
temp._tipsLabel = temp:getChildByName("tipsLabel")
return temp
end)
function LeagueRequestView:ctor()
self:initData()
self:initEvent()
end
function LeagueRequestView:initData()
globalData.messageAdder:getRequestList()
if(globalData.leagueInfo.autoLevel == 50)then
self._levelLabel:setText(self.conditionList[4])
elseif(globalData.leagueInfo.autoLevel == 1)then
self._levelLabel:setText(self.conditionList[3])
elseif(globalData.leagueInfo.autoLevel == 5)then
self._levelLabel:setText(self.conditionList[2])
elseif(globalData.leagueInfo.autoLevel == 10)then
self._levelLabel:setText(self.conditionList[1])
elseif(globalData.leagueInfo.autoLevel == 0)then
self._levelLabel:setText(self.conditionList[5])
end
end
function LeagueRequestView:initEvent()
local function buttonTouchHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
-- if(sender == self._addBtn)then
-- 	local tmp = self._autoLevel
-- 	tmp = tmp + 10
-- 	if(tmp > self.MAX_LEVEL)then
-- 		return
-- 	end
-- 	self._autoLevel = tmp
-- 	self._levelLabel:setText(self._autoLevel)
-- 	if(self._autoInCheckBox:getSelectedState())then
-- 		self._controller.module.message:setAutoLevel(self._autoLevel)
-- 	end
-- elseif(sender == self._minusBtn)then
-- 	local tmp = self._autoLevel
-- 	tmp = tmp - 10
-- 	if(tmp < self.MIN_LEVEL)then
-- 		return
-- 	end
-- 	self._autoLevel = tmp
-- 	self._levelLabel:setText(self._autoLevel)
-- 	if(self._autoInCheckBox:getSelectedState())then
-- 		self._controller.module.message:setAutoLevel(self._autoLevel)
-- 	end
-- else
if(sender == self._allRefuseBtn)then
local len = #self._itemList
for i=len,1,-1 do
self:refuseHandler(self._itemList[i])
end
elseif(sender == self._allAgreeBtn)then
local len = #self._itemList
for i=len,1,-1 do
self:agreeHandler(self._itemList[i])
end
end
end
end
local function selectedEvent(sender,eventType)
if eventType == ccui.CheckBoxEventType.selected then
elseif eventType == ccui.CheckBoxEventType.unselected then
end
if(self._autoInCheckBox:getSelectedState())then
self._controller.module.message:setAutoLevel(self._autoLevel)
else
self._controller.module.message:setAutoLevel(0)
end
end
local function listItemTouchHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
local pos = globalManager.ccCreator:newPoint(globalData.GAME_WIDTH*0.5 - 480 + 200,globalData.GAME_HEIGHT*0.5 - 320 + 72)
self.comboBox = ComboBox:new(self.conditionList,180,pos)
end
end
self._allRefuseBtn:addTouchEventListener(buttonTouchHandler)
self._allAgreeBtn:addTouchEventListener(buttonTouchHandler)
self._listItemBtn:addTouchEventListener(listItemTouchHandler)
--    self._addBtn:addTouchEventListener(buttonTouchHandler)
--    self._minusBtn:addTouchEventListener(buttonTouchHandler)
-- self._autoInCheckBox:addEventListenerCheckBox(selectedEvent)
globalData.leagueInfo:addEventListener(globalData.globalEventType.league_requestList, self.leagueRequestListUpdateHandler, self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.global_comboBox, self.comboBoxSelectHandler,self)
globalManager.tickManager:addTick(self.tick, self)
end
function LeagueRequestView:removeEvent()
globalData.leagueInfo:removeEventListener(globalData.globalEventType.league_requestList, self.leagueRequestListUpdateHandler, self)
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.global_comboBox, self.comboBoxSelectHandler,self)
end
function LeagueRequestView:comboBoxSelectHandler(evt)
if(self.comboBox ~= nil) then
if(evt.data == 1) then
self._controller.module.message:setAutoLevel(10)
self._levelLabel:setText(self.conditionList[1])
elseif(evt.data == 2) then
self._controller.module.message:setAutoLevel(5)
self._levelLabel:setText(self.conditionList[2])
elseif(evt.data == 3) then
self._controller.module.message:setAutoLevel(1)
self._levelLabel:setText(self.conditionList[3])
elseif(evt.data == 4) then
self._controller.module.message:setAutoLevel(50)
self._levelLabel:setText(self.conditionList[4])
elseif(evt.data == 5) then
self._controller.module.message:setAutoLevel(0)
self._levelLabel:setText(self.conditionList[5])
end
self.comboBox:dispose()
self.comboBox = nil
end
end
function LeagueRequestView:leagueRequestListUpdateHandler(evt)
self._listView:removeAllItems()
self._itemList = {}
self._timeCount = 0
self._addIndex = 1
self._addCount = #globalData.leagueInfo.applyList
if(self._addCount > 0) then
self._tipsLabel:setVisible(false)
else
self._tipsLabel:setVisible(true)
return
end
globalManager.tickManager:addTick(self.addTick,self)
end
function LeagueRequestView:addTick(delta,count)
self._timeCount = self._timeCount + 1
if(self._timeCount >= 10) then
self._timeCount = 0
local item = LeagueRequestItemView:new(self._controller)
item:setData(globalData.leagueInfo.applyList[self._addIndex],self.refuseHandler,self.agreeHandler,self)
self._listView:pushBackCustomItem(item)
table.insert(self._itemList,item)
self._addIndex = self._addIndex + 1
if(self._addIndex > self._addCount) then
globalManager.tickManager:removeTick(self.addTick,self)
end
end
end
function LeagueRequestView:tick(delta, count)
if(self._updateFlag == true)then
self:updateMemberList()
self._updateFlag = false
end
end
function LeagueRequestView:updateMemberList()
self._controller.module.message:getMemberList()
end
function LeagueRequestView:refuseHandler(item)
self._controller.module.message:handleRequest(false,item.data.userId)
self:removeItem(item.data.userId)
end
function LeagueRequestView:agreeHandler(item)
self._controller.module.message:handleRequest(true,item.data.userId)
self:removeItem(item.data.userId)
self._updateFlag = true
end
function LeagueRequestView:removeItem(userId)
for __,item in pairs(self._itemList) do
if(item.data.userId == userId)then
globalManager.commonUtils:removeItemInTable(self._itemList,item)
self._listView:removeItem(self._listView:getIndex(item))
item:dispose()
break
end
end
end
function LeagueRequestView:dispose()
globalManager.tickManager:removeTick(self.addTick,self)
globalManager.tickManager:removeTick(self.tick, self)
self:removeEvent()
globalManager.playerInfoTester:resetLeagueRequest()
self._controller = nil
self._listView:removeAllItems()
self._listView = nil
self._allRefuseBtn = nil
self._allAgreeBtn = nil
self.conditionList = nil
--self._autoInCheckBox = nil
self._levelLabel = nil
self._tipsLabel = nil
--self._addBtn = nil
--self._minusBtn = nil
if(self.comboBox ~= nil) then
self.comboBox:dispose()
self.comboBox = nil
end
self._updateFlag = nil
self._listItemBtn = nil
for __,item in pairs(self._itemList) do
item:dispose()
end
self._itemList = nil
globalManager.ccCreator:release(self)
end
LeagueShopView = class("LeagueShopView", function(self,controller)
local temp = globalManager.ccCreator:newJsonWidget("LeagueShopView")
temp._controller = controller
temp:getChildByName("Label_94549_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueShopView.text1"))
temp:getChildByName("Label_94549_Copy5"):setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueShopView.text2"))
temp._listView = temp:getChildByName("listView")
temp._listView:setItemsMargin(5)
temp._gongxianLabel = temp:getChildByName("gongxianLabel")
temp._itemList = {}
return temp
end)
function LeagueShopView:ctor()
self:initData()
self:initEvent()
self:leagueJobChangeHandler()
end
function LeagueShopView:initData()
globalData.messageAdder:sendShopDiscount(5)
end
function LeagueShopView:initEvent()
globalData.discountGoodsList:addEventListener(globalData.globalEventType.shop_discount,self.discountUpdateHandler,self)
globalData.leagueInfo:addEventListener(globalData.globalEventType.league_myInfo,self.leagueJobChangeHandler,self)
end
function LeagueShopView:removeEvent()
globalData.discountGoodsList:removeEventListener(globalData.globalEventType.shop_discount,self.discountUpdateHandler,self)
globalData.leagueInfo:removeEventListener(globalData.globalEventType.league_myInfo,self.leagueJobChangeHandler,self)
end
function LeagueShopView:leagueJobChangeHandler(evt)
self._gongxianLabel:setText(globalData.leagueInfo.myGongxian)
end
function LeagueShopView:discountUpdateHandler(evt)
self:updateView()
end
function LeagueShopView:updateView()
local list = globalData.discountGoodsList:getListByType(5)
self._listView:removeAllItems()
if(list ~= nil)then
for i=1,#list do
local item = ShopDiscountItemView:new()
item:setDiscountInfo(list[i])
self._listView:pushBackCustomItem(item)
table.insert(self._itemList,item)
end
local index = #list + 1
if index <= 4 then
for i = index, 4 do
local item = ShopDiscountItemView:new()
item:setDiscountInfo(nil)
self._listView:pushBackCustomItem(item)
table.insert(self._itemList,item)
end
end
self._listView:refreshView()
self._listView:jumpToTop()
end
end
function LeagueShopView:dispose()
self:removeEvent()
self._controller = nil
self._listView = nil
self._gongxianLabel = nil
for __,item in pairs(self._itemList) do
item:dispose()
end
self._itemList = nil
globalManager.ccCreator:release(self)
end
LeagueWareHouseView = class("LeagueWareHouseView", function(_, controller)
local self = globalManager.ccCreator:newJsonWidget("LeagueWareHouseView")
self._leagueController = controller
self.listView = self:getChildByName("listView")
self.listView:setItemsMargin(5)
self.contributeSetBtn = self:getChildByName("setBtn")
self.disBtn = self:getChildByName("disBtn")
self.itemList = {}
self:getChildByName("Label_476491"):setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueWareHouseView.text1"))
self:getChildByName("Label_476491"):setColor(globalData.allStaticTypes.colorType.COLORRED)
self:getChildByName("Label_476492"):setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueWareHouseView.text2"))
self:getChildByName("Label_476492"):setColor(globalData.allStaticTypes.colorType.COLORRED)
self.contributeSetBtn:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueWareHouseView.text3"))
self.disBtn:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueWareHouseView.text4"))
return self
end)
function LeagueWareHouseView:ctor()
self:initEvent()
globalData.leagueInfo.wareHouseList:initData()
self._leagueController.module.message:requestWareHouseList()
self._leagueController.module.message:requestWareHouseLog()
self:initListView()
end
function LeagueWareHouseView:initListView()
local goodsList = globalData.leagueInfo.wareHouseList._list
for i,info in pairs(goodsList) do
local item = LeagueWareHouseItem:new(self._leagueController)
item:setInfo(info)
self.listView:pushBackCustomItem(item)
table.insert(self.itemList,item)
end
end
function LeagueWareHouseView:initEvent()
local function btnClickHandler(sender,eventType)
if (eventType == TOUCH_EVENT_ENDED) then
self._leagueController:showLeagueContributeSetView()
end
end
local function disBtnClickHandler(sender,eventType)
if (eventType == TOUCH_EVENT_ENDED) then
self._leagueController:showLeagueHistoryView()
end
end
if(globalData.leagueInfo.myJob <= 0)then
self.contributeSetBtn:setTouchEnabled(false)
self.contributeSetBtn:loadTextureNormal("btn/ui_tabBtn1_5.png",1)
else
self.contributeSetBtn:addTouchEventListener(btnClickHandler)
end
self.disBtn:addTouchEventListener(disBtnClickHandler)
globalData.leagueInfo:addEventListener(globalData.globalEventType.league_goodsAppli, self.leagueGoodsApplicationHandler, self)
globalData.leagueInfo:addEventListener(globalData.globalEventType.league_contributeSet, self.leagueContributeSetHandler, self)
end
function LeagueWareHouseView:removeEvent()
globalData.leagueInfo:removeEventListener(globalData.globalEventType.league_goodsAppli, self.leagueGoodsApplicationHandler, self)
globalData.leagueInfo:removeEventListener(globalData.globalEventType.league_contributeSet, self.leagueContributeSetHandler, self)
end
function LeagueWareHouseView:leagueContributeSetHandler(evt)
self:clearItem()
self:initListView()
end
function LeagueWareHouseView:leagueGoodsApplicationHandler(evt)
self:clearItem()
self:initListView()
end
function LeagueWareHouseView:clearItem()
self.listView:removeAllItems()
for i,v in pairs(self.itemList) do
v:dispose()
end
self.itemList = {}
end
function LeagueWareHouseView:dispose()
self:removeEvent()
self._leagueController = nil
self.nothingTips = nil
self:clearItem()
self.listView = nil
self.contributeSetBtn = nil
self.disBtn = nil
self.itemList = nil
globalManager.ccCreator:release(self)
end
LeagueWareHouseItem = class("LeagueWareHouseItem", function(self,controller)
local self = globalManager.ccCreator:newJsonWidget("LeagueWareHouseItem")
local cellBg   = self:getChildByName("equipCell_Copy0")
self.txtName   = cellBg:getChildByName("txtName")
self.txtNum    = cellBg:getChildByName("txtNum")
self.txtCount  = cellBg:getChildByName("txtCount")
self.btnApply  = self:getChildByName("btnApply")
self.btnLabel  = self.btnApply:getChildByName("btnLabel")
self.btnDetail = self:getChildByName("btnDetail_Copy0")
self.autoIcon  = self:getChildByName("ImageView_470451")
self.autoIcon:setVisible(false)
self.contributionLabel = cellBg:getChildByName("Contribution")
self.goodsinfo = nil
self.grid 	   = GoodsInfoGrid:new(false)
cellBg:addChild(self.grid)
self._leagueController = controller
self._info = nil
self._clubWealth = 0
cellBg:getChildByName("Label_277833"):setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueWareHouseItem.text6"))
cellBg:getChildByName("Label_277833_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueWareHouseItem.text7"))
cellBg:getChildByName("Label_277833_Copy1"):setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueWareHouseItem.text8"))
self.btnDetail:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueWareHouseItem.text9"))
self.btnApply:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueWareHouseItem.text5"))
return self
end)
function LeagueWareHouseItem:ctor()
self:initEvent()
end
function LeagueWareHouseItem:initEvent()
local function btnClickHandler(sender,eventType)
if eventType == TOUCH_EVENT_ENDED then
if sender == self.btnApply then
if globalData.leagueInfo.myTotalGongxian >= self._clubWealth then
self.btnApply:loadTextureNormal("btn/ui_tabBtn1_4.png",1)
self.btnApply:setTouchEnabled(false)
self.btnLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueWareHouseItem.text1"))
self._leagueController.module.message:applyWareHouseItem(self._info.itemId)
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("LeagueWareHouseItem.text2").. self._clubWealth ..globalManager.yuyanbaoManager:getYuyanbao("LeagueWareHouseItem.text3"))
end
elseif sender == self.btnDetail then
self._leagueController:showLeagueApplyPanel(self._info)
end
end
end
self.btnApply:addTouchEventListener(btnClickHandler)
self.btnDetail:addTouchEventListener(btnClickHandler)
end
function LeagueWareHouseItem:setInfo(info)
self._info = info
self:reflesh()
end
function LeagueWareHouseItem:reflesh()
local goodTemp = globalData.allTemplates.goodsTemplateList:getTemplate(self._info.itemId)
self.goodsinfo = GoodsInfo:new()
self.goodsinfo:setTemplateId(self._info.itemId)
self.goodsinfo.count = self._info
self.grid:setGoodsInfo(self.goodsinfo)
self.txtName:setText(self.goodsinfo:getTemplate().name)
self.txtName:setColor(globalData.allStaticTypes.colorType:getColorByQuality(self.goodsinfo:getTemplate().quality))
if(self._info.amount ~= nil)then
self.txtNum:setText(self._info.amount)
else
self.txtNum:setText("0")
end
if(self._info.needWealth ~= nil)then
self._clubWealth = self._info.needWealth
self.contributionLabel:setText("（"..globalManager.yuyanbaoManager:getYuyanbao("LeagueWareHouseItem.text2") .. self._info.needWealth .. globalManager.yuyanbaoManager:getYuyanbao("LeagueWareHouseItem.text3").."）")
else
self._clubWealth = 500
self.contributionLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueWareHouseItem.text4"))
end
if(self._info.isAuto ~= nil and self._info.isAuto == 1)then
self.autoIcon:setVisible(true)
else
self.autoIcon:setVisible(false)
end
if(self._info.applyUsers ~= nil)then
self.txtCount:setText(#self._info.applyUsers)
local apply = false
for i=1,#self._info.applyUsers do
if self._info.applyUsers[i].userId == globalData.selfPlayerInfo.userId then
apply = true
end
end
if apply == true then
self.btnApply:loadTextureNormal("btn/ui_tabBtn1_4.png",1)
self.btnLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueWareHouseItem.text1"))
else
self.btnApply:loadTextureNormal("btn/ui_tabBtn1_3.png",1)
self.btnLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueWareHouseItem.text5"))
end
else
self.txtCount:setText("0")
end
end
function LeagueWareHouseItem:dispose()
self._leagueController = nil
self.txtName   = nil
self.txtNum    = nil
self.txtCount  = nil
self.btnApply  = nil
self.btnLabel  = nil
self.btnDetail = nil
self.autoIcon  = nil
self._info     = nil
self.contributionLabel = nil
self.goodsinfo:dispose()
self.goodsinfo = nil
if self.grid ~= nil then
self.grid:dispose()
self.grid = nil
end
globalManager.ccCreator:release(self)
end
LeagueController = class("LeagueController", function(self,module)
local temp = {}
temp.module = module
return temp
end)
function LeagueController:showLeaguePanel()
if(self.module.leaguePanel == nil)then
self.module.leaguePanel = LeaguePanel:new(self)
self.module.leaguePanel.eventDis:addEventListener(globalData.globalEventType.trigger_panelDispose,self.hideLeaguePanel,self)
end
globalData.uiPanelContainer:addPanel(globalData.allStaticTypes.panelTabType.league,self.module.leaguePanel)
end
function LeagueController:hideLeaguePanel(evt)
self.module.leaguePanel.eventDis:removeEventListener(globalData.globalEventType.trigger_panelDispose,self.hideLeaguePanel,self)
self.module.leaguePanel = nil
end
function LeagueController:showLeagueListPanel()
if(self.module.leagueListPanel == nil)then
self.module.leagueListPanel = LeagueListPanel:new(self)
self.module.leagueListPanel.eventDis:addEventListener(globalData.globalEventType.trigger_panelDispose,self.hideLeagueListPanel,self)
end
globalData.uiPanelContainer:addPanel(globalData.allStaticTypes.panelTabType.leagueList,self.module.leagueListPanel)
end
function LeagueController:hideLeagueListPanel(evt)
self.module.leagueListPanel.eventDis:removeEventListener(globalData.globalEventType.trigger_panelDispose,self.hideLeagueListPanel,self)
self.module.leagueListPanel = nil
end
function LeagueController:showLeagueApplyPanel(info)
local view = LeagueApplyListPanel:new(info,self)
globalData.uiClickContainer:addItem(view,true)
end
function LeagueController:showLeagueHistoryView()
local view = LeagueHistoryView:new()
globalData.uiClickContainer:addItem(view,true)
view:scrollTop()
end
function LeagueController:showLeagueContributeSetView()
local view = LeagueContributionView:new(self)
globalData.uiClickContainer:addItem(view,true)
view:scrollTop()
end
LeagueMessageSender = class("LeagueMessageSender", function(self)
local temp = {}
return temp
end)
--获取帮派列表
function LeagueMessageSender:getLeagueList()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.LEAGUE_LIST)
globalManager.messageManager:send(messOut)
end
--创建帮派
function LeagueMessageSender:createLeague(payType,leagueName)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.LEAGUE_CREATE)
messOut:writeByte(payType)
messOut:writeString(leagueName)
globalManager.messageManager:send(messOut)
end
--自动加入帮派
function LeagueMessageSender:autoJoinLeague()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.AUTO_JOIN_LEAGUE)
globalManager.messageManager:send(messOut)
end
--申请入帮
-- function LeagueMessageSender:apply(leagueId)
-- 	local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.LEAGUE_REQUEST)
-- 	messOut:writeNumber(leagueId)
--     globalManager.messageManager:send(messOut)
-- end
--处理帮派请求
function LeagueMessageSender:handleRequest(isAgree,userId)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.LEAGUE_REQUEST_DEAL)
messOut:writeBoolean(isAgree)
messOut:writeNumber(userId)
globalManager.messageManager:send(messOut)
end
--获取帮派成员列表
function LeagueMessageSender:getMemberList()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.LEAGUE_MEMBER_LIST)
globalManager.messageManager:send(messOut)
end
--退出帮会
function LeagueMessageSender:quit()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.LEAGUE_QUIT)
globalManager.messageManager:send(messOut)
end
--自动入帮等级更新
--不自动入帮，发0
function LeagueMessageSender:setAutoLevel(level)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.LEAGUE_AUTO_LEVEL)
messOut:writeShort(level)
globalManager.messageManager:send(messOut)
end
--帮派捐献
--1 铜币，2铜币
function LeagueMessageSender:gongxian(payType)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.LEAGUE_GONGXIAN)
messOut:writeByte(payType)
globalManager.messageManager:send(messOut)
end
--帮派升级
function LeagueMessageSender:upgrade()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.LEAGUE_UPGRADE)
globalManager.messageManager:send(messOut)
end
--帮会公告更新
function LeagueMessageSender:noticeUpdate(content)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.LEAGUE_NOTICE_UPDATE)
messOut:writeString(content)
globalManager.messageManager:send(messOut)
end
--踢人
function LeagueMessageSender:kick(userId)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.LEAGUE_KICK)
messOut:writeNumber(userId)
globalManager.messageManager:send(messOut)
end
--职务改变
--job 2副会，0普通
function LeagueMessageSender:jobChange(userId,job)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.LEAGUE_JOB_UPDATE)
messOut:writeNumber(userId)
messOut:writeByte(job)
globalManager.messageManager:send(messOut)
end
--会长转让
function LeagueMessageSender:masterChange(userId)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.LEAGUE_MATER_UPDATE)
messOut:writeNumber(userId)
globalManager.messageManager:send(messOut)
end
--获取帮派BOSS血量
function LeagueMessageSender:getCopyBossInfo()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.CLUBCOPY_BOSS_HP)
globalManager.messageManager:send(messOut)
end
function LeagueMessageSender:resetCopy(copyId)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.CLUBCOPY_RESET)
messOut:writeInt(copyId)
globalManager.messageManager:send(messOut)
end
--帮派仓库物品请求
function LeagueMessageSender:applyWareHouseItem(itemId)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.LEAGUE_ITEM_REQUEST)
messOut:writeInt(itemId)
globalManager.messageManager:send(messOut)
local offline = 0
local state = 1
repeat
globalData.leagueInfo.wareHouseList:forEach(function(v)
if v.applyUsers ~= nil and #v.applyUsers > 0 then
for i = 1, #v.applyUsers do
if v.applyUsers[i].userId == globalData.selfPlayerInfo.userId then
offline = v.applyUsers[i].offline
state = v.applyUsers[i].state
table.remove(v.applyUsers, i, 1)
return false
end
end
end
return true
end)
until 1
local itemInfo = globalData.leagueInfo.wareHouseList:getInfo(itemId)
if itemInfo ~= nil then
local user = LeagueWareHouseUserInfo:new()
user.userId = globalData.selfPlayerInfo.userId
user.itemId = itemId
user.name = globalData.selfPlayerInfo.nick
user.level = globalData.selfPlayerInfo.level
user.career = globalData.selfPlayerInfo.career
user.sex = globalData.selfPlayerInfo.sex
user.offline = offline
user.state = state
user.club_wealth = globalData.leagueInfo.myTotalGongxian
table.insert(itemInfo.applyUsers,1,user)
end
-- for i = 1, #itemInfo.applyUsers do
-- 	print("#add", itemInfo.applyUsers[i])
-- end
globalData.leagueInfo:dispatchEvent(BaseEvent:new(globalData.globalEventType.league_goodsAppli,globalData.leagueInfo))
end
--帮派仓库请求
function LeagueMessageSender:requestWareHouseList()
print("#帮派仓库请求")
globalManager.messageManager:send(globalData.allStaticTypes.messageType.LEAGUE_ITEM_REQUEST_LIST)
end
--帮派仓库请求处理
function LeagueMessageSender:dealWareHouseItem(type, userId, itemId, amount)
amount = amount or 1
local _info = nil
local name = ""
local ret = globalData.leagueInfo.wareHouseList:forEach(function(itemInfo)
if itemInfo ~= nil and itemInfo.itemId == itemId  then
_info = itemInfo
if type == 1 then
if itemInfo.amount >= amount then
itemInfo.amount = math.max(0, itemInfo.amount - amount)
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("LeagueMessageSender.text1"))
return false
end
end
for i = #itemInfo.applyUsers, 1, -1  do
if itemInfo.applyUsers[i].userId == userId then
name = itemInfo.applyUsers[i].name
table.remove(itemInfo.applyUsers, i, 1)
end
end
end
return true
end)
if ret == true and _info ~= nil then
if type == 1 then
local logInfo = LeagueWareHouseLogInfo:new()
logInfo.itemId = itemId
logInfo.templateId = itemId
logInfo.amount = amount
logInfo.date = math.ceil( globalData.systemDateInfo:getSystemTime() / 1000 )
logInfo.deal = globalData.selfPlayerInfo.nick
logInfo.request = name
table.insert(globalData.leagueInfo.wareHouseLog, logInfo)
end
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.LEAGUE_ITEM_REQUEST_DEAL)
messOut:writeByte(type)
messOut:writeNumber(userId)
messOut:writeInt(itemId)
messOut:writeShort(amount)
globalManager.messageManager:send(messOut)
globalData.leagueInfo:dispatchEvent(BaseEvent:new(globalData.globalEventType.league_goodsAppli,globalData.leagueInfo))
end
end
--帮派仓库请求日志
function LeagueMessageSender:requestWareHouseLog()
print("#帮派仓库请求日志")
globalManager.messageManager:send(globalData.allStaticTypes.messageType.LEAGUE_ITEM_REQUEST_LOG)
end
--帮派帮贡设置
function LeagueMessageSender:leagueContributeSet(itemList)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.LEAGUE_ITEM_REQUEST_SET)
local len = #itemList
messOut:writeShort(len)
for i = 1,len,1 do
messOut:writeInt(itemList[i][1])
messOut:writeByte(itemList[i][2])
messOut:writeInt(itemList[i][3])
end
globalManager.messageManager:send(messOut)
end
LeagueModule = class("LeagueModule",function(self)
local temp = BaseModule:new()
temp.leagueController = nil
temp.leaguePanel = nil
temp.leagueListPanel = nil
temp.message = nil
return temp
end)
--override
function LeagueModule:getModuleType()
return globalData.allStaticTypes.moduleType.league
end
--override
function LeagueModule:setup(data)
self.message = LeagueMessageSender:new()
self.leagueController = LeagueController:new(self)
self:configure(data)
end
--override
function LeagueModule:configure(data)
if(data == 10)then
self.leagueController:showLeagueListPanel()
else
self.leagueController:showLeaguePanel()
end
end
LetterItem = class("letterItem",function(self,controller)
local temp = globalManager.ccCreator:newJsonWidget("letterItem")
temp._letterItemInfo = nil
temp._letterTitle    = temp:getChildByName("letterTitle")
temp._letterTime     = temp:getChildByName("letterTime")
temp._cellGrid       = temp:getChildByName("equipCell1_Copy1")
temp._letterContent  = temp:getChildByName("Label_423301")
temp._isReceiveImg = temp:getChildByName("isReceiveImg")
temp.grid            = nil
return temp
end)
--设置信件信息
--param info:LetterItemInfo
function LetterItem:setLetterInfo(info)
if(info == nil) then return end
self._letterItemInfo = info
self._letterTitle:setText(info.title)
self._letterTime:setText(globalManager.yuyanbaoManager:getYuyanbao("CopyTYFollowPanel.text2") .. info.leftDay .. globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel6"))
if(globalManager.utf8:utf8len(info.content) < 30)then
self._letterContent:setText(info.content)
else
self._letterContent:setText(globalManager.utf8:utf8sub(info.content,1,29) .. "...")
end
if(#info.goodsList > 0)then
self.grid = GoodsInfoGrid:new()
self.grid:setGoodsInfo(info.goodsList[1])
self.grid:setPicTouchEnabled(false)
self._cellGrid:addChild(self.grid)
local canReceive = false
local len = 0
if(info.copper > 0)then
len = len + 1
end
if(info.gold > 0)then
len = len + 1
end
if(info.bindGold > 0)then
len = len + 1
end
if(#info.goodsList - len > 0) then
if(info.fetchState ~= 1 and info.fetchState ~= 1025) then
canReceive =  true
end
end
if(info.copper > 0 or info.gold > 0 or info.bindGold > 0) then
if(info.fetchState ~= 1024 and info.fetchState ~= 1025) then
canReceive = true
end
end
if(canReceive)then
self._isReceiveImg:setVisible(false)
else
self._isReceiveImg:setVisible(true)
end
else
self._cellGrid:setVisible(false)
self._isReceiveImg:setVisible(false)
end
end
function LetterItem:updateInfo()
self._letterTitle:setText(self._letterItemInfo.title)
self._letterTime:setText(globalManager.yuyanbaoManager:getYuyanbao("BoxPanel.text9") .. self._letterItemInfo.leftDay .. globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel6"))
if(globalManager.utf8:utf8len(self._letterItemInfo.content) < 30)then
self._letterContent:setText(self._letterItemInfo.content)
else
self._letterContent:setText(globalManager.utf8:utf8sub(self._letterItemInfo.content,1,29) .. "...")
end
if(#self._letterItemInfo.goodsList > 0)then
self.grid:setGoodsInfo(self._letterItemInfo.goodsList[1])
local canReceive = false
local len = 0
if(self._letterItemInfo.copper > 0)then
len = len + 1
end
if(self._letterItemInfo.gold > 0)then
len = len + 1
end
if(self._letterItemInfo.bindGold > 0)then
len = len + 1
end
if(#self._letterItemInfo.goodsList - len > 0) then
if(self._letterItemInfo.fetchState ~= 1 and self._letterItemInfo.fetchState ~= 1025) then
canReceive =  true
end
end
if(self._letterItemInfo.copper > 0 or self._letterItemInfo.gold > 0 or self._letterItemInfo.bindGold > 0) then
if(self._letterItemInfo.fetchState ~= 1024 and self._letterItemInfo.fetchState ~= 1025) then
canReceive = true
end
end
if(canReceive)then
self._isReceiveImg:setVisible(false)
else
self._isReceiveImg:setVisible(true)
end
else
if(self.grid ~= nil)then
self.grid:dispose()
self.grid = nil
end
self._cellGrid:setVisible(false)
self._isReceiveImg:setVisible(false)
end
end
function LetterItem:getInfo()
return self._letterItemInfo
end
function LetterItem:setRead()
if(self._letterItemInfo.read) then
self._noReadIcon:loadTexture("letter/ui_readIcon.png",1)
else
self._noReadIcon:loadTexture("letter/ui_unReadIcon.png",1)
end
end
function LetterItem:updateAttach()
self._attachIcon:setVisible(self._letterItemInfo:canReceiveGoods())
end
function LetterItem:setSelected(value)
self._selectedLight:setVisible(value)
end
--获取信件信息
--return LetterItemInfo
function LetterItem:getLetterInfo()
return self._letterItemInfo
end
function LetterItem:dispose()
self._letterItemInfo = nil
self._letterTitle = nil
self._letterTime  = nil
if(self.grid ~= nil)then
self.grid:dispose()
self.grid = nil
end
self._cellGrid    = nil
self._letterContent = nil
self._isReceiveImg = nil
globalManager.ccCreator:release(self)
end
LetterPanel = class("LetterPanel",function(self,controller)
local temp = globalManager.ccCreator:newJsonWidget("letterPanel")
temp._controller = controller
temp._closeBtn = temp:getChildByName("closeBtn_Copy0")
temp._listPanel = temp:getChildByName("list_panel_Copy0")
temp._listPanel:setItemsMargin(10)
temp._infoList = {}
temp._letterList = {}
temp._letterIds = {}
temp._letterAwardPanel = nil
temp._isTick = false
temp._count = 0
temp._num = 0
temp:getChildByName("Label_423290"):setText(globalManager.yuyanbaoManager:getYuyanbao("LetterPanel.text1"))
temp.eventDis = EventDispatcher:new()
return temp
end)
function LetterPanel:ctor()
self:initEvent()
self:updateList()
end
function LetterPanel:closeGetAwardPanel()
if(self._letterAwardPanel ~= nil) then
self._letterAwardPanel:dispose()
self._letterAwardPanel = nil
end
end
function LetterPanel:initEvent()
local closeBtnClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self:dispose()
end
end
self._closeBtn:addTouchEventListener(closeBtnClickHandler)
globalData.letterInfoList:addEventListener(globalData.globalEventType.playerInfo_letterRead,self.updateInfo,self)
--    globalData.letterInfoList:addEventListener(globalData.globalEventType.playerInfo_letterAdd,self.updateList,self)
globalData.letterInfoList:addEventListener(globalData.globalEventType.playerInfo_letterDelete,self.deleteLetter,self)
globalData.letterInfoList:addEventListener(globalData.globalEventType.playerInfo_letterAttach,self.updateInfo,self)
end
function LetterPanel:removeEvent()
globalData.letterInfoList:removeEventListener(globalData.globalEventType.playerInfo_letterRead,self.updateInfo,self)
--    globalData.letterInfoList:removeEventListener(globalData.globalEventType.playerInfo_letterAdd,self.updateList,self)
globalData.letterInfoList:removeEventListener(globalData.globalEventType.playerInfo_letterDelete,self.deleteLetter,self)
globalData.letterInfoList:removeEventListener(globalData.globalEventType.playerInfo_letterAttach,self.updateInfo,self)
end
function LetterPanel:attachItem()
if(self._currentItem:getLetterInfo():canReceiveGoods()) then
self._controller.module.message:sendAttachReceive(self._currentItem:getLetterInfo().letterId,0)
end
end
function LetterPanel:updateInfo(evt)
local id = evt.data
self._currentItem = nil
for i,item in pairs(self._letterList) do
if(id == item:getInfo().letterId) then
item:updateInfo()
break
end
end
end
function LetterPanel:deleteLetter(evt)
local id = evt.data
self._currentItem = nil
for i,item in pairs(self._letterList) do
if(id == item:getInfo().letterId) then
self._listPanel:removeItem(i-1)
item:dispose()
table.remove(self._letterList,i)
break
end
end
end
function LetterPanel:updateList(evt)
local id = 0
self._currentItem = nil
self._listPanel:removeAllItems()
for i,letter in pairs(self._letterList) do
if(letter ~= nil) then
letter:dispose()
letter = nil
end
end
self._letterList = {}
self._letterIds = {}
self._count = 0
for i,letter in pairs(globalData.letterInfoList.letterList) do
self._count = self._count + 1
table.insert(self._letterIds,i)
end
self._num = 0
self._isTick = true
globalManager.tickManager:addTick(self.tick,self)
end
function LetterPanel:tick(delta,count)
local itemClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
if(not self._isTick and self._letterAwardPanel == nil) then
self._letterAwardPanel = LetterContentPanel:new(self,self._controller)
self._letterAwardPanel:setData(sender:getInfo())
globalData.uiClickContainer:addItem(self._letterAwardPanel,true,true)
if(not sender:getInfo().read) then
self._controller.module.message:sendLetterRead(sender:getInfo().letterId)
end
-- self._letterAwardPanel:setPosition(165,97)
-- self:addChild(self._letterAwardPanel,10)
end
end
end
self._num = self._num + 1
local letterItem = LetterItem:new()
letterItem:setLetterInfo(globalData.letterInfoList.letterList[self._letterIds[self._num]])
letterItem:setTouchEnabled(true)
letterItem:addTouchEventListener(itemClickHandler)
self._listPanel:pushBackCustomItem(letterItem)
table.insert(self._letterList,letterItem)
if(self._num >= self._count) then
globalManager.tickManager:removeTick(self.tick,self)
self._isTick = false
self._listPanel:refreshView()
end
end
function LetterPanel:selectItem(item)
if(self._currentItem ~= nil) then
self._currentItem:setSelected(false)
end
local info = item:getLetterInfo()
self._currentItem = item
self._currentItem:setSelected(true)
if(not info.read) then
info.read = true
item:setRead()
self._controller.module.message:sendLetterRead(info.letterId)
end
end
function LetterPanel:setAttach()
local info = self._currentItem:getLetterInfo()
if(info.fetchState ~= 1024 and info.fetchState ~= 1025) then
self._goldLabel:setText(info.gold)
self._copperLabel:setText(info.copper)
else
self._goldLabel:setText("0")
self._copperLabel:setText("0")
end
if(self._currentItem:getLetterInfo().goodsList ~= nil and info.fetchState ~= 1 and info.fetchState ~= 1025) then
self._attachGird:setGoodsInfo(self._currentItem:getLetterInfo().goodsList[1])
else
self._attachGird:setGoodsInfo(nil)
end
end
function LetterPanel:dispose()
globalManager.tickManager:removeTick(self.tick,self)
self:removeEvent()
self._controller = nil
self._closeBtn = nil
self._listPanel:removeAllItems()
if(self._letterList ~= nil) then
for __,item in pairs(self._letterList) do
item:dispose()
item = nil
end
self._letterList = nil
end
self._letterIds = nil
self._listPanel = nil
self._infoList = nil
self:closeGetAwardPanel()
self.eventDis:dispatchEvent(BaseEvent:new(globalData.globalEventType.trigger_panelDispose,self.eventDis,nil))
self.eventDis:dispose()
self.eventDis = nil
globalManager.ccCreator:release(self)
end
LetterContentPanel = class("LetterContentPanel",function(self,parent,controller)
local temp = globalManager.ccCreator:newJsonWidget("letterContent")
temp._controller = controller
temp._closeBtn = temp:getChildByName("closeBtn")
temp._letterTittle = temp:getChildByName("letterTittle")
temp._contentLabel = temp:getChildByName("contentLabel")
temp._isReceiveImg = temp:getChildByName("isReceiveImg")
temp._isReceiveImg:setVisible(false)
temp._itemList = {}
temp._gridList = {}
for i = 1,4,1 do
table.insert(temp._itemList,temp:getChildByName("goods"..i))
end
temp._getBtn = temp:getChildByName("backBtn_Copy0")
temp._getLabel = temp._getBtn:getChildByName("btnLabel")
temp._info = nil
temp._parent = parent
return temp
end)
function LetterContentPanel:ctor()
self:initEvent()
end
function LetterContentPanel:initEvent()
local closeBtnHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self._parent:closeGetAwardPanel()
end
end
local okBtnHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
if(self._info.goodsList[1] ~= nil)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(self._info:canReceiveGoods())then
if(self._info:checkBagEnough())then
self._controller.module.message:sendAttachReceive(self._info.letterId,0)
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("LetterMessageHandler.text4"))
end
self._parent:closeGetAwardPanel()
else
self._controller.module.message:sendLetterDeletedById(self._info.letterId)
self._parent:closeGetAwardPanel()
end
else
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self._controller.module.message:sendLetterDeletedById(self._info.letterId)
self._parent:closeGetAwardPanel()
end
end
end
self:addTouchEventListener(closeBtnHandler)
self._closeBtn:addTouchEventListener(closeBtnHandler)
self._getBtn:addTouchEventListener(okBtnHandler)
end
function LetterContentPanel:removeEvent()
end
function LetterContentPanel:setData(info)
if(info == nil) then return end
self._info = info
self._letterTittle:setText(info.title)
self._contentLabel:setText(info.content)
local canReceive = false
if(#info.goodsList > 0)then
for i = 1,4 do
if(info.goodsList[i] ~= nil)then
local grid = GoodsInfoGrid:new()
grid:setGoodsInfo(info.goodsList[i])
self._itemList[i]:addChild(grid)
table.insert(self._gridList,grid)
end
end
local len = 0
if(info.copper > 0)then
len = len + 1
end
if(info.gold > 0)then
len = len + 1
end
if(info.bindGold > 0)then
len = len + 1
end
if(#info.goodsList - len > 0) then
if(info.fetchState ~= 1 and info.fetchState ~= 1025) then
canReceive =  true
end
end
if(info.copper > 0 or info.gold > 0 or info.bindGold > 0) then
if(info.fetchState ~= 1024 and info.fetchState ~= 1025) then
canReceive = true
end
end
if(canReceive)then
self._isReceiveImg:setVisible(false)
else
self._isReceiveImg:setVisible(true)
end
else
for i = 1,4,1 do
self._itemList[i]:setVisible(false)
end
end
if(canReceive)then
self._getLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel37"))
self._getBtn:loadTextureNormal("btn/ui_tabBtn1_3.png", 1)
else
self._getLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel88"))
self._getBtn:loadTextureNormal("btn/ui_tabBtn1_4.png", 1)
end
end
function LetterContentPanel:dispose()
self:removeEvent()
globalData.uiClickContainer:close(self)
self._controller = nil
self._closeBtn = nil
self._letterTittle = nil
self._contentLabel = nil
self._itemList = nil
self._isReceiveImg = nil
if(self._gridList ~= nil) then
for __,grid in pairs(self._gridList) do
grid:dispose()
end
self._gridList = nil
end
self._getBtn = nil
self._getLabel = nil
self._info = nil
self._parent = nil
globalManager.ccCreator:release(self)
end
LetterController = class("LetterController",function(self,module)
local temp = {}
temp.module = module
return temp
end)
function LetterController:showLetterPanel()
if(self.module.letterPanel == nil) then
self.module.letterPanel = LetterPanel:new(self)
self.module.letterPanel.eventDis:addEventListener(globalData.globalEventType.trigger_panelDispose,self.letterPanelCloseHandler,self)
end
globalData.uiClickContainer:addItem(self.module.letterPanel,true,true)
end
function LetterController:letterPanelCloseHandler(evt)
globalData.uiClickContainer:close(self.module.letterPanel)
self.module.letterPanel.eventDis:removeEventListener(globalData.globalEventType.trigger_panelDispose,self.letterPanelCloseHandler,self)
self.module.letterPanel = nil
end
--function LetterController:hideLetterWritePanel()
--    if(self.module.letterPanel ~= nil) then
--        self.module.letterPanel:hideWritePanel()
--    end
--end
LetterMessageSender = class("LetterMessageSender",function(self,module)
local temp = {}
temp.letterModule = module
return temp
end)
function LetterMessageSender:add()
self.letterReadMessageHandler = LetterMessageHandler:new(self.letterModule)
end
--收取附件
--param letterId:number type:int 0 收取物品和货币 1 只收取物品
function LetterMessageSender:sendAttachReceive(letterId,type)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.LETTER_ATTACH_RECEIVE)
messOut:writeNumber(letterId)
messOut:writeInt(type)
globalManager.messageManager:send(messOut)
end
--读取邮件
--param letterId:number
function LetterMessageSender:sendLetterRead(letterId)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.LETTER_READ)
messOut:writeNumber(letterId)
globalManager.messageManager:send(messOut)
end
--批量删除邮件
--param list:Vector.<int>
function LetterMessageSender:sendLetterDeleted(list)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.LETTER_DELETE)
messOut:writeShort(#list)
for i,letterId in pairs(list) do
messOut:writeNumber(letterId)
end
globalManager.messageManager:send(messOut)
end
--删除邮件
--param letterId:number
function LetterMessageSender:sendLetterDeletedById(letterId)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.LETTER_DELETE_ONE)
messOut:writeNumber(letterId)
globalManager.messageManager:send(messOut)
end
LetterMessageHandler = class("LetterMessageHandler",function(self,module)
local temp= {}
temp.letterModule = module
local messageReadReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
local id = bytes:readNumber()
if(bytes:readBoolean()) then
globalData.letterInfoList:changeReadState(id,true)
end
end
local messageDeleteReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
local len = bytes:readByte()
local list = {}
local id
for i = 1,len,1 do
id = bytes:readNumber()
if(bytes:readBoolean()) then
table.insert(list,id)
end
end
if(#list > 0) then
--globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("LetterMessageHandler.text1"))
globalData.letterInfoList:removeLettersAll(list)
end
end
local messageAttachReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
local id = bytes:readNumber()
local attachFetch = bytes:readInt()
local letter = globalData.letterInfoList:changeAttachState(id,attachFetch)
if(letter ~= nil) then
if(not letter:canReceiveGoods()) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("LetterMessageHandler.text2"))
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("LetterMessageHandler.text3"))
end
end
end
local messageDeleteOneReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
local id = bytes:readNumber()
local result = bytes:readByte()
if(result == 1)then
--globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("LetterMessageHandler.text1"))
globalData.letterInfoList:removeLetters(id)
end
end
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.LETTER_READ,messageReadReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.LETTER_DELETE,messageDeleteReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.LETTER_ATTACH_RECEIVE,messageAttachReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.LETTER_DELETE_ONE,messageDeleteOneReturn)
return temp
end)
LetterModule = class("LetterModule",function(self)
local temp = BaseModule:new()
temp.letterController = nil
temp.letterPanel = nil
return temp
end)
--override
function LetterModule:getModuleType()
return globalData.allStaticTypes.moduleType.letter
end
--override
function LetterModule:setup(data)
self.message = LetterMessageSender:new(self)
self.message:add()
self.letterController = LetterController:new(self)
self.letterController:showLetterPanel()
end
--override
function LetterModule:configure(data)
self.letterController:showLetterPanel()
end
MapBtn = class("MapBtn", function(self)
local temp = globalManager.ccCreator:newJsonWidget("mapBtn")
temp.nameLabel = temp:getChildByName("nameLabel")
temp.timeLabel = temp:getChildByName("timeLabel")
temp.mapBtn = temp:getChildByName("mapBtn")
temp._count = 0
temp._currentMapId = 0
return temp
end)
function MapBtn:ctor()
self.timeLabel:setText(globalData.systemDateInfo:getSystemTimeString())
globalManager.tickManager:addTick(self.tick,self)
self:initEvent()
end
function MapBtn:initEvent()
--世界地图
local mapClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_showMapPanel,globalManager.gameDispatcher,1))
end
end
self.mapBtn:addTouchEventListener(mapClickHandler)
end
function MapBtn:removeEvent()
end
function MapBtn:tick(delta, tickCount)
local temp = math.floor(globalData.systemDateInfo:getSystemTime() / 60000)
if(self._currentMapId ~= globalData.currentMapId) then
self.nameLabel:setText(globalData.allTemplates.mapTemplateList:getMap(globalData.currentMapId).name)
self._currentMapId = globalData.currentMapId
end
if(temp == self._count) then return end
self._count = temp
self.timeLabel:setText(globalData.systemDateInfo:getSystemTimeString())
end
function MapBtn:dispose()
self:removeEvent()
globalManager.tickManager:removeTick(self.tick,self)
self.nameLabel = nil
self.timeLabel = nil
self.mapBtn = nil
globalManager.ccCreator:release(self)
end
OpenTipView = class("OpenTipView", function(_, moduleInfo)
local temp = globalManager.ccCreator:newWidget()
temp._img = globalManager.ccCreator:newImageView()
temp:addChild(temp._img,0)
temp._img:setTouchEnabled(true)
temp._txtTip = globalManager.ccCreator:newBMFont()
temp._txtTip:setColor(globalData.allStaticTypes.colorType.COLORYELLOW)
temp._txtTip:setScale(0.75)
temp._txtTip:setPositionY(-50)
temp:addChild(temp._txtTip,1)
temp._bg = globalManager.ccCreator:newImageView("board/ui_board3.png",1)
temp._bg:setScale9Enabled(true)
temp._bg:setCapInsets(globalManager.ccCreator:newRect(16,16,1,1))
temp._bg:setSize(globalManager.ccCreator:newSize(160,140))
temp._bg:setPosition(globalManager.ccCreator:newPoint(136,20))
temp._infoLabel = globalManager.ccCreator:newLabel()
temp._infoLabel:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[1])
temp._infoLabel:setTextHorizontalAlignment(cc.TEXT_ALIGNMENT_CENTER)
temp._infoLabel:setColor(globalData.allStaticTypes.colorType.COLORPURPLE)
temp._infoLabel:setPosition(globalManager.ccCreator:newPoint(136,-32))
temp._character = nil
temp._image = nil
temp._path = nil
temp._moduleInfo = moduleInfo
temp._info = nil
temp._isOpening = false
temp._tick = 0
return temp
end)
function OpenTipView:ctor()
self:setPosition( globalManager.ccCreator:newPoint(115,globalData.GAME_HEIGHT - 300) )
self:initEvent()
end
function OpenTipView:initEvent()
local function btnClickHandler(sender, eventType)
if eventType == TOUCH_EVENT_ENDED then
if(self._info == nil)then return end
if(self._isOpening)then
self:hide()
else
self:show()
end
end
end
self._img:addTouchEventListener(btnClickHandler)
end
function OpenTipView:removeEvent()
end
function OpenTipView:show()
if(self._bg:getParent() == nil) then
self:addChild(self._bg,0)
end
if(self._character ~= nil) then
self._character:dispose()
self._character = nil
end
if(self._image ~= nil) then
globalManager.ccCreator:release(self._image)
globalManager.sourceCacheManager:removeQuote(self._path)
self._image = nil
end
if(self._info.showType == 1) then
local petInfo = CharacterInfo:new(globalData.allStaticTypes.sourceStaticType.pet)
local petTemp = globalData.allTemplates.petTemplateList:getTemplate(1)
petInfo:setStyleBin(1,petTemp:getShowPath())
petInfo:setDefaultAnima(globalData.allStaticTypes.animaInfoList.petStand)
self._character = BaseCharacter:new(petInfo)
self._character:show(globalData.allStaticTypes.directType.bottom)
self._character:setPosition(globalManager.ccCreator:newPoint(145,28))
self._infoLabel:setText(petTemp.name)
elseif(self._info.showType == 2) then
local riderInfo = CharacterInfo:new(globalData.allStaticTypes.sourceStaticType.player)
local riderTemp = globalData.allTemplates.xiaofeiTemplateList:getTemplate(globalData.allStaticTypes.petXiaofeiType.ZUOQI,1)
riderInfo.showDefaultCloth = false
riderInfo:setStyleBin(3,1)
riderInfo:setDefaultAnima(globalData.allStaticTypes.animaInfoList.stand2)
self._character = BaseCharacter:new(riderInfo)
self._character:setScale(0.8)
self._character:show(globalData.allStaticTypes.directType.bottom)
self._character:setPosition(globalManager.ccCreator:newPoint(120,50))
self._infoLabel:setText(riderTemp.name)
elseif(self._info.showType == 3) then
local wingTemp = globalData.allTemplates.xiaofeiTemplateList:getTemplate(globalData.allStaticTypes.petXiaofeiType.CHIBANG,1)
self._character = globalManager.effectCreator:create(tonumber(wingTemp:getShowPath()),nil,nil,false,0.8)
if(self._character ~= nil) then
self._character:move2(self,140,0)
self._character:play()
end
self._infoLabel:setText(wingTemp.name)
elseif(self._info.showType == 4) then
local godTemp = globalData.allTemplates.xiaofeiTemplateList:getTemplate(globalData.allStaticTypes.petXiaofeiType.SHENBING,1)
self._character = FootShowEffect:new(godTemp.templateId)
self._character:setPosition(globalManager.ccCreator:newPoint(55,24))
self._character:setScale(0.8)
self._infoLabel:setText(godTemp.name)
elseif(self._info.showType == 5) then
local spriteTemp = globalData.allTemplates.xiaofeiTemplateList:getTemplate(globalData.allStaticTypes.petXiaofeiType.JINGLING,1)
self._character = globalManager.effectCreator:create(tonumber(spriteTemp:getShowPath()),nil,nil,false,1.5)
if(self._character ~= nil) then
self._character:move2(self,190,-5)
self._character:play()
end
self._infoLabel:setText(spriteTemp.name)
elseif(self._info.showType == 6) then
local riderInfo = CharacterInfo:new(globalData.allStaticTypes.sourceStaticType.player)
riderInfo.showDefaultCloth = false
riderInfo:setStyleBin(3,11)
riderInfo:setDefaultAnima(globalData.allStaticTypes.animaInfoList.stand2)
self._character = BaseCharacter:new(riderInfo)
self._character:setScale(0.8)
self._character:show(globalData.allStaticTypes.directType.bottom)
self._character:setPosition(globalManager.ccCreator:newPoint(140,60))
self._infoLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("OpenTipView.text1"))
elseif(self._info.showType == 7) then
self._image = globalManager.ccCreator:newImageView()
self._path = globalManager.pathManager:getUISource("outPic/ui_honourIcon2.png")
globalManager.sourceCacheManager:setImage(self._image,self._path,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self._image:setPosition(globalManager.ccCreator:newPoint(135,30))
self._infoLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("OpenTipView.text6"))
elseif(self._info.showType == 8) then
self._image = globalManager.ccCreator:newImageView()
self._path = globalManager.pathManager:getUISource("outPic/ui_wuhun_icon.png")
globalManager.sourceCacheManager:setImage(self._image,self._path,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self._image:setPosition(globalManager.ccCreator:newPoint(135,30))
self._infoLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("OpenTipView.text2"))
elseif(self._info.showType == 9) then
local monterInfo = CharacterInfo:new(globalData.allStaticTypes.sourceStaticType.monster)
monterInfo:setStyleBin(1,102022)
monterInfo:setDefaultAnima(globalData.allStaticTypes.animaInfoList.monsterStand)
self._character = BaseCharacter:new(monterInfo)
self._character:setScale(0.6)
self._character:show(globalData.allStaticTypes.directType.bottom)
self._character:setPosition(globalManager.ccCreator:newPoint(145,10))
self._infoLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("OpenTipView.text3"))
elseif(self._info.showType == 10) then
local monterInfo = CharacterInfo:new(globalData.allStaticTypes.sourceStaticType.monster)
monterInfo:setStyleBin(1,102020)
monterInfo:setDefaultAnima(globalData.allStaticTypes.animaInfoList.monsterStand)
self._character = BaseCharacter:new(monterInfo)
self._character:setScale(0.6)
self._character:show(globalData.allStaticTypes.directType.bottom)
self._character:setPosition(globalManager.ccCreator:newPoint(145,20))
self._infoLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("OpenTipView.text4"))
elseif(self._info.showType == 11) then
self._image = globalManager.ccCreator:newImageView()
self._path = globalManager.pathManager:getUISource("outPic/ui_club_icon.png")
globalManager.sourceCacheManager:setImage(self._image,self._path,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self._image:setPosition(globalManager.ccCreator:newPoint(135,30))
self._infoLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("OpenTipView.text5"))
end
if(self._character ~= nil) then
if(self._info.showType == 4)then
self:addChild(self._character,1)
else
self:addNode(self._character,1)
end
end
if(self._image ~= nil) then
self:addChild(self._image)
end
if(self._infoLabel:getParent() == nil) then
self:addChild(self._infoLabel,2)
end
self._isOpening = true
self._tick = 0
globalManager.tickManager:addTick(self.tick, self)
end
function OpenTipView:hide()
self._bg:removeFromParent(false)
self._infoLabel:removeFromParent(false)
if(self._character ~= nil) then
self._character:dispose()
self._character = nil
end
if(self._image ~= nil) then
globalManager.ccCreator:release(self._image)
globalManager.sourceCacheManager:removeQuote(self._path)
self._image = nil
end
self._isOpening = false
end
function OpenTipView:tick(delta, count)
self._tick = self._tick + 1
if self._tick >= 300 then
globalManager.tickManager:removeTick(self.tick, self)
if(self._isOpening) then
self:hide()
end
end
end
function OpenTipView:setInfo(info)
if(self._info ~= info)then
self._info = info
self._img:loadTexture(self._info.icon,1)
self._txtTip:setText(self._info.lev .. globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel48") .. self._info.tip)
if(self._isOpening) then
self:hide()
end
end
end
function OpenTipView:dispose()
globalManager.tickManager:removeTick(self.tick, self)
if(self._img ~= nil)then
globalManager.ccCreator:release(self._img)
globalManager.sourceCacheManager:removeQuote(self._path)
self._img = nil
end
if(self._txtTip ~= nil)then
globalManager.ccCreator:release(self._txtTip)
self._txtTip = nil
end
if(self._bg ~= nil)then
globalManager.ccCreator:release(self._bg)
self._bg = nil
end
if(self._infoLabel ~= nil)then
globalManager.ccCreator:release(self._infoLabel)
self._infoLabel = nil
end
self._moduleInfo = nil
self._info = nil
if(self._character ~= nil)then
self._character:dispose()
self._character = nil
end
globalManager.ccCreator:release(self)
end
PopIconView = class("PopIconView", function(self,path,isEffect,isOutPic)
local temp = globalManager.ccCreator:newImageView()
temp:setTouchEnabled(true)
temp.path = path
temp.isOutPic = isOutPic
temp.popIcon = nil
temp.timeLabel = nil
temp.effect = nil
if(isEffect) then
temp.effect = globalManager.effectCreator:create(36)
temp.effect:move2(temp,80,-80)
temp:addNode(temp.effect)
temp.effect:play()
end
temp.isOpen = true
return temp
end)
function PopIconView:ctor()
if(self.path ~= nil) then
if(self.isOutPic) then
globalManager.sourceCacheManager:setImage(self,self.path,globalData.allStaticTypes.sourceStaticType.clearFiveM)
else
self:loadTexture(self.path,1)
end
end
self:initEvent()
end
function PopIconView:setOpen(value)
if(self.isOpen == value) then return end
self.isOpen = value
local offsetX = -25
if(value) then offsetX = 25 end
if(value) then
self:setScaleX(1)
else
self:setScaleX(-1)
end
if(self.popIcon ~= nil) then
self.popIcon:setPosition(globalManager.ccCreator:newPoint(offsetX,25))
end
end
function PopIconView:initEvent()
end
function PopIconView:removeEvent()
end
function PopIconView:setShowPop(value)
if(value) then
if(self.popIcon == nil) then
self.popIcon = globalManager.ccCreator:newImageView("icon/ui_numTipIcon.png",1)
local offsetX = -25
if(self.isOpen) then offsetX = 25 end
self.popIcon:setPosition(globalManager.ccCreator:newPoint(offsetX,25))
self:addChild(self.popIcon)
end
else
if(self.popIcon ~= nil) then
globalManager.ccCreator:release(self.popIcon)
self.popIcon = nil
end
end
end
function PopIconView:setLabel(content,value)
if(self.timeLabel == nil) then
self.timeLabel = globalManager.ccCreator:newLabel()
self:addChild(self.timeLabel)
self.timeLabel:setPositionY(-40)
self.timeLabel:setColor(globalData.allStaticTypes.colorType.COLORGREEN)
end
self:setEffect(value)
self.timeLabel:setScale(0.9)
self.timeLabel:setText(content)
end
function PopIconView:setEffect(value)
if(value and self.effect == nil) then
self.effect = globalManager.effectCreator:create(36)
self.effect:move2(self,80,-80)
self:addNode(self.effect)
self.effect:play()
elseif(not value and self.effect ~= nil) then
self.effect:dispose()
self.effect = nil
end
end
function PopIconView:dispose()
self:removeEvent()
if(self.isOutPic) then
globalManager.sourceCacheManager:removeQuote(self.path)
end
self.path = nil
if(self.effect ~= nil) then
self.effect:dispose()
self.effect = nil
end
if(self.popIcon ~= nil) then
globalManager.ccCreator:release(self.popIcon)
self.popIcon = nil
end
if(self.timeLabel ~= nil) then
globalManager.ccCreator:release(self.timeLabel)
self.timeLabel = nil
end
globalManager.ccCreator:release(self)
end
MainMenu = class("MainMenu",function(self,controller)
local temp = globalManager.ccCreator:newNode()
temp._controller = controller
--摇杆
temp._pad = MainMenuControllPad:new(controller)
temp:addChild(temp._pad)
--聊天框
temp._chatPanel = MainMenuChatPanel:new(controller)
temp._chatPanel:setPosition(globalManager.ccCreator:newPoint(globalData.GAME_WIDTH * 0.5 - 200,8))
temp:addChild(temp._chatPanel)
temp._propController1 = PropController:new()
temp._propController1:addInfo(PropInfo:new(temp._chatPanel,1,0,globalData.GAME_WIDTH * 0.5 - 200,0,-30,0))
temp._propController2 = PropController:new()
temp._propController2:addInfo(PropInfo:new(temp._chatPanel,1,0,0,globalData.GAME_WIDTH * 0.5 - 200,30,0))
--经验条
temp._expBar = globalManager.ccCreator:newLoadingBar("bar/ui_expBar.jpg",1)
temp._expBar:ignoreContentAdaptWithSize(false)
temp._expBar:setSize(globalManager.ccCreator:newSize(globalData.GAME_WIDTH,8))
temp._expBar:setPosition(globalManager.ccCreator:newPoint(globalData.GAME_WIDTH / 2,4))
temp:addChild(temp._expBar,2)
temp._maskList = {}
local barW = math.ceil(globalData.GAME_WIDTH / 10)
for j = 1,10,1 do
local barMask = globalManager.ccCreator:newImageView("bar/ui_expBarBg.png",1)
barMask:setScaleX(barW / 96)
barMask:setPosition(globalManager.ccCreator:newPoint((j - 0.5)*barW,4))
table.insert(temp._maskList,barMask)
temp:addChild(barMask,3)
end
temp._btnOpenTip = nil--领取提示
temp._openTipsCount = 60--开启提示延迟
temp._moduleGuide = nil--主菜单图标显示控制
temp._settingBtn = globalManager.ccCreator:newButton()--设置按钮
temp._settingBtn:loadTextureNormal("icon/ui_settingBtn.png",1)
temp._settingBtn:setPosition(globalManager.ccCreator:newPoint(40,40))
temp:addChild(temp._settingBtn)
--主按钮
temp._mainBtns = {}
temp._mainBtnContainer = globalManager.ccCreator:newWidget()
temp._mainBtnContainer:setPosition(globalManager.ccCreator:newPoint(globalData.GAME_WIDTH - 40,60))
temp:addChild(temp._mainBtnContainer,1)
temp._menuBtn = PopIconView:new("icon/ui_menuBtn.png")
temp._menuBtn:setOpen(false)
temp._mainBtnContainer:addChild(temp._menuBtn)
table.insert(temp._mainBtns,temp._menuBtn)
temp._dailyIcon = PopIconView:new("icon/mainmenu_btn11.png")--副本图标
temp._mainBtnContainer:addChild(temp._dailyIcon)
table.insert(temp._mainBtns,temp._dailyIcon)
temp._matterIcon = PopIconView:new("icon/mainmenu_btn12.png")--活动图标
temp._mainBtnContainer:addChild(temp._matterIcon)
table.insert(temp._mainBtns,temp._matterIcon)
temp._warIcon = PopIconView:new("icon/mainmenu_btn13.png")--战场图标
temp._mainBtnContainer:addChild(temp._warIcon)
table.insert(temp._mainBtns,temp._warIcon)
temp._worldBossIcon = PopIconView:new("icon/mainmenu_btn14.png")--BOSS图标
temp._mainBtnContainer:addChild(temp._worldBossIcon)
table.insert(temp._mainBtns,temp._worldBossIcon)
--右上角第一排按钮
temp._rightBtns = {}
temp._rightBtnContainer = globalManager.ccCreator:newWidget()
temp._rightBtnContainer:setPosition(globalManager.ccCreator:newPoint(globalData.GAME_WIDTH - 120,globalData.GAME_HEIGHT - 40))
temp:addChild(temp._rightBtnContainer)
temp._privilegeIcon = nil --特权
temp._mallIcon = nil--商城
temp._welfareIcon = nil--福利
temp._openIcon = nil--天天好礼
temp._newServerGiftIcon = nil--新服好礼
temp._payCountGiftIcon = nil --充值好礼
--第一排活动按钮
temp._leftBtnContainer = globalManager.ccCreator:newWidget()
temp._leftBtnContainer:setPositionY(globalData.GAME_HEIGHT - 40)
temp:addChild(temp._leftBtnContainer)
--第二排活动按钮
temp._leftBtnContainer2 = globalManager.ccCreator:newWidget()
temp._leftBtnContainer2:setPosition(globalManager.ccCreator:newPoint(globalData.GAME_WIDTH - 120,globalData.GAME_HEIGHT - 120))
temp:addChild(temp._leftBtnContainer2)
temp._left2Width = 0--第二排活动按钮宽度
temp._shenmiShopIcon = nil --神秘商店
--定时活动通知
temp.activityIconsView = ActivityIconView:new()
temp.activityIconsView:setPosition(globalManager.ccCreator:newPoint(globalData.GAME_WIDTH - 120,globalData.GAME_HEIGHT - 120))
temp:addChild(temp.activityIconsView)
--菜单按钮
temp._menuBtns = {}
temp._menuBtnContainer = globalManager.ccCreator:newWidget()
temp._menuBtnContainer:setPosition(globalManager.ccCreator:newPoint(globalData.GAME_WIDTH + 120,60))
temp:addChild(temp._menuBtnContainer,0)
temp._propController3 = PropController:new()
temp._propController3:addInfo(PropInfo:new(temp._menuBtnContainer,1,0,globalData.GAME_WIDTH + 120,globalData.GAME_WIDTH - 600,-30,0))
temp._propController4 = PropController:new()
temp._propController4:addInfo(PropInfo:new(temp._menuBtnContainer,1,0,globalData.GAME_WIDTH - 600,globalData.GAME_WIDTH + 120,30,0))
temp._playerBtn = nil--角色
temp._partnerBtn = nil--伙伴
temp._xiaofeiBtn = nil--外形
temp._growBtn = nil--养成
temp._equipBtn = nil--炼器
temp._clubBtn = nil--帮派
temp._rankBtn = nil--排行
temp._friendBtn = nil--社交
--小地图按钮
temp._mapBtn = MapBtn:new()
temp._mapBtn:setPosition(globalManager.ccCreator:newPoint(globalData.GAME_WIDTH-69,globalData.GAME_HEIGHT-62))
temp:addChild(temp._mapBtn)
temp._onlineIcon = nil--在线奖励
temp._washGoldIcon = nil--欢乐淘金
temp._integralMall = nil--积分商城
temp._doubleEleven = nil--双11
temp._operateIcon = nil--运营活动
temp._zhuanpanIcon = nil--转盘
temp._zhuanpan3Icon = nil --充值转盘
temp._consumenGiftIcon = nil --消费送礼
temp._zhuangxiangIcon  = nil --专享福利
temp._crossRechargeIcon = nil --充值豪礼
temp._flowerRankIcon = nil --鲜花榜
temp._yanhuaRankIcon = nil -- 烟花榜
temp._combinedIcon   = nil --合服活动
temp._toWestIcon = nil --一路向西
temp._washGoldEffect = true--欢乐淘金是否闪光
temp._integralMallEffect = true--积分商城是否闪光
temp._isOpenShowEffect = true--天天好礼是否闪光
temp._isoperateActiveShowEffect = true--公测是否闪光
temp._combinedActiveShowEffect  = true--合服是否闪光
temp._isZhuanpanShowEffect = true--转盘是否闪光
temp._isZhuanpan3ShowEffect = true --充值转盘是否闪光
temp._isConsumenShowEffect  = true --消费送礼是否闪光
temp._isZhuanXiangShowEffect = true --专享送礼是否闪光
temp._isCrossRechargeShowEffect = true --充值豪礼是否闪光
temp._isFlowerRankShowEffect = true --鲜花榜是否闪光
temp._isYanhuaRankShowEffect = true --烟花榜是否闪光
temp._newServerGiftEffect = true--新服好礼是否闪光
temp._payCountGiftEffect = true --充值好礼是否闪光
temp._toWestEffect = false --一路向西是否闪光
temp._combinedFlag = false--合服判断
temp._operateActiveFlag = false--周活动判断
temp._operateActiveCount = 100--周活动自动打开延迟时间
temp._actFlag = true
temp._openRankCount = 0--开服排行检测CD
temp._acvertTickCount = 100 --广告延迟
return temp
end)
function MainMenu:ctor()
self:initView()
self:initEvent()
self:selfInfoUpdate()
self._moduleGuide = GuideNewModuleView:new(self)
self._moduleGuide:setLevel()
self._moduleGuide:updateLevel()
self:doubleElevenUpdate()
self:newServerGiftUpdate()
self:payCountGiftCheck()
self:checkOpenUpdate()
self:updateOpenTip()
self:rechargeUpdateHandler()
self:mysticalShopIconUpdate()
globalManager.tickManager:addTick(self.showPopupWindosTick,self)
end
function MainMenu:showPopupWindosTick()
self._acvertTickCount = self._acvertTickCount - 1
if self._acvertTickCount > 0 then return end
if(globalData:isShenHe())then
return
end
globalManager.tickManager:removeTick(self.showPopupWindosTick,self)
local list = globalData.allTemplates.popupWindowTemplateList:getTempList()
if(list == nil or #list == 0 or globalData:isShenHe() or globalData.selfPlayerInfo.level < 20)then
self:popupWindowCallBack()
else
local view = PopupWindowView:new(list,self.popupWindowCallBack,self)
end
end
function MainMenu:popupWindowCallBack()
globalManager.tickManager:addTick(self.showOperateActiveTick,self)
end
function MainMenu:showOperateActiveTick(delta,count)
if(globalData.isShowVipAlert == true) then
--vip过期弹框
local view = VipLoseView:new()
globalData.isShowVipAlert = false
globalManager.tickManager:removeTick(self.showOperateActiveTick,self)
globalManager.noAlertUtils:setNotShow("isFristLogin")
return
end
self._operateActiveCount = self._operateActiveCount - 1
if(self._operateActiveCount <= 0) then
globalData.isShowVipAlert = false
globalManager.tickManager:removeTick(self.showOperateActiveTick,self)
local tempList,result = globalData.allTemplates.openTemplateList:getNewServerGiftList()
if #tempList > 0 and result and globalData.selfPlayerInfo.level >= 20 then
local selfInfo = globalData.openInfo:getSelfInfoById(tempList[1].id)
local count = selfInfo and selfInfo.sign or 0
local chargeNum = globalData.selfPlayerInfo.moneyInfo.chargeValue - count
local flag = false
for i = 1, #tempList do
if tonumber(tempList[i].conditionList) > chargeNum then
flag = true
break
end
end
if(flag)then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_show_newServerGift,globalManager.gameDispatcher,true))
return
end
end
self._actFlag = false
if(self:checkOpenRank()) then
return
end
if(self._operateActiveFlag and globalData.selfPlayerInfo.level >= 20) then
if(globalManager.noAlertUtils:getIsShow("isFristLogin")) then
globalData.uiPanelContainer:initTabs({globalData.allStaticTypes.panelTabType.operateActive})
globalManager.noAlertUtils:setNotShow("isFristLogin")
end
end
end
end
function MainMenu:playerIconUpdate()
if(globalData.selfPlayerInfo.sex == 1) then
self._playerBtn:loadTexture("icon/mainmenu_btn1_1.png",1)
elseif(globalData.selfPlayerInfo.sex == 2) then
self._playerBtn:loadTexture("icon/mainmenu_btn1_2.png",1)
end
end
function MainMenu:checkOpenRank()
--9.坐骑冲榜10.足迹冲榜11.羽翼冲榜12.妖精冲榜13.仙灵冲榜23.法阵冲榜24.龙魂冲榜
local showTypeList = {9,12,11,10,13,23,24}
local systemTime = math.floor(globalData.systemDateInfo:getSystemTime() / 1000)
local openDay  = math.ceil((systemTime - globalData.openTime + 1) / (3600 * 24))
local showType = 0
if(openDay >= 1 and openDay <= 7) then
showType = showTypeList[openDay]
if(globalData.selfPlayerInfo.level >= globalData.newModuleLevelConfig.openLevel) then
if(globalManager.noAlertUtils:getIsShow("isFristLoginFanli") and not self._actFlag)then
self._actFlag = true
globalData.uiPanelContainer:initTabs({globalData.allStaticTypes.panelTabType.open})
if(globalData.uiPanelContainer:getCurrentPanel() ~= nil)then
globalData.uiPanelContainer:getCurrentPanel():jumpToTab(showType)
end
globalManager.noAlertUtils:setNotShow("isFristLoginFanli")
return true
end
end
end
return false--周活动判断
end
function MainMenu:initView()
self._privilegeIcon = self:addRightButton("icon/ui_privilegeBtn.png",false)
self._mallIcon = self:addRightButton("icon/mainmenu_rightBtn1.png",true)
self._welfareIcon = self:addRightButton("icon/mainmenu_rightBtn2.png",true)
if(globalData:isShenHe()) then
self._openIcon = self:addRightButton("icon/mainmenu_rightBtn3.png",false)
else
self._openIcon = self:addRightButton("icon/mainmenu_rightBtn3.png",true)
end
self._newServerGiftIcon = self:addRightButton("icon/mainmenu_rightBtn4.png",true,true)
self._payCountGiftIcon = self:addRightButton("icon/mainmenu_rightBtn5.png",true,true)
self._openIcon:setEffect(true)
self._playerBtn = self:addMenuButton("icon/mainmenu_btn1_1.png",true)
self._partnerBtn = self:addMenuButton("icon/mainmenu_btn2.png",true)
self._xiaofeiBtn = self:addMenuButton("icon/mainmenu_btn3.png",true)
--功能屏蔽：养成
--self._growBtn = self:addMenuButton("icon/mainmenu_btn4.png",true)
self._growBtn = self:addMenuButton("icon/mainmenu_btn4.png",false)
--屏蔽完成
self._equipBtn = self:addMenuButton("icon/mainmenu_btn5.png",true)
self._clubBtn = self:addMenuButton("icon/mainmenu_btn6.png",true)
self._rankBtn = self:addMenuButton("icon/mainmenu_btn7.png",true)
self._friendBtn = self:addMenuButton("icon/mainmenu_btn8.png",true)
end
function MainMenu:addRightButton(iconPath,isEnabled,isEffect)
local btn = PopIconView:new(iconPath)
table.insert(self._rightBtns,btn)
self._rightBtnContainer:addChild(btn)
btn:setEnabled(isEnabled)
if(isEffect == nil or isEffect == false)then
btn:setEffect(false)
else
btn:setEffect(true)
end
return btn
end
function MainMenu:addLeftButton(iconPath,isEffect,isOutPic)
local btn = PopIconView:new(iconPath,isEffect,isOutPic)
self._leftBtnContainer:addChild(btn)
return btn
end
function MainMenu:addLeft2Button(iconPath,isEffect,isOutPic)
local btn = PopIconView:new(iconPath,isEffect,isOutPic)
self._leftBtnContainer2:addChild(btn)
return btn
end
function MainMenu:addMenuButton(iconPath,isEnabled)
local btn = PopIconView:new(iconPath)
table.insert(self._menuBtns,btn)
self._menuBtnContainer:addChild(btn)
btn:setEnabled(isEnabled)
return btn
end
function MainMenu:checkOpenUpdate()
self._openRankCount = 180
if(not globalData:isShenHe()) then
globalManager.tickManager:addTick(self.openRankTick,self)
end
end
function MainMenu:openRankTick(delta,count)
self._openRankCount = self._openRankCount - 1
if(self._openRankCount <= 0) then
self._openRankCount = 0
globalManager.tickManager:removeTick(self.openRankTick,self)
self:checkOpenRank()
end
end
--开启提示
function MainMenu:updateOpenTip()
self._openTipsCount = 60
globalManager.tickManager:addTick(self.openTipTick,self)
end
function MainMenu:openTipTick(delta,count)
self._openTipsCount = self._openTipsCount - 1
if(self._openTipsCount == 0) then
local mInfo = self._controller.module.mainMenuInfo
local info = mInfo:getOpenTipInfo()
if(info == nil)then
if self._btnOpenTip ~= nil then
self._btnOpenTip:dispose()
self._btnOpenTip = nil
end
else
if self._btnOpenTip == nil then
self._btnOpenTip = OpenTipView:new(mInfo)
self:addChild(self._btnOpenTip)
end
self._btnOpenTip:setInfo(info)
end
if(self._moduleGuide ~= nil)then
self._moduleGuide:updateShowLevel()
end
globalManager.tickManager:removeTick(self.openTipTick,self)
end
end
function MainMenu:initEvent()
--主菜单按钮
local mainClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
--折叠
if(sender == self._menuBtn) then
if(globalData.isShowMainmenuBtn) then
self:hideBtns()
else
self:showBtns()
end
--副本
elseif(sender == self._dailyIcon) then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tabCopy)
--活动
elseif(sender == self._matterIcon) then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tabDaily)
--战场
elseif(sender == self._warIcon) then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.arenaTab)
--BOSS
elseif(sender == self._worldBossIcon) then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.worldBossTab)
end
end
end
--子菜单按钮
local menuClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
--角色
if(sender == self._playerBtn) then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab1)
--伙伴
elseif(sender == self._partnerBtn) then
globalData.uiPanelContainer:initTabs({globalData.allStaticTypes.panelTabType.partner})
--外形
elseif(sender == self._xiaofeiBtn) then
if(globalData.riderItemInfo.stage == 0) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("MainMenu.text1"))
return
end
if(globalManager.playerInfoTester:checkRiderUpTime())then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab4,globalData.allStaticTypes.panelTabType.rider)
return
elseif(globalManager.playerInfoTester:checkPetUpTime())then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab4,globalData.allStaticTypes.panelTabType.pet)
return
elseif(globalManager.playerInfoTester:checkWingUpTime())then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab4,globalData.allStaticTypes.panelTabType.wing)
return
elseif(globalManager.playerInfoTester:checkGodUpTime())then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab4,globalData.allStaticTypes.panelTabType.god)
return
elseif(globalManager.playerInfoTester:checkSpriteUpTime())then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab4,globalData.allStaticTypes.panelTabType.sprite)
return
elseif(globalManager.playerInfoTester:checkFazhenUpTime())then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab4,globalData.allStaticTypes.panelTabType.fazhen)
return
elseif(globalManager.playerInfoTester:checkLonghunUpTime())then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab4,globalData.allStaticTypes.panelTabType.longhun)
return
end
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab4)
--养成
elseif(sender == self._growBtn) then
--炼器
elseif(sender == self._equipBtn) then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.furnace)
--帮派
elseif(sender == self._clubBtn) then
if(globalData.selfPlayerInfo.uniteId == 0) then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.leagueListTab)
else
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.leagueTab)
end
--排行
elseif(sender == self._rankBtn) then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tabRank)
--社交
elseif(sender == self._friendBtn) then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab3)
end
end
end
--右上角第一排按钮
local rightClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
globalData:closeMainMenu()
if(sender == self._privilegeIcon)then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_show_privilegePanel,globalManager.gameDispatcher,true))
--商城
elseif(sender == self._mallIcon) then
--<><><><>测试充值好礼<><><><><>
globalManager.moduleManager:addModule(globalData.allStaticTypes.moduleType.shop,1,false)
--福利
elseif(sender == self._welfareIcon) then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.welfareTab)
--天天好礼
elseif(sender == self._openIcon) then
if(globalData.allTemplates.openTemplateList.isReadData == false) then return end
globalData.uiPanelContainer:initTabs({globalData.allStaticTypes.panelTabType.open})
if(self._isOpenShowEffect) then
self._openIcon:setEffect(false)
self._isOpenShowEffect = false
end
--新服好礼
elseif(sender == self._newServerGiftIcon) then
local tempList,result = globalData.allTemplates.openTemplateList:getNewServerGiftList()
if(result)then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_show_newServerGift,globalManager.gameDispatcher,true))
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("MatterPanel.text10"))
end
if(self._newServerGiftEffect) then
if(result and #tempList > 0)then
local selfInfo = globalData.openInfo:getSelfInfoById(tempList[1].id)
local count = selfInfo and selfInfo.sign or 0
local chargeNum = globalData.selfPlayerInfo.moneyInfo.chargeValue - count
local flag = false
for i = 1, #tempList do
if tonumber(tempList[i].conditionList) > chargeNum then
flag = true
break
end
end
if not flag then
self._newServerGiftIcon:setEffect(false)
self._newServerGiftEffect = false
end
else
self._newServerGiftIcon:setEffect(false)
self._newServerGiftEffect = false
end
end
elseif(sender == self._payCountGiftIcon )then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_show_payCountGift,globalManager.gameDispatcher,true))
if(self._payCountGiftEffect) then
self._payCountGiftIcon:setEffect(false)
self._payCountGiftEffect = false
end
end
end
end
--右上角第二排按钮（其他灵活添加）
local settingClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
globalManager.moduleManager:addModule(globalData.allStaticTypes.moduleType.setting)
end
end
for i,item in pairs(self._mainBtns) do
item:addTouchEventListener(mainClickHandler)
end
for i,item in pairs(self._menuBtns) do
item:addTouchEventListener(menuClickHandler)
end
for i,item in pairs(self._rightBtns) do
item:addTouchEventListener(rightClickHandler)
end
self._settingBtn:addTouchEventListener(settingClickHandler)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_quickIconUpdate,self.quickIconUpdateHandler,self)
globalData.selfPlayerInfo:addEventListener(globalData.globalEventType.playerInfo_exp,self.updateExpBar,self)
globalData.selfPlayerInfo:addEventListener(globalData.globalEventType.playerInfo_level,self.levelUpdate,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.global_systemHour,self.systemHourHandler,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.playerInfo_selfInfo,self.selfInfoUpdate,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.checkOperate,self.operateActiveUpdate,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_showMainMenuBtn, self.showMainMenuBtn,self)
globalData.openInfo:addEventListener(globalData.globalEventType.playerInfo_openInfo,self.checkOpenUpdate,self)
globalData.openInfo:addEventListener(globalData.globalEventType.playerInfo_openTemplate,self.checkOpenUpdate,self)
globalManager.playerInfoTester:addEventListener(globalData.globalEventType.quickIcon_popData,self.popDataUpdate,self)
globalManager.playerInfoTester:addEventListener(globalData.globalEventType.operateIcon_popData,self.operateActiveIconTipUpdate,self)
globalManager.openInfoTester:addEventListener(globalData.globalEventType.quickIcon_open,self.openIconTipUpdate,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_showSkillBtn, self.mapChangeHandler,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_showRightBtn, self.rightChangeHandler,self)
globalData.petItemInfo:addEventListener(globalData.globalEventType.playerInfo_addPet, self.updateOpenTip,self)
globalData.riderItemInfo:addEventListener(globalData.globalEventType.playerInfo_addRider, self.updateOpenTip,self)
globalData.wingItemInfo:addEventListener(globalData.globalEventType.playerInfo_addWing, self.updateOpenTip,self)
globalData.godItemInfo:addEventListener(globalData.globalEventType.playerInfo_addGod, self.updateOpenTip,self)
globalData.spriteItemInfo:addEventListener(globalData.globalEventType.playerInfo_addSprite, self.updateOpenTip,self)
globalData.zhuanPanInfo:addEventListener(globalData.globalEventType.zhuanpan_infoUpdate, self.zhuanpanUpdate,self)
globalData.zhuanPanInfo:addEventListener(globalData.globalEventType.zhuanpan_Yuanbao_infoUpdate, self.zhuanpan3Update,self)
globalData.consumenGiftInfo:addEventListener(globalData.globalEventType.consumen_showUpdate, self.consumenGiftUpdate,self)
globalData.consumenGiftInfo:addEventListener(globalData.globalEventType.charge_showUpdate, self.zhuangXiangUpdate,self)
globalData.consumenGiftInfo:addEventListener(globalData.globalEventType.charge_infoUpdate,self.zhuangXiangUpdate,self)
globalData.consumenGiftInfo:addEventListener(globalData.globalEventType.crossRecharge_showUpdate,self.crossRechargeUpdate,self)
globalData.consumenGiftInfo:addEventListener(globalData.globalEventType.flowerRank_showUpdate,self.flowerRankUpdate,self)
globalData.consumenGiftInfo:addEventListener(globalData.globalEventType.scene_showWashGold,self.washGoldUpdate,self)
globalData.consumenGiftInfo:addEventListener(globalData.globalEventType.yanhuaRank_showUpdate,self.yanhuaRankUpdate,self)
globalData.consumenGiftInfo:addEventListener(globalData.globalEventType.scene_show_integralMall,self.integralMallUpdate,self)
globalData.consumenGiftInfo:addEventListener(globalData.globalEventType.scene_show_doubleElevenIcon,self.doubleElevenUpdate,self)
globalData.consumenGiftInfo:addEventListener(globalData.globalEventType.scene_show_newServerGiftIcon,self.newServerGiftUpdate,self)
globalData.consumenGiftInfo:addEventListener(globalData.globalEventType.isShow_shenMiPanel,self.mysticalShopIconUpdate,self)
globalData.leagueInfo:addEventListener(globalData.globalEventType.league_quit,self.leaguePopUpdate,self)
globalManager.openInfoTester:addEventListener(globalData.globalEventType.quickIcon_combinedActive,self.combinedIconTipUpdate,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.quickIcon_combinedActiveTimeUpdate,self.combinedActiveUpdate,self)
globalData.onlineRewardsInfo:addEventListener(globalData.globalEventType.onlineRewards_timeChange,self.onlineIconHandler,self)
globalData.payItemList:addEventListener(globalData.globalEventType.playerInfo_rechargeCountInfo,self.payCountGiftHandler,self)
globalData.toWestInfo:addEventListener(globalData.globalEventType.toWest_InfoUpdate,self.toWestIconUpdate,self)
globalData.selfPlayerInfo.moneyInfo:addEventListener(globalData.globalEventType.playerRechargeInfo_update,self.rechargeUpdateHandler,self)
globalData.selfPlayerInfo.vipInfo:addEventListener(globalData.globalEventType.privilege_infoUpdate,self.privilegeEffUpdate,self)
end
function MainMenu:privilegeEffUpdate(evt)
if(self._privilegeIcon ~= nil and self._privilegeIcon:isEnabled())then
self._privilegeIcon:setEffect(globalData.selfPlayerInfo.vipInfo:getPrivilegeEffFlag())
end
end
function MainMenu:rechargeUpdateHandler(evt)
--屏蔽特权
-- if(globalData.selfPlayerInfo.moneyInfo.chargeValue >= 5000 and globalData.selfPlayerInfo.level >= globalData.newModuleLevelConfig.privilegeLevel)then
--     self._privilegeIcon:setEnabled(true)
--     self._privilegeIcon:setEffect(globalData.selfPlayerInfo.vipInfo:getPrivilegeEffFlag())
-- else
--     self._privilegeIcon:setEnabled(false)
-- end
end
function MainMenu:payCountGiftHandler(evt)
self:payCountGiftCheck()
end
function MainMenu:showMainMenuBtn(evt)
if(evt.data) then
self:showBtns()
else
self:hideBtns()
end
end
function MainMenu:mapChangeHandler(evt)
self:showSkillBtn(evt.data)
end
function MainMenu:rightChangeHandler(evt)
self:showRightBtn(evt.data)
end
function MainMenu:showSkillBtn(isShow)
if(isShow) then
self._mainBtnContainer:removeFromParent(false)
if(globalData.isShowMainmenuBtn) then
self:hideBtns()
end
else
if(self._mainBtnContainer:getParent() == nil) then
self:addChild(self._mainBtnContainer)
end
if(globalData.allTemplates.mapTemplateList.CITY_MAPID ~= globalData.currentMapId) then
if(not globalData.isShowMainmenuBtn) then
self:showBtns()
end
end
end
end
function MainMenu:showRightBtn(isShow)
if(isShow) then
if(self._rightBtnContainer:getParent() == nil) then
self:addChild(self._rightBtnContainer)
end
if(self._leftBtnContainer2:getParent() == nil) then
self:addChild(self._leftBtnContainer2)
end
if(self.activityIconsView:getParent() == nil) then
self:addChild(self.activityIconsView)
end
if(self._leftBtnContainer:getParent() == nil) then
self:addChild(self._leftBtnContainer)
end
if(self._mapBtn:getParent() == nil) then
self:addChild(self._mapBtn)
end
else
self._rightBtnContainer:removeFromParent(false)
self._leftBtnContainer2:removeFromParent(false)
self.activityIconsView:removeFromParent(false)
self._leftBtnContainer:removeFromParent(false)
self._mapBtn:removeFromParent(false)
end
end
function MainMenu:updateExpBar(evt)
local exp,total
local nowTemp = globalData.allTemplates.experienceTemplateList.list[globalData.selfPlayerInfo.level]
local nextTemp = globalData.allTemplates.experienceTemplateList.list[globalData.selfPlayerInfo.level + 1]
if(nextTemp ~= nil) then
if(nowTemp == nil) then
exp = globalData.selfPlayerInfo.exp
total = nextTemp.totalExp
else
exp = globalData.selfPlayerInfo.exp - nowTemp.totalExp
total = nextTemp.totalExp - nowTemp.totalExp
end
else
exp = globalData.selfPlayerInfo.exp
total = globalData.selfPlayerInfo.exp
end
self._expBar:setPercent(math.floor(exp / total * 100))
end
--升级检测
function MainMenu:levelUpdate(evt)
if(self._moduleGuide ~= nil) then
self._moduleGuide:updateLevel()
end
self:checkPartnerActive()
self:checkOpenUpdate()
self:zhuanpanUpdate()
self:updateOpenTip()
self:zhuanpan3Update()
self:consumenGiftUpdate()
self:zhuangXiangUpdate()
self:crossRechargeUpdate()
self:flowerRankUpdate()
self:yanhuaRankUpdate()
self:combinedActiveUpdate()
self:operateActiveUpdate()
self:washGoldUpdate()
self:integralMallUpdate()
self:doubleElevenUpdate()
self:newServerGiftUpdate()
self:onlineIconHandler()
self:toWestIconUpdate()
self:mysticalShopIconUpdate()
self:layout()
end
function MainMenu:checkPartnerActive()
local playerLevel = globalData.selfPlayerInfo.level
local partnerList = globalData.partnerInfo.partnerList
if(playerLevel >= 7)then
if(partnerList[1001] == nil)then
globalData.messageAdder:activePartner(1001)
else
return
end
end
end
function MainMenu:systemHourHandler()
self:operateActiveUpdate()
self:combinedActiveUpdate()
self:toWestIconUpdate()
self:mysticalShopIconUpdate()
globalData.consumenGiftInfo:checkNewServerGift()
end
--个人数据更新（登录）
function MainMenu:selfInfoUpdate()
if(self._moduleGuide ~= nil) then
self._moduleGuide:setLevel()
end
self:updateExpBar()
self:levelUpdate()
self:popDataUpdate()
self:zhuanpanUpdate()
self:washGoldTipUpdate()
self:playerIconUpdate()
end
function MainMenu:showBtns()
globalData.isShowMainmenuBtn = true
self._menuBtn:setOpen(true)
self._propController2:pEnd()
self._propController4:pEnd()
self._propController1:pStart()
self._propController3:pStart()
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_showCopyInfo,globalManager.gameDispatcher,false))
self._settingBtn:removeFromParent(false)
end
function MainMenu:hideBtns()
globalData.isShowMainmenuBtn = false
self._menuBtn:setOpen(false)
self._propController1:pEnd()
self._propController3:pEnd()
self._propController2:pStart()
self._propController4:pStart()
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_showCopyInfo,globalManager.gameDispatcher,true))
if(self._settingBtn:getParent() == nil) then
self:addChild(self._settingBtn)
end
end
--更新图标位置
function MainMenu:layout()
local count = 0
for i=1,#self._mainBtns do
if(self._mainBtns[i]:isEnabled())then
self._mainBtns[i]:setPositionY(80*count)
count = count + 1
end
end
count = 0
for i=1,#self._menuBtns do
if(self._menuBtns[i]:isEnabled())then
self._menuBtns[i]:setPositionX(0)
self._menuBtns[i]:setPositionX(480 - 80*count)
count = count + 1
end
end
count = 0
for i=1,#self._rightBtns do
if(self._rightBtns[i]:isEnabled())then
self._rightBtns[i]:setPositionX(-80*count)
count = count + 1
end
end
self._leftBtnContainer:setPositionX(globalData.GAME_WIDTH - 120 - 80*count)
end
--更新第一排左边活动图标
function MainMenu:updateLeftBtns()
local offsetX = 0
if(self._zhuanpanIcon ~= nil) then
self._zhuanpanIcon:setPositionX(offsetX)
offsetX = offsetX - 80
end
if(self._washGoldIcon ~= nil)then
self._washGoldIcon:setPositionX(offsetX)
offsetX = offsetX - 80
end
if(self._integralMall ~= nil)then
self._integralMall:setPositionX(offsetX)
offsetX = offsetX - 80
end
if(self._doubleEleven ~= nil)then
self._doubleEleven:setPositionX(offsetX)
offsetX = offsetX - 80
end
if(self._zhuanpan3Icon ~= nil) then
self._zhuanpan3Icon:setPositionX(offsetX)
offsetX = offsetX - 80
end
if(self._consumenGiftIcon ~= nil)then
self._consumenGiftIcon:setPositionX(offsetX)
offsetX = offsetX - 80
end
if(self._crossRechargeIcon ~= nil) then
self._crossRechargeIcon:setPositionX(offsetX)
offsetX = offsetX - 80
end
if(self._flowerRankIcon ~= nil) then
self._flowerRankIcon:setPositionX(offsetX)
offsetX = offsetX - 80
end
if(self._yanhuaRankIcon ~= nil) then
self._yanhuaRankIcon:setPositionX(offsetX)
offsetX = offsetX - 80
end
end
--更新第二排左边活动图标
function MainMenu:updateLeftBtns2()
local offsetX = 0
if(self._shenmiShopIcon ~= nil) then
self._shenmiShopIcon:setPositionX(offsetX)
offsetX = offsetX - 80
end
if(self._operateIcon ~= nil)then
self._operateIcon:setPositionX(offsetX)
offsetX = offsetX - 80
end
if(self._onlineIcon ~= nil)then
self._onlineIcon:setPosition(offsetX - 52,-61)
offsetX = offsetX - 80
end
if(self._toWestIcon ~= nil)then
self._toWestIcon:setPositionX(offsetX)
offsetX = offsetX - 80
end
if(self._zhuangxiangIcon ~= nil)then
self._zhuangxiangIcon:setPositionX(offsetX)
offsetX = offsetX - 80
end
if(self._combinedIcon ~= nil)then
self._combinedIcon:setPositionX(offsetX)
offsetX = offsetX - 80
end
self._left2Width = -offsetX
self.activityIconsView:setPositionX(self._leftBtnContainer2:getPositionX() - self._left2Width)
end
function MainMenu:quickIconUpdateHandler(evt)
local offsetX = evt.data
self._leftBtnContainer2:setPositionX(globalData.GAME_WIDTH - 120 - evt.data)
self.activityIconsView:setPositionX(self._leftBtnContainer2:getPositionX() - self._left2Width)
end
--欢乐转盘更新检测
function MainMenu:zhuanpanUpdate(evt)
local zhuanpanClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(globalData.zhuanPanInfo.isShow)then
globalData.uiPanelContainer:initTabs({globalData.allStaticTypes.panelTabType.zhuanpan})
end
if(self._isZhuanpanShowEffect) then
self._zhuanpanIcon:setEffect(false)
self._isZhuanpanShowEffect = false
end
end
end
if(globalData.zhuanPanInfo.isShow and globalData.selfPlayerInfo.level >= globalData.newModuleLevelConfig.zhuanpanLevel) then
if(self._zhuanpanIcon == nil ) then
self._zhuanpanIcon = self:addLeftButton("icon/ui_zhuangpanIcon.png",true)
self._zhuanpanIcon:addTouchEventListener(zhuanpanClickHandler)
end
else
if(self._zhuanpanIcon ~= nil) then
self._zhuanpanIcon:dispose()
self._zhuanpanIcon = nil
end
end
self:updateLeftBtns()
end
--财运亨通更新检测
function MainMenu:zhuanpan3Update(evt)
local zhuanpan3ClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(globalData.zhuanPanInfo.isYuanbaoShow)then
globalData.uiPanelContainer:initTabs({globalData.allStaticTypes.panelTabType.zhuanpan3})
end
if(self._isZhuanpan3ShowEffect) then
self._zhuanpan3Icon:setEffect(false)
self._isZhuanpan3ShowEffect = false
end
end
end
if(globalData.zhuanPanInfo.isYuanbaoShow and globalData.selfPlayerInfo.level >= globalData.newModuleLevelConfig.zhuanpanLevel) then
if(self._zhuanpan3Icon == nil ) then
self._zhuanpan3Icon = self:addLeftButton(globalManager.pathManager:getUISource("outPic/zhuanpan3.png"),true,true)
self._zhuanpan3Icon:addTouchEventListener(zhuanpan3ClickHandler)
end
else
if(self._zhuanpan3Icon ~= nil) then
self._zhuanpan3Icon:dispose()
self._zhuanpan3Icon = nil
end
end
self:updateLeftBtns()
end
--消费送礼更新检测
function MainMenu:consumenGiftUpdate(evt)
local consumenGiftClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(globalData.consumenGiftInfo.isShow)then
globalData.uiPanelContainer:initTabs({globalData.allStaticTypes.panelTabType.consumenGift})
end
if(self._isConsumenShowEffect) then
self._consumenGiftIcon:setEffect(false)
self._isConsumenShowEffect = false
end
end
end
if(globalData.consumenGiftInfo.isShow and globalData.selfPlayerInfo.level >= globalData.newModuleLevelConfig.zhuanpanLevel) then
if(self._consumenGiftIcon == nil ) then
self._consumenGiftIcon = self:addLeftButton(globalManager.pathManager:getUISource("outPic/consumeGiftIcon.png"),true,true)
self._consumenGiftIcon:addTouchEventListener(consumenGiftClickHandler)
end
else
if(self._consumenGiftIcon ~= nil) then
self._consumenGiftIcon:dispose()
self._consumenGiftIcon = nil
end
end
self:updateLeftBtns()
end
--跨服充值排行更新检测
function MainMenu:crossRechargeUpdate(evt)
local crossRechargeClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(globalData.consumenGiftInfo.crossRechargeIsShow) then
globalData.uiPanelContainer:initTabs({globalData.allStaticTypes.panelTabType.rankCrossRecharge})
end
if(self._isCrossRechargeShowEffect) then
self._crossRechargeIcon:setEffect(false)
self._isCrossRechargeShowEffect = false
end
end
end
if(globalData.consumenGiftInfo.crossRechargeIsShow and globalData.selfPlayerInfo.level >= globalData.newModuleLevelConfig.cressRechargeRankLevel) then
if(self._crossRechargeIcon == nil ) then
self._crossRechargeIcon = self:addLeftButton(globalManager.pathManager:getUISource("outPic/crossRechargeIcon.png"),true,true)
self._crossRechargeIcon:addTouchEventListener(crossRechargeClickHandler)
end
else
if(self._crossRechargeIcon ~= nil) then
self._crossRechargeIcon:dispose()
self._crossRechargeIcon = nil
end
end
self:updateLeftBtns()
end
--鲜花榜更新检测
function MainMenu:flowerRankUpdate(evt)
local flowerRankClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(globalData.consumenGiftInfo.flowerIsShow) then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_showFlowerRankPanel,globalManager.gameDispatcher,true))
end
if(self._isFlowerRankShowEffect) then
self._flowerRankIcon:setEffect(false)
self._isFlowerRankShowEffect = false
end
end
end
if(globalData.consumenGiftInfo.flowerIsShow and globalData.selfPlayerInfo.level >= globalData.newModuleLevelConfig.xianYuanLevel) then
if(self._flowerRankIcon == nil ) then
self._flowerRankIcon = self:addLeftButton(globalManager.pathManager:getUISource("outPic/flower_rank_icon.png"),true,true)
self._flowerRankIcon:addTouchEventListener(flowerRankClickHandler)
end
else
if(self._flowerRankIcon ~= nil) then
self._flowerRankIcon:dispose()
self._flowerRankIcon = nil
end
end
self:updateLeftBtns()
end
--烟花榜更新检测
function MainMenu:yanhuaRankUpdate(evt)
local yanhuaRankClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(globalData.consumenGiftInfo.yanhuaIsShow) then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_showYanhuaRankPanel,globalManager.gameDispatcher,true))
end
if(self._isYanhuaRankShowEffect) then
self._yanhuaRankIcon:setEffect(false)
self._isYanhuaRankShowEffect = false
end
end
end
if(globalData.consumenGiftInfo.yanhuaIsShow  and globalData.selfPlayerInfo.level >= globalData.newModuleLevelConfig.xianYuanLevel) then
if(self._yanhuaRankIcon == nil ) then
self._yanhuaRankIcon = self:addLeftButton(globalManager.pathManager:getUISource("outPic/yanhua_rank_icon.png"),true,true)
self._yanhuaRankIcon:addTouchEventListener(yanhuaRankClickHandler)
end
else
if(self._yanhuaRankIcon ~= nil) then
self._yanhuaRankIcon:dispose()
self._yanhuaRankIcon = nil
end
end
self:updateLeftBtns()
end
--积分商城更新检测
function MainMenu:integralMallUpdate()
local function integralMallHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
globalManager.moduleManager:addModule(globalData.allStaticTypes.moduleType.shop,10,false)
if self._integralMallEffect then
self._integralMall:setEffect(false)
self._integralMallEffect = false
end
end
end
if(globalData.selfPlayerInfo.level >= 20) and globalData.consumenGiftInfo.integralMall then
if self._integralMall == nil then
self._integralMall = self:addLeftButton(globalManager.pathManager:getUISource("outPic/integralMall.png"),true,true)
self._integralMall:addTouchEventListener(integralMallHandler)
end
else
if(self._integralMall ~= nil) then
self._integralMall:dispose()
self._integralMall = nil
end
end
self:updateLeftBtns()
end
--双11更新检测
function MainMenu:doubleElevenUpdate()
local function doubleElevenHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_show_doubleEleven,globalManager.gameDispatcher,true))
end
end
if (globalData.selfPlayerInfo.level >= 20) and (globalData.consumenGiftInfo.doubleEleven or globalData.consumenGiftInfo.consumRank) then
if self._doubleEleven == nil then
self._doubleEleven = self:addLeftButton(globalManager.pathManager:getUISource("outPic/doubleElevenicon.png"),true,true)
self._doubleEleven:addTouchEventListener(doubleElevenHandler)
end
else
if(self._doubleEleven ~= nil) then
self._doubleEleven:dispose()
self._doubleEleven = nil
end
end
self:updateLeftBtns()
end
--淘宝更新检测
function MainMenu:washGoldUpdate()
local function washGoldHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_showWashGoldPanel,globalManager.gameDispatcher,true))
if self._washGoldEffect then
self._washGoldIcon:setEffect(false)
self._washGoldEffect = false
end
end
end
if(globalData.selfPlayerInfo.level >= 20) and globalData.consumenGiftInfo.washGold then
if self._washGoldIcon == nil then
self._washGoldIcon = self:addLeftButton(globalManager.pathManager:getUISource("outPic/washGold.png"),true,true)
self._washGoldIcon:addTouchEventListener(washGoldHandler)
end
else
if(self._washGoldIcon ~= nil) then
self._washGoldIcon:dispose()
self._washGoldIcon = nil
end
end
self:updateLeftBtns()
end
--周活动更新检测
function MainMenu:operateActiveUpdate(evt)
local function operateActiveHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
globalData.uiPanelContainer:initTabs({globalData.allStaticTypes.panelTabType.operateActive})
if(self._isoperateActiveShowEffect) then
self._operateIcon:setEffect(false)
self._isoperateActiveShowEffect = false
end
end
end
if self:checkIsShowOperateActive() and globalData.selfPlayerInfo.level >= 20 then
if(self._operateIcon == nil ) then
self._operateIcon = self:addLeft2Button(globalManager.pathManager:getUISource("outPic/operateActive.png"),true,true)
self._operateIcon:addTouchEventListener(operateActiveHandler)
self._operateActiveFlag = true
end
else
if(self._operateIcon ~= nil) then
self._operateIcon:dispose()
self._operateIcon = nil
self._operateActiveFlag = false
end
end
self:updateLeftBtns2()
end
function MainMenu:payCountGiftCheck()
local payCountGiftInfo = globalData.payItemList.payCountGiftInfo
if(globalData.selfPlayerInfo.level >= globalData.newModuleLevelConfig.newServerGift and payCountGiftInfo.templateId ~= nil )then
self._payCountGiftIcon:setEnabled(true)
else
self._payCountGiftIcon:setEnabled(false)
end
self:layout()
end
--新服大馈赠更新检测
function MainMenu:newServerGiftUpdate(evt)
if(globalData.selfPlayerInfo.level >= globalData.newModuleLevelConfig.newServerGift and globalData.consumenGiftInfo.newServerGift) then
self._newServerGiftIcon:setEnabled(true)
else
self._newServerGiftIcon:setEnabled(false)
end
self:layout()
end
function MainMenu:toWestIconUpdate()
local toWestClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.toWestTab)
end
end
local hasGetList = globalData.toWestInfo.hasGetList
local systemTime = math.floor(globalData.systemDateInfo:getSystemTime() / 1000)
local endTime = globalData.toWestInfo:getEndTime()
local time = endTime - systemTime
if(#hasGetList < 7 and time > 0 and globalData.selfPlayerInfo.level >= globalData.newModuleLevelConfig.toWestLevel) then
if(self._toWestIcon == nil ) then
self._toWestIcon = self:addLeft2Button(globalManager.pathManager:getUISource("outPic/toWestIcon.png"),false,true)
self._toWestIcon:addTouchEventListener(toWestClickHandler)
end
else
if(self._toWestIcon ~= nil) then
self._toWestIcon:dispose()
self._toWestIcon = nil
end
end
self:updateLeftBtns2()
end
function MainMenu:mysticalShopIconUpdate()
local shenmiClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(sender == self._shenmiShopIcon) then
globalManager.moduleManager:addModule(globalData.allStaticTypes.moduleType.shop,9,false)
end
end
end
local openTime = globalData.openTime
local systemTime = math.floor(globalData.systemDateInfo:getSystemTime() / 1000)
local oepnDays = globalData.systemDateInfo:getBetweenTimeDay(openTime * 1000,systemTime * 1000)
if(oepnDays > 6 and globalData.selfPlayerInfo.level >= globalData.newModuleLevelConfig.shenMiShopLevel and globalData.consumenGiftInfo.shenMiIsShow)then
if(self._shenmiShopIcon == nil ) then
self._shenmiShopIcon = self:addLeft2Button(globalManager.pathManager:getUISource("outPic/mysticalShopIcon.png"),true,true)
self._shenmiShopIcon:addTouchEventListener(shenmiClickHandler)else
end
else
if(self._shenmiShopIcon ~= nil) then
self._shenmiShopIcon:dispose()
self._shenmiShopIcon = nil
end
end
self:updateLeftBtns2()
end
--合服活动更新检测
function MainMenu:combinedActiveUpdate(evt)
local function combinedActiveHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
globalData.uiPanelContainer:initTabs({globalData.allStaticTypes.panelTabType.combinedActive})
if(self._combinedActiveShowEffect) then
self._combinedIcon:setEffect(false)
self._combinedActiveShowEffect = false
end
end
end
if (self:checkIsShowCombinedActiveTime() and globalData.selfPlayerInfo.level >= globalData.newModuleLevelConfig.combinedActiveLevel) then
if(self._combinedIcon == nil ) then
self._combinedIcon = self:addLeft2Button(globalManager.pathManager:getUISource("outPic/ui_combinedIcon.png"),true,true)
self._combinedIcon:addTouchEventListener(combinedActiveHandler)
self._combinedFlag = true
end
else
if(self._combinedIcon ~= nil) then
self._combinedIcon:dispose()
self._combinedIcon = nil
self._combinedFlag = false
end
end
self:updateLeftBtns2()
end
--专享福利更新检测
function MainMenu:zhuangXiangUpdate(evt)
local zhuangXiangClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(globalData.consumenGiftInfo.chargeShowList[2])then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_showZhuanXiangWelfarePanel,globalManager.gameDispatcher,true))
end
if(self._isZhuanXiangShowEffect) then
self._zhuangxiangIcon:setEffect(false)
self._isZhuanXiangShowEffect = false
end
end
end
local info = globalData.consumenGiftInfo.chargeList[3]
if(info ~= nil and #info > 0)then
if(self._zhuangxiangIcon ~= nil) then
self._zhuangxiangIcon:dispose()
self._zhuangxiangIcon = nil
end
return
end
if(globalData.consumenGiftInfo.chargeShowList[2] and globalData.selfPlayerInfo.level >= globalData.newModuleLevelConfig.zhuanpanLevel) then
if(self._zhuangxiangIcon == nil ) then
self._zhuangxiangIcon = self:addLeft2Button(globalManager.pathManager:getUISource("outPic/zhuanXiangIcon.png"),true,true)
self._zhuangxiangIcon:addTouchEventListener(zhuangXiangClickHandler)
end
else
if(self._zhuangxiangIcon ~= nil) then
self._zhuangxiangIcon:dispose()
self._zhuangxiangIcon = nil
end
end
self:updateLeftBtns2()
end
function MainMenu:checkIsShowCombinedActiveTime()
local combinedTime = globalData.combinedTime
local systemTime   = globalData.systemDateInfo:getSystemTime() / 1000
local deltaTime    = 3600 * 5 * 24
if(combinedTime == 0)then
return false
end
if(combinedTime + deltaTime > systemTime  and systemTime > combinedTime)then
return true
else
return false
end
end
function MainMenu:checkIsShowOperateActive()
return globalData.allTemplates.operateActiveTemplateList:isCanShow()
end
function MainMenu:popDataUpdate(evt)
local index = -1
if(evt ~= nil) then
index = evt.data
end
--充值转盘
if(index == -1 or index == globalManager.playerInfoTester.yuanbaoPanelType) then
if(self._zhuanpan3Icon ~= nil) then
if(globalManager.playerInfoTester._yuanbaoPanelNum > 0) then
self._zhuanpan3Icon:setShowPop(true)
else
self._zhuanpan3Icon:setShowPop(false)
end
end
end
--消费赠礼
if(index == -1 or index == globalManager.playerInfoTester.consumenGiftType) then
if(self._consumenGiftIcon ~= nil) then
if(globalManager.playerInfoTester._consumenGiftNum > 0) then
self._consumenGiftIcon:setShowPop(true)
else
self._consumenGiftIcon:setShowPop(false)
end
end
end
--专享充值
if(index == -1 or index == globalManager.playerInfoTester.zhuanXiangType) then
if(self._zhuangxiangIcon ~= nil) then
if(globalManager.playerInfoTester._zhuanXiangNum > 0) then
self._zhuangxiangIcon:setShowPop(true)
else
self._zhuangxiangIcon:setShowPop(false)
end
end
end
--领奖
if(index == -1 or index == globalManager.playerInfoTester.signPopType or index == globalManager.playerInfoTester.loginPopType
or index == globalManager.playerInfoTester.giftPopType) then
if(self._welfareIcon ~= nil) then
if(globalManager.playerInfoTester._signNum + globalManager.playerInfoTester._giftNum > 0) then
self._welfareIcon:setShowPop(true)
else
self._welfareIcon:setShowPop(false)
end
end
end
--副本
if(index == -1 or (index >= globalManager.playerInfoTester.copy1PopType and index <= globalManager.playerInfoTester.copy5PopType))then
if(self._dailyIcon ~= nil) then
if( globalManager.playerInfoTester._copyNum1 + globalManager.playerInfoTester._copyNum3
+ globalManager.playerInfoTester._copyNum4 + globalManager.playerInfoTester._copyNum5 > 0) then
self._dailyIcon:setShowPop(true)
else
self._dailyIcon:setShowPop(false)
end
end
end
--活动
if(index == -1 or index == globalManager.playerInfoTester.activityPopType or globalManager.playerInfoTester.findTreaSureType) then
if(self._matterIcon ~= nil) then
if(globalManager.playerInfoTester._activityNum > 0) then
self._matterIcon:setShowPop(true)
else
self._matterIcon:setShowPop(false)
end
end
end
--战场
if(index == -1 or index == globalManager.playerInfoTester.arenaPopType) then
if(self._warIcon ~= nil) then
if(globalManager.playerInfoTester._arenaNum2 + globalManager.playerInfoTester._chaosNum > 0) then
self._warIcon:setShowPop(true)
else
self._warIcon:setShowPop(false)
end
end
end
--角色
if(index == -1 or index == globalManager.playerInfoTester.skillPopType or index == globalManager.playerInfoTester.wakeUpType or index == globalManager.playerInfoTester.fashionType) then
if(self._playerBtn ~= nil) then
if(globalManager.playerInfoTester._skillNum + globalManager.playerInfoTester._wakeUpNum + globalManager.playerInfoTester._fashionNum > 0) then
self._playerBtn:setShowPop(true)
else
self._playerBtn:setShowPop(false)
end
end
end
--消费
if(index == -1 or index >= globalManager.playerInfoTester.petPopType and index <= globalManager.playerInfoTester.longhunPopType) then
if(self._xiaofeiBtn ~= nil) then
if(globalManager.playerInfoTester._riderNum + globalManager.playerInfoTester._petNum + globalManager.playerInfoTester._wingNum + globalManager.playerInfoTester._godNum + globalManager.playerInfoTester._spriteNum
+ globalManager.playerInfoTester._fazhenNum + globalManager.playerInfoTester._longhunNum > 0) then
self._xiaofeiBtn:setShowPop(true)
else
self._xiaofeiBtn:setShowPop(false)
end
end
end
--伙伴
if(index == -1 or index == globalManager.playerInfoTester.partnerType) then
if(self._partnerBtn ~= nil) then
if(globalManager.playerInfoTester._partnerNum > 0) then
self._partnerBtn:setShowPop(true)
else
self._partnerBtn:setShowPop(false)
end
end
end
--制炼
if(index == -1 or index == globalManager.playerInfoTester.strengthPopType) then
if(self._equipBtn ~= nil) then
if(globalManager.playerInfoTester._strengthNum > 0 or globalManager.playerInfoTester._rongluNum > 0 or globalManager.playerInfoTester._advancedNum > 0) then
self._equipBtn:setShowPop(true)
else
self._equipBtn:setShowPop(false)
end
end
end
--BOSS
if(index == -1 or index == globalManager.playerInfoTester.bossPopType or index == globalManager.playerInfoTester.worldPopType or index == globalManager.playerInfoTester.jingyingPopType) then
if(self._worldBossIcon ~= nil) then
if(globalManager.playerInfoTester._vipBossNum + globalManager.playerInfoTester._bossNum1 + globalManager.playerInfoTester._bossNum2 > 0) then
self._worldBossIcon:setShowPop(true)
else
self._worldBossIcon:setShowPop(false)
end
if(globalManager.playerInfoTester._vipBossNum > 0) then
self._worldBossIcon:setEffect(true)
else
self._worldBossIcon:setEffect(false)
end
end
end
--功能屏蔽：结婚、结义
--	 if(globalManager.playerInfoTester._petNum + globalManager.playerInfoTester._riderNum + globalManager.playerInfoTester._wingNum + globalManager.playerInfoTester._godNum
--	 + globalManager.playerInfoTester._spriteNum + globalManager.playerInfoTester._fazhenNum + globalManager.playerInfoTester._longhunNum
--	 + globalManager.playerInfoTester._strengthNum + globalManager.playerInfoTester._xianYuanNum + globalManager.playerInfoTester._partnerNum > 0) or (globalManager.playerInfoTester._oath == true)then
if(globalManager.playerInfoTester._petNum + globalManager.playerInfoTester._riderNum + globalManager.playerInfoTester._wingNum
+ globalManager.playerInfoTester._godNum + globalManager.playerInfoTester._spriteNum + globalManager.playerInfoTester._fazhenNum
+ globalManager.playerInfoTester._longhunNum + globalManager.playerInfoTester._strengthNum + globalManager.playerInfoTester._partnerNum + globalManager.playerInfoTester._leagueBossNum + globalManager.playerInfoTester._fashionNum > 0)then
--屏蔽完成
self._menuBtn:setShowPop(true)
else
self._menuBtn:setShowPop(false)
end
if(index == -1 or index == globalManager.playerInfoTester.leagueBossPopType) then
if(self._clubBtn ~= nil) then
if(globalManager.playerInfoTester._leagueBossNum > 0) then
self._clubBtn:setShowPop(true)
else
self._clubBtn:setShowPop(false)
end
end
end
if(index == -1 or index == globalManager.playerInfoTester.shenmiShopType) then
if(self._shenmiShopIcon ~= nil) then
if(globalManager.playerInfoTester._shenmiShopNum > 0) then
self._shenmiShopIcon:setEffect(true)
else
self._shenmiShopIcon:setEffect(false)
end
end
end
if (index == -1 or index == globalManager.playerInfoTester.oathType) or (index == -1 or index == globalManager.playerInfoTester.xianYuanType)then
if(globalManager.playerInfoTester._oath == true or globalManager.playerInfoTester._isShowXianYuan == true) then
self._friendBtn:setShowPop(true)
else
self._friendBtn:setShowPop(false)
end
end
if (index == -1 or index == globalManager.playerInfoTester.washPopType) then
if(self._washGoldIcon ~= nil) then
if globalManager.playerInfoTester._washNum ~= 0 then
self._washGoldIcon:setShowPop(true)
else
self._washGoldIcon:setShowPop(false)
end
end
end
--一路向西
if(index == -1 or index == globalManager.playerInfoTester.toWestType) then
if(self._toWestIcon ~= nil) then
if(globalManager.playerInfoTester._toWestGoNum > 0) then
self._toWestIcon:setShowPop(true)
else
self._toWestIcon:setShowPop(false)
end
if(globalManager.playerInfoTester._toWestGetNum > 0) then
self._toWestIcon:setEffect(true)
else
self._toWestIcon:setEffect(false)
end
end
end
end
function MainMenu:leaguePopUpdate()
if(self._clubBtn ~= nil) then
self._clubBtn:setShowPop(false)
end
end
function MainMenu:openIconTipUpdate(evt)
if self._openIcon ~= nil then
if(evt.data) then
self._openIcon:setShowPop(true)
else
self._openIcon:setShowPop(false)
end
end
end
function MainMenu:combinedIconTipUpdate(evt)
if(self._combinedFlag == true)then
if(evt.data)then
self._combinedIcon:setShowPop(true)
else
self._combinedIcon:setShowPop(false)
end
end
end
function MainMenu:operateActiveIconTipUpdate(evt)
if self._operateIcon ~= nil then
if self._operateActiveFlag == true then
if(evt.data) then
self._operateIcon:setShowPop(true)
else
self._operateIcon:setShowPop(false)
end
end
end
end
function MainMenu:washGoldTipUpdate(evt)
if self._washGoldIcon ~= nil then
if( globalData.washGoldInfo.times ~= 0) then
self._washGoldIcon:setShowPop(true)
else
self._washGoldIcon:setShowPop(false)
end
end
end
function MainMenu:onlineIconHandler()
local maxCount = globalData.allTemplates.onlineRewardsTemplateList.MAX_COUNT
local curCount = globalData.onlineRewardsInfo.num
if(globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.onlineRewardLevel or curCount <= 0 or curCount > maxCount)then
self:hideOnlineIcon()
globalManager.playerInfoTester._tuiOnlineTime = 0
return
end
self:showOnlineIcon()
local curSystemTime = math.floor(globalData.systemDateInfo:getSystemTime()/1000)
local onlineTime = curSystemTime - globalData.onlineRewardsInfo.time
local info = globalData.allTemplates.onlineRewardsTemplateList:getCurrentTemplate()
local countDownTime = 0
if(onlineTime >= info.time) then
countDownTime = 0
else
countDownTime = info.time - onlineTime
end
globalManager.playerInfoTester._tuiOnlineTime = globalData.onlineRewardsInfo.time + info.time
self._onlineIcon:setTimeInfo(countDownTime)
end
function MainMenu:showOnlineIcon(time)
if(self._onlineIcon == nil)then
self._onlineIcon = OnlineIconItem:new()
self._leftBtnContainer2:addChild(self._onlineIcon)
self:updateLeftBtns2()
end
end
function MainMenu:hideOnlineIcon()
if(self._onlineIcon ~= nil)then
self._onlineIcon:dispose()
self._onlineIcon = nil
self:updateLeftBtns2()
end
end
MainMenuChatPanel = class("MainMenuChatPanel",function(self,controller)
local temp = globalManager.ccCreator:newWidget()
--data
temp._currentHeight = 0
temp._fontSize1 = 20
temp._fontSize2 = 18
self._controller = controller
temp._widget = globalManager.ccCreator:newJsonWidget("mainmenuChatPanel")
temp:addChild(temp._widget)
temp._chatList = temp._widget:getChildByName("chatList")
temp._chatBtn = temp._widget:getChildByName("chatBtn")
temp._popLabel = temp._chatBtn:getChildByName("pop_label")
temp._speakerPanel = temp._widget:getChildByName("speakerPanel")
temp._speakerPanel:setVisible(false)
temp._chatList:setVisible(false)
temp._currentItemInfo = nil
temp._count = 0
temp._lastLabel = nil
temp._scrollLabel = nil
temp._systemScrollLabel = nil
temp._systemBg = nil
temp._lastChatTime = 0 --上一次收到聊天信息的时间
temp._isShowClubPop = false
temp._popLabel:setVisible(false)
temp.FADEOUT_TIME = 10000 --渐隐间隔时间(毫秒)
return temp
end)
function MainMenuChatPanel:ctor()
self:initEvent()
end
function MainMenuChatPanel:initEvent()
local chatClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(self._isShowClubPop) then
globalManager.moduleManager:addModule(globalData.allStaticTypes.moduleType.chat,3,false)
self._isShowClubPop = false
self._popLabel:setVisible(false)
else
globalManager.moduleManager:addModule(globalData.allStaticTypes.moduleType.chat,1,false)
end
end
end
self._chatBtn:addTouchEventListener(chatClickHandler)
--global
globalData.chatItemList:addEventListener(globalData.globalEventType.chat_appendItem, self.appendChatItemHandler, self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_showChatPanel,self.showChatPanelHandler,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_hideChatPanel,self.hideChatPanelHandler,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_reConnect,self.reConnectHandler,self)
end
function MainMenuChatPanel:removeEvent()
globalData.chatItemList:removeEventListener(globalData.globalEventType.chat_appendItem, self.appendChatItemHandler, self)
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.scene_showChatPanel,self.showChatPanelHandler,self)
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.scene_hideChatPanel,self.hideChatPanelHandler,self)
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.scene_reConnect,self.reConnectHandler,self)
end
function MainMenuChatPanel:showChatPanelHandler(evt)
self:setEnabled(false)
end
function MainMenuChatPanel:hideChatPanelHandler(evt)
self:setEnabled(true)
self:checkChatVisible()
end
function MainMenuChatPanel:showTick(delta, count)
self:checkChatVisible()
end
function MainMenuChatPanel:appendChatItemHandler(evt)
self._currentItemInfo = evt.data
if(self._count <= 0) then
self._count = 15
globalManager.tickManager:addTick(self.tick,self)
end
if(self:isEnabled() and evt.data.channel == globalData.allStaticTypes.channelType.CLUB and globalData.selfPlayerInfo.uniteId > 0)then
self._isShowClubPop = true
self._popLabel:setVisible(true)
end
end
function MainMenuChatPanel:tick(delta,count)
self._count = self._count - 1
if(self._count <= 0) then
self._count = 0
if(self._currentItemInfo ~= nil) then
self:appendChatItem(self._currentItemInfo)
end
globalManager.tickManager:removeTick(self.tick,self)
end
end
function MainMenuChatPanel:checkChatVisible()
local delta = globalData.systemDateInfo:getSystemTime() - self._lastChatTime
if(delta > self.FADEOUT_TIME)then
self._chatList:setVisible(false)
globalManager.tickManager:removeTick(self.showTick,self)
end
end
function MainMenuChatPanel:reConnectHandler()
globalManager.tickManager:removeTick(self.tick,self)
if(self._systemBg ~= nil) then
self._systemBg:setVisible(false)
end
end
function MainMenuChatPanel:appendChatItem(chatItemInfo)
local function hideSpeaker()
self._speakerPanel:setVisible(false)
end
local function hideSystemBg()
self._systemBg:setVisible(false)
end
if(chatItemInfo.channel == globalData.allStaticTypes.channelType.SPEAKER)then
--喇叭
if(self._scrollLabel ~= nil)then
if(self._scrollLabel.dispose ~= nil)then
self._scrollLabel:dispose()
end
self._scrollLabel = nil
end
--        local richLabel = globalManager.richLabelUtils:getChatLabel(chatItemInfo,self._fontSize1,2000)
local richLabel = globalManager.ccCreator:newRichLabel2(nil,2000,globalData.allStaticTypes.colorType.CHAT_COLOR)
richLabel:setCharInfo(chatItemInfo)
self._scrollLabel = ScrollLabel:new(richLabel,cc.size(310,25),hideSpeaker,self)
self._scrollLabel:setPosition(cc.p(102,71))
self._scrollLabel:setScale(0.8)
self:addChild(self._scrollLabel)
self._speakerPanel:setVisible(true)
else
--普通聊天
--倒计时开始
self._chatList:setVisible(true)
self._lastChatTime = globalData.systemDateInfo:getSystemTime()
globalManager.tickManager:addTick(self.showTick,self)
if(self._lastLabel ~= nil)then
self._lastLabel:dispose()
self._lastLabel = nil
end
self._lastLabel = globalManager.ccCreator:newRichLabel2(nil,355,globalData.allStaticTypes.colorType.CHAT_COLOR)
self._lastLabel:setCharInfo(chatItemInfo)
self._chatList:addChild(self._lastLabel)
self._lastLabel:setPosition(globalManager.ccCreator:newPoint(5,(self._chatList:getSize().height - self._lastLabel:getHeight()) * -0.5 + 40))
self._lastLabel:setScale(0.8)
end
if(chatItemInfo.channel == globalData.allStaticTypes.channelType.SYSTEM_NOTICE
or chatItemInfo.channel == globalData.allStaticTypes.channelType.WORLD_NOTICE
)then
if(self._systemBg == nil)then
self._systemBg = globalManager.ccCreator:newImageView("bar/ui_bar15.png", 1)
self._systemBg:setScale9Enabled(true)
self._systemBg:setCapInsets(cc.rect(186,8,130,1))
self._systemBg:setPosition(cc.p(globalData.GAME_WIDTH * 0.5,globalData.GAME_HEIGHT - 120))
self._systemBg:setSize(cc.size(600,33))
globalManager.containerManager.tipContainer:addChild(self._systemBg,99)
end
if(self._systemScrollLabel ~= nil)then
if(self._systemScrollLabel.dispose ~= nil)then
self._systemScrollLabel:dispose()
end
self._systemScrollLabel = nil
end
local richLabel = globalManager.ccCreator:newRichLabel2(nil,3000,globalData.allStaticTypes.colorType.CHAT_COLOR)
richLabel:setCharInfo(chatItemInfo)
self._systemScrollLabel = ScrollLabel:new(richLabel,cc.size(530,25),hideSystemBg,self)
self._systemScrollLabel:setPosition(cc.p(globalData.GAME_WIDTH * 0.5 - 265,globalData.GAME_HEIGHT - 130))
globalManager.containerManager.tipContainer:addChild(self._systemScrollLabel,100)
self._systemBg:setVisible(true)
end
end
MainMenuControllPad = class("MainMenuControllPad",function(self,controller)
local temp = globalManager.ccCreator:newNode()
self._controller = controller
temp._centerPos = globalManager.ccCreator:newPoint(0,0)
temp._pos = globalManager.ccCreator:newPoint(144,144)
temp._radiuss = 250--触发半径平方
temp._touchGroup = globalManager.ccCreator:newNode()
temp._padBackGround = globalManager.ccCreator:newImageView("ui_controllPadSmall.png",1)
temp._padBackGround:setTouchEnabled(true)
temp._touchGroup:addChild(temp._padBackGround)
temp._padButton = globalManager.ccCreator:newImageView("ui_padBtn.png",1)
temp._touchGroup:addChild(temp._padButton)
temp:addChild(temp._touchGroup)
temp:setPosition(temp._pos)
return temp
end)
function MainMenuControllPad:ctor()
self:initEvent()
end
function MainMenuControllPad:initEvent()
local padTouchHandler = function(sender,eventType)
local point
if(eventType == TOUCH_EVENT_BEGAN) then
self._padBackGround:loadTexture("ui_controllPad.png",1)
point = sender:getTouchStartPos()
if(math.pow(point.x - self._pos.x,2) + math.pow(point.y - self._pos.y,2) > self._radiuss) then
self:updateDirectionForTouchLocation(point)
else
self:updateDirectionForTouchLocation(self._centerPos)
end
elseif(eventType == TOUCH_EVENT_MOVED) then
point = sender:getTouchMovePos()
if(math.pow(point.x - self._pos.x,2) + math.pow(point.y - self._pos.y,2) > self._radiuss) then
self:updateDirectionForTouchLocation(point)
else
self:updateDirectionForTouchLocation(self._centerPos)
end
elseif(eventType == TOUCH_EVENT_ENDED) then
self._padBackGround:loadTexture("ui_controllPadSmall.png",1)
self:updateDirectionForTouchLocation(self._centerPos)
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_controllPadReset,globalManager.gameDispatcher))
elseif(eventType == TOUCH_EVENT_CANCELED) then
self._padBackGround:loadTexture("ui_controllPadSmall.png",1)
self:updateDirectionForTouchLocation(self._centerPos)
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_controllPadReset,globalManager.gameDispatcher))
end
end
self._padBackGround:addTouchEventListener(padTouchHandler)
end
function MainMenuControllPad:updateDirectionForTouchLocation(point)
if(point == self._centerPos) then
globalData.touchWalkValue = 1000
self._padButton:setPosition(point)
else
globalData.touchWalkValue = globalData.allStaticTypes.directType:getRadian(self._pos,point)
self._padButton:setPosition(globalManager.ccCreator:newPoint(math.cos(globalData.touchWalkValue) * 90,math.sin(globalData.touchWalkValue) * 90))
end
end
UpdateAlert = class("UpdateAlert", function(self,callBack)
local temp = globalManager.ccCreator:newJsonWidget("plusAlertPanel")
temp._callBack = callBack
temp._nomalBtn1 = temp:getChildByName("nomalBtn1")
temp._nomalBtn2 = temp:getChildByName("nomalBtn2")
temp._nomalBtn1:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("UpdateAlert.text4"))
temp._nomalBtn2:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("ZhufuPanel2.text7"))
temp:getChildByName("content1"):setText(globalManager.yuyanbaoManager:getYuyanbao("UpdateAlert.text1"))
temp:getChildByName("content2"):setText(globalManager.yuyanbaoManager:getYuyanbao("UpdateAlert.text2"))
temp.contentLabel = temp:getChildByName("content3")
temp.contentLabel:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("UpdateAlert.text5"),string.sub(globalData.packResVersion,2),string.sub(globalData.packString[#globalData.packString],2)))
temp.itemList = {}
temp.viewList = {}
for i = 1,4,1 do
table.insert(temp.itemList,temp:getChildByName("item"..i))
end
temp.goodsList = {{100004,50},{150015,20},{100003,500000},{150004,1}}
temp.plusState = 0
return temp
end)
function UpdateAlert:ctor()
self:initEvent()
self:initView()
globalData.uiClickContainer:addItem(self,true,true)
end
function UpdateAlert:hideFormClickContainer()
end
function UpdateAlert:initView()
for i = 1,4,1 do
local grid = GoodsInfoGrid:new()
grid:setGoodsTempInfo(globalData.allTemplates.goodsTemplateList:getTemplate(self.goodsList[i][1]))
grid:setCount(self.goodsList[i][2])
self.itemList[i]:addChild(grid)
table.insert(self.viewList,grid)
end
if(globalData:isExtImageLoaded()) then
self._nomalBtn2:setVisible(false)
self._nomalBtn2:setEnabled(false)
self._nomalBtn1:setPositionX(300)
self._nomalBtn1:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("WelfareGiftView.text10"))
self.contentLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("UpdateAlert.text3"))
end
end
function UpdateAlert:initEvent()
local function click1Handler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(globalData:isExtImageLoaded()) then
globalData.messageAdder:sendLoadPlusInfo(2)
self:dispose()
return
end
self:_callBack()
self:dispose()
end
end
local function click2Handler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self:dispose()
end
end
self._nomalBtn1:addTouchEventListener(click1Handler)
self._nomalBtn2:addTouchEventListener(click2Handler)
globalData.welfareInfo:addEventListener(globalData.globalEventType.playerInfo_loadPlusUpdate,self.updateInfo,self)
end
function UpdateAlert:updateInfo(evt)
self.plusState = evt.data
end
function UpdateAlert:removeEvent()
globalData.welfareInfo:removeEventListener(globalData.globalEventType.playerInfo_loadPlusUpdate,self.updateInfo,self)
end
function UpdateAlert:dispose()
self:removeEvent()
self._callBack = nil
self._nomalBtn1 = nil
self._nomalBtn2 = nil
self.itemList  = nil
if(#self.viewList > 0)then
for i,info in pairs(self.viewList) do
info:dispose()
info = nil
end
self.viewList = nil
end
self.goodsList = nil
self.plusState = nil
globalData.uiClickContainer:close(self)
globalManager.ccCreator:release(self)
end
MainMenuController = class("MainMenuController",function(self,module)
local temp = {}
temp.module = module
return temp
end)
function MainMenuController:showMainMenu()
if(self.module.mainMenu == nil) then
self.module.mainMenu = MainMenu:new(self)
end
if(self.module.mainMenu:getParent() == nil) then
globalManager.containerManager.fixUIContainer:addChild(self.module.mainMenu)
end
end
MainMenuInfo = class("MainMenuInfo", function(_)
local self = {}
self.openTip = {
{ lev = 5, icon = "icon/mainmenu_in_btn11.png", tip = globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel37"),showType = 2 }, --坐骑
{ lev = 10, icon = "icon/mainmenu_in_btn10.png", tip = globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel37"),showType = 1 }, --妖精
{ lev = 15, icon = "icon/mainmenu_in_btn2.png", tip = globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel37"),showType = 3 }, --羽翼
{ lev = 20, icon = "icon/mainmenu_in_btn4.png", tip = globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel37"),showType = 4 }, --足迹
{ lev = 25, icon = "icon/mainmenu_in_btn3.png", tip = globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel37"),showType = 5 }, --仙灵
{ lev = globalData.newModuleLevelConfig.riderLevel, icon = "icon/mainmenu_in_btn11.png", tip = globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel5"),showType = 6 }, --坐骑进阶
-- { lev = globalData.newModuleLevelConfig.warLevel, icon = "icon/mainmenu_btn13.png", tip = globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel5"),showType = 7 }, --战场
{ lev = globalData.newModuleLevelConfig.worldBossLevel, icon = "icon/mainmenu_btn14.png", tip = globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel5"),showType = 9 }, --世界BOSS
-- { lev = globalData.newModuleLevelConfig.copyLevel, icon = "icon/mainmenu_btn11.png", tip = globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel5"),showType = 10 }, --副本
-- { lev = globalData.newModuleLevelConfig.wuhunLevel, icon = "icon/mainmenu_in_btn9.png", tip = globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel5"),showType = 8 }, --武魂
{ lev = globalData.newModuleLevelConfig.clubLevel, icon = "icon/mainmenu_btn6.png", tip = globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel5"),showType = 11 } --帮派
}
return self
end)
function MainMenuInfo:getOpenTipInfo()
local level = globalData.selfPlayerInfo.level
if(level >= globalData.newModuleLevelConfig.clubLevel) then return nil end
-- if(level >= globalData.newModuleLevelConfig.wuhunLevel) then return self.openTip[11] end
-- if(level >= globalData.newModuleLevelConfig.copyLevel) then return self.openTip[10] end
if(level >= globalData.newModuleLevelConfig.worldBossLevel) then return self.openTip[8] end
-- if(level >= globalData.newModuleLevelConfig.warLevel) then return self.openTip[8] end
if(level >= globalData.newModuleLevelConfig.riderLevel) then return self.openTip[7] end
if(globalData.spriteItemInfo.stage > 0)then return self.openTip[6] end
if(globalData.godItemInfo.stage > 0)then return self.openTip[5] end
if(globalData.wingItemInfo.stage > 0)then return self.openTip[4] end
if(globalData.petItemInfo.stage > 0)then return self.openTip[3] end
if(globalData.riderItemInfo.stage > 0)then return self.openTip[2] end
return self.openTip[1]
end
MainMenuModule = class("MainMenuModule",function(self)
local temp = BaseModule:new()
temp.mainMenuController = nil
temp.mainMenu = nil
temp.mainMenuInfo = MainMenuInfo:new()
return temp
end)
--override
function MainMenuModule:getModuleType()
return globalData.allStaticTypes.moduleType.main_menu
end
--override
function MainMenuModule:setup(data)
self.mainMenuController = MainMenuController:new(self)
self.mainMenuController:showMainMenu()
end
--override
function MainMenuModule:configure(data)
self.mainMenuController:showMainMenu()
end
MatterItemView = class("MatterItemView",function(self,controller)
local temp = globalManager.ccCreator:newJsonWidget("matterItemView")
temp._matterInfo = nil
temp._selectedLight = temp:getChildByName("light_image")
temp._selectedLight:setVisible(false)
temp._icon = temp:getChildByName("icon")
temp._levelTip = temp:getChildByName("level_tip")
temp._timeTip = temp:getChildByName("time_tip")
temp._levelLabel = temp:getChildByName("level_panel")
temp._timeLabel = temp:getChildByName("time_label")
temp._iconImage = temp:getChildByName("icon_image")
temp._doubleIcon = temp:getChildByName("doubleIcon")
temp._doubleIcon:setVisible(false)
temp._doublePath = nil
temp.type = 0
temp._levelTip:setText(globalManager.yuyanbaoManager:getYuyanbao("FiveEquipTip.text11").."：")
temp._timeTip:setText(globalManager.yuyanbaoManager:getYuyanbao("MatterItemView.text2").."：")
return temp
end)
function MatterItemView:ctor()
self:initEvent()
end
function MatterItemView:initEvent()
globalData.consumenGiftInfo:addEventListener(globalData.globalEventType.yiChuiExpIsShow_showUpdate,self.showUpdate,self)
end
function MatterItemView:removeEvent()
globalData.consumenGiftInfo:removeEventListener(globalData.globalEventType.yiChuiExpIsShow_showUpdate,self.showUpdate,self)
end
function MatterItemView:showUpdate()
if(self._matterInfo.type == 17)then
self._doublePath = globalManager.pathManager:getUISource("outPic/ui_doubleExp.png")
globalManager.sourceCacheManager:setImage(self._doubleIcon,self._doublePath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
if(globalData.consumenGiftInfo.tanBaoIsShow)then
self._doubleIcon:setVisible(true)
else
self._doubleIcon:setVisible(false)
end
elseif(self._matterInfo.type == 19)then
self._doublePath = globalManager.pathManager:getUISource("outPic/ui_doubleExp.png")
globalManager.sourceCacheManager:setImage(self._doubleIcon,self._doublePath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
if(globalData.consumenGiftInfo.yiChuiExpIsShow)then
self._doubleIcon:setVisible(true)
else
self._doubleIcon:setVisible(false)
end
else
self._doubleIcon:setVisible(false)
end
end
function MatterItemView:setInfo(info)
self._matterInfo = info
local path = nil
if(info.type == 2 or info.type == 3) then--才高八斗
path = "icon/ui_caigaobadou_icon.png"
elseif(info.type == 20) then--帮战
path = "icon/ui_bangzhan_icon.png"
elseif(info.type == 7 or info.type == 12 or info.type == 21) then--天降横财
path = "icon/ui_hencai_icon.png"
elseif(info.type == 15 or info.type == 16) then--远古
path = "icon/ui_zhanchang_icon.png"
elseif(info.type == 17) then--探宝
path = "icon/ui_tanbao_icon.png"
elseif(info.type == 18) then--1v1
path = "icon/mainmenu_rightBtn7.png"
elseif(info.type == 19) then--一锤
path = "icon/ui_yichui_icon.png"
elseif(info.type == 22)then --群雄争霸
path = "icon/ui_starcraftIcon.png"
elseif(info.type == 23)then --帮战報名
path = "icon/ui_leagueWarApplicantIcon.png"
elseif(info.type == 24)then --跨服Boss
path = "icon/crossBossIcon.png"
elseif(info.type == 25)then --3v3
path = "icon/chaosIcon.png"
elseif(info.type == 27 or info.type == 28)then --三打白骨精
path = "icon/sanDaIcon.png"
elseif(info.type == 29)then --仙皇争霸1v1
path = "icon/arenaXH.png"
else--世界boss
path = "icon/mainmenu_rightBtn8.png"
end
self._icon:loadTexture(path,1)
self:showUpdate()
self._levelLabel:setText(info.level)
self._timeLabel:setText(info:getTimeString())
end
function MatterItemView:checkTime(time)
time = time * 0.001
if(time < self._matterInfo.startTime) then
self._iconImage:setEnabled(false)
self.type = 1
elseif(time > self._matterInfo.endTime) then
self._iconImage:loadTexture("flag/ui_activity_icon2.png",1)
globalManager.commonUtils:setImgColorGrey(self._icon)
self._levelTip:setColor(globalData.allStaticTypes.colorType.COLORGRAY)
self._timeTip:setColor(globalData.allStaticTypes.colorType.COLORGRAY)
self._levelLabel:setColor(globalData.allStaticTypes.colorType.COLORGRAY)
self._timeLabel:setColor(globalData.allStaticTypes.colorType.COLORGRAY)
self.type = 2
end
end
function MatterItemView:setSelected(value)
self._selectedLight:setVisible(value)
end
function MatterItemView:getInfo()
return self._matterInfo
end
function MatterItemView:dispose()
self:removeEvent()
self._matterInfo = nil
self._selectedLight = nil
self._icon = nil
self._levelTip = nil
self._timeTip = nil
self._levelLabel = nil
self._timeLabel = nil
self._iconImage = nil
globalManager.sourceCacheManager:removeQuote(self._doublePath)
self._doubleIcon = nil
self._doubleIcon = nil
globalManager.ccCreator:release(self)
end
MatterPanel = class("MatterPanel",function(self,controller)
local temp = BasePanel:new()
temp.BasePanelDispose = temp.dispose
temp._controller = controller
temp._widget = globalManager.ccCreator:newJsonWidget("matterPanel")
temp:addChild(temp._widget)
temp._listPanel = temp._widget:getChildByName("list_panel")
temp._infoLabel = temp._widget:getChildByName("info_label")
temp._joinBtn  = temp._widget:getChildByName("join_btn")
temp._btnLabel = temp._joinBtn:getChildByName("btnLabel")
temp._cellList = {}
for i = 1,8,1 do
local cellPanel = temp._widget:getChildByName("item_cell"..i)
local cell = BaseGrid:new()
cellPanel:addChild(cell)
table.insert(temp._cellList,cell)
end
--策划按北京时间配   所以在时间戳上+8小时补偿
temp.now = globalData.systemDateInfo:getZeroPassTime()*1000
temp._pre = 0
temp._itemList = {}
temp._currentItem = nil
temp.awardInfoBtn = temp._widget:getChildByName("awardInfoBtn")
temp.awardInfoBtn:setVisible(false)
temp.awardInfoBtn:setTouchEnabled(false)
temp.lineLabel    = temp._widget:getChildByName("lineLabel")
temp.lineLabel:setVisible(false)
temp.tipsLabel    = temp._widget:getChildByName("tipsLabel")
temp.tipsLabel:setVisible(false)
temp.sendState  = true
temp._widget:getChildByName("Label_89817"):setText(globalManager.yuyanbaoManager:getYuyanbao("MatterPanel.text1"))
temp._widget:getChildByName("Label_89817_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("MatterPanel.text2"))
temp._widget:getChildByName("tipsLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("MatterPanel.text3"))
temp._joinBtn:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("MatterPanel.text4"))
return temp
end)
function MatterPanel:ctor()
self:initData()
self:initEvent()
end
function MatterPanel:initData()
local itemClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self:selectItem(sender)
end
end
local time = math.floor(globalData.systemDateInfo:getSystemTime() / 1000)
local day = globalData.systemDateInfo:getWday(time)
local index = 0
local len = 0
for __,info in pairs(globalData.allTemplates.matterTemplateList.matterList) do
if(info.type ~= 26 and (info.day[1] == 0 or globalManager.commonUtils:getIndexOfTable(info.day,day) > -1)) then
local item = MatterItemView:new()
item:setInfo(info)
item:checkTime(self.now)
if(item.type == 2) then
index = index + 1
end
len = len + 1
item:addTouchEventListener(itemClickHandler)
self._listPanel:pushBackCustomItem(item)
table.insert(self._itemList,item)
end
end
self._listPanel:refreshView()
if(len > 6 and index > 0) then
self._pre = index / (len - 6) * 100
globalManager.tickManager:addTick(self.tick,self)
end
if(index+1 <= len)then
self:selectItem(self._itemList[index+1])
else
self:selectItem(self._itemList[len])
end
end
function MatterPanel:tick(delta,count)
globalManager.tickManager:removeTick(self.tick,self)
self._listPanel:jumpToPercentVertical(self._pre)
end
function MatterPanel:selectItem(item)
if(self._currentItem == item) then return end
if(self._currentItem ~= nil) then
self._currentItem:setSelected(false)
end
self._currentItem = item
self._currentItem:setSelected(true)
self._infoLabel:setText(self._currentItem:getInfo().tip)
local awardList = self._currentItem:getInfo().award
local awardLen = #awardList
for i = 1,8,1 do
if(i > awardLen) then
self._cellList[i]:setGoodsTempInfo(nil)
else
self._cellList[i]:setGoodsTempInfo(globalData.allTemplates.goodsTemplateList:getTemplate(awardList[i]))
end
end
if(self._currentItem:getInfo().type == 20)then
self.awardInfoBtn:setVisible(true)
self.awardInfoBtn:setTouchEnabled(true)
self.lineLabel:setVisible(true)
self.tipsLabel:setVisible(true)
globalData.messageAdder:sendApplicantNum()
self._btnLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("MatterPanel.text4"))
elseif(self._currentItem:getInfo().type == 23)then
self.awardInfoBtn:setVisible(true)
self.awardInfoBtn:setTouchEnabled(true)
self.lineLabel:setVisible(true)
self.tipsLabel:setVisible(true)
if(self.sendState)then
globalData.messageAdder:sendApplicantNum()
self.sendState = false
end
self._btnLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("MatterPanel.text5"))
else
self.awardInfoBtn:setVisible(false)
self.awardInfoBtn:setTouchEnabled(false)
self.lineLabel:setVisible(false)
self.tipsLabel:setVisible(false)
self._btnLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("MatterPanel.text4"))
end
end
function MatterPanel:initEvent()
local joinClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(self._currentItem == nil) then return end
if(self._currentItem:getInfo().level > globalData.selfPlayerInfo.level) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel50"))
return
end
-- 暂时不做屏蔽  服务端验证即可
if(self._currentItem.type == 1) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("MatterPanel.text9"))
return
elseif(self._currentItem.type == 2) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("MatterPanel.text10"))
return
end
if(self._currentItem:getInfo().type == 20)then
local time       = self.now * 0.001
local uniteId    = globalData.leagueInfo.id
local uniteLevel = globalData.leagueInfo.level
if(time > self._currentItem:getInfo().startTime and self._currentItem:getInfo().endTime > time)then
if(uniteId == 0)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("MatterPanel.text6"))
return
elseif(uniteLevel < 2)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("MatterPanel.text7"))
return
end
end
end
if(self._currentItem:getInfo().type == 24)then
local playerLevel = globalData.selfPlayerInfo.level
local fight       = globalData.selfPlayerInfo.combat
local rank        = globalData.leagueInfo.rank
if(fight < 100000 or playerLevel < 50)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("MatterPanel.text12"))
end
end
if(#self._currentItem:getInfo().depoly > 0)then
print("fasong!!!!!!!!!!")
globalManager.triggerManager:handlerList(self._currentItem:getInfo().depoly)
end
end
end
local awardInfoClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(globalData.selfPlayerInfo.level >= globalData.newModuleLevelConfig.clubLevel)then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.arenaTab,globalData.allStaticTypes.panelTabType.bangZhanRank)
end
end
end
self._joinBtn:addTouchEventListener(joinClickHandler)
self.awardInfoBtn:addTouchEventListener(awardInfoClickHandler)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_selectMatterItem, self.selectMatterItemHandler, self)
end
function MatterPanel:removeEvent()
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.scene_selectMatterItem, self.selectMatterItemHandler, self)
end
function MatterPanel:selectMatterItemHandler(evt)
local type = evt.data
for __,item in pairs(self._itemList) do
if(item:getInfo().type == type) then
self:selectItem(item)
return
end
end
end
function MatterPanel:dispose()
self:removeEvent()
if(self._cellList ~= nil) then
for __,cell in pairs(self._cellList) do
cell:dispose()
cell = nil
end
self._cellList = nil
end
self._listPanel:removeAllItems()
if(#self._itemList > 0) then
for __,item in pairs(self._itemList) do
item:dispose()
item = nil
end
end
self._itemList = nil
self._controller = nil
self._listPanel = nil
self._infoLabel = nil
self._joinBtn = nil
self.awardInfoBtn = nil
self.lineLabel    = nil
self.tipsLabel    = nil
self._btnLabel    = nil
globalManager.ccCreator:release(self._widget)
self._widget = nil
self:BasePanelDispose()
self.BasePanelDispose = nil
end
MatterController = class("MatterController",function(self,module)
local temp = {}
temp.module = module
return temp
end)
function MatterController:showMatterPanel()
if(self.module.matterPanel == nil) then
self.module.matterPanel = MatterPanel:new(self)
self.module.matterPanel.eventDis:addEventListener(globalData.globalEventType.trigger_panelDispose,self.matterPanelCloseHandler,self)
end
globalData.uiPanelContainer:addPanel(globalData.allStaticTypes.panelTabType.matter,self.module.matterPanel)
end
function MatterController:matterPanelCloseHandler(evt)
self.module.matterPanel.eventDis:removeEventListener(globalData.globalEventType.trigger_panelDispose,self.matterPanelCloseHandler,self)
self.module.matterPanel = nil
end
MatterModule = class("MatterModule",function(self)
local temp = BaseModule:new()
temp.matterController = nil
temp.matterPanel = nil
return temp
end)
--override
function MatterModule:getModuleType()
return globalData.allStaticTypes.moduleType.matter
end
--override
function MatterModule:setup(data)
self.matterController = MatterController:new(self)
self.matterController:showMatterPanel()
end
--override
function MatterModule:configure(data)
self.matterController:showMatterPanel()
end
NewlyMovieManager = class("NewlyMovieManager",function(self,controller)
local temp = {}
temp._controller = controller
temp.container = nil--总容器
temp.bgBottom = nil--底黑条
temp.bgTop = nil--顶黑条
temp.jumpBtn = nil--跳过按钮
temp.talkBg = nil--气泡
temp.contentLabel = nil--文本
temp.npcImage = nil--NPC头像
temp.npcHeadPath = nil--NPC头像路径
temp.propController = PropController:new()--NPC头像缓动
temp.nameLabel = nil--NPC名字文本
temp.dialogLabel = nil--NPC对话文本
temp.maskList = nil--NPC对话遮罩
temp.player1 = nil--男主
temp.player2 = nil--女主
temp.monster1 = nil--反一
temp.monster10 = nil--唐僧
temp.monster11 = nil--悟空
temp.monster12 = nil--八戒
temp.monster13 = nil--沙僧
temp.monster20 = nil--反派龙套1
temp.monster21 = nil--反派龙套2
temp.monster22 = nil--反派龙套3
temp.monster23 = nil--反派龙套4
--当前攻击目标
--男主，女主，反一，唐僧，悟空，八戒，沙僧，龙套1，龙套2，龙套3，龙套4
temp.attackFlag = {false,false,false,false,false,false,false,false,false,false,false}
temp.step = -1
temp.attackTickCount = 0
temp.talkTickCount = 0
temp.waitTickCount = 0
temp.waitTickTime = 0
temp.maskTickCount = 0
temp.passMaskTickCount = 0
temp.isMask = 0
return temp
end)
function NewlyMovieManager:ctor()
self:createMask()
self:initEvent()
globalManager.tickManager:addTick(self.attackTick,self)
self:nextAction()
end
function NewlyMovieManager:initEvent()
local jumpClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self._controller:hideNewlyMovie()
end
end
self.jumpBtn:addTouchEventListener(jumpClickHandler)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.global_clearAllData,self.clearHandler,self)
end
function NewlyMovieManager:removeEvent()
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.global_clearAllData,self.clearHandler,self)
end
function NewlyMovieManager:clearHandler(evt)
self._controller:hideNewlyMovie()
end
function NewlyMovieManager:nextAction()
local callBack = function()
self:nextAction()
end
self.step = self.step + 1
if(self.step == 0) then
self.player2 = self:createPlayerCharacter(2,"小龙女",2,1460,380,globalData.allStaticTypes.directType.leftBottom)--创建女主
self.monster1 = self:createMonsterCharacter(1,161007,1240,470,globalData.allStaticTypes.directType.rightTop)--创建反一
self:wait(80)
elseif(self.step == 1) then
--		self:showPopChat("哥哥，快来救救我~",1,680,400)--女主呼救
self:showMovieChat("哥哥，快来救救我~",2,"小龙女",5)
globalManager.soundManager:playSound("5001")
self.player1 = self:createPlayerCharacter(1,"白龙马",1,620,820,globalData.allStaticTypes.directType.rightTop)--创建男主
self:wait(200)
elseif(self.step == 2) then
--		self:showPopChat("妖精，快，快放开我妹妹~",1,487,300)--男主喊话
self:showMovieChat("妖精，快，快放开我妹妹~",1,"白龙马",2)
globalManager.soundManager:playSound("5002")
self:sceneObjWalkToPoint(self.player1,1045,560,function()
self:startAttack(3)--反一开打
self:startAttack(1)--男主开打
self:wait(250)
end)--男主跑进镜头
self:wait(100)
elseif(self.step == 3) then
self.monster1:updateDir(globalData.allStaticTypes.directType.leftBottom)
self:showMovieChat("嘿，来了个自不量力的小鲜肉！~",3,"白骨精",150)
globalManager.soundManager:playSound("5003_1")
elseif(self.step == 4) then
--		self:showPopChat("嘿，来了个自不量力的小鲜肉！看我白骨掏心掌~",1,560,334)--反派挑衅
self:showMovieChat("看我白骨掏心掌~",3,"白骨精",20)
globalManager.soundManager:playSound("5003_2")
self:playAttack(2,self.monster1)--释放技能动作
globalManager.effectCreator:setEffect(1175, nil, globalManager.ccCreator:newPoint(1030,530),globalManager.containerManager.effectContainer)
self.monster10 = self:createMonsterCharacter(2,120603,660,820,globalData.allStaticTypes.directType.rightTop)--创建唐僧
self.monster11 = self:createMonsterCharacter(3,120604,660,820,globalData.allStaticTypes.directType.rightTop)--创建悟空
self.monster12 = self:createMonsterCharacter(4,120605,660,860,globalData.allStaticTypes.directType.rightTop)--创建八戒
self.monster13 = self:createMonsterCharacter(5,120606,580,820,globalData.allStaticTypes.directType.rightTop)--创建沙僧
self:wait(80)
elseif(self.step == 5) then
--		self:showPopChat("妖精！居然搞偷袭，待我召唤小伙伴来与你一战！",1,477,296)--男主喊人
self:showMovieChat("妖精！居然搞偷袭，待我召唤小伙伴来与你一战！",1,"白龙马",230)
globalManager.soundManager:playSound("5004")
self:wait(330)
elseif(self.step == 6) then
--		self:showPopChat("呔，吃俺老孙一棒！",2,350,380)--悟空发骚
self:showMovieChat("呔，吃俺老孙一棒！",11,"孙悟空")
globalManager.soundManager:playSound("5005")
self:sceneObjWalkToPoint(self.monster11,1025,440,function()
self.monster11:updateDir(globalData.allStaticTypes.directType.rightBottom)--悟空转身
self:startAttack(5)--悟空开打
end)--悟空跑进镜头
self:wait(150)
elseif(self.step == 7) then
--		self:showPopChat("悟空，休得无礼，让为师来 ，嘿嘿嘿",1,540,420)--唐僧发骚
self:showMovieChat("悟空，休得无礼，让为师来 ，嘿嘿嘿",10,"唐僧",300)
globalManager.soundManager:playSound("5006")
self:sceneObjWalkToPoint(self.monster10,1230,580,function()
self.monster10:updateDir(globalData.allStaticTypes.directType.rightTop)--唐僧转身
self:startAttack(4)--唐僧开打
end)--唐僧跑进镜头
self:wait(400)
elseif(self.step == 8) then
--		self:showPopChat("仙、仙女姐姐，你真美啊~",1,555,300)--八戒发骚
self:showMovieChat("仙、仙女姐姐，你真美啊~",12,"猪八戒",50)
globalManager.soundManager:playSound("5007")
self:sceneObjWalkToPoint(self.monster12,1400,505,function()
self.monster12:updateDir(globalData.allStaticTypes.directType.leftTop)--八戒转身
self:startAttack(6)--八戒开打
end)--八戒跑进镜头
self:wait(190)
elseif(self.step == 9) then
--		self:showPopChat("师傅，二师兄说得对……",1,698,320)--沙僧发骚
self:showMovieChat("师傅，二师兄说得对……",13,"沙和尚")
globalManager.soundManager:playSound("5008")
self:sceneObjWalkToPoint(self.monster13,1155,370,callBack)--沙僧跑进镜头
elseif(self.step == 10) then
self.monster13:updateDir(globalData.allStaticTypes.directType.rightBottom)--沙僧转身
self:startAttack(7)--沙僧开打
self._controller.sceneModule.controllerList.mapController:getSoController():doSort()
self:wait(100)
elseif(self.step == 11) then
--		self:showPopChat("呦，御弟哥哥，怎么跑来耍猴戏了？孩儿们都出来",2,500,330)--反一发骚
self:showMovieChat("呦，御弟哥哥，怎么跑来耍猴戏了？孩儿们都出来",3,"白骨精",300)
globalManager.soundManager:playSound("5009")
self:wait(300)
elseif(self.step == 12) then
self.monster20 = self:createMonsterCharacter(6,120602,1080,340,globalData.allStaticTypes.directType.rightBottom)--创建龙套1(打沙僧)
self.monster21 = self:createMonsterCharacter(7,120602,960,420,globalData.allStaticTypes.directType.rightBottom)--创建龙套2(打悟空)
self.monster22 = self:createMonsterCharacter(8,120602,1320,650,globalData.allStaticTypes.directType.leftTop)--创建龙套3(打唐僧)
self.monster23 = self:createMonsterCharacter(9,120602,1470,540,globalData.allStaticTypes.directType.leftTop)--创建龙套4(打猪八戒)
globalManager.effectCreator:setEffect(1060, nil, globalManager.ccCreator:newPoint(1080,340),globalManager.containerManager.effectContainer)
globalManager.effectCreator:setEffect(1060, nil, globalManager.ccCreator:newPoint(960,420),globalManager.containerManager.effectContainer)
globalManager.effectCreator:setEffect(1060, nil, globalManager.ccCreator:newPoint(1320,650),globalManager.containerManager.effectContainer)
globalManager.effectCreator:setEffect(1060, nil, globalManager.ccCreator:newPoint(1470,540),globalManager.containerManager.effectContainer)
self:startAttack(8)--龙套1开打
self:startAttack(9)--龙套2开打
self:startAttack(10)--龙套3开打
self:startAttack(11)--龙套4开打
self.monster10:updateDir(globalData.allStaticTypes.directType.rightBottom)--唐僧转身
self.monster11:updateDir(globalData.allStaticTypes.directType.leftTop)--悟空转身
self.monster12:updateDir(globalData.allStaticTypes.directType.rightBottom)--八戒转身
self.monster13:updateDir(globalData.allStaticTypes.directType.leftTop)--沙僧转身
self._controller.sceneModule.controllerList.mapController:getSoController():doSort()
self:wait(240)
elseif(self.step == 13) then
globalManager.effectCreator:setEffect(1104, nil, globalManager.ccCreator:newPoint(1045,560),globalManager.containerManager.effectContainer)
self:bloodView(-10000,1240,470,true)
self:bloodView(-99999,1320,650,true)
self:bloodView(-99999,1080,340,true)
self:bloodView(-99999,1470,540,true)
self:bloodView(-99999,960,420,true)
self:endAttack(8)--龙套1收手
self:endAttack(9)--龙套2收手
self:endAttack(10)--龙套3收手
self:endAttack(11)--龙套4收手
self:sceneObjDead(self.monster20)--龙套1死亡
self.monster20 = nil
self:sceneObjDead(self.monster21)--龙套2死亡
self.monster21 = nil
self:sceneObjDead(self.monster22)--龙套3死亡
self.monster22 = nil
self:sceneObjDead(self.monster23)--龙套4死亡
self.monster23 = nil
globalManager.effectCreator:setEffect(1105, nil, globalManager.ccCreator:newPoint(1220,340),globalManager.containerManager.effectContainer)
globalManager.effectCreator:setEffect(1105, nil, globalManager.ccCreator:newPoint(1060,380),globalManager.containerManager.effectContainer)
globalManager.effectCreator:setEffect(1105, nil, globalManager.ccCreator:newPoint(1300,540),globalManager.containerManager.effectContainer)
globalManager.effectCreator:setEffect(1105, nil, globalManager.ccCreator:newPoint(1420,420),globalManager.containerManager.effectContainer)
self.monster10:updateDir(globalData.allStaticTypes.directType.rightTop)--唐僧转身
self.monster11:updateDir(globalData.allStaticTypes.directType.rightBottom)--悟空转身
self.monster12:updateDir(globalData.allStaticTypes.directType.leftTop)--八戒转身
self.monster13:updateDir(globalData.allStaticTypes.directType.rightBottom)--沙僧转身
self:wait(150)
elseif(self.step == 14) then
--		self:showPopChat("哈哈，你们以为这就结束了？游戏才刚刚开始呢！",2,500,330)--反一认怂
self:showMovieChat("哈哈，你们以为这就结束了？游戏才刚刚开始呢！",3,"白骨精",300)
globalManager.soundManager:playSound("5010")
self:wait(380)
elseif(self.step == 15) then
globalManager.effectCreator:setEffect(1109, nil, globalManager.ccCreator:newPoint(1240,470),globalManager.containerManager.effectContainer)
self:bloodView(-999999,1045,560)
self:bloodView(-999999,1155,370)
self:bloodView(-999999,1025,440)
self:bloodView(-999999,1230,580)
self:bloodView(-999999,1400,505)
self:endAttack(1)--男主收手
self:endAttack(2)--女主收手
self:endAttack(3)--反一收手
self:endAttack(4)--唐僧收手
self:endAttack(5)--悟空收手
self:endAttack(6)--八戒收手
self:endAttack(7)--沙僧收手
self:wait(80)
elseif(self.step == 16) then
self.monster1.speed = 120 / globalData.speedOffset--反一加速
self:sceneObjWalkToPoint(self.monster1,1840,0,callBack)--反一跑出镜头
else
self._controller:hideNewlyMovie()
end
end
--创建玩家形象并返回
--ID，名字，职业，X，Y，朝向
function NewlyMovieManager:createPlayerCharacter(id,nick,career,posX,posY,dir)
local figure = FigurePlayerInfo:new()
local player = ScenePlayerInfo:new(self._controller.sceneModule,figure,nil)
figure.userId = id
player:setObjId(id)
player:setTotalHp(10000)
player:setCurrentHp(10000)
figure.nick = nick
figure:setCareer(career)
if(career == 1) then
figure.characterInfo:setStyleBin(2,130001)
end
figure.serverId = globalData.selfPlayerInfo.serverId
player.speed = 60 / globalData.speedOffset
player:setScenePos(globalManager.ccCreator:newPoint(posX,posY))
player:updateDir(dir)
self._controller.sceneInfo.scenePlayerList:addPlayer(player)
player.stateInfo:setServerState(2147483649)
return player
end
--创建怪物形象并返回
--ID，模板ID，X，Y，朝向
function NewlyMovieManager:createMonsterCharacter(id,tempId,posX,posY,dir)
local monster = SceneMonsterInfo:new(self._controller.sceneModule)
monster:setObjId(id)
monster.warState = 0
monster:setTemplate(tempId)
monster:setTotalHp(10000)
monster:setCurrentHp(10000)
monster.speed = 60 / globalData.speedOffset
monster:setServerState(2147483649)
monster:setScenePos(globalManager.ccCreator:newPoint(posX,posY))
monster:updateDir(dir)
self._controller.sceneInfo.sceneMonsterList:addMonster(monster)
return monster
end
--显示聊天气泡
--内容，朝向，X，Y
function NewlyMovieManager:showPopChat(content,type,posX,posY)
posX = (globalData.GAME_WIDTH - 960) * 0.5 + posX
posY = (globalData.GAME_HEIGHT - 640) * 0.5 + posY
self.talkBg:setPosition(globalManager.ccCreator:newPoint(posX,posY))
if(type == 1)then
self.talkBg:setScaleX(1)
self.talkBg:setScaleY(-1)
self.contentLabel:setAnchorPoint(globalManager.ccCreator:newPoint(0, 0.5))
self.contentLabel:setPosition(posX,posY - 45)
elseif(type == 2)then
self.talkBg:setScale(-1)
self.contentLabel:setAnchorPoint(globalManager.ccCreator:newPoint(1, 0.5))
self.contentLabel:setPosition(posX,posY - 45)
elseif(type == 3)then
self.talkBg:setScale(1)
self.contentLabel:setAnchorPoint(globalManager.ccCreator:newPoint(0, 0.5))
self.contentLabel:setPosition(posX,posY + 45)
elseif(type == 4)then
self.talkBg:setScaleX(-1)
self.talkBg:setScaleY(1)
self.contentLabel:setAnchorPoint(globalManager.ccCreator:newPoint(1, 0.5))
self.contentLabel:setPosition(posX,posY + 45)
end
self.contentLabel:setText(content)
local bgWidth = self.contentLabel:getContentSize().width + 40
self.talkBg:setSize(globalManager.ccCreator:newSize(bgWidth,72))
self.talkBg:setAnchorPoint(globalManager.ccCreator:newPoint(20 / bgWidth, 0))
self.talkTickCount = 0
self.talkBg:setVisible(true)
self.contentLabel:setVisible(true)
globalManager.tickManager:addTick(self.talkTick,self)
end
--显示大头像聊天
--内容，图片路径，名字
function NewlyMovieManager:showMovieChat(content,id,name,tickCount)
if(self.npcHeadPath ~= nil)then
globalManager.sourceCacheManager:removeQuote(self.npcHeadPath)
end
self.npcHeadPath = globalManager.pathManager:getNpcHead(id)
self.nameLabel:setText(name)
globalManager.sourceCacheManager:setImage(self.npcImage,self.npcHeadPath,globalData.allStaticTypes.sourceStaticType.clearOneM)
self.propController:pStart()
self.dialogLabel:setText(content)
self.isMask = 1
self.maskTickCount = 1
self.passMaskTickCount = tickCount or 0
for i = 1,3,1 do
self.maskList[i]:setScaleX(1)
end
globalManager.tickManager:addTick(self.maskTick,self)
end
--等待
--帧数
function NewlyMovieManager:wait(count)
self.waitTickTime = count
self.waitTickCount = 0
globalManager.tickManager:addTick(self.waitTick,self)
end
--控制形象走到某点
--角色，目标X，目标Y，回调
function NewlyMovieManager:sceneObjWalkToPoint(sceneObjInfo,toX,toY,callBack)
if(sceneObjInfo == nil) then return end
sceneObjInfo:setPath({globalManager.ccCreator:newPoint(toX,toY)},callBack,0)
end
--控制形象死亡
function NewlyMovieManager:sceneObjDead(sceneObjInfo)
local id = sceneObjInfo:getObjId()
self._controller.sceneInfo.sceneMonsterList:removeMonster(id)
end
--控制形象开始攻击
function NewlyMovieManager:startAttack(index)
self.attackFlag[index] = true
end
--控制形象停止攻击
function NewlyMovieManager:endAttack(index)
self.attackFlag[index] = false
end
--掉血
--数字，X，Y
function NewlyMovieManager:bloodView(num,x,y,isred)
local blood = SceneBloodView:new()
if(isred == true) then
blood:setData(num,6,3)
else
blood:setData(num,6,0)
end
blood:move(x,y - 80)
blood:play()
globalManager.containerManager.effectContainer:addChild(blood)
end
function NewlyMovieManager:createMask()
self.container = globalManager.ccCreator:newImageView("board/ui_board5.png",1)
self.container:setScale9Enabled(true)
self.container:setCapInsets(cc.rect(5,4,1,1))
self.container:setOpacity(0)
self.container:setSize(globalManager.ccCreator:newSize(globalData.GAME_WIDTH,globalData.GAME_HEIGHT))
self.container:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[7])
self.container:setTouchEnabled(true)
self.bgBottom = globalManager.ccCreator:newImageView("board/ui_board19.png",1)
self.bgBottom:setColor(globalData.allStaticTypes.colorType.COLORBLACK)
self.bgBottom:setScale9Enabled(true)
self.bgBottom:setCapInsets(cc.rect(4,4,1,1))
self.bgBottom:setSize(globalManager.ccCreator:newSize(globalData.GAME_WIDTH,130))
self.bgBottom:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[7])
self.container:addChild(self.bgBottom)
self.bgTop = globalManager.ccCreator:newImageView("board/ui_board19.png",1)
self.bgTop:setColor(globalData.allStaticTypes.colorType.COLORBLACK)
self.bgTop:setScale9Enabled(true)
self.bgTop:setCapInsets(cc.rect(4,4,1,1))
self.bgTop:setSize(globalManager.ccCreator:newSize(globalData.GAME_WIDTH,74))
self.bgTop:setPosition(0,globalData.GAME_HEIGHT - 74)
self.bgTop:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[7])
self.container:addChild(self.bgTop)
self.jumpBtn = globalManager.ccCreator:newButton()
self.jumpBtn:loadTextureNormal("btn/ui_jumpBtn.png",1)
self.jumpBtn:setPosition(globalManager.ccCreator:newPoint(globalData.GAME_WIDTH - 94,60))
self.container:addChild(self.jumpBtn)
self.talkBg = globalManager.ccCreator:newImageView("board/ui_chat_board.png",1)
self.talkBg:setScale9Enabled(true)
self.talkBg:setCapInsets(cc.rect(36,10,1,1))
self.container:addChild(self.talkBg)
self.talkBg:setVisible(false)
self.contentLabel = globalManager.ccCreator:newLabel()
self.container:addChild(self.contentLabel)
self.contentLabel:setVisible(false)
self.npcImage = globalManager.ccCreator:newImageView()
self.npcImage:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[7])
self.container:addChild(self.npcImage)
self.propController:addInfo(PropInfo:new(self.npcImage,1,0,-250,65,12,0))
self.nameLabel = globalManager.ccCreator:newLabel()
self.nameLabel:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[5])
self.nameLabel:setFontSize(26)
self.nameLabel:setColor(globalData.allStaticTypes.colorType.COLORYELLOW)
self.nameLabel:setPosition(globalManager.ccCreator:newPoint(292,105))
self.container:addChild(self.nameLabel)
self.dialogLabel = globalManager.ccCreator:newLabel()
self.dialogLabel:setFontSize(22)
self.dialogLabel:ignoreContentAdaptWithSize(false)
self.dialogLabel:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[2])
self.dialogLabel:setSize(globalManager.ccCreator:newSize(globalData.GAME_WIDTH - 400,110))
self.dialogLabel:setPosition(globalManager.ccCreator:newPoint(292,80))
self.container:addChild(self.dialogLabel)
self.maskList = {}
for i = 1,3,1 do
local mask = globalManager.ccCreator:newImageView("board/ui_board19.png",1)
mask:setColor(globalData.allStaticTypes.colorType.COLORBLACK)
mask:setScale9Enabled(true)
mask:setCapInsets(cc.rect(4,4,1,1))
mask:setSize(globalManager.ccCreator:newSize(globalData.GAME_WIDTH - 450,30))
mask:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[4])
mask:setPosition(globalManager.ccCreator:newPoint(globalData.GAME_WIDTH - 168,110 - 30 * i))
self.container:addChild(mask)
table.insert(self.maskList,mask)
end
globalManager.containerManager.tipContainer:addChild(self.container)
globalManager.containerManager:updateNpcTalkVisible(false)
end
function NewlyMovieManager:attackTick(delta,count)
self.attackTickCount = self.attackTickCount + 1
if(self.attackTickCount >= 100) then
if(self.attackFlag[1] == true) then--男主
self:playAttack(1,self.player1)
if(self.step > 6 and self.step < 12)then
if(math.random(1,10) < 3)then
globalManager.effectCreator:setEffect(1104, nil, globalManager.ccCreator:newPoint(1045,560),globalManager.containerManager.effectContainer)
self:bloodView(-10000,1240,470)
else
self:bloodView(math.random(4000,5000)*-1,1240,470)
end
else
self:bloodView(math.random(4000,5000)*-1,1240,470)
end
end
if(self.attackFlag[2] == true) then--女主
self:playAttack(1,self.player2)
end
if(self.attackFlag[3] == true) then--反一
self:playAttack(2,self.monster1)
if(self.step >= 10)then
if(math.random(1,10) < 3)then
globalManager.effectCreator:setEffect(1109, nil, globalManager.ccCreator:newPoint(1240,470),globalManager.containerManager.effectContainer)
self:bloodView(-8000,1045,560,true)
self:bloodView(-8000,1155,370,true)
self:bloodView(-8000,1025,440,true)
self:bloodView(-8000,1230,580,true)
self:bloodView(-8000,1400,505,true)
else
self:bloodView(math.random(4500,5500)*-1,1045,560,true)
end
else
self:bloodView(math.random(4500,5500)*-1,1045,560,true)
end
end
if(self.attackFlag[4] == true) then--唐僧
self:playAttack(2,self.monster10)
if(self.step == 12)then
self:bloodView(math.random(4000,5000)*-1,1320,650)
else
if(math.random(1,10) < 3)then
globalManager.effectCreator:setEffect(1196, nil, globalManager.ccCreator:newPoint(1240,470),globalManager.containerManager.effectContainer)
self:bloodView(-10000,1240,470)
else
self:bloodView(math.random(4000,5000)*-1,1240,470)
end
end
end
if(self.attackFlag[5] == true) then--悟空
self:playAttack(2,self.monster11)
if(self.step == 12)then
self:bloodView(math.random(4000,5000)*-1,960,420)
else
if(math.random(1,10) < 3)then
globalManager.effectCreator:setEffect(1006, nil, globalManager.ccCreator:newPoint(1240,470),globalManager.containerManager.effectContainer)
self:bloodView(-10000,1240,470)
else
self:bloodView(math.random(4000,5000)*-1,1240,470)
end
end
end
if(self.attackFlag[6] == true) then--八戒
self:playAttack(2,self.monster12)
if(self.step == 12)then
self:bloodView(math.random(4000,5000)*-1,1470,540)
else
if(math.random(1,10) < 3)then
globalManager.effectCreator:setEffect(1111, nil, globalManager.ccCreator:newPoint(1240,470),globalManager.containerManager.effectContainer)
self:bloodView(-10000,1240,470)
else
self:bloodView(math.random(4000,5000)*-1,1240,470)
end
end
end
if(self.attackFlag[7] == true) then--沙僧
self:playAttack(2,self.monster13)
if(self.step == 12)then
self:bloodView(math.random(4000,5000)*-1,1080,340)
else
if(math.random(1,10) < 3)then
globalManager.effectCreator:setEffect(1197, nil, globalManager.ccCreator:newPoint(1240,470),globalManager.containerManager.effectContainer)
self:bloodView(-10000,1240,470)
else
self:bloodView(math.random(4000,5000)*-1,1240,470)
end
end
end
if(self.attackFlag[8] == true) then--龙套1(打沙僧)
self:playAttack(2,self.monster20)
self:bloodView(math.random(2000,3000)*-1,1155,370,true)
end
if(self.attackFlag[9] == true) then--龙套2(打悟空)
self:playAttack(2,self.monster21)
self:bloodView(math.random(2000,3000)*-1,1025,440,true)
end
if(self.attackFlag[10] == true) then--龙套3(打唐僧)
self:playAttack(2,self.monster22)
self:bloodView(math.random(2000,3000)*-1,1230,580,true)
end
if(self.attackFlag[11] == true) then--龙套4(打猪八戒)
self:playAttack(2,self.monster23)
self:bloodView(math.random(2000,3000)*-1,1400,505,true)
end
self.attackTickCount = 0
end
end
--立即播放攻击动作
--角色类型，角色
function NewlyMovieManager:playAttack(type,attackerInfo)
local attacker = nil
if(type == 1) then
attacker = self._controller.sceneModule.controllerList.playerController:getPlayer(attackerInfo:getObjId())
elseif(type == 2) then
attacker = self._controller.sceneModule.controllerList.monsterController:getMonster(attackerInfo:getObjId())
end
if(attacker ~= nil) then
attacker:playAttack()
end
end
function NewlyMovieManager:talkTick(delta,count)
self.talkTickCount = self.talkTickCount + 1
if(self.talkTickCount > 100) then
self.talkBg:setVisible(false)
self.contentLabel:setVisible(false)
globalManager.tickManager:removeTick(self.talkTick,self)
end
end
function NewlyMovieManager:waitTick(delta,count)
self.waitTickCount = self.waitTickCount + 1
if(self.waitTickCount >= self.waitTickTime) then
globalManager.tickManager:removeTick(self.waitTick,self)
self:nextAction()
end
end
function NewlyMovieManager:maskTick(delta,count)
if(self.isMask <= 3)then
if(self.isMask < 3)then
self.maskTickCount = self.maskTickCount - delta
if(self.maskTickCount <= 0) then
self.maskList[self.isMask]:setScaleX(0)
self.isMask = self.isMask + 1
self.maskTickCount = 1
else
self.maskList[self.isMask]:setScaleX(self.maskTickCount)
end
else
self.passMaskTickCount = self.passMaskTickCount - 1
if(self.passMaskTickCount <= 0)then
self:passMask()
end
end
else
globalManager.tickManager:removeTick(self.maskTick,self)
end
end
function NewlyMovieManager:passMask()
globalManager.tickManager:removeTick(self.maskTick,self)
self.isMask = 0
self.npcImage:setPositionX(-250)
self.nameLabel:setText("")
self.dialogLabel:setText("")
end
function NewlyMovieManager:dispose()
globalManager.containerManager:updateNpcTalkVisible(true)
globalManager.tickManager:removeTick(self.attackTick,self)
globalManager.tickManager:removeTick(self.waitTick,self)
globalManager.tickManager:removeTick(self.talkTick,self)
globalManager.tickManager:removeTick(self.maskTick,self)
self:removeEvent()
if(self.npcHeadPath ~= nil) then
globalManager.sourceCacheManager:removeQuote(self.npcHeadPath)
self.npcHeadPath = nil
end
self._controller.sceneModule.flyTester:doJumpMap(globalData.allTemplates.mapTemplateList.CITY_MAPID,true)
self._controller = nil
if(self.bgBottom ~= nil) then
globalManager.ccCreator:release(self.bgBottom)
self.bgBottom = nil
end
if(self.bgTop ~= nil) then
globalManager.ccCreator:release(self.bgTop)
self.bgTop = nil
end
if(self.jumpBtn ~= nil) then
globalManager.ccCreator:release(self.jumpBtn)
self.jumpBtn = nil
end
if(self.talkBg ~= nil) then
globalManager.ccCreator:release(self.talkBg)
self.talkBg = nil
end
if(self.contentLabel ~= nil) then
globalManager.ccCreator:release(self.contentLabel)
self.contentLabel = nil
end
if(self.nameLabel ~= nil) then
globalManager.ccCreator:release(self.nameLabel)
self.nameLabel = nil
end
if(self.dialogLabel ~= nil) then
globalManager.ccCreator:release(self.dialogLabel)
self.dialogLabel = nil
end
if(self.maskList ~= nil) then
for i = 1,3,1 do
globalManager.ccCreator:release(self.maskList[i])
end
self.maskList = nil
end
if(self.npcImage ~= nil) then
globalManager.ccCreator:release(self.npcImage)
self.npcImage = nil
end
if(self.container ~= nil) then
globalManager.ccCreator:release(self.container)
self.container = nil
end
if(self.propController ~= nil) then
self.propController:dispose()
self.propController = nil
end
self.player1 = nil
self.player2 = nil
self.monster1 = nil
self.monster10 = nil
self.monster11 = nil
self.monster12 = nil
self.monster13 = nil
self.monster20 = nil
self.monster21 = nil
self.monster22 = nil
self.monster23 = nil
self.attackFlag = nil
end
OpenPanel = class("OpenPanel",function(self,controller)
local temp = BasePanel:new()
temp.BasePanelDispose = temp.dispose
temp._controller = controller
temp._widget = globalManager.ccCreator:newJsonWidget("openPanel")
temp:addChild(temp._widget)
--1.首充(特殊)2.充值3.消费4.妖精冲阶5.坐骑冲阶6.羽翼冲阶7.仙灵冲阶8.足迹冲阶
--9.坐骑冲榜10.足迹冲榜11.羽翼冲榜12.妖精冲榜13.仙灵冲榜14.全民送礼15.折扣
--16.兑换17.团购19.返还(特殊)21.法阵冲阶22.龙魂冲阶23.法阵冲榜24.龙魂冲榜,25.特卖场26.微会活动27.成长计划28.全民寻宝
temp.btnList = nil
temp.panelList = {}
temp._listPanel = temp._widget:getChildByName("btn_list")
temp._listPanel:setItemsMargin(10)
temp._rechargeBtn = temp._widget:getChildByName("rechargeBtn_Copy0")
temp._rechargeBtn:setEnabled(false)
temp._titleImg = temp._widget:getChildByName("title_image")
temp._countDown = temp._widget:getChildByName("countDownLabel")
temp._panelLayer = temp._widget:getChildByName("panel_layer")
temp._timeLabel = temp._widget:getChildByName("timeLabel")
temp._rankLabel = temp._widget:getChildByName("rankLabel")
temp._rankLabel:setVisible(false)
temp._rank_Btn = temp._widget:getChildByName("rank_Btn")
temp._rank_Btn:setEnabled(false)
temp._xian = temp._widget:getChildByName("xian")
temp._xian:setVisible(false)
temp._currentIndex = 0
temp._path = nil
temp._chgTypeList = nil
temp._widget:getChildByName("countDownLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("OpenPanel.text24"))
temp._widget:getChildByName("rankLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("OpenPanel.text25"))
--temp.subviewBg1 = temp._widget:getChildByName("subviewBg1")
--temp.subviewPath = globalManager.pathManager:getUISource("outPic/ui_newRankBg.png")
--temp.subviewBg1:setOpacity(255)
--temp.subviewBg1:setVisible(false)
return temp
end)
function OpenPanel:ctor()
self:initEvent()
self:initData()
self:openIconTipUpdate()
end
function OpenPanel:initData()
--globalManager.sourceCacheManager:setImage(self.subviewBg1,self.subviewPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
local btnClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
self:setIndex(globalManager.commonUtils:getIndexOfTable(self.btnList,sender))
end
end
if(globalData.allTemplates.openTemplateList.typeList == nil or #globalData.allTemplates.openTemplateList.typeList == 0) then
return
end
self.btnList = {}
self._chgTypeList = {}
local btn = nil
for __,type in pairs(globalData.allTemplates.openTemplateList.typeList) do
if(type ~= 31 and type ~= 32 and type ~= 33 and type ~= 34 and type ~= 35 and type ~= 36 and type ~= 37)then
table.insert(self._chgTypeList, type)
local tabName = globalData.openInfo:getInfoByShowType(type)[1].tabName
btn = UIPanelTabButton:new(tabName)
if(type == 15 or type == 25) then
btn:setShowGift(true)
elseif(type == 28)then -- 寻宝轮盘
btn:setTipImg(true,"flag/ui_xunbao.png",globalManager.ccCreator:newPoint(-47,2))
end
self._listPanel:pushBackCustomItem(btn)
btn:addTouchEventListener(btnClickHandler)
table.insert(self.btnList,btn)
end
end
if(globalData.consumenGiftInfo.xunBaoIsShow == false)then
local index = globalManager.commonUtils:getIndexOfTable(self._chgTypeList,28)
if(index ~= -1)then
table.remove(self._chgTypeList,index)
self._listPanel:removeItem(index - 1)
self.btnList[index]:dispose()
table.remove(self.btnList,index)
end
end
if(globalData.consumenGiftInfo.filmTetickIsShow == false)then
local index2 = globalManager.commonUtils:getIndexOfTable(self._chgTypeList,39)
if(index2 ~= -1)then
table.remove(self._chgTypeList,index2)
self._listPanel:removeItem(index2 - 1)
self.btnList[index2]:dispose()
table.remove(self.btnList,index2)
end
end
if(globalData.consumenGiftInfo.vipBossIsShow == false and globalData.consumenGiftInfo.arenaIsShow == false and globalData.consumenGiftInfo.exchangeExpIsShow == false)then
local index = globalManager.commonUtils:getIndexOfTable(self._chgTypeList,40)
if(index ~= -1)then
table.remove(self._chgTypeList,index)
self._listPanel:removeItem(index - 1)
self.btnList[index]:dispose()
table.remove(self.btnList,index)
end
end
if(globalData.consumenGiftInfo.springActivityIsShow == false)then
local index = globalManager.commonUtils:getIndexOfTable(self._chgTypeList,41)
if(index ~= -1)then
table.remove(self._chgTypeList,index)
self._listPanel:removeItem(index - 1)
self.btnList[index]:dispose()
table.remove(self.btnList,index)
end
end
if(globalData.consumenGiftInfo.redBagIsShow == false)then
local index = globalManager.commonUtils:getIndexOfTable(self._chgTypeList,42)
if(index ~= -1)then
table.remove(self._chgTypeList,index)
self._listPanel:removeItem(index - 1)
self.btnList[index]:dispose()
table.remove(self.btnList,index)
end
end
if(globalData.consumenGiftInfo.jiFuIsShow == false)then
local index = globalManager.commonUtils:getIndexOfTable(self._chgTypeList,45)
if(index ~= -1)then
table.remove(self._chgTypeList,index)
self._listPanel:removeItem(index - 1)
self.btnList[index]:dispose()
table.remove(self.btnList,index)
end
end
if(globalData.consumenGiftInfo.yuanXiaoDaTiIsShow == false)then
local index = globalManager.commonUtils:getIndexOfTable(self._chgTypeList,44)
if(index ~= -1)then
table.remove(self._chgTypeList,index)
self._listPanel:removeItem(index - 1)
self.btnList[index]:dispose()
table.remove(self.btnList,index)
end
end
self:setIndex(1)
end
function OpenPanel:initEvent()
local clickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(globalData.isPay ~= 1) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel13"))
return
end
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.payTab,globalData.allStaticTypes.panelTabType.pay)
end
end
local rankClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
local infoList = globalData.openInfo:getInfoByShowType(self._chgTypeList[self._currentIndex])
if(#infoList == 0) then return end
local type = infoList[1].type
local rankList = globalData.openInfo.rankInfoList[type]
if(rankList == nil or #rankList == 0) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("OpenPanel.text27"))
return
end
local top10View = TopTenView:new(rankList,type)
end
end
self._rechargeBtn:addTouchEventListener(clickHandler)
self._rank_Btn:addTouchEventListener(rankClickHandler)
globalData.openInfo:addEventListener(globalData.globalEventType.playerInfo_openInfo,self.openInfoUpdateHandler,self)
globalData.openInfo:addEventListener(globalData.globalEventType.playerInfo_openTemplate,self.openTempUpdateHandler,self)
globalData.goodsInfoList:addEventListener(globalData.globalEventType.playerInfo_itemUpdate,self.goodsUpdateHandler,self)
globalManager.openInfoTester:addEventListener(globalData.globalEventType.quickIcon_open,self.openIconTipUpdate,self)
globalData.consumenGiftInfo:addEventListener(globalData.globalEventType.filmTetick_showUpdate,self.isOpenShowHandler,self)
globalData.consumenGiftInfo:addEventListener(globalData.globalEventType.xunbao_showUpdate,self.isOpenShowHandler,self)
globalData.consumenGiftInfo:addEventListener(globalData.globalEventType.vipBoss_showUpdate,self.isOpenShowHandler,self)
globalData.consumenGiftInfo:addEventListener(globalData.globalEventType.arena_showUpdate,self.isOpenShowHandler,self)
globalData.consumenGiftInfo:addEventListener(globalData.globalEventType.exchangeExp_showUpdate,self.isOpenShowHandler,self)
globalData.consumenGiftInfo:addEventListener(globalData.globalEventType.isShow_jiFuUpdate,self.isOpenShowHandler,self)
end
function OpenPanel:removeEvent()
globalData.openInfo:removeEventListener(globalData.globalEventType.playerInfo_openInfo,self.openInfoUpdateHandler,self)
globalData.openInfo:removeEventListener(globalData.globalEventType.playerInfo_openTemplate,self.openTempUpdateHandler,self)
globalData.goodsInfoList:removeEventListener(globalData.globalEventType.playerInfo_itemUpdate,self.goodsUpdateHandler,self)
globalManager.openInfoTester:removeEventListener(globalData.globalEventType.quickIcon_open,self.openIconTipUpdate,self)
globalData.consumenGiftInfo:removeEventListener(globalData.globalEventType.filmTetick_showUpdate,self.isOpenShowHandler,self)
globalData.consumenGiftInfo:removeEventListener(globalData.globalEventType.xunbao_showUpdate,self.isOpenShowHandler,self)
globalData.consumenGiftInfo:removeEventListener(globalData.globalEventType.vipBoss_showUpdate,self.isOpenShowHandler,self)
globalData.consumenGiftInfo:removeEventListener(globalData.globalEventType.arena_showUpdate,self.isOpenShowHandler,self)
globalData.consumenGiftInfo:removeEventListener(globalData.globalEventType.exchangeExp_showUpdate,self.isOpenShowHandler,self)
globalData.consumenGiftInfo:removeEventListener(globalData.globalEventType.isShow_jiFuUpdate,self.isOpenShowHandler,self)
end
function OpenPanel:goodsUpdateHandler(evt)
local index = globalManager.commonUtils:getIndexOfTable(self._chgTypeList,16)
if(index ~= -1 and self.panelList[index] ~= nil) then
self.panelList[index]:updateView()
end
end
function OpenPanel:jumpToTab(showType)
local index = globalManager.commonUtils:getIndexOfTable(self._chgTypeList,showType)
if(index == -1)then
self:setIndex(1)
else
self:setIndex(index)
end
end
function OpenPanel:isOpenShowHandler()
if(globalData.consumenGiftInfo.xunBaoIsShow == false or globalData.consumenGiftInfo.filmTetickIsShow == false or globalData.consumenGiftInfo.jiFuIsShow == false)then
globalData.uiPanelContainer:close()
end
end
function OpenPanel:openInfoUpdateHandler(evt)
if(evt.data == nil) then return	end
local info = globalData.openInfo:getTempInfoById(evt.data)
if(info == nil) then return end
local index = globalManager.commonUtils:getIndexOfTable(self._chgTypeList,info.showType)
if(index == -1) then return end
local panel = self.panelList[index]
if(panel ~= nil) then
panel:updateItem(info)
end
end
function OpenPanel:openTempUpdateHandler(evt)
globalData.uiPanelContainer:close()
end
function OpenPanel:openIconTipUpdate(evt)
for i,type in pairs(self._chgTypeList) do
if(globalManager.openInfoTester.typeResult[type] ~= nil) then
if(globalManager.openInfoTester.typeResult[type] > 0) then
self.btnList[i]:setShowPop(true)
else
self.btnList[i]:setShowPop(false)
end
end
end
end
function OpenPanel:setIndex(index)
if(self._currentIndex == index) then return end
if(self._currentIndex ~= 0) then
self.btnList[self._currentIndex]:setSelected(false)
self.panelList[self._currentIndex]:removeFromParent(false)
end
self._currentIndex = index
local curType = self._chgTypeList[self._currentIndex]
self.btnList[self._currentIndex]:setSelected(true)
if(self.panelList[self._currentIndex] == nil) then
self.panelList[self._currentIndex] = self:getPanel(curType)
if(curType == 28)then
self.panelList[self._currentIndex]:setPosition(-6,-4)
end
end
self._panelLayer:addChild(self.panelList[self._currentIndex])
if(curType == 28 or curType >= 30 or curType <= 44 or curType == 4 or curType == 5 or curType == 6 or curType == 7 or curType == 8 or curType == 21 or curType == 22)then
self._panelLayer:setPosition(188,22)
else
self.panelList[self._currentIndex]:setScroll()
end
if((curType >= 51 and curType <= 57) or curType == 4 or curType == 5 or curType == 6 or curType == 7 or curType == 8 or curType == 21 or curType == 22) then
self:setTitleImg(globalManager.pathManager:getUISource("outPic/open31_title.png"))
elseif(curType == 38 or curType == 39)then
self:setTitleImg(globalManager.pathManager:getUISource("outPic/open38_title.png"))
else
self:setTitleImg(globalManager.pathManager:getUISource("outPic/open"..curType.."_title.png"))
end
-- if(curType == 9 or curType == 10 or curType == 11 or curType == 12 or curType == 13 or curType == 23 or curType == 24) then
-- 	self.subviewBg1:setVisible(true)
-- else
-- 	self.subviewBg1:setVisible(false)
-- end
if(curType == 15 or curType == 25) then
self._rechargeBtn:setEnabled(true)
else
self._rechargeBtn:setEnabled(false)
end
if(curType == 28)then
local remainTime = globalData.consumenGiftInfo.xunBaoEndTime - math.floor(globalData.systemDateInfo:getSystemTime() / 1000)
self._timeLabel:setText(globalData.systemDateInfo:secondsToDateString4(remainTime,false))
elseif(curType == 38 or curType == 39)then
local remainTime = globalData.consumenGiftInfo.filmTetickTime - math.floor(globalData.systemDateInfo:getSystemTime() / 1000)
self._timeLabel:setText(globalData.systemDateInfo:secondsToDateString4(remainTime,false))
elseif(curType == 40)then
local remainTime = globalData.consumenGiftInfo.vipBossEndTime - math.floor(globalData.systemDateInfo:getSystemTime() / 1000)
self._timeLabel:setText(globalData.systemDateInfo:secondsToDateString4(remainTime,false))
elseif(curType == 41)then
local remainTime = globalData.consumenGiftInfo.springActivityEndTime - math.floor(globalData.systemDateInfo:getSystemTime() / 1000)
self._timeLabel:setText(globalData.systemDateInfo:secondsToDateString4(remainTime,false))
elseif(curType == 42)then
local remainTime = globalData.consumenGiftInfo.redBagEndTime - math.floor(globalData.systemDateInfo:getSystemTime() / 1000)
self._timeLabel:setText(globalData.systemDateInfo:secondsToDateString4(remainTime,false))
elseif(curType == 45)then
local remainTime = globalData.consumenGiftInfo.jiFuEndTime - math.floor(globalData.systemDateInfo:getSystemTime() / 1000)
self._timeLabel:setText(globalData.systemDateInfo:secondsToDateString4(remainTime,false))
elseif(curType == 44)then
local remainTime = globalData.consumenGiftInfo.yuanXiaoDaTiEndTime - math.floor(globalData.systemDateInfo:getSystemTime() / 1000)
self._timeLabel:setText(globalData.systemDateInfo:secondsToDateString4(remainTime,false))
else
local infoList = globalData.openInfo:getInfoByShowType(curType)
local systemTime = math.floor(globalData.systemDateInfo:getSystemTime() / 1000)
local acvitionEndTime = infoList[1].finishData
local remainTime1 = acvitionEndTime - systemTime
local day = infoList[1].finish
local seconds = globalData.systemDateInfo:getOpenDay(day)
local remainTime2 = seconds - systemTime
if(remainTime1 > 0 and remainTime2 > 0) then
if(day == 9999) then
self._timeLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("TitleViewII.text11"))
else
self._timeLabel:setText(globalData.systemDateInfo:secondsToDateString4(math.min(remainTime1,remainTime2),false))
end
else
self._timeLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("OpenPanel.text29"))
end
end
if(curType == 15 or curType == 25 or curType >= 31 or curType <= 37) then
local remainTime = 24*3600 - globalData.systemDateInfo:getZeroPassTime()
self._timeLabel:setText(globalData.systemDateInfo:secondsToDateString4(remainTime,false))
end
end
function OpenPanel:setTitleImg(path)
if(self._path == path) then return end
if(self._path ~= nil) then
globalManager.sourceCacheManager:removeQuote(self._path)
end
self._path = path
globalManager.sourceCacheManager:setImage(self._titleImg,self._path,globalData.allStaticTypes.sourceStaticType.clearFiveM)
end
function OpenPanel:getPanel(type)
if(type == 2) then--充值
return OpenView1:new(type)
elseif(type == 3) then--消费
return OpenView5:new(type)
elseif(type == 4 or type == 5 or type == 6 or type == 7 or type == 8 or type == 21 or type == 22) then--冲阶
return OpenView13:new(type)
elseif(type == 9 or type == 10 or type == 11 or type == 12 or type == 13 or type == 23 or type == 24) then--冲榜
return OpenView6:new(type)
elseif(type == 14) then--全民送礼
return OpenView8:new(type,self._controller)
elseif(type == 15) then--折扣
return OpenView4:new()
elseif(type == 16) then--兑换
return OpenView7:new(type)
elseif(type == 17) then--团购
return OpenView9:new(type)
elseif(type == 25)then --特卖场
return OpenView10:new(type)
elseif(type == 26)then --男神女神
return OpenView11:new(type)
elseif(type == 27)then --成长计划
return OpenView12:new(type)
elseif(type == 28)then --全民寻宝
return CombinedActive2:new(type)
elseif(type == 30)then --公测礼包
return OpenView14:new(type)
elseif(type == 51 or type == 52 or type == 53 or type == 54 or type == 55 or type == 56 or type == 57)then --冲阶
return OpenView15:new(type)
elseif(type == 38)then --冲榜送票
return OpenView16:new(type)
elseif(type == 39)then --累充送票
return OpenView17:new(type)
elseif(type == 40)then --双倍活动
return OpenView14:new(type)
elseif(type == 41)then --金猴送礼
return OpenView18:new(type)
elseif(type == 42)then --全民红包
return OpenView19:new(type)
elseif(type == 45)then --集福
return OpenView21:new(self._controller)
elseif(type == 44)then --元宵答题
return OpenView20:new(type)
end
end
function OpenPanel:dispose()
self:removeEvent()
if(self._path ~= nil) then
globalManager.sourceCacheManager:removeQuote(self._path)
self._path = nil
end
-- if(self.subviewPath ~= nil) then
-- 	globalManager.sourceCacheManager:removeQuote(self.subviewPath)
-- 	self.subviewPath = nil
-- end
--self.subviewBg1 = nil
self._controller = nil
self._rechargeBtn = nil
self.nameList = nil
if(self.btnList ~= nil) then
for __,btn in pairs(self.btnList) do
btn:dispose()
end
self.btnList = nil
end
if(self.panelList ~= nil) then
for __,panel in pairs(self.panelList) do
if(panel ~= nil) then
panel:dispose()
end
end
self.panelList = nil
end
self._listPanel:removeAllItems()
self._listPanel = nil
self._titleImg = nil
self._panelLayer = nil
self._rankLabel = nil
self._rank_Btn = nil
self._timeLabel = nil
self._countDown = nil
self._xian = nil
self._chgTypeList = nil
globalManager.ccCreator:release(self._widget)
self._widget = nil
self:BasePanelDispose()
self.BasePanelDispose = nil
end
OperateActivePanel = class("OperateActivePanel",function(self,controller)
local temp = BasePanel:new()
temp.BasePanelDispose = temp.dispose
temp._controller = controller
temp._widget = globalManager.ccCreator:newJsonWidget("openPanel")
temp:addChild(temp._widget)
temp.nameList = {}
temp.btnList = nil
--temp.btnList1 = nil
temp.panelList = {}
temp.nameList = {
globalManager.yuyanbaoManager:getYuyanbao("OperateActivePanel.text1"),
globalManager.yuyanbaoManager:getYuyanbao("OperateActivePanel.text2"),
globalManager.yuyanbaoManager:getYuyanbao("OperateActivePanel.text3"),
globalManager.yuyanbaoManager:getYuyanbao("OperateActivePanel.text4"),
globalManager.yuyanbaoManager:getYuyanbao("OperateActivePanel.text5"),
globalManager.yuyanbaoManager:getYuyanbao("OperateActivePanel.text6"),
globalManager.yuyanbaoManager:getYuyanbao("PanelTabGroupType.text37"),
globalManager.yuyanbaoManager:getYuyanbao("PanelTabGroupType.text38"),
globalManager.yuyanbaoManager:getYuyanbao("OperateActivePanel.text7"),
globalManager.yuyanbaoManager:getYuyanbao("OperateActivePanel.text8"),
globalManager.yuyanbaoManager:getYuyanbao("PanelTabGroupType.text29"),
globalManager.yuyanbaoManager:getYuyanbao("OperateActivePanel.text9"),
globalManager.yuyanbaoManager:getYuyanbao("OperateActivePanel.text10"),
globalManager.yuyanbaoManager:getYuyanbao("OperateActivePanel.text11"),
globalManager.yuyanbaoManager:getYuyanbao("OperateActivePanel.text12"),
globalManager.yuyanbaoManager:getYuyanbao("OperateActivePanel.text13"),
globalManager.yuyanbaoManager:getYuyanbao("OperateActivePanel.text14"),
globalManager.yuyanbaoManager:getYuyanbao("OperateActivePanel.text3"),
globalManager.yuyanbaoManager:getYuyanbao("OperateActivePanel.text4"),
globalManager.yuyanbaoManager:getYuyanbao("OperateActivePanel.text5"),
globalManager.yuyanbaoManager:getYuyanbao("OperateActivePanel.text6"),
globalManager.yuyanbaoManager:getYuyanbao("PanelTabGroupType.text37"),
globalManager.yuyanbaoManager:getYuyanbao("PanelTabGroupType.text38"),
globalManager.yuyanbaoManager:getYuyanbao("OperateActivePanel.text7")
-- "欢度万圣",
-- "充值有礼",
-- "快乐淘金",
-- "全服双倍",
-- "限时首充",
-- "有钱任性",
-- "财运亨通",
-- "消费赠礼",
-- "跨服鲜花",
-- "万圣礼盒",
-- "万圣狂欢",
-- "甜蜜礼包",
-- "学富五车",
-- "我爱月饼",
-- "狂欢礼盒",
-- "中秋有礼",
-- "小鬼献礼",
-- "快乐淘金",
-- "全服双倍",
-- "限时首充",
-- "有钱任性",
-- "财运亨通",
-- "消费赠礼",
-- "跨服鲜花"
}
temp._listPanel = temp._widget:getChildByName("btn_list")
temp._listPanel:setItemsMargin(10)
temp._titleImg = temp._widget:getChildByName("title_image")
temp._panelLayer = temp._widget:getChildByName("panel_layer")
temp._timeLabel = temp._widget:getChildByName("timeLabel")
temp._timeLabel:setPositionX(655)
temp._rechargeBtn = temp._widget:getChildByName("rechargeBtn_Copy0")
temp._rechargeBtn:setEnabled(false)
temp._rankLabel = temp._widget:getChildByName("rankLabel")
temp._rankLabel:setVisible(false)
temp._rank_Btn = temp._widget:getChildByName("rank_Btn")
temp._rank_Btn:setEnabled(false)
temp._xian = temp._widget:getChildByName("xian")
temp._xian:setVisible(false)
temp._currentIndex = 0
temp._path = nil
temp.typeLise = nil
temp._contentBtn = globalManager.ccCreator:newImageView("icon/ui_boxImgIcon2.png",1)
temp._contentBtn:setTouchEnabled(true)
temp._contentBtn:setVisible(false)
temp._contentBtn:setPosition(temp._contentBtn:getPositionX() + 900,temp._contentBtn:getPositionY() + 400)
temp._widget:addChild(temp._contentBtn)
temp._widget:getChildByName("countDownLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("FlowerRankPanel.text11"))
temp._widget:getChildByName("rankLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("CombinedActivePanel.text7"))
return temp
end)
function OperateActivePanel:ctor()
if globalData.allTemplates.operateActiveTemplateList:isCanShow() == false then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.checkOperate,globalManager.gameDispatcher))
return
end
self:initData()
self:initEvent()
self:checkOperateActivePop()
end
function OperateActivePanel:initEvent()
-- body
local function content(sender,eventType)
-- body
if(eventType == TOUCH_EVENT_ENDED)then
for k,v in pairs(self.typeLise) do
if v == 1 then
globalManager.tipsManager:showString(self.list[k].conditionList)
end
end
end
end
self._contentBtn:addTouchEventListener(content)
globalData.goodsInfoList:addEventListener(globalData.globalEventType.playerInfo_itemUpdate,self.goodsUpdateHandler,self)
end
function OperateActivePanel:removeEvent()
globalData.goodsInfoList:removeEventListener(globalData.globalEventType.playerInfo_itemUpdate,self.goodsUpdateHandler,self)
end
function OperateActivePanel:goodsUpdateHandler(evt)
if self.typeLise[self._currentIndex] == 1 then
self.panelList[self._currentIndex]:updateView()
end
self:checkOperateActivePop()
end
function OperateActivePanel:initData()
self.btnList = {}
self.typeLise = {}
self.forever = {}
self.ended = {}
self.isActive = {}
local btn = nil
self.list = globalData.allTemplates.operateActiveTemplateList.list
for __,infor in pairs(self.list) do
local num = self:checkActIsEnd(infor.type)
if num == 0 then
self.ended[#self.ended + 1] = infor
else
self.isActive[#self.isActive + 1] = infor
end
end
local btnClickHandler = function(sender,eventType)
self:setIndex(globalManager.commonUtils:getIndexOfTable(self.btnList,sender))
end
local function creatBtn(table1)
for i = 1, #table1 do
btn = UIPanelTabButton:new(self.nameList[table1[i].type])
self._listPanel:pushBackCustomItem(btn)
btn:addTouchEventListener(btnClickHandler)
table.insert(self.btnList,btn)
self.typeLise[#self.typeLise + 1] = table1[i].type
end
end
creatBtn(self.isActive)
self:setTitleImg(globalManager.pathManager:getUISource("outPic/operate_Active.png"))
self:setIndex(1)
end
function OperateActivePanel:checkOperateActivePop()
--检测公测活动兑换
local operateActiveList = globalData.allTemplates.exchangeTemplateList:getOperateActiveLise(1)
local  flag = false
for index,info in pairs(operateActiveList) do
local goods1 = globalData.goodsInfoList:getGoodsCount(info.materialIds[1].goodsTemplateId,1)
local goods2 = globalData.goodsInfoList:getGoodsCount(info.materialIds[2].goodsTemplateId,1)
if info.materialIds[2].goodsTemplateId == globalData.allStaticTypes.categoryType.copperItem then
goods2 = globalData.selfPlayerInfo.moneyInfo.copper
end
if(goods1 >= info.materialIds[1].count and goods2 >= info.materialIds[2].count) then
flag = true
end
end
if flag == true then
for k,v in pairs(self.typeLise) do
if v == 1 then
self.btnList[k]:setShowPop(true)
end
end
else
for k,v in pairs(self.typeLise) do
if v == 1 then
self.btnList[k]:setShowPop(false)
end
end
end
end
function OperateActivePanel:setIndex(index, typeId)
if(self._currentIndex == index) then return end
if(self._currentIndex ~= 0) then
self.btnList[self._currentIndex]:setSelected(false)
self.panelList[self._currentIndex]:removeFromParent(false)
end
self._currentIndex = index
local curType = self.typeLise[self._currentIndex]
---------------外部调用时，当第二个参数（配置表中活动对应的ID）存在，以第二个参数为准-----------------
if typeId ~= nil then
for k, v in pairs(self.typeLise) do
if v == typeId then
self._currentIndex = k
end
end
curType = typeId
end
----------------------------------------------------------------------------------------------------------
self.btnList[self._currentIndex]:setSelected(true)
if curType ~= 1 then
self._contentBtn:setVisible(false)
else
self._contentBtn:setVisible(true)
end
if(self.panelList[self._currentIndex] == nil) then
if curType ~= 1 then
self._contentBtn:setVisible(false)
self.panelList[self._currentIndex] = BaseOperateActiveView:new(curType)
else
self._contentBtn:setVisible(true)
self.panelList[self._currentIndex] = OpenView7:new(curType, 2)
end
end
self._panelLayer:addChild(self.panelList[self._currentIndex])
local num = self:checkActIsEnd(curType)
if num == 99 then
self._timeLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("TitleViewII.text11"))
else
self._timeLabel:setText(num)
end
end
function OperateActivePanel:checkActIsEnd(curType)
-- body
local infoList = self:getInfoByType(curType)
local systemTime = math.floor(globalData.systemDateInfo:getSystemTime() / 1000)
local acvitionEndTime = infoList[1].finishData
local acvitionStartTime = infoList[1].beginData
local remainTime1 = acvitionEndTime - systemTime
local seconds = globalData.systemDateInfo:getOpenDay(infoList[1].finish)
local Startseconds = globalData.systemDateInfo:getOpenDay(infoList[1].begin)
local remainTime2 = seconds - systemTime
if(remainTime1 > 0 and remainTime2 > 0) and (acvitionStartTime <= systemTime) and (Startseconds <= systemTime) then
if(infoList[1].finish == 9999) then
return 99
else
return globalData.systemDateInfo:secondsToDateString4(math.min(remainTime1,remainTime2),false)
end
else
return 0
end
end
function OperateActivePanel:getInfoByType(type)
local data = {}
for __,info in pairs(globalData.allTemplates.operateActiveTemplateList.list) do
if (info.type == type) then
table.insert(data,info)
end
end
return data
end
function OperateActivePanel:setTitleImg(path)
if(self._path == path) then return end
if(self._path ~= nil) then
globalManager.sourceCacheManager:removeQuote(self._path)
end
self._path = path
globalManager.sourceCacheManager:setImage(self._titleImg,self._path,globalData.allStaticTypes.sourceStaticType.clearFiveM)
end
function OperateActivePanel:dispose()
self:removeEvent()
if(self._path ~= nil) then
globalManager.sourceCacheManager:removeQuote(self._path)
self._path = nil
end
self._controller = nil
self.nameList = nil
if(self.btnList ~= nil) then
for __,btn in pairs(self.btnList) do
btn:dispose()
end
self.btnList = nil
end
if(self.panelList ~= nil) then
for __,panel in pairs(self.panelList) do
if(panel ~= nil) then
panel:dispose()
end
end
self.panelList = nil
end
self._listPanel:removeAllItems()
self._listPanel = nil
self._titleImg = nil
self._panelLayer = nil
self._timeLabel = nil
self._rechargeBtn = nil
self._rankLabel = nil
self._rank_Btn = nil
self._xian = nil
self.typeLise = nil
globalManager.ccCreator:release(self._contentBtn)
self._contentBtn = nil
globalManager.ccCreator:release(self._widget)
self._widget = nil
self:BasePanelDispose()
self.BasePanelDispose = nil
end
BaseOperateActiveView = class("BaseOperateActiveView",function(self, type)
local temp = globalManager.ccCreator:newJsonWidget("operateActiveView")
temp.info = {}
temp.type = type
temp.titleLab = temp:getChildByName("titleLab")
temp._scrollView = temp:getChildByName("ScrollView")
temp._infoLabel = globalManager.ccCreator:newRichLabel2(nil,650)
temp.jumpButton = temp:getChildByName("Button_804689")
temp:getChildByName("Label_804688"):setText(globalManager.yuyanbaoManager:getYuyanbao("BaseOperateActiveView.text1"))
temp.jumpButton:getChildByName("LabelBMFont_756434_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("BaseOperateActiveView.text2"))
temp.awardList = {}
for i = 1,4 do
temp.awardList[i] = temp:getChildByName("award"..i)
end
temp.gridList  = {}
return temp
end)
function BaseOperateActiveView:ctor()
self:initEvent()
self.info = self:getInfoByType(self.type)
self:initView()
end
function BaseOperateActiveView:getInfoByType(type)
local data = {}
for __,info in pairs(globalData.allTemplates.operateActiveTemplateList.list) do
if (info.type == type) then
table.insert(data,info)
end
end
return data
end
function BaseOperateActiveView:initEvent()
local function jumpButtonCallback(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.triggerManager:handlerList(self.info[1].depoly)
end
end
self.jumpButton:addTouchEventListener(jumpButtonCallback)
end
function BaseOperateActiveView:initView()
self.titleLab:setText(globalManager.yuyanbaoManager:getYuyanbao("BaseOperateActiveView.text3"))
self._infoLabel:setText(self.info[1].conditionList)
local height = self._infoLabel:getHeight()
self._scrollView:addChild(self._infoLabel,3)
if(height < 100) then
self._infoLabel:setPosition(0,100)
else
self._infoLabel:setPosition(0,height)
end
self._scrollView:setInnerContainerSize(globalManager.ccCreator:newSize(750,height+30))
local rewardList = self.info[1].itemList
if(rewardList ~= nil)then
local len = table.getn(rewardList)
local index = 1
--if(len > 4)then len = 4 end
if(len > 0)then
for i = 1,len do
if index >= 5 then
print("配置表符合条件物品超过4个")
elseif (rewardList[i][3] == nil) or (rewardList[i][3] == 0) or (rewardList[i][3] == globalData.allStaticTypes.careerType:getCareer(globalData.selfPlayerInfo.career)) then
local grid = GoodsInfoGrid:new()
grid:setGoodsTempInfo(globalData.allTemplates.goodsTemplateList:getTemplate(rewardList[i][1]))
grid:setCount(rewardList[i][2])
grid:setPosition(cc.p(-37,33))
self.awardList[index]:addChild(grid,9)
index = index + 1
end
table.insert(self.gridList,grid)
end
end
end
end
function BaseOperateActiveView:dispose()
globalManager.tickManager:removeTick(self.tick, self)
self._scrollView = nil
self.jumpButton = nil
self.awardList = nil
self.info      = nil
self.type      = nil
self.titleLab  = nil
if(self.gridList ~= nil)then
for __,info in pairs(self.gridList) do
info:dispose()
info = nil
end
self.gridList = nil
end
if(self._infoLabel ~= nil) then
globalManager.ccCreator:release(self._infoLabel)
self._infoLabel = nil
end
globalManager.ccCreator:release(self)
end
OperateActiveBtn = class("OperateActiveBtn",function(self,title)
local temp = globalManager.ccCreator:newJsonWidget("operateBtnView")
temp.titleLab = temp:getChildByName("Button_804706"):getChildByName("Label_191480")
temp.titleLab:setText(title)
--temp.image = temp:getChildByName("Button_804706"):getChildByName("bgImg_Copy0")
temp.btn = temp:getChildByName("Button_804706")
temp.selected = temp:getChildByName("selected_light")
temp.selected:setVisible(false)
temp._selected = false
temp:setTouchEnabled(true)
temp.popIcon = nil
temp.giftIcon = nil
return temp
end)
--设置选中
function OperateActiveBtn:setSelected(value)
if(value == self._selected) then return end
self._selected = value
self.selected:setVisible(value)
end
function OperateActiveBtn:getSelected()
return self._selected
end
function OperateActiveBtn:setShowPop(isShow)
if(isShow) then
if(self.popIcon == nil) then
local pos = globalManager.ccCreator:newPoint(70,18)
self.popIcon = globalManager.ccCreator:newImageView("icon/ui_numTipIcon.png",1)
self.popIcon:setPosition(pos)
self:addChild(self.popIcon)
end
else
if(self.popIcon ~= nil) then
globalManager.ccCreator:release(self.popIcon)
self.popIcon = nil
end
end
end
function OperateActiveBtn:setShowGift(isShow)
if(isShow) then
if(self.giftIcon == nil) then
local pos = globalManager.ccCreator:newPoint(54,6)
self.giftIcon = globalManager.ccCreator:newImageView("flag/openFlag.png",1)
self.giftIcon:setPosition(pos)
self:addChild(self.giftIcon)
end
else
if(self.giftIcon ~= nil) then
globalManager.ccCreator:release(self.giftIcon)
self.giftIcon = nil
end
end
end
function OperateActiveBtn:dispose()
if(self.popIcon ~= nil) then
globalManager.ccCreator:release(self.popIcon)
self.popIcon = nil
end
if(self.giftIcon ~= nil) then
globalManager.ccCreator:release(self.giftIcon)
self.giftIcon = nil
end
self.titleLab = nil
self.btn      = nil
self.selected = nil
globalManager.ccCreator:release(self)
end
DoubleElevenPanel = class("DoubleElevenPanel",function(self,controller)
local temp = globalManager.ccCreator:newJsonWidget("doubleElevenPanel")
temp.bg = temp:getChildByName("bg")
temp.closeBtn = temp:getChildByName("closeBtn")
temp.label = temp:getChildByName("Label_1")
temp._bgPath = globalManager.pathManager:getUISource("outPic/doubleEleven.png")
temp._controller = controller
temp._currentIndex = 1
temp._tabGroup = nil
temp._subViews = {}
temp.nameList = {}
return temp
end)
function DoubleElevenPanel:ctor()
globalManager.sourceCacheManager:setImage(self.bg,self._bgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self:initLeftBtn()
self:initEvent()
end
function DoubleElevenPanel:initLeftBtn()
-- body
if globalData.consumenGiftInfo.doubleEleven then
table.insert(self.nameList,globalManager.yuyanbaoManager:getYuyanbao("DoubleElevenPanel.text1"))
table.insert(self.nameList,globalManager.yuyanbaoManager:getYuyanbao("DoubleElevenPanel.text2"))
table.insert(self.nameList,globalManager.yuyanbaoManager:getYuyanbao("DoubleElevenPanel.text3"))
table.insert(self.nameList,globalManager.yuyanbaoManager:getYuyanbao("DoubleElevenPanel.text4"))
end
if globalData.consumenGiftInfo.consumRank then
table.insert(self.nameList,globalManager.yuyanbaoManager:getYuyanbao("DoubleElevenPanel.text5"))
end
self._tabGroup = TabGroup:new(2)
self._tabGroup:setData(self.nameList,self.setTabIndex,self,1)
self._tabGroup:setPosition(cc.p(86,530))
self:addChild(self._tabGroup)
end
function DoubleElevenPanel:initEvent()
local function touchCallback(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
if sender == self.closeBtn then
self._controller:hidedoubleEleven()
elseif sender == self.label then
globalManager.tipsManager:showString(globalManager.descriptManager:getDescript("10035"),globalManager.ccCreator:newSize(480,400))
end
end
end
self.closeBtn:addTouchEventListener(touchCallback)
self.label:addTouchEventListener(touchCallback)
end
function DoubleElevenPanel:removeEvent()
end
function DoubleElevenPanel:setTabIndex(index)
-- body
if(self._subViews[index] == nil)then
if(self.nameList[index] == globalManager.yuyanbaoManager:getYuyanbao("DoubleElevenPanel.text1"))then
self._subViews[index] = DoubleElevenViewOne:new(self._controller)
self._subViews[index]:setPosition(cc.p(167,5))
elseif(self.nameList[index] == globalManager.yuyanbaoManager:getYuyanbao("DoubleElevenPanel.text2"))then
self._subViews[index] = DoubleElevenViewTwo:new(self._controller)
self._subViews[index]:setPosition(cc.p(172,31))
elseif(self.nameList[index] == globalManager.yuyanbaoManager:getYuyanbao("DoubleElevenPanel.text3"))then
self._subViews[index] = DoubleElevenViewThree:new(self._controller)
self._subViews[index]:setPosition(cc.p(166,30))
elseif(self.nameList[index] == globalManager.yuyanbaoManager:getYuyanbao("DoubleElevenPanel.text4"))then
self._subViews[index] = DoubleElevenFour:new(self._controller)
self._subViews[index]:setPosition(cc.p(168,6))
elseif(self.nameList[index] == globalManager.yuyanbaoManager:getYuyanbao("DoubleElevenPanel.text5"))then
self._subViews[index] = DoubleElevenFive:new(self._controller)
self._subViews[index]:setPosition(cc.p(168,5))
end
end
for k,view in pairs(self._subViews) do
if(k == index)then
if(view:getParent() == nil)then
self:addChild(view)
end
else
if(view:getParent() ~= nil)then
view:removeFromParent()
end
end
end
end
function DoubleElevenPanel:dispose()
if(self._tabGroup ~= nil)then
self._tabGroup:dispose()
self._tabGroup = nil
end
if(self._subViews) then
for __,view in pairs(self._subViews) do
view:dispose()
view = nil
end
self._subViews = nil
end
self._currentIndex = 0
self.nameList = {}
self._controller = nil
globalManager.sourceCacheManager:removeQuote(self._bgPath)
self._bgPath = nil
self.label = nil
self.closeBtn = nil
self.bg = nil
globalManager.ccCreator:release(self)
end
DoubleElevenFour = class("DoubleElevenFour",function(self, controller)
local temp = globalManager.ccCreator:newJsonWidget("DoubleElevenFour")
temp.controller = controller
temp.layer = temp:getChildByName("ImageView_437431")
temp.restCounts = temp:getChildByName("Label_1")
temp._countDownLabel = CountDownLabel:new(temp:getChildByName("Label_3"),0,nil,nil,0)
temp.overImgList = {}
temp.goodsItemList = {}
temp.restTimes = 9
for i = 1, 12 do
table.insert(temp.overImgList, temp.layer:getChildByName("ImageView_"..i):getChildByName("overImg_"..i))
local cell = BaseGrid:new()
temp.layer:getChildByName("ImageView_"..i):getChildByName("cell_"..i):addChild(cell)
table.insert(temp.goodsItemList, cell)
end
return temp
end)
function DoubleElevenFour:ctor()
globalData.messageAdder:doubleElevenFourInfor()
self._overImgPath = globalManager.pathManager:getUISource("outPic/TreasureCard2.png")
for i = 1, 12 do
globalManager.sourceCacheManager:setImage(self.overImgList[i],self._overImgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
end
self:initEvent()
end
function DoubleElevenFour:initView()
local restTimes = globalData.doubleElevenInfo.restTimes
self.restCounts:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("DoubleElevenFour.text1"),restTimes))
self.restTimes = restTimes
local function endCallBack()
globalData.messageAdder:doubleElevenFourInfor()
end
local endTimes = globalData.doubleElevenInfo.endTimes
local itemList = globalData.doubleElevenInfo.itemList
self._countDownLabel:start(endTimes - globalData.systemDateInfo:getSystemTime()/1000 + 3,endCallBack,self)
if #itemList == 0 then
for i = 1, 12 do
self.overImgList[i]:setVisible(true)
self.overImgList[i]:setEnabled(true)
end
else
for k,v in pairs(itemList) do
if v ~= nil then
self.overImgList[v[3]]:setVisible(false)
self.overImgList[v[3]]:setEnabled(false)
self.goodsItemList[v[3]]:setGoodsTempInfo(globalData.allTemplates.goodsTemplateList:getTemplate(v[1]))
self.goodsItemList[v[3]]:setCount(v[2])
end
end
end
end
function DoubleElevenFour:showOpenCard(node)
node:setVisible(false)
node:setEnabled(false)
local brokenEffect = globalManager.effectCreator:create(103)
brokenEffect:play()
local parentNode = node:getParent()
parentNode:addNode(brokenEffect,3)
brokenEffect:move2(self,0,0)
--获取item在table中的索引值
local index = globalManager.commonUtils:getIndexOfTable(self.overImgList,node)
globalData.messageAdder:doubleElevenOpenCard(index)
end
function DoubleElevenFour:initEvent()
local function touchCallBack(sender,eventType)
-- body
if eventType == TOUCH_EVENT_ENDED then
if self.restTimes > 0 then
if(globalData.selfPlayerInfo.moneyInfo.gold >= 30)then
self:showOpenCard(sender)
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel11"))
end
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("DoubleElevenFour.text3"))
end
end
end
for k, node in pairs(self.overImgList) do
node:addTouchEventListener(touchCallBack)
end
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.playerInfo_doubleFourInforUpdate, self.initView,self)
end
function DoubleElevenFour:removeEvent()
-- body
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.playerInfo_doubleFourInforUpdate, self.initView,self)
end
function DoubleElevenFour:dispose()
self:removeEvent()
self.controller = nil
self.layer = nil
self.restCounts = nil
if(self._countDownLabel ~= nil)then
self._countDownLabel:dispose()
self._countDownLabel = nil
end
self.overImgList = {}
for i = 1,12 do
if self.goodsItemList[i] ~= nil then
self.goodsItemList[i]:dispose()
self.goodsItemList[i] = nil
end
end
self.goodsItemList = {}
self.restTimes = 0
globalManager.ccCreator:release(self)
end
DoubleElevenFive = class("DoubleElevenFive",function(self, controller)
local temp = globalManager.ccCreator:newJsonWidget("DoubleElevenFive")
temp.controller = controller
temp.list = temp:getChildByName("ImageView_437431"):getChildByName("ListView_885387")
temp.consumCount = temp:getChildByName("Label_3")
temp.selfRank = temp:getChildByName("Label_4")
temp._countDownLabel = CountDownLabel:new(temp:getChildByName("Label_2"),0,nil,nil,0)
temp._viewList = {}
return temp
end)
function DoubleElevenFive:ctor()
self.controller.sceneModule.message:sendGetRankInfo(3,1,50)
local function endCallBack()
-- body
end
local todaySystemTime = globalData.systemDateInfo:getZeroPassTime()
self._countDownLabel:start(3600 * 23 + 3000 - todaySystemTime,endCallBack,self)
--self:initView()
self:initEvent()
end
function DoubleElevenFive:initEvent()
-- body
globalData.crossRechargeRankInfo:addEventListener(globalData.globalEventType.consumRank_infoUpdate,self.initView,self)
end
function DoubleElevenFive:removeEvent()
-- body
globalData.crossRechargeRankInfo:removeEventListener(globalData.globalEventType.consumRank_infoUpdate,self.initView,self)
end
function DoubleElevenFive:initView()
self.selfRank:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("DoubleElevenFive.text1"),globalData.crossRechargeRankInfo.MyRank))
self.consumCount:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("DoubleElevenFive.text2"),globalData.crossRechargeRankInfo.selfValue))
local template = globalData.allTemplates.crossRechargeGiftTemplateList.consumeList
if(#template <= 0 )then return end
if(#self._viewList > 0)then
self:clearItem()
end
for i,info in pairs(template) do
local lastRank = info.maxRank
self._rechargeValue = globalData.crossRechargeRankInfo.consumeRankList[lastRank]
local item = RankCrossRechargeItemView:new()
item:setParams(cc.c3b(247,103,106),1) ---#FFD60D4D
item:setData(info,self._rechargeValue)
table.insert(self._viewList,item)
self.list:pushBackCustomItem(item)
end
end
function DoubleElevenFive:clearItem()
self.list:removeAllItems()
for __,item in pairs(self._viewList) do
item:dispose()
end
self._viewList = {}
end
function DoubleElevenFive:dispose()
self:clearItem()
self:removeEvent()
self.controller = nil
self.list = nil
self.consumCount = nil
self.selfRank = nil
if(self._countDownLabel ~= nil)then
self._countDownLabel:dispose()
self._countDownLabel = nil
end
globalManager.ccCreator:release(self)
end
DoubleElevenViewOne = class("DoubleElevenViewOne",function (self,controller)
local temp = globalManager.ccCreator:newWidget()
temp.controller = controller
temp.itemList = {}
temp.time = 0
temp.infoList = {}
return temp
end)
function DoubleElevenViewOne:ctor()
self:initView()
self:initEvent()
end
function DoubleElevenViewOne:initView()
for i=1,3,1 do
local item = DoubleElevenViewOneItem:new(self.controller,self)
item:setPosition(globalManager.ccCreator:newPoint(8 + (i-1)*260,14))
self:addChild(item)
table.insert(self.itemList,item)
end
self.itemList[1]:setBgImgColor(cc.c3b(255,40,249))
self.itemList[3]:setBgImgColor(cc.c3b(255,40,249))
self:updateView()
globalData.messageAdder:sendDoubleElevenOneInfo(globalData.allTemplates.doubleElevenViewOneTemplateList:getCurIndex())
end
function DoubleElevenViewOne:initEvent()
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.doubleElevenViewOne_infoUpdate,self.setData,self)
end
function DoubleElevenViewOne:removeEvent()
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.doubleElevenViewOne_infoUpdate, self.setData,self)
end
function DoubleElevenViewOne:setData(evt)
self.infoList = evt.data
self:setItemData()
end
function DoubleElevenViewOne:updateView()
local index = globalData.allTemplates.doubleElevenViewOneTemplateList:getCurIndex()
for i=1,3,1 do
local info = globalData.allTemplates.doubleElevenViewOneTemplateList:getTemplateById(index + i - 2)
if(info ~= nil)then
--self.itemList[i]:setEnabled(true)
self.itemList[i]:setTempInfo(i,info)
else
--self.itemList[i]:setEnabled(false)
self.itemList[i]:setTempInfo(i,nil)
end
end
end
function DoubleElevenViewOne:setItemData()
for i=1,2,1 do
local index = globalData.allTemplates.doubleElevenViewOneTemplateList:getCurIndex()
self.itemList[i]:setData(self.infoList[index + i - 2])
end
end
function DoubleElevenViewOne:nextView()
self:updateView()
self:setItemData()
end
function DoubleElevenViewOne:dispose()
self:removeEvent()
for __,item in pairs(self.itemList) do
item:dispose()
item = nil
end
self.infoList = nil
self.itemList = nil
globalManager.ccCreator:release(self)
end
DoubleElevenViewOneItem = class("DoubleElevenViewOneItem",function(self,controller,parent)
local temp = globalManager.ccCreator:newJsonWidget("DoubleElevenViewOneItem")
temp._controller = controller
temp._parent = parent
temp._bg = temp:getChildByName("bg")
temp._bgPath = globalManager.pathManager:getUISource("outPic/doubleElevenItemBg.png")
temp._titleLabel = temp:getChildByName("titleLabel")
temp._textLabel = temp:getChildByName("textLabel1")
temp._timeLabel = temp:getChildByName("timeLabel")
temp._timeLabel:setText("")
temp._txtTime = CountDownLabel:new(self._timeLabel,0,24,nil,0)
temp._txtTime:setPositionY(431)
temp:addChild(temp._txtTime,8)
temp._nameLabel = temp:getChildByName("nameLabel")
temp._cell = temp:getChildByName("cell")
temp._grid = BaseGrid:new()
temp._cell:addChild(temp._grid)
temp._priceLabel = temp:getChildByName("priceLabel")
temp._discountImg = temp:getChildByName("discountImg")
temp._labelView = temp:getChildByName("labelView")
temp._labelView:setVisible(true)
temp._labelListView = temp._labelView:getChildByName("labelListView")
temp._labelList = {}
temp._btnView = temp:getChildByName("btnView")
temp._buyBtn = temp._btnView:getChildByName("buyBtn")
temp._btnlabel = temp._buyBtn:getChildByName("btnLabel")
temp._countLabel = temp._btnView:getChildByName("countLabel")
temp._tempInfo = nil
temp._index = 0
temp._count = 0 --已购数量
temp.infoList = nil
temp._btnlabel:setText(globalManager.yuyanbaoManager:getYuyanbao("DoubleElevenViewOneItem.text1"))
temp._btnView:getChildByName("textLable2"):setText(globalManager.yuyanbaoManager:getYuyanbao("DoubleElevenViewOneItem.text2"))
return temp
end)
function DoubleElevenViewOneItem:ctor()
self:initEvent()
self:initView()
end
function DoubleElevenViewOneItem:initEvent()
local function buyBtnClickHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
local systemTime = math.floor(globalData.systemDateInfo:getSystemTime() / 1000)
if(self._tempInfo ~= nil)then
if(self._tempInfo.beginTime <= systemTime and self._tempInfo.endTime >= systemTime)then
if(self.infoList ~= nil)then
for i=1,#self.infoList,1 do
if(self.infoList[i][1] == globalData.selfPlayerInfo.userId)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("DoubleElevenViewOneItem.text3"))
return
end
end
end
if(self._count < self._tempInfo.count)then
if(globalData.selfPlayerInfo.moneyInfo.gold >= self._tempInfo.price)then
globalData.messageAdder:sendDoubleElevenOneBuy(globalData.allTemplates.doubleElevenViewOneTemplateList:getCurIndex())
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel11"))
end
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("DoubleElevenViewOneItem.text5"))
end
elseif(self._tempInfo.beginTime > systemTime)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("DoubleElevenViewOneItem.text6"))
end
end
end
end
self._buyBtn:addTouchEventListener(buyBtnClickHandler)
end
function DoubleElevenViewOneItem:initView()
globalManager.sourceCacheManager:setImage(self._bg,self._bgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
end
--parm index:1,2,3
function DoubleElevenViewOneItem:setTempInfo(index,info)
if(info ~= nil)then
local systemTime = math.floor(globalData.systemDateInfo:getSystemTime() / 1000)
self._tempInfo = info
self._index = index
if(index == 1)then
self._titleLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("DoubleElevenViewOneItem.text7"))
self._textLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel77"))
self._textLabel:setPositionX(85)
self._textLabel:setColor(globalData.allStaticTypes.colorType.COLORRED)
self._timeLabel:setText("")
self._btnView:setEnabled(false)
self._labelView:setEnabled(true)
elseif(index == 2)then
self._btnView:setEnabled(true)
self._labelView:setEnabled(false)
self._titleLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("DoubleElevenViewOneItem.text9"))
if(self._tempInfo ~= nil)then
if(self._tempInfo.beginTime > systemTime)then
self._textLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("DoubleElevenViewOneItem.text10"))
self._txtTime:start(self._tempInfo.beginTime - systemTime,self.endTime,self)
local posX = self._textLabel:getPositionX() + self._textLabel:getContentSize().width + 10
self._txtTime:setPositionX(posX)
self._countLabel:setText(self._tempInfo.count)
elseif(self._tempInfo.beginTime <= systemTime and self._tempInfo.endTime > systemTime)then
self._textLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("DoubleElevenViewOneItem.text11"))
self._txtTime:start(self._tempInfo.endTime - systemTime,self.endTime,self)
local posX = self._textLabel:getPositionX() + self._textLabel:getContentSize().width + 10
self._txtTime:setPositionX(posX)
self._countLabel:setText(self._tempInfo.count)
else
self._textLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("DoubleElevenViewOneItem.text11"))
self._txtTime:setText("")
self._textLabel:setPositionX(80)
self._buyBtn:setTouchEnabled(false)
self._buyBtn:loadTextureNormal("btn/ui_tabBtn1_5.png",1)
end
end
elseif(index == 3)then
self._btnView:setEnabled(true)
self._labelView:setEnabled(false)
self._titleLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("DoubleElevenViewOneItem.text12"))
if(self._tempInfo ~= nil)then
local time = 0
local days = globalData.systemDateInfo:getBetweenTimeDay(globalData.systemDateInfo:getSystemTime(),self._tempInfo.beginTime * 1000)
if(days <= 0)then
local passTime = globalData.systemDateInfo:getZeroPassTime()
time = globalData.systemDateInfo:secondsToDateString7(self._tempInfo.beginTime - systemTime + passTime)
else
time = globalData.systemDateInfo:secondsToDateString7(globalData.systemDateInfo:getZeroPassTime(self._tempInfo.beginTime))
end
self._textLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("DoubleElevenViewOneItem.text13"))
self._txtTime:setText(time)
self._txtTime:setPositionX(80)
local posX = self._txtTime:getPositionX() + self._txtTime:getContentSize().width + 10
self._textLabel:setPositionX(posX)
self._buyBtn:setTouchEnabled(false)
self._buyBtn:loadTextureNormal("btn/ui_tabBtn1_5.png",1)
self._btnlabel:setText(globalManager.yuyanbaoManager:getYuyanbao("DoubleElevenViewOneItem.text14"))
self._btnView:setEnabled(true)
self._labelView:setEnabled(false)
self._countLabel:setText(self._tempInfo.count)
end
end
else
if(index == 1)then
self._titleLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("DoubleElevenViewOneItem.text7"))
self._textLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("DoubleElevenViewOneItem.text15"))
self._textLabel:setPositionX(100)
self._textLabel:setColor(globalData.allStaticTypes.colorType.COLORRED)
self._timeLabel:setText("")
self._btnView:setEnabled(false)
self._labelView:setEnabled(false)
elseif(index == 3)then
self._btnView:setEnabled(true)
self._labelView:setEnabled(false)
self._titleLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("DoubleElevenViewOneItem.text12"))
self._textLabel:setText("")
self._txtTime:setText("")
self._buyBtn:loadTextureNormal("btn/ui_tabBtn1_5.png",1)
self._btnlabel:setText(globalManager.yuyanbaoManager:getYuyanbao("DoubleElevenViewOneItem.text14"))
end
end
if(self._tempInfo ~= nil)then
local goodsInfo = globalData.allTemplates.goodsTemplateList:getTemplate(self._tempInfo.award[1][1])
self._nameLabel:setText(goodsInfo.name)
self._nameLabel:setColor(globalData.allStaticTypes.colorType:getColorByQuality(goodsInfo.quality))
self._grid:setGoodsTempInfo(goodsInfo)
self._grid:setCount(self._tempInfo.award[1][2])
self._priceLabel:setText(self._tempInfo.price)
if(self._tempInfo.discount == 1)then
self._discountImg:loadTexture("flag/ui_discountIcon5.png", 1)
self._discountImg:setVisible(true)
elseif(self._tempInfo.discount == 2)then
self._discountImg:loadTexture("flag/ui_discountIcon6.png", 1)
self._discountImg:setVisible(true)
elseif(self._tempInfo.discount == 3)then
self._discountImg:loadTexture("flag/ui_discountIcon7.png", 1)
self._discountImg:setVisible(true)
elseif(self._tempInfo.discount == 4)then
self._discountImg:loadTexture("flag/ui_discountIcon8.png", 1)
self._discountImg:setVisible(true)
elseif(self._tempInfo.discount == 5)then
self._discountImg:loadTexture("flag/ui_discountIco0.png", 1)
self._discountImg:setVisible(true)
elseif(self._tempInfo.discount == 6)then
self._discountImg:loadTexture("flag/ui_discountIcon1.png", 1)
self._discountImg:setVisible(true)
elseif(self._tempInfo.discount == 7)then
self._discountImg:loadTexture("flag/ui_discountIcon2.png", 1)
self._discountImg:setVisible(true)
elseif(self._tempInfo.discount == 8)then
self._discountImg:loadTexture("flag/ui_discountIcon3.png", 1)
self._discountImg:setVisible(true)
elseif(self._tempInfo.discount == 9)then
self._discountImg:loadTexture("flag/ui_discountIcon4.png", 1)
self._discountImg:setVisible(true)
elseif(self._tempInfo.discount == 10)then
self._discountImg:setVisible(false)
end
else
self._discountImg:setVisible(false)
end
end
function DoubleElevenViewOneItem:setData(infoList)
self.infoList = infoList
if(infoList ~= nil)then
self._count = #infoList
else
self._count = 0
end
if(self._index == 1)then
if(infoList ~= nil)then
self:removeAllLabel()
for i=1,#infoList,1 do
local str = "["..infoList[i][3].."]"..infoList[i][2]
self:addLabel(str)
end
end
elseif(self._index == 2)then
self._countLabel:setText(self._tempInfo.count - self._count)
end
end
function DoubleElevenViewOneItem:endTime()
local systemTime = math.floor(globalData.systemDateInfo:getSystemTime() / 1000)
if(self._tempInfo.endTime > systemTime)then
self._txtTime:start(self._tempInfo.endTime - systemTime,self.endTime,self)
self._textLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("DoubleElevenViewOneItem.text11"))
local posX = self._textLabel:getPositionX() + self._textLabel:getContentSize().width + 10
self._txtTime:setPositionX(posX)
else
self._parent:nextView()
end
end
function DoubleElevenViewOneItem:addLabel(text)
local label = globalManager.ccCreator:newLabel()
label:setAnchorPoint(globalManager.ccCreator:newPoint(0,0.5))
label:setText(text)
self._labelListView:pushBackCustomItem(label)
table.insert(self._labelList,label)
end
function DoubleElevenViewOneItem:removeAllLabel()
self._labelListView:removeAllItems()
for __,label in pairs(self._labelList) do
globalManager.ccCreator:release(label)
label = nil
end
self._labelList = {}
end
function DoubleElevenViewOneItem:setBgImgColor(color)
self._bg:setColor(color)
end
function DoubleElevenViewOneItem:dispose()
self._controller = nil
self._bg = nil
globalManager.sourceCacheManager:removeQuote(self._bgPath)
self._bgPath = nil
self._titleLabel = nil
self._textLabel = nil
self._timeLabel = nil
if(self._txtTime ~= nil)then
self._txtTime:dispose()
self._txtTime = nil
end
self._nameLabel = nil
self._cell = nil
if(self._grid ~= nil)then
self._grid:dispose()
self._grid = nil
end
self._priceLabel = nil
self._discountImg = nil
self._labelView = nil
self._labelListView = nil
for __,label in pairs(self._labelList) do
globalManager.ccCreator:release(label)
label = nil
end
self._labelList = nil
self._btnView = nil
self._buyBtn = nil
self._btnlabel = nil
self._countLabel = nil
self._tempInfo = nil
self._parent = nil
self.infoList = nil
globalManager.ccCreator:release(self)
end
DoubleElevenViewTwo = class("DoubleElevenViewTwo",function (self,controller)
local temp = globalManager.ccCreator:newJsonWidget("DoubleElevenViewTwo")
temp._controller = controller
temp._layer = temp:getChildByName("layer")
temp._txtlabel1 = temp:getChildByName("contentLabel1")
temp._txtlabel2 = temp:getChildByName("contentLabel2")
local timeLabel = temp:getChildByName("timeLabel")
temp._txtTime = CountDownLabel:new(timeLabel,0,24,nil,0)
--temp:addChild(temp._txtTime,8)
temp._pageView = temp:getChildByName("pageView")
temp._pageList = {}
temp._gridList = {}
temp._nameLabelList = {}
temp._curPriceList = {}
temp._costLabelList = {}
temp._conditionLabelList = {}
temp._countLabelList = {}
temp._buyBtnList = {}
for i = 1,3,1 do
--local item = temp:getChildByName("item"..i)
local cell = temp:getChildByName("cell"..i)
temp._gridList[i] = BaseGrid:new()
cell:addChild(temp._gridList[i])
temp._nameLabelList[i] = temp:getChildByName("item"..i):getChildByName("nameLabel")
temp._curPriceList[i] = temp:getChildByName("item"..i):getChildByName("curPriceLabel")
temp._costLabelList[i] = temp:getChildByName("item"..i):getChildByName("costLabel")
temp._conditionLabelList[i] = temp:getChildByName("item"..i):getChildByName("conditionLabel")
temp._countLabelList[i] = temp:getChildByName("item"..i):getChildByName("countLabel")
-- label:setText("")
-- local x,y = label:getPosition()
-- temp._countLabelList[i] = globalManager.ccCreator:newRichLabel2(nil,400)
-- temp._countLabelList[i]:setPosition(cc.p(x,y - 13))
-- temp:getChildByName("item"..i):addChild(temp._countLabelList[i],3)
temp._buyBtnList[i] = temp:getChildByName("buyBtn"..i)
end
temp.curTemplateInfo = nil
temp.nextTemplateInfo = nil
temp.totalPage = 2
temp.currentPage = 0
temp.countList = {0,0,0}
temp.isBuyList = {0,0,0}
temp:getChildByName("contentLabel1"):setText(globalManager.yuyanbaoManager:getYuyanbao("DoubleElevenViewTwo.text1"))
temp:getChildByName("contentLabel2"):setText(globalManager.yuyanbaoManager:getYuyanbao("DoubleElevenViewTwo.text2"))
for i = 1,3,1 do
temp:getChildByName("item"..i):getChildByName("contentLabel1"):setText(globalManager.yuyanbaoManager:getYuyanbao("DoubleElevenViewTwo.text3"))
temp:getChildByName("item"..i):getChildByName("contentLabel2"):setText(globalManager.yuyanbaoManager:getYuyanbao("DoubleElevenViewTwo.text4"))
temp:getChildByName("item"..i):getChildByName("contentlabel3"):setText(globalManager.yuyanbaoManager:getYuyanbao("DoubleElevenViewTwo.text5"))
temp:getChildByName("buyBtn"..i):getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("DoubleElevenViewTwo.text6"))
end
return temp
end)
function DoubleElevenViewTwo:ctor()
self:initEvent()
self:initView()
self:resetPageIcon()
globalData.messageAdder:sendDoubleElevenTwoInfo(globalData.allTemplates.doubleElevenViewOneTemplateList:getCurIndex())
end
function DoubleElevenViewTwo:initEvent()
local updateViewTouchHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED or eventType == TOUCH_EVENT_CANCELED) then
if(self.nextTemplateInfo == nil) then return end
local offsetX = sender:getTouchEndPos().x - sender:getTouchStartPos().x
if(offsetX > 50) then
if(self.currentPage > 1)then
self:setPage(1)
end
elseif(offsetX < -50) then
if(self.currentPage < self.totalPage)then
self:setPage(2)
end
end
end
end
local buyBtnHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
local systemTime = math.floor(globalData.systemDateInfo:getSystemTime() / 1000)
if(systemTime < self.curTemplateInfo.endTime)then
local pos = globalManager.commonUtils:getIndexOfTable(self._buyBtnList,sender)
local id = self.curTemplateInfo.id
if(self.isBuyList[pos] == 1)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("DoubleElevenViewTwo.text7"))
return
end
if(globalData.selfPlayerInfo.moneyInfo.gold >= self.curTemplateInfo.newPriceList[pos][1])then
globalData.messageAdder:sendDoubleElevenTwoBuy(id,pos)
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel11"))
end
end
end
end
for i =1,3,1 do
self._buyBtnList[i]:addTouchEventListener(buyBtnHandler)
end
self._layer:addTouchEventListener(updateViewTouchHandler)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.doubleElevenViewTwo_infoUpdate,self.setCountListInfo,self)
end
function DoubleElevenViewTwo:removeEvent()
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.doubleElevenViewTwo_infoUpdate, self.setCountListInfo,self)
end
function DoubleElevenViewTwo:initView()
self.curTemplateInfo = globalData.allTemplates.doubleElevenViewTwoTemplateList:getCurInfo()
self.nextTemplateInfo = globalData.allTemplates.doubleElevenViewTwoTemplateList:getNextInfo()
if(self.nextTemplateInfo ~= nil)then
self._pageView:setVisible(true)
else
self._pageView:setVisible(false)
end
self:setPage(1)
end
function DoubleElevenViewTwo:setItemInfo(index,info)
local systemTime = math.floor(globalData.systemDateInfo:getSystemTime() / 1000)
for i = 1,3,1 do
local goodsInfo = globalData.allTemplates.goodsTemplateList:getTemplate(info.itemList[i][1])
self._gridList[i]:setGoodsTempInfo(goodsInfo)
self._gridList[i]:setCount(info.itemList[i][2])
self._nameLabelList[i]:setText(goodsInfo.name)
self._nameLabelList[i]:setColor(globalData.allStaticTypes.colorType:getColorByQuality(goodsInfo.quality))
self._curPriceList[i]:setText(info.newPriceList[i][1])
self._costLabelList[i]:setText(info.oldPriceList[i][1])
end
if(index == 1)then
self._txtlabel1:setVisible(true)
self._txtlabel2:setVisible(false)
self._txtTime:start(info.endTime - systemTime,self.endTime,self)
self._txtTime:setPositionX(245)
for i = 1,3,1 do
self._buyBtnList[i]:setTouchEnabled(true)
self._buyBtnList[i]:loadTextureNormal("btn/ui_tabBtn1_3.png",1)
end
else
local days = globalData.systemDateInfo:getBetweenTimeDay(globalData.systemDateInfo:getSystemTime(),info.beginTime * 1000)
local time = 0
if(days <= 0)then
local passTime = globalData.systemDateInfo:getZeroPassTime()
time = globalData.systemDateInfo:secondsToDateString(info.beginTime - systemTime + passTime)
else
time = globalData.systemDateInfo:secondsToDateString(globalData.systemDateInfo:getZeroPassTime(info.beginTime))
end
self._txtTime:stop()
self._txtTime:setText(time)
self._txtTime:setPositionX(500)
self._txtlabel1:setVisible(false)
self._txtlabel2:setVisible(true)
for i = 1,3,1 do
self._buyBtnList[i]:setTouchEnabled(false)
self._buyBtnList[i]:loadTextureNormal("btn/ui_tabBtn1_5.png",1)
end
end
end
function DoubleElevenViewTwo:endTime()
self.countList = {0,0,0}
self.currentPage = 0
self:initView()
end
function DoubleElevenViewTwo:setCountListInfo(evt)
local info = evt.data
self.countList = info.countList
self.isBuyList = info.isBuyList
if(self.currentPage == 1)then
self:setCountLabel()
end
end
function DoubleElevenViewTwo:setCountLabel()
if(#self.countList > 0)then
for i = 1,3,1 do
local str = ""
if(self.currentPage == 1)then
if(self.countList[i] >= self.curTemplateInfo.limitList[i][1])then
self._conditionLabelList[i]:setText(globalManager.yuyanbaoManager:getYuyanbao("DoubleElevenViewTwo.text9"))
self._conditionLabelList[i]:setColor(globalData.allStaticTypes.colorType.COLORGREEN)
str = self.countList[i].."/"..self.curTemplateInfo.limitList[i][1]
self._countLabelList[i]:setColor(globalData.allStaticTypes.colorType.COLORGREEN)
-- str = "["..globalData.allStaticTypes.colorType.ITEMCOLOR2_STR.."]"..self.countList[i].."[-]["..globalData.allStaticTypes.colorType.ITEMCOLOR3_STR.."]/"..self.curTemplateInfo.limitList[i][1].."[-]"
else
self._conditionLabelList[i]:setText(globalManager.yuyanbaoManager:getYuyanbao("DoubleElevenViewTwo.text10"))
self._conditionLabelList[i]:setColor(globalData.allStaticTypes.colorType.COLORBLACK)
str = self.countList[i].."/"..self.curTemplateInfo.limitList[i][1]
-- str = "["..globalData.allStaticTypes.colorType.ITEMCOLOR1_STR.."]"..self.countList[i].."[-]["..globalData.allStaticTypes.colorType.ITEMCOLOR3_STR.."]/"..self.curTemplateInfo.limitList[i][1].."[-]"
end
else
self._conditionLabelList[i]:setText(globalManager.yuyanbaoManager:getYuyanbao("DoubleElevenViewTwo.text10"))
self._conditionLabelList[i]:setColor(globalData.allStaticTypes.colorType.COLORBLACK)
-- str = "["..globalData.allStaticTypes.colorType.ITEMCOLOR1_STR.."]0[-]["..globalData.allStaticTypes.colorType.ITEMCOLOR3_STR.."]/"..self.nextTemplateInfo.limitList[i][1].."[-]"
str = "0/"..self.nextTemplateInfo.limitList[i][1]
self._conditionLabelList[i]:setColor(globalData.allStaticTypes.colorType.COLORBLACK)
end
self._countLabelList[i]:setText(str)
end
end
end
function DoubleElevenViewTwo:resetPageIcon()
if(#self._pageList ~= 0) then
self:clearPageIcon()
end
if(self.totalPage == nil) then self.totalPage = 0 end
if(self.totalPage == 0) then return end
for i = 1,self.totalPage,1 do
local pageIcon = globalManager.ccCreator:newImageView()
if(self.currentPage == i) then
pageIcon:loadTexture("btn/ui_radioBtn1_2.png", 1)
else
pageIcon:loadTexture("btn/ui_radioBtn1_1.png", 1)
end
pageIcon:setPosition(95 - (self.totalPage - 1)*20 + (i - 1)*40,10)
table.insert(self._pageList,pageIcon)
self._pageView:addChild(pageIcon)
end
end
function DoubleElevenViewTwo:setPage(page)
if(self.currentPage == page) then return end
if(self.currentPage ~= 0) then
self._pageList[self.currentPage]:loadTexture("btn/ui_radioBtn1_1.png", 1)
end
self.currentPage = page
if(self._pageList[self.currentPage] ~= nil) then
self._pageList[self.currentPage]:loadTexture("btn/ui_radioBtn1_2.png", 1)
end
if(page == 1)then
self:setItemInfo(1,self.curTemplateInfo)
self:setCountLabel()
else
self:setItemInfo(2,self.nextTemplateInfo)
self:setCountLabel()
for i = 1,3,1 do
self._conditionLabelList[i]:setText(globalManager.yuyanbaoManager:getYuyanbao("DoubleElevenViewTwo.text10"))
self._conditionLabelList[i]:setColor(globalData.allStaticTypes.colorType.COLORBLACK)
end
end
end
function DoubleElevenViewTwo:dispose()
self:removeEvent()
self._controller = nil
self._txtlabel1 = nil
self._txtlabel2 = nil
self._txtTime:dispose()
self._txtTime = nil
self._pageView = nil
for i,pageIcon in pairs(self._pageList) do
globalManager.ccCreator:release(pageIcon)
pageIcon = nil
end
self._pageList = nil
for __,grid in pairs(self._gridList) do
grid:dispose()
grid = nil
end
self._gridList = nil
self._nameLabelList = nil
self._curPriceList = nil
self._costLabelList = nil
self._conditionLabelList = nil
--    for __,richLabel in pairs(self._countLabelList) do
-- 	richLabel:dispose()
-- end
self._countLabelList = nil
self._buyBtnList = nil
self.curTemplateInfo = nil
self.nextTemplateInfo = nil
self.totalPage = nil
self.currentPage = nil
self.countList = nil
globalManager.ccCreator:release(self)
end
DoubleElevenViewThree = class("DoubleElevenViewThree",function ()
local temp = globalManager.ccCreator:newJsonWidget("DoubleElevenViewThree")
temp._contentLabel = temp:getChildByName("contentLabel")
local timeLabel = temp:getChildByName("timeLabel")
temp._countDownLabel = CountDownLabel:new(timeLabel,0,24,nil,0)
temp._itemList = {}
temp._contentLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("DoubleElevenViewThree.text1"))
return temp
end)
function DoubleElevenViewThree:ctor()
for i = 1,6,1 do
local item = DoubleElevenViewThreeItem:new()
item:setPosition(globalManager.ccCreator:newPoint(35 + (i-1)%3 * 250, 30 + math.floor((6-i)/3) * 210))
self:addChild(item)
table.insert(self._itemList,item)
end
self:initEvent()
self:initView()
end
function DoubleElevenViewThree:initView()
self:setInfo()
end
function DoubleElevenViewThree:initEvent()
local viewClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
if(sender:getInfo() ~= nil)then
globalManager.tipsManager:showDoubleElevenGoods(sender:getInfo())
end
end
end
for i = 1,6,1 do
self._itemList[i]:addTouchEventListener(viewClickHandler)
end
end
function DoubleElevenViewThree:setInfo()
local info = globalData.allTemplates.doubleElevenViewThreeTemplateList:getCurInfoList()
if(info ~= nil)then
for i = 1,6,1 do
self._itemList[i]:setData(info.itemList[i])
end
local time = info.endTime
local systemTime = math.floor(globalData.systemDateInfo:getSystemTime() / 1000)
self._countDownLabel:start(time - systemTime,self.endTime,self)
end
end
function DoubleElevenViewThree:endTime()
self:setInfo()
end
function DoubleElevenViewThree:dispose()
self._contentLabel = nil
self._countDownLabel:dispose()
self._countDownLabel = nil
if(self._itemList ~= nil)then
for __,item in pairs(self._itemList) do
item:dispose()
item = nil
end
end
self._itemList = nil
globalManager.ccCreator:release(self)
end
DoubleElevenViewThreeItem = class("DoubleElevenViewThreeItem",function ()
local temp = globalManager.ccCreator:newJsonWidget("DoubleElevenViewThreeItem")
temp._discountImg = temp:getChildByName("discountImg")
local cell = temp:getChildByName("cell")
temp._grid = BaseGrid:new()
temp._grid:setPicTouchEnabled(false)
cell:addChild(temp._grid)
temp._typeIcon = temp:getChildByName("typeIcon")
temp._nameLabel = temp:getChildByName("nameLabel")
temp._priceLabel = temp:getChildByName("countLabel")
temp._info = nil
return temp
end)
function DoubleElevenViewThreeItem:ctor()
end
function DoubleElevenViewThreeItem:setData(item)
self._info = item
local goodsInfo = globalData.allTemplates.goodsTemplateList:getTemplate(item[1])
self._nameLabel:setText(goodsInfo.name)
self._nameLabel:setColor(globalData.allStaticTypes.colorType:getColorByQuality(goodsInfo.quality))
self._grid:setGoodsTempInfo(goodsInfo)
self._grid:setCount(item[2])
self._priceLabel:setText(item[3])
if(item[4] == 1)then
self._discountImg:loadTexture("flag/ui_discountIco5.png", 1)
self._discountImg:setVisible(true)
elseif(item[4] == 2)then
self._discountImg:loadTexture("flag/ui_discountIcon6.png", 1)
self._discountImg:setVisible(true)
elseif(item[4] == 3)then
self._discountImg:loadTexture("flag/ui_discountIcon7.png", 1)
self._discountImg:setVisible(true)
elseif(item[4]  == 4)then
self._discountImg:loadTexture("flag/ui_discountIcon8.png", 1)
self._discountImg:setVisible(true)
elseif(item[4] == 5)then
self._discountImg:loadTexture("flag/ui_discountIco0.png", 1)
self._discountImg:setVisible(true)
elseif(item[4] == 6)then
self._discountImg:loadTexture("flag/ui_discountIcon1.png", 1)
self._discountImg:setVisible(true)
elseif(item[4] == 7)then
self._discountImg:loadTexture("flag/ui_discountIcon2.png", 1)
self._discountImg:setVisible(true)
elseif(item[4]  == 8)then
self._discountImg:loadTexture("flag/ui_discountIcon3.png", 1)
self._discountImg:setVisible(true)
elseif(item[4] == 9)then
self._discountImg:loadTexture("flag/ui_discountIcon4.png", 1)
self._discountImg:setVisible(true)
elseif(item[4] == 10)then
self._discountImg:setVisible(false)
else
self._discountImg:setVisible(false)
end
end
function DoubleElevenViewThreeItem:getInfo()
return self._info
end
function DoubleElevenViewThreeItem:dispose()
self._grid:dispose()
self._grid = nil
self._discountImg = nil
self._typeIcon = nil
self._nameLabel = nil
self._priceLabel = nil
self._info = nil
globalManager.ccCreator:release(self)
end
CombinedActive2Item = class("CombinedActive2Item",function(self)
local temp = globalManager.ccCreator:newJsonWidget("CombineActive4Item")
temp.cellBg        = temp:getChildByName("cell")
temp.cell          = BaseGrid:new()
temp.cellBg:addChild(temp.cell)
temp.selectLight   = temp:getChildByName("selectLight")
temp._info         = nil
return temp
end)
function CombinedActive2Item:ctor()
self.selectLight:setVisible(false)
self:initEvent()
end
function CombinedActive2Item:initEvent()
end
function CombinedActive2Item:removeEvent()
end
function CombinedActive2Item:setData(info)
self._info = info
local goodsTemplate = globalData.allTemplates.goodsTemplateList:getTemplate(info[1])
self.cell:setGoodsTempInfo(goodsTemplate)
self.cell:setCount(info[2])
end
function CombinedActive2Item:setSelected(value)
if(value)then
self.selectLight:setVisible(true)
else
self.selectLight:setVisible(false)
end
end
function CombinedActive2Item:dispose()
self:removeEvent()
self.cellBg  = nil
if(self.cell ~= nil)then
self.cell:dispose()
self.cell = nil
end
self.selectLight   = nil
self._info         = nil
globalManager.ccCreator:release(self)
end
OpenView1Item = class("OpenView1Item",function(self)
local temp = globalManager.ccCreator:newJsonWidget("openView1Item")
temp._fore_label = temp:getChildByName("fore_label")
temp._gold_label = temp:getChildByName("gold_label")
temp._itemList = {}
temp._gridList = {}
temp._selfInfo = nil
temp._id = 0
for i = 1,4,1 do
table.insert(temp._itemList,temp:getChildByName("item_bg"..i))
end
temp._accept_btn = temp:getChildByName("accept_btn")
temp._btnLabel = temp._accept_btn:getChildByName("btnLabel")
temp._count_label = temp:getChildByName("count_label")
temp._pop_icon = temp:getChildByName("pop_icon")
temp._num_label = temp._pop_icon:getChildByName("num_label")
temp._isAccept = false
temp._canAcceptCount = -1
temp:getChildByName("fore_label"):setText(globalManager.yuyanbaoManager:getYuyanbao("OpenView1Item.text1"))
temp:getChildByName("after_label"):setText(globalManager.yuyanbaoManager:getYuyanbao("PanelTabGroupType.text27"))
temp._btnLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel37"))
return temp
end)
function OpenView1Item:ctor()
self:initEvent()
end
function OpenView1Item:initEvent()
local clickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalData.messageAdder:getOpenAward(self._id)
end
end
self._accept_btn:addTouchEventListener(clickHandler)
end
function OpenView1Item:removeEvent()
end
function OpenView1Item:setData(info,isUpdate)
if(info.itemList == nil) then return end
if(isUpdate == nil or not isUpdate) then
self._gold_label:setText(info.conditionList ..globalManager.yuyanbaoManager:getYuyanbao("OpenView1Item.text4"))
for i = 1,4 do
if(info.itemList[i] ~= nil) then
local grid = GoodsInfoGrid:new()
grid:setGoodsTempInfo(globalData.allTemplates.goodsTemplateList:getTemplate(info.itemList[i][1]))
grid:setCount(info.itemList[i][2])
self._itemList[i]:addChild(grid)
table.insert(self._gridList,grid)
end
end
self._id = info.id
end
self._selfInfo = globalData.openInfo:getSelfInfoById(info.id)
local selfInfoCount = 0
local selfInfoSign = globalData.selfPlayerInfo.moneyInfo.chargeValue
if(self._selfInfo ~= nil) then
selfInfoCount =  self._selfInfo.count  --已领奖的次数
selfInfoSign = selfInfoSign - self._selfInfo.sign
else
selfInfoSign = 999999999
self._pop_icon:setEnabled(false)
self._accept_btn:loadTextureNormal("btn/ui_tabBtn1_5.png",1)
self._accept_btn:setTouchEnabled(false)
end
local tempInfoCount =  info.count       --领奖一共的次数
local tempInfoConditionList = tonumber(info.conditionList) --领奖的条件
if(selfInfoCount < tempInfoCount or self._selfInfo.count <= 0) then
local pre = math.floor(selfInfoSign / tempInfoConditionList)
self._canAcceptCount = math.min(pre,tempInfoCount)
self._canAcceptCount = self._canAcceptCount - selfInfoCount
if(self._canAcceptCount > 0) then
--还有count次可以领取
if(self._canAcceptCount > 1) then
self._num_label:setText(tostring(self._canAcceptCount))
else
self._pop_icon:setEnabled(false)
end
else
--不满足领取条件
self._pop_icon:setEnabled(false)
self._accept_btn:loadTextureNormal("btn/ui_tabBtn1_5.png",1)
self._accept_btn:setTouchEnabled(false)
end
else
self._accept_btn:setEnabled(false)--领取次数用完
self._pop_icon:setEnabled(false)
self._isAccept = true
end
if(selfInfoCount - tempInfoCount >= 0) then
self._count_label:setVisible(false)
else
self._count_label:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel69") .. tempInfoCount - selfInfoCount .. "/" .. tempInfoCount .. globalManager.yuyanbaoManager:getYuyanbao("SceneTryCopyLYPanel.text7"))
end
end
function OpenView1Item:getIsAccept()
return self._isAccept
end
function OpenView1Item:dispose()
self:removeEvent()
self._fore_label = nil
self._gold_label = nil
self._itemList = nil
if(self._gridList ~= nil) then
for __,grid in pairs(self._gridList) do
grid:dispose()
end
self._gridList = nil
end
self._selfInfo = nil
self._accept_btn = nil
self._btnLabel = nil
self._count_label = nil
self._pop_icon = nil
self._num_label = nil
globalManager.ccCreator:release(self)
end
OpenView2Item = class("OpenView2Item",function(self)
local temp = globalManager.ccCreator:newJsonWidget("openView1Item")
temp._fore_label = temp:getChildByName("fore_label")
temp._gold_label = temp:getChildByName("gold_label")
temp._itemList = {}
temp._gridList = {}
temp._selfInfo = nil
temp._id = 0
for i = 1,4,1 do
table.insert(temp._itemList,temp:getChildByName("item_bg"..i))
end
temp._accept_btn = temp:getChildByName("accept_btn")
temp._btnLabel = temp._accept_btn:getChildByName("btnLabel")
temp._count_label = temp:getChildByName("count_label")
temp._pop_icon = temp:getChildByName("pop_icon")
temp._num_label = temp._pop_icon:getChildByName("num_label")
temp._pop_icon:setEnabled(false)
temp._num_label:setEnabled(false)
temp._canAccept = false
temp._type = 0
temp._nameList = {globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel14"),globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel15"),globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel17"),globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel19"),globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel16"),globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel20"),globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel21")}
temp._isAccept = false
temp:getChildByName("fore_label"):setText(globalManager.yuyanbaoManager:getYuyanbao("OpenView2Item.text1"))
temp:getChildByName("after_label"):setText(globalManager.yuyanbaoManager:getYuyanbao("PanelTabGroupType.text27"))
temp._btnLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel37"))
return temp
end)
function OpenView2Item:ctor()
self:initEvent()
end
function OpenView2Item:initEvent()
local clickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
if(self._canAccept) then
globalData.messageAdder:getOpenAward(self._id)
else
if(self._type == 4) then
if(globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.petLevel) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel50"))
return
end
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab4,globalData.allStaticTypes.panelTabType.pet)
end
if(self._type == 5) then
if(globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.riderLevel) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel50"))
return
end
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab4,globalData.allStaticTypes.panelTabType.rider)
end
if(self._type == 6) then
if(globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.wingLevel) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel50"))
return
end
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.wing)
end
if(self._type == 7) then
if(globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.spriteLevel) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel50"))
return
end
globalData.uiPanelContainer:initTabs({globalData.allStaticTypes.panelTabType.sprite})
end
if(self._type == 8) then
if(globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.weaponLevel) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel50"))
return
end
globalData.uiPanelContainer:initTabs({globalData.allStaticTypes.panelTabType.god})
end
if(self._type == 21) then
if(globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.fazhenLevel) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel50"))
return
end
globalData.uiPanelContainer:initTabs({globalData.allStaticTypes.panelTabType.fazhen})
end
if(self._type == 22) then
if(globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.longhunLevel) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel50"))
return
end
globalData.uiPanelContainer:initTabs({globalData.allStaticTypes.panelTabType.longhun})
end
end
end
end
self._accept_btn:addTouchEventListener(clickHandler)
end
function OpenView2Item:removeEvent()
end
function OpenView2Item:setData(info,isUpdate)
if(info.itemList == nil) then return end
if(isUpdate == nil or not isUpdate) then
if(info.showType < 21)then
self._fore_label:setText(self._nameList[info.showType - 3])
else
self._fore_label:setText(self._nameList[info.showType - 15])
end
self._gold_label:setText(globalData.numList[math.ceil(info.conditionList / globalData.allTemplates.xiaofeiTemplateList.STAGE_PRE_STAR)] .. globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel45")..((info.conditionList - 1) % globalData.allTemplates.xiaofeiTemplateList.STAGE_PRE_STAR + 1)..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel68"))
for i = 1,4 do
if(info.itemList[i] ~= nil) then
local grid = GoodsInfoGrid:new()
grid:setGoodsTempInfo(globalData.allTemplates.goodsTemplateList:getTemplate(info.itemList[i][1]))
grid:setCount(info.itemList[i][2])
self._itemList[i]:addChild(grid)
table.insert(self._gridList,grid)
end
end
end
self._id = info.id
self._type = info.showType
self._selfInfo = globalData.openInfo:getSelfInfoById(info.id)
local selfStage = 0
if(self._type == 4) then
selfStage = globalData.petItemInfo.stage
elseif(self._type == 5) then
selfStage = globalData.riderItemInfo.stage
elseif(self._type == 6) then
selfStage = globalData.wingItemInfo.stage
elseif(self._type == 7) then
selfStage = globalData.spriteItemInfo.stage
elseif(self._type == 8) then
selfStage = globalData.godItemInfo.stage
elseif(self._type == 21) then
selfStage = globalData.fazhenItemInfo.stage
elseif(self._type == 22) then
selfStage = globalData.longhunItemInfo.stage
end
if(self._selfInfo == nil or self._selfInfo.count <= 0) then
if(tonumber(info.conditionList) > selfStage) then
self._accept_btn:loadTextureNormal("btn/ui_tabBtn1_3.png",1)
self._btnLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("OpenView2Item.text4"))
self._canAccept = false
else
self._canAccept = true
end
else
self._accept_btn:setTouchEnabled(false)
self._accept_btn:setVisible(false)
self._canAccept = false
self._isAccept = true
end
end
function OpenView2Item:getIsAccept()
return self._isAccept
end
function OpenView2Item:getStrengthLevel()
local info = EquipStrengthInfo:new()
for i=0,13 do
local goodsInfo = globalData.goodsInfoList:getGoods(i)
if(goodsInfo ~= nil and goodsInfo:getTemplate().categoryId ~= globalData.allStaticTypes.categoryType.FASHIONS)then
table.insert(info.equipList, goodsInfo)
end
end
info:update()
info.equipList = nil
return info.strengthLevel
end
function OpenView2Item:dispose()
self:removeEvent()
self._fore_label = nil
self._gold_label = nil
self._itemList = nil
if(self._gridList ~= nil) then
for __,grid in pairs(self._gridList) do
grid:dispose()
end
self._gridList = nil
end
self._selfInfo = nil
self._accept_btn = nil
self._btnLabel = nil
self._count_label = nil
self._pop_icon = nil
self._num_label = nil
self._nameList = nil
globalManager.ccCreator:release(self)
end
OpenView4Item = class("OpenView4Item",function(self,type)
local temp = nil
if(type == 1) then
temp = globalManager.ccCreator:newJsonWidget("openView4Item1")
temp._limitednum = temp:getChildByName("numlabel1")
temp._disCountIcon = temp:getChildByName("discount1Img")
temp:getChildByName("limitedlabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("OpenView4Item.text1"))
else
temp = globalManager.ccCreator:newJsonWidget("openView4Item2")
temp._disCountIcon = temp:getChildByName("discount2Img")
end
temp._disCountIcon:setVisible(false)
temp._type = type
temp._oriGoldnum = temp:getChildByName("numlabel2")
temp._discountnum = temp:getChildByName("numlabel3")
temp._perttylabel = temp:getChildByName("perttylabel")
temp._buyBTN = temp:getChildByName("bugBTN")
temp._buy_btnLabel = temp._buyBTN:getChildByName("bug_btnLabel")
temp._openView4item = temp:getChildByName("openView4item")
temp._grid = nil
temp._selfInfo = nil
temp:getChildByName("ori_pricelabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("OpenView4Item.text2"))
temp:getChildByName("discountlabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("OpenView4Item.text3"))
temp._buy_btnLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel10"))
return temp
end)
function OpenView4Item:ctor()
self._grid = GoodsInfoGrid:new()
self._openView4item:addChild(self._grid)
self:initEvent()
end
function OpenView4Item:initEvent()
local numCallBack = function(shopGoodsTemplate,count)
if(count <= 0)then
return globalManager.yuyanbaoManager:getYuyanbao("QuickBuyPanel.text1")
elseif(count > self._selfInfo.canBuy)then
return globalManager.yuyanbaoManager:getYuyanbao("OpenView4Item.text6")
elseif(not globalManager.goodsInfoTester:shopGoodsMoneyCheck(shopGoodsTemplate, count, true))then
--这里，在金钱检测里面输出了信息，因此返回nil，在NumberPanel里面不输出错误信息
return nil
end
globalData.messageAdder:sendShopDiscountBuy(self._selfInfo.type,shopGoodsTemplate.shopId,count)
return nil
end
local clickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
--        	local canBuy = 1
local canBuy = 999
if(self._type == 1) then
canBuy = self._selfInfo.canBuy
end
globalManager.containerManager:getNumberPanel():showShopGoodsTemplate(self._selfInfo.shopGoodsTemplate,numCallBack,false,canBuy)
end
end
self._buyBTN:addTouchEventListener(clickHandler)
end
function OpenView4Item:removeEvent()
end
function OpenView4Item:setData(info)
self._selfInfo = info
local goodsInfo = info.shopGoodsTemplate:getGoodsTemplate()
self._perttylabel:setText(goodsInfo.name)
self._perttylabel:setColor(globalData.allStaticTypes.colorType:getColorByQuality(goodsInfo:getQuality()))
if(self._type == 1) then
self._limitednum:setText(info.canBuy ..globalManager.yuyanbaoManager:getYuyanbao("FiveEquipTip.text14"))
self._selfInfo:addEventListener(globalData.globalEventType.shop_discountCount, self.countUpdateHandler, self)
end
self._oriGoldnum:setText(info.shopGoodsTemplate.oldPrice)
self._discountnum:setText(info.shopGoodsTemplate.price)
self._grid:setGoodsTempInfo(goodsInfo)
if(info.canBuy <= 0 ) then
self._buyBTN:loadTextureNormal("btn/ui_tabBtn1_5.png",1)
self._buyBTN:setTouchEnabled(false)
end
if(info.shopGoodsTemplate.priceOff == 6)then
self._disCountIcon:loadTexture("flag/ui_discountIcon1.png", 1)
self._disCountIcon:setVisible(true)
elseif(info.shopGoodsTemplate.priceOff == 7)then
self._disCountIcon:loadTexture("flag/ui_discountIcon2.png", 1)
self._disCountIcon:setVisible(true)
elseif(info.shopGoodsTemplate.priceOff == 8)then
self._disCountIcon:loadTexture("flag/ui_discountIcon3.png", 1)
self._disCountIcon:setVisible(true)
elseif(info.shopGoodsTemplate.priceOff == 10)then
self._disCountIcon:setVisible(false)
end
end
function OpenView4Item:countUpdateHandler()
self._limitednum:setText(self._selfInfo.canBuy .. globalManager.yuyanbaoManager:getYuyanbao("FiveEquipTip.text14"))
end
function OpenView4Item:dispose()
self:removeEvent()
self._limitednum = nil
self._type = nil
self._oriGoldnum = nil
self._discountnum = nil
self._perttylabel = nil
self._buyBTN = nil
self._buy_btnLabel = nil
self._disCountIcon = nil
if(self._selfInfo ~= nil) then
self._selfInfo:removeEventListener(globalData.globalEventType.shop_discountCount, self.countUpdateHandler, self)
self._selfInfo = nil
end
self._openView4item = nil
if(self._grid ~= nil) then
self._grid:dispose()
self._grid = nil
end
globalManager.ccCreator:release(self)
end
OpenView5Item = class("OpenView5Item",function(self)
local temp = globalManager.ccCreator:newJsonWidget("openView5Item")
temp._consumeItem = temp:getChildByName("consumeItem")
temp._rankItem = temp:getChildByName("rankItem")
temp._itemList = {}
temp._gridList = {}
temp._id = 0
for i = 1,3,1 do
table.insert(temp._itemList,temp:getChildByName("openView5item" ..i))
end
temp._autolabel  = temp:getChildByName("autolabel")
temp._receiveBTN = temp:getChildByName("receiveBTN")
temp._pop_icon   = temp:getChildByName("pop_icon")
temp._num_label  = temp._pop_icon:getChildByName("num_label")
temp._hasgot_icon = temp:getChildByName("hasgot_icon")
temp._richLabel1  = nil
temp._richLabel2  = nil
temp._selfInfo = nil
temp._isAccept = false
temp._receiveBTN:getChildByName("receive_btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel37"))
return temp
end)
function OpenView5Item:ctor()
self:initEvent()
end
function OpenView5Item:initEvent()
local clickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalData.messageAdder:getOpenAward(self._id)
end
end
self._receiveBTN:addTouchEventListener(clickHandler)
end
function OpenView5Item:removeEvent()
end
function OpenView5Item:setData(info,isUpdate)
if(info.itemList == nil) then return  end
if(isUpdate == nil or not isUpdate) then
for i = 1,3 do
if(info.itemList[i] ~= nil) then
local grid = GoodsInfoGrid:new()
grid:setGoodsTempInfo(globalData.allTemplates.goodsTemplateList:getTemplate(info.itemList[i][1]))
grid:setCount(info.itemList[i][2])
self._itemList[i]:addChild(grid)
table.insert(self._gridList,grid)
end
end
self._richLabel1 = globalManager.ccCreator:newRichLabel2(string.format(globalManager.yuyanbaoManager:getYuyanbao("OpenView5Item.text2"),info.conditionList),200)
self._consumeItem:addChild(self._richLabel1)
end
self._id = info.id
self._selfInfo = globalData.openInfo:getSelfInfoById(info.id)
local selfInfoPayValue  =  globalData.selfPlayerInfo.moneyInfo.payValue   --消耗的积分
local tempInfoConditionList = tonumber(info.conditionList)                     --领奖的条件
local num = math.floor(selfInfoPayValue / tempInfoConditionList)
local selfInfoCount = 0
if(self._selfInfo ~= nil) then
selfInfoCount =  self._selfInfo.count  --已领奖的次数
selfInfoPayValue = selfInfoPayValue - self._selfInfo.sign
end
local tempInfoCount =  info.count       --领奖一共的次数
if(selfInfoCount <= tempInfoCount) then
local pre = math.floor(selfInfoPayValue / tempInfoConditionList)
local count = pre - selfInfoCount
if(count > 0) then
if(count > 1) then
self._num_label:setText(tostring(math.min(count,tempInfoCount)))
else
self._pop_icon:setEnabled(false)
end
else
self._richLabel2 = globalManager.ccCreator:newRichLabel2(string.format(globalManager.yuyanbaoManager:getYuyanbao("OpenView5Item.text3"),tostring(tempInfoConditionList * (selfInfoCount + 1) - selfInfoPayValue)),200)
self._rankItem:addChild(self._richLabel2)
self._pop_icon:setEnabled(false)
self._receiveBTN:loadTextureNormal("btn/ui_tabBtn1_5.png",1)
self._receiveBTN:setTouchEnabled(false)
self._hasgot_icon:setEnabled(false)
end
else
self._receiveBTN:setEnabled(false)
self._pop_icon:setEnabled(false)
self._autolabel:setEnabled(false)
self._isAccept = true
end
end
function OpenView5Item:getIsAccept()
return self._isAccept
end
function OpenView5Item:dispose()
self:removeEvent()
self._listPanel = nil
self._consumeItem = nil
self._rankItem = nil
self._itemList = nil
self._gridList = {}
if(self._gridList ~= nil) then
for __,grid in pairs(self._gridList) do
grid:dispose()
end
self._gridList = nil
end
self._autolabel  = nil
self._receiveBTN = nil
self._receive_btnLabel = nil
self._pop_icon   = nil
self._num_label  = nil
self._selfInfo = nil
self._hasgot_icon = nil
if(self._richLabel1 ~= nil) then
self._richLabel1:dispose()
self._richLabel1 = nil
end
if(self._richLabel2 ~= nil) then
self._richLabel2:dispose()
self._richLabel2 = nil
end
globalManager.ccCreator:release(self)
end
OpenView6Item = class("OpenView6Item",function(self,index,type)
local temp = globalManager.ccCreator:newJsonWidget("openView6Item")
temp._fore_label = temp:getChildByName("fore_label")
temp._rank_label = temp:getChildByName("rank_label")
temp._nametwo = temp:getChildByName("rankNum")
temp._nameone = temp:getChildByName("after_label_Copy0")
temp._clickBtn1 = temp:getChildByName("clickBtn1")
temp._clickBtn2 = temp:getChildByName("click_btn_Copy0")
temp._img1      = temp:getChildByName("img1")
temp._img2      = temp:getChildByName("img2")
temp._itemList = {}
temp._gridList = {}
temp._index = index
temp._type  = type
temp._goodsInfos = {}
for i = 1,4,1 do
table.insert(temp._itemList,temp:getChildByName("item_bg"..i))
end
temp._nameList = {
globalManager.yuyanbaoManager:getYuyanbao("OpenView6Item.text1"),
globalManager.yuyanbaoManager:getYuyanbao("OpenView6Item.text2"),
globalManager.yuyanbaoManager:getYuyanbao("OpenView6Item.text3"),
globalManager.yuyanbaoManager:getYuyanbao("OpenView6Item.text4"),
globalManager.yuyanbaoManager:getYuyanbao("OpenView6Item.text5"),
globalManager.yuyanbaoManager:getYuyanbao("OpenView6Item.text6"),
globalManager.yuyanbaoManager:getYuyanbao("OpenView6Item.text7")
}
temp._userId1 = 0
temp._userId2 = 0
temp:getChildByName("after_label"):setText(globalManager.yuyanbaoManager:getYuyanbao("OpenView6Item.text8"))
return temp
end)
function OpenView6Item:ctor()
self:initEvent()
end
function OpenView6Item:initEvent()
local function buttonTouchHandler1(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
globalData.messageAdder:infoQuery(self._userId1,0)
end
end
local function buttonTouchHandler2(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
globalData.messageAdder:infoQuery(self._userId2,0)
end
end
self._clickBtn1:addTouchEventListener(buttonTouchHandler1)
self._clickBtn2:addTouchEventListener(buttonTouchHandler2)
end
function OpenView6Item:removeEvent()
end
function OpenView6Item:setData(info)
if(info.itemList == nil) then return end
local rankList = nil
if(self._type < 23)then
rankList = globalData.openInfo.rankInfoList[self._type - 1]  --服务器用type比客户端用的showtype多1
elseif(self._type == 23)then
rankList = globalData.openInfo.rankInfoList[31]
elseif(self._type == 24)then
rankList = globalData.openInfo.rankInfoList[30]
end
local conditionList = globalManager.messageUtils:splitStringToInt(info.conditionList,",")
if(self._type < 23)then
self._fore_label:setText(self._nameList[info.showType - 8])
else
self._fore_label:setText(self._nameList[info.showType - 17])
end
if(#conditionList == 1)then
self._rank_label:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("OpenView6Item.text11"),string.gsub(info.conditionList,",","-")))
if(rankList ~= nil)then
self._nameone:setText(rankList[1].nick)
self._userId1 = rankList[1].userId
else
self._nameone:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel75"))
end
self._nametwo:setEnabled(false)
self._clickBtn2:setEnabled(false)
self._img2:setEnabled(false)
elseif(#conditionList == 2)then
self._rank_label:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("OpenView6Item.text11"),string.gsub(info.conditionList,",","-")))
if(rankList ~= nil)then
if(rankList[2] ~= nil)then
self._nameone:setText(rankList[2].nick)
else
self._nameone:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel75"))
end
if(rankList[3] ~= nil)then
self._nametwo:setText(rankList[3].nick)
else
self._nametwo:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel75"))
end
self._userId1 = rankList[2].userId
self._userId2 = rankList[3].userId
else
self._nameone:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel75"))
self._nametwo:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel75"))
self._clickBtn1:setEnabled(false)
self._clickBtn2:setEnabled(false)
end
elseif(#conditionList == 3)then
self._rank_label:setText(globalManager.yuyanbaoManager:getYuyanbao("OpenView6Item.text9"))
if(self._type < 23)then
self._nameone:setText(self._nameList[info.showType - 8]..globalManager.yuyanbaoManager:getYuyanbao("OpenView6Item.text10"))
else
self._nameone:setText(self._nameList[info.showType - 17]..globalManager.yuyanbaoManager:getYuyanbao("OpenView6Item.text10"))
end
self._nameone:setPositionX(135)
self._nameone:setColor(globalData.allStaticTypes.colorType.TIPTITLE_COLOR)
self._nametwo:setEnabled(false)
self._clickBtn1:setEnabled(false)
self._clickBtn2:setEnabled(false)
self._img1:setEnabled(false)
self._img2:setEnabled(false)
end
local index = 1
for __,item in pairs(info.itemList) do
if(item[3] == nil or item[3] == 0 or item[3] == globalData.allStaticTypes.careerType:getCareer(globalData.selfPlayerInfo.career)) then   --自己的职业，或者不分职业的物品筛选
local grid = GoodsInfoGrid:new()
local goodsinfo = GoodsInfo:new()
goodsinfo:setTemplateId(item[1])
goodsinfo.count = item[2]
if(item[4] ~= nil) then
goodsinfo:updateStrengthLevel(item[4])
end
if(item[5] ~= nil) then
goodsinfo.stage = item[5]
end
table.insert(self._goodsInfos,goodsinfo)
grid:setGoodsInfo(goodsinfo)
self._itemList[index]:addChild(grid)
table.insert(self._gridList,grid)
index = index + 1
end
end
end
function OpenView6Item:dispose()
self:removeEvent()
self._fore_label = nil
self._rank_label = nil
self._nametwo = nil
self._nameone = nil
self._itemList = nil
self._clickBtn1 = nil
self._clickBtn2 = nil
self._img1 = nil
self._img2 = nil
for __,info in pairs(self._goodsInfos) do
info:dispose()
end
self._goodsInfos = nil
if(self._gridList ~= nil) then
for __,grid in pairs(self._gridList) do
grid:dispose()
end
self._gridList = nil
end
self._index = nil
self._nameList = nil
globalManager.ccCreator:release(self)
end
OpenView6sItem = class("OpenView6sItem",function(self,index,rankInfo,type)
local temp = globalManager.ccCreator:newJsonWidget("commonRankItem")
temp.rankInfo    = rankInfo
temp.type        = type
temp.index       = index
temp.flagIcon    = temp:getChildByName("flagIcon")
temp.flagNumber  = temp:getChildByName("flagNumber")
temp.cellBg      = temp:getChildByName("cell")
temp.cell        = BaseGrid:new()
temp.cellBg:addChild(temp.cell)
temp.nameLabel   = temp:getChildByName("nameLabel")
temp.playerName  = temp:getChildByName("playerName")
temp.fightLabel  = temp:getChildByName("fightLabel")
temp.playerNameLabel = temp:getChildByName("playerNameLabel")
temp.fightValue  = temp:getChildByName("fightValue")
temp.rankIcon = temp:getChildByName("rankIcon")
temp._character  = nil
temp._characterInfo = nil
temp.flagPath1   = globalManager.pathManager:getUISource("outPic/ui_newRankFight.png")
temp.flagPath2   = globalManager.pathManager:getUISource("outPic/ui_newRankGold.png")
temp.playerName:setText(globalManager.yuyanbaoManager:getYuyanbao("OpenView6sItem.text1"))
temp.fightLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("MarryApplyPanel.text2"))
return temp
end)
function OpenView6sItem:ctor()
self:initEvent()
self.rankIcon:loadTexture("icon/ui_copyNo"..self.index..".png",1)
end
function OpenView6sItem:initEvent()
end
function OpenView6sItem:removeEvent()
end
function OpenView6sItem:setData(info)
if(self._character ~= nil)then
self._character:dispose()
end
if(self._characterInfo ~= nil) then
self._characterInfo:dispose()
end
if(info.showType == 10 or info.showType == 13 or info.showType == 23 or info.showType == 24)then
self.cellBg:setVisible(true)
self.cell:setGoodsTempInfo(globalData.allTemplates.goodsTemplateList:getTemplate(info.itemList[1][1]))
self.cell:setCount(info.itemList[1][2])
elseif(info.showType == 9)then
self.cellBg:setVisible(false)
self._characterInfo = CharacterInfo:new(globalData.allStaticTypes.sourceStaticType.player)
self._characterInfo.showDefaultCloth = false
self._characterInfo:setStyleBin(3,tonumber(info.showList[1]))
self._characterInfo:setDefaultAnima(globalData.allStaticTypes.animaInfoList.stand2)
self._character = BaseCharacter:new(self._characterInfo)
self._character:show(globalData.allStaticTypes.directType.bottom)
self._character:setPosition(globalManager.ccCreator:newPoint(tonumber(info.showList[2]),tonumber(info.showList[3])))
self:addNode(self._character)
elseif(info.showType == 12)then
self.cellBg:setVisible(false)
self._characterInfo = CharacterInfo:new(globalData.allStaticTypes.sourceStaticType.pet)
self._characterInfo:setStyleBin(1,globalData.allTemplates.petTemplateList:getTemplate(tonumber(info.showList[1])):getShowPath())
self._characterInfo:setDefaultAnima(globalData.allStaticTypes.animaInfoList.petStand)
self._character = BaseCharacter:new(self._characterInfo)
self._character:setScale(1.5)
self._character:show(globalData.allStaticTypes.directType.bottom)
self._character:setPosition(globalManager.ccCreator:newPoint(tonumber(info.showList[2]),tonumber(info.showList[3])))
self:addNode(self._character)
elseif(info.showType == 11)then
self.cellBg:setVisible(false)
local tempInfo = globalData.allTemplates.xiaofeiTemplateList:getTemplate(globalData.allStaticTypes.petXiaofeiType.CHIBANG,tonumber(info.showList[1]))
self._character = globalManager.effectCreator:create(tonumber(tempInfo:getShowPath()),nil,nil,false)
if(self._character ~= nil) then
self._character:move2(self,tonumber(info.showList[2]),tonumber(info.showList[3]))
self:addNode(self._character)
self._character:play()
end
end
if(info.showType == 10 or info.showType == 13 or info.showType == 23 or info.showType == 24)then
globalManager.sourceCacheManager:setImage(self.flagIcon,self.flagPath2,globalData.allStaticTypes.sourceStaticType.clearFiveM)
if(tonumber(info.showList[4]) > 10000)then
self.flagNumber:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("OpenView6sItem.text2"),tonumber(info.showList[4]) / 10000))
else
self.flagNumber:setText(tonumber(info.showList[4]))
end
else
globalManager.sourceCacheManager:setImage(self.flagIcon,self.flagPath1,globalData.allStaticTypes.sourceStaticType.clearFiveM)
if(tonumber(info.showList[4]) > 10000)then
self.flagNumber:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("OpenView6sItem.text2"),tonumber(info.showList[4]) / 10000))
else
self.flagNumber:setText(tonumber(info.showList[4]))
end
end
self.nameLabel:setText(globalData.allTemplates.goodsTemplateList:getTemplate(info.itemList[1][1]).name .. "X" .. info.itemList[1][2])
if(self.rankInfo == nil or self.rankInfo == "")then
self.playerNameLabel:setText("")
self.fightValue:setText("")
else
if(self.rankInfo[self.index] == nil or self.rankInfo[self.index] == "")then
self.playerNameLabel:setText("")
self.fightValue:setText("")
else
self.playerNameLabel:setText(self.rankInfo[self.index].nick)
self.fightValue:setText(self.rankInfo[self.index].fight)
end
end
end
function OpenView6sItem:dispose()
self:removeEvent()
self.cellBg  = nil
if(self.cell ~= nil)then
self.cell:dispose()
self.cell = nil
end
self.rankLabel   = nil
self.flagIcon    = nil
self.flagNumber  = nil
self.nameLabel   = nil
self.playerName  = nil
self.fightLabel  = nil
self.playerNameLabel = nil
self.fightValue  = nil
self.rankInfo    = nil
self.type        = nil
self.index       = nil
self.rankIcon = nil
if(self.flagPath1 ~= nil)then
globalManager.sourceCacheManager:removeQuote(self.flagPath1)
self.flagPath1 = nil
end
if(self.flagPath2 ~= nil)then
globalManager.sourceCacheManager:removeQuote(self.flagPath2)
self.flagPath2 = nil
end
if(self._character ~= nil)then
self._character:dispose()
self._character = nil
end
if(self._characterInfo ~= nil) then
self._characterInfo:dispose()
self._characterInfo = nil
end
globalManager.ccCreator:release(self)
end
OpenView7Item = class("OpenView7Item",function(self)
local temp = globalManager.ccCreator:newJsonWidget("openView7Item")
temp._goodsName = temp:getChildByName("goodsName")
temp._exchangeBTN = temp:getChildByName("exchangeBTN")
temp._hasExchange = temp:getChildByName("hasExchange")
temp._hasExchange:setVisible(false)
temp._exchangeInfo = {}
temp._itemList = {}
temp._gridList = {}
self._id = -1
for i = 1,3,1 do
table.insert(temp._itemList,temp:getChildByName("item_bg"..i))
end
temp._isAccept = false
temp.isCan = 0
temp._exchangeBTN:getChildByName("exchangeLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel57"))
return temp
end)
function OpenView7Item:ctor()
self:initEvent()
end
function OpenView7Item:initEvent()
local clickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
local hasExchangeNum = globalData.goodsExchangeList:getExchangeItemData(self._id)
if(hasExchangeNum == nil)then hasExchangeNum = 0 end
local goods1 = globalData.goodsInfoList:getGoodsCount(self._exchangeInfo.materialIds[1].goodsTemplateId,1)
local goods2 = globalData.goodsInfoList:getGoodsCount(self._exchangeInfo.materialIds[2].goodsTemplateId,1)
goods2 = globalData.allStaticTypes.categoryType:getTypeMoneyByType(self._exchangeInfo.materialIds[2].goodsTemplateId,goods2)
if(goods1 >= self._exchangeInfo.materialIds[1].count and goods2 >= self._exchangeInfo.materialIds[2].count and (hasExchangeNum < self._exchangeInfo.limitCount or self._exchangeInfo.limitCount == 0)) then
globalData.messageAdder:goodsExchange(self._id,1)
else
self._exchangeBTN:loadTextureNormal("btn/ui_tabBtn1_5.png",1)
self._exchangeBTN:setTouchEnabled(false)
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("OpenView7Item.text2"))
end
end
end
self._exchangeBTN:addTouchEventListener(clickHandler)
globalData.goodsExchangeList:addEventListener(globalData.globalEventType.playerInfo_goodsExchange,self.exchangeHandler,self)
end
function OpenView7Item:removeEvent()
globalData.goodsExchangeList:removeEventListener(globalData.globalEventType.playerInfo_goodsExchange,self.exchangeHandler,self)
end
function OpenView7Item:exchangeHandler()
local hasExchange = globalData.goodsExchangeList:hasItemData(self._id)
local hasExchangeNum = globalData.goodsExchangeList:getExchangeItemData(self._exchangeInfo.id)
if(hasExchangeNum == nil)then hasExchangeNum = 0 end
if(hasExchange and hasExchangeNum >= self._exchangeInfo.limitCount and self._exchangeInfo.limitCount > 0)then
self._exchangeBTN:setEnabled(false)
self._hasExchange:setVisible(true)
self._isAccept = true
else
self._isAccept = false
end
end
function OpenView7Item:getState()
return self._isAccept
end
function OpenView7Item:setData(info)
if(info == nil) then return end
self._id = info.id
self._exchangeInfo = info
local templateInfo = globalData.allTemplates.goodsTemplateList:getTemplate(self._exchangeInfo.productIds[1].goodsTemplateId)
self._goodsName:setText(templateInfo.name)
self._goodsName:setColor(globalData.allStaticTypes.colorType:getColorByQuality(templateInfo.quality))
for i = 1,2 do
if(self._exchangeInfo.materialIds[i] ~= nil) then
local grid = GoodsInfoGrid:new()
grid:setGoodsTempInfo(globalData.allTemplates.goodsTemplateList:getTemplate(self._exchangeInfo.materialIds[i].goodsTemplateId))
self._itemList[i]:addChild(grid)
grid:setCount(self._exchangeInfo.materialIds[i].count)
table.insert(self._gridList,grid)
end
end
if(self._exchangeInfo.productIds[1] ~= nil) then
local grid = GoodsInfoGrid:new()
grid:setGoodsTempInfo(globalData.allTemplates.goodsTemplateList:getTemplate(self._exchangeInfo.productIds[1].goodsTemplateId))
grid:setCount(self._exchangeInfo.productIds[1].count)
self._itemList[3]:addChild(grid)
table.insert(self._gridList,grid)
end
local hasExchangeNum = globalData.goodsExchangeList:getExchangeItemData(info.id)
if(hasExchangeNum == nil)then hasExchangeNum = 0 end
local goods1 = globalData.goodsInfoList:getGoodsCount(self._exchangeInfo.materialIds[1].goodsTemplateId,1)
local goods2 = globalData.goodsInfoList:getGoodsCount(self._exchangeInfo.materialIds[2].goodsTemplateId,1)
goods2 = globalData.allStaticTypes.categoryType:getTypeMoneyByType(self._exchangeInfo.materialIds[2].goodsTemplateId,goods2)
if(goods1 < self._exchangeInfo.materialIds[1].count or goods2 < self._exchangeInfo.materialIds[2].count or (hasExchangeNum >= info.limitCount and info.limitCount > 0)) then
self._exchangeBTN:loadTextureNormal("btn/ui_tabBtn1_5.png",1)
self._exchangeBTN:setTouchEnabled(false)
end
self:exchangeHandler()
end
function OpenView7Item:isCanItem()
return self.isCan
end
function OpenView7Item:dispose()
self:removeEvent()
self._goodsName = nil
self._exchangeBTN = nil
self._hasExchange = nil
self._exchangeInfo = nil
self._itemList = nil
if(self._gridList ~= nil) then
for __,grid in pairs(self._gridList) do
grid:dispose()
end
self._gridList = nil
end
globalManager.ccCreator:release(self)
end
OpenView8Item = class("OpenView8Item",function(self,stage,type)
local temp = globalManager.ccCreator:newJsonWidget("openView8Item")
temp._kindsLabel = temp:getChildByName("kindsLabel")
temp._completeLabel = temp:getChildByName("completeLabel")
temp._exchangeBTN1 = temp:getChildByName("exchangeBTN")
temp._exchangeBTN2 = temp:getChildByName("exchangeBTN_Copy0")
temp._exchangeBTN3 = temp:getChildByName("exchangeBTN_Copy1")
temp._reciveIMG1 = temp:getChildByName("reciveIMG1")
temp._reciveIMG1:setVisible(false)
temp._reciveIMG2 = temp:getChildByName("reciveIMG2")
temp._reciveIMG2:setVisible(false)
temp._reciveIMG3 = temp:getChildByName("reciveIMG3")
temp._reciveIMG3:setVisible(false)
temp._nameList = {globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel15"),globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel17"),globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel14"),globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel19"),globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel16"),globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel21"),globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel20")}
temp._itemList = {}
for i = 1,3,1 do
table.insert(temp._itemList,temp:getChildByName("item_bg"..i))
end
temp._gridList = {}
temp._stage = stage
temp._type = type
temp._selfInfo = {}
temp._infoItem = {}
temp._currentLevel = nil
temp._isAccept = false
temp:getChildByName("Label_306716"):setText(globalManager.yuyanbaoManager:getYuyanbao("OpenView8Item.text1"))
temp:getChildByName("Label_306718"):setText(globalManager.yuyanbaoManager:getYuyanbao("OpenView8Item.text2"))
temp:getChildByName("Label_306718_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("OpenView8Item.text3"))
temp:getChildByName("Label_306718_Copy1"):setText(globalManager.yuyanbaoManager:getYuyanbao("OpenView8Item.text4"))
temp._exchangeBTN1:getChildByName("exchangeLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel37"))
temp._exchangeBTN2:getChildByName("exchangeLabel0"):setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel37"))
temp._exchangeBTN3:getChildByName("exchangeLabel1"):setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel37"))
return temp
end)
function OpenView8Item:ctor()
self._currentLevel = globalData.selfPlayerInfo.vipLevel
self:initEvent()
end
function OpenView8Item:initEvent()
local click1Handler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
if(self._currentLevel >= 1 and self._stage >= globalManager.messageUtils:splitStringToInt(self._infoItem[1].conditionList,",")[2] and (globalData.openInfo:getSelfInfoById(self._selfInfo[1]) == nil or globalData.openInfo:getSelfInfoById(self._selfInfo[1]).count < self._infoItem[1].count)) then
self._exchangeBTN1:setEnabled(false)
self._reciveIMG1:setVisible(true)
globalData.messageAdder:getOpenAward(self._infoItem[1].id)
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("OpenView8Item.text6"))
end
end
end
self._exchangeBTN1:addTouchEventListener(click1Handler)
local click2Handler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
if(self._currentLevel >= 3 and self._stage >= globalManager.messageUtils:splitStringToInt(self._infoItem[1].conditionList,",")[2] and (globalData.openInfo:getSelfInfoById(self._selfInfo[2]) == nil or globalData.openInfo:getSelfInfoById(self._selfInfo[2]).count < self._infoItem[2].count)) then
self._exchangeBTN2:setEnabled(false)
self._reciveIMG2:setVisible(true)
globalData.messageAdder:getOpenAward(self._infoItem[2].id)
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("OpenView8Item.text6"))
end
end
end
self._exchangeBTN2:addTouchEventListener(click2Handler)
local click3Handler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
if(self._currentLevel >= 5 and self._stage >= globalManager.messageUtils:splitStringToInt(self._infoItem[1].conditionList,",")[2] and (globalData.openInfo:getSelfInfoById(self._selfInfo[3]) == nil or globalData.openInfo:getSelfInfoById(self._selfInfo[3]).count < self._infoItem[3].count)) then
self._exchangeBTN3:setEnabled(false)
self._reciveIMG3:setVisible(true)
globalData.messageAdder:getOpenAward(self._infoItem[3].id)
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("OpenView8Item.text6"))
end
end
end
self._exchangeBTN3:addTouchEventListener(click3Handler)
end
function OpenView8Item:removeEvent()
end
function OpenView8Item:setData(info1,info2,info3)
if(info1.itemList == nil or self._stage == nil) then return end
local condition1 = globalManager.messageUtils:splitStringToInt(info1.conditionList,",")
local index = 0
if(self._type > 18)then
index = self._type - 26
else
index = self._type - 12
end
self._kindsLabel:setText(self._nameList[index] .. globalData.numList[math.ceil(condition1[1] / globalData.allTemplates.xiaofeiTemplateList.STAGE_PRE_STAR)]..string.format(globalManager.yuyanbaoManager:getYuyanbao("OpenView8Item.text7"),((condition1[1] - 1) % globalData.allTemplates.xiaofeiTemplateList.STAGE_PRE_STAR + 1),condition1[2]))
self._completeLabel:setText(self._stage .. "/" .. condition1[2])
table.insert(self._infoItem, info1)
table.insert(self._infoItem, info2)
table.insert(self._infoItem, info3)
local sortFunc = function(info1,info2)
return globalManager.messageUtils:splitStringToInt(info1.conditionList,",")[3] < globalManager.messageUtils:splitStringToInt(info2.conditionList,",")[3]
end
table.sort(self._infoItem, sortFunc)
table.insert(self._selfInfo,self._infoItem[1].id)
table.insert(self._selfInfo,self._infoItem[2].id)
table.insert(self._selfInfo,self._infoItem[3].id)
if(self._currentLevel < 1 or self._stage < globalManager.messageUtils:splitStringToInt(self._infoItem[1].conditionList,",")[2] ) then
self._exchangeBTN1:loadTextureNormal("btn/ui_tabBtn1_5.png",1)
self._exchangeBTN1:setTouchEnabled(false)
end
if(self._currentLevel < 3 or self._stage < globalManager.messageUtils:splitStringToInt(self._infoItem[2].conditionList,",")[2]) then
self._exchangeBTN2:loadTextureNormal("btn/ui_tabBtn1_5.png",1)
self._exchangeBTN2:setTouchEnabled(false)
end
if(self._currentLevel < 5 or self._stage < globalManager.messageUtils:splitStringToInt(self._infoItem[3].conditionList,",")[2]) then
self._exchangeBTN3:loadTextureNormal("btn/ui_tabBtn1_5.png",1)
self._exchangeBTN3:setTouchEnabled(false)
end
for i = 1,3 do
local grid = GoodsInfoGrid:new()
grid:setGoodsTempInfo(globalData.allTemplates.goodsTemplateList:getTemplate(self._infoItem[i].itemList[1][1]))
grid:setCount(self._infoItem[i].itemList[1][2])
self._itemList[i]:addChild(grid)
table.insert(self._gridList,grid)
end
local info1 = globalData.openInfo:getSelfInfoById(self._selfInfo[1])
local info2 = globalData.openInfo:getSelfInfoById(self._selfInfo[2])
local info3 = globalData.openInfo:getSelfInfoById(self._selfInfo[3])
if(info1 ~= nil) then
if(info1.count >= self._infoItem[1].count) then
self._exchangeBTN1:setEnabled(false)
self._reciveIMG1:setVisible(true)
end
end
if(info2 ~= nil) then
if(info2.count >= self._infoItem[2].count) then
self._exchangeBTN2:setEnabled(false)
self._reciveIMG2:setVisible(true)
end
end
if(info3 ~= nil) then
if(info3.count >= self._infoItem[3].count) then
self._exchangeBTN3:setEnabled(false)
self._reciveIMG3:setVisible(true)
self._isAccept = true
end
end
end
function OpenView8Item:updateData(info)
local index = globalManager.commonUtils:getIndexOfTable(self._selfInfo,info.id)
if(index == 1) then
if(globalData.openInfo:getSelfInfoById(self._selfInfo[1]).count >= self._infoItem[1].count) then
self._exchangeBTN1:setEnabled(false)
self._reciveIMG1:setVisible(true)
end
elseif(index == 2) then
if(globalData.openInfo:getSelfInfoById(self._selfInfo[2]).count >= self._infoItem[2].count) then
self._exchangeBTN2:setEnabled(false)
self._reciveIMG2:setVisible(true)
end
elseif(index == 3) then
if(globalData.openInfo:getSelfInfoById(self._selfInfo[3]).count >= self._infoItem[3].count) then
self._exchangeBTN3:setEnabled(false)
self._reciveIMG3:setVisible(true)
self._isAccept = true
end
end
end
function OpenView8Item:getIsAccept()
return self._isAccept
end
function OpenView8Item:dispose()
self:removeEvent()
self._kindsLabel = nil
self._currentLevel = nil
self._completeLabel = nil
self._exchangeBTN1 = nil
self._exchangeBTN2 = nil
self._exchangeBTN3 = nil
self._type = nil
self._reciveIMG1 = nil
self._reciveIMG2 = nil
self._reciveIMG3 = nil
self._selfInfo = nil
self._itemList = nil
if(self._gridList ~= nil) then
for __,grid in pairs(self._gridList) do
grid:dispose()
end
self._gridList = nil
end
self._stage = nil
self._infoItem = nil
globalManager.ccCreator:release(self)
end
OpenView9Item = class("OpenView9Item",function(self,numbers)
local temp = globalManager.ccCreator:newJsonWidget("openView9Item")
temp._remainLabel = temp:getChildByName("count_label_Copy0")
temp._dayLabel = temp:getChildByName("dayLabel")
temp._textLabel = temp:getChildByName("textLabel")
temp._accept_btn = temp:getChildByName("accept_btn_Copy0")
temp._btnLabel = temp._accept_btn:getChildByName("btnLabel")
temp._hasGotIMG = temp:getChildByName("hasgot_icon_Copy0")
temp._hasGotIMG:setVisible(false)
temp._id = 0
temp._goodsInfos = {}
temp._itemList = {}
temp._gridList = {}
for i = 1,4,1 do
table.insert(temp._itemList,temp:getChildByName("item_bg"..i))
end
temp._peopleNum = numbers
temp._isAccept = false
temp._btnLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel37"))
return temp
end)
function OpenView9Item:ctor()
self:initEvent()
end
function OpenView9Item:initEvent()
local clickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalData.messageAdder:getOpenAward(self._id)
end
end
self._accept_btn:addTouchEventListener(clickHandler)
end
function OpenView9Item:removeEvent()
end
function OpenView9Item:setData(info,isUpdate)
if(info.itemList == nil) then return  end
self._id = info.id
self._selfInfo = globalData.openInfo:getSelfInfoById(info.id)
if(isUpdate == nil or not isUpdate) then
local index = 1
for __,item in pairs(info.itemList) do
if(item[3] == nil or item[3] == 0 or item[3] == globalData.allStaticTypes.careerType:getCareer(globalData.selfPlayerInfo.career)) then   --自己的职业，或者不分职业的物品筛选
local grid = GoodsInfoGrid:new()
local goodsinfo = GoodsInfo:new()
goodsinfo:setTemplateId(item[1])
goodsinfo.count = item[2]
if(item[4] ~= nil) then
goodsinfo:updateStrengthLevel(item[4])
end
if(item[5] ~= nil) then
goodsinfo.stage = item[5]
end
table.insert(self._goodsInfos,goodsinfo)
grid:setGoodsInfo(goodsinfo)
self._itemList[index]:addChild(grid)
table.insert(self._gridList,grid)
index = index + 1
end
end
local selfInfoSign = globalData.selfPlayerInfo.moneyInfo.chargeValue
if(self._selfInfo ~= nil) then
selfInfoSign = selfInfoSign - self._selfInfo.sign        --今天的充值数
else
selfInfoSign = 0
end
local diamond = globalManager.messageUtils:splitStringToInt(info.conditionList,",")[1] --领奖的条件(钻石)
local people = globalManager.messageUtils:splitStringToInt(info.conditionList,",")[2]  --领奖的条件(人数)
local openTime = globalData.openTime
local systemTime = math.floor(globalData.systemDateInfo:getSystemTime() / 1000)
local beginTime = globalData.systemDateInfo:getOpenDay(info.begin)
local endTime   = globalData.systemDateInfo:getOpenDay(info.finish)
if(selfInfoSign < diamond or self._peopleNum < people or beginTime > systemTime or systemTime > endTime or info.beginData > systemTime or systemTime > info.finishData) then
self._accept_btn:loadTextureNormal("btn/ui_tabBtn1_5.png",1)
self._accept_btn:setTouchEnabled(false)
end
if(beginTime > systemTime or systemTime > endTime or info.beginData > systemTime or systemTime > info.finishData)then
self._remainLabel:setText("0/" .. people)
elseif(self._peopleNum <= people)then
self._remainLabel:setText(self._peopleNum .. "/" .. people)
else
self._remainLabel:setText("25/" .. people)
end
self._dayLabel:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("OpenView9Item.text2"),info.begin))
self._textLabel:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("OpenView9Item.text3"),diamond))
end
if(self._selfInfo ~= nil) then
if(self._selfInfo.count == info.count) then
self._accept_btn:setVisible(false)
self._remainLabel:setVisible(false)
self._hasGotIMG:setVisible(true)
self._isAccept = true
end
end
end
function OpenView9Item:getIsAccept()
return self._isAccept
end
function OpenView9Item:dispose()
self:removeEvent()
self._remainLabel = nil
self._dayLabel = nil
self._textLabel = nil
for __,info in pairs(self._goodsInfos) do
info:dispose()
end
self._accept_btn = nil
self._btnLabel = nil
self._hasGotIMG = nil
self._itemList = nil
self._peopleNum = nil
if(self._gridList ~= nil) then
for __,grid in pairs(self._gridList) do
grid:dispose()
end
self._gridList = nil
end
globalManager.ccCreator:release(self)
end
OpenView10Item = class("OpenView10Item",function(self)
local temp = nil
temp = globalManager.ccCreator:newJsonWidget("openView4Item3")
temp._oriGoldnum    = temp:getChildByName("numlabel2")
temp._discountnum   = temp:getChildByName("numlabel3")
temp._perttylabel   = temp:getChildByName("perttylabel")
temp._buyBTN = temp:getChildByName("bugBTN")
temp._buy_btnLabel  = temp._buyBTN:getChildByName("bug_btnLabel")
temp._openView4item = temp:getChildByName("openView4item")
temp._limitLabel    = temp:getChildByName("limitLabel")
temp._disCountIcon  = temp:getChildByName("discountImg")
temp._grid = nil
temp._selfInfo = nil
temp:getChildByName("ori_pricelabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("OpenView10Item.text1"))
temp:getChildByName("discountlabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("OpenView10Item.text2"))
temp._buy_btnLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel10"))
return temp
end)
function OpenView10Item:ctor()
self._grid = GoodsInfoGrid:new()
self._openView4item:addChild(self._grid)
self:initEvent()
end
function OpenView10Item:initEvent()
local numCallBack = function(shopGoodsTemplate,count)
if(count <= 0)then
return globalManager.yuyanbaoManager:getYuyanbao("QuickBuyPanel.text1")
elseif(count > self._selfInfo.canBuy)then
return globalManager.yuyanbaoManager:getYuyanbao("OpenView10Item.text5")
elseif(not globalManager.goodsInfoTester:shopGoodsMoneyCheck(shopGoodsTemplate, count, true))then
--这里，在金钱检测里面输出了信息，因此返回nil，在NumberPanel里面不输出错误信息
return nil
end
globalData.messageAdder:sendShopDiscountBuy(self._selfInfo.type,shopGoodsTemplate.shopId,count)
return nil
end
local clickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
local canBuy = self._selfInfo.canBuy
globalManager.containerManager:getNumberPanel():showShopGoodsTemplate(self._selfInfo.shopGoodsTemplate,numCallBack,false,canBuy)
end
end
self._buyBTN:addTouchEventListener(clickHandler)
end
function OpenView10Item:removeEvent()
end
function OpenView10Item:setData(info)
self._selfInfo = info
local goodsInfo = info.shopGoodsTemplate:getGoodsTemplate()
self._perttylabel:setText(goodsInfo.name)
self._perttylabel:setColor(globalData.allStaticTypes.colorType:getColorByQuality(goodsInfo:getQuality()))
self._limitLabel:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("OpenView10Item.text6"),info.canBuy))
self._selfInfo:addEventListener(globalData.globalEventType.shop_discountCount, self.countUpdateHandler, self)
self._oriGoldnum:setText(info.shopGoodsTemplate.oldPrice)
self._discountnum:setText(info.shopGoodsTemplate.price)
self._grid:setGoodsTempInfo(goodsInfo)
if(info.canBuy <= 0 ) then
self._buyBTN:loadTextureNormal("btn/ui_tabBtn1_5.png",1)
self._buyBTN:setTouchEnabled(false)
end
if(info.shopGoodsTemplate.priceOff == 6)then
self._disCountIcon:loadTexture("flag/ui_discountIcon1.png", 1)
self._disCountIcon:setVisible(true)
elseif(info.shopGoodsTemplate.priceOff == 7)then
self._disCountIcon:loadTexture("flag/ui_discountIcon2.png", 1)
self._disCountIcon:setVisible(true)
elseif(info.shopGoodsTemplate.priceOff == 8)then
self._disCountIcon:loadTexture("flag/ui_discountIcon3.png", 1)
self._disCountIcon:setVisible(true)
elseif(info.shopGoodsTemplate.priceOff == 10)then
self._disCountIcon:setVisible(false)
end
end
function OpenView10Item:countUpdateHandler()
self._limitLabel:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("OpenView10Item.text6"),self._selfInfo.canBuy))
if(self._selfInfo.canBuy <= 0 ) then
self._buyBTN:loadTextureNormal("btn/ui_tabBtn1_5.png",1)
self._buyBTN:setTouchEnabled(false)
end
end
function OpenView10Item:dispose()
self:removeEvent()
self._limitLabel = nil
self._type = nil
self._oriGoldnum = nil
self._discountnum = nil
self._perttylabel = nil
self._buyBTN = nil
self._buy_btnLabel = nil
self._disCountIcon = nil
if(self._selfInfo ~= nil) then
self._selfInfo:removeEventListener(globalData.globalEventType.shop_discountCount, self.countUpdateHandler, self)
self._selfInfo = nil
end
self._openView4item = nil
if(self._grid ~= nil) then
self._grid:dispose()
self._grid = nil
end
globalManager.ccCreator:release(self)
end
OpenView11Item = class("OpenView11Item",function(self)
local temp = nil
temp = globalManager.ccCreator:newJsonWidget("openView11Item")
temp.fightValue   = temp:getChildByName("fightValue")
temp.vipLevel     = temp:getChildByName("vipLevel")
temp.isAccept1    = temp:getChildByName("isAccept1")
temp.isAccept2    = temp:getChildByName("isAccept2")
temp.isAcceptImg1 = temp:getChildByName("isAcceptImg1")
temp.isAcceptImg2 = temp:getChildByName("isAcceptImg2")
temp.ok_btn       = temp:getChildByName("ok_btn_Copy0")
temp.hasGetImg    = temp:getChildByName("ImageView_678099")
temp.hasGetImg:setVisible(false)
temp.activityId   = nil
temp._titleImg    = nil
temp._imgPath     = nil
temp._effect      = nil
temp.count        = 0
return temp
end)
function OpenView11Item:ctor()
self:initEvent()
end
function OpenView11Item:initEvent()
local clickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalData.messageAdder:getOpenAward(self.activityId)
end
end
self.ok_btn:addTouchEventListener(clickHandler)
end
function OpenView11Item:removeEvent()
end
function OpenView11Item:setData(info)
if(info == nil)then return end
local selfInfo = globalData.openInfo:getSelfInfoById(info.id)
self.activityId   = info.id
local conditionList = globalManager.messageUtils:splitStringToInt(info.conditionList,",")
local fightValue  = conditionList[2]
local vipLevel    = conditionList[1]
local playerFight = globalData.selfPlayerInfo.combat
local playerVip   = globalData.selfPlayerInfo.vipLevel
local playerCareer = globalData.selfPlayerInfo.career
self.fightValue:setText(fightValue)
self.vipLevel:setText(vipLevel)
if(playerFight >= fightValue)then
self.isAccept1:setVisible(false)
self.isAcceptImg1:setVisible(true)
else
self.isAccept1:setVisible(true)
self.isAcceptImg1:setVisible(false)
end
if(playerVip >= vipLevel)then
self.isAccept2:setVisible(false)
self.isAcceptImg2:setVisible(true)
else
self.isAccept2:setVisible(true)
self.isAcceptImg2:setVisible(false)
end
if(playerFight >= fightValue and playerVip >= vipLevel)then
self.ok_btn:loadTextureNormal("btn/ui_tabBtn1_4.png",1)
else
self.ok_btn:loadTextureNormal("btn/ui_tabBtn1_5.png",1)
end
local playerInfo
for __,item in pairs(info.itemList) do
if(item[3] == globalData.allStaticTypes.careerType:getCareer(globalData.selfPlayerInfo.career))then
playerInfo = item
break
end
end
local titleId = globalData.allTemplates.goodsTemplateList:getTemplate(playerInfo[1]).property1
local titleTemplate = globalData.allTemplates.titleTemplateList:getTitle(titleId)
if(titleTemplate == nil)then return end
if(titleTemplate.resouceType == 1)then
self._titleImg = globalManager.ccCreator:newImageView()
self._titleImg:setPosition(615,120)
self:addChild(self._titleImg,6)
self._imgPath = globalManager.pathManager:getTitleImgPath(titleTemplate.picPath)
globalManager.sourceCacheManager:setImage(self._titleImg,self._imgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
elseif(titleTemplate.resouceType == 2)then
if(self._effect == nil)then
self._effect = globalManager.effectCreator:create(tonumber(titleTemplate.picPath), nil, nil,false)
self._effect:move2(self,615,120)
self._effect:play()
self:addNode(self._effect,6)
else
self._effect:dispose()
self._effect = nil
end
end
if(selfInfo ~= nil) then
self.count = selfInfo.count
else
self.count = 0
end
if(self.count > 0)then
self.ok_btn:setVisible(false)
self.hasGetImg:setVisible(true)
else
self.ok_btn:setVisible(true)
self.hasGetImg:setVisible(false)
end
end
function OpenView11Item:dispose()
self:removeEvent()
self.fightValue   = nil
self.vipLevel     = nil
self.isAccept1    = nil
self.isAccept2    = nil
self.isAcceptImg1 = nil
self.isAcceptImg2 = nil
self.ok_btn       = nil
self.activityId   = nil
self.hasGetImg    = nil
if(self._imgPath ~= nil)then
globalManager.sourceCacheManager:removeQuote(self._imgPath)
self._imgPath = nil
end
if(self._titleImg ~= nil)then
globalManager.ccCreator:release(self._titleImg)
self._titleImg = nil
end
if(self._effect ~= nil)then
self._effect:dispose()
self._effect = nil
end
globalManager.ccCreator:release(self)
end
OpenView12Item = class("OpenView12Item",function(self)
local temp = nil
temp = globalManager.ccCreator:newJsonWidget("openView12Item")
temp.levelLabel   = temp:getChildByName("gold_label")
temp.acceptBtn    = temp:getChildByName("accept_btn")
temp.btnLabel     = temp.acceptBtn:getChildByName("btnLabel")
temp.hasgotIcon   = temp:getChildByName("hasgot_icon")
temp.cellList     = {}
for i = 1,3,1 do
table.insert(temp.cellList,temp:getChildByName("item_bg" .. i))
end
temp.info         = nil
temp.flag         = 0
temp.isTrue       = false
temp.gridList     = {}
temp.fore_label   = temp:getChildByName("fore_label"):setText(globalManager.yuyanbaoManager:getYuyanbao("OpenView12Item.text2"))
temp.after_label  = temp:getChildByName("after_label"):setText(globalManager.yuyanbaoManager:getYuyanbao("OpenView12Item.text3"))
return temp
end)
function OpenView12Item:ctor()
self:initEvent()
end
function OpenView12Item:initEvent()
local function buyHandler()
globalData.messageAdder:sendGrowUpBuy()
end
local clickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
if(self.flag == 1)then
local gold = globalData.selfPlayerInfo.moneyInfo.gold
if(gold >= self.info.price)then
Alert:new():show(2,string.format(globalManager.yuyanbaoManager:getYuyanbao("OpenView12Item.text1"),globalData.allStaticTypes.colorType.ITEMCOLOR5_STR,self.info.price),nil,0,self,buyHandler)
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel11"))
end
elseif(self.flag == 2)then
globalData.messageAdder:sendGrowUpPlane(self.info.growUpId)
end
end
end
self.acceptBtn:addTouchEventListener(clickHandler)
end
function OpenView12Item:removeEvent()
end
function OpenView12Item:setData(info)
if(info == nil)then return end
self.info = info
for i = 1,#info.itemList,1 do
local cell        = BaseGrid:new()
cell:setGoodsTempInfo(globalData.allTemplates.goodsTemplateList:getTemplate(info.itemList[i][1]))
cell:setCount(info.itemList[i][2])
table.insert(self.gridList,cell)
self.cellList[i]:addChild(cell)
end
self:updateItem()
end
function OpenView12Item:updateItem()
local playerLevel = globalData.selfPlayerInfo.level
if(playerLevel >= self.info.condition)then
self.levelLabel:setColor(globalData.allStaticTypes.colorType.TIPTITLE_COLOR)
else
self.levelLabel:setColor(globalData.allStaticTypes.colorType.COLORRED)
end
self.levelLabel:setText(self.info.condition ..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel48"))
local hasIdList = globalData.openInfo.hasGrowUpProjectList
if(hasIdList == nil)then
self.acceptBtn:loadTextureNormal("btn/ui_tabBtn1_3.png",1)
self.btnLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel10"))
self.flag = 1
self.isTrue = false
else
local index = globalManager.commonUtils:getIndexOfTable(hasIdList,self.info.growUpId)
if(index == -1)then
if(playerLevel < self.info.condition)then
self.acceptBtn:loadTextureNormal("btn/ui_tabBtn1_5.png",1)
self.acceptBtn:setTouchEnabled(false)
self.btnLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel37"))
else
self.acceptBtn:loadTextureNormal("btn/ui_tabBtn1_4.png",1)
self.acceptBtn:setTouchEnabled(true)
self.btnLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel37"))
self.flag = 2
end
self.isTrue = false
else
self.acceptBtn:setEnabled(false)
self.flag = 3
self.isTrue = true
end
end
end
function OpenView12Item:getIsAccept()
return self.isTrue
end
function OpenView12Item:dispose()
self:removeEvent()
self.levelLabel   = nil
self.acceptBtn    = nil
self.btnLabel     = nil
self.hasgotIcon   = nil
self.cellList     = nil
if(self.gridList ~= nil)then
for __,info in pairs(self.gridList) do
info:dispose()
info = nil
end
self.gridList = nil
end
self.info         = nil
self.flag         = nil
self.isTrue       = nil
globalManager.ccCreator:release(self)
end
--冲阶
OpenView13Item = class("OpenView13Item",function(self,index,type)
local self  =  globalManager.ccCreator:newJsonWidget("openItem13SubView")
self._type              = type
self._typeName1         = self:getChildByName("typeName1")
self._typeName2         = self:getChildByName("typeName2")
self._itemList          = {}
self._viewList          = {}
for i = 1,2,1 do
table.insert(self._itemList,self:getChildByName("item"..i))
end
self._remainLabel       = self:getChildByName("remainLabel")
self._okBtn             = self:getChildByName("commonBtn")
self._btnLabel          = self._okBtn:getChildByName("btnLabel")
self._btnLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel29"))
self._hasGetIcon        = self:getChildByName("hasGetIcon")
self._type              = type
self._index             = index
self._typeName1List     = {globalManager.yuyanbaoManager:getYuyanbao("PanelTabGroupType.text53"),globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel15"),globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel17"),globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel19"),globalManager.yuyanbaoManager:getYuyanbao("OpenView13.text1"),globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel20"),globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel21")}
self._infoList          = {}
self.selfStage          = 0
self.selfInfo           = nil
self.strName2           = ""
self._goodsInfos        = {}
return self
end)
function OpenView13Item:ctor()
self:initEvent()
self:initView()
end
function OpenView13Item:initView()
local strName = ""
if(self._type == 4)then
self.selfStage  = globalData.petItemInfo.stage
strName  = self._typeName1List[1]
elseif(self._type == 5)then
self.selfStage  = globalData.riderItemInfo.stage
strName  = self._typeName1List[2]
elseif(self._type == 6)then
self.selfStage  = globalData.wingItemInfo.stage
strName  = self._typeName1List[3]
elseif(self._type == 7)then
self.selfStage  = globalData.spriteItemInfo.stage
strName  = self._typeName1List[4]
elseif(self._type == 8)then
self.selfStage  = globalData.godItemInfo.stage
strName  = self._typeName1List[5]
elseif(self._type == 21)then
self.selfStage  = globalData.fazhenItemInfo.stage
strName  = self._typeName1List[6]
elseif(self._type == 22)then
self.selfStage  = globalData.longhunItemInfo.stage
strName  = self._typeName1List[7]
end
self._typeName1:setText(strName)
for i = 1,2,1 do
local grid = GoodsInfoGrid:new()
local goodsinfo = GoodsInfo:new()
table.insert(self._goodsInfos,goodsinfo)
self._itemList[i]:addChild(grid)
table.insert(self._viewList,grid)
end
end
function OpenView13Item:setData(infoList,stageNumList)
self._infoList = infoList
self.strName2 = globalData.numList[math.ceil(self._infoList[self._index].conditionList / globalData.allTemplates.xiaofeiTemplateList.STAGE_PRE_STAR)] .. globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel45")..((self._infoList[self._index].conditionList - 1) % globalData.allTemplates.xiaofeiTemplateList.STAGE_PRE_STAR + 1)..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel68")
self._typeName2:setText(self.strName2)
for i = 1,2,1 do
self._goodsInfos[i]:setTemplateId(self._infoList[self._index].itemList[i][1])
self._goodsInfos[i].count = self._infoList[self._index].itemList[i][2]
if(self._infoList[self._index].itemList[i][4] ~= nil) then
self._goodsInfos[i]:updateStrengthLevel(self._infoList[self._index].itemList[i][4])
end
if(self._infoList[self._index].itemList[i][5] ~= nil) then
self._goodsInfos[i].stage = self._infoList[self._index].itemList[i][5]
end
self._viewList[i]:setGoodsInfo(self._goodsInfos[i])
end
local totalNum = globalData.allTemplates.shamTemplateList:getTemplateByShowtype(self._type,tonumber(self._infoList[self._index].conditionList)).count
if(stageNumList[tonumber(self._infoList[self._index].conditionList)] == nil)then
stageNumList[tonumber(self._infoList[self._index].conditionList)] = 0
end
self.selfInfo = globalData.openInfo:getSelfInfoById(self._infoList[self._index].id)
if(totalNum - stageNumList[tonumber(self._infoList[self._index].conditionList)] < 1)then
if(totalNum == 99999)then
self._remainLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel69")..":" .. globalManager.yuyanbaoManager:getYuyanbao("ZhufuPanel1.text1"))
else
if(self.selfInfo ~= nil and self.selfInfo.count >= 1)then
self._remainLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel69")..":0")
else
self._remainLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel69")..":1")
end
end
else
if(totalNum == 99999)then
self._remainLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel69")..":" .. globalManager.yuyanbaoManager:getYuyanbao("ZhufuPanel1.text1"))
else
self._remainLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel69")..":" .. totalNum - stageNumList[tonumber(self._infoList[self._index].conditionList)])
end
end
if(self.selfStage >= tonumber(self._infoList[self._index].conditionList))then
self._okBtn:loadTextureNormal("btn/ui_tabBtn1_3.png",1)
self._btnLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel37"))
else
self._okBtn:loadTextureNormal("btn/ui_tabBtn1_4.png",1)
end
if(self.selfInfo == nil or self.selfInfo.count <= 0)then
self._okBtn:setEnabled(true)
else
self._okBtn:setEnabled(false)
end
end
function OpenView13Item:initEvent()
local okClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
if(self.selfStage >= tonumber(self._infoList[self._index].conditionList))then
if(self.selfInfo == nil or self.selfInfo.count <= 0)then
globalData.messageAdder:getOpenAward(self._infoList[self._index].id)
end
else
if(self._type == 4) then
if(globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.petLevel) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel50"))
return
end
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab4,globalData.allStaticTypes.panelTabType.pet)
elseif(self._type == 5) then
if(globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.riderLevel) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel50"))
return
end
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab4,globalData.allStaticTypes.panelTabType.rider)
elseif(self._type == 6) then
if(globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.wingLevel) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel50"))
return
end
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab4,globalData.allStaticTypes.panelTabType.wing)
elseif(self._type == 7) then
if(globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.spriteLevel) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel50"))
return
end
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab4,globalData.allStaticTypes.panelTabType.sprite)
elseif(self._type == 8) then
if(globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.weaponLevel) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel50"))
return
end
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab4,globalData.allStaticTypes.panelTabType.god)
elseif(self._type == 21) then
if(globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.fazhenLevel) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel50"))
return
end
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab4,globalData.allStaticTypes.panelTabType.fazhen)
elseif(self._type == 22) then
if(globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.longhunLevel) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel50"))
return
end
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab4,globalData.allStaticTypes.panelTabType.longhun)
end
end
end
end
self._okBtn:addTouchEventListener(okClickHandler)
globalData.combinedActiveInfo:addEventListener(globalData.globalEventType.zhuanpan_XunBao_pick,self.pickReturn,self)
end
function OpenView13Item:removeEvent()
end
function OpenView13Item:dispose()
self:removeEvent()
self._type              = nil
self._typeName1         = nil
self._typeName2         = nil
self._itemList          = nil
if(#self._viewList > 0)then
for __,info in pairs(self._viewList) do
info:dispose()
info = nil
end
self._viewList = nil
end
self._remainLabel       = nil
self._okBtn             = nil
self._btnLabel          = nil
self._hasGetIcon        = nil
self._type              = nil
self._index             = nil
self._typeName1List     = nil
self._typeName2         = nil
self._infoList          = nil
self.selfStage          = nil
self.selfInfo           = nil
for __,info in pairs(self._goodsInfos) do
info:dispose()
end
self._goodsInfos = nil
globalManager.ccCreator:release(self)
end
TopTenViewItem = class("TopTenViewItem",function(self)
local temp = globalManager.ccCreator:newJsonWidget("TopTenRankItem")
temp._rankNum = temp:getChildByName("rankNum")
temp._nameLabel = temp:getChildByName("nameLabel")
temp._kingsStage = temp:getChildByName("kingsStage")
temp._fightValue = temp:getChildByName("fightValue")
return temp
end)
function TopTenViewItem:setData(rankList,index,currentType)
self._rankNum:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("OpenView6Item.text11"),index))
self._nameLabel:setText(rankList.nick)
local kinds
if(currentType == 8) then
kinds = globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel15")
elseif(currentType == 9) then
kinds = globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel16")
elseif(currentType == 10) then
kinds = globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel17")
elseif(currentType == 11) then
kinds = globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel14")
elseif(currentType == 12) then
kinds = globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel19")
elseif(currentType == 31) then
kinds = globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel20")
elseif(currentType == 30) then
kinds = globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel21")
end
self._kingsStage:setText(kinds .. globalData.numList[math.ceil(rankList.condition / globalData.allTemplates.xiaofeiTemplateList.STAGE_PRE_STAR)] .. globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel45")..((rankList.condition - 1) % globalData.allTemplates.xiaofeiTemplateList.STAGE_PRE_STAR + 1)..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel68"))
self._fightValue:setText(globalManager.yuyanbaoManager:getYuyanbao("MarryApplyPanel.text2") .. rankList.fight)
end
function TopTenViewItem:dispose()
self._rankNum = nil
self._kindsList = nil
self._nameLabel = nil
self._kingsStage = nil
self._fightValue = nil
globalManager.ccCreator:release(self)
end
--寻宝轮盘
CombinedActive2 = class("CombinedActive2",function(self,type)
local self  =  globalManager.ccCreator:newJsonWidget("CombineActive4")
self._type              = type
self._startBtn          = self:getChildByName("startBtn")
self._priceLabel        = self._startBtn:getChildByName("priceLabel")
self._startBtn:getChildByName("label"):setText(globalManager.yuyanbaoManager:getYuyanbao("CombinedActive2.text1"))
self._bg                = self:getChildByName("bg")
self._bgPath            = globalManager.pathManager:getUISource("outPic/zhuanpan4Bg.png")
self._itemList          = {}
self._viewList          = {}
for i = 1,10,1 do
table.insert(self._itemList,self:getChildByName("item"..i))
end
self._info              = nil
self.speed              = 0
self.addSpeed           = 1
self.flagAward          = false
self.isEnd              = false
self.targetCount        = 0
self.count              = 0
self.timeCount          = 0
self.index              = 0
return self
end)
function CombinedActive2:ctor()
globalManager.sourceCacheManager:setImage(self._bg,self._bgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self:initEvent()
self:initView()
end
function CombinedActive2:initView()
self._info = globalData.allTemplates.combinedActiveTemplateList.combinedActive2List
if(self._info == nil)then
self._startBtn:setTouchEnabled(false)
else
self._startBtn:setTouchEnabled(true)
end
if(self._info == nil)then return end
self._priceLabel:setStringValue("300")
--显示奖品
local len = #self._info[1].awardList
if(len > 10)then len = 10 end
if(len > 0)then
for i = 1,len,1 do
local view = CombinedActive2Item:new()
view:setData(self._info[1].awardList[i])
self._itemList[i]:addChild(view)
table.insert(self._viewList,view)
end
end
end
--旋转开始
function CombinedActive2:startZhuan()
self._startBtn:setTouchEnabled(false)
self.flagAward = true
self.isEnd  = false
self.speed  = 2
globalManager.tickManager:addTick(self.tick,self)
end
--抽奖数据返回
function CombinedActive2:pickReturn(evt)
local index = evt.data
if(index == 0 or index > 10) then return end
self.index = index
self.isEnd = true
self.count = 0
end
--旋转结束
function CombinedActive2:endZhuan()
if(self.flagAward)then
globalData.messageAdder:sendXunBaoGet()
self.flagAward = false
end
globalManager.tickManager:removeTick(self.tick,self)
self._startBtn:setTouchEnabled(true)
end
function CombinedActive2:tick(delta,count)
if(self.isEnd) then
self.count = self.count + 1
if(self.count > self.speed)then
self.targetCount = self.targetCount + 1
self.count = 0
if(self.targetCount % 4 == 0)then
self.speed = self.speed + self.addSpeed
end
if(self.targetCount > 10)then
self.targetCount = 1
end
for i = 1,10,1 do
if(i == self.targetCount)then
self._viewList[i]:setSelected(true)
else
self._viewList[i]:setSelected(false)
end
end
end
if(self.speed >= 8)then
if(self.index == self.targetCount)then
self:endZhuan()
end
end
else
self.timeCount = self.timeCount + 1
if(self.timeCount > self.speed)then
self.timeCount = 0
self.targetCount = self.targetCount + 1
if(self.targetCount > 10)then
self.targetCount = 1
end
for i = 1,10,1 do
if(i == self.targetCount)then
self._viewList[i]:setSelected(true)
else
self._viewList[i]:setSelected(false)
end
end
end
end
end
function CombinedActive2:initEvent()
local payGoodsHandler = function()
globalData.messageAdder:sendXunBaoPick()
self:startZhuan()
end
local luckClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
if(globalData.selfPlayerInfo.moneyInfo.gold >= 300)then
Alert:new():show(2,globalManager.yuyanbaoManager:getYuyanbao("CombinedActive2.text2"),globalManager.noAlertUtils.XUNBAO_ZHUANPAN,0,self,payGoodsHandler)
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("CombinedActive2.text3"))
end
end
end
self._startBtn:addTouchEventListener(luckClickHandler)
globalData.openInfo:addEventListener(globalData.globalEventType.zhuanpan_XunBao_pick,self.pickReturn,self)
end
function CombinedActive2:removeEvent()
globalData.openInfo:removeEventListener(globalData.globalEventType.zhuanpan_XunBao_pick,self.pickReturn,self)
end
function CombinedActive2:dispose()
globalManager.tickManager:removeTick(self.tick,self)
self:removeEvent()
self:endZhuan()
self._priceLabel        = nil
self._startBtn          = nil
self._bg                = nil
globalManager.sourceCacheManager:removeQuote(self._bgPath)
self._bgPath = nil
self._itemList          = nil
for __,info in pairs(self._viewList) do
info:dispose()
info = nil
end
self._viewList          = {}
self._info              = nil
self._type              = nil
globalManager.ccCreator:release(self)
end
BaseOpenView = class("BaseOpenView",function(self)
local temp = globalManager.ccCreator:newJsonWidget("openView1")
temp._listPanel = temp:getChildByName("list_panel")
temp._listPanel:setItemsMargin(10)
temp._infoList = {}
temp._viewList = {}
temp._pre = 0
return temp
end)
function BaseOpenView:initEvent()
end
function BaseOpenView:removeEvent()
end
function BaseOpenView:updateView()
end
function BaseOpenView:setScroll()
globalManager.tickManager:addTick(self.tick,self)
end
function BaseOpenView:tick()
globalManager.tickManager:removeTick(self.tick,self)
self._listPanel:jumpToPercentVertical(self._pre)
end
function BaseOpenView:updateItem(info)
end
function BaseOpenView:dispose()
self:removeEvent()
globalManager.tickManager:removeTick(self.tick, self)
self._listPanel:removeAllItems()
self._listPanel = nil
self._infoList = nil
if(self._viewList ~= nil) then
for __,view in pairs(self._viewList) do
view:dispose()
end
self._viewList = nil
end
globalManager.ccCreator:release(self)
end
--充值
OpenView1 = class("OpenView1",function(self,type)
local temp = BaseOpenView:new()
temp._listPanel:setItemsMargin(10)
temp._type = type
return temp
end)
function OpenView1:ctor()
self:updateView()
end
function OpenView1:updateView()
if(#self._viewList > 0) then
self._listPanel:removeAllItems()
if(self._viewList ~= nil) then
for __,view in pairs(self._viewList) do
view:dispose()
end
self._viewList = {}
end
end
self._infoList = globalData.openInfo:getInfoByShowType(self._type)
local sortFunc = function(info1,info2)
return tonumber(info1.conditionList) < tonumber(info2.conditionList)
end
table.sort(self._infoList, sortFunc)
local index = 0
local isAllAccept = true
for __,info in pairs(self._infoList) do
local view = OpenView1Item:new()
view:setData(info)
if(view:getIsAccept()) then
if(isAllAccept) then index = index + 1 end
else
isAllAccept = false
end
self._listPanel:pushBackCustomItem(view)
table.insert(self._viewList,view)
end
self._listPanel:refreshView()
if(#self._infoList <= 3) then return end
self._pre = index*100 / (#self._infoList - 3)
if(self._pre > 100) then self._pre = 100 end
end
function OpenView1:updateItem(info)
for __,view in pairs(self._viewList) do
if(view._id == info.id) then
view:setData(info,true)
end
end
end
--冲阶
OpenView2 = class("OpenView2",function(self,type)
local temp = BaseOpenView:new()
temp._type = type
return temp
end)
function OpenView2:ctor()
self:updateView()
end
function OpenView2:updateView()
if(#self._viewList > 0) then
self._listPanel:removeAllItems()
if(self._viewList ~= nil) then
for __,view in pairs(self._viewList) do
view:dispose()
end
self._viewList = {}
end
end
self._infoList = globalData.openInfo:getInfoByShowType(self._type)
local sortFunc = function(info1,info2)
return tonumber(info1.conditionList) < tonumber(info2.conditionList)
end
table.sort(self._infoList, sortFunc)
local index = 0
local isAllAccept = true
for __,info in pairs(self._infoList) do
local view = OpenView2Item:new()
view:setData(info)
if(view:getIsAccept()) then
if(isAllAccept) then index = index + 1 end
else
isAllAccept = false
end
self._listPanel:pushBackCustomItem(view)
table.insert(self._viewList,view)
end
self._listPanel:refreshView()
if(#self._infoList <= 3) then return end
self._pre = index*100 / (#self._infoList - 3)
if(self._pre > 100) then self._pre = 100 end
end
function OpenView2:updateItem(info)
for __,view in pairs(self._viewList) do
if(view._id == info.id) then
view:setData(info,true)
end
end
end
--折扣
OpenView4 = class("OpenView4",function(self)
local temp = BaseOpenView:new()
return temp
end)
function OpenView4:ctor()
self:initEvent()
self:updateView()
end
function OpenView4:initEvent()
globalData.discountGoodsList:addEventListener(globalData.globalEventType.shop_discount, self.updateData, self)
end
function OpenView4:removeEvent()
globalData.discountGoodsList:removeEventListener(globalData.globalEventType.shop_discount, self.updateData, self)
end
function OpenView4:setScroll()
end
function OpenView4:updateView()
if(self._viewList ~= nil) then
for __,view in pairs(self._viewList) do
view:dispose()
end
self._viewList = {}
end
local view1 = OpenView4Item:new(1)
view1:setPositionX(5)
self:addChild(view1)
table.insert(self._viewList,view1)
for i = 1,4 do
local view2 = OpenView4Item:new(2)
view2:setPosition(globalManager.ccCreator:newPoint(508 - (i % 2)*249, 169 - math.floor((i-1) / 2)*169))
self:addChild(view2)
table.insert(self._viewList,view2)
end
globalData.messageAdder:sendShopDiscount(6)
end
function OpenView4:updateData()
self._infoList = globalData.discountGoodsList:getListByType(6)
local len = #self._infoList
for i = 1,5 do
if(i <= len) then
self._viewList[i]:setData(self._infoList[i])
end
end
end
function OpenView4:updateItem(info)
end
--消费
OpenView5 = class("OpenView5",function(self,type)
local temp = BaseOpenView:new()
temp._type = type
return temp
end)
function OpenView5:ctor()
self:updateView()
end
function OpenView5:updateView()
if(#self._viewList > 0) then
self._listPanel:removeAllItems()
if(self._viewList ~= nil) then
for __,view in pairs(self._viewList) do
view:dispose()
end
self._viewList = {}
end
end
self._infoList = globalData.openInfo:getInfoByShowType(self._type)
local sortFunc = function(info1,info2)
return globalManager.messageUtils:splitStringToInt(info1.conditionList,",")[1] < globalManager.messageUtils:splitStringToInt(info2.conditionList,",")[1]
end
table.sort(self._infoList, sortFunc)
local index = 0
local isAllAccept = true
for __,info in pairs(self._infoList) do
local view = OpenView5Item:new()
view:setData(info)
if(view:getIsAccept()) then
if(isAllAccept) then index = index + 1 end
else
isAllAccept = false
end
self._listPanel:pushBackCustomItem(view)
table.insert(self._viewList,view)
end
self._listPanel:refreshView()
if(#self._infoList <= 3) then return end
self._pre = index*100 / (#self._infoList - 3)
if(self._pre > 100) then self._pre = 100 end
end
function OpenView5:updateItem(info)
for __,view in pairs(self._viewList) do
if(view._id == info.id) then
view:setData(info,true)
end
end
end
--冲榜
OpenView6 = class("OpenView6",function(self,type)
local temp = BaseOpenView:new()
temp._type = type
return temp
end)
function OpenView6:ctor()
self:initEvent()
self._infoList = globalData.openInfo:getInfoByShowType(self._type)
if(#self._infoList > 0) then
globalData.messageAdder:sendGetRank(self._infoList[1].type)
end
self:updateView()
end
function OpenView6:initEvent()
globalData.openInfo:addEventListener(globalData.globalEventType.playerInfo_rechargeRank,self.rechargeRankUpdateHandler,self)
end
function OpenView6:removeEvent()
globalData.openInfo:removeEventListener(globalData.globalEventType.playerInfo_rechargeRank,self.rechargeRankUpdateHandler,self)
end
function OpenView6:rechargeRankUpdateHandler(evt)
self._rankInfo = globalData.openInfo.rankInfoList[self._infoList[1].type]
if(#self._rankInfo > 0)then
self:updateView()
end
end
function OpenView6:updateView()
if(#self._viewList > 0) then
if(self._viewList ~= nil) then
for __,view in pairs(self._viewList) do
view:dispose()
end
self._viewList = {}
end
end
local sortFunc = function(info1,info2)
return tonumber(info1.conditionList) < tonumber(info2.conditionList)
end
table.sort(self._infoList, sortFunc)
for i,info in pairs(self._infoList) do
local view = OpenView6sItem:new(i,self._rankInfo,self._type)
view:setData(info)
view:setPosition(10 + (i - 1) * 250,10)
self:addChild(view)
table.insert(self._viewList,view)
end
end
function OpenView6:setScroll()
end
function OpenView6:updateItem(info)
end
--兑换
OpenView7 = class("OpenView7",function(self,type,flag)
local temp = BaseOpenView:new()
temp._flag = flag
temp._dispose = temp.dispose
temp._infoList = {}
temp._type = type
return temp
end)
function OpenView7:ctor()
self:updateView()
end
function OpenView7:updateView()
if(#self._viewList > 0) then
self._listPanel:removeAllItems()
if(self._viewList ~= nil) then
for __,view in pairs(self._viewList) do
view:dispose()
end
self._viewList = {}
end
end
if self._flag then
self._infoList = globalData.allTemplates.exchangeTemplateList:getOperateActiveLise(1)
else
self._infoList = globalData.allTemplates.exchangeTemplateList:getCanExchangeTemp(1)
end
local list1 = {}      --存放没有兑换的数据
local list2 = {}      --存放已经兑换的数据
for i = 1,#self._infoList do
local view = OpenView7Item:new()
view:setData(self._infoList[i])
if(view:getState()) then
table.insert(list2,view)
else
table.insert(list1,view)
end
table.insert(self._viewList,view)
end
for __,item in pairs(list1) do
self._listPanel:pushBackCustomItem(item)
end
for __,item in pairs(list2) do
self._listPanel:pushBackCustomItem(item)
end
list1 = nil
list2 = nil
self._listPanel:refreshView()
end
function OpenView7:setScroll()
end
function OpenView7:updateItem(info)
end
function OpenView7:dispose()
self._idList = nil
self:_dispose()
self._dispose = nil
end
--全民送礼
OpenView8 = class("OpenView8",function(self,type)
local temp = BaseOpenView:new()
temp._dispose = temp.dispose
temp._typeList = {}
temp._type = type
temp._stages = {}
return temp
end)
function OpenView8:ctor()
self:initEvent()
local infoList = globalData.openInfo:getInfoByShowType(self._type)
for i = 1,#infoList,1 do
if(globalManager.commonUtils:getIndexOfTable(self._typeList,infoList[i].type) == -1) then
globalData.messageAdder:sendGetStage(infoList[i].type)
table.insert(self._typeList,infoList[i].type)
end
end
end
function OpenView8:initEvent()
globalData.openInfo:addEventListener(globalData.globalEventType.playerInfo_rechargeStage,self.rechargeStageUpdateHandler,self)						   --添加监听全服品阶更新
end
function OpenView8:removeEvent()
globalData.openInfo:removeEventListener(globalData.globalEventType.playerInfo_rechargeStage,self.rechargeStageUpdateHandler,self)  --移除监听全服品阶更新
end
function OpenView8:rechargeStageUpdateHandler(evt)
for i = 1, #self._typeList do
self._stages[self._typeList[i]] = globalData.openInfo.stageList[self._typeList[i]] --接收品阶数据请求
end
globalManager.tickManager:addTick(self.updateView, self)
end
function OpenView8:updateView()
globalManager.tickManager:removeTick(self.updateView, self)
if(#self._viewList > 0) then
self._listPanel:removeAllItems()
if(self._viewList ~= nil) then
for __,view in pairs(self._viewList) do
view:dispose()
end
self._viewList = {}
end
end
--    local sortFunc = function(info1,info2)
--        return tonumber(info1) < tonumber(info2)
--    end
--    table.sort(self._typeList, sortFunc)
local index = 0
local isAllAccept = true
for i = 1, #self._typeList do
local curType = self._typeList[i]
self._infoList = globalData.openInfo:getInfoByType(curType)
for i = 1,math.ceil(#self._infoList / 3) do
local view = OpenView8Item:new(self._stages[curType],curType)
view:setData(self._infoList[(i-1)*3 + 1],self._infoList[(i-1)*3 + 2],self._infoList[(i-1)*3 + 3])
if(view:getIsAccept()) then
if(isAllAccept) then index = index + 1 end
else
isAllAccept = false
end
self._listPanel:pushBackCustomItem(view)
table.insert(self._viewList,view)
end
end
self._listPanel:refreshView()
if(#self._infoList <= 2) then return end
self._pre = index*100 / (#self._typeList - 2)
if(self._pre > 100) then self._pre = 100 end
globalManager.tickManager:addTick(self.tick,self)
end
function OpenView8:setScroll()
end
function OpenView8:updateItem(info)
for __,view in pairs(self._viewList) do
if(view._selfInfo.id == info.id) then
view:updateData(info)
end
end
end
function OpenView8:dispose()
self._typeList = nil
self:_dispose()
self._dispose = nil
end
--团购
OpenView9 = class("OpenView9",function(self,type)
local temp = BaseOpenView:new()
temp._type = type
temp._getNumbers = 0
return temp
end)
function OpenView9:ctor()
self:initEvent()
globalData.messageAdder:sendGetPeople()
end
function OpenView9:initEvent()
globalData.openInfo:addEventListener(globalData.globalEventType.playerInfo_rechargePeople,self.getNumberUpdateHandler,self)						                        --添加监听N人充值
end
function OpenView9:removeEvent()
globalData.openInfo:removeEventListener(globalData.globalEventType.playerInfo_rechargePeople,self.getNumberUpdateHandler,self)                                             --移除监听N人充值
end
function OpenView9:getNumberUpdateHandler(evt)
self._getNumbers = globalData.openInfo.numberPeople
self:updateView()
end
function OpenView9:updateView()
if(#self._viewList > 0) then
self._listPanel:removeAllItems()
if(self._viewList ~= nil) then
for __,view in pairs(self._viewList) do
view:dispose()
end
self._viewList = {}
end
end
self._infoList = globalData.openInfo:getInfoByShowType(self._type)
local sortFunc = function(info1,info2)
return tonumber(info1.begin) < tonumber(info2.begin)
end
table.sort(self._infoList, sortFunc)
local openTime = globalData.openTime
local systemTime = math.floor(globalData.systemDateInfo:getSystemTime() / 1000)
local openDay = math.ceil((systemTime - openTime) / (3600 * 24))
local index = 0
local isAllAccept = true
for __,info in pairs(self._infoList) do
if(info.begin >= openDay)then
local view = OpenView9Item:new(self._getNumbers)
view:setData(info)
if(view:getIsAccept()) then
if(isAllAccept) then index = index + 1 end
else
isAllAccept = false
end
self._listPanel:pushBackCustomItem(view)
table.insert(self._viewList,view)
end
end
self._listPanel:refreshView()
if(#self._infoList <= 3) then return end
self._pre = index*100 / (#self._infoList - 3)
if(self._pre > 100) then self._pre = 100 end
end
function OpenView9:updateItem(info)
for __,view in pairs(self._viewList) do
if(view._id == info.id) then
view:setData(info,true)
end
end
end
--特卖场
OpenView10 = class("OpenView10",function(self)
local temp = BaseOpenView:new()
return temp
end)
function OpenView10:ctor()
self:initEvent()
self:updateView()
end
function OpenView10:initEvent()
globalData.discountGoodsList:addEventListener(globalData.globalEventType.shop_discount, self.updateData, self)
end
function OpenView10:removeEvent()
globalData.discountGoodsList:removeEventListener(globalData.globalEventType.shop_discount, self.updateData, self)
end
function OpenView10:setScroll()
end
function OpenView10:updateView()
if(self._viewList ~= nil) then
for __,view in pairs(self._viewList) do
view:dispose()
end
self._viewList = {}
end
for i = 1,6 do
local view = OpenView10Item:new()
view:setPosition(globalManager.ccCreator:newPoint(((i - 1)% 3)*252 + 3, 169 - math.floor((i-1) / 3)*169))
self:addChild(view)
table.insert(self._viewList,view)
end
globalData.messageAdder:sendShopDiscount(7)
end
function OpenView10:updateData()
self._infoList = globalData.discountGoodsList:getListByType(7)
local len = #self._infoList
for i = 1,6 do
if(i <= len) then
self._viewList[i]:setData(self._infoList[i])
end
end
end
function OpenView10:updateItem(info)
end
--微会活动
OpenView11 = class("OpenView11",function(self,type)
local temp = BaseOpenView:new()
temp._type = type
return temp
end)
function OpenView11:ctor()
self:initEvent()
self:updateView()
end
function OpenView11:initEvent()
end
function OpenView11:removeEvent()
end
function OpenView11:updateView()
local info = globalData.openInfo:getInfoByShowType(self._type)
local view = OpenView11Item:new()
view:setData(info[1])
self:addChild(view)
table.insert(self._viewList,view)
end
function OpenView11:updateItem(info)
for __,view in pairs(self._viewList) do
if(view.activityId == info.id) then
view:setData(info)
end
end
end
--成长计划
OpenView12 = class("OpenView12",function(self,type)
local temp = BaseOpenView:new()
temp._type = type
return temp
end)
function OpenView12:ctor()
self:initEvent()
self:updateView()
end
function OpenView12:initEvent()
globalData.openInfo:addEventListener(globalData.globalEventType.playerInfo_growUpPlaneUpdate,self.updateView,self)
end
function OpenView12:removeEvent()
globalData.openInfo:removeEventListener(globalData.globalEventType.playerInfo_growUpPlaneUpdate,self.updateView,self)
end
function OpenView12:updateView()
globalManager.tickManager:removeTick(self.updateView, self)
if(#self._viewList > 0) then
self._listPanel:removeAllItems()
if(self._viewList ~= nil) then
for __,view in pairs(self._viewList) do
view:dispose()
end
self._viewList = {}
end
end
local itemList = globalData.allTemplates.growUpProjectTemplateList.list
local index = 0
local isAllAccept = true
for i = 1,#itemList,1 do
local view = OpenView12Item:new()
view:setData(itemList[i])
if(view:getIsAccept()) then
if(isAllAccept) then index = index + 1 end
else
isAllAccept = false
end
self._listPanel:pushBackCustomItem(view)
table.insert(self._viewList,view)
end
self._listPanel:refreshView()
if(#itemList <= 3) then return end
self._pre = index*100 / (#itemList - 3)
if(self._pre > 100) then self._pre = 100 end
globalManager.tickManager:addTick(self.tick,self)
end
--冲阶
OpenView13 = class("OpenView13",function(self,type)
local self  =  globalManager.ccCreator:newJsonWidget("openItem13View")
self._type              = type
self._typeName          = self:getChildByName("typeName")
self._itemList          = {}
self._viewList          = {}
for i = 1,3,1 do
table.insert(self._itemList,self:getChildByName("item"..i))
end
self._remainLabel       = self:getChildByName("remainLabel")
self._okBtn             = self:getChildByName("commonBtn")
self._btnLabel          = self._okBtn:getChildByName("btnLabel")
self._btnLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel29"))
self._hasGetIcon        = self:getChildByName("hasGetIcon")
self.sliderLayer        = self:getChildByName("listView")
self:getChildByName("flagIcon"):setVisible(false)
--4.妖精冲阶5.坐骑冲阶6.羽翼冲阶7.仙灵冲阶8.足迹冲阶21.法阵冲阶22.龙魂冲阶
self._typeNameList      = {globalManager.yuyanbaoManager:getYuyanbao("PanelTabGroupType.text53")..globalManager.yuyanbaoManager:getYuyanbao("OpenView12Item.text2"),globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel15")..globalManager.yuyanbaoManager:getYuyanbao("OpenView12Item.text2"),globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel17")..globalManager.yuyanbaoManager:getYuyanbao("OpenView12Item.text2"),globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel19")..globalManager.yuyanbaoManager:getYuyanbao("OpenView12Item.text2"),globalManager.yuyanbaoManager:getYuyanbao("OpenView13.text1"),globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel20")..globalManager.yuyanbaoManager:getYuyanbao("OpenView12Item.text2"),globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel21")..globalManager.yuyanbaoManager:getYuyanbao("OpenView12Item.text2")}
--3.妖精冲阶4.坐骑冲阶5.翅膀冲阶6.仙灵冲阶7.足迹冲阶28.龙魂冲阶29.法阵冲阶
--self._serverType        = {3,4,5,6,7,29,28}
self._infoList          = {}
self.stageNumList       = {}
self.selfStage          = nil
self.selfInfo           = nil
self.itemViewList       = {}
self._goodsInfos        = {}
return self
end)
function OpenView13:ctor()
self._infoList = globalData.openInfo:getInfoByShowType(self._type)
local sortFunc = function(info1,info2)
return tonumber(info1.conditionList) >= tonumber(info2.conditionList)
end
table.sort(self._infoList, sortFunc)
self:initView()
if(self._type == 4)then
globalData.messageAdder:sendOpenStageNum()
elseif(self._type == 5)then
globalData.messageAdder:sendOpenStageNum()
elseif(self._type == 6)then
globalData.messageAdder:sendOpenStageNum()
elseif(self._type == 7)then
globalData.messageAdder:sendOpenStageNum()
elseif(self._type == 8)then
globalData.messageAdder:sendOpenStageNum()
elseif(self._type == 21)then
globalData.messageAdder:sendOpenStageNum()
elseif(self._type == 22)then
globalData.messageAdder:sendOpenStageNum()
end
self:initEvent()
end
function OpenView13:initView()
if(#self.itemViewList > 0)then
for __,info in pairs(self.itemViewList) do
info:dispose()
info = nil
end
self.itemViewList = {}
end
for i = 2,4,1 do
local view = OpenView13Item:new(i,self._type)
self.sliderLayer:pushBackCustomItem(view)
table.insert(self.itemViewList,view)
end
if(#self._viewList > 0)then
for __,info in pairs(self._viewList) do
info:dispose()
info = nil
end
self._viewList = {}
end
for i = 1,3,1 do
local grid = GoodsInfoGrid:new()
local goodsinfo = GoodsInfo:new()
goodsinfo:setTemplateId(self._infoList[1].itemList[i][1])
goodsinfo.count = self._infoList[1].itemList[i][2]
if(self._infoList[1].itemList[i][4] ~= nil) then
goodsinfo:updateStrengthLevel(self._infoList[1].itemList[i][4])
end
if(self._infoList[1].itemList[i][5] ~= nil) then
goodsinfo.stage = self._infoList[1].itemList[i][5]
end
table.insert(self._goodsInfos,goodsinfo)
grid:setGoodsInfo(goodsinfo)
self._itemList[i]:addChild(grid)
table.insert(self._viewList,grid)
end
local typeNameContent = ""
local stage = tonumber(self._infoList[1].conditionList)
if(self._type == 4)then
self.selfStage  = globalData.petItemInfo.stage
typeNameContent = self._typeNameList[1] .. globalData.numList[math.ceil(stage / globalData.allTemplates.xiaofeiTemplateList.STAGE_PRE_STAR)] .. globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel45")..((stage - 1) % globalData.allTemplates.xiaofeiTemplateList.STAGE_PRE_STAR + 1)..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel68")
elseif(self._type == 5)then
self.selfStage  = globalData.riderItemInfo.stage
typeNameContent = self._typeNameList[2] .. globalData.numList[math.ceil(stage / globalData.allTemplates.xiaofeiTemplateList.STAGE_PRE_STAR)] .. globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel45")..((stage - 1) % globalData.allTemplates.xiaofeiTemplateList.STAGE_PRE_STAR + 1)..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel68")
elseif(self._type == 6)then
self.selfStage  = globalData.wingItemInfo.stage
typeNameContent = self._typeNameList[3] .. globalData.numList[math.ceil(stage / globalData.allTemplates.xiaofeiTemplateList.STAGE_PRE_STAR)] .. globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel45")..((stage - 1) % globalData.allTemplates.xiaofeiTemplateList.STAGE_PRE_STAR + 1)..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel68")
elseif(self._type == 7)then
self.selfStage  = globalData.spriteItemInfo.stage
typeNameContent = self._typeNameList[4] .. globalData.numList[math.ceil(stage / globalData.allTemplates.xiaofeiTemplateList.STAGE_PRE_STAR)] .. globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel45")..((stage - 1) % globalData.allTemplates.xiaofeiTemplateList.STAGE_PRE_STAR + 1)..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel68")
elseif(self._type == 8)then
self.selfStage  = globalData.godItemInfo.stage
typeNameContent = self._typeNameList[5]  .. globalData.numList[math.ceil(stage/ globalData.allTemplates.xiaofeiTemplateList.STAGE_PRE_STAR)] .. globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel45")..((stage - 1) % globalData.allTemplates.xiaofeiTemplateList.STAGE_PRE_STAR + 1)..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel68")
elseif(self._type == 21)then
self.selfStage  = globalData.fazhenItemInfo.stage
typeNameContent = self._typeNameList[6] .. globalData.numList[math.ceil(stage / globalData.allTemplates.xiaofeiTemplateList.STAGE_PRE_STAR)] .. globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel45")..((stage - 1) % globalData.allTemplates.xiaofeiTemplateList.STAGE_PRE_STAR + 1)..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel68")
elseif(self._type == 22)then
self.selfStage  = globalData.longhunItemInfo.stage
typeNameContent = self._typeNameList[7] .. globalData.numList[math.ceil(stage / globalData.allTemplates.xiaofeiTemplateList.STAGE_PRE_STAR)] .. globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel45")..((stage - 1) % globalData.allTemplates.xiaofeiTemplateList.STAGE_PRE_STAR + 1)..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel68")
end
self._typeName:setText(typeNameContent)
end
function OpenView13:updateItem(info)
if(self.selfStage >= tonumber(self._infoList[1].conditionList))then
self._okBtn:loadTextureNormal("btn/ui_tabBtn1_3.png",1)
self._btnLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel37"))
else
self._okBtn:loadTextureNormal("btn/ui_tabBtn1_4.png",1)
end
self.selfInfo = globalData.openInfo:getSelfInfoById(self._infoList[1].id)
if(self.selfInfo == nil or self.selfInfo.count <= 0)then
self._okBtn:setEnabled(true)
else
self._okBtn:setEnabled(false)
end
for i = 1,3,1 do
self.itemViewList[i]:setData(self._infoList,self.stageNumList)
end
end
function OpenView13:checkUpdateHandler()
self.stageNumList = globalData.openInfo.stageNumList
local totalNum    = globalData.allTemplates.shamTemplateList:getTemplateByShowtype(self._type,self._infoList[1].conditionList).count
if(self.stageNumList[tonumber(self._infoList[1].conditionList)] == nil)then
self.stageNumList[tonumber(self._infoList[1].conditionList)] = 0
end
self.selfInfo = globalData.openInfo:getSelfInfoById(self._infoList[1].id)
if(totalNum - self.stageNumList[tonumber(self._infoList[1].conditionList)] < 1)then
if(self.selfInfo ~= nil and self.selfInfo.count >= 1)then
self._remainLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel69")..":0")
else
self._remainLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel69")..":1")
end
else
self._remainLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel69")..":" .. totalNum - self.stageNumList[tonumber(self._infoList[1].conditionList)])
end
self:updateItem(nil)
end
function OpenView13:initEvent()
local okClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
if(self.selfStage >= tonumber(self._infoList[1].conditionList))then
if(self.selfInfo == nil or self.selfInfo.count <= 0)then
globalData.messageAdder:getOpenAward(self._infoList[1].id)
end
else
if(self._type == 4) then
if(globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.petLevel) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel50"))
return
end
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab4,globalData.allStaticTypes.panelTabType.pet)
elseif(self._type == 5) then
if(globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.riderLevel) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel50"))
return
end
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab4,globalData.allStaticTypes.panelTabType.rider)
elseif(self._type == 6) then
if(globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.wingLevel) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel50"))
return
end
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab4,globalData.allStaticTypes.panelTabType.wing)
elseif(self._type == 7) then
if(globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.spriteLevel) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel50"))
return
end
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab4,globalData.allStaticTypes.panelTabType.sprite)
elseif(self._type == 8) then
if(globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.weaponLevel) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel50"))
return
end
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab4,globalData.allStaticTypes.panelTabType.god)
elseif(self._type == 21) then
if(globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.fazhenLevel) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel50"))
return
end
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab4,globalData.allStaticTypes.panelTabType.fazhen)
elseif(self._type == 22) then
if(globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.longhunLevel) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel50"))
return
end
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab4,globalData.allStaticTypes.panelTabType.longhun)
end
end
end
end
self._okBtn:addTouchEventListener(okClickHandler)
globalData.openInfo:addEventListener(globalData.globalEventType.playerInfo_hasStageNumUpdate,self.checkUpdateHandler,self)
end
function OpenView13:removeEvent()
globalData.openInfo:removeEventListener(globalData.globalEventType.playerInfo_hasStageNumUpdate,self.checkUpdateHandler,self)
end
function OpenView13:dispose()
self:removeEvent()
self._type              = nil
self._typeName          = nil
self._itemList          = nil
self._remainLabel       = nil
self._okBtn             = nil
self._btnLabel          = nil
self._hasGetIcon        = nil
self.sliderLayer        = nil
self._typeNameList      = nil
self._serverType        = nil
self._infoList          = nil
self.stageNumList       = nil
self.selfStage          = nil
self.selfInfo           = nil
if(#self._viewList > 0)then
for __,info in pairs(self._viewList) do
info:dispose()
info = nil
end
self._viewList = nil
end
if(#self.itemViewList > 0)then
for __,info in pairs(self.itemViewList) do
info:dispose()
info = nil
end
self.itemViewList = nil
end
for __,info in pairs(self._goodsInfos) do
info:dispose()
end
self._goodsInfos = nil
globalManager.ccCreator:release(self)
end
--公测礼包
OpenView14 = class("OpenView14",function(self,type)
local self  =  globalManager.ccCreator:newJsonWidget("operateActiveView")
self._type              = type
self._titleLabel        = self:getChildByName("titleLab")
self._scrollView        = self:getChildByName("ScrollView")
self._infoLabel = globalManager.ccCreator:newRichLabel2(nil,650)
self._subTitle          = self:getChildByName("Label_834959")
self.viewList           = {}
self.itemList           = {}
for i = 1,4,1 do
table.insert(self.itemList,self:getChildByName("award"..i))
end
self._goBtn             = self:getChildByName("Button_804689")
self._goBtnLabel        = self._goBtn:getChildByName("LabelBMFont_825995")
self.tempLateInfo       = nil
self.characterLayer     = self:getChildByName("characterLayer")
self.characterLayer:removeFromParent(false)
return self
end)
function OpenView14:ctor()
self:initEvent()
self:initView()
end
function OpenView14:initView()
self.tempLateInfo = globalData.openInfo:getInfoByShowType(self._type)[1]
self._titleLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("MatterPanel.text1")..":")
self._subTitle:setText(globalManager.yuyanbaoManager:getYuyanbao("MatterPanel.text2")..":")
local showList = globalManager.messageUtils:changeStrToIntList(self.tempLateInfo.showList)
local len = #showList
if(len > 4)then len = 4 end
for i = 1,len,1 do
if(showList[i] ~= nil) then
local grid = GoodsInfoGrid:new()
grid:setGoodsTempInfo(globalData.allTemplates.goodsTemplateList:getTemplate(showList[i][1]))
grid:setCount(showList[i][2])
self.itemList[i]:addChild(grid)
table.insert(self.viewList,grid)
end
end
self._infoLabel:setText(self.tempLateInfo.notice)
local height = self._infoLabel:getHeight()
self._scrollView:addChild(self._infoLabel,3)
if(height < 100) then
self._infoLabel:setPosition(0,100)
else
self._infoLabel:setPosition(0,height)
end
self._scrollView:setInnerContainerSize(globalManager.ccCreator:newSize(750,height+30))
end
function OpenView14:initEvent()
local goClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
if(#self.tempLateInfo.deploy > 0)then
globalManager.triggerManager:handlerList(self.tempLateInfo.deploy)
end
end
end
self._goBtn:addTouchEventListener(goClickHandler)
end
function OpenView14:removeEvent()
end
function OpenView14:dispose()
self:removeEvent()
self._type              = nil
self._titleLabel        = nil
if(self.viewList ~= nil)then
for __,info in pairs(self.viewList) do
info:dispose()
info = nil
end
self.viewList = nil
end
if(self._infoLabel ~= nil) then
globalManager.ccCreator:release(self._infoLabel)
self._infoLabel = nil
end
self._scrollView        = nil
self._subTitle          = nil
self.itemList           = nil
self._goBtn             = nil
self._goBtnLabel        = nil
self.tempLateInfo       = nil
self.characterLayer     = nil
globalManager.ccCreator:release(self)
end
--进阶日
OpenView15 = class("OpenView15",function(self,type)
local self  =  globalManager.ccCreator:newJsonWidget("openViewJinjiePanel")
self._type              = type
self._itemList          = {}
for i = 1,3,1 do
table.insert(self._itemList,self:getChildByName("item"..i))
end
self._goBtn             = self:getChildByName("commonBtn")
self._goBtnLabel        = self._goBtn:getChildByName("btnLabel")
self._goBtnLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel29"))
self.characterLayer     = self:getChildByName("characterLayer")
self.typeName           = self:getChildByName("typeName")
self.hasGetIcon         = self:getChildByName("hasGetIcon")
self.bg                 = self:getChildByName("bg")
self.bgPath             = globalManager.pathManager:getUISource("outPic/openViewJinJieBg.png")
self._character         = nil
self._characterInfo     = nil
self._effect            = nil
self.tempLateInfoList   = nil
self.goodsList          = {}
self.currentStage       = 0
self.currentInfo        = nil
self.selfInfo           = nil
self._goodsInfos        = {}
self._typeNameList      = {
globalManager.yuyanbaoManager:getYuyanbao("PanelTabGroupType.text53")..globalManager.yuyanbaoManager:getYuyanbao("OpenView12Item.text2"),
globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel15")..globalManager.yuyanbaoManager:getYuyanbao("OpenView12Item.text2"),
globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel17")..globalManager.yuyanbaoManager:getYuyanbao("OpenView12Item.text2"),
globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel19")..globalManager.yuyanbaoManager:getYuyanbao("OpenView12Item.text2"),
globalManager.yuyanbaoManager:getYuyanbao("OpenView13.text1")..globalManager.yuyanbaoManager:getYuyanbao("OpenView12Item.text2"),
globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel20")..globalManager.yuyanbaoManager:getYuyanbao("OpenView12Item.text2"),
globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel21")..globalManager.yuyanbaoManager:getYuyanbao("OpenView12Item.text2")}
--3.妖精冲阶4.坐骑冲阶5.翅膀冲阶6.仙灵冲阶7.足迹冲阶28.龙魂冲阶29.法阵冲阶
return self
end)
function OpenView15:ctor()
globalManager.sourceCacheManager:setImage(self.bg,self.bgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self.bg:setPosition(self.bg:getPositionX() - 2,self.bg:getPositionY() + 6)
self:initEvent()
self:updateItem()
end
function OpenView15:setCharaterInfo()
if(self._character ~= nil)then
self._character:dispose()
end
if(self._characterInfo ~= nil) then
self._characterInfo:dispose()
end
local character = 0
if(self._type == 51)then
character = math.min(100,globalData.petItemInfo.stage + 10)
self._characterInfo = CharacterInfo:new(globalData.allStaticTypes.sourceStaticType.pet)
self._characterInfo:setStyleBin(1,globalData.allTemplates.petTemplateList:getTemplate(character):getShowPath())
self._characterInfo:setDefaultAnima(globalData.allStaticTypes.animaInfoList.petStand)
self._character = BaseCharacter:new(self._characterInfo)
self._character:setScale(1.5)
self._character:show(globalData.allStaticTypes.directType.bottom)
self._character:setPosition(globalManager.ccCreator:newPoint(48,64))
self.characterLayer:addNode(self._character)
elseif(self._type == 52)then
character = math.min(100,globalData.riderItemInfo.stage + 10)
self._characterInfo = CharacterInfo:new(globalData.allStaticTypes.sourceStaticType.player)
self._characterInfo.showDefaultCloth = false
self._characterInfo:setStyleBin(3,character)
self._characterInfo:setDefaultAnima(globalData.allStaticTypes.animaInfoList.stand2)
self._character = BaseCharacter:new(self._characterInfo)
self._character:show(globalData.allStaticTypes.directType.bottom)
if(character > 10 and character <= 20)then
self._character:setPosition(globalManager.ccCreator:newPoint(45,74))
elseif(character > 20 and character <= 30)then
self._character:setPosition(globalManager.ccCreator:newPoint(45,94))
elseif(character > 30 and character <= 40)then
self._character:setPosition(globalManager.ccCreator:newPoint(45,104))
elseif(character > 20 and character <= 30)then
self._character:setPosition(globalManager.ccCreator:newPoint(45,94))
elseif(character > 60 and character <= 70)then
self._character:setPosition(globalManager.ccCreator:newPoint(35,94))
elseif(character > 50 and character <= 60)then
self._character:setPosition(globalManager.ccCreator:newPoint(40,94))
elseif(character > 70 and character <= 80)then
self._character:setPosition(globalManager.ccCreator:newPoint(35,94))
elseif(character > 80 and character <= 90)then
self._character:setPosition(globalManager.ccCreator:newPoint(40,94))
else
self._character:setPosition(globalManager.ccCreator:newPoint(45,94))
end
self.characterLayer:addNode(self._character)
elseif(self._type == 53)then
character = math.min(100,globalData.wingItemInfo.stage + 10)
local tempInfo = globalData.allTemplates.xiaofeiTemplateList:getTemplate(globalData.allStaticTypes.petXiaofeiType.CHIBANG,character)
self._character = globalManager.effectCreator:create(tonumber(tempInfo:getShowPath()),nil,nil,false)
if(self._character ~= nil) then
self._character:move2(self.characterLayer,49,-34)
self.characterLayer:addNode(self._character)
self._character:play()
end
elseif(self._type == 54)then
character = math.min(100,globalData.godItemInfo.stage + 10)
local tempInfo = globalData.allTemplates.xiaofeiTemplateList:getTemplate(globalData.allStaticTypes.petXiaofeiType.SHENBING,character)
self._character = FootShowEffect:new(tempInfo.templateId)
self._character:setPosition(globalManager.ccCreator:newPoint(-52,56))
self.characterLayer:addChild(self._character,10)
elseif(self._type == 55)then
character = math.min(100,globalData.spriteItemInfo.stage + 10)
local tempInfo = globalData.allTemplates.xiaofeiTemplateList:getTemplate(globalData.allStaticTypes.petXiaofeiType.JINGLING,character)
self._character = globalManager.effectCreator:create(tonumber(tempInfo:getShowPath()),nil,nil,false,1.5)
if(self._character ~= nil) then
if(character <= 10)then
self._character:move2(self.characterLayer,104,-100)
elseif(character > 30 and character <= 40)then
self._character:move2(self.characterLayer,104,-60)
elseif(character > 40 and character <= 50)then
self._character:move2(self.characterLayer,104,-145)
elseif(character > 50 and character <= 60)then
self._character:move2(self.characterLayer,104,-85)
elseif(character > 60 and character <= 70)then
self._character:move2(self.characterLayer,104,-97)
else
self._character:move2(self.characterLayer,112,-145)
end
self.characterLayer:addNode(self._character)
self._character:play()
end
elseif(self._type == 56)then
character = math.min(100,globalData.longhunItemInfo.stage + 10)
local tempInfo = globalData.allTemplates.xiaofeiTemplateList:getTemplate(globalData.allStaticTypes.petXiaofeiType.LONGHUN,character)
self._character = globalManager.effectCreator:create(tonumber(tempInfo:getShowPath()),nil,nil,false,1.5)
if(self._character ~= nil) then
local color = globalData.allStaticTypes.colorType:getBodyEffectColor(character)
self._character:setColor(color)
self._character:move2(self._showPanel,50,-30)
self.characterLayer:addNode(self._character)
self._character:play()
end
elseif(self._type == 57)then
character = math.min(100,globalData.fazhenItemInfo.stage + 10)
local tempInfo = globalData.allTemplates.xiaofeiTemplateList:getTemplate(globalData.allStaticTypes.petXiaofeiType.FAZHEN,character)
self._character = globalManager.effectCreator:create(tonumber(tempInfo:getShowPath()),nil,nil,false,1.5)
if(self._character ~= nil) then
local color = globalData.allStaticTypes.colorType:getFazhenEffectColor(character)
self._character:setColor(color)
self._character:move2(self.characterLayer,50,-100)
self.characterLayer:addNode(self._character)
self._character:play()
end
end
end
function OpenView15:updateItem()
self.tempLateInfoList = globalData.openInfo:getInfoByShowType(self._type)
self:setCharaterInfo()
self:setGoodsView()
end
function OpenView15:setGoodsView()
self.currentStage = 0
local typeStr = ""
if(self._type == 51)then
self.currentStage = globalData.petItemInfo.stage
typeStr = self._typeNameList[1]
elseif(self._type == 52)then
self.currentStage = globalData.riderItemInfo.stage
typeStr = self._typeNameList[2]
elseif(self._type == 53)then
self.currentStage = globalData.wingItemInfo.stage
typeStr = self._typeNameList[3]
elseif(self._type == 54)then
self.currentStage = globalData.godItemInfo.stage
typeStr = self._typeNameList[5]
elseif(self._type == 55)then
self.currentStage = globalData.spriteItemInfo.stage
typeStr = self._typeNameList[4]
elseif(self._type == 56)then
self.currentStage = globalData.longhunItemInfo.stage
typeStr = self._typeNameList[7]
elseif(self._type == 57)then
self.currentStage = globalData.fazhenItemInfo.stage
typeStr = self._typeNameList[6]
end
self.currentInfo = nil
for index,info in pairs(self.tempLateInfoList) do
local selfInfo = globalData.openInfo:getSelfInfoById(info.id)
if(selfInfo == nil or selfInfo.count <= 0)then
self.currentInfo = info
break
else
if(index >= 4)then
self.currentInfo = info
end
end
end
if(self.goodsList ~= nil)then
for __,info in pairs(self.goodsList) do
info:dispose()
info = nil
end
self.goodsList = {}
end
if(self._goodsInfos ~= nil)then
for __,info in pairs(self._goodsInfos) do
info:dispose()
end
self._goodsInfos = {}
end
for i = 1,3,1 do
local grid = GoodsInfoGrid:new()
local goodsinfo = GoodsInfo:new()
goodsinfo:setTemplateId(self.currentInfo.itemList[i][1])
goodsinfo.count = self.currentInfo.itemList[i][2]
if(self.currentInfo.itemList[i][4] ~= nil) then
goodsinfo:updateStrengthLevel(self.currentInfo.itemList[i][4])
end
if(self.currentInfo.itemList[i][5] ~= nil) then
goodsinfo.stage = self.currentInfo.itemList[i][5]
end
table.insert(self._goodsInfos,goodsinfo)
grid:setGoodsInfo(goodsinfo)
self._itemList[i]:addChild(grid)
table.insert(self.goodsList,grid)
end
if(self._effect ~= nil)then
self._effect:dispose()
self._effect = nil
end
if(self.currentStage < tonumber(self.currentInfo.conditionList))then
self._goBtn:loadTextureNormal("btn/ui_tabBtn1_4.png",1)
self._goBtnLabel:setText("进阶")
else
self.selfInfo = globalData.openInfo:getSelfInfoById(self.currentInfo.id)
if(self.selfInfo == nil or self.selfInfo.count <= 0)then
self._goBtn:loadTextureNormal("btn/ui_tabBtn1_3.png",1)
self._goBtnLabel:setText("领取")
self._effect = globalManager.effectCreator:create(78)
self._effect:setScale(1.4)
self._effect:play()
self._goBtn:addNode(self._effect,2)
else
self._goBtn:loadTextureNormal("btn/ui_tabBtn1_5.png",1)
self._goBtn:setTouchEnabled(false)
self._goBtnLabel:setText("领取")
end
end
self.typeName:setText(typeStr .. globalData.numList[math.ceil(tonumber(self.currentInfo.conditionList) / globalData.allTemplates.xiaofeiTemplateList.STAGE_PRE_STAR)] .. globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel45")..((tonumber(self.currentInfo.conditionList) - 1) % globalData.allTemplates.xiaofeiTemplateList.STAGE_PRE_STAR + 1)..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel68"))
end
function OpenView15:initEvent()
local goClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
if(self.currentStage < tonumber(self.currentInfo.conditionList))then
if(#self.currentInfo.deploy > 0)then
globalManager.triggerManager:handlerList(self.currentInfo.deploy)
end
else
if(self.selfInfo == nil or self.selfInfo.count <= 0)then
globalData.messageAdder:getOpenAward(self.currentInfo.id)
end
end
end
end
self._goBtn:addTouchEventListener(goClickHandler)
end
function OpenView15:removeEvent()
end
function OpenView15:dispose()
self:removeEvent()
self._type              = nil
self._itemList          = nil
self._goBtn             = nil
self._goBtnLabel        = nil
self.tempLateInfoList   = nil
if(self._character ~= nil)then
self._character:dispose()
end
if(self._characterInfo ~= nil) then
self._characterInfo:dispose()
end
self._character         = nil
self._characterInfo     = nil
self.typeName           = nil
self.hasGetIcon         = nil
self.bg                 = nil
globalManager.sourceCacheManager:removeQuote(self.bgPath)
for __,info in pairs(self.goodsList) do
info:dispose()
info = nil
end
self.goodsList = nil
if(self._effect ~= nil) then
self._effect:dispose()
self._effect = nil
end
self.currentStage = nil
self.currentInfo  = nil
self.selfInfo     = nil
for __,info in pairs(self._goodsInfos) do
info:dispose()
end
self._goodsInfos = nil
globalManager.ccCreator:release(self)
end
--冲榜送票
OpenView16 = class("OpenView16",function(self,type)
local self  =  globalManager.ccCreator:newJsonWidget("openFilmView1")
self._type              = type
self._titleLabel        = self:getChildByName("titleLabel")
self._scrollView        = self:getChildByName("ScrollView")
self._infoLabel = globalManager.ccCreator:newRichLabel2(nil,728)
self._numLabelList = {}
for i = 1,3,1 do
table.insert(self._numLabelList,self:getChildByName("numLabel"..i))
end
self._goBtn             = self:getChildByName("goBtn")
self._goBtnLabel        = self._goBtn:getChildByName("label")
self.tipLabel           = self:getChildByName("tipLabel")
self.tipLabel1          = self:getChildByName("tipLabel1")
self.tempLateInfo       = nil
return self
end)
function OpenView16:ctor()
self:initEvent()
self:initView()
end
function OpenView16:initView()
self.tempLateInfo = globalData.openInfo:getInfoByShowType(self._type)[1]
self._titleLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("MatterPanel.text1")..":")
self._numLabelList[1]:setText(globalManager.yuyanbaoManager:getYuyanbao("OpenView16.text1"))
self._numLabelList[2]:setText(globalManager.yuyanbaoManager:getYuyanbao("OpenView16.text2"))
self._numLabelList[3]:setText(globalManager.yuyanbaoManager:getYuyanbao("OpenView16.text3"))
self._goBtnLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("ActivityAchievementItem.text3"))
self.tipLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("OpenView16.text4"))
self.tipLabel1:setText(globalManager.yuyanbaoManager:getYuyanbao("OpenView16.text5"))
self._infoLabel:setText(self.tempLateInfo.notice)
local height = self._infoLabel:getHeight()
self._scrollView:addChild(self._infoLabel,3)
if(height < 95) then
self._infoLabel:setPosition(0,60)
else
self._infoLabel:setPosition(0,height)
end
self._scrollView:setInnerContainerSize(globalManager.ccCreator:newSize(728,height+30))
end
function OpenView16:initEvent()
local goClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
if(#self.tempLateInfo.deploy > 0)then
globalManager.triggerManager:handlerList(self.tempLateInfo.deploy)
end
end
end
self._goBtn:addTouchEventListener(goClickHandler)
end
function OpenView16:removeEvent()
end
function OpenView16:dispose()
self:removeEvent()
self._type              = nil
self._titleLabel        = nil
if(self._infoLabel ~= nil) then
globalManager.ccCreator:release(self._infoLabel)
self._infoLabel = nil
end
self._scrollView        = nil
self._goBtn             = nil
self._goBtnLabel        = nil
self.tempLateInfo       = nil
self._numLabelList      = nil
self.tipLabel           = nil
self.tipLabel1          = nil
globalManager.ccCreator:release(self)
end
--累充送票
OpenView17 = class("OpenView17",function(self,type)
local self  =  globalManager.ccCreator:newJsonWidget("openFilmView2")
self._type              = type
self._titleLabel        = self:getChildByName("titleLabel")
self._scrollView        = self:getChildByName("ScrollView")
self._infoLabel = globalManager.ccCreator:newRichLabel2(nil,728)
self._numLabelList = {}
for i = 1,2,1 do
table.insert(self._numLabelList,self:getChildByName("numLabel"..i))
end
self._stateList    = {}
for i = 1,2,1 do
table.insert(self._stateList,self:getChildByName("awardState"..i))
end
self._goBtn             = self:getChildByName("goBtn")
self._goBtnLabel        = self._goBtn:getChildByName("btnlabel")
self.tipLabel1          = self:getChildByName("tipLabel1")
self.loadingLabel       = self:getChildByName("timeLabel")
self.loadingBar         = self:getChildByName("timeBar")
self.tempLateInfo       = nil
self.tempOpenList       = {}
return self
end)
function OpenView17:ctor()
globalData.messageAdder:sendFilmTicketNumsInfo()
self:initEvent()
self:initView()
end
function OpenView17:initView()
self.tempOpenList = globalData.openInfo:getInfoByShowType(self._type)
local sortFunc = function(info1,info2)
return tonumber(info1.conditionList) < tonumber(info2.conditionList)
end
table.sort(self.tempOpenList, sortFunc)
self.tempLateInfo = self.tempOpenList[1]
self._titleLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("MatterPanel.text1")..":")
self._numLabelList[1]:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("OpenView17.text1"),tonumber(self.tempOpenList[1].conditionList) /10 ))
self._numLabelList[2]:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("OpenView17.text2"),tonumber(self.tempOpenList[2].conditionList) /10 ))
self._goBtnLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("OpenView17.text4"))
self.tipLabel1:setText(globalManager.yuyanbaoManager:getYuyanbao("OpenView16.text5"))
self._infoLabel:setText(self.tempLateInfo.notice)
local height = self._infoLabel:getHeight()
self._scrollView:addChild(self._infoLabel,3)
if(height < 95) then
self._infoLabel:setPosition(0,60)
else
self._infoLabel:setPosition(0,height)
end
self._scrollView:setInnerContainerSize(globalManager.ccCreator:newSize(728,height+30))
for i = 1,2,1 do
local tempInfo = globalData.openInfo:getSelfInfoById(self.tempOpenList[i].id)
if(tempInfo == nil or tempInfo.count <= 0)then
self._stateList[i]:setText(globalManager.yuyanbaoManager:getYuyanbao("OpenView17.text5"))
self._stateList[i]:setColor(globalData.allStaticTypes.colorType.ITEMCOLOR7)
else
self._stateList[i]:setText(globalManager.yuyanbaoManager:getYuyanbao("OpenView17.text6"))
self._stateList[i]:setColor(globalData.allStaticTypes.colorType.COLORBLACKGREEN)
end
end
end
function OpenView17:initEvent()
local goClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
if(#self.tempLateInfo.deploy > 0)then
globalManager.triggerManager:handlerList(self.tempLateInfo.deploy)
end
end
end
self._goBtn:addTouchEventListener(goClickHandler)
globalData.welfareInfo:addEventListener(globalData.globalEventType.playerInfo_filmTicketNumsUpdate,self.updateNumInfo,self)
end
function OpenView17:removeEvent()
globalData.welfareInfo:removeEventListener(globalData.globalEventType.playerInfo_filmTicketNumsUpdate,self.updateNumInfo,self)
end
function OpenView17:updateNumInfo()
local totalNumTectick = globalData.welfareInfo.filmTicketTotalNum
local remainNumTectick = globalData.welfareInfo.filmTicketRemainNum
local pre = math.floor(remainNumTectick / totalNumTectick * 100)
--	local pre1 = math.floor((totalNumTectick - remainNumTectick) / totalNumTectick * 100)
if(pre > 100)then pre = 100 end
if(pre < 1)then pre = 1 end
--	if(pre1 > 100)then pre1 = 100 end
--	if(pre1 < 1)then pre1 = 1 end
if(remainNumTectick == 0) then
self.loadingBar:setPercent(0)
self.loadingLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("OpenView17.text8"))
else
self.loadingBar:setPercent(pre)
self.loadingLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("OpenView17.text7").. pre .."%")
end
end
function OpenView17:dispose()
self:removeEvent()
self._type              = nil
self._titleLabel        = nil
if(self._infoLabel ~= nil) then
globalManager.ccCreator:release(self._infoLabel)
self._infoLabel = nil
end
self._scrollView        = nil
self._goBtn             = nil
self._goBtnLabel        = nil
self.tempLateInfo       = nil
self._stateList         = nil
self.filmBtn            = nil
self.tipLabel1          = nil
self.tempOpenList       = nil
self.loadingBar         = nil
self.loadingLabel       = nil
globalManager.ccCreator:release(self)
end
OpenView18 = class("OpenView18",function(self,type)
local temp = globalManager.ccCreator:newJsonWidget("springFestivalPanelOne")
temp.type = type
temp.itemList = {}
for i = 1,5,1 do
table.insert(temp.itemList,temp:getChildByName("gift_"..i))
end
temp.getOnBtn = temp:getChildByName("get_on_btn")
temp.getOnBtn:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("NewSpringOne.text1"))
temp.detailLabel = temp:getChildByName("detailLabel")
temp.detailLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("OpenView18.text1"))
temp.progressBar = temp:getChildByName("progressBar")
temp.percentLabel = temp:getChildByName("percentLabel")
temp.image_1 = temp:getChildByName("ImageView_943470")
temp.image_2 = temp:getChildByName("ImageView_943444")
temp.image_3 = temp:getChildByName("ImageView_943471")
temp.image_1_bg = globalManager.pathManager:getUISource("outPic/ui_line12.png")
temp.image_2_bg = globalManager.pathManager:getUISource("outPic/newSpring.png")
temp.goodsItem  = temp:getChildByName("goodsItem")
temp.goodsGrid = BaseGrid:new()
temp.goodsItem:addChild(temp.goodsGrid)
return temp
end)
function OpenView18:ctor()
globalManager.sourceCacheManager:setImage(self.image_1,self.image_1_bg,globalData.allStaticTypes.sourceStaticType.clearFiveM)
globalManager.sourceCacheManager:setImage(self.image_2,self.image_2_bg,globalData.allStaticTypes.sourceStaticType.clearFiveM)
globalManager.sourceCacheManager:setImage(self.image_3,self.image_1_bg,globalData.allStaticTypes.sourceStaticType.clearFiveM)
globalData.messageAdder:newYearPercent()
self:initEvent()
self:initView()
end
function OpenView18:initEvent()
local function touchCallBack(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
local index = globalManager.commonUtils:getIndexOfTable(self.itemList,sender)
local id = globalData.allTemplates.newYearTemplateList:getAwardByIndex(index).award_list[1][1][1]
local info = globalData.allTemplates.goodsTemplateList:getTemplate(id)
globalManager.tipsManager:showGoodsTemplate(info)
end
end
local function getOnCallBack(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
if globalData.goodsInfoList:getGoodsCount(150400) > 0 then
globalData.messageAdder:newYearGive()
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("NewSpringOne.text4"))
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("NewSpringOne.text2"))
end
end
end
local function detailCallBack(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.tipsManager:showString(globalManager.descriptManager:getDescript("10063"))
end
end
for i=1,5,1 do
self.itemList[i]:addTouchEventListener(touchCallBack)
end
self.getOnBtn:addTouchEventListener(getOnCallBack)
self.detailLabel:addTouchEventListener(detailCallBack)
globalData.openInfo:addEventListener(globalData.globalEventType.newYearGiven,self.updatePercent,self)
end
function OpenView18:removeEvent()
globalData.openInfo:removeEventListener(globalData.globalEventType.newYearGiven,self.updatePercent,self)
end
function OpenView18:updatePercent()
local percent = globalData.openInfo.percent
local rowPercent = percent < 3 and 3 or (percent > 100 and 100 or percent)
self.progressBar:setPercent(rowPercent)
self.percentLabel:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("NewSpringOne.text3"),percent > 100 and 100 or percent,"%","%"))
if percent >= 100 then
self.getOnBtn:loadTextureNormal("btn/ui_tabBtn1_5.png",1)
self.getOnBtn:setTouchEnabled(false)
else
self.getOnBtn:loadTextureNormal("btn/ui_tabBtn1_3.png",1)
self.getOnBtn:setTouchEnabled(true)
end
self.goodsGrid:setGoodsTempInfo(globalData.allTemplates.goodsTemplateList:getTemplate(150400))
self.goodsGrid:setCount(globalData.goodsInfoList:getGoodsCount(150400,1))
end
function OpenView18:initView()
self:updatePercent()
end
function OpenView18:dispose()
self:removeEvent()
self.controller = nil
self.itemList = {}
self.getOnBtn = nil
self.detailLabel = nil
self.progressBar = nil
self.percentLabel = nil
self.image_1 = nil
self.image_2 = nil
self.image_3 = nil
if(self.goodsGrid ~= nil)then
self.goodsGrid:dispose()
self.goodsGrid = nil
end
globalManager.sourceCacheManager:removeQuote(self.image_1_bg)
globalManager.sourceCacheManager:removeQuote(self.image_2_bg)
globalManager.ccCreator:release(self)
end
--全民红包
OpenView19 = class("OpenView19",function(self,type)
local self  =  globalManager.ccCreator:newJsonWidget("openViewHongBaoPanel")
self._type              = type
self._titleLabel        = self:getChildByName("titleLabel")
self._scrollView        = self:getChildByName("ScrollView")
self._infoLabel         = globalManager.ccCreator:newRichLabel2(nil,738)
self._goBtn             = self:getChildByName("okBtn")
self._goBtnLabel        = self._goBtn:getChildByName("btnLabel")
self._scoreLabel        = self:getChildByName("scoreLabel")
self._loadingBar        = self:getChildByName("timeBar")
self.boxItemList        = {}
self.hasItemList        = {}
self.selectItemList     = {}
self.scoreLabelList     = {}
for i = 1,3,1 do
table.insert(self.boxItemList,self:getChildByName("img_box" .. i))
globalManager.commonUtils:setImgColorGrey(self.boxItemList[i])
table.insert(self.hasItemList,self.boxItemList[i]:getChildByName("img_hasgot"))
self.hasItemList[i]:setVisible(false)
table.insert(self.selectItemList,self.boxItemList[i]:getChildByName("img_boxselected"))
self.selectItemList[i]:setVisible(false)
table.insert(self.scoreLabelList,self.boxItemList[i]:getChildByName("txtName"))
end
self.tempOpenList = {}
self.tempLateInfo = nil
self.goodsIdList  = {}
return self
end)
function OpenView19:ctor()
globalData.messageAdder:sendReadPacketScore()
self:initEvent()
self:initView()
end
function OpenView19:initView()
local tipClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
local index = globalManager.commonUtils:getIndexOfTable(self.boxItemList,sender)
for i = 1,3,1 do
if(i == index)then
self.selectItemList[i]:setVisible(true)
else
self.selectItemList[i]:setVisible(false)
end
end
local info  = globalData.allTemplates.goodsTemplateList:getTemplate(self.goodsIdList[index])
assert(info, "#物品提示,模板数据不存在:"..self.goodsIdList[index])
globalManager.tipsManager:showGoodsTemplate(info)
end
end
self.tempOpenList = globalData.openInfo:getInfoByShowType(self._type)
self.tempLateInfo = self.tempOpenList[1]
self._titleLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("MatterPanel.text1")..":")
self._goBtnLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("OpenView19.text1"))
self._infoLabel:setText(self.tempLateInfo.notice)
local height = self._infoLabel:getHeight()
self._scrollView:addChild(self._infoLabel,3)
if(height < 95) then
self._infoLabel:setPosition(0,60)
else
self._infoLabel:setPosition(0,height)
end
self._scrollView:setInnerContainerSize(globalManager.ccCreator:newSize(738,height+30))
self.goodsIdList = globalManager.messageUtils:splitStringToInt(self.tempLateInfo.showList,",")
for i = 1,3,1 do
self.boxItemList[i]:addTouchEventListener(tipClickHandler)
end
end
function OpenView19:initEvent()
local goClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
if(#self.tempLateInfo.deploy > 0)then
globalManager.triggerManager:handlerList(self.tempLateInfo.deploy)
end
end
end
self._goBtn:addTouchEventListener(goClickHandler)
globalData.openInfo:addEventListener(globalData.globalEventType.redPacket_updateScore,self.updatePercent,self)
end
function OpenView19:removeEvent()
globalData.openInfo:removeEventListener(globalData.globalEventType.redPacket_updateScore,self.updatePercent,self)
end
function OpenView19:updatePercent()
local score = globalData.openInfo.redPakectScore
self._scoreLabel:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("OpenView19.text2"),score))
local pre = math.floor(score / 500 * 100)
if(pre > 100)then pre = 100 end
if(pre < 1)then pre = 1 end
self._loadingBar:setPercent(pre)
if(score >= 100 and score < 300)then
globalManager.commonUtils:setImgColorNormal(self.boxItemList[1])
globalManager.commonUtils:setImgColorGrey(self.boxItemList[2])
globalManager.commonUtils:setImgColorGrey(self.boxItemList[3])
self.hasItemList[1]:setVisible(true)
self.hasItemList[2]:setVisible(false)
self.hasItemList[3]:setVisible(false)
elseif(score >= 300 and score < 500)then
globalManager.commonUtils:setImgColorNormal(self.boxItemList[1])
globalManager.commonUtils:setImgColorNormal(self.boxItemList[2])
globalManager.commonUtils:setImgColorGrey(self.boxItemList[3])
self.hasItemList[1]:setVisible(true)
self.hasItemList[2]:setVisible(true)
self.hasItemList[3]:setVisible(false)
elseif(score >= 500)then
globalManager.commonUtils:setImgColorNormal(self.boxItemList[1])
globalManager.commonUtils:setImgColorNormal(self.boxItemList[2])
globalManager.commonUtils:setImgColorNormal(self.boxItemList[3])
self.hasItemList[1]:setVisible(true)
self.hasItemList[2]:setVisible(true)
self.hasItemList[3]:setVisible(true)
end
end
function OpenView19:dispose()
self:removeEvent()
self._type              = nil
self._titleLabel        = nil
if(self._infoLabel ~= nil) then
globalManager.ccCreator:release(self._infoLabel)
self._infoLabel = nil
end
self._scrollView        = nil
self._goBtn             = nil
self._goBtnLabel        = nil
self._scoreLabel        = nil
self._loadingBar        = nil
self.hasItemList        = nil
self.selectItemList     = nil
self.scoreLabelList     = nil
self.tempOpenList       = nil
self.tempLateInfo       = nil
self.goodsIdList        = nil
self.boxItemList        = nil
self.hasItemList        = nil
globalManager.ccCreator:release(self)
end
--集福
OpenView21 = class("OpenView21", function(self,controller)
local temp = globalManager.ccCreator:newJsonWidget("openViewJiFuPanel")
temp._controller = controller
temp._cellList = {}
temp._hasGetFlagList = {}
for i=1,5 do
local cellBG = temp:getChildByName("item"..i):getChildByName("cell")
local cell = GoodsInfoGrid:new()
cellBG:addChild(cell)
table.insert(temp._cellList,cell)
local hasGetFlag = temp:getChildByName("item"..i):getChildByName("hasGotFlag")
table.insert(temp._hasGetFlagList,hasGetFlag)
temp:getChildByName("item"..i):getChildByName("titleLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("OpenView21.text"..i))
end
temp._itemBg = temp:getChildByName("item5"):getChildByName("itemBg")
temp._itemBgPath = globalManager.pathManager:getUISource("outPic/welfareSignItemBg.png")
temp._desBtn            = temp:getChildByName("tipsBtn")
temp._desLabel          = temp:getChildByName("tipsLabel")
temp._desLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("OpenView18.text1"))
temp.goodsInfoList = {}
temp.hasGetAwardList = {}
return temp
end)
function OpenView21:ctor()
globalManager.sourceCacheManager:setImage(self._itemBg,self._itemBgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self:initEvent()
self:initView()
end
function OpenView21:initView()
-- body
self.goodsInfoList = globalData.allTemplates.jiFuTemplateList.list
self.hasGetAwardList = globalData.openInfo.jiFuAwardList
local day = globalData.openInfo:getJiFuDay() --领取到第几天
for i=1,5 do
self._cellList[i]:setGoodsTempInfo(globalData.allTemplates.goodsTemplateList:getTemplate(self.goodsInfoList[i].awardList[1]))
self._cellList[i]:setCount(self.goodsInfoList[i].awardList[2])
if self._cellList[i]._effect ~= nil then
self._cellList[i]:setQualityEffect(-1)
end
local isGet = globalManager.commonUtils:getIndexOfTable(self.hasGetAwardList,i)
if(isGet ~= -1) then
self._hasGetFlagList[i]:loadTexture("flag/ui_hasGot.png", 1)
self._hasGetFlagList[i]:setVisible(true)
self._cellList[i]:setGray(true)
self._cellList[i]:setClickHandler(nil,nil)
else
if(i == day) then
self._cellList[i]:setQualityEffect(3)
end
self._hasGetFlagList[i]:setVisible(false)
self._cellList[i]:setClickHandler(self,self.canGetClick)
end
end
end
function OpenView21:canGetClick(cell)
local day = globalData.openInfo:getJiFuDay()
local index = globalManager.commonUtils:getIndexOfTable(self._cellList,cell)
local isGet = globalManager.commonUtils:getIndexOfTable(self.hasGetAwardList,index)
if(isGet ~= -1)then return end
if(index < day)then
globalManager.tipsManager:showJiFuGoods(self.goodsInfoList[index],true)
elseif(index == day)then
globalData.messageAdder:sendJiFuAwardGet(index)
elseif(index > day)then
globalManager.tipsManager:showJiFuGoods(self.goodsInfoList[index],false)
end
end
function OpenView21:initEvent()
local desClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
globalManager.tipsManager:showString(globalManager.descriptManager:getDescript("10065"))
end
end
self._desBtn:addTouchEventListener(desClickHandler)
globalData.openInfo:addEventListener(globalData.globalEventType.openView_jiFuUpdate,self.initView,self)
end
function OpenView21:removeEvent()
globalData.openInfo:removeEventListener(globalData.globalEventType.openView_jiFuUpdate,self.initView,self)
end
function OpenView21:dispose()
self:removeEvent()
self._controller = nil
for __,cell in pairs(self._cellList)do
cell:dispose()
cell = nil
end
self._cellList = {}
self._hasGetFlagList = {}
self._itemBg = nil
globalManager.sourceCacheManager:removeQuote(self._itemBgPath)
self._itemBgPath = nil
self.goodsInfoList = {}
self.hasGetAwardList = {}
self._desBtn            = nil
self._desLabel          = nil
globalManager.ccCreator:release(self)
end
--元宵灯会
OpenView20 = class("OpenView20",function(self,type)
local self  =  globalManager.ccCreator:newJsonWidget("openViewDaTiPanel")
self._type              = type
self._titleLabel        = self:getChildByName("titleLabel")
self._desBtn            = self:getChildByName("filmBtn")
self._desLabel          = self:getChildByName("hasFilmNum")
self._infoLabel = globalManager.ccCreator:newRichLabel2(nil,728)
self.awardLayer         = self:getChildByName("awardLayer")
self.awardLayer:retain()
self._scrollView        = self.awardLayer:getChildByName("ScrollView")
self._startBtn          = self.awardLayer:getChildByName("startBtn")
self._startBtnLabel     = self._startBtn:getChildByName("label")
self._awardLabel        = self.awardLayer:getChildByName("awardLabel")
self.itemList           = {}
for i = 1,5,1 do
table.insert(self.itemList,self.awardLayer:getChildByName("award"..i))
end
self.daTiLayer          = self:getChildByName("daTiLayer")
self.daTiLayer:retain()
self._trueBtn           = self.daTiLayer:getChildByName("trueBtn")
self._trueBtnLabel      = self._trueBtn:getChildByName("label")
self._errorBtn          = self.daTiLayer:getChildByName("errorBtn")
self._errorBtnLabel     = self._errorBtn:getChildByName("label")
self._passBtn           = self.daTiLayer:getChildByName("passBtn")
self._passBtnLabel      = self._passBtn:getChildByName("label")
self._pkBtn             = self.daTiLayer:getChildByName("pkBtn")
self._pkBtnLabel        = self._pkBtn:getChildByName("label")
self._tiMuContent       = self.daTiLayer:getChildByName("txtTiMu")
self.stateTime          = false
self.tempLateInfo       = nil
self.tempOpenList       = {}
self.viewList           = {}
return self
end)
function OpenView20:ctor()
local systemTime  = globalData.systemDateInfo:getZeroPassTime()
local startTime1  = 12 * 60 * 60
local endTime1    = 13 * 60 * 60
local startTime2  = 20 * 60 * 60
local endTime2    = 21 * 60 * 60
if( (systemTime >= startTime1 and systemTime <= endTime1) or (systemTime >= startTime2 and systemTime <= endTime2) )then
self.stateTime = true
globalData.messageAdder:sendYuanXiaoDaTiStart()
--globalData.messageAdder:sendYuanXiaoDaTiInfo()
else
self.stateTime = false
end
self.daTiLayer:removeFromParent(false)
self.awardLayer:removeFromParent(false)
self:initEvent()
if(self.stateTime == false)then
self:showAwardLayer()
end
self:initView()
end
function OpenView20:initView()
self._desLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("OpenView18.text1"))
local daTiId   = globalData.openInfo.yuanXiaoDaTiInfo["answerId"]
if(self.stateTime == true)then
if(daTiId == nil)then
self:showAwardLayer()
elseif(daTiId > 0)then
self:showDaTiLayer()
end
end
end
function OpenView20:showAwardLayer()
if(self.daTiLayer:getParent() ~= nil)then
self.daTiLayer:removeFromParent(false)
end
if(self.awardLayer:getParent() == nil) then
self:addChild(self.awardLayer)
end
self._titleLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("MatterPanel.text1"))
if(self.stateTime == true)then
self._startBtn:loadTextureNormal("btn/ui_tabBtn1_3.png",1)
self._startBtn:setTouchEnabled(true)
self._startBtnLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("OpenPanel.text35"))
else
self._startBtn:loadTextureNormal("btn/ui_tabBtn1_5.png",1)
self._startBtn:setTouchEnabled(false)
self._startBtnLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("OpenPanel.text36"))
end
self.tempOpenList = globalData.openInfo:getInfoByShowType(self._type)
self.tempLateInfo = self.tempOpenList[1]
self._infoLabel:setText(self.tempLateInfo.notice)
local height = self._infoLabel:getHeight()
self._scrollView:addChild(self._infoLabel,3)
if(height < 120) then
self._infoLabel:setPosition(0,95)
else
self._infoLabel:setPosition(0,height)
end
self._scrollView:setInnerContainerSize(globalManager.ccCreator:newSize(728,height+30))
local showList = globalManager.messageUtils:changeStrToIntList(self.tempLateInfo.showList)
local len = #showList
if(len > 5)then len = 5 end
for i = 1,len,1 do
if(showList[i] ~= nil) then
local grid = GoodsInfoGrid:new()
grid:setGoodsTempInfo(globalData.allTemplates.goodsTemplateList:getTemplate(showList[i][1]))
--grid:setCount(showList[i][2])
self.itemList[i]:addChild(grid)
table.insert(self.viewList,grid)
end
end
end
function OpenView20:showDaTiLayer()
local rightNum = globalData.openInfo.yuanXiaoDaTiInfo["rightNum"]
local wrongNum = globalData.openInfo.yuanXiaoDaTiInfo["wrongNum"]
local queContent   = globalData.openInfo.yuanXiaoDaTiInfo["queContent"]
local isAward  = globalData.openInfo.yuanXiaoDaTiInfo["isAward"]
if(rightNum == nil)then
rightNum = 0
end
if(wrongNum == nil)then
wrongNum = 0
end
if(queContent == nil)then
queContent = ""
end
if(self.awardLayer:getParent() ~= nil)then
self.awardLayer:removeFromParent(false)
end
if(self.daTiLayer:getParent() == nil) then
self:addChild(self.daTiLayer)
end
if(isAward == nil)then
isAward = 0
end
if(isAward == 1)then
self._pkBtn:loadTextureNormal("btn/ui_tabBtn1_5.png",1)
self._pkBtnLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("OpenPanel.text39"))
self._pkBtn:setTouchEnabled(false)
else
self._pkBtn:loadTextureNormal("btn/ui_tabBtn1_3.png",1)
self._pkBtnLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("OpenPanel.text40"))
self._pkBtn:setTouchEnabled(true)
end
self._titleLabel:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("OpenPanel.text37"),rightNum + wrongNum,rightNum,wrongNum))
if(rightNum + wrongNum > 4)then
self._pkBtn:setEnabled(true)
self._trueBtn:setEnabled(false)
self._errorBtn:setEnabled(false)
self._passBtn:setEnabled(false)
if(isAward == 1)then
self._tiMuContent:setText(globalManager.yuyanbaoManager:getYuyanbao("OpenPanel.text42"))
end
if(isAward == 0)then
if(rightNum > 0 )then
self._tiMuContent:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("OpenPanel.text41"),rightNum * 20,"%"))
else
self._tiMuContent:setText(globalManager.yuyanbaoManager:getYuyanbao("OpenPanel.text43"))
end
end
else
self._pkBtn:setEnabled(false)
self._trueBtn:setEnabled(true)
self._errorBtn:setEnabled(true)
self._passBtn:setEnabled(true)
self._tiMuContent:setText(queContent)
end
end
function OpenView20:initEvent()
local function passHandler()
globalData.messageAdder:sendYuanXiaoDaTiAnswer(2)
end
local startClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
globalData.messageAdder:sendYuanXiaoDaTiStart()
end
end
local trueClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
globalData.messageAdder:sendYuanXiaoDaTiAnswer(1)
end
end
local errorClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
globalData.messageAdder:sendYuanXiaoDaTiAnswer(0)
end
end
local passClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
Alert:new():show(2,string.format(globalManager.yuyanbaoManager:getYuyanbao("OpenPanel.text38"),1),globalManager.noAlertUtils.DATI_PASS,0,self,passHandler)
end
end
local pkClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
globalData.messageAdder:sendEnterCopyCommon(globalData.allTemplates.copyTemplateList.DATICOPY)
end
end
local desClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
globalManager.tipsManager:showString(globalManager.descriptManager:getDescript("10064"))
end
end
self._desBtn:addTouchEventListener(desClickHandler)
self._pkBtn:addTouchEventListener(pkClickHandler)
self._passBtn:addTouchEventListener(passClickHandler)
self._errorBtn:addTouchEventListener(errorClickHandler)
self._trueBtn:addTouchEventListener(trueClickHandler)
self._startBtn:addTouchEventListener(startClickHandler)
globalData.openInfo:addEventListener(globalData.globalEventType.yuanXiaoDaTi_updateInfo,self.initView,self)
end
function OpenView20:removeEvent()
globalData.openInfo:removeEventListener(globalData.globalEventType.yuanXiaoDaTi_updateInfo,self.initView,self)
end
function OpenView20:dispose()
self:removeEvent()
self._type              = nil
self._titleLabel        = nil
self._desBtn            = nil
self._desLabel          = nil
if(self._infoLabel ~= nil) then
globalManager.ccCreator:release(self._infoLabel)
self._infoLabel = nil
end
self.awardLayer:release()
self.awardLayer         = nil
self._awardLabel        = nil
self._scrollView        = nil
self.itemList           = nil
self.daTiLayer:release()
self.daTiLayer          = nil
self._startBtn          = nil
self._startBtnLabel     = nil
self._trueBtn           = nil
self._trueBtnLabel      = nil
self._errorBtn          = nil
self._errorBtnLabel     = nil
self._passBtn           = nil
self._passBtnLabel      = nil
self._pkBtn             = nil
self._pkBtnLabel        = nil
self._tiMuContent       = nil
self.tempLateInfo       = nil
self.tempOpenList       = nil
if(#self.viewList > 0)then
for __,info in pairs(self.viewList) do
info:dispose()
end
self.viewList = nil
end
globalManager.ccCreator:release(self)
end
TopTenView = class("TopTenView",function(self,rankList,type)
local temp = globalManager.ccCreator:newJsonWidget("TopTenRankPanel")
temp._listPanel = temp:getChildByName("ListView")
temp:getChildByName("Label_78424_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("TopTenView.text1"))
temp._viewList = {}
temp._type = type
temp._rankList = rankList
return temp
end)
function TopTenView:ctor()
self:updateView()
globalData.uiClickContainer:addItem(self,true,true)
end
function TopTenView:updateView()
if(#self._viewList > 0) then
self._listPanel:removeAllItems()
if(self._viewList ~= nil) then
for __,view in pairs(self._viewList) do
view:dispose()
end
self._viewList = {}
end
end
for i = 1,#self._rankList do
local view = TopTenViewItem:new()
view:setData(self._rankList[i],i,self._type)
self._listPanel:pushBackCustomItem(view)
table.insert(self._viewList,view)
end
self._listPanel:refreshView()
end
function TopTenView:hideFormClickContainer()
self:dispose()
end
function TopTenView:dispose()
self._rankList = nil
self._type = nil
if(self._viewList ~= nil) then
for __,view in pairs(self._viewList) do
view:dispose()
end
self._viewList = nil
end
self._listPanel:removeAllItems()
self._listPanel = nil
globalData.uiClickContainer:close(self)
globalManager.ccCreator:release(self)
end
OpenController = class("OpenController",function(self,module)
local temp = {}
temp.module = module
return temp
end)
function OpenController:showPanel()
if(self.module.openPanel == nil) then
self.module.openPanel = OpenPanel:new(self)
self.module.openPanel.eventDis:addEventListener(globalData.globalEventType.trigger_panelDispose,self.panelCloseHandler,self)
end
globalData.uiPanelContainer:addPanel(globalData.allStaticTypes.panelTabType.open,self.module.openPanel)
end
function OpenController:panelCloseHandler(evt)
self.module.openPanel.eventDis:removeEventListener(globalData.globalEventType.trigger_panelDispose,self.panelCloseHandler,self)
self.module.openPanel = nil
end
OpenModule = class("OpenModule",function(self)
local temp = BaseModule:new()
temp.openController = nil
temp.openPanel = nil
temp.message = nil
return temp
end)
--override
function OpenModule:getModuleType()
return globalData.allStaticTypes.moduleType.open
end
--override
function OpenModule:setup(data)
self.openController = OpenController:new(self)
self.openController:showPanel()
end
--override
function OpenModule:configure(data)
self.openController:showPanel()
end
OperateActiveController = class("OperateActiveController",function(self,module)
local temp = {}
temp.module = module
return temp
end)
function OperateActiveController:showPanel()
if(self.module.OperateActivePanel == nil) then
self.module.OperateActivePanel = OperateActivePanel:new(self)
self.module.OperateActivePanel.eventDis:addEventListener(globalData.globalEventType.trigger_panelDispose,self.panelCloseHandler,self)
end
globalData.uiPanelContainer:addPanel(globalData.allStaticTypes.panelTabType.operateActive,self.module.OperateActivePanel)
end
function OperateActiveController:panelCloseHandler(evt)
self.module.OperateActivePanel.eventDis:removeEventListener(globalData.globalEventType.trigger_panelDispose,self.panelCloseHandler,self)
self.module.OperateActivePanel = nil
end
OperateActiveModule = class("OperateActiveModule",function(self)
local temp = BaseModule:new()
temp.OperateActiveController = nil
temp.OperateActivePanel = nil
temp.message = nil
return temp
end)
--override
function OperateActiveModule:getModuleType()
return globalData.allStaticTypes.moduleType.operateActive
end
--override
function OperateActiveModule:setup(data)
self.OperateActiveController = OperateActiveController:new(self)
self.OperateActiveController:showPanel()
end
--override
function OperateActiveModule:configure(data)
self.OperateActiveController:showPanel()
end
PartnerModule = class("PartnerModule",function(self)
local temp = BaseModule:new()
temp.partnerController = nil
temp.partnerSysPanel   = nil
temp.message           = nil
return temp
end)
--override
function PartnerModule:getModuleType()
return globalData.allStaticTypes.moduleType.partner
end
--override
function PartnerModule:setup(data)
self.message = PartnerMessageSender:new(self)
self.message:add()
self.partnerController = PartnerController:new(self)
self.partnerController:showPanel()
end
--override
function PartnerModule:configure(data)
self.partnerController:showPanel()
end
PartnerEquipItemView = class("PartnerEquipItemView",function(self,index)
local temp = globalManager.ccCreator:newWidget()
temp._index = index
temp._pic = globalManager.ccCreator:newImageView()--图标ImageView
temp._pic:setPosition(35,35)
temp._pic:setScale(1.2)
temp:addChild(temp._pic,8)
temp._picPath = nil
temp._starList = {}
temp._upIcon = nil
temp._executor = nil
temp._clickHandler = nil
temp._starCount = 0
temp._cellWidth = 70
temp._isGray = false
return temp
end)
function PartnerEquipItemView:ctor()
self:addEvent()
end
function PartnerEquipItemView:setClickHandler(executor,func)
self._executor = executor
self._clickHandler = func
end
function PartnerEquipItemView:addEvent()
local clickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(self._executor ~= nil and self._clickHandler ~= nil) then
self._clickHandler(self._executor,self)
end
end
end
self._pic:setTouchEnabled(true)
self._pic:addTouchEventListener(clickHandler)
end
function PartnerEquipItemView:removeEvent()
end
--置灰
function PartnerEquipItemView:setGray(value)
if(self._isGray == value) then return end
self._isGray = value
if(value) then
globalManager.commonUtils:setImgColorGrey(self._pic)
else
globalManager.commonUtils:setImgColorNormal(self._pic)
end
end
function PartnerEquipItemView:setArrowUp(value)
if(value and self._upIcon == nil)then
self._upIcon = globalManager.ccCreator:newImageView("arrow/ui_arrow6.png",1)
self._upIcon:setPosition(70,5)
self:addChild(self._upIcon,10)
elseif(not value and self._upIcon ~= nil)then
self:clearArrow()
end
end
function PartnerEquipItemView:clearArrow()
if(self._upIcon ~= nil)then
globalManager.ccCreator:release(self._upIcon)
self._upIcon = nil
end
end
function PartnerEquipItemView:setStar(value)
if(self._starCount == value) then return end
self._starCount = value
self:clearStar()
self._starList = {}
for i = 1,value,1 do
local star = globalManager.ccCreator:newImageView()
local path = globalManager.pathManager:getUISource("outPic/ui_star.png")
globalManager.sourceCacheManager:setImage(star,path,globalData.allStaticTypes.sourceStaticType.clearFiveM)
star:setPosition(38 - (value - 1) * 7 + (i - 1) * 12,0)
table.insert(self._starList,star)
self:addChild(star,101)
end
end
function PartnerEquipItemView:clearStar()
for index,info in pairs(self._starList) do
globalManager.ccCreator:release(info)
info = nil
end
self._starList = nil
end
function PartnerEquipItemView:clearPic()
if(self._picPath ~= nil)then
globalManager.sourceCacheManager:removeQuote(self._picPath)
end
self._picPath = nil
self._pic:setVisible(false)
end
function PartnerEquipItemView:createIconBitMap(index)
local path = globalManager.pathManager:getUISource("outPic/equip_".. index ..".png")
if(self._picPath == path) then return end
self._pic:setVisible(true)
if(self._picPath ~= nil)then
globalManager.sourceCacheManager:removeQuote(self._picPath)
end
self._picPath = path
globalManager.sourceCacheManager:setImage(self._pic,self._picPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
end
function PartnerEquipItemView:dispose()
self:removeEvent()
self:clearPic()
self:clearStar()
self:clearArrow()
globalManager.ccCreator:release(self._pic)
self._pic          = nil
self._executor     = nil
self._clickHandler = nil
self._index        = nil
globalManager.ccCreator:release(self)
end
PartnerEquipUpView = class("PartnerEquipUpView",function(self,parent,controller,currentPartnerInfo,place)
local temp = globalManager.ccCreator:newJsonWidget("PartnerEquipUpView")
temp._controller = controller
temp.borad      = temp:getChildByName("borad")
temp.okBtn      = temp:getChildByName("okBtn")
temp.closeBtn   = temp:getChildByName("close_btn")
temp.foreCell   = nil
local cell      = PartnerEquipItemView:new(place)
cell:createIconBitMap(place)
local layer     = temp:getChildByName("foreCell")
layer:addChild(cell,9)
temp.foreCell   = cell
temp.afferCell   = nil
local cell      = PartnerEquipItemView:new(place)
cell:createIconBitMap(place)
local layer     = temp:getChildByName("afferCell")
layer:addChild(cell,9)
temp.afferCell   = cell
temp.matiralLayer = temp:getChildByName("matiralLayer")
--temp.matiralLayer:retain()
temp.cellList   = {}
for i = 1,4,1 do
table.insert(temp.cellList,temp.matiralLayer:getChildByName("materialCell"..i))
end
temp._parent = parent
temp.currentPartnerInfo = currentPartnerInfo
temp.currentInfo = nil
temp.place       = place
temp._gridList   = {}
temp.placeLevel  = nil
temp.matrialList = {}
temp.stateMatrial = {}
temp.foreLabel1  = temp:getChildByName("foreLabel1")
temp.foreLabel2  = temp:getChildByName("foreLabel2")
temp.afferLabel1 = temp:getChildByName("afferLabel1")
temp.afferLabel2 = temp:getChildByName("afferLabel2")
temp.foreName    = temp:getChildByName("foreName")
temp.afferName   = temp:getChildByName("afferName")
temp.materalPanel = temp:getChildByName("materalPanel")
temp.desc_label1 = temp:getChildByName("desc_label")
temp.materalPanel:getChildByName("desc_label"):setText(globalManager.yuyanbaoManager:getYuyanbao("PartnerEquipUpView.text20"))
temp.materalcellList   = {}
for i = 1,4,1 do
table.insert(temp.materalcellList,temp.materalPanel:getChildByName("itemCell"..i))
end
temp._materalGridList = {}
for i = 1, #temp.materalcellList do
local grid = BaseGrid:new(false)
grid:setPicTouchEnabled(false)
temp.materalcellList[i]:getChildByName("goodsCell"):addChild(grid)
table.insert(temp._materalGridList,grid)
end
temp.copyIdList = {}
temp.nameList    = {globalManager.yuyanbaoManager:getYuyanbao("PartnerEquipUpView.text10"),globalManager.yuyanbaoManager:getYuyanbao("PartnerEquipUpView.text11"),
globalManager.yuyanbaoManager:getYuyanbao("PartnerEquipUpView.text12"),
globalManager.yuyanbaoManager:getYuyanbao("PartnerEquipUpView.text13"),
globalManager.yuyanbaoManager:getYuyanbao("PartnerEquipUpView.text14"),
globalManager.yuyanbaoManager:getYuyanbao("PartnerEquipUpView.text15"),
globalManager.yuyanbaoManager:getYuyanbao("PartnerEquipUpView.text16"),
globalManager.yuyanbaoManager:getYuyanbao("PartnerEquipUpView.text17")}
return temp
end)
function PartnerEquipUpView:ctor()
self:initEvent()
self.currentInfo = globalData.allTemplates.partnerEquipTemplateList:getTemplate(self.currentPartnerInfo.templateId,self.place)
local len = 0
self.placeLevel = self.currentPartnerInfo.equipList[self.place]
local matrialList = {}
if(self.placeLevel ~= nil)then --有激活装备
if(self.currentInfo.itemList[self.placeLevel + 1] == nil)then
len = 0
else
matrialList = globalManager.messageUtils:changeStrToIntList(self.currentInfo.itemList[self.placeLevel + 1])
len = #matrialList
if(len > 4)then len = 4 end
end
else                           --没装备激活
matrialList = globalManager.messageUtils:changeStrToIntList(self.currentInfo.itemList[1])
len = #matrialList
if(len > 4)then len = 4 end
end
for i = 1,len,1 do
if(matrialList[i] ~= nil) then
local grid = FurnaceGrid:new()
grid:setGoodsTempInfo(globalData.allTemplates.goodsTemplateList:getTemplate(matrialList[i][1]))
self.cellList[i]:addChild(grid)
table.insert(self._gridList,grid)
end
end
self:setData()
end
function PartnerEquipUpView:initEvent()
local okBtnClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self:equipUp()
end
end
local closeClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self._parent:hidePartnerEquipUpView()
end
end
local goeEpeditionPanelHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
local index = globalManager.commonUtils:getIndexOfTable(self.materalcellList,sender)
local copyId = self.copyIdList[index]
local maxMissionId  = globalData.copyInfo:getMaxMission(globalData.allTemplates.copyTemplateList.EXPEDITION)
if(copyId ~= nil and copyId <= maxMissionId)then
self._parent:hidePartnerEquipUpView()
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tabCopy)
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.epeditionCopy_select,globalManager.gameDispatcher,copyId))
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("PartnerEquipUpView.text21"))
end
end
end
self.okBtn:addTouchEventListener(okBtnClickHandler)
self.closeBtn:addTouchEventListener(closeClickHandler)
for i = 1, #self.materalcellList do
self.materalcellList[i]:addTouchEventListener(goeEpeditionPanelHandler)
end
globalData.partnerInfo:addEventListener(globalData.globalEventType.update_PartnerInfo,self.setData,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.guide_ParnterEquipUp,self.equipUp,self)
end
function PartnerEquipUpView:equipUp()
local flag   = true
for id,state in pairs(self.stateMatrial) do
if(state == false)then
flag = false
break
end
end
if(flag)then
if(self.placeLevel ~= nil)then
if(self.placeLevel + 1 > math.ceil(self.currentPartnerInfo.stage / 4) )then
globalManager.tipsManager.quickTip:show(string.format(globalManager.yuyanbaoManager:getYuyanbao("PartnerEquipUpView.text22"),self.placeLevel * 4 + 1 ))
else
self._controller.module.message:sendEquipUpInfo(self.currentPartnerInfo.partnerId,self.place)
end
else
self._controller.module.message:sendEquipUpInfo(self.currentPartnerInfo.partnerId,self.place)
end
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("HuaXingPanel.text3"))
end
end
function PartnerEquipUpView:hideFormClickContainer()
self._parent:hidePartnerEquipUpView()
end
function PartnerEquipUpView:removeEvent()
globalData.partnerInfo:removeEventListener(globalData.globalEventType.update_PartnerInfo,self.setData,self)
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.guide_ParnterEquipUp,self.equipUp,self)
end
function PartnerEquipUpView:setData()
local len = 0
local matrialList = {}
local state = false
local currentLevel = 0
local nextLevel = 0
self.placeLevel = globalData.partnerInfo.partnerList[self.currentPartnerInfo.templateId].equipList[self.place]
if(self.placeLevel ~= nil)then --有激活装备
if(self.currentInfo.itemList[self.placeLevel + 1] ~= nil)then
matrialList = globalManager.messageUtils:changeStrToIntList(self.currentInfo.itemList[self.placeLevel + 1])
len   = #matrialList
else
matrialList = globalManager.messageUtils:changeStrToIntList(self.currentInfo.itemList[self.placeLevel])
len   = 0
end
self.foreCell:setStar(self.placeLevel)
self.foreCell:setArrowUp(false)
self.afferCell:setStar(self.placeLevel + 1)
self.afferCell:setArrowUp(false)
currentLevel = self.placeLevel
nextLevel    = self.placeLevel + 1
self.foreName:setText(self.nameList[self.place] .. currentLevel ..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel45"))
self.afferName:setText(self.nameList[self.place] .. nextLevel ..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel45"))
else                           --没装备激活
matrialList = globalManager.messageUtils:changeStrToIntList(self.currentInfo.itemList[1])
len   = #matrialList
self.foreName:setText(self.nameList[self.place] .."0" ..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel45"))
self.afferName:setText(self.nameList[self.place] .. "1" ..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel45"))
self.foreCell:setStar(0)
self.foreCell:setArrowUp(false)
self.afferCell:setStar(1)
self.afferCell:setArrowUp(false)
currentLevel = 0
nextLevel    = 1
end
local tempRatioInfo = globalData.allTemplates.partnerRatioTemplateList:getTemplate(currentLevel,2)
local tempNextRatioInfo = globalData.allTemplates.partnerRatioTemplateList:getTemplate(nextLevel,2)
if(currentLevel == 0)then
self.foreLabel1:setText(globalData.allStaticTypes.propertyType:getNameByType(self.currentInfo.baseAttrList[1].propertyId) ..":0")
self.foreLabel2:setText(globalData.allStaticTypes.propertyType:getNameByType(self.currentInfo.baseAttrList[2].propertyId) ..":0")
self.afferLabel1:setText(self.currentInfo.baseAttrList[1].propertyValue * (tempNextRatioInfo.ratio - 0))
self.afferLabel2:setText(self.currentInfo.baseAttrList[2].propertyValue * (tempNextRatioInfo.ratio - 0))
else
self.foreLabel1:setText(globalData.allStaticTypes.propertyType:getNameByType(self.currentInfo.baseAttrList[1].propertyId) ..":".. self.currentInfo.baseAttrList[1].propertyValue * tempRatioInfo.ratio)
self.foreLabel2:setText(globalData.allStaticTypes.propertyType:getNameByType(self.currentInfo.baseAttrList[2].propertyId) ..":"..self.currentInfo.baseAttrList[2].propertyValue * tempRatioInfo.ratio)
if(tempNextRatioInfo ~= nil)then
self.afferLabel1:setText(self.currentInfo.baseAttrList[1].propertyValue * (tempNextRatioInfo.ratio - tempRatioInfo.ratio))
self.afferLabel2:setText(self.currentInfo.baseAttrList[2].propertyValue * (tempNextRatioInfo.ratio - tempRatioInfo.ratio))
else
self.afferLabel1:setText("0")
self.afferLabel2:setText("0")
end
end
if(len > 4)then len = 4 end
for i = 1,4,1 do
if i <= len then
self._gridList[i]:setGoodsTempInfo(globalData.allTemplates.goodsTemplateList:getTemplate(matrialList[i][1]))
self._gridList[i]:setNeedCounts(matrialList[i][2])
local goodsNum = globalData.goodsInfoList:getGoodsCount(matrialList[i][1],1)
if(goodsNum < matrialList[i][2])then
state = false
else
state = true
end
self.stateMatrial[matrialList[i][1]] = state
self.cellList[i]:getChildByName("shieldImg"):setVisible(false)
else
if(self._gridList[i] ~= nil)then
self._gridList[i]:setGoodsTempInfo(nil)
self._gridList[i]:setCount(1)
end
self.cellList[i]:getChildByName("shieldImg"):setVisible(true)
end
end
self.copyIdList = {}
if(tempNextRatioInfo == nil)then
self.afferName:setText(globalManager.yuyanbaoManager:getYuyanbao("PartnerEquipUpView.text18") ..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel45"))
self.afferCell:setStar(self.placeLevel)
self.okBtn:setEnabled(false)
self.materalPanel:setVisible(false)
self.desc_label1:setText(globalManager.yuyanbaoManager:getYuyanbao("PartnerEquipUpView.text19"))
else
self.desc_label1:setText("")
self.materalPanel:setVisible(true)
for i = 1, #self._materalGridList do
if(matrialList[i] ~= nil)then
local templateInfo = globalData.allTemplates.goodsTemplateList:getTemplate(matrialList[i][1])
if(templateInfo ~= nil)then
self._materalGridList[i]:setGoodsTempInfo(templateInfo)
local missionId = templateInfo.property1
self.copyIdList[i] = missionId
if missionId ~= nil then
local copyInfo = globalData.allTemplates.copyMissionTemplateList:getMission(missionId)
if copyInfo ~= nil then
local titles = globalManager.messageUtils:splitString(copyInfo.name,"|")
self.materalcellList[i]:getChildByName("name1_label"):setText(titles[1])
self.materalcellList[i]:getChildByName("name2_label"):setText(titles[2])
else
self.materalcellList[i]:getChildByName("name1_label"):setText("")
self.materalcellList[i]:getChildByName("name2_label"):setText("")
end
end
else
self._materalGridList[i]:setGoodsTempInfo(nil)
end
end
end
end
end
function PartnerEquipUpView:dispose()
self:removeEvent()
self._controller = nil
self.okBtn       = nil
self.closeBtn    = nil
if(self.foreCell ~= nil)then
self.foreCell:dispose()
self.foreCell = nil
end
if(self.afferCell ~= nil)then
self.afferCell:dispose()
self.afferCell = nil
end
self.cellList   = nil
self._parent    = nil
self.currentPartnerInfo = nil
self.currentInfo = nil
self.place       = nil
self.placeLevel  = nil
self.matrialList = nil
self.stateMatrial = nil
self.foreName    = nil
self.afferName   = nil
--self.matiralLayer:release()
self.matiralLayer = nil
for __,info in pairs(self._gridList) do
info:dispose()
info = nil
end
self._gridList = nil
for _,grid in ipairs(self._materalGridList) do
grid:dispose()
end
self._materalGridList = nil
self.materalPanel = nil
self.desc_label1 = nil
self.materalcellList   = nil
self.borad     = nil
self.copyIdList = nil
globalManager.ccCreator:release(self)
end
PartnerIconItem = class("PartnerIconItem",function(self)
local temp = globalManager.ccCreator:newJsonWidget("PartnerIconItem")
temp._item = temp:getChildByName("item")
temp._matrialImg = temp:getChildByName("matrialImg")
temp._selectedIcon = temp:getChildByName("selectedIcon")
temp._arrowUpIcon = temp:getChildByName("arrowUp")
temp._iconBg = temp:getChildByName("iconBg")
temp._needLabel = temp:getChildByName("needLabel")
temp._arrowUpIcon:setVisible(false)
temp._selectedIcon:setVisible(false)
temp._matrialPath = nil
temp._info = nil
temp._activeList  = {0,10,15,20}
return temp
end)
function PartnerIconItem:ctor()
end
function PartnerIconItem:initEvent()
end
function PartnerIconItem:removeEvent()
end
function PartnerIconItem:activeUpdateHandler()
local partnerList = globalData.partnerInfo.partnerList
if(partnerList[self._info.id] == nil)then
self:setPartnerColor(false)
else
self:setPartnerColor(true)
end
end
function PartnerIconItem:isArrowUpShow(value)
if(value)then
self._arrowUpIcon:setVisible(true)
else
self._arrowUpIcon:setVisible(false)
end
end
function PartnerIconItem:isShowItemNum()
local partnerList = globalData.partnerInfo.partnerList
local totalStage = 0
for index,info in pairs(partnerList) do
totalStage = totalStage + info.stage
end
if(partnerList[self._info.id] == nil)then
self._iconBg:setVisible(true)
self._needLabel:setVisible(true)
if(self._info.id == 1001)then
self._iconBg:setVisible(false)
self._needLabel:setVisible(false)
end
if(self._info.id == 1002)then
self._needLabel:setText(totalStage .. "/" .. self._activeList[2])
elseif(self._info.id == 1003)then
self._needLabel:setText(totalStage .. "/" .. self._activeList[3])
elseif(self._info.id == 1004)then
self._needLabel:setText(totalStage .. "/" .. self._activeList[4])
end
else
self._iconBg:setVisible(false)
self._needLabel:setVisible(false)
end
end
function PartnerIconItem:setData(info)
if(info == nil)then return end
self._info        = info
self._matrialPath = globalManager.pathManager:getUISource("outPic/".. info.id ..".png")
globalManager.sourceCacheManager:setImage(self._matrialImg,self._matrialPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self:activeUpdateHandler()
end
function PartnerIconItem:setPartnerColor(value)
if(value)then
globalManager.commonUtils:setImgColorNormal(self._matrialImg)
else
globalManager.commonUtils:setImgColorGrey(self._matrialImg)
end
end
function PartnerIconItem:setSelected(isOk)
self._selectedIcon:setVisible(isOk)
end
function PartnerIconItem:getItemInfo()
return self._info
end
function PartnerIconItem:dispose()
self:removeEvent()
self._item         = nil
self._selectedIcon = nil
self._matrialImg   = nil
globalManager.sourceCacheManager:removeQuote(self._matrialPath)
self._matrialPath  = nil
self._info         = nil
self._arrowUpIcon  = nil
self._iconBg       = nil
self._needLabel    = nil
globalManager.ccCreator:release(self)
end
PartnerSysPanel = class("PartnerSysPanel",function(self,controller)
local temp = BasePanel:new()
temp.BasePanelDispose = temp.dispose
temp._controller = controller
temp._widget     = globalManager.ccCreator:newJsonWidget("PartnerSysPanel")
temp._widget:setPositionY(30)
temp:addChild(temp._widget)
temp.nameLabel   = temp._widget:getChildByName("nameCon"):getChildByName("nameLabel")
temp.roleBg      = temp._widget:getChildByName("roleBg")
temp.pathBg      = globalManager.pathManager:getUISource("outPic/role_bg.png")
temp.characterLayer = temp._widget:getChildByName("character")
temp.cellList    = {}
for i = 1,8,1 do
local cell   = PartnerEquipItemView:new()
cell:createIconBitMap(i)
local layer  = temp._widget:getChildByName("equipCell"..i)
layer:addChild(cell,9)
cell:setGray(true)
table.insert(temp.cellList,cell)
end
temp.sliderLayer = temp._widget:getChildByName("itemList")
temp.sliderLayer:setItemsMargin(-35)
temp.nameLabelList  = {}
temp.infoLabelList  = {}
temp.upIconList     = {}
temp.plusList       = {}
for i = 1,6,1 do
table.insert(temp.nameLabelList,temp._widget:getChildByName("name_label" .. i))
table.insert(temp.infoLabelList,temp._widget:getChildByName("info_label" .. i))
table.insert(temp.upIconList,temp._widget:getChildByName("up_icon" .. i))
table.insert(temp.plusList,temp._widget:getChildByName("plus_label" .. i))
end
temp.fightValue = temp._widget:getChildByName("fight_label")
temp.skillCells = {}
for i = 1,4,1 do
local bg   = temp._widget:getChildByName("skill_bg"..i)
local cell = SkillInfoGrid:new(99)
bg:addChild(cell)
table.insert(temp.skillCells,cell)
end
temp.stopBtn      = temp._widget:getChildByName("stopBtn")
temp.stopBtnLabel = temp.stopBtn:getChildByName("btnLabel")
temp.upBtn        = temp._widget:getChildByName("upBtn")
temp.taskLayer    = temp._widget:getChildByName("taskLayer")
temp.taskLayer:retain()
--temp.taskInfoBtn  = temp.taskLayer:getChildByName("taskInfoBtn")
--temp.tipsLabel    = temp.taskLayer:getChildByName("tipsLabel")
temp._widget:getChildByName("expLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("PartnerEquipUpView.text9"))
temp._widget:getChildByName("tipsLabel2"):setText(globalManager.yuyanbaoManager:getYuyanbao("PartnerSysPanel.text1"))
temp.tipsActiveLabel = temp._widget:getChildByName("tipsLabel3")
temp.tipsActiveLabel:setVisible(false)
temp.templateList = nil
temp._characterInfo = nil
temp._character   = nil
temp._currentCharacter = 0
temp.iconList     = {}
temp.partnerList  = {}
temp.tempAttrList = {}
temp._infoTipPanel= nil
temp.skillOpenList ={1,1,1,1} --技能开放
temp._equipIdList = {1,2,3,4,5,6,7,8} --项链,手镯,戒指,护符,衣服,手套,护腿,鞋子
temp._activeList  = {0,10,15,20}
temp.partnerUpView = nil
temp.partnerEquipUpView = nil
temp.currentInfo  = nil
temp.matrialList  = {}
temp.stateMatrial = {}
temp.maxPartnerStage = 25
temp._effect = nil
temp.partnedId = nil
temp.skillTemplateInfo = nil
return temp
end)
function PartnerSysPanel:ctor()
self:initEvent()
self:initView()
end
function PartnerSysPanel:initView()
local roleClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
if(sender:getItemInfo() ~= nil) then
self:setCharacter(sender:getItemInfo().id)
end
end
end
globalManager.sourceCacheManager:setImage(self.roleBg,self.pathBg,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self.templateList = globalData.allTemplates.partnerTemplateList.list
for index,info in pairs(self.templateList) do
local view = PartnerIconItem:new(self)
view:setData(info)
view:setTouchEnabled(true)
view:addTouchEventListener(roleClickHandler)
self.sliderLayer:pushBackCustomItem(view)
self.sliderLayer:setTouchEnabled(false)
self.iconList[info.id] = view
end
local partnerList = globalData.partnerInfo.partnerList
local currentId   = 0
for i,info in pairs(partnerList) do
if(info.isEquip > 0)then
currentId = info.templateId
end
end
if(currentId > 0)then
self:setCharacter(currentId)
else
self:setCharacter(self.templateList[1].id)
end
end
function PartnerSysPanel:setCharacter(character)
if(character == self._currentCharacter) then return end
self._currentCharacter = character
for id,item in pairs(self.iconList) do
if(id ~= character)then
item:setSelected(false)
else
item:setSelected(true)
end
end
if(self._character ~= nil)then
self._character:dispose()
end
if(self._characterInfo ~= nil) then
self._characterInfo:dispose()
end
local tempInfo = globalData.allTemplates.partnerTemplateList:getTemplate(character)
self._characterInfo = CharacterInfo:new(globalData.allStaticTypes.sourceStaticType.pet)
self._characterInfo:setStyleBin(1,tempInfo:getShowPath())
self._characterInfo:setDefaultAnima(globalData.allStaticTypes.animaInfoList.petStand)
self._character = BaseCharacter:new(self._characterInfo)
self._character:show(globalData.allStaticTypes.directType.bottom)
self._character:setPosition(cc.p(tempInfo.showX,tempInfo.showY))
self._character:setScale(tempInfo.showScale)
self.characterLayer:addNode(self._character)
self:updateView()
end
function PartnerSysPanel:updateView()
self.partnerList = globalData.partnerInfo.partnerList
self.currentInfo = nil
for index,info in pairs(self.templateList) do
if(info.id == self._currentCharacter)then
self.currentInfo  = info
self.tempAttrList = info.atrrList
end
end
local name = ""
local fightValue = 0
if(self.partnerList[self._currentCharacter] ~= nil)then
name = self.currentInfo.name .. "·" .. self.partnerList[self._currentCharacter].stage .. globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel45")
self.stopBtn:setEnabled(true)
self.upBtn:setEnabled(true)
self.taskLayer:removeFromParent(false)
fightValue = self.partnerList[self._currentCharacter].fightValue
if(self.partnerList[self._currentCharacter].isEquip == 1)then
self.stopBtnLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("PartnerEquipUpView.text2"))
else
self.stopBtnLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("PartnerEquipUpView.text3"))
end
self.iconList[self._currentCharacter]:setPartnerColor(true)
--self.iconList[self._currentCharacter]:isArrowUpShow(false)
self.tipsActiveLabel:setVisible(false)
else
name = self.currentInfo.name
self.stopBtn:setEnabled(false)
self.upBtn:setEnabled(false)
if(self.taskLayer:getParent() == nil) then
self._widget:addChild(self.taskLayer)
end
fightValue = self:calFightValue(self.currentInfo)
self.tipsActiveLabel:setVisible(true)
local totalStage = 0
if(self._currentCharacter ~= 1001)then
for index,info in pairs(self.partnerList) do
totalStage = totalStage + info.stage
end
end
if(self._currentCharacter == 1001)then
self.tipsActiveLabel:setText("说明：人物到达8级自动激活唐僧")
elseif(self._currentCharacter == 1002)then
self.tipsActiveLabel:setText("说明：已激活伙伴总阶数达到".. totalStage .."/".. self._activeList[2] .."阶自动激活孙悟空")
elseif(self._currentCharacter == 1003)then
self.tipsActiveLabel:setText("说明：已激活伙伴总阶数达到".. totalStage .."/".. self._activeList[3] .."阶自动激活猪八戒")
elseif(self._currentCharacter == 1004)then
self.tipsActiveLabel:setText("说明：已激活伙伴总阶数达到".. totalStage .."/".. self._activeList[4] .."阶自动激活沙和尚")
end
--local goodsId  = self.currentInfo.itemList[1]
--local goodsNum = self.currentInfo.itemList[2]
--local goodsName= globalData.allTemplates.goodsTemplateList:getTemplate(goodsId).name
--local hasGoodsNum =  globalData.goodsInfoList:getGoodsCount(goodsId,1)
--self.tipsLabel:setText(goodsName .. ":".. hasGoodsNum .."/"..goodsNum)
--if(hasGoodsNum >= goodsNum)then
--self.iconList[self._currentCharacter]:isArrowUpShow(true)
--self.canUpState2[self._currentCharacter] = true
--else
--self.iconList[self._currentCharacter]:isArrowUpShow(false)
--self.canUpState2[self._currentCharacter] = false
--end
end
self.nameLabel:setText(name)
self.fightValue:setStringValue(fightValue)
self:setAtrrInfo(self.currentInfo)
self:updateEquipView(self.currentInfo)
self:updateSkillView(self.currentInfo)
local templateList = globalData.allTemplates.partnerTemplateList.list
for index,currentInfo in pairs(templateList) do
self:checkUpArrow(currentInfo)
self.iconList[currentInfo.id]:isShowItemNum()
self.iconList[currentInfo.id]:activeUpdateHandler()
end
end
function PartnerSysPanel:checkUpArrow(currentInfo)
local maxPartnerStage = 25
-- local goodsId  = currentInfo.itemList[1]
-- local goodsNum = currentInfo.itemList[2]
-- local hasNum   = globalData.goodsInfoList:getGoodsCount(goodsId,1)
-- if(self.partnerList[currentInfo.id] == nil)then
-- 	if(hasNum >= goodsNum)then
-- 		self.iconList[currentInfo.id]:isArrowUpShow(true)
-- 		return
-- 	end
-- end
local partnerList = globalData.partnerInfo.partnerList
if(partnerList[currentInfo.id] ~= nil)then
local equipList   = partnerList[currentInfo.id].equipList
local stage       = partnerList[currentInfo.id].stage
local matrialList = {}
local state = true
for i = 1,8,1 do
local equipCurrentInfo = globalData.allTemplates.partnerEquipTemplateList:getTemplate(currentInfo.id,i)
local placeLevel = equipList[i]
local len = 0
if(placeLevel ~= nil)then
matrialList = equipCurrentInfo.itemList[placeLevel + 1]
else
matrialList = equipCurrentInfo.itemList[1]
end
local matrialLists = {}
local stateMatrial = {}
if(matrialList == nil)then
matrialList = equipCurrentInfo.itemList[placeLevel]
matrialLists = globalManager.messageUtils:changeStrToIntList(matrialList)
else
matrialLists = globalManager.messageUtils:changeStrToIntList(matrialList)
end
len   = #matrialLists
if(len > 4)then len = 4 end
for j = 1,len,1 do
local hasNum  = globalData.goodsInfoList:getGoodsCount(matrialLists[j][1],1)
local needNum = matrialLists[j][2]
if(hasNum < needNum)then
state = false
else
state = true
end
stateMatrial[matrialLists[j][1]] = state
end
local totalNumsList = {}
local count = 0
for id,state in pairs(stateMatrial) do
if(state == true)then
count = count + 1
totalNumsList[id] = count
end
end
for id,state in pairs(stateMatrial) do
if(totalNumsList[id] ~= nil and totalNumsList[id] >= 4)then
if(equipList[i] ~= nil)then
if(stage < self.maxPartnerStage and equipList[i] + 1 <= math.ceil( stage / 4 ) )then
self.iconList[currentInfo.id]:isArrowUpShow(true)
return
end
else
self.iconList[currentInfo.id]:isArrowUpShow(true)
return
end
end
end
end
-- local skillTempinfo = nil
-- local skillLevel    = 0
-- for i = 1,4,1 do
-- 	skillTempinfo = globalData.allTemplates.skillTemplateList.skillList[currentInfo.skillId[i]]
-- 	skillLevel    = partnerList[currentInfo.id].skillList[currentInfo.skillId[i]]
-- 	if(skillLevel ~= nil)then
-- 		if(skillTempinfo.needItem[skillLevel] ~= nil)then
-- 			local needNum = skillTempinfo.needItem[skillLevel]
-- 			local hasNum  = globalData.goodsInfoList:getGoodsCount(skillTempinfo.needItemBooks[skillLevel],1)
-- 			if(hasNum >= needNum)then
-- 				self.iconList[currentInfo.id]:isArrowUpShow(true)
-- 				return
-- 			end
-- 		end
-- 	end
-- end
local canUpNum    = 0
local stage = partnerList[currentInfo.id].stage
if(stage < maxPartnerStage)then
local partnertUpTempInfo = globalData.allTemplates.partnerUpTemplateList:getTemplate(stage)
for place,level in pairs(partnerList[currentInfo.id].equipList) do
if(level >= partnertUpTempInfo.equipLevel)then
canUpNum = canUpNum + 1
end
end
if(canUpNum >= partnertUpTempInfo.needCount)then
self.iconList[currentInfo.id]:isArrowUpShow(true)
return
end
end
end
self.iconList[currentInfo.id]:isArrowUpShow(false)
end
function PartnerSysPanel:calFightValue(currentInfo)
local fightValue = 0
for i = 1,#currentInfo.atrrList,1 do
fightValue = fightValue + globalData.allStaticTypes.propertyType:fightCalculate(currentInfo.atrrList[i].propertyId,currentInfo.atrrList[i].propertyValue)
end
return fightValue
end
function PartnerSysPanel:updateSkillView(currentInfo)
for i = 1,4,1 do
self.skillCells[i]:setGoodsTempInfo(globalData.allTemplates.skillTemplateList:getSkillTemplate(currentInfo.skillId[i]))
if(self.partnerList[currentInfo.id] ~= nil)then
self.skillCells[i]:setPartnedId(self.partnerList[currentInfo.id].partnerId)
end
end
local skillTempinfo = nil
local skillLevel    = 0
if(self.partnerList[currentInfo.id] ~= nil)then
for i = 1,4,1 do
skillTempinfo = globalData.allTemplates.skillTemplateList.skillList[currentInfo.skillId[i]]
skillLevel    = self.partnerList[currentInfo.id].skillList[currentInfo.skillId[i]]
if(skillLevel ~= nil)then
self.skillCells[i]:setLevel(skillLevel)
if(skillTempinfo.needItem[skillLevel] ~= nil)then
local needNum = skillTempinfo.needItem[skillLevel]
local hasNum  = globalData.goodsInfoList:getGoodsCount(skillTempinfo.needItemBooks[skillLevel],1)
end
else
self.skillCells[i]:setLevel(0)
end
end
else
for i = 1,4,1 do
self.skillCells[i]:setLevel(0)
end
end
end
function PartnerSysPanel:updateEquipView(currentInfo)
if(self.partnerList[currentInfo.id] ~= nil)then
local equipList   = self.partnerList[currentInfo.id].equipList
local stage       = self.partnerList[currentInfo.id].stage
local matrialList = {}
local state = true
for i = 1,8,1 do
local equipCurrentInfo = globalData.allTemplates.partnerEquipTemplateList:getTemplate(currentInfo.id,i)
local placeLevel = equipList[i]
local len = 0
if(placeLevel ~= nil)then
matrialList = equipCurrentInfo.itemList[placeLevel + 1]
self.cellList[i]:setStar(placeLevel)
self.cellList[i]:setGray(false)
else
matrialList = equipCurrentInfo.itemList[1]
self.cellList[i]:setStar(0)
self.cellList[i]:setGray(true)
end
if(matrialList == nil)then
matrialList = equipCurrentInfo.itemList[placeLevel]
self.matrialList = globalManager.messageUtils:changeStrToIntList(matrialList)
else
self.matrialList = globalManager.messageUtils:changeStrToIntList(matrialList)
end
len = #self.matrialList
if(len > 4)then len = 4 end
self.stateMatrial = {}
for j = 1,len,1 do
local hasNum  = globalData.goodsInfoList:getGoodsCount(self.matrialList[j][1],1)
local needNum = self.matrialList[j][2]
if(hasNum < needNum)then
state = false
else
state = true
end
self.stateMatrial[self.matrialList[j][1]] = state
end
local flag = true
for id,state in pairs(self.stateMatrial) do
if(state == false)then
flag = false
break
end
end
if(flag)then
if(equipList[i] ~= nil)then
if(stage < self.maxPartnerStage and equipList[i] + 1 <= math.ceil( stage / 4 ))then
self.cellList[i]:setArrowUp(true)
else
self.cellList[i]:setArrowUp(false)
end
else
self.cellList[i]:setArrowUp(true)
end
else
self.cellList[i]:setArrowUp(false)
end
end
local canUpNum    = 0
local stage = self.partnerList[self._currentCharacter].stage
if(stage < self.maxPartnerStage)then
local partnertUpTempInfo = globalData.allTemplates.partnerUpTemplateList:getTemplate(stage)
for place,level in pairs(self.partnerList[self._currentCharacter].equipList) do
if(level >= partnertUpTempInfo.equipLevel)then
canUpNum = canUpNum + 1
end
end
if(canUpNum >= partnertUpTempInfo.needCount)then
if(self._effect ~= nil)then
self._effect:dispose()
self._effect = nil
end
self._effect = globalManager.effectCreator:create(78)
self._effect:play()
self.upBtn:addNode(self._effect)
else
if(self._effect ~= nil)then
self._effect:dispose()
self._effect = nil
end
end
else
if(self._effect ~= nil)then
self._effect:dispose()
self._effect = nil
end
end
else
for i = 1,8,1 do
self.cellList[i]:setStar(0)
self.cellList[i]:setGray(true)
self.cellList[i]:setArrowUp(false)
end
end
end
function PartnerSysPanel:setAtrrInfo(currentInfo)
for i = 1,6,1 do
self.nameLabelList[i]:setText(globalData.allStaticTypes.propertyType:getNameByType(self.tempAttrList[i].propertyId))
end
if(self.partnerList[currentInfo.id] ~= nil)then
local tempInfo = self.partnerList[currentInfo.id]
local stage    = tempInfo.stage
for i = 1,6,1 do
if(tempInfo.atrrList[self.tempAttrList[i].propertyId] ~= nil)then
self.infoLabelList[i]:setText(tempInfo.atrrList[self.tempAttrList[i].propertyId])
else
self.infoLabelList[i]:setText(currentInfo.atrrList[i].propertyValue)
end
if(stage + 1 <= self.maxPartnerStage)then
self.upIconList[i]:setVisible(true)
self.plusList[i]:setText(self:calPlusAtrr(currentInfo,stage,i))
else
self.upIconList[i]:setVisible(false)
self.plusList[i]:setText("")
end
end
else
for i = 1,6,1 do
if(self.tempAttrList[i].propertyId == currentInfo.atrrList[i].propertyId)then
self.infoLabelList[i]:setText(currentInfo.atrrList[i].propertyValue)
end
self.upIconList[i]:setVisible(false)
self.plusList[i]:setText("")
end
end
end
function PartnerSysPanel:calPlusAtrr(currentInfo,stage,i)
local tempInfo     = globalData.allTemplates.partnerRatioTemplateList:getTemplate(stage,1)
local nextTempInfo = globalData.allTemplates.partnerRatioTemplateList:getTemplate(stage + 1,1)
local plusValue    = currentInfo.atrrList[i].propertyValue * nextTempInfo.ratio -  currentInfo.atrrList[i].propertyValue * tempInfo.ratio
return plusValue
end
function PartnerSysPanel:initEvent()
local stopBtnClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self._controller.module.message:partnerFightOrStop(self.partnerList[self.currentInfo.id].partnerId)
end
end
local upBtnClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self:stateUpHandler()
end
end
local taskBtnClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self:partnerUpdateHandler()
end
end
for __,cell in pairs(self.skillCells) do
cell:setClickHandler(self,self.showSkillTip)
end
for __,cell in pairs(self.cellList) do
cell:setClickHandler(self,self.showEquipUpview)
end
self.stopBtn:addTouchEventListener(stopBtnClickHandler)
self.upBtn:addTouchEventListener(upBtnClickHandler)
--self.taskInfoBtn:addTouchEventListener(taskBtnClickHandler)
globalData.partnerInfo:addEventListener(globalData.globalEventType.update_PartnerInfo,self.updateView,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.newly_partnerUpdate,self.partnerUpdateHandler,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.guide_OpenParnterEquipUpView,self.openParnterEquipUpView,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.guide_CloseParnterEquipUpView,self.hidePartnerEquipUpView,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.guide_partnerUp,self.stateUpHandler,self)
end
function PartnerSysPanel:stateUpHandler()
local canUpNum    = 0
local stage = self.partnerList[self._currentCharacter].stage
if(stage < self.maxPartnerStage)then
local partnertUpTempInfo = globalData.allTemplates.partnerUpTemplateList:getTemplate(stage)
for place,level in pairs(self.partnerList[self._currentCharacter].equipList) do
if(level >= partnertUpTempInfo.equipLevel)then
canUpNum = canUpNum + 1
end
end
if(canUpNum >= partnertUpTempInfo.needCount)then
if(self.partnerUpView == nil)then
self.partnerUpView = PartnerUpView:new(self,self.partnerList[self.currentInfo.id],self.currentInfo)
globalData.uiClickContainer:addItem(self.partnerUpView,true,false)
end
self._controller.module.message:sendPartnerUpInfo(self.partnerList[self.currentInfo.id].partnerId)
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("PanelTabGroupType.text52"))
end
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("PartnerEquipUpView.text4"))
end
end
function PartnerSysPanel:openParnterEquipUpView()
self:showEquipUpview(self.cellList[1])
end
function PartnerSysPanel:hidePartnerUpView()
if(self.partnerUpView ~= nil)then
globalData.uiClickContainer:close(self.partnerUpView)
self.partnerUpView:dispose()
self.partnerUpView = nil
end
end
function PartnerSysPanel:hidePartnerEquipUpView()
if(self.partnerEquipUpView ~= nil)then
globalData.uiClickContainer:close(self.partnerEquipUpView)
self.partnerEquipUpView:dispose()
self.partnerEquipUpView = nil
end
end
function PartnerSysPanel:partnerUpdateHandler(evt)
local goodsId  = self.currentInfo.itemList[1]
local goodsNum = self.currentInfo.itemList[2]
if(globalData.goodsInfoList:getGoodsCount(goodsId,1) >= goodsNum)then
self._controller.module.message:activePartner(self.currentInfo.id)
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("TaoYuanMessageHandler.text3"))
end
end
function PartnerSysPanel:showSkillTip(grid)
local panelClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
if(self._infoTipPanel ~= nil) then
self._infoTipPanel:dispose()
self._infoTipPanel = nil
end
end
end
local upClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
--发送升级协议
if(self.partnedId ~= nil and self.skillTemplateInfo ~= nil)then
globalData.messageAdder:sendPartnerSkillUp(self.partnedId,self.skillTemplateInfo.templateId)
end
if(self._infoTipPanel ~= nil) then
self._infoTipPanel:dispose()
self._infoTipPanel = nil
end
end
end
self.partnedId = grid:getPartnedId()
self.skillTemplateInfo = grid:getGoodsTempInfo()
local index = globalManager.commonUtils:getIndexOfTable(self.skillCells,grid)
self._infoTipPanel = XiaofeiSkillTipPanel:new()
self._infoTipPanel:setSkillInfo(grid:getGoodsTempInfo(),self.skillOpenList[index],99,nil,grid:getLevel())
self:addChild(self._infoTipPanel)
self._infoTipPanel:addTouchEventListener(panelClickHandler)
if(grid:getIsCanLevelUp())then
self._infoTipPanel.upBtn:addTouchEventListener(upClickHandler)
self._infoTipPanel.upBtn:setEnabled(true)
end
end
function PartnerSysPanel:showEquipUpview(grid)
if(self.partnerList[self._currentCharacter] ~= nil)then
local index = globalManager.commonUtils:getIndexOfTable(self.cellList,grid)
if(self.partnerList[self._currentCharacter].equipList[index] ~= nil)then
if(self.partnerList[self._currentCharacter].equipList[index] <= self.maxPartnerStage)then
if(self.partnerEquipUpView == nil)then
self.partnerEquipUpView = PartnerEquipUpView:new(self,self._controller,self.partnerList[self._currentCharacter],index)
globalData.uiClickContainer:addItem(self.partnerEquipUpView,true,true)
end
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("PartnerEquipUpView.text5"))
end
else
if(self.partnerEquipUpView == nil)then
self.partnerEquipUpView = PartnerEquipUpView:new(self,self._controller,self.partnerList[self._currentCharacter],index)
globalData.uiClickContainer:addItem(self.partnerEquipUpView,true,true)
end
end
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("PartnerEquipUpView.text6"))
end
end
function PartnerSysPanel:removeEvent()
globalData.partnerInfo:removeEventListener(globalData.globalEventType.update_PartnerInfo,self.updateView,self)
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.newly_partnerUpdate,self.partnerUpdateHandler,self)
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.guide_OpenParnterEquipUpView,self.openParnterEquipUpView,self)
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.guide_CloseParnterEquipUpView,self.hidePartnerEquipUpView,self)
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.guide_partnerUp,self.stateUpHandler,self)
end
function PartnerSysPanel:dispose()
self:removeEvent()
self._controller = nil
self._bg         = nil
self.nameLabel   = nil
self.roleBg      = nil
globalManager.sourceCacheManager:removeQuote(self.pathBg)
self.pathBg      = nil
self:hidePartnerUpView()
self:hidePartnerEquipUpView()
self.characterLayer = nil
for __,info in pairs(self.cellList) do
info:dispose()
info = nil
end
self.cellList       = nil
self.sliderLayer    = nil
self.nameLabelList  = nil
self.infoLabelList  = nil
self.upIconList     = nil
self.plusList       = nil
self.fightValue     = nil
for __,info in pairs(self.skillCells) do
info:dispose()
info = nil
end
self.skillCells     = nil
self.stopBtn        = nil
self.stopBtnLabel   = nil
self.upBtn          = nil
self.taskLayer:release()
self.taskLayer      = nil
--self.taskInfoBtn    = nil
self.templateList   = nil
self._currentCharacter = nil
if(self._characterInfo ~= nil)then
self._characterInfo:dispose()
self._characterInfo = nil
end
if(self._character  ~= nil)then
self._character:dispose()
self._character = nil
end
for i,info in pairs(self.iconList) do
info:dispose()
info = nil
end
self.iconList       = nil
self.partnerList    = nil
self.tempAttrList   = nil
if(self._infoTipPanel ~= nil)then
self._infoTipPanel:dispose()
self._infoTipPanel = nil
end
self.skillOpenList  = nil
self._equipIdList   = nil
self.currentInfo    = nil
self.matrialList    = nil
self.stateMatrial   = nil
self.partnedId = nil
self.tipsActiveLabel = nil
self.skillTemplateInfo = nil
if(self._effect ~= nil)then
self._effect:dispose()
self._effect = nil
end
globalManager.ccCreator:release(self._widget)
self._widget = nil
self:BasePanelDispose()
self.BasePanelDispose = nil
end
PartnerUpView = class("PartnerUpView",function(self,parent,currentPartnerInfo,currentTempInfo)
local temp = globalManager.ccCreator:newJsonWidget("PartnerUpView")
temp.titleImage = temp:getChildByName("titleImage")
temp._imgPath   = globalManager.pathManager:getUISource("outPic/partnetFlag.png")
temp.fightValue = temp:getChildByName("fight_label")
temp.closeBtn = temp:getChildByName("closeBtn")
temp.nameLabelList  = {}
temp.infoLabelList  = {}
temp.upIconList     = {}
temp.plusList       = {}
for i = 1,6,1 do
table.insert(temp.nameLabelList,temp:getChildByName("name_label" .. i))
table.insert(temp.infoLabelList,temp:getChildByName("info_label" .. i))
table.insert(temp.upIconList,temp:getChildByName("up_icon" .. i))
table.insert(temp.plusList,temp:getChildByName("plus_label" .. i))
end
temp._parent = parent
temp._info   = nil
temp.currentPartnerInfo = currentPartnerInfo
temp.currentInfo        = currentTempInfo
temp.tempAttrList       = currentTempInfo.atrrList
temp.maxPartnerStage    = 25
return temp
end)
function PartnerUpView:ctor()
globalManager.sourceCacheManager:setImage(self.titleImage,self._imgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self:initEvent()
self:setData()
end
function PartnerUpView:initEvent()
local closeClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self._parent:hidePartnerUpView()
end
end
self.closeBtn:addTouchEventListener(closeClickHandler)
globalData.partnerInfo:addEventListener(globalData.globalEventType.update_PartnerInfo,self.setFightValue,self)
end
function PartnerUpView:removeEvent()
globalData.partnerInfo:removeEventListener(globalData.globalEventType.update_PartnerInfo,self.setFightValue,self)
end
function PartnerUpView:setFightValue()
local nowFightValue = globalData.partnerInfo.partnerList[self.currentPartnerInfo.templateId].fightValue
self.fightValue:setStringValue(nowFightValue - self.currentPartnerInfo.fightValue)
end
function PartnerUpView:setData()
for i = 1,6,1 do
self.nameLabelList[i]:setText(globalData.allStaticTypes.propertyType:getNameByType(self.tempAttrList[i].propertyId))
end
if(self.currentPartnerInfo ~= nil)then
local tempInfo = self.currentPartnerInfo
local stage    = self.currentPartnerInfo.stage
for i = 1,6,1 do
if(tempInfo.atrrList[self.tempAttrList[i].propertyId] ~= nil)then
self.infoLabelList[i]:setText(tempInfo.atrrList[self.tempAttrList[i].propertyId])
else
self.infoLabelList[i]:setText(self.tempAttrList[i].propertyValue)
end
self.upIconList[i]:setVisible(true)
if(stage + 1 <= self.maxPartnerStage)then
self.plusList[i]:setText(tempInfo.atrrList[self.tempAttrList[i].propertyId] + self:calPlusAtrr(self.currentInfo,stage,i))
else
self.plusList[i]:setText("")
self.upIconList[i]:setVisible(false)
end
end
--local nowFightValue = globalData.partnerInfo.partnerList[tempInfo.templateId].fightValue
--self.fightValue:setStringValue(self.currentPartnerInfo.fightValue)
end
end
function PartnerUpView:calPlusAtrr(currentInfo,stage,i)
local tempInfo     = globalData.allTemplates.partnerRatioTemplateList:getTemplate(stage,1)
local nextTempInfo = globalData.allTemplates.partnerRatioTemplateList:getTemplate(stage + 1,1)
local plusValue    = currentInfo.atrrList[i].propertyValue * nextTempInfo.ratio - currentInfo.atrrList[i].propertyValue * tempInfo.ratio
return plusValue
end
function PartnerUpView:hideFormClickContainer()
self._parent:hidePartnerUpView()
end
function PartnerUpView:dispose()
self:removeEvent()
self.closeBtn = nil
self.titleImage    = nil
globalManager.sourceCacheManager:removeQuote(self._imgPath)
self._imgPath      = nil
self.fightValue    = nil
self.nameLabelList = nil
self.infoLabelList = nil
self.upIconList    = nil
self.plusList      = nil
self._parent       = nil
self._info         = nil
self.currentPartnerInfo = nil
self.tempAttrList  = nil
globalManager.ccCreator:release(self)
end
PartnerController = class("PartnerController",function(self,module)
local temp = {}
temp.module = module
return temp
end)
function PartnerController:showPanel()
if(self.module.partnerSysPanel == nil) then
self.module.partnerSysPanel = PartnerSysPanel:new(self)
self.module.partnerSysPanel.eventDis:addEventListener(globalData.globalEventType.trigger_panelDispose,self.panelCloseHandler,self)
end
globalData.uiPanelContainer:addPanel(globalData.allStaticTypes.panelTabType.partner,self.module.partnerSysPanel)
end
function PartnerController:panelCloseHandler(evt)
self.module.partnerSysPanel.eventDis:removeEventListener(globalData.globalEventType.trigger_panelDispose,self.panelCloseHandler,self)
self.module.partnerSysPanel = nil
end
PartnerMessageSender = class("PartnerMessageSender",function(self,module)
local temp = {}
temp.partnerModule = module
temp.partnerMessageHander = nil
return temp
end)
function PartnerMessageSender:add()
end
function PartnerMessageSender:activePartner(templateId)  --伙伴激活
globalData.messageAdder:activePartner(templateId)
end
function PartnerMessageSender:partnerFightOrStop(partnerId)  --伙伴出战或休息
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.PARTNER_FIGHT_STATE)
messOut:writeNumber(partnerId)
globalManager.messageManager:send(messOut)
end
function PartnerMessageSender:sendEquipUpInfo(partnerId,place) --发送装备提升
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.PARTNER_EQUIP_ADVANCE)
messOut:writeNumber(partnerId)
messOut:writeByte(place)
globalManager.messageManager:send(messOut)
end
function PartnerMessageSender:sendPartnerUpInfo(partnerId) --发送伙伴升阶
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.PARTNER_ADVANCE)
messOut:writeNumber(partnerId)
globalManager.messageManager:send(messOut)
end
PartnerMessageHandler = class("PartnerMessageHandler",function(self,module)
local temp = {}
temp.module = module
return temp
end)
function PartnerMessageHandler:ctor()
--伙伴信息
local function partnerInfoReturn(mess)
local bytes = tolua.cast(mess,"MessageIn")
globalData.partnerInfo:updatePartnerInfo(bytes)
end
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.PARTNER_ACTIVE,partnerInfoReturn)
end
RankPlayerItemView = class("RankPlayerItemView",function(self,controller)
local temp = globalManager.ccCreator:newJsonWidget("rankItemView1")
temp._rankLabel = temp:getChildByName("rank_label")
temp._nameLabel = temp:getChildByName("name_label")
temp._levelLabel = temp:getChildByName("level_label")
temp._careerLabel = temp:getChildByName("career_label")
temp._fightLabel = temp:getChildByName("fight_label")
temp._rankImage = temp:getChildByName("rank_image")
temp._showBtn = temp:getChildByName("show_btn")
temp._info = nil
return temp
end)
function RankPlayerItemView:ctor()
self:initEvent()
end
function RankPlayerItemView:setInfo(value)
self._info = value
if(value.rank <= 3) then
self._rankImage:loadTexture("icon/ui_copyNo"..value.rank..".png",1)
self._rankLabel:setEnabled(false)
else
self._rankLabel:setText(value.rank)
self._rankImage:setEnabled(false)
end
self._nameLabel:setText(value.name)
self._levelLabel:setText(value.level)
self._careerLabel:setText(globalData.allStaticTypes.careerType:getCareerName(value.career))
self._fightLabel:setText(value.fight)
end
function RankPlayerItemView:initEvent()
local showClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
--发送查看玩家事件
globalData.messageAdder:infoQuery(self._info.userId,0)
end
end
self._showBtn:addTouchEventListener(showClickHandler)
end
function RankPlayerItemView:removeEvent()
end
function RankPlayerItemView:dispose()
self:removeEvent()
self._info = nil
self._rankLabel = nil
self._nameLabel = nil
self._levelLabel = nil
self._careerLabel = nil
self._fightLabel = nil
self._rankImage = nil
self._showBtn = nil
globalManager.ccCreator:release(self)
end
RankClubItemView = class("RankClubItemView",function(self)
local temp = globalManager.ccCreator:newJsonWidget("rankClubItemView")
temp._rankLabel     = temp:getChildByName("rankLabel")
temp._clubNameLabel = temp:getChildByName("clubNameLabel")
temp._leaderLabel   = temp:getChildByName("nameLabel")
temp._numLabel      = temp:getChildByName("numLabel")
temp._levelLabel    = temp:getChildByName("levelLabel")
temp._strengLabel   = temp:getChildByName("strengthLabel")
temp._rankImg       = temp:getChildByName("rankImg")
temp._showBtn       = temp:getChildByName("show_btn_Copy0")
temp._overFlag      = temp:getChildByName("overFlag")
temp._info          = nil
temp._showBtn:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueItemView.text1"))
return temp
end)
function RankClubItemView:ctor()
self:initEvent()
end
function RankClubItemView:setData(value)
if(value == nil)then
self._rankLabel:setVisible(false)
self._clubNameLabel:setVisible(false)
self._leaderLabel:setVisible(false)
self._numLabel:setVisible(false)
self._levelLabel:setVisible(false)
self._strengLabel:setVisible(false)
self._rankImg:setVisible(false)
self._showBtn:setVisible(false)
self._showBtn:setTouchEnabled(false)
self._overFlag:setVisible(false)
return
else
self._rankLabel:setVisible(true)
self._clubNameLabel:setVisible(true)
self._leaderLabel:setVisible(true)
self._numLabel:setVisible(true)
self._levelLabel:setVisible(true)
self._strengLabel:setVisible(true)
self._rankImg:setVisible(true)
self._showBtn:setVisible(true)
self._showBtn:setTouchEnabled(true)
self._overFlag:setVisible(true)
end
self._info = value
if(value.rank <= 3) then
self._rankImg:loadTexture("icon/ui_copyNo"..value.rank..".png",1)
self._rankLabel:setVisible(false)
self._rankImg:setVisible(true)
else
self._rankLabel:setText(value.rank)
self._rankImg:setVisible(false)
self._rankLabel:setVisible(true)
end
local template   = globalData.allTemplates.leagueTemplateList:getTemplate(value.level)
self._clubNameLabel:setText(value.clubName)
self._leaderLabel:setText(value.userName)
self._numLabel:setText(value.stage .. "/" .. template.member)
self._levelLabel:setText(value.level)
self._strengLabel:setText(value.othersFight)
if(value.stage >= template.member)then
self._showBtn:setEnabled(false)
self._overFlag:setVisible(true)
else
self._showBtn:setEnabled(true)
self._overFlag:setVisible(false)
end
end
function RankClubItemView:initEvent()
local showClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(globalData.selfPlayerInfo.uniteId > 0) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("RankClubItemView.text1"))
return
end
globalData.messageAdder:leagueApply(self._info.userId)
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("RankClubItemView.text2"))
end
end
self._showBtn:addTouchEventListener(showClickHandler)
end
function RankClubItemView:removeEvent()
end
function RankClubItemView:dispose()
self:removeEvent()
self._rankLabel     = nil
self._clubNameLabel = nil
self._leaderLabel   = nil
self._numLabel      = nil
self._levelLabel    = nil
self._strengLabel   = nil
self._rankImg       = nil
self._showBtn       = nil
self._info          = nil
self._overFlag      = nil
globalManager.ccCreator:release(self)
end
RankFazhenItemView = class("RankFazhenItemView",function(self)
local temp = globalManager.ccCreator:newJsonWidget("rankPetItemView")
temp._rankLabel   = temp:getChildByName("rankLabel")
temp._nameLabel   = temp:getChildByName("playerName")
temp._fazhenLabel = temp:getChildByName("petName")
temp._stageLabel  = temp:getChildByName("stageLabel")
temp._fightLabel  = temp:getChildByName("fightLabel")
temp._rankImage   = temp:getChildByName("rankImg")
temp._fazhenImg   = temp:getChildByName("clubImg")
temp._info        = nil
temp._vipImg      = temp:getChildByName("vipImg_Copy0")
temp._vipLabel    = temp:getChildByName("vipLabel_Copy0")
return temp
end)
function RankFazhenItemView:ctor()
self:initEvent()
end
function RankFazhenItemView:setData(info)
if(info == nil)then
self._rankLabel:setVisible(false)
self._nameLabel:setVisible(false)
self._fazhenLabel:setVisible(false)
self._stageLabel:setVisible(false)
self._fightLabel:setVisible(false)
self._rankImage:setVisible(false)
self._fazhenImg:setVisible(false)
self._vipImg:setVisible(false)
self._vipLabel:setVisible(false)
self._fazhenImg:setTouchEnabled(false)
return
else
self._rankLabel:setVisible(true)
self._nameLabel:setVisible(true)
self._fazhenLabel:setVisible(true)
self._stageLabel:setVisible(true)
self._fightLabel:setVisible(true)
self._rankImage:setVisible(true)
self._fazhenImg:setVisible(true)
self._fazhenImg:setTouchEnabled(true)
self._vipImg:setVisible(true)
self._vipLabel:setVisible(true)
end
self._info = info
if(info.rank <= 3) then
self._rankImage:loadTexture("icon/ui_copyNo"..info.rank..".png",1)
self._rankLabel:setVisible(false)
self._rankImage:setVisible(true)
else
self._rankLabel:setText(info.rank)
self._rankLabel:setVisible(true)
self._rankImage:setVisible(false)
end
if(info.vipLevel > 0)then
self._vipImg:setVisible(true)
self._vipLabel:setStringValue(info.vipLevel)
self._nameLabel:setText(info.userName)
else
self._vipImg:setVisible(false)
self._vipLabel:setVisible(false)
self._nameLabel:setText(info.userName)
end
self._fazhenLabel:setText(info.otherName)
local str   = globalData.numList[math.ceil(info.stage / globalData.allTemplates.xiaofeiTemplateList.STAGE_PRE_STAR)] .. globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel45")..((info.stage - 1) % globalData.allTemplates.xiaofeiTemplateList.STAGE_PRE_STAR + 1)..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel68")
self._stageLabel:setText(str)
self._fightLabel:setText(info.othersFight)
end
function RankFazhenItemView:initEvent()
local showClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
--发送查看玩家事件
globalData.messageAdder:infoQuery(self._info.userId,6)
end
end
self._fazhenImg:addTouchEventListener(showClickHandler)
end
function RankFazhenItemView:removeEvent()
end
function RankFazhenItemView:dispose()
self:removeEvent()
self._rankLabel   = nil
self._nameLabel   = nil
self._fazhenLabel = nil
self._stageLabel  = nil
self._fightLabel  = nil
self._rankImage   = nil
self._fazhenImg   = nil
self._info        = nil
self._vipImg      = nil
self._vipLabel    = nil
globalManager.ccCreator:release(self)
end
RankGodItemView = class("RankGodItemView",function(self)
local temp = globalManager.ccCreator:newJsonWidget("rankPetItemView")
temp._rankLabel   = temp:getChildByName("rankLabel")
temp._nameLabel   = temp:getChildByName("playerName")
temp._godLabel    = temp:getChildByName("petName")
temp._stageLabel  = temp:getChildByName("stageLabel")
temp._fightLabel  = temp:getChildByName("fightLabel")
temp._rankImage   = temp:getChildByName("rankImg")
temp._godImg      = temp:getChildByName("clubImg")
temp._info        = nil
temp._vipImg      = temp:getChildByName("vipImg_Copy0")
temp._vipLabel    = temp:getChildByName("vipLabel_Copy0")
return temp
end)
function RankGodItemView:ctor()
self:initEvent()
end
function RankGodItemView:setData(info)
if(info == nil)then
self._rankLabel:setVisible(false)
self._nameLabel:setVisible(false)
self._godLabel:setVisible(false)
self._stageLabel:setVisible(false)
self._fightLabel:setVisible(false)
self._rankImage:setVisible(false)
self._godImg:setVisible(false)
self._vipImg:setVisible(false)
self._vipLabel:setVisible(false)
self._godImg:setTouchEnabled(false)
return
else
self._rankLabel:setVisible(true)
self._nameLabel:setVisible(true)
self._godLabel:setVisible(true)
self._stageLabel:setVisible(true)
self._fightLabel:setVisible(true)
self._rankImage:setVisible(true)
self._godImg:setVisible(true)
self._godImg:setTouchEnabled(true)
self._vipImg:setVisible(true)
self._vipLabel:setVisible(true)
end
self._info = info
if(info.rank <= 3) then
self._rankImage:loadTexture("icon/ui_copyNo"..info.rank..".png",1)
self._rankLabel:setVisible(false)
self._rankImage:setVisible(true)
else
self._rankLabel:setText(info.rank)
self._rankImage:setVisible(false)
self._rankLabel:setVisible(true)
end
if(info.vipLevel > 0)then
self._nameLabel:setText(info.userName)
self._vipImg:setVisible(true)
self._vipLabel:setStringValue(info.vipLevel)
else
self._vipImg:setVisible(false)
self._vipLabel:setVisible(false)
self._nameLabel:setText(info.userName)
end
self._godLabel:setText(info.otherName)
local str   = globalData.numList[math.ceil(info.stage / globalData.allTemplates.xiaofeiTemplateList.STAGE_PRE_STAR)] .. globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel45")..((info.stage - 1) % globalData.allTemplates.xiaofeiTemplateList.STAGE_PRE_STAR + 1)..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel68")
self._stageLabel:setText(str)
self._fightLabel:setText(info.othersFight)
end
function RankGodItemView:initEvent()
local showClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
--发送查看玩家事件
globalData.messageAdder:infoQuery(self._info.userId,3)
end
end
self._godImg:addTouchEventListener(showClickHandler)
end
function RankGodItemView:removeEvent()
end
function RankGodItemView:dispose()
self:removeEvent()
self._rankLabel   = nil
self._nameLabel   = nil
self._godLabel    = nil
self._stageLabel  = nil
self._fightLabel  = nil
self._rankImage   = nil
self._godImg      = nil
self._info        = nil
self._vipImg      = nil
self._vipLabel    = nil
globalManager.ccCreator:release(self)
end
RankLevelItemView = class("RankLevelItemView",function(self)
local temp = globalManager.ccCreator:newJsonWidget("rankLevelItemView")
temp._rankLabel   = temp:getChildByName("rankLabel_Copy0")
temp._nameLabel   = temp:getChildByName("playerName_Copy0")
temp._careerLabel = temp:getChildByName("carrerLabel_Copy0")
temp._clubLabel   = temp:getChildByName("clubLabel_Copy0")
temp._levelLabel  = temp:getChildByName("fightLabel_Copy0")
temp._rankImage   = temp:getChildByName("rankImg_Copy0")
temp._clubImg     = temp:getChildByName("clubImg_Copy0")
temp._vipImg      = temp:getChildByName("vipImg")
temp._vipLabel    = temp:getChildByName("vipLabel")
temp._info        = nil
return temp
end)
function RankLevelItemView:ctor()
self:initEvent()
end
function RankLevelItemView:setData(info)
if(info == nil)then
self._rankLabel:setVisible(false)
self._nameLabel:setVisible(false)
self._careerLabel:setVisible(false)
self._clubLabel:setVisible(false)
self._levelLabel:setVisible(false)
self._rankImage:setVisible(false)
self._clubImg:setVisible(false)
self._vipImg:setVisible(false)
self._vipLabel:setVisible(false)
self._clubImg:setTouchEnabled(false)
return
else
self._rankLabel:setVisible(true)
self._nameLabel:setVisible(true)
self._careerLabel:setVisible(true)
self._clubLabel:setVisible(true)
self._levelLabel:setVisible(true)
self._rankImage:setVisible(true)
self._clubImg:setVisible(true)
self._clubImg:setTouchEnabled(true)
self._vipImg:setVisible(true)
self._vipLabel:setVisible(true)
end
self._info = info
if(info.rank <= 3) then
self._rankImage:loadTexture("icon/ui_copyNo"..info.rank..".png",1)
self._rankImage:setVisible(true)
self._rankLabel:setVisible(false)
else
self._rankLabel:setText(info.rank)
self._rankLabel:setVisible(true)
self._rankImage:setVisible(false)
end
if(info.vipLevel > 0)then
self._vipImg:setVisible(true)
self._vipLabel:setStringValue(info.vipLevel)
self._nameLabel:setText(info.userName)
else
self._nameLabel:setText(info.userName)
self._vipImg:setVisible(false)
self._vipLabel:setVisible(false)
end
self._levelLabel:setText(info.level)
self._careerLabel:setText(globalData.allStaticTypes.careerType:getCareerName(info.career))
if(info.clubName == "")then
self._clubLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel75"))
else
self._clubLabel:setText(info.clubName)
end
end
function RankLevelItemView:initEvent()
local showClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
--发送查看玩家事件
globalData.messageAdder:infoQuery(self._info.userId,0)
end
end
self._clubImg:addTouchEventListener(showClickHandler)
end
function RankLevelItemView:removeEvent()
end
function RankLevelItemView:dispose()
self:removeEvent()
self._rankLabel   = nil
self._nameLabel   = nil
self._careerLabel = nil
self._clubLabel   = nil
self._levelLabel  = nil
self._rankImage   = nil
self._clubImg     = nil
self._info        = nil
self._vipImg      = nil
self._vipLabel    = nil
globalManager.ccCreator:release(self)
end
RankLonghunItemView = class("RankLonghunItemView",function(self)
local temp = globalManager.ccCreator:newJsonWidget("rankPetItemView")
temp._rankLabel   = temp:getChildByName("rankLabel")
temp._nameLabel   = temp:getChildByName("playerName")
temp._longhunLabel= temp:getChildByName("petName")
temp._stageLabel  = temp:getChildByName("stageLabel")
temp._fightLabel  = temp:getChildByName("fightLabel")
temp._rankImage   = temp:getChildByName("rankImg")
temp._longhunImg  = temp:getChildByName("clubImg")
temp._info        = nil
temp._vipImg      = temp:getChildByName("vipImg_Copy0")
temp._vipLabel    = temp:getChildByName("vipLabel_Copy0")
return temp
end)
function RankLonghunItemView:ctor()
self:initEvent()
end
function RankLonghunItemView:setData(info)
if(info == nil)then
self._rankLabel:setVisible(false)
self._nameLabel:setVisible(false)
self._longhunLabel:setVisible(false)
self._stageLabel:setVisible(false)
self._fightLabel:setVisible(false)
self._rankImage:setVisible(false)
self._longhunImg:setVisible(false)
self._vipImg:setVisible(false)
self._vipLabel:setVisible(false)
self._longhunImg:setTouchEnabled(false)
return
else
self._rankLabel:setVisible(true)
self._nameLabel:setVisible(true)
self._longhunLabel:setVisible(true)
self._stageLabel:setVisible(true)
self._fightLabel:setVisible(true)
self._rankImage:setVisible(true)
self._longhunImg:setVisible(true)
self._longhunImg:setTouchEnabled(true)
self._vipImg:setVisible(true)
self._vipLabel:setVisible(true)
end
self._info = info
if(info.rank <= 3) then
self._rankImage:loadTexture("icon/ui_copyNo"..info.rank..".png",1)
self._rankLabel:setVisible(false)
self._rankImage:setVisible(true)
else
self._rankLabel:setText(info.rank)
self._rankImage:setVisible(false)
self._rankLabel:setVisible(true)
end
if(info.vipLevel > 0)then
self._nameLabel:setText(info.userName)
self._vipImg:setVisible(true)
self._vipLabel:setStringValue(info.vipLevel)
else
self._nameLabel:setText(info.userName)
self._vipImg:setVisible(false)
self._vipLabel:setVisible(false)
end
self._longhunLabel:setText(info.otherName)
local str   = globalData.numList[math.ceil(info.stage / globalData.allTemplates.xiaofeiTemplateList.STAGE_PRE_STAR)] .. globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel45")..((info.stage - 1) % globalData.allTemplates.xiaofeiTemplateList.STAGE_PRE_STAR + 1)..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel68")
self._stageLabel:setText(str)
self._fightLabel:setText(info.othersFight)
end
function RankLonghunItemView:initEvent()
local showClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
--发送查看玩家事件
globalData.messageAdder:infoQuery(self._info.userId,7)
end
end
self._longhunImg:addTouchEventListener(showClickHandler)
end
function RankLonghunItemView:removeEvent()
end
function RankLonghunItemView:dispose()
self:removeEvent()
self._rankLabel   = nil
self._nameLabel   = nil
self._longhunLabel= nil
self._stageLabel  = nil
self._fightLabel  = nil
self._rankImage   = nil
self._longhunImg  = nil
self._info        = nil
self._vipImg      = nil
self._vipLabel    = nil
globalManager.ccCreator:release(self)
end
RankPetItemView = class("RankPetItemView",function(self)
local temp = globalManager.ccCreator:newJsonWidget("rankPetItemView")
temp._rankLabel   = temp:getChildByName("rankLabel")
temp._nameLabel   = temp:getChildByName("playerName")
temp._petLabel    = temp:getChildByName("petName")
temp._stageLabel  = temp:getChildByName("stageLabel")
temp._fightLabel  = temp:getChildByName("fightLabel")
temp._rankImage   = temp:getChildByName("rankImg")
temp._petImg      = temp:getChildByName("clubImg")
temp._vipImg      = temp:getChildByName("vipImg_Copy0")
temp._vipLabel    = temp:getChildByName("vipLabel_Copy0")
temp._info        = nil
return temp
end)
function RankPetItemView:ctor()
self:initEvent()
end
function RankPetItemView:setData(info)
if(info == nil)then
self._rankLabel:setVisible(false)
self._nameLabel:setVisible(false)
self._petLabel:setVisible(false)
self._stageLabel:setVisible(false)
self._fightLabel:setVisible(false)
self._rankImage:setVisible(false)
self._petImg:setVisible(false)
self._vipImg:setVisible(false)
self._vipLabel:setVisible(false)
self._petImg:setTouchEnabled(false)
return
else
self._rankLabel:setVisible(true)
self._nameLabel:setVisible(true)
self._petLabel:setVisible(true)
self._stageLabel:setVisible(true)
self._fightLabel:setVisible(true)
self._rankImage:setVisible(true)
self._petImg:setVisible(true)
self._petImg:setTouchEnabled(true)
self._vipImg:setVisible(true)
self._vipLabel:setVisible(true)
end
self._info = info
if(info.rank <= 3) then
self._rankImage:loadTexture("icon/ui_copyNo"..info.rank..".png",1)
self._rankLabel:setVisible(false)
self._rankImage:setVisible(true)
else
self._rankLabel:setText(info.rank)
self._rankImage:setVisible(false)
self._rankLabel:setVisible(true)
end
if(info.vipLevel > 0)then
self._vipImg:setVisible(true)
self._vipLabel:setStringValue(info.vipLevel)
self._nameLabel:setText(info.userName)
else
self._nameLabel:setText(info.userName)
self._vipImg:setVisible(false)
self._vipLabel:setVisible(false)
end
self._petLabel:setText(info.otherName)
local str   = globalData.numList[math.ceil(info.stage / globalData.allTemplates.xiaofeiTemplateList.STAGE_PRE_STAR)] .. globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel45")..((info.stage - 1) % globalData.allTemplates.xiaofeiTemplateList.STAGE_PRE_STAR + 1)..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel68")
self._stageLabel:setText(str)
self._fightLabel:setText(info.othersFight)
end
function RankPetItemView:initEvent()
local showClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
--发送查看玩家事件
globalData.messageAdder:infoQuery(self._info.userId,1)
end
end
self._petImg:addTouchEventListener(showClickHandler)
end
function RankPetItemView:removeEvent()
end
function RankPetItemView:dispose()
self:removeEvent()
self._rankLabel   = nil
self._nameLabel   = nil
self._petLabel    = nil
self._stageLabel  = nil
self._fightLabel  = nil
self._rankImage   = nil
self._petImg    = nil
self._info        = nil
self._vipImg      = nil
self._vipLabel    = nil
globalManager.ccCreator:release(self)
end
RankRiderItemView = class("RankRiderItemView",function(self)
local temp = globalManager.ccCreator:newJsonWidget("rankRiderItemView")
temp._rankLabel   = temp:getChildByName("rankLabel")
temp._nameLabel   = temp:getChildByName("playerName")
temp._riderLabel  = temp:getChildByName("riderName")
temp._stageLabel  = temp:getChildByName("stageLabel")
temp._fightLabel  = temp:getChildByName("fightLabel")
temp._rankImage   = temp:getChildByName("rankImg")
temp._riderImg    = temp:getChildByName("clubImg_Copy1")
temp._info        = nil
temp._vipImg      = temp:getChildByName("vipImg")
temp._vipLabel    = temp:getChildByName("vipLabel")
return temp
end)
function RankRiderItemView:ctor()
self:initEvent()
end
function RankRiderItemView:setData(info)
if(info == nil)then
self._rankLabel:setVisible(false)
self._nameLabel:setVisible(false)
self._riderLabel:setVisible(false)
self._stageLabel:setVisible(false)
self._fightLabel:setVisible(false)
self._rankImage:setVisible(false)
self._riderImg:setVisible(false)
self._vipImg:setVisible(false)
self._vipLabel:setVisible(false)
self._riderImg:setTouchEnabled(false)
return
else
self._rankLabel:setVisible(true)
self._nameLabel:setVisible(true)
self._riderLabel:setVisible(true)
self._stageLabel:setVisible(true)
self._fightLabel:setVisible(true)
self._rankImage:setVisible(true)
self._riderImg:setVisible(true)
self._riderImg:setTouchEnabled(true)
self._vipImg:setVisible(true)
self._vipLabel:setVisible(true)
end
self._info = info
if(info.rank <= 3) then
self._rankImage:loadTexture("icon/ui_copyNo"..info.rank..".png",1)
self._rankLabel:setVisible(false)
self._rankImage:setVisible(true)
else
self._rankLabel:setText(info.rank)
self._rankLabel:setVisible(true)
self._rankImage:setVisible(false)
end
if(info.vipLevel > 0)then
self._vipImg:setVisible(true)
self._vipLabel:setStringValue(info.vipLevel)
self._nameLabel:setText(info.userName)
else
self._vipImg:setVisible(false)
self._vipLabel:setVisible(false)
self._nameLabel:setText(info.userName)
end
self._riderLabel:setText(info.otherName)
local str   = globalData.numList[math.ceil(info.stage / globalData.allTemplates.xiaofeiTemplateList.STAGE_PRE_STAR)] .. globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel45")..((info.stage - 1) % globalData.allTemplates.xiaofeiTemplateList.STAGE_PRE_STAR + 1)..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel68")
self._stageLabel:setText(str)
self._fightLabel:setText(info.othersFight)
end
function RankRiderItemView:initEvent()
local showClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
--发送查看玩家事件
globalData.messageAdder:infoQuery(self._info.userId,2)
end
end
self._riderImg:addTouchEventListener(showClickHandler)
end
function RankRiderItemView:removeEvent()
end
function RankRiderItemView:dispose()
self:removeEvent()
self._rankLabel   = nil
self._nameLabel   = nil
self._riderLabel  = nil
self._stageLabel  = nil
self._fightLabel  = nil
self._rankImage   = nil
self._riderImg    = nil
self._info        = nil
self._vipImg      = nil
self._vipLabel    = nil
globalManager.ccCreator:release(self)
end
RankSpriteItemView = class("RankSpriteItemView",function(self)
local temp = globalManager.ccCreator:newJsonWidget("rankPetItemView")
temp._rankLabel   = temp:getChildByName("rankLabel")
temp._nameLabel   = temp:getChildByName("playerName")
temp._spriteLabel = temp:getChildByName("petName")
temp._stageLabel  = temp:getChildByName("stageLabel")
temp._fightLabel  = temp:getChildByName("fightLabel")
temp._rankImage   = temp:getChildByName("rankImg")
temp._spriteImg   = temp:getChildByName("clubImg")
temp._info        = nil
temp._vipImg      = temp:getChildByName("vipImg_Copy0")
temp._vipLabel    = temp:getChildByName("vipLabel_Copy0")
return temp
end)
function RankSpriteItemView:ctor()
self:initEvent()
end
function RankSpriteItemView:setData(info)
if(info == nil)then
self._rankLabel:setVisible(false)
self._nameLabel:setVisible(false)
self._spriteLabel:setVisible(false)
self._stageLabel:setVisible(false)
self._fightLabel:setVisible(false)
self._rankImage:setVisible(false)
self._spriteImg:setVisible(false)
self._vipImg:setVisible(false)
self._vipLabel:setVisible(false)
self._spriteImg:setTouchEnabled(false)
return
else
self._rankLabel:setVisible(true)
self._nameLabel:setVisible(true)
self._spriteLabel:setVisible(true)
self._stageLabel:setVisible(true)
self._fightLabel:setVisible(true)
self._rankImage:setVisible(true)
self._spriteImg:setVisible(true)
self._spriteImg:setTouchEnabled(true)
self._vipImg:setVisible(true)
self._vipLabel:setVisible(true)
end
self._info = info
if(info.rank <= 3) then
self._rankImage:loadTexture("icon/ui_copyNo"..info.rank..".png",1)
self._rankLabel:setVisible(false)
self._rankImage:setVisible(true)
else
self._rankLabel:setText(info.rank)
self._rankImage:setVisible(false)
self._rankLabel:setVisible(true)
end
if(info.vipLevel > 0)then
self._vipImg:setVisible(true)
self._vipLabel:setStringValue(info.vipLevel)
self._nameLabel:setText(info.userName)
else
self._nameLabel:setText(info.userName)
self._vipImg:setVisible(false)
self._vipLabel:setVisible(false)
end
self._spriteLabel:setText(info.otherName)
local str   = globalData.numList[math.ceil(info.stage / globalData.allTemplates.xiaofeiTemplateList.STAGE_PRE_STAR)] .. globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel45")..((info.stage - 1) % globalData.allTemplates.xiaofeiTemplateList.STAGE_PRE_STAR + 1)..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel68")
self._stageLabel:setText(str)
self._fightLabel:setText(info.othersFight)
end
function RankSpriteItemView:initEvent()
local showClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
--发送查看玩家事件
globalData.messageAdder:infoQuery(self._info.userId,5)
end
end
self._spriteImg:addTouchEventListener(showClickHandler)
end
function RankSpriteItemView:removeEvent()
end
function RankSpriteItemView:dispose()
self:removeEvent()
self._rankLabel   = nil
self._nameLabel   = nil
self._spriteLabel = nil
self._stageLabel  = nil
self._fightLabel  = nil
self._rankImage   = nil
self._spriteImg   = nil
self._info        = nil
self._vipImg      = nil
self._vipLabel    = nil
globalManager.ccCreator:release(self)
end
RankWingItemView = class("RankWingItemView",function(self)
local temp = globalManager.ccCreator:newJsonWidget("rankPetItemView")
temp._rankLabel   = temp:getChildByName("rankLabel")
temp._nameLabel   = temp:getChildByName("playerName")
temp._wingLabel   = temp:getChildByName("petName")
temp._stageLabel  = temp:getChildByName("stageLabel")
temp._fightLabel  = temp:getChildByName("fightLabel")
temp._rankImage   = temp:getChildByName("rankImg")
temp._wingImg     = temp:getChildByName("clubImg")
temp._vipImg      = temp:getChildByName("vipImg_Copy0")
temp._vipLabel    = temp:getChildByName("vipLabel_Copy0")
temp._info        = nil
return temp
end)
function RankWingItemView:ctor()
self:initEvent()
end
function RankWingItemView:setData(info)
if(info == nil)then
self._rankLabel:setVisible(false)
self._nameLabel:setVisible(false)
self._wingLabel:setVisible(false)
self._stageLabel:setVisible(false)
self._fightLabel:setVisible(false)
self._rankImage:setVisible(false)
self._wingImg:setVisible(false)
self._vipImg:setVisible(false)
self._vipLabel:setVisible(false)
self._wingImg:setTouchEnabled(false)
return
else
self._rankLabel:setVisible(true)
self._nameLabel:setVisible(true)
self._wingLabel:setVisible(true)
self._stageLabel:setVisible(true)
self._fightLabel:setVisible(true)
self._rankImage:setVisible(true)
self._wingImg:setVisible(true)
self._wingImg:setTouchEnabled(true)
self._vipImg:setVisible(true)
self._vipLabel:setVisible(true)
end
self._info = info
if(info.rank <= 3) then
self._rankImage:loadTexture("icon/ui_copyNo"..info.rank..".png",1)
self._rankLabel:setVisible(false)
self._rankImage:setVisible(true)
else
self._rankLabel:setText(info.rank)
self._rankImage:setVisible(false)
self._rankLabel:setVisible(true)
end
if(info.vipLevel > 0)then
self._vipImg:setVisible(true)
self._vipLabel:setStringValue(info.vipLevel)
self._nameLabel:setText(info.userName)
else
self._nameLabel:setText(info.userName)
self._vipImg:setVisible(false)
self._vipLabel:setVisible(false)
end
self._wingLabel:setText(info.otherName)
local str   = globalData.numList[math.ceil(info.stage / globalData.allTemplates.xiaofeiTemplateList.STAGE_PRE_STAR)] .. globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel45")..((info.stage - 1) % globalData.allTemplates.xiaofeiTemplateList.STAGE_PRE_STAR + 1)..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel68")
self._stageLabel:setText(str)
self._fightLabel:setText(info.othersFight)
end
function RankWingItemView:initEvent()
local showClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
--发送查看玩家事件
globalData.messageAdder:infoQuery(self._info.userId,4)
end
end
self._wingImg:addTouchEventListener(showClickHandler)
end
function RankWingItemView:removeEvent()
end
function RankWingItemView:dispose()
self:removeEvent()
self._rankLabel   = nil
self._nameLabel   = nil
self._wingLabel   = nil
self._stageLabel  = nil
self._fightLabel  = nil
self._rankImage   = nil
self._wingImg     = nil
self._info        = nil
self._vipImg      = nil
self._vipLabel    = nil
globalManager.ccCreator:release(self)
end
RankFightItemView = class("RankFightItemView",function(self)
local temp = globalManager.ccCreator:newJsonWidget("rankfightitemView")
temp._rankLabel       = temp:getChildByName("rankLabel")
temp._playerNameLabel = temp:getChildByName("playerName")
temp._carrerLabel     = temp:getChildByName("carrerLabel")
temp._clubLabel       = temp:getChildByName("clubLabel")
temp._fightLabel      = temp:getChildByName("fightLabel")
temp._rankImg         = temp:getChildByName("rankImg")
temp._clubImg         = temp:getChildByName("clubImg")
temp._info            = nil
temp._vipImg      = temp:getChildByName("vipImg")
temp._vipLabel    = temp:getChildByName("vipLabel")
return temp
end)
function RankFightItemView:ctor()
self:initEvent()
end
function RankFightItemView:setData(value)
if(value == nil)then
self._rankLabel:setVisible(false)
self._playerNameLabel:setVisible(false)
self._carrerLabel:setVisible(false)
self._clubLabel:setVisible(false)
self._fightLabel:setVisible(false)
self._rankImg:setVisible(false)
self._clubImg:setVisible(false)
self._vipImg:setVisible(false)
self._vipLabel:setVisible(false)
self._clubImg:setTouchEnabled(false)
return
else
self._rankLabel:setVisible(true)
self._playerNameLabel:setVisible(true)
self._carrerLabel:setVisible(true)
self._clubLabel:setVisible(true)
self._fightLabel:setVisible(true)
self._rankImg:setVisible(true)
self._clubImg:setVisible(true)
self._clubImg:setTouchEnabled(true)
self._vipImg:setVisible(true)
self._vipLabel:setVisible(true)
end
self._info = value
if(value.rank <= 3) then
self._rankImg:loadTexture("icon/ui_copyNo"..value.rank..".png",1)
self._rankLabel:setVisible(false)
self._rankImg:setVisible(true)
else
self._rankLabel:setText(value.rank)
self._rankImg:setVisible(false)
self._rankLabel:setVisible(true)
end
if(value.vipLevel > 0)then
self._playerNameLabel:setText(value.userName)
self._vipImg:setVisible(true)
self._vipLabel:setStringValue(value.vipLevel)
else
self._playerNameLabel:setText(value.userName)
self._vipImg:setVisible(false)
self._vipLabel:setVisible(false)
end
self._carrerLabel:setText(globalData.allStaticTypes.careerType:getCareerName(value.career))
if(value.clubName == "")then
self._clubLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel75"))
else
self._clubLabel:setText(value.clubName)
end
self._fightLabel:setText(value.personFight)
end
function RankFightItemView:initEvent()
local showClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
globalData.messageAdder:infoQuery(self._info.userId,0)
end
end
self._clubImg:addTouchEventListener(showClickHandler)
end
function RankFightItemView:removeEvent()
end
function RankFightItemView:dispose()
self:removeEvent()
self._rankLabel       = nil
self._playerNameLabel = nil
self._carrerLabel     = nil
self._clubLabel       = nil
self._fightLabel      = nil
self._rankImg         = nil
self._clubImg         = nil
self._info            = nil
self._vipImg      = nil
self._vipLabel    = nil
globalManager.ccCreator:release(self)
end
RankArenaItemView = class("RankArenaItemView",function(self)
local temp = globalManager.ccCreator:newJsonWidget("rankRiderItemView")
temp._rankLabel   = temp:getChildByName("rankLabel")
temp._nameLabel   = temp:getChildByName("playerName")
temp._carrerLabel = temp:getChildByName("riderName")
temp._fightLabel  = temp:getChildByName("stageLabel")
temp._numLabel    = temp:getChildByName("fightLabel")
temp._rankImage   = temp:getChildByName("rankImg")
temp._arenaImg    = temp:getChildByName("clubImg_Copy1")
temp._info        = nil
temp._vipImg      = temp:getChildByName("vipImg")
temp._vipLabel    = temp:getChildByName("vipLabel")
return temp
end)
function RankArenaItemView:ctor()
self:initEvent()
end
function RankArenaItemView:setData(info)
if(info == nil)then
self._rankLabel:setVisible(false)
self._nameLabel:setVisible(false)
self._carrerLabel:setVisible(false)
self._fightLabel:setVisible(false)
self._numLabel:setVisible(false)
self._rankImage:setVisible(false)
self._arenaImg:setVisible(false)
self._vipImg:setVisible(false)
self._vipLabel:setVisible(false)
self._arenaImg:setTouchEnabled(false)
return
else
self._rankLabel:setVisible(true)
self._nameLabel:setVisible(true)
self._carrerLabel:setVisible(true)
self._fightLabel:setVisible(true)
self._numLabel:setVisible(true)
self._rankImage:setVisible(true)
self._arenaImg:setVisible(true)
self._arenaImg:setTouchEnabled(true)
self._vipImg:setVisible(true)
self._vipLabel:setVisible(true)
end
self._info = info
if(info.rank <= 3) then
self._rankImage:loadTexture("icon/ui_copyNo"..info.rank..".png",1)
self._rankLabel:setVisible(false)
self._rankImage:setVisible(true)
else
self._rankLabel:setText(info.rank)
self._rankLabel:setVisible(true)
self._rankImage:setVisible(false)
end
if(info.vipLevel > 0)then
self._nameLabel:setText(info.userName)
self._vipImg:setVisible(true)
self._vipLabel:setStringValue(info.vipLevel)
else
self._nameLabel:setText(info.userName)
self._vipImg:setVisible(false)
self._vipLabel:setVisible(false)
end
self._carrerLabel:setText(globalData.allStaticTypes.careerType:getCareerName(info.career))
self._numLabel:setText(info.othersFight)
self._fightLabel:setText(info.personFight)
end
function RankArenaItemView:initEvent()
local showClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
--发送查看玩家事件
globalData.messageAdder:infoQuery(self._info.userId,0)
end
end
self._arenaImg:addTouchEventListener(showClickHandler)
end
function RankArenaItemView:removeEvent()
end
function RankArenaItemView:dispose()
self:removeEvent()
self._rankLabel   = nil
self._nameLabel   = nil
self._carrerLabel = nil
self._numLabel    = nil
self._fightLabel  = nil
self._rankImage   = nil
self._arenaImg    = nil
self._info        = nil
self._vipImg      = nil
self._vipLabel    = nil
globalManager.ccCreator:release(self)
end
--竞技榜
RankArenaView = class("RankArenaView",function(self,type)
local temp = globalManager.ccCreator:newJsonWidget("rankArenaView")
temp._arenaRank       = temp:getChildByName("rankLabel_Copy0")
temp._arenaPlayerName = temp:getChildByName("playerName_Copy0")
temp._arenaCarrer     = temp:getChildByName("spriteName_Copy0")
temp._arenaFight      = temp:getChildByName("stageLabel_Copy0")
temp._arenaNum        = temp:getChildByName("fightLabel_Copy0")
temp._arenaImg        = temp:getChildByName("clubImg_Copy1")
temp._arenaImg:setTouchEnabled(true)
temp._vipImg      = temp:getChildByName("vipImg_Copy0")
temp._vipLabel    = temp:getChildByName("vipLabel_Copy0")
temp:getChildByName("Label_77447_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("RankArenaView.text1"))
temp:getChildByName("content1"):setText(globalManager.yuyanbaoManager:getYuyanbao("RankArenaView.text2"))
temp:getChildByName("content2"):setText(globalManager.yuyanbaoManager:getYuyanbao("RankArenaView.text3"))
temp:getChildByName("content3"):setText(globalManager.yuyanbaoManager:getYuyanbao("RankArenaView.text4"))
temp:getChildByName("content4"):setText(globalManager.yuyanbaoManager:getYuyanbao("RankArenaView.text5"))
temp._type            = type
temp._userId          = 0
return temp
end)
function RankArenaView:ctor()
self:initEvent()
self:updateView()
end
function RankArenaView:initEvent()
local selfLevel = globalData.selfPlayerInfo.level
local queryClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
if(selfLevel >= globalData.newModuleLevelConfig.warLevel)then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.arenaTab)
else
globalManager.tipsManager.quickTip:show(globalData.newModuleLevelConfig.warLevel ..globalManager.yuyanbaoManager:getYuyanbao("RankArenaView.text6"))
end
--globalData.messageAdder:infoQuery(self._userId,0)
end
end
self._arenaImg:addTouchEventListener(queryClickHandler)
end
function RankArenaView:removeEvent()
end
function RankArenaView:updateView()
local info        = globalData.rankInfo.arenaList
self._userId      = globalData.selfPlayerInfo.userId
local vipLevel   = globalData.selfPlayerInfo.vipLevel
local playerName = globalData.selfPlayerInfo.nick
local carrer     = globalData.selfPlayerInfo.career
local serverId   = globalData.selfPlayerInfo.serverId
local playerLevel= globalData.selfPlayerInfo.level
local playerFight = globalData.selfPlayerInfo.combat
self._arenaCarrer:setText(globalData.allStaticTypes.careerType:getCareerName(carrer))
if(vipLevel > 0)then
self._vipImg:setVisible(true)
self._vipLabel:setStringValue(vipLevel)
self._arenaPlayerName:setText(playerName)
else
self._arenaPlayerName:setText(playerName)
self._vipImg:setVisible(false)
self._vipLabel:setVisible(false)
end
self._arenaFight:setText(playerFight)
if(globalData.arena1Info.rank > 5000)then
self._arenaNum:setText("5000+")
else
self._arenaNum:setText(globalData.arena1Info.rank)
end
end
function RankArenaView:setRank(rank)
if(rank ~= 0)then
self._arenaRank:setText(rank)
else
self._arenaRank:setText("50+")
end
end
function RankArenaView:dispose()
self:removeEvent()
self._arenaRank       = nil
self._arenaPlayerName = nil
self._arenaCarrer     = nil
self._arenaFight      = nil
self._arenaNum        = nil
self._arenaImg        = nil
self._type            = nil
self._vipImg          = nil
self._vipLabel        = nil
globalManager.ccCreator:release(self)
end
--帮派榜
RankClubView = class("RankClubView",function(self,type)
local temp = globalManager.ccCreator:newJsonWidget("rankClubView")
temp._rankLabel       = temp:getChildByName("rankLabel")
temp._clubNameLabel   = temp:getChildByName("clubNameLabel")
temp._nameLabel       = temp:getChildByName("nameLabel")
temp._numLabel        = temp:getChildByName("numLabel")
temp._levelLabel      = temp:getChildByName("levelLabel")
temp._strengthLabel   = temp:getChildByName("strengthLabel")
temp._clubImg         = temp:getChildByName("clubImg")
temp._clubImg:setTouchEnabled(true)
temp:getChildByName("Label_77447_Copy6"):setText(globalManager.yuyanbaoManager:getYuyanbao("RankClubView.text1"))
temp:getChildByName("content1"):setText(globalManager.yuyanbaoManager:getYuyanbao("RankClubView.text2"))
temp:getChildByName("content2"):setText(globalManager.yuyanbaoManager:getYuyanbao("FiveEquipTip.text11"))
temp:getChildByName("content3"):setText(globalManager.yuyanbaoManager:getYuyanbao("RankClubView.text4"))
temp:getChildByName("content4"):setText(globalManager.yuyanbaoManager:getYuyanbao("FigurePlayerInfo.text1"))
temp:getChildByName("content5"):setText(globalManager.yuyanbaoManager:getYuyanbao("RankClubView.text6"))
temp:getChildByName("content6"):setText(globalManager.yuyanbaoManager:getYuyanbao("RankClubView.text7"))
temp:getChildByName("content7"):setText(globalManager.yuyanbaoManager:getYuyanbao("ActivityPanel.text4"))
temp._type            = type
temp._userId          = 0
return temp
end)
function RankClubView:ctor()
self:initEvent()
self:updateView()
end
function RankClubView:initEvent()
local selfLevel = globalData.selfPlayerInfo.level
local queryClickHandler = function(sender,eventType)
local leagueId = globalData.leagueInfo.id
if(eventType == TOUCH_EVENT_ENDED) then
if(selfLevel >= globalData.newModuleLevelConfig.clubLevel)then
if(leagueId ~= 0)then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.leagueTab)
else
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.leagueListTab)
end
else
globalManager.tipsManager.quickTip:show(globalData.newModuleLevelConfig.clubLevel ..globalManager.yuyanbaoManager:getYuyanbao("RankArenaView.text6"))
end
--globalData.messageAdder:infoQuery(self._userId,0)
end
end
self._clubImg:addTouchEventListener(queryClickHandler)
end
function RankClubView:removeEvent()
end
function RankClubView:updateView()
local info        = globalData.rankInfo.clubList
self._userId      = globalData.selfPlayerInfo.userId
local playerInfo  = nil
if(playerInfo == nil)then
if(globalData.leagueInfo.id ~= 0)then
local clubName   = globalData.leagueInfo.name
local masterName = globalData.leagueInfo.masterName
local clubNum    = globalData.leagueInfo.member
local clubLevel  = globalData.leagueInfo.level
local clubRank   = globalData.leagueInfo.rank
local template   = globalData.allTemplates.leagueTemplateList:getTemplate(clubLevel)
self._clubNameLabel:setText(clubName)
self._nameLabel:setText(masterName)
self._numLabel:setText(clubNum .."/" ..template.member)
self._levelLabel:setText(clubLevel)
self._rankLabel:setText(clubRank)
self._strengthLabel:setText(globalData.leagueInfo.totalFight)
else
self._rankLabel:setText("")
self._clubNameLabel:setText("")
self._nameLabel:setText("")
self._numLabel:setText("")
self._levelLabel:setText("")
self._strengthLabel:setText("")
end
else
local template   = globalData.allTemplates.leagueTemplateList:getTemplate(playerInfo.level)
self._clubNameLabel:setText(playerInfo.clubName)
self._nameLabel:setText(playerInfo.userName)
self._numLabel:setText(playerInfo.stage .. "/" .. template.member)
self._levelLabel:setText(playerInfo.level)
self._strengthLabel:setText(playerInfo.othersFight)
end
end
function RankClubView:setRank(rank)
if(rank ~= 0)then
self._rankLabel:setText(rank)
else
self._rankLabel:setText("50+")
end
end
function RankClubView:dispose()
self:removeEvent()
self._godRank       = nil
self._godPlayerName = nil
self._godName       = nil
self._godStage      = nil
self._godFight      = nil
self._godImg        = nil
self._type          = nil
self._clubBtn       = nil
globalManager.ccCreator:release(self)
end
--法阵榜
RankFazhenView = class("RankFazhenView",function(self,type)
local temp = globalManager.ccCreator:newJsonWidget("rankFazhenView")
temp._fazhenRank       = temp:getChildByName("rankLabel_Copy0")
temp._fazhenPlayerName = temp:getChildByName("playerName_Copy0")
temp._fazhenName       = temp:getChildByName("spriteName_Copy0")
temp._fazhenStage      = temp:getChildByName("stageLabel_Copy0")
temp._fazhenFight      = temp:getChildByName("fightLabel_Copy0")
temp._fazhenImg        = temp:getChildByName("clubImg_Copy1")
temp._fazhenImg:setTouchEnabled(true)
temp._vipImg      = temp:getChildByName("vipImg_Copy0")
temp._vipLabel    = temp:getChildByName("vipLabel_Copy0")
temp:getChildByName("Label_77447_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("RankFazhenView.text1"))
temp:getChildByName("content1"):setText(globalManager.yuyanbaoManager:getYuyanbao("RankFazhenView.text2"))
temp:getChildByName("content2"):setText(globalManager.yuyanbaoManager:getYuyanbao("RankFazhenView.text3"))
temp:getChildByName("content3"):setText(globalManager.yuyanbaoManager:getYuyanbao("RankFazhenView.text4"))
temp:getChildByName("content4"):setText(globalManager.yuyanbaoManager:getYuyanbao("RankFazhenView.text5"))
temp._type             = type
temp._userId           = 0
return temp
end)
function RankFazhenView:ctor()
self:initEvent()
self:updateView()
end
function RankFazhenView:initEvent()
local selfLevel = globalData.selfPlayerInfo.level
local queryClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
if(selfLevel >= globalData.newModuleLevelConfig.fazhenLevel)then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab4,globalData.allStaticTypes.panelTabType.fazhen)
else
globalManager.tipsManager.quickTip:show(globalData.newModuleLevelConfig.fazhenLevel ..globalManager.yuyanbaoManager:getYuyanbao("RankArenaView.text6"))
end
--globalData.messageAdder:infoQuery(self._userId,6)
end
end
self._fazhenImg:addTouchEventListener(queryClickHandler)
end
function RankFazhenView:removeEvent()
end
function RankFazhenView:updateView()
local info        = globalData.rankInfo.fazhenList
self._userId      = globalData.selfPlayerInfo.userId
local vipLevel   = globalData.selfPlayerInfo.vipLevel
local playerName = globalData.selfPlayerInfo.nick
local serverId   = globalData.selfPlayerInfo.serverId
if(globalData.selfPlayerInfo.vipInfo:getVipTime() > 0)then
self._vipImg:setVisible(true)
self._vipLabel:setStringValue(vipLevel)
self._fazhenPlayerName:setText(playerName)
else
self._fazhenPlayerName:setText(playerName)
self._vipImg:setVisible(false)
self._vipLabel:setVisible(false)
end
if(globalData.fazhenItemInfo.stage < 1)then
self._fazhenName:setText("")
self._fazhenStage:setText("")
self._fazhenFight:setText("")
else
local fazhenTemplate =globalData.allTemplates.xiaofeiTemplateList:getTemplate(globalData.allStaticTypes.petXiaofeiType.FAZHEN,globalData.fazhenItemInfo.stage)
self._fazhenName:setText(fazhenTemplate.name)
local str   = globalData.numList[math.ceil(globalData.fazhenItemInfo.stage / globalData.allTemplates.xiaofeiTemplateList.STAGE_PRE_STAR)] .. globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel45")..((globalData.fazhenItemInfo.stage - 1) % globalData.allTemplates.xiaofeiTemplateList.STAGE_PRE_STAR + 1)..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel68")
self._fazhenStage:setText(str)
self._fazhenFight:setText(globalData.fazhenItemInfo.fight)
end
end
function RankFazhenView:setRank(rank)
if(rank ~= 0)then
self._fazhenRank:setText(rank)
else
self._fazhenRank:setText("50+")
end
end
function RankFazhenView:dispose()
self:removeEvent()
self._fazhenRank       = nil
self._fazhenPlayerName = nil
self._fazhenName       = nil
self._fazhenStage      = nil
self._fazhenFight      = nil
self._fazhenImg        = nil
self._type             = nil
self._vipImg          = nil
self._vipLabel        = nil
globalManager.ccCreator:release(self)
end
--足迹榜
RankGodView = class("RankGodView",function(self,type)
local temp = globalManager.ccCreator:newJsonWidget("rankGodView")
temp._godRank       = temp:getChildByName("rankLabel")
temp._godPlayerName = temp:getChildByName("playerName")
temp._godName       = temp:getChildByName("godName")
temp._godStage      = temp:getChildByName("stageLabel")
temp._godFight      = temp:getChildByName("fightLabel")
temp._godImg        = temp:getChildByName("clubImg_Copy1")
temp._godImg:setTouchEnabled(true)
temp._vipImg      = temp:getChildByName("vipImg_Copy0")
temp._vipLabel    = temp:getChildByName("vipLabel_Copy0")
temp:getChildByName("Label_77447_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("RankGodView.text1"))
temp:getChildByName("content1"):setText(globalManager.yuyanbaoManager:getYuyanbao("RankGodView.text2"))
temp:getChildByName("content2"):setText(globalManager.yuyanbaoManager:getYuyanbao("RankGodView.text3"))
temp:getChildByName("content3"):setText(globalManager.yuyanbaoManager:getYuyanbao("RankGodView.text4"))
temp:getChildByName("content4"):setText(globalManager.yuyanbaoManager:getYuyanbao("RankGodView.text5"))
temp._type          = type
temp._userId        = 0
return temp
end)
function RankGodView:ctor()
self:initEvent()
self:updateView()
end
function RankGodView:initEvent()
local queryClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
if(globalData.godItemInfo.stage == 0)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("PanelTabGroupType.text43"))
else
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab4,globalData.allStaticTypes.panelTabType.god)
end
--globalData.messageAdder:infoQuery(self._userId,4)
end
end
self._godImg:addTouchEventListener(queryClickHandler)
end
function RankGodView:removeEvent()
end
function RankGodView:updateView()
local info        = globalData.rankInfo.godList
self._userId      = globalData.selfPlayerInfo.userId
local vipLevel   = globalData.selfPlayerInfo.vipLevel
local playerName = globalData.selfPlayerInfo.nick
local serverId   = globalData.selfPlayerInfo.serverId
if(globalData.selfPlayerInfo.vipInfo:getVipTime() > 0)then
self._vipImg:setVisible(true)
self._vipLabel:setStringValue(vipLevel)
self._godPlayerName:setText(playerName)
else
self._godPlayerName:setText(playerName)
self._vipImg:setVisible(false)
self._vipLabel:setVisible(false)
end
if(globalData.wingItemInfo.stage < 1)then
self._godName:setText("")
self._godStage:setText("")
self._godFight:setText("")
else
local godTemplate = globalData.allTemplates.xiaofeiTemplateList:getTemplate(globalData.allStaticTypes.petXiaofeiType.SHENBING,globalData.godItemInfo.stage)
self._godName:setText(godTemplate.name)
local str   = globalData.numList[math.ceil(globalData.godItemInfo.stage / globalData.allTemplates.xiaofeiTemplateList.STAGE_PRE_STAR)] .. globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel45")..((globalData.godItemInfo.stage - 1) % globalData.allTemplates.xiaofeiTemplateList.STAGE_PRE_STAR + 1)..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel68")
self._godStage:setText(str)
self._godFight:setText(globalData.godItemInfo.fight)
end
end
function RankGodView:setRank(rank)
if(rank ~= 0)then
self._godRank:setText(rank)
else
self._godRank:setText("50+")
end
end
function RankGodView:dispose()
self:removeEvent()
self._godRank       = nil
self._godPlayerName = nil
self._godName       = nil
self._godStage      = nil
self._godFight      = nil
self._godImg        = nil
self._type          = nil
self._vipImg          = nil
self._vipLabel        = nil
globalManager.ccCreator:release(self)
end
--等级榜
RankLevelView = class("RankLevelView",function(self,type)
local temp = globalManager.ccCreator:newJsonWidget("rankLevelView")
temp._levelRank       = temp:getChildByName("rankLabel_Copy0")
temp._levelPlayerName = temp:getChildByName("playerName_Copy0")
temp._levelCarrer     = temp:getChildByName("carrerLabel_Copy0")
temp._levelClub       = temp:getChildByName("clubLabel_Copy0")
temp._levelNum        = temp:getChildByName("fightLabel_Copy0")
temp._levelImg        = temp:getChildByName("clubImg_Copy1")
temp._levelImg:setTouchEnabled(true)
temp._vipImg      = temp:getChildByName("vipImg_Copy0")
temp._vipLabel    = temp:getChildByName("vipLabel_Copy0")
temp:getChildByName("Label_77447_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("RankLevelView.text1"))
temp:getChildByName("content1"):setText(globalManager.yuyanbaoManager:getYuyanbao("FiveEquipTip.text11"))
temp:getChildByName("content2"):setText(globalManager.yuyanbaoManager:getYuyanbao("RankLevelView.text3"))
temp:getChildByName("content3"):setText(globalManager.yuyanbaoManager:getYuyanbao("RankLevelView.text4"))
temp:getChildByName("content4"):setText(globalManager.yuyanbaoManager:getYuyanbao("RankLevelView.text5"))
temp._type            = type
temp._userId          = 0
return temp
end)
function RankLevelView:ctor()
self:initEvent()
self:updateView()
end
function RankLevelView:initEvent()
local queryClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab1,globalData.allStaticTypes.panelTabType.property)
--globalData.messageAdder:infoQuery(self._userId,0)
end
end
self._levelImg:addTouchEventListener(queryClickHandler)
end
function RankLevelView:removeEvent()
end
function RankLevelView:updateView()
local info       = globalData.rankInfo.levelList
self._userId      = globalData.selfPlayerInfo.userId
local vipLevel   = globalData.selfPlayerInfo.vipLevel
local playerName = globalData.selfPlayerInfo.nick
local carrer     = globalData.selfPlayerInfo.career
local serverId   = globalData.selfPlayerInfo.serverId
local clubId     = globalData.leagueInfo.id
local playerLevel= globalData.selfPlayerInfo.level
self._levelCarrer:setText(globalData.allStaticTypes.careerType:getCareerName(carrer))
if(globalData.selfPlayerInfo.vipInfo:getVipTime() > 0)then
self._vipImg:setVisible(true)
self._vipLabel:setStringValue(vipLevel)
self._levelPlayerName:setText(playerName)
else
self._levelPlayerName:setText(playerName)
self._vipImg:setVisible(false)
self._vipLabel:setVisible(false)
end
if(clubId == 0)then
self._levelClub:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel75"))
else
local clubName   = globalData.leagueInfo.name
self._levelClub:setText(clubName)
end
self._levelNum:setText(playerLevel)
end
function RankLevelView:setRank(rank)
if(rank ~= 0)then
self._levelRank:setText(rank)
else
self._levelRank:setText("50+")
end
end
function RankLevelView:dispose()
self:removeEvent()
self._levelRank       = nil
self._levelPlayerName = nil
self._levelCarrer     = nil
self._levelClub       = nil
self._levelFight      = nil
self._levelNum        = nil
self._type            = nil
self._vipImg          = nil
self._vipLabel        = nil
globalManager.ccCreator:release(self)
end
--龙魂榜
RankLonghunView = class("RankLonghunView",function(self,type)
local temp = globalManager.ccCreator:newJsonWidget("rankLonghunView")
temp._longhunRank       = temp:getChildByName("rankLabel_Copy1")
temp._longhunPlayerName = temp:getChildByName("playerName_Copy1")
temp._longhunName       = temp:getChildByName("spriteName_Copy1")
temp._longhunStage      = temp:getChildByName("stageLabel_Copy1")
temp._longhunFight      = temp:getChildByName("fightLabel_Copy1")
temp._longhunImg        = temp:getChildByName("clubImg_Copy0")
temp._longhunImg:setTouchEnabled(true)
temp._vipImg      = temp:getChildByName("vipImg_Copy0")
temp._vipLabel    = temp:getChildByName("vipLabel_Copy0")
temp:getChildByName("Label_77447_Copy1"):setText(globalManager.yuyanbaoManager:getYuyanbao("RankLonghunView.text1"))
temp:getChildByName("content1"):setText(globalManager.yuyanbaoManager:getYuyanbao("RankLonghunView.text2"))
temp:getChildByName("content2"):setText(globalManager.yuyanbaoManager:getYuyanbao("RankLonghunView.text3"))
temp:getChildByName("content3"):setText(globalManager.yuyanbaoManager:getYuyanbao("RankLonghunView.text4"))
temp:getChildByName("content4"):setText(globalManager.yuyanbaoManager:getYuyanbao("RankLonghunView.text5"))
temp._type              = type
temp._userId            = 0
return temp
end)
function RankLonghunView:ctor()
self:initEvent()
self:updateView()
end
function RankLonghunView:initEvent()
local selfLevel = globalData.selfPlayerInfo.level
local queryClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
if(selfLevel >= globalData.newModuleLevelConfig.longhunLevel)then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab4,globalData.allStaticTypes.panelTabType.longhun)
else
globalManager.tipsManager.quickTip:show(globalData.newModuleLevelConfig.longhunLevel ..globalManager.yuyanbaoManager:getYuyanbao("RankArenaView.text6"))
end
--globalData.messageAdder:infoQuery(self._userId,7)
end
end
self._longhunImg:addTouchEventListener(queryClickHandler)
end
function RankLonghunView:removeEvent()
end
function RankLonghunView:updateView()
local info        = globalData.rankInfo.longhunList
self._userId      = globalData.selfPlayerInfo.userId
local vipLevel   = globalData.selfPlayerInfo.vipLevel
local playerName = globalData.selfPlayerInfo.nick
local serverId   = globalData.selfPlayerInfo.serverId
if(globalData.selfPlayerInfo.vipInfo:getVipTime() > 0)then
self._vipImg:setVisible(true)
self._vipLabel:setStringValue(vipLevel)
self._longhunPlayerName:setText(playerName)
else
self._longhunPlayerName:setText(playerName)
self._vipImg:setVisible(false)
self._vipLabel:setVisible(false)
end
if(globalData.longhunItemInfo.stage < 1)then
self._longhunName:setText("")
self._longhunStage:setText("")
self._longhunFight:setText("")
else
local longhunTemplate = globalData.allTemplates.xiaofeiTemplateList:getTemplate(globalData.allStaticTypes.petXiaofeiType.LONGHUN,globalData.longhunItemInfo.stage)
self._longhunName:setText(longhunTemplate.name)
local str   = globalData.numList[math.ceil(globalData.longhunItemInfo.stage / globalData.allTemplates.xiaofeiTemplateList.STAGE_PRE_STAR)] .. globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel45")..((globalData.longhunItemInfo.stage - 1) % globalData.allTemplates.xiaofeiTemplateList.STAGE_PRE_STAR + 1)..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel68")
self._longhunStage:setText(str)
self._longhunFight:setText(globalData.longhunItemInfo.fight)
end
end
function RankLonghunView:setRank(rank)
if(rank ~= 0)then
self._longhunRank:setText(rank)
else
self._longhunRank:setText("50+")
end
end
function RankLonghunView:dispose()
self:removeEvent()
self._longhunRank       = nil
self._longhunPlayerName = nil
self._longhunName       = nil
self._longhunStage      = nil
self._longhunFight      = nil
self._longhunImg        = nil
self._type              = nil
self._vipImg          = nil
self._vipLabel        = nil
globalManager.ccCreator:release(self)
end
RankPanel = class("RankPanel",function(self,controller)
local temp = BasePanel:new()
temp.BasePanelDispose = temp.dispose
temp._controller      = controller
temp._widget          = globalManager.ccCreator:newJsonWidget("rankPanel")
temp:addChild(temp._widget)
temp._listPanel       = temp._widget:getChildByName("btn_list_Copy0")
temp._listPanel:setItemsMargin(10)
temp._itemPanel       = temp._widget:getChildByName("itemList")
temp._pageLayer       = temp._widget:getChildByName("pageList")
temp._panelLayer      = temp._widget:getChildByName("panel_layer")
temp._tipsLabel       = temp._widget:getChildByName("tipsLabel")
temp._btnNameList     = {
globalManager.yuyanbaoManager:getYuyanbao("RankPanel.text1"),
globalManager.yuyanbaoManager:getYuyanbao("RankPanel.text2"),
globalManager.yuyanbaoManager:getYuyanbao("RankPanel.text3"),
globalManager.yuyanbaoManager:getYuyanbao("RankPanel.text4"),
globalManager.yuyanbaoManager:getYuyanbao("RankPanel.text5"),
globalManager.yuyanbaoManager:getYuyanbao("RankPanel.text6"),
globalManager.yuyanbaoManager:getYuyanbao("RankPanel.text7"),
globalManager.yuyanbaoManager:getYuyanbao("RankPanel.text8"),
"","",
globalManager.yuyanbaoManager:getYuyanbao("RankPanel.text11"),
globalManager.yuyanbaoManager:getYuyanbao("RankPanel.text12"),
globalManager.yuyanbaoManager:getYuyanbao("RankPanel.text13")
}
temp.btnList   = nil
temp._pageList = {}
temp.panelList = {}
temp.itemList  = {}
temp._currentIndex    = 0
temp._typeList        = nil
temp.totalPage        = 0
temp.currentPage      = 0
temp.curType          = 0
return temp
end)
function RankPanel:ctor()
self:initEvent()
self:initData()
end
function RankPanel:initEvent()
local showPanelTouchHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED or eventType == TOUCH_EVENT_CANCELED) then
local offsetX = sender:getTouchEndPos().x - sender:getTouchStartPos().x
if(offsetX > 50) then
if(self.currentPage > 1)then
self:setPage(self.currentPage - 1)
end
elseif(offsetX < -50) then
if(self.currentPage < self.totalPage)then
self:setPage(self.currentPage + 1)
end
end
end
end
self._itemPanel:addTouchEventListener(showPanelTouchHandler)
globalData.rankInfo:addEventListener(globalData.globalEventType.rankInfo_update,self.rankInfoUpdate,self)
end
function RankPanel:removeEvent()
globalData.rankInfo:removeEventListener(globalData.globalEventType.rankInfo_update,self.rankInfoUpdate,self)
end
function RankPanel:rankInfoUpdate(evt)
local type = evt.data
if(type ~= self.curType) then return end
self:resetPageIcon(type)
local infoList = globalData.rankInfo.rankList[type]
local isEmpty = true
for i = 1,5,1 do
local info = infoList[(self.currentPage - 1) * 5 + i]
self.itemList[i]:setData(info)
if(info ~= nil) then isEmpty = false end
end
self._tipsLabel:setVisible(isEmpty)
self:setRank(globalData.rankInfo.personRankList[type])
end
function RankPanel:setRank(rank)
if(self.panelList[self._currentIndex] ~= nil)then
self.panelList[self._currentIndex]:setRank(rank)
end
end
function RankPanel:resetPageIcon(type)
if(#self._pageList ~= 0) then return end
self.totalPage = globalData.rankInfo.totalPageList[type]
if(self.totalPage == nil) then self.totalPage = 0 end
if(self.totalPage == 0) then return end
for i = 1,self.totalPage,1 do
local pageIcon = globalManager.ccCreator:newImageView()
if(self.currentPage == i) then
pageIcon:loadTexture("btn/ui_radioBtn1_2.png", 1)
else
pageIcon:loadTexture("btn/ui_radioBtn1_1.png", 1)
end
pageIcon:setPosition(200 - (self.totalPage - 1)*20 + (i - 1)*40,7)
table.insert(self._pageList,pageIcon)
self._pageLayer:addChild(pageIcon)
end
end
function RankPanel:setPage(page)
if(self.currentPage == page) then return end
if(self.currentPage ~= 0) then
self._pageList[self.currentPage]:loadTexture("btn/ui_radioBtn1_1.png", 1)
end
self.currentPage = page
if(self._pageList[self.currentPage] ~= nil) then
self._pageList[self.currentPage]:loadTexture("btn/ui_radioBtn1_2.png", 1)
end
if(globalData.rankInfo.rankList[self.curType] == nil or globalData.rankInfo.rankList[self.curType][self.currentPage * 5 - 4] == nil)then
self._controller.module.message:sendRankInfo(self.curType,self.currentPage,5)
else
local isEmpty = true
for i = 1,5,1 do
local info = globalData.rankInfo.rankList[self.curType][(self.currentPage - 1) * 5 + i]
self.itemList[i]:setData(info)
if(info ~= nil) then isEmpty = false end
end
self:setRank(globalData.rankInfo.personRankList[self.curType])
self._tipsLabel:setVisible(isEmpty)
end
end
function RankPanel:initData()
local btnClickHandler = function(sender,eventType)
self:setIndex(globalManager.commonUtils:getIndexOfTable(self.btnList,sender))
end
if(globalData.rankInfo.typeList == nil or #globalData.rankInfo.typeList == 0) then
return
end
self.btnList   = {}
local btn      = nil
for __,type in pairs(globalData.rankInfo.typeList) do
btn = UIPanelTabButton:new(self._btnNameList[type])
self._listPanel:pushBackCustomItem(btn)
btn:addTouchEventListener(btnClickHandler)
table.insert(self.btnList,btn)
end
self:setIndex(2)
end
function RankPanel:setIndex(index)
if(self._currentIndex == index) then return end
if(self._currentIndex ~= 0) then
self.btnList[self._currentIndex]:setSelected(false)
self.panelList[self._currentIndex]:removeFromParent(false)
end
self._currentIndex = index
self.curType = globalData.rankInfo.typeList[self._currentIndex]
self.btnList[self._currentIndex]:setSelected(true)
if(self.panelList[self._currentIndex] == nil) then
self.panelList[self._currentIndex] = self:getPanel(self.curType)
end
self._panelLayer:addChild(self.panelList[self._currentIndex])
if(self._pageList ~= nil)then
for i,info in pairs(self._pageList) do
globalManager.ccCreator:release(info)
info = nil
end
self._pageList = {}
end
if(self.itemList ~= nil)then
for __,item in pairs(self.itemList) do
item:dispose()
item = nil
end
self.itemList = {}
end
for i = 1,5,1 do
local item = self:getItem(self.curType)
table.insert(self.itemList,item)
item:setData(nil)
self._itemPanel:addChild(item)
item:setPosition(3,300 - (i - 1)*70)
end
self.currentPage = 0
self:resetPageIcon(self.curType)
self:setPage(1)
end
function RankPanel:getItem(type)
--{"等级榜","坐骑榜","妖精榜","羽翼榜","足迹榜","仙灵榜","法阵榜","龙魂榜","竞技榜","战力榜","帮派榜"}
local item
if(type == 1)then
item = RankLevelItemView:new()
elseif(type == 2)then
item = RankRiderItemView:new()
elseif(type == 3)then
item = RankPetItemView:new()
elseif(type == 4)then
item = RankWingItemView:new()
elseif(type == 5)then
item = RankGodItemView:new()
elseif(type == 6)then
item = RankSpriteItemView:new()
elseif(type == 7)then
item = RankFazhenItemView:new()
elseif(type == 8)then
item = RankLonghunItemView:new()
elseif(type == 11)then
item = RankArenaItemView:new()
elseif(type == 12)then
item = RankFightItemView:new()
elseif(type == 13)then
item = RankClubItemView:new()
end
return item
end
function RankPanel:getPanel(type)
if(type == 1)then
return RankLevelView:new(type)
elseif(type == 2)then
return RankRiderView:new(type)
elseif(type == 3)then
return RankPetView:new(type)
elseif(type == 4)then
return RankWingView:new(type)
elseif(type == 5)then
return RankGodView:new(type)
elseif(type == 6)then
return RankSpriteView:new(type)
elseif(type == 7)then
return RankFazhenView:new(type)
elseif(type == 8)then
return RankLonghunView:new(type)
elseif(type == 11)then
return RankArenaView:new(type)
elseif(type == 12)then
return RankFightView:new(type)
elseif(type == 13)then
return RankClubView:new(type)
end
end
function RankPanel:dispose()
self:removeEvent()
self._controller      = nil
self._listPanel       = nil
self._itemPanel       = nil
self._pageLayer       = nil
self._panelLayer      = nil
self._btnNameList     = nil
self._tipsLabel       = nil
if(self.btnList ~= nil) then
for __,btn in pairs(self.btnList) do
btn:dispose()
end
self.btnList = nil
end
if(self._pageList ~= nil)then
for __,info in pairs(self._pageList) do
globalManager.ccCreator:release(info)
info = nil
end
self._pageList = nil
end
if(self.panelList ~= nil)then
for __,info in pairs(self.panelList) do
info:dispose()
info = nil
end
self.panelList = nil
end
if(self.itemList ~= nil)then
for __,info in pairs(self.itemList) do
info:dispose()
info = nil
end
self.itemList = nil
end
self._currentIndex = nil
self._typeList   = nil
self.totalPage   = nil
self.currentPage = nil
self.curType     = nil
globalManager.ccCreator:release(self._widget)
self._widget = nil
self:BasePanelDispose()
self.BasePanelDispose = nil
end
--羽翼榜
RankWingView = class("RankWingView",function(self,type)
local temp = globalManager.ccCreator:newJsonWidget("rankWingView")
temp._wingRank       = temp:getChildByName("rankLabel")
temp._wingPlayerName = temp:getChildByName("playerName")
temp._wingName       = temp:getChildByName("wingName")
temp._wingStage      = temp:getChildByName("stageLabel")
temp._wingFight      = temp:getChildByName("fightLabel")
temp._wingImg        = temp:getChildByName("clubImg_Copy0")
temp._wingImg:setTouchEnabled(true)
temp._vipImg      = temp:getChildByName("vipImg_Copy0")
temp._vipLabel    = temp:getChildByName("vipLabel_Copy0")
temp:getChildByName("Label_77447_Copy1"):setText(globalManager.yuyanbaoManager:getYuyanbao("RankWingView.text1"))
temp:getChildByName("content1"):setText(globalManager.yuyanbaoManager:getYuyanbao("RankWingView.text2"))
temp:getChildByName("content2"):setText(globalManager.yuyanbaoManager:getYuyanbao("RankWingView.text3"))
temp:getChildByName("content3"):setText(globalManager.yuyanbaoManager:getYuyanbao("RankWingView.text4"))
temp:getChildByName("content4"):setText(globalManager.yuyanbaoManager:getYuyanbao("RankWingView.text5"))
temp._type            = type
temp._userId          = 0
return temp
end)
function RankWingView:ctor()
self:initEvent()
self:updateView()
end
function RankWingView:initEvent()
local queryClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
if(globalData.wingItemInfo.stage == 0)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("PopupTriggerHandler.text4"))
else
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab4,globalData.allStaticTypes.panelTabType.wing)
end
--globalData.messageAdder:infoQuery(self._userId,3)
end
end
self._wingImg:addTouchEventListener(queryClickHandler)
end
function RankWingView:removeEvent()
end
function RankWingView:updateView()
local info        = globalData.rankInfo.wingList
self._userId      = globalData.selfPlayerInfo.userId
local vipLevel   = globalData.selfPlayerInfo.vipLevel
local playerName = globalData.selfPlayerInfo.nick
local serverId   = globalData.selfPlayerInfo.serverId
if(globalData.selfPlayerInfo.vipInfo:getVipTime() > 0)then
self._vipImg:setVisible(true)
self._vipLabel:setStringValue(vipLevel)
self._wingPlayerName:setText(playerName)
else
self._vipImg:setVisible(false)
self._vipLabel:setVisible(false)
self._wingPlayerName:setText(playerName)
end
if(globalData.wingItemInfo.stage < 1)then
self._wingName:setText("")
self._wingStage:setText("")
self._wingFight:setText("")
else
local wingTemplate = globalData.allTemplates.xiaofeiTemplateList:getTemplate(globalData.allStaticTypes.petXiaofeiType.CHIBANG,globalData.wingItemInfo.stage)
self._wingName:setText(wingTemplate.name)
local str   = globalData.numList[math.ceil(globalData.wingItemInfo.stage / globalData.allTemplates.xiaofeiTemplateList.STAGE_PRE_STAR)] .. globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel45")..((globalData.wingItemInfo.stage - 1) % globalData.allTemplates.xiaofeiTemplateList.STAGE_PRE_STAR + 1)..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel68")
self._wingStage:setText(str)
self._wingFight:setText(globalData.wingItemInfo.fight)
end
end
function RankWingView:setRank(rank)
if(rank ~= 0)then
self._wingRank:setText(rank)
else
self._wingRank:setText("50+")
end
end
function RankWingView:dispose()
self:removeEvent()
self._wingRank       = nil
self._wingPlayerName = nil
self._wingName       = nil
self._wingStage      = nil
self._wingFight      = nil
self._wingImg        = nil
self._type           = nil
self._vipImg          = nil
self._vipLabel        = nil
globalManager.ccCreator:release(self)
end
--妖精榜
RankPetView = class("RankPetView",function(self,type)
local temp = globalManager.ccCreator:newJsonWidget("rankPetView")
temp._petRank       = temp:getChildByName("rankLabel")
temp._petPlayerName = temp:getChildByName("playerName")
temp._petName       = temp:getChildByName("riderName")
temp._petStage      = temp:getChildByName("stageLabel")
temp._petFight      = temp:getChildByName("fightLabel")
temp._petImg        = temp:getChildByName("clubImg")
temp._vipImg      = temp:getChildByName("vipImg_Copy0")
temp._vipLabel    = temp:getChildByName("vipLabel_Copy0")
temp._petImg:setTouchEnabled(true)
temp:getChildByName("Label_77447_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("RankPetView.text1"))
temp:getChildByName("content1"):setText(globalManager.yuyanbaoManager:getYuyanbao("RankPetView.text2"))
temp:getChildByName("content2"):setText(globalManager.yuyanbaoManager:getYuyanbao("RankPetView.text3"))
temp:getChildByName("content3"):setText(globalManager.yuyanbaoManager:getYuyanbao("RankPetView.text4"))
temp:getChildByName("content4"):setText(globalManager.yuyanbaoManager:getYuyanbao("RankPetView.text5"))
temp._type          = type
temp._userId        = 0
return temp
end)
function RankPetView:ctor()
self:initEvent()
self:updateView()
end
function RankPetView:initEvent()
local queryClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
if(globalData.petItemInfo.stage == 0)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("PanelTabGroupType.text42"))
else
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab4,globalData.allStaticTypes.panelTabType.pet)
end
--globalData.messageAdder:infoQuery(self._userId,1)
end
end
self._petImg:addTouchEventListener(queryClickHandler)
end
function RankPetView:removeEvent()
end
function RankPetView:updateView()
local info        = globalData.rankInfo.petList
self._userId      = globalData.selfPlayerInfo.userId
local vipLevel   = globalData.selfPlayerInfo.vipLevel
local playerName = globalData.selfPlayerInfo.nick
local serverId   = globalData.selfPlayerInfo.serverId
if(globalData.selfPlayerInfo.vipInfo:getVipTime() > 0)then
self._vipImg:setVisible(true)
self._vipLabel:setStringValue(vipLevel)
self._petPlayerName:setText(playerName)
else
self._vipImg:setVisible(false)
self._vipLabel:setVisible(false)
self._petPlayerName:setText(playerName)
end
if(globalData.petItemInfo.stage == 0)then
self._petName:setText("")
self._petStage:setText("")
self._petFight:setText("")
else
local petTemplate = globalData.allTemplates.petTemplateList:getTemplate(globalData.petItemInfo.stage)
self._petName:setText(petTemplate.name)
local str   = globalData.numList[math.ceil(globalData.petItemInfo.stage / globalData.allTemplates.xiaofeiTemplateList.STAGE_PRE_STAR)] .. globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel45")..((globalData.petItemInfo.stage - 1) % globalData.allTemplates.xiaofeiTemplateList.STAGE_PRE_STAR + 1)..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel68")
self._petStage:setText(str)
self._petFight:setText(globalData.petItemInfo.fight)
end
end
function RankPetView:setRank(rank)
if(rank ~= 0)then
self._petRank:setText(rank)
else
self._petRank:setText("50+")
end
end
function RankPetView:dispose()
self:removeEvent()
self._petRank       = nil
self._petPlayerName = nil
self._petName       = nil
self._petStage      = nil
self._petFight      = nil
self._petImg        = nil
self._type          = nil
self._vipImg          = nil
self._vipLabel        = nil
globalManager.ccCreator:release(self)
end
--仙灵榜
RankSpriteView = class("RankSpriteView",function(self,type)
local temp = globalManager.ccCreator:newJsonWidget("rankSpriteView")
temp._spriteRank       = temp:getChildByName("rankLabel")
temp._spritePlayerName = temp:getChildByName("playerName")
temp._spriteName       = temp:getChildByName("spriteName")
temp._spriteStage      = temp:getChildByName("stageLabel")
temp._spriteFight      = temp:getChildByName("fightLabel")
temp._spriteImg        = temp:getChildByName("clubImg_Copy0")
temp._spriteImg:setTouchEnabled(true)
temp._vipImg           = temp:getChildByName("vipImg_Copy0")
temp._vipLabel         = temp:getChildByName("vipLabel_Copy0")
temp:getChildByName("Label_77447_Copy1"):setText(globalManager.yuyanbaoManager:getYuyanbao("RankSpriteView.text1"))
temp:getChildByName("content1"):setText(globalManager.yuyanbaoManager:getYuyanbao("RankSpriteView.text2"))
temp:getChildByName("content2"):setText(globalManager.yuyanbaoManager:getYuyanbao("RankSpriteView.text3"))
temp:getChildByName("content3"):setText(globalManager.yuyanbaoManager:getYuyanbao("RankSpriteView.text4"))
temp:getChildByName("content4"):setText(globalManager.yuyanbaoManager:getYuyanbao("RankSpriteView.text5"))
temp._type             = type
temp._userId           = 0
return temp
end)
function RankSpriteView:ctor()
self:initEvent()
self:updateView()
end
function RankSpriteView:initEvent()
local queryClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
if(globalData.spriteItemInfo.stage == 0)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("PanelTabGroupType.text44"))
else
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab4,globalData.allStaticTypes.panelTabType.sprite)
end
--globalData.messageAdder:infoQuery(self._userId,5)
end
end
self._spriteImg:addTouchEventListener(queryClickHandler)
end
function RankSpriteView:removeEvent()
end
function RankSpriteView:updateView()
local info        = globalData.rankInfo.spriteList
self._userId      = globalData.selfPlayerInfo.userId
local vipLevel   = globalData.selfPlayerInfo.vipLevel
local playerName = globalData.selfPlayerInfo.nick
local serverId   = globalData.selfPlayerInfo.serverId
if(globalData.selfPlayerInfo.vipInfo:getVipTime() > 0)then
self._vipImg:setVisible(true)
self._vipLabel:setStringValue(vipLevel)
self._spritePlayerName:setText(playerName)
else
self._spritePlayerName:setText(playerName)
self._vipImg:setVisible(false)
self._vipLabel:setVisible(false)
end
if(globalData.spriteItemInfo.stage < 1)then
self._spriteName:setText("")
self._spriteStage:setText("")
self._spriteFight:setText("")
else
local spriteTemplate = globalData.allTemplates.xiaofeiTemplateList:getTemplate(globalData.allStaticTypes.petXiaofeiType.JINGLING,globalData.spriteItemInfo.stage)
self._spriteName:setText(spriteTemplate.name)
local str   = globalData.numList[math.ceil(globalData.spriteItemInfo.stage / globalData.allTemplates.xiaofeiTemplateList.STAGE_PRE_STAR)] .. globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel45")..((globalData.spriteItemInfo.stage - 1) % globalData.allTemplates.xiaofeiTemplateList.STAGE_PRE_STAR + 1)..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel68")
self._spriteStage:setText(str)
self._spriteFight:setText(globalData.spriteItemInfo.fight)
end
end
function RankSpriteView:setRank(rank)
if(rank ~= 0)then
self._spriteRank:setText(rank)
else
self._spriteRank:setText("50+")
end
end
function RankSpriteView:dispose()
self:removeEvent()
self._spriteRank       = nil
self._spritePlayerName = nil
self._spriteName       = nil
self._spriteStage      = nil
self._spriteFight      = nil
self._spriteImg        = nil
self._type             = nil
self._vipImg          = nil
self._vipLabel        = nil
globalManager.ccCreator:release(self)
end
RankTipView1 = class("RankTipView1",function(self)
local temp = globalManager.ccCreator:newJsonWidget("rankTipView1")
temp:getChildByName("Label_78424"):setText(globalManager.yuyanbaoManager:getYuyanbao("RankTipView1.text1"))
temp:getChildByName("Label_78427"):setText(globalManager.yuyanbaoManager:getYuyanbao("RankTipView1.text2"))
temp:getChildByName("Label_78427_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("RankTipView1.text3"))
return temp
end)
function RankTipView1:dispose()
globalManager.ccCreator:release(self)
end
RankTipView2 = class("RankTipView2",function(self)
local temp = globalManager.ccCreator:newJsonWidget("rankTipView2")
temp:getChildByName("Label_78424"):setText(globalManager.yuyanbaoManager:getYuyanbao("RankTipView2.text1"))
temp:getChildByName("Label_78427"):setText(globalManager.yuyanbaoManager:getYuyanbao("RankTipView2.text2"))
temp:getChildByName("Label_78427_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("RankTipView2.text3"))
return temp
end)
function RankTipView2:dispose()
globalManager.ccCreator:release(self)
end
--坐骑榜
RankRiderView = class("RankRiderView",function(self,type)
local temp = globalManager.ccCreator:newJsonWidget("rankRiderView")
temp._riderRank       = temp:getChildByName("rankLabel_Copy1")
temp._riderPlayerName = temp:getChildByName("playerName_Copy1")
temp._riderName       = temp:getChildByName("carrerLabel_Copy1")
temp._riderStage      = temp:getChildByName("clubLabel_Copy1")
temp._riderFight      = temp:getChildByName("fightLabel_Copy1")
temp._riderImg        = temp:getChildByName("clubImg_Copy0")
temp._riderImg:setTouchEnabled(true)
temp._vipImg      = temp:getChildByName("vipImg_Copy0")
temp._vipLabel    = temp:getChildByName("vipLabel_Copy0")
temp:getChildByName("Label_77447_Copy1"):setText(globalManager.yuyanbaoManager:getYuyanbao("RankRiderView.text1"))
temp:getChildByName("content1"):setText(globalManager.yuyanbaoManager:getYuyanbao("RankRiderView.text2"))
temp:getChildByName("content2"):setText(globalManager.yuyanbaoManager:getYuyanbao("RankRiderView.text3"))
temp:getChildByName("content3"):setText(globalManager.yuyanbaoManager:getYuyanbao("RankRiderView.text4"))
temp:getChildByName("content4"):setText(globalManager.yuyanbaoManager:getYuyanbao("RankRiderView.text5"))
temp._type            = type
temp._userId          = 0
return temp
end)
function RankRiderView:ctor()
self:initEvent()
self:updateView()
end
function RankRiderView:initEvent()
local queryClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
if(globalData.riderItemInfo.stage == 0)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("PopupTriggerHandler.text2"))
else
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab4,globalData.allStaticTypes.panelTabType.rider)
end
--globalData.messageAdder:infoQuery(self._userId,2)
end
end
self._riderImg:addTouchEventListener(queryClickHandler)
end
function RankRiderView:removeEvent()
end
function RankRiderView:updateView()
local info        = globalData.rankInfo.riderList
self._userId      = globalData.selfPlayerInfo.userId
local vipLevel   = globalData.selfPlayerInfo.vipLevel
local playerName = globalData.selfPlayerInfo.nick
local serverId   = globalData.selfPlayerInfo.serverId
if(globalData.selfPlayerInfo.vipInfo:getVipTime() > 0)then
self._vipImg:setVisible(true)
self._vipLabel:setStringValue(vipLevel)
self._riderPlayerName:setText(playerName)
else
self._riderPlayerName:setText(playerName)
self._vipImg:setVisible(false)
self._vipLabel:setVisible(false)
end
if(globalData.riderItemInfo.stage < 1)then
self._riderName:setText("")
self._riderStage:setText("")
self._riderFight:setText("")
else
local riderTemplate = globalData.allTemplates.xiaofeiTemplateList:getTemplate(globalData.allStaticTypes.petXiaofeiType.ZUOQI,globalData.riderItemInfo.stage)
self._riderName:setText(riderTemplate.name)
local str   = globalData.numList[math.ceil(globalData.riderItemInfo.stage / globalData.allTemplates.xiaofeiTemplateList.STAGE_PRE_STAR)] .. globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel45")..((globalData.riderItemInfo.stage - 1) % globalData.allTemplates.xiaofeiTemplateList.STAGE_PRE_STAR + 1)..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel68")
self._riderStage:setText(str)
self._riderFight:setText(globalData.riderItemInfo.fight)
end
end
function RankRiderView:setRank(rank)
if(rank ~= 0)then
self._riderRank:setText(rank)
else
self._riderRank:setText("50+")
end
end
function RankRiderView:dispose()
self:removeEvent()
self._riderRank       = nil
self._riderPlayerName = nil
self._riderName       = nil
self._riderStage      = nil
self._riderFight      = nil
self._riderImg        = nil
self._type            = nil
self._vipImg      = nil
self._vipLabel    = nil
globalManager.ccCreator:release(self)
end
--战力榜
RankFightView = class("RankFightView",function(self,type)
local temp = globalManager.ccCreator:newJsonWidget("rankfightView")
temp._rankLabel       = temp:getChildByName("rankLabel")
temp._playerName      = temp:getChildByName("playerName")
temp._carrerLabel     = temp:getChildByName("carrerLabel")
temp._clubLabel       = temp:getChildByName("clubLabel")
temp._fightLabel      = temp:getChildByName("fightLabel")
temp._fightImg        = temp:getChildByName("clubImg_Copy0")
temp._fightImg:setTouchEnabled(true)
temp._type            = type
temp._userId          = 0
temp._vipImg      = temp:getChildByName("vipImg_Copy0")
temp._vipLabel    = temp:getChildByName("vipLabel_Copy0")
temp:getChildByName("Label_77447_Copy1"):setText(globalManager.yuyanbaoManager:getYuyanbao("RankFightView.text1"))
temp:getChildByName("content1"):setText(globalManager.yuyanbaoManager:getYuyanbao("RankFightView.text2"))
temp:getChildByName("content2"):setText(globalManager.yuyanbaoManager:getYuyanbao("RankFightView.text3"))
temp:getChildByName("content3"):setText(globalManager.yuyanbaoManager:getYuyanbao("RankFightView.text4"))
temp:getChildByName("content4"):setText(globalManager.yuyanbaoManager:getYuyanbao("RankFightView.text5"))
return temp
end)
function RankFightView:ctor()
self:initEvent()
self:updateView()
end
function RankFightView:initEvent()
local queryClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab1,globalData.allStaticTypes.panelTabType.property)
--globalData.messageAdder:infoQuery(self._userId,0)
end
end
self._fightImg:addTouchEventListener(queryClickHandler)
end
function RankFightView:removeEvent()
end
function RankFightView:updateView()
local info        = globalData.rankInfo.fightList
self._userId      = globalData.selfPlayerInfo.userId
local vipLevel   = globalData.selfPlayerInfo.vipLevel
local playerName = globalData.selfPlayerInfo.nick
local carrer     = globalData.selfPlayerInfo.career
local serverId   = globalData.selfPlayerInfo.serverId
local playerLevel= globalData.selfPlayerInfo.level
local playerFight= globalData.selfPlayerInfo.combat
local clubId     = globalData.leagueInfo.id
self._carrerLabel:setText(globalData.allStaticTypes.careerType:getCareerName(carrer))
if(globalData.selfPlayerInfo.vipInfo:getVipTime() > 0)then
self._vipImg:setVisible(true)
self._vipLabel:setStringValue(vipLevel)
self._playerName:setText(playerName)
else
self._playerName:setText(playerName)
self._vipImg:setVisible(false)
self._vipLabel:setVisible(false)
end
self._fightLabel:setText(playerFight)
if(clubId == 0)then
self._clubLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel75"))
else
local clubName   = globalData.leagueInfo.name
self._clubLabel:setText(clubName)
end
end
function RankFightView:setRank(rank)
if(rank ~= 0)then
self._rankLabel:setText(rank)
else
self._rankLabel:setText("50+")
end
end
function RankFightView:dispose()
self:removeEvent()
self._rankLabel       = nil
self._playerName      = nil
self._carrerLabel     = nil
self._clubLabel       = nil
self._fightLabel      = nil
self._fightImg        = nil
self._type            = nil
self._vipImg          = nil
self._vipLabel        = nil
globalManager.ccCreator:release(self)
end
RankController = class("RankController",function(self,module)
local temp = {}
temp.module = module
return temp
end)
-- function RankController:showRankPlayerPanel()
--     if(self.module.rankPlayerPanel == nil) then
--         self.module.rankPlayerPanel = RankPlayerPanel:new(self)
--         self.module.rankPlayerPanel.eventDis:addEventListener(globalData.globalEventType.trigger_panelDispose,self.rankPlayerPanelCloseHandler,self)
--     end
--   	globalData.uiPanelContainer:addPanel(globalData.allStaticTypes.panelTabType.rank1,self.module.rankPlayerPanel)
-- end
-- function RankController:rankPlayerPanelCloseHandler(evt)
--     self.module.rankPlayerPanel.eventDis:removeEventListener(globalData.globalEventType.trigger_panelDispose,self.rankPlayerPanelCloseHandler,self)
--     self.module.rankPlayerPanel = nil
-- end
function RankController:showRankPanel()
if(self.module.rankPanel == nil) then
self.module.rankPanel = RankPanel:new(self)
self.module.rankPanel.eventDis:addEventListener(globalData.globalEventType.trigger_panelDispose,self.rankPanelCloseHandler,self)
end
globalData.uiPanelContainer:addPanel(globalData.allStaticTypes.panelTabType.rank,self.module.rankPanel)
end
function RankController:rankPanelCloseHandler(evt)
self.module.rankPanel.eventDis:removeEventListener(globalData.globalEventType.trigger_panelDispose,self.rankPanelCloseHandler,self)
self.module.rankPanel = nil
end
RankMessageHandler = class("RankMessageHandler",function(self,module)
local temp= {}
temp.rankModule = module
local messageRankInfoReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
globalData.rankInfo:initRankInfo(bytes)
end
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.RANK_INFO,messageRankInfoReturn)
return temp
end)
RankMessageSender = class("RankMessageSender",function(self,module)
local temp = {}
temp.rankModule = module
return temp
end)
function RankMessageSender:add()
self.rankMessage = RankMessageHandler:new(self.rankModule)
end
function RankMessageSender:sendRankInfo(type,page,count)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.RANK_INFO)
messOut:writeByte(type)
messOut:writeByte(page)
messOut:writeByte(count)
globalManager.messageManager:send(messOut)
end
RankModule = class("RankModule",function(self)
local temp = BaseModule:new()
temp.rankController = nil
temp.rankPanel = nil
temp.message = nil
return temp
end)
--override
function RankModule:getModuleType()
return globalData.allStaticTypes.moduleType.rank
end
--override
function RankModule:setup(data)
self.message = RankMessageSender:new(self)
self.message:add()
self.rankController = RankController:new(self)
self:configure(data)
end
--override
function RankModule:configure(data)
self.rankController:showRankPanel()
end
--
-- 全身强化数据
-- Date: 2014-06-09 14:53:22
--
EquipStrengthInfo = class("EquipStrengthInfo", function(self)
local temp = {}
--身上的装备列表,数组类型
temp.equipList = {}
temp.strengthLevel = 0
return temp
end)
function EquipStrengthInfo:update()
local len = table.getn(self.equipList)
local nowMinLevel = -1
if(len >= 10)then
for i=1,len do
if(nowMinLevel == -1)then
nowMinLevel = self.equipList[i].strengthLevel
end
nowMinLevel = math.min(nowMinLevel,self.equipList[i].strengthLevel)
end
end
self.strengthLevel = math.max(nowMinLevel,0)
end
function EquipStrengthInfo:dispose()
self.equipList = nil
end
RolePropertyDetailsView = class("RolePropertyDetailsView", function(self,controller)
local temp = BasePanel:new()
temp._widget = globalManager.ccCreator:newJsonWidget("RolePropertyDetailsView")
temp:addChild(temp._widget)
temp._backBtn = temp._widget:getChildByName("backBtn")
temp._scrollView = temp._widget:getChildByName("scrollView")
temp._titleLabel = temp._widget:getChildByName("titleLabel")
temp._propertyLabels = {}
temp.line = nil
temp._controller = controller
temp._BasePanelShow = temp.show
temp._BasePanelDispose = temp.dispose
temp._widget:getChildByName("titleLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("RolePropertyDetailsView.text1"))
return temp
end)
function RolePropertyDetailsView:ctor()
self:initView()
self:initEvent()
end
function RolePropertyDetailsView:initView()
local labels = {
{globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel31"),globalManager.yuyanbaoManager:getYuyanbao("RolePropertyDetailsView.text2")},
{globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel32"),globalManager.yuyanbaoManager:getYuyanbao("RolePropertyDetailsView.text3")},
{globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel38"),globalManager.yuyanbaoManager:getYuyanbao("RolePropertyDetailsView.text4")},
{globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel33"),globalManager.yuyanbaoManager:getYuyanbao("RolePropertyDetailsView.text5")},
{globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel39"),globalManager.yuyanbaoManager:getYuyanbao("RolePropertyDetailsView.text6")},
{globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel40"),globalManager.yuyanbaoManager:getYuyanbao("RolePropertyDetailsView.text7")},
{globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel41"),globalManager.yuyanbaoManager:getYuyanbao("RolePropertyDetailsView.text8")},
{globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel42"),globalManager.yuyanbaoManager:getYuyanbao("RolePropertyDetailsView.text9")},
{globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel43"),globalManager.yuyanbaoManager:getYuyanbao("RolePropertyDetailsView.text10")},
{globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel51"),globalManager.yuyanbaoManager:getYuyanbao("RolePropertyDetailsView.text11")},
{globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel53"),globalManager.yuyanbaoManager:getYuyanbao("RolePropertyDetailsView.text12")},
{globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel52"),globalManager.yuyanbaoManager:getYuyanbao("RolePropertyDetailsView.text13")},
{globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel54"),globalManager.yuyanbaoManager:getYuyanbao("RolePropertyDetailsView.text14")},
}
local topY = 415
for i=1,13 do
local pos1 = nil
local pos2 = nil
local pos3 = nil
if(i <= 9)then
pos1 = globalManager.ccCreator:newPoint(21 + ((i - 1) % 2) * 465, topY - math.floor((i - 1) / 2) * 40)
pos2 = globalManager.ccCreator:newPoint(76 + pos1.x,pos1.y)
else
pos1 = globalManager.ccCreator:newPoint(21, topY - 360 - (i - 13) * 40)
pos2 = globalManager.ccCreator:newPoint(76 + pos1.x,pos1.y)
end
pos3 = globalManager.ccCreator:newPoint(pos1.x + 170,pos1.y)
local tmp = globalManager.ccCreator:newLabel()
tmp:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[7])
tmp:setFontSize(18)
tmp:setColor(globalData.allStaticTypes.colorType.TIPTITLE_COLOR)
tmp:setPosition(pos1)
tmp:setText(labels[i][1] .. "：")
self._scrollView:addChild(tmp)
table.insert(self._propertyLabels,tmp)
tmp = globalManager.ccCreator:newLabel()
tmp:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[7])
tmp:setFontSize(18)
tmp:setColor(globalData.allStaticTypes.colorType.TRUE_COLOR)
tmp:setPosition(pos3)
tmp:setText(labels[i][2])
self._scrollView:addChild(tmp)
table.insert(self._propertyLabels,tmp)
tmp = globalManager.ccCreator:newLabel()
tmp:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[7])
tmp:setFontSize(18)
tmp:setColor(globalData.allStaticTypes.colorType.TIPACT_COLOR)
tmp:setPosition(pos2)
tmp:setText("1000")
self._scrollView:addChild(tmp)
table.insert(self._propertyLabels,tmp)
end
self.line = globalManager.ccCreator:newImageView("line/ui_line1.png", 1)
self.line:ignoreContentAdaptWithSize(false)
self.line:setSize(globalManager.ccCreator:newSize(920,3))
self.line:setPosition(globalManager.ccCreator:newPoint(460,234))
self._scrollView:addChild(self.line)
self:updateView()
end
function RolePropertyDetailsView:initEvent()
local function buttonTouchHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self._controller:showPropertyView()
end
end
self._backBtn:addTouchEventListener(buttonTouchHandler)
end
function RolePropertyDetailsView:removeEvent()
end
function RolePropertyDetailsView:show(container,tab)
self._BasePanelShow(self,container,tab)
self:updateView()
end
function RolePropertyDetailsView:updateView()
self._propertyLabels[3]:setText(globalData.selfPlayerInfo.maxHP)
self._propertyLabels[6]:setText(globalData.selfPlayerInfo.attack)
self._propertyLabels[9]:setText(globalData.selfPlayerInfo.proAttack)
self._propertyLabels[12]:setText(globalData.selfPlayerInfo.defense)
self._propertyLabels[15]:setText(globalData.selfPlayerInfo.proDefense)
self._propertyLabels[18]:setText(globalData.selfPlayerInfo.abilitys[1])
self._propertyLabels[21]:setText(globalData.selfPlayerInfo.abilitys[2])
self._propertyLabels[24]:setText(globalData.selfPlayerInfo.abilitys[3])
self._propertyLabels[27]:setText(globalData.selfPlayerInfo.abilitys[4])
self._propertyLabels[30]:setText(globalData.selfPlayerInfo.hurt)
self._propertyLabels[33]:setText(globalData.selfPlayerInfo.criHurt)
self._propertyLabels[36]:setText(globalData.selfPlayerInfo.sunder)
self._propertyLabels[39]:setText("10%")
end
function RolePropertyDetailsView:dispose()
self:removeEvent()
self._controller = nil
for __,label in pairs(self._propertyLabels) do
globalManager.ccCreator:release(label)
label = nil
end
if(self.line) then
globalManager.ccCreator:release(self.line)
self.line = nil
end
self._propertyLabels = nil
self._backBtn = nil
self._scrollView = nil
self._titleLabel = nil
globalManager.ccCreator:release(self._widget)
self._widget = nil
self._BasePanelDispose(self)
self._BasePanelDispose = nil
self._BasePanelShow = nil
end
RolePropertyView = class("RolePropertyView", function(self,controller)
local temp = BasePanel:new()
temp._bgPath = globalManager.pathManager:getUISource("outPic/careerBg" .. globalData.allStaticTypes.careerType:getCareer(globalData.selfPlayerInfo.career) .. ".png")
temp._widget = globalManager.ccCreator:newJsonWidget("RolePropertyView")
temp:addChild(temp._widget)
temp._background = temp._widget:getChildByName("career_bg")
temp._levelLabel = temp._widget:getChildByName("levelLabel")
temp._clubNameLabel = temp._widget:getChildByName("clubNameLabel")
temp._titleNameLabel = temp._widget:getChildByName("titleNameLabel")
temp._levelProgressBar = temp._widget:getChildByName("levelProgressBar")
temp._fightLabel = temp._widget:getChildByName("fightLabel")
temp._fightBtn = temp._widget:getChildByName("fightBtn")
temp._fightBtn:setEnabled(false)
temp._titleBtn = temp._widget:getChildByName("titleBtn")
temp._propertyBtn = temp._widget:getChildByName("propertyBtn")
temp._scrollView = temp._widget:getChildByName("scrollView")
temp._scrollBarWrapper = ScrollBarWrapper:new(temp._scrollView,temp)
temp._scrollBarWrapper:updateView()
temp._barLabel = temp._widget:getChildByName("barLabel")
temp._juexingLayer = temp._widget:getChildByName("juexingLayer")
temp._iconPath = globalManager.pathManager:getUISource("outPic/careerIcon" .. globalData.selfPlayerInfo.career .. ".png")
--temp._careerIcon = temp._widget:getChildByName("careerIcon")
temp._wakeIcon = temp._juexingLayer:getChildByName("wakeIcon")
temp._wakeBtn = temp._juexingLayer:getChildByName("wakeBtn")
temp._cell = temp._juexingLayer:getChildByName("cell")
temp._grid = BaseGrid:new()
temp._cell:addChild(temp._grid)
temp._countLabel = temp._juexingLayer:getChildByName("countLabel")
temp._awakenLabel = temp._juexingLayer:getChildByName("awakenLabel")
temp._stateLabel = temp._juexingLayer:getChildByName("stateLabel")
temp._tipsBtn = temp._juexingLayer:getChildByName("tipsBtn")
temp._juexingLayer:retain()
--功能屏蔽：觉醒
temp._juexingLayer:removeFromParent(false)
--屏蔽完成
temp._wakeUpState = 1
temp._wakeUpTempInfo = nil
temp._propertyLabels = {}
temp._line = nil
temp._controller = controller
temp._BasePanelShow = temp.show
temp._BasePanelDispose = temp.dispose
temp._awakenLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("RolePropertyView.text7"))
temp._wakeBtn:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("RolePropertyView.text8"))
temp._widget:getChildByName("Label_18435_Copy1"):setText(globalManager.yuyanbaoManager:getYuyanbao("RoleComparePanel.text2"))
temp._widget:getChildByName("Label_18435_Copy3"):setText(globalManager.yuyanbaoManager:getYuyanbao("RolePropertyView.text2"))
temp._titleBtn:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("RolePropertyView.text3"))
temp._fightBtn:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("RolePropertyView.text4"))
temp._propertyBtn:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("RolePropertyView.text5"))
return temp
end)
function RolePropertyView:ctor()
self:updateWakeView(0,1)
if(globalData.selfPlayerInfo.career > 10 ) then
self:updateWakeView(1)
else
self._controller.module.message:sendGetWakeUpInfo()
end
--globalManager.sourceCacheManager:setImage(self._careerIcon,self._iconPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
globalManager.sourceCacheManager:setImage(self._background,self._bgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self:initView()
self:initEvent()
self:updateView()
self:updateWakeView()
end
function RolePropertyView:initView()
local labels = {
globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel31"),globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel32"),globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel38"),globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel33"),globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel39"),globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel40"),globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel41"),globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel42"),
globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel43"),globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel51"),globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel53"),globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel52"),globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel54")
}
self._line = globalManager.ccCreator:newImageView("line/ui_line1.png", 1)
self._line:ignoreContentAdaptWithSize(false)
self._line:setSize(globalManager.ccCreator:newSize(544,3))
self._line:setPosition(globalManager.ccCreator:newPoint(270,105))
self._scrollView:addChild(self._line)
local topY = 220
for i=1,13 do
local pos1 = nil
local pos2 = nil
if(i <= 9)then
pos1 = globalManager.ccCreator:newPoint(((i - 1) % 3) * 170, topY - math.floor((i - 1)/3) * 40)
pos2 = globalManager.ccCreator:newPoint(54 + pos1.x,pos1.y)
else
pos1 = globalManager.ccCreator:newPoint(((i - 10) % 3) * 170, topY - 160 - math.floor((i - 10)/3) * 40)
pos2 = globalManager.ccCreator:newPoint(54 + pos1.x,pos1.y)
end
local nameLabel = globalManager.ccCreator:newLabel()
nameLabel:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[7])
nameLabel:setFontSize(18)
nameLabel:setColor(globalData.allStaticTypes.colorType.TIPTITLE_COLOR)
nameLabel:setPosition(pos1)
nameLabel:setText(labels[i] .. "：")
self._scrollView:addChild(nameLabel)
table.insert(self._propertyLabels,nameLabel)
local proLabel = globalManager.ccCreator:newLabel()
proLabel:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[7])
proLabel:setFontSize(18)
proLabel:setColor(globalData.allStaticTypes.colorType.TIPACT_COLOR)
proLabel:setPosition(pos2)
proLabel:setText("1000")
self._scrollView:addChild(proLabel)
table.insert(self._propertyLabels,proLabel)
end
end
function RolePropertyView:updateWakeView()
local state = globalData.selfPlayerInfo.wakeUpState + 1
if(globalData.selfPlayerInfo.career > 10)then
self._wakeBtn:setEnabled(false)
self._cell:setEnabled(false)
self._countLabel:setEnabled(false)
self._stateLabel:setEnabled(false)
self._wakeIcon:setEnabled(true)
local careerId = globalData.selfPlayerInfo.career
if(careerId < 10 ) then
careerId = careerId + 10
end
self._iconPath = globalManager.pathManager:getUISource("outPic/careerIcon" .. careerId .. ".png")
local iconPath = globalManager.pathManager:getUISource("outPic/wakeIcon.png")
globalManager.sourceCacheManager:setImage(self._wakeIcon,iconPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
globalManager.sourceCacheManager:setImage(self._careerIcon,self._iconPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
else
self._wakeBtn:setEnabled(true)
self._cell:setEnabled(true)
self._countLabel:setEnabled(true)
self._stateLabel:setEnabled(true)
self._wakeIcon:setEnabled(false)
self._wakeUpState = state
self._wakeUpTempInfo = globalData.allTemplates.wakeUpTemplateList:getTemplate(state)
if(self._wakeUpTempInfo ~= nil)then
local hasCount = globalData.goodsInfoList:getGoodsCount(self._wakeUpTempInfo.item[1][1],1)
local needCount = self._wakeUpTempInfo.item[1][2]
if(hasCount < needCount) then
self._countLabel:setColor(globalData.allStaticTypes.colorType.COLORRED)
else
self._countLabel:setColor(globalData.allStaticTypes.colorType.COLORWHITE)
end
self._grid:setGoodsTempInfo(globalData.allTemplates.goodsTemplateList:getTemplate(self._wakeUpTempInfo.item[1][1]))
self._countLabel:setText(hasCount.."/"..needCount)
self._stateLabel:setText(self._wakeUpTempInfo.name)
end
end
end
function RolePropertyView:initEvent()
local function buttonTouchHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(sender == self._propertyBtn)then
self._controller:showPropertyDetailsView()
elseif(sender == self._titleBtn)then
self._controller:showTitleView()
elseif(sender == self._fightBtn)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("RolePropertyView.text6"))
end
end
end
local function wakeBtnHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(self._wakeUpTempInfo == nil) then
return
end
if(globalData.selfPlayerInfo.level < self._wakeUpTempInfo.needLevel)then
if(self._wakeUpState == 1)then
globalManager.tipsManager.quickTip:show(self._wakeUpTempInfo.needLevel..globalManager.yuyanbaoManager:getYuyanbao("RolePropertyView.text11"))
elseif(self._wakeUpState == 2)then
globalManager.tipsManager.quickTip:show(self._wakeUpTempInfo.needLevel..globalManager.yuyanbaoManager:getYuyanbao("RolePropertyView.text12"))
elseif(self._wakeUpState == 3)then
globalManager.tipsManager.quickTip:show(self._wakeUpTempInfo.needLevel..globalManager.yuyanbaoManager:getYuyanbao("RolePropertyView.text13"))
end
else
local hasCount = globalData.goodsInfoList:getGoodsCount(self._wakeUpTempInfo.item[1][1],1)
local needCount = self._wakeUpTempInfo.item[1][2]
if(hasCount < needCount) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("RolePropertyView.text10"))
else
self._controller.module.message:sendWakeUpUpdate()
end
end
end
end
local function tipsBtnClickHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
globalManager.tipsManager:showString(globalManager.descriptManager:getDescript("10034"),globalManager.ccCreator:newSize(400,480))
end
end
self._tipsBtn:addTouchEventListener(tipsBtnClickHandler)
self._wakeBtn:addTouchEventListener(wakeBtnHandler)
self._propertyBtn:addTouchEventListener(buttonTouchHandler)
self._titleBtn:addTouchEventListener(buttonTouchHandler)
--self._fightBtn:addTouchEventListener(buttonTouchHandler)
globalData.selfPlayerInfo:addEventListener(globalData.globalEventType.playerInfo_wakeUpStateUpdate,self.updateWakeView,self)
globalData.selfPlayerInfo:addEventListener(globalData.globalEventType.playerInfo_combat,self.updateViewHandler,self)
globalData.selfPlayerInfo.titleInfo:addEventListener(globalData.globalEventType.playerInfo_changeTitle,self.titleChangeHandler,self)
end
function RolePropertyView:removeEvent()
globalData.selfPlayerInfo:removeEventListener(globalData.globalEventType.playerInfo_wakeUpStateUpdate,self.updateWakeView,self)
globalData.selfPlayerInfo:removeEventListener(globalData.globalEventType.playerInfo_combat,self.updateViewHandler,self)
globalData.selfPlayerInfo.titleInfo:removeEventListener(globalData.globalEventType.playerInfo_changeTitle,self.titleChangeHandler,self)
end
function RolePropertyView:updateViewHandler(evt)
self:updateView()
end
function RolePropertyView:titleChangeHandler(evt)
self:updateTitle()
end
function RolePropertyView:show(container,tab)
self._BasePanelShow(self,container,tab)
self:updateView()
end
function RolePropertyView:updateView()
self._fightLabel:setStringValue(tostring(globalData.selfPlayerInfo.combat))
self._clubNameLabel:setText(globalData.selfPlayerInfo.uniteName)
self._propertyLabels[2]:setText(globalData.selfPlayerInfo.maxHP)
self._propertyLabels[4]:setText(globalData.selfPlayerInfo.attack)
self._propertyLabels[6]:setText(globalData.selfPlayerInfo.proAttack)
self._propertyLabels[8]:setText(globalData.selfPlayerInfo.defense)
self._propertyLabels[10]:setText(globalData.selfPlayerInfo.proDefense)
self._propertyLabels[12]:setText(globalData.selfPlayerInfo.abilitys[1])
self._propertyLabels[14]:setText(globalData.selfPlayerInfo.abilitys[2])
self._propertyLabels[16]:setText(globalData.selfPlayerInfo.abilitys[3])
self._propertyLabels[18]:setText(globalData.selfPlayerInfo.abilitys[4])
self._propertyLabels[20]:setText(globalData.selfPlayerInfo.hurt)
self._propertyLabels[22]:setText(globalData.selfPlayerInfo.criHurt)
self._propertyLabels[24]:setText(globalData.selfPlayerInfo.sunder)
self._propertyLabels[26]:setText("10%")
self:updateExp()
self:updateTitle()
end
function RolePropertyView:updateTitle()
if(globalData.selfPlayerInfo.titleInfo.currentTitleId > 0)then
local titleTemp = globalData.allTemplates.titleTemplateList:getTitle(globalData.selfPlayerInfo.titleInfo.currentTitleId)
self._titleNameLabel:setText(titleTemp.name)
else
self._titleNameLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel75"))
end
end
function RolePropertyView:updateExp()
self._levelLabel:setText("Lv" .. globalData.selfPlayerInfo.level .. "：")
local exp,total
if(globalData.allTemplates.experienceTemplateList.list[globalData.selfPlayerInfo.level + 1] ~= nil) then
exp = globalData.selfPlayerInfo.exp - globalData.allTemplates.experienceTemplateList.list[globalData.selfPlayerInfo.level].totalExp
total = globalData.allTemplates.experienceTemplateList.list[globalData.selfPlayerInfo.level + 1].totalExp - globalData.allTemplates.experienceTemplateList.list[globalData.selfPlayerInfo.level].totalExp
else
exp = globalData.selfPlayerInfo.exp - globalData.allTemplates.experienceTemplateList.list[globalData.selfPlayerInfo.level-1].totalExp
total = globalData.allTemplates.experienceTemplateList.list[globalData.selfPlayerInfo.level].exp
end
self._levelProgressBar:setPercent(math.floor(exp / total * 100))
self._barLabel:setText(exp .. "/" .. total)
end
function RolePropertyView:dispose()
self:removeEvent()
globalManager.sourceCacheManager:removeQuote(self._bgPath)
self._bgPath = nil
self._scrollBarWrapper:dispose()
self._scrollBarWrapper = nil
for __,label in pairs(self._propertyLabels) do
globalManager.ccCreator:release(label)
label = nil
end
globalManager.sourceCacheManager:removeQuote(self._iconPath)
self._iconPath = nil
self._careerIcon = nil
self._wakeIcon = nil
self._wakeBtn = nil
if(self._grid ~= nil)then
self._grid:dispose()
end
self._grid = nil
self._cell = nil
self._countLabel = nil
self._awakenLabel = nil
self._stateLabel = nil
self._wakeUpState = nil
self._wakeUpTempInfo = nil
self._titleBtn = nil
self._tipsBtn = nil
self._juexingLayer:release()
self._juexingLayer = nil
self._propertyLabels = nil
globalManager.ccCreator:release(self._line)
self._line = nil
self._controller = nil
self._levelLabel = nil
self._clubNameLabel = nil
self._titleNameLabel = nil
self._levelProgressBar = nil
self._fightLabel = nil
self._fightBtn = nil
self._titleBtn = nil
self._propertyBtn = nil
self._scrollView = nil
self._barLabel = nil
self._propertyLabels = nil
self._background = nil
globalManager.ccCreator:release(self._widget)
self._widget = nil
self._BasePanelDispose(self)
self._BasePanelDispose = nil
self._BasePanelShow = nil
end
--
-- Author: feilong
-- Date: 2014-06-20 15:41:21
--
TitleListItemView = class("TitleListItemView", function(self)
local temp = globalManager.ccCreator:newJsonWidget("TitleListItemView")
temp:setTouchEnabled(true)
temp.titleTemplateId = -1
temp._selected = false
temp._haveFlag = temp:getChildByName("haveFlag")
temp._fightLabel = temp:getChildByName("fightLabel")
temp._proCon = temp:getChildByName("proCon")
temp._selectBg = temp:getChildByName("selectBg")
temp._selectBg:setVisible(false)
temp._haveFlag:setVisible(false)
temp._propertyNameLabels = {}
temp._propertyValueLabels = {}
for i=1,6 do
table.insert(temp._propertyNameLabels, temp._proCon:getChildByName("proLabel" .. i))
table.insert(temp._propertyValueLabels, temp._proCon:getChildByName("valueLabel" .. i))
end
temp._titleItemView = TitleItemView:new()
temp._titleItemView:setPosition(cc.p(134,270))
temp:addChild(temp._titleItemView)
return temp
end)
function TitleListItemView:setTitleId(titleTemplateId)
self.titleTemplateId = titleTemplateId
local titleTemplate = globalData.allTemplates.titleTemplateList:getTitle(titleTemplateId)
if(titleTemplate == nil)then
return
end
if(titleTemplate.id >= 1000) then
self._fightLabel:setStringValue(0)
else
self._fightLabel:setStringValue(titleTemplate.fight)
end
self._titleItemView:setTitleId(titleTemplateId)
for i=1,#self._propertyNameLabels do
if(titleTemplate.propertys[i] ~= nil)then
self._propertyNameLabels[i]:setText(globalData.allStaticTypes.propertyType:getNameByType(titleTemplate.propertys[i].propertyId))
self._propertyValueLabels[i]:setText(titleTemplate.propertys[i].propertyValue)
else
self._propertyNameLabels[i]:setText("")
self._propertyValueLabels[i]:setText("")
end
end
if(globalData.selfPlayerInfo.titleInfo:getTitle(titleTemplateId) ~= nil)then
self._haveFlag:setVisible(true)
else
self._haveFlag:setVisible(false)
end
-------------
--展示的时候，文字称号加大一点
if(titleTemplate.resouceType == 0)then
self._titleItemView:setScale(2)
else
self._titleItemView:setScale(1)
end
end
function TitleListItemView:setIsCurrent(value)
end
function TitleListItemView:setSelected(value)
self._selected = value
self._selectBg:setVisible(value)
end
function TitleListItemView:getTitleTemplate()
return globalData.allTemplates.titleTemplateList:getTitle(self.titleTemplateId)
end
function TitleListItemView:dispose()
self._selectBg = nil
self._proCon = nil
self._propertyNameLabels = nil
self._propertyValueLabels = nil
if(self._titleItemView ~= nil)then
self._titleItemView:dispose()
self._titleItemView = nil
end
globalManager.ccCreator:release(self)
end
TitleViewII = class("TitleViewII", function(self,controller)
local temp = BasePanel:new()
temp._BasePanelDispose = temp.dispose
temp._widget = globalManager.ccCreator:newJsonWidget("TitleViewII")
temp:addChild(temp._widget)
temp._controller = controller
temp._currentSelectTabIndex = -1  --当前切卡索引
temp._currentSelectTitleTemp = nil   --当前选中称号模板
temp._backBtn = temp._widget:getChildByName("backBtn")
temp._listView = temp._widget:getChildByName("listView")
temp._listView:setItemsMargin(10)
temp._titleView = temp._widget:getChildByName("titleView")
temp._titleDesLabel = temp._titleView:getChildByName("titleDesLabel")
temp._timeLabel = temp._titleView:getChildByName("timeLabel")
temp._titleBtn = temp._titleView:getChildByName("titleBtn")
temp._cancelBtn = temp._titleView:getChildByName("cancelBtn")
temp._cancelBtn:setEnabled(false)
temp._titleView:getChildByName("titleDesLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("TitleViewII.text1"))
temp._titleView:getChildByName("timeDesLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("TitleViewII.text2"))
temp._titleBtn:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("TitleViewII.text3"))
temp._cancelBtn:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("TitleViewII.text4"))
temp._titleView:setEnabled(false)
temp._countDownView = CountDownLabel:new(temp._timeLabel,0,nil,globalData.allStaticTypes.colorType.COLORBLACKGREEN,0)
temp._tabGroup = nil
temp._titleListItemChche = {}
self.tickIndex = -1
temp.list = nil
return temp
end)
function TitleViewII:ctor()
self:initEvent()
self._tabGroup = TabGroup:new(2)
--	self._tabGroup:setData({globalManager.yuyanbaoManager:getYuyanbao("TitleViewII.text16"),globalManager.yuyanbaoManager:getYuyanbao("TitleViewII.text6"),globalManager.yuyanbaoManager:getYuyanbao("TitleViewII.text7")},self.setTabIndex,self,1,230)
self._tabGroup:setData({globalManager.yuyanbaoManager:getYuyanbao("TitleViewII.text6"),globalManager.yuyanbaoManager:getYuyanbao("TitleViewII.text7")},self.setTabIndex,self,1,230)
self._tabGroup:setPosition(cc.p(140,500))
self:addChild(self._tabGroup)
self:titleChangeHandler()
end
function TitleViewII:initEvent()
local function buttonTouchHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(sender == self._backBtn)then
self._controller:showPropertyView()
elseif(sender == self._titleBtn)then
if(globalData.selfPlayerInfo.titleInfo:getCurrentTitleId() >= 1000) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("TitleViewII.text9"))
return
end
globalData.messageAdder:sendTitleChange(self._currentSelectTitleTemp.type,self._currentSelectTitleTemp.id)
elseif(sender == self._cancelBtn)then
if(globalData.selfPlayerInfo.titleInfo:getCurrentTitleId() >= 1000) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("TitleViewII.text10"))
return
end
globalData.messageAdder:sendTitleChange(self._currentSelectTitleTemp.type,0)
end
end
end
self._backBtn:addTouchEventListener(buttonTouchHandler)
self._titleBtn:addTouchEventListener(buttonTouchHandler)
self._cancelBtn:addTouchEventListener(buttonTouchHandler)
globalData.selfPlayerInfo.titleInfo:addEventListener(globalData.globalEventType.playerInfo_changeTitle,self.titleChangeHandler,self)
globalData.selfPlayerInfo.titleInfo:addEventListener(globalData.globalEventType.playerInfo_addTitle,self.addTitleHandler,self)
globalData.selfPlayerInfo.titleInfo:addEventListener(globalData.globalEventType.playerInfo_removeTitle,self.removeTitleHandler,self)
end
function TitleViewII:removeEvent()
globalData.selfPlayerInfo.titleInfo:removeEventListener(globalData.globalEventType.playerInfo_changeTitle,self.titleChangeHandler,self)
globalData.selfPlayerInfo.titleInfo:removeEventListener(globalData.globalEventType.playerInfo_addTitle,self.addTitleHandler,self)
globalData.selfPlayerInfo.titleInfo:removeEventListener(globalData.globalEventType.playerInfo_removeTitle,self.removeTitleHandler,self)
end
function TitleViewII:titleChangeHandler(evt)
self:updateTitleList()
end
function TitleViewII:addTitleHandler(evt)
self:updateTitleList()
end
function TitleViewII:removeTitleHandler(evt)
self:updateTitleList()
end
function TitleViewII:addTitleListItem()
local function touchHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
for __,titleItem in pairs(self._titleListItemChche) do
titleItem:setSelected((sender == titleItem))
end
self._currentSelectTitleTemp = sender:getTitleTemplate()
self:showTitle(sender.titleTemplateId)
end
end
local item = TitleListItemView:new()
item:addTouchEventListener(touchHandler)
table.insert(self._titleListItemChche,item)
return item
end
function TitleViewII:setTabIndex(index)
if(self._currentSelectTabIndex == index)then
return
end
self._currentSelectTabIndex = index
self._currentSelectTitleTemp = nil
self:updateTitleList()
end
function TitleViewII:updateTabLabels()
--	local totalLen1 = globalData.allTemplates.titleTemplateList:getTitleLen(7)
local totalLen2 = globalData.allTemplates.titleTemplateList:getTitleLen(1)
local totalLen3 = globalData.allTemplates.titleTemplateList:getTitleFightValueLen(4)
--	local len1 = globalData.selfPlayerInfo.titleInfo:getTitleCount(7)
local len2 = globalData.selfPlayerInfo.titleInfo:getTitleCount(1)
local len3 = globalData.selfPlayerInfo.titleInfo:getTitleCount(4)
--	self._tabGroup:setTabLabel(1,string.format(globalManager.yuyanbaoManager:getYuyanbao("TitleViewII.text17"),len1,totalLen1))
--	self._tabGroup:setTabLabel(2,string.format(globalManager.yuyanbaoManager:getYuyanbao("TitleViewII.text12"),len2,totalLen2))
--	self._tabGroup:setTabLabel(3,string.format(globalManager.yuyanbaoManager:getYuyanbao("TitleViewII.text14"),len3,totalLen3))
self._tabGroup:setTabLabel(1,string.format(globalManager.yuyanbaoManager:getYuyanbao("TitleViewII.text12"),len2,totalLen2))
self._tabGroup:setTabLabel(2,string.format(globalManager.yuyanbaoManager:getYuyanbao("TitleViewII.text14"),len3,totalLen3))
end
function TitleViewII:updateTitleList()
globalManager.tickManager:removeTick(self.tick,self)
self:updateTabLabels()
self._listView:removeAllItems()
for __,item in pairs(self._titleListItemChche) do
if(item:getParent() ~= nil)then
item:removeFromParent()
end
end
self.list = {}
--	if(self._currentSelectTabIndex == 1)then
--		self.list = globalData.allTemplates.titleTemplateList:getTitlesByType(7)
--	elseif(self._currentSelectTabIndex == 2)then
--		self.list = globalData.allTemplates.titleTemplateList:getTitlesByType(1)
--	elseif(self._currentSelectTabIndex == 3)then
--		self.list = globalData.allTemplates.titleTemplateList:getTitlesByType(4)
--	end
if(self._currentSelectTabIndex == 1)then
self.list = globalData.allTemplates.titleTemplateList:getTitlesByType(1)
elseif(self._currentSelectTabIndex == 2)then
self.list = globalData.allTemplates.titleTemplateList:getTitlesByType(4)
end
if(self.list == nil)then
return
end
self.tickIndex = 1
globalManager.tickManager:addTick(self.tick,self)
for __,item in pairs(self._titleListItemChche) do
if(item:getParent() ~= nil)then
--选中状态
if(self._currentSelectTitleTemp ~= nil and self._currentSelectTitleTemp.id == item.titleTemplateId)then
item:setSelected(true)
else
item:setSelected(false)
end
--是否当前穿戴
item:setIsCurrent((item.titleTemplateId == globalData.selfPlayerInfo.titleInfo.currentTitleId))
end
end
self:updateTitleBtnState()
end
function TitleViewII:tick()
if(self.list[self.tickIndex] ~= nil)then
local i = self.tickIndex
local item = self:getItemFromCache(i)
if(self.list[i].fight > 0)then
item:setTitleId(self.list[i].id)
self._listView:pushBackCustomItem(item)
end
--切卡的时候，默认选中第一个
if(self._currentSelectTitleTemp == nil)then
self._currentSelectTitleTemp = self.list[i]
self:showTitle(self._currentSelectTitleTemp.id)
end
self.tickIndex = self.tickIndex + 1
else
globalManager.tickManager:removeTick(self.tick,self)
end
end
--更新佩戴按钮状态
function TitleViewII:updateTitleBtnState()
if(self._currentSelectTitleTemp ~= nil)then
if(globalData.selfPlayerInfo.titleInfo:getTitle(self._currentSelectTitleTemp.id) == nil)then
--未拥有该称号
self._titleBtn:setEnabled(false)
self._cancelBtn:setEnabled(false)
elseif(globalData.selfPlayerInfo.titleInfo.currentTitleId == self._currentSelectTitleTemp.id)then
--是当前所佩戴称号
self._titleBtn:setEnabled(false)
self._cancelBtn:setEnabled(true)
else
--未佩戴该称号
self._titleBtn:setEnabled(true)
self._cancelBtn:setEnabled(false)
end
else
self._titleBtn:setEnabled(false)
self._cancelBtn:setEnabled(false)
end
end
function TitleViewII:getItemFromCache(i)
local item = self._titleListItemChche[i]
if(item == nil)then
item = self:addTitleListItem()
end
if(item:getParent() ~= nil)then
item:removeFromParent()
end
return item
end
function TitleViewII:showTitle(titleTemplateId)
self._titleView:setEnabled(true)
local titleTemplate = globalData.allTemplates.titleTemplateList:getTitle(titleTemplateId)
self._titleDesLabel:setText(titleTemplate.descript)
local titleInfo = globalData.selfPlayerInfo.titleInfo:getTitle(titleTemplateId)
if(titleInfo == nil)then
if(titleTemplate.time == 0)then
self._countDownView:stop()
self._timeLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("TitleViewII.text11"))
else
self._countDownView:stop()
if(titleTemplate.time >= 86400)then
self._timeLabel:setText(math.floor(titleTemplate.time / 86400) .. globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel6"))
else
self._timeLabel:setText(globalData.systemDateInfo:secondsToDateString4(titleTemplate.time,false))
end
end
else
if(titleInfo.time == 0)then
self._countDownView:stop()
self._timeLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("TitleViewII.text11"))
else
local leftTime = titleInfo.time - math.floor(globalData.systemDateInfo:getSystemTime() / 1000)
self._countDownView:start(leftTime)
end
end
self:updateTitleBtnState()
end
function TitleViewII:dispose()
globalManager.tickManager:removeTick(self.tick,self)
self:removeEvent()
self._controller = nil
self._currentSelectTitleTemp = nil
self._backBtn = nil
self._listView = nil
self._titleView = nil
self._titleDesLabel = nil
self._timeLabel = nil
self._titleBtn = nil
self._cancelBtn = nil
if(self._tabGroup ~= nil)then
self._tabGroup:dispose()
self._tabGroup = nil
end
if(self._countDownView ~= nil)then
self._countDownView:dispose()
self._countDownView = nil
end
for __,item in pairs(self._titleListItemChche) do
item:dispose()
end
self._titleListItemChche = nil
globalManager.ccCreator:release(self._widget)
self._widget = nil
self._BasePanelDispose(self)
self._BasePanelDispose = nil
end
RoleDisplayView = class("RoleDisplayView", function(self,level)
local temp = globalManager.ccCreator:newWidget()
temp._playerInfo = nil
temp._equipGoodsList = nil
temp._equipStrengthInfo = EquipStrengthInfo:new()
temp._widget = globalManager.ccCreator:newJsonWidget("RoleDisplayView")
temp:addChild(temp._widget)
temp._nameCon = temp._widget:getChildByName("nameCon")
temp._tipBtns = temp._widget:getChildByName("tipBtns")
temp._roleBg = temp._widget:getChildByName("roleBg")
temp._nameLabel = temp._nameCon:getChildByName("nameLabel")
temp._character = nil
local fightPos = temp._widget:getChildByName("fight")
temp._strengthTipBtn = temp._tipBtns:getChildByName("strengthTipBtn")
temp._strengthLabel = temp._tipBtns:getChildByName("strengthLabel")
temp._fightLabel = temp._widget:getChildByName("fightLabel")
local fightBg = temp._widget:getChildByName("fightBg")
temp._equipCellList = {}
for i = 0,9,1 do
local cell = BaggageEquipGrid:new()
cell:setPosition(cc.p(-2,67))
local layer = temp._widget:getChildByName("equipCell"..i)
layer:addChild(cell,9)
table.insert(temp._equipCellList,cell)
end
temp._shizhuangBtn = temp._widget:getChildByName("bagBtn2")
temp._shizhuangTip = temp._widget:getChildByName("tipImg")
temp._hunjieBtn    = temp._widget:getChildByName("bagBtn3")
if(globalData:isShenHe()) then
temp._hunjieBtn:setVisible(false)
temp._hunjieBtn:setTouchEnabled(false)
end
temp._info_btn      = temp._widget:getChildByName("info_btn")
temp._vipImage      = temp._widget:getChildByName("vipImage")
temp._vipLevel      = temp._widget:getChildByName("vipLevel")
temp._renameBtn = temp._widget:getChildByName("renameBtn")
temp._changeProfessionBtn = temp._widget:getChildByName("changeProfessionBtn")
temp._changeProfessionBtn:setEnabled(false)
temp._info = nil
temp._bgPath = globalManager.pathManager:getUISource("outPic/role_bg.png")
temp._level = level
temp._fashionInfo = nil
temp._widget:getChildByName("ImageView_57857"):getChildByName("LabelBMFont_57858"):setText(globalManager.yuyanbaoManager:getYuyanbao("CategoryType.text9"))
temp._widget:getChildByName("ImageView_57857_Copy1"):getChildByName("LabelBMFont_57858"):setText(globalManager.yuyanbaoManager:getYuyanbao("CategoryType.text3"))
temp._widget:getChildByName("ImageView_57857_Copy2"):getChildByName("LabelBMFont_57858"):setText(globalManager.yuyanbaoManager:getYuyanbao("XiaofeiComparePanel.text17"))
temp._widget:getChildByName("ImageView_57857_Copy4"):getChildByName("LabelBMFont_57858"):setText(globalManager.yuyanbaoManager:getYuyanbao("CategoryType.text5"))
temp._widget:getChildByName("ImageView_57857_Copy9"):getChildByName("LabelBMFont_57858"):setText(globalManager.yuyanbaoManager:getYuyanbao("CategoryType.text4"))
temp._widget:getChildByName("ImageView_57857_Copy12"):getChildByName("LabelBMFont_57858"):setText(globalManager.yuyanbaoManager:getYuyanbao("CategoryType.text1"))
temp._widget:getChildByName("ImageView_57857_Copy10"):getChildByName("LabelBMFont_57858"):setText(globalManager.yuyanbaoManager:getYuyanbao("CategoryType.text6"))
temp._widget:getChildByName("ImageView_57857_Copy7"):getChildByName("LabelBMFont_57858"):setText(globalManager.yuyanbaoManager:getYuyanbao("CategoryType.text8"))
temp._widget:getChildByName("ImageView_57857_Copy5"):getChildByName("LabelBMFont_57858"):setText(globalManager.yuyanbaoManager:getYuyanbao("CategoryType.text2"))
temp._widget:getChildByName("ImageView_57857_Copy3"):getChildByName("LabelBMFont_57858"):setText(globalManager.yuyanbaoManager:getYuyanbao("CategoryType.text10"))
temp._renameBtn:getChildByName("Label"):setText(globalManager.yuyanbaoManager:getYuyanbao("RoleDisplayView.text11"))
temp._changeProfessionBtn:getChildByName("Label"):setText(globalManager.yuyanbaoManager:getYuyanbao("RoleDisplayView.text14"))
return temp
end)
function RoleDisplayView:setData(playerInfo,equipGoodsList,fashionInfo)
globalManager.sourceCacheManager:setImage(self._roleBg,self._bgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self._playerInfo     = playerInfo
self._equipGoodsList = equipGoodsList
self._fashionInfo    = fashionInfo
self:initView()
self:updateEquips()
self:updateCombat()
self:initEvent()
if(self._playerInfo.userId == globalData.selfPlayerInfo.userId)then
if(self:checkShiZhuangTip()) then
self._shizhuangTip:setVisible(true)
else
self._shizhuangTip:setVisible(false)
end
else
self._shizhuangTip:setVisible(false)
end
end
function RoleDisplayView:checkShiZhuangTip()
local fashionInfo  = self._fashionInfo
local playerCarrer = globalData.allStaticTypes.careerType:getCareer(self._info.characterInfo.career)
local userId       = self._playerInfo.userId
local templateList = globalData.allTemplates.fashionTemplateList:getInfoByCarrer(playerCarrer)
if(templateList == nil)then return end
local stateFlag    = fashionInfo.currentFashion
local hasIdList    = fashionInfo.hasIdList
local hasStarList  = fashionInfo.hasStarList
local hasStarIdList= fashionInfo.hasStarIdList
for __,info in pairs(templateList) do
local starNextLevel= 0
local index = globalManager.commonUtils:getIndexOfTable(hasIdList,info.templateId)
if(index == -1)then
local tempInfo = globalData.allTemplates.fashionTemplateList:getTemplateById(info.templateId)
if(globalData.goodsInfoList:getGoodsCount(tempInfo.needItem[1][1],1) >=  tempInfo.needItem[1][2])then
return true
end
else
if(hasStarList[info.templateId] == nil or hasStarList[info.templateId] == 0)then
starNextLevel = 1
elseif(hasStarList[info.templateId] < 5)then
starNextLevel = hasStarList[info.templateId] + 1
else
starNextLevel = 6
end
local needStar = 0
if(starNextLevel <= 1)then
needStar = 1
else
needStar = starNextLevel
end
if(needStar < 6)then
local tempInfo = globalData.allTemplates.fashionStarTemplateList:getTemplateByIdAndStar(info.templateId,needStar)
if(globalData.goodsInfoList:getGoodsCount(tempInfo.amountList[1][1],1) >=  tempInfo.amountList[1][2])then
return true
end
end
end
end
return false
end
function RoleDisplayView:initView()
local openTime = globalData.openTime
local systemTime = math.floor(globalData.systemDateInfo:getSystemTime() / 1000)
local oepnDays = globalData.systemDateInfo:getBetweenTimeDay(openTime * 1000,systemTime * 1000) + 1
if(oepnDays < 4)then
self._hunjieBtn:setColor(globalData.allStaticTypes.colorType.COLORGRAY)
end
--self._vipIconView:setLevel(self._playerInfo.vipLevel)
local characterPos = self._widget:getChildByName("character")
self._info = FigurePlayerInfo:new()
local styleList = self._playerInfo.characterInfo:getStyleBin()
for k,v in pairs(styleList) do
self._info.characterInfo:setStyleBin(k,v)
end
self._info:setCareer(self._playerInfo.career)
self._info.combat = self._playerInfo.combat
self._info.serverId = self._playerInfo.serverId
self._info.nick = self._playerInfo.nick
self._info:setIsHorse(false)
self._character = BaseCharacter:new(self._info.characterInfo)
--    self._character:setPosition(characterPos:getPosition())
self._character:setScale(1.2)
characterPos:setPositionY(characterPos:getPositionY() + 30)
characterPos:addNode(self._character)
self._character:show(globalData.allStaticTypes.directType.bottom)
self:updateVip()
end
function RoleDisplayView:initEvent()
local function tipTouchHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
if(sender == self._strengthTipBtn)then
globalManager.tipsManager:showEquipStrength(self._equipStrengthInfo)
elseif(sender == self._info_btn)then
end
end
end
local function shizhuangTouchHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
local view = FashionViewPanel:new(self._fashionInfo,globalData.allStaticTypes.careerType:getCareer(self._info.characterInfo.career),self._playerInfo.userId)
end
end
local function hunjieTouchHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
local openTime = globalData.openTime
local systemTime = math.floor(globalData.systemDateInfo:getSystemTime() / 1000)
local oepnDays = globalData.systemDateInfo:getBetweenTimeDay(openTime * 1000,systemTime * 1000) + 1
if(oepnDays < 4)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("RoleDisplayView.text15"))
return
end
if(self._playerInfo.userId == globalData.selfPlayerInfo.userId)then
if(self._playerInfo.level < globalData.newModuleLevelConfig.xianYuanLevel) then
globalManager.tipsManager.quickTip:show(globalData.newModuleLevelConfig.xianYuanLevel..globalManager.yuyanbaoManager:getYuyanbao("PanelTabGroupType.text41"))
return
end
globalManager.moduleManager:addModule(globalData.allStaticTypes.moduleType.xianYuan,nil,false)
else
local info = nil
if(self._playerInfo.marryType > 0) then
info = globalData.allTemplates.marryTemplateList:getTemplate(self._playerInfo.marryType)
end
if(info ~= nil) then
globalManager.tipsManager:showMarryInfo(info)
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("RoleDisplayView.text12"))
end
end
end
end
local function renameClickHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_showRenamePanel,globalManager.gameDispatcher,nil))
end
end
local function changeProfessionClickHandler(sender,eventType)
-- body
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_showChangeProfessionPanl,globalManager.gameDispatcher,nil))
end
end
self._renameBtn:addTouchEventListener(renameClickHandler)
self._changeProfessionBtn:addTouchEventListener(changeProfessionClickHandler)
self._strengthTipBtn:addTouchEventListener(tipTouchHandler)
self._shizhuangBtn:addTouchEventListener(shizhuangTouchHandler)
self._hunjieBtn:addTouchEventListener(hunjieTouchHandler)
self._info_btn:addTouchEventListener(tipTouchHandler)
if(self._playerInfo.userId == globalData.selfPlayerInfo.userId)then
globalData.selfPlayerInfo:addEventListener(globalData.globalEventType.playerInfo_combat,self.updateCombat,self)
globalData.goodsInfoList:addEventListener(globalData.globalEventType.playerInfo_roleUpdate,self.updateEquips,self)
globalData.selfPlayerInfo:addEventListener(globalData.globalEventType.playerInfo_vip,self.updateVip,self)
globalData.selfPlayerInfo.characterInfo:addEventListener(globalData.globalEventType.playerInfo_style,self.styleUpdateHandler,self)
end
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.playerInfo_equipGridClick, self.baggageEquipGridClickHandler, self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.playerInfo_equipGridDClick, self.baggageEquipGridDoubleClickHandler, self)
end
function RoleDisplayView:removeEvent()
if(self._playerInfo.userId == globalData.selfPlayerInfo.userId)then
globalData.selfPlayerInfo:removeEventListener(globalData.globalEventType.playerInfo_combat,self.updateCombat,self)
globalData.goodsInfoList:removeEventListener(globalData.globalEventType.playerInfo_roleUpdate,self.updateEquips,self)
globalData.selfPlayerInfo:removeEventListener(globalData.globalEventType.playerInfo_vip,self.updateVip,self)
globalData.selfPlayerInfo.characterInfo:removeEventListener(globalData.globalEventType.playerInfo_style,self.styleUpdateHandler,self)
end
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.playerInfo_equipGridClick, self.baggageEquipGridClickHandler, self)
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.playerInfo_equipGridDClick, self.baggageEquipGridDoubleClickHandler, self)
end
function RoleDisplayView:styleUpdateHandler(evt)
local styleList = self._playerInfo.characterInfo:getStyleBin()
for k,v in pairs(styleList) do
self._info.characterInfo:setStyleBin(k,v)
end
self._character._animaController:stopTick()
self._character:startLoad()
self._nameLabel:setText(self._playerInfo.nick)
end
function RoleDisplayView:updateVip(evt)
if(self._playerInfo.vipLevel >= 1) then
self._vipImage:setVisible(true)
self._vipLevel:setVisible(true)
self._vipLevel:setStringValue(self._playerInfo.vipLevel)
self._nameLabel:setText(self._playerInfo.nick)
self._nameLabel:setPositionX(20)
else
self._vipImage:setVisible(false)
self._vipLevel:setVisible(false)
self._nameLabel:setText(self._playerInfo.nick)
end
end
function RoleDisplayView:hideName()
self._nameCon:setVisible(false)
self._tipBtns:setPositionY(504)
self._renameBtn:setVisible(false)
self._renameBtn:setTouchEnabled(false)
self._changeProfessionBtn:setVisible(false)
self._changeProfessionBtn:setTouchEnabled(false)
end
function RoleDisplayView:hideVip()
self._vipImage:setVisible(false)
self._vipLevel:setVisible(false)
self._info_btn:setVisible(false)
self._info_btn:setTouchEnabled(false)
end
function RoleDisplayView:baggageEquipGridClickHandler(evt)
local goodsInfo = evt.data
if(self._playerInfo.userId == globalData.selfPlayerInfo.userId)then
globalManager.tipsManager:showGoods(goodsInfo, globalData.allStaticTypes.goodsTipType.EQUIP,self._level)
else
globalManager.tipsManager:showGoods(goodsInfo,nil,self._level)
end
end
function RoleDisplayView:baggageEquipGridDoubleClickHandler(evt)
local goodsInfo = evt.data
if(self._playerInfo.userId == globalData.selfPlayerInfo.userId)then
globalManager.goodsInfoTester:goodsDisboard(goodsInfo)
end
end
function RoleDisplayView:updateCombat(evt)
self._fightLabel:setStringValue(tostring(self._playerInfo.combat))
end
function RoleDisplayView:updateEquips(evt)
self._equipStrengthInfo.equipList = {}
for i,cell in pairs(self._equipCellList) do
-- local goodsInfo = globalData.goodsInfoList:getGoods(i-1)
local goodsInfo = self._equipGoodsList[i - 1]
cell:setEquipInfo(goodsInfo,self._playerInfo.level)
if(goodsInfo ~= nil
and goodsInfo:getTemplate().categoryId ~= globalData.allStaticTypes.categoryType.HUIZHANG
)then
table.insert(self._equipStrengthInfo.equipList, goodsInfo)
end
end
self._equipStrengthInfo:update()
self._strengthLabel:setStringValue(self._equipStrengthInfo.strengthLevel)
end
function RoleDisplayView:dispose()
self:removeEvent()
for i,cell in pairs(self._equipCellList) do
cell:dispose()
cell = nil
end
self._equipCellList = nil
globalManager.ccCreator:release(self._widget)
self._widget = nil
if(self._character ~= nil) then
self._character:dispose()
self._character = nil
end
if(self._info ~= nil) then
self._info:dispose()
self._info = nil
end
-- if(self._vipIconView ~= nil) then
--     self._vipIconView:dispose()
--     self._vipIconView = nil
-- end
if(self._equipStrengthInfo ~= nil) then
self._equipStrengthInfo = nil
end
globalManager.sourceCacheManager:removeQuote(self._bgPath)
self._bgPath = nil
self._playerInfo = nil
self._equipGoodsList = nil
self._nameCon = nil
self._tipBtns = nil
self._roleBg = nil
self._nameLabel = nil
self._changeProfessionBtn = nil
self._sortBtn = nil
self._fightLabel = nil
self._strengthTipBtn = nil
self._strengthLabel = nil
self._shizhuangBtn = nil
self._hunjieBtn    = nil
self._info_btn     = nil
self._vipImage     = nil
self._vipLevel     = nil
self._renameBtn    = nil
self._shizhuangTip = nil
globalManager.ccCreator:release(self)
end
RolePropertyPanel = class("RolePropertyPanel", function(self,controller)
local temp = BasePanel:new()
temp._BasePanelDispose = temp.dispose
temp._controller = controller
temp._rolePropertyView = nil
temp._rolePropertyDetailsView = nil
temp._titleView = nil
return temp
end)
function RolePropertyPanel:showPropertyView()
if(self._rolePropertyDetailsView ~= nil)then
self._rolePropertyDetailsView:hide()
end
if(self._titleView ~= nil)then
self._titleView:hide()
end
if(self._rolePropertyView == nil)then
self._rolePropertyView = RolePropertyView:new(self._controller)
end
self._rolePropertyView:show(self)
end
function RolePropertyPanel:showPropertyDetailsView()
if(self._rolePropertyView ~= nil)then
self._rolePropertyView:hide()
end
if(self._titleView ~= nil)then
self._titleView:hide()
end
if(self._rolePropertyDetailsView == nil)then
self._rolePropertyDetailsView = RolePropertyDetailsView:new(self._controller)
end
self._rolePropertyDetailsView:show(self)
end
function RolePropertyPanel:showTitleView()
if(self._rolePropertyView ~= nil)then
self._rolePropertyView:hide()
end
if(self._rolePropertyDetailsView ~= nil)then
self._rolePropertyDetailsView:hide()
end
if(self._titleView == nil)then
self._titleView = TitleViewII:new(self._controller)
end
self._titleView:show(self)
end
function RolePropertyPanel:dispose()
self._controller = nil
if(self._rolePropertyView ~= nil)then
self._rolePropertyView:dispose()
self._rolePropertyView = nil
end
if(self._rolePropertyDetailsView ~= nil)then
self._rolePropertyDetailsView:dispose()
self._rolePropertyDetailsView = nil
end
if(self._titleView ~= nil)then
self._titleView:dispose()
self._titleView = nil
end
self._BasePanelDispose(self)
self._BasePanelDispose = nil
end
--
-- Date: 2014-05-22 15:48:18
--
RoleController = class("RoleController", function(self,module)
local temp = {}
temp.module = module
return temp
end)
function RoleController:showRolePropertyPanel()
if(self.module.rolePropertyPanel == nil)then
self.module.rolePropertyPanel = RolePropertyPanel:new(self)
self.module.rolePropertyPanel.eventDis:addEventListener(globalData.globalEventType.trigger_panelDispose,self.hideRolePropertyPanel,self)
end
if(self.module.rolePropertyPanel:getParent() == nil)then
globalData.uiPanelContainer:addPanel(globalData.allStaticTypes.panelTabType.property,self.module.rolePropertyPanel)
end
end
function RoleController:hideRolePropertyPanel(evt)
self.module.rolePropertyPanel.eventDis:removeEventListener(globalData.globalEventType.trigger_panelDispose,self.hideRolePropertyPanel,self)
self.module.rolePropertyPanel = nil
end
--显示属性总览界面
function RoleController:showPropertyView()
if(self.module.rolePropertyPanel == nil)then
self:showRolePropertyPanel()
end
self.module.rolePropertyPanel:showPropertyView()
end
--显示属性详细界面
function RoleController:showPropertyDetailsView()
if(self.module.rolePropertyPanel == nil)then
self:showRolePropertyPanel()
end
self.module.rolePropertyPanel:showPropertyDetailsView()
end
--显示称号管理界面
function RoleController:showTitleView()
if(self.module.rolePropertyPanel == nil)then
self:showRolePropertyPanel()
end
self.module.rolePropertyPanel:showTitleView()
end
RoleMessageHandler = class("RoleMessageHandler",function(self,module)
local temp= {}
temp.roleModule = module
return temp
end)
function RoleMessageHandler:ctor()
end
RoleMessageSender = class("RoleMessageSender",function(self,module)
local temp = {}
temp.roleModule = module
return temp
end)
function RoleMessageSender:add()
self.roleMessage = RoleMessageHandler:new(self.roleModule)
end
--觉醒信息
function RoleMessageSender:sendGetWakeUpInfo()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.WAKEUP_INFO)
globalManager.messageManager:send(messOut)
end
--提升觉醒阶段
function RoleMessageSender:sendWakeUpUpdate()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.WAKEUP_UPDATE)
globalManager.messageManager:send(messOut)
end
--
-- Date: 2014-05-22 15:47:45
--
RoleModule = class("RoleModule", function(self)
local temp = BaseModule:new()
temp.controller = nil
temp.rolePropertyPanel = nil
return temp
end)
--override
function RoleModule:getModuleType()
return globalData.allStaticTypes.moduleType.role
end
--override
function RoleModule:setup(data)
self.message = RoleMessageSender:new(self)
self.message:add()
self.controller = RoleController:new(self)
self:configure(data)
end
--override
function RoleModule:configure(data)
self.controller:showRolePropertyPanel()
self.controller:showPropertyView()
end
ArenaAlertPanel = class("ArenaAlertPanel", function(self,type)
local temp = globalManager.ccCreator:newJsonWidget("ArenaAlertPanel")
temp._cancelBtn   = temp:getChildByName("nomalBtn2_Copy0")
temp._activateBtn = temp:getChildByName("nomalBtn1_Copy0")
temp._goldLabel   = temp:getChildByName("goldLabel")
temp._numLabel    = temp:getChildByName("numLabel")
temp.times = 0
temp.type = type
temp:getChildByName("titleLabel_Copy1"):setText(globalManager.yuyanbaoManager:getYuyanbao("ArenaAlertPanel.text1"))
temp:getChildByName("contentLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("ArenaAlertPanel.text2"))
temp._goldLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("ArenaAlertPanel.text3"))
temp:getChildByName("contentLabel1"):setText(globalManager.yuyanbaoManager:getYuyanbao("ArenaAlertPanel.text4"))
temp:getChildByName("contentLabel2"):setText(globalManager.yuyanbaoManager:getYuyanbao("ArenaAlertPanel.text9"))
temp:getChildByName("contentLabel3"):setText(globalManager.yuyanbaoManager:getYuyanbao("ArenaAlertPanel.text6"))
temp._cancelBtn:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel2"))
temp._activateBtn:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("ArenaAlertPanel.text7"))
return temp
end)
function ArenaAlertPanel:ctor()
self:initEvent()
self:initView()
globalData.uiClickContainer:addItem(self,true,true)
end
function ArenaAlertPanel:initEvent()
local function cancelTouchHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self:dispose()
end
end
local function activateTouchHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(globalData.arena1Info.activeTimes >= globalData.arena1Info.ACTIVE_MAX)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("ArenaAlertPanel.text8"))
return
end
if(globalData.selfPlayerInfo.moneyInfo.gold < globalData.arena1Info.ACTIVE_COST)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel11"))
else
globalData.messageAdder:sendActive(self.type)
end
end
end
self._cancelBtn:addTouchEventListener(cancelTouchHandler)
self._activateBtn:addTouchEventListener(activateTouchHandler)
globalData.arena1Info:addEventListener(globalData.globalEventType.arenaInfo_scucessUpdate,self.arenaInfoScucessUpdateHandler,self)
end
function ArenaAlertPanel:removeEvent()
globalData.arena1Info:removeEventListener(globalData.globalEventType.arenaInfo_scucessUpdate,self.arenaInfoScucessUpdateHandler,self)
end
function ArenaAlertPanel:arenaInfoScucessUpdateHandler()
self:initView()
end
function ArenaAlertPanel:initView()
self._goldLabel:setText(globalData.arena1Info.ACTIVE_COST .. globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel58"))
self.times = globalData.arena1Info.activeTimes
self._numLabel:setText(self.times.."/"..globalData.arena1Info.ACTIVE_MAX)
end
function ArenaAlertPanel:dispose()
globalData.uiClickContainer:close(self)
self:removeEvent()
self._checkBox    = nil
self._cancelBtn   = nil
self._activateBtn = nil
self._goldLabel   = nil
self._numLabel    = nil
globalManager.ccCreator:release(self)
end
ArenaItemView = class("ArenaItemView", function(self,itemWidget,controller,index,type)
local temp = itemWidget
temp._controller = controller
temp._index = index
temp._selfTemInfo = nil
temp._rank = 0
temp._selected = false
temp.rankItemInfo = nil
temp._nameLabel = itemWidget:getChildByName("nameLabel")
temp._rankLabel = itemWidget:getChildByName("rankLabel")
temp._fightLabel = itemWidget:getChildByName("fightLabel")
temp._activeLabel = itemWidget:getChildByName("activeLabel")
temp._activeBtn = itemWidget:getChildByName("activeBtn")
temp._character = nil
temp._preCharacter = nil
temp._selectEffect = nil
temp._propController = PropController:new()
temp._curController = PropController:new()
temp.type = type
return temp
end)
function ArenaItemView:ctor()
self:initEvent()
end
function ArenaItemView:setSelected(value)
if(self._selected == value)then return end
self._selected = value
if(self._selectEffect ~= nil)then
self._selectEffect:dispose()
self._selectEffect = nil
end
if(value)then
self._selectEffect = globalManager.effectCreator:create(1075)
self._selectEffect:move2(self,80,-70)
self._selectEffect:setScale(2)
self._selectEffect:play()
self:addNode(self._selectEffect,10)
end
end
function ArenaItemView:setRankItemInfo(rankItemInfo)
self.rankItemInfo = rankItemInfo
self:setData(rankItemInfo.playerInfo,rankItemInfo.rank)
end
function ArenaItemView:setData(playerInfo,rank,activeFight)
local function characterRemove()
if(self._preCharacter ~= nil)then
self._preCharacter:dispose()
self._preCharacter = nil
end
end
local isFirst = false
self._rank = rank
if(self._character ~= nil)then
if(self._index == 1)then
self._character:dispose()
self._character = nil
else
if(self._preCharacter ~= nil)then
self._preCharacter:dispose()
self._preCharacter = nil
end
self._preCharacter = self._character
self._propController:setInfo({PropInfo:new(self._preCharacter,1,0,78,138,5,0),
PropInfo:new(self._preCharacter,3,0,255,0,-15,0)})
self._propController:setCallBack(self,characterRemove)
self._propController:pStart()
end
else
isFirst = true
end
--如果是自己的数据，则复制一份[其他人的数据都是副本数据]
if(playerInfo == globalData.selfPlayerInfo)then
self._selfTemInfo = FigurePlayerInfo:new()
local styleList = playerInfo.characterInfo:getStyleBin()
for k,v in pairs(styleList) do
self._selfTemInfo.characterInfo:setStyleBin(k,v)
end
self._selfTemInfo:setCareer(playerInfo.career)
self._selfTemInfo.combat = playerInfo.combat
self._selfTemInfo.serverId = playerInfo.serverId
self._selfTemInfo.nick = playerInfo.nick
playerInfo = self._selfTemInfo
end
playerInfo.isHorse = false
self._character = BaseCharacter:new(playerInfo.characterInfo)
self:addNode(self._character)
if(self._character ~= nil and self._index > 1)then
self._character:setScale(1.2)
self._character:setCascadeOpacityEnabled(true)
if(isFirst) then
self._character:setPosition(globalManager.ccCreator:newPoint(78,116))
else
self._character:setPosition(globalManager.ccCreator:newPoint(18,116))
self._character:setOpacity(0)
self._curController:setInfo({PropInfo:new(self._character,3,0,0,255,15,0),
PropInfo:new(self._character,1,0,18,78,5,0)})
self._curController:setCallBack(nil,nil)
self._curController:pStart()
end
end
if(rank > 5000) then
self._rankLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("ArenaItemView.text1"))
else
self._rankLabel:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("ArenaItemView.text2"),rank))
end
if(playerInfo.serverId == -1) then
self._nameLabel:setText(playerInfo.nick)
else
self._nameLabel:setText(playerInfo.nick)
end
self._fightLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("OathApplyPanel.text2") .. playerInfo.combat)
if(self._index == 1)then
if(activeFight > 0)then
self._fightLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("OathApplyPanel.text2") .. playerInfo.combat .. "+" .. activeFight)
-- self._fightLabel:setTextHorizontalAlignment(cc.TEXT_ALIGNMENT_RIGHT)
-- self._fightLabel:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[6])
else
self._activeLabel:setText("")
-- self._fightLabel:setTextHorizontalAlignment(cc.TEXT_ALIGNMENT_CENTER)
-- self._fightLabel:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[1])
end
self._character:setPosition(globalManager.ccCreator:newPoint(105,160))
self._character:setScale(1.5)
self._character:show(globalData.allStaticTypes.directType.bottom)
else
self._character:show(globalData.allStaticTypes.directType.leftBottom)
end
end
function ArenaItemView:initEvent()
local function buttonTouchHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(sender == self._activeBtn)then
local alert = ArenaAlertPanel:new(self.type)
end
end
end
if(self._activeBtn ~= nil)then
self._activeBtn:addTouchEventListener(buttonTouchHandler)
end
end
function ArenaItemView:dispose()
self._controller = nil
if(self._selfTemInfo ~= nil) then
self._selfTemInfo:dispose()
self._selfTemInfo = nil
end
if(self._propController ~= nil) then
self._propController:dispose()
self._propController = nil
end
if(self._curController ~= nil) then
self._curController:dispose()
self._curController = nil
end
self.rankItemInfo = nil
self._nameLabel = nil
self._rankLabel = nil
self._fightLabel = nil
self._activeLabel = nil
self._activeBtn = nil
if(self._character ~= nil)then
self._character:dispose()
self._character = nil
end
if(self._preCharacter ~= nil)then
self._preCharacter:dispose()
self._preCharacter = nil
end
if(self._selectEffect ~= nil)then
self._selectEffect:dispose()
self._selectEffect = nil
end
end
ArenaPanel = class("ArenaPanel",function(self,controller,type)
local temp = BasePanel:new()
temp.type = type
temp._controller = controller
temp._BasePanelDispose = temp.dispose
temp._selectRankItem = nil
temp._nowRankType = 0 --0:自己的前5名  1：前五名
temp._widget = globalManager.ccCreator:newJsonWidget("ArenaPanel")
temp:addChild(temp._widget)
temp._bgPath = nil
temp._background = temp._widget:getChildByName("bg_image")
temp._rankAwardBtn = temp._widget:getChildByName("rankAwardBtn")
temp._honourShopBtn = temp._widget:getChildByName("honourShopBtn")
temp._speedBtn = temp._widget:getChildByName("speedBtn")
temp._challengeBtn = temp._widget:getChildByName("challengeBtn")
temp._changeBtn = temp._widget:getChildByName("changeBtn")
temp._btnLabel = temp._changeBtn:getChildByName("btnLabel")
temp._countDownLabel = temp._widget:getChildByName("countDownLabel")
temp._rankCountDownLabel = temp._widget:getChildByName("rankCountDownLabel")
temp._getPaopao = temp._widget:getChildByName("getPaopao")
temp._getPaopao:setVisible(false)
temp._doubleImg = temp._widget:getChildByName("doubleImg")
temp._doubleImg:setVisible(false)
temp._doubleImgPath = nil
temp._isAutoClose = false
temp._count = 5
temp._time = 0
temp._itemList = {}
temp._countList = {}
for i=1,5 do
local itemWidget = temp._widget:getChildByName("item" .. i)
local item = ArenaItemView:new(itemWidget,controller,i,temp.type)
table.insert(temp._itemList,item)
table.insert(temp._countList,temp._widget:getChildByName("fightIcon" .. i))
temp._countList[i]:setVisible(false)
end
temp._countDownView = CountDownLabel:new(temp._countDownLabel,0)
temp._rankCountDownView = CountDownLabel:new(temp._rankCountDownLabel,0)
temp.effect = nil
temp.arenaRankAwardPanel = nil
temp._isDoubleHonour = false
temp._isDoubleShengWang = false
temp._widget:getChildByName("proLabel1_Copy2"):setText(globalManager.yuyanbaoManager:getYuyanbao("ArenaPanel.text1"))
temp._widget:getChildByName("proLabel1_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("ArenaPanel.text2"))
temp._changeBtn:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("ArenaPanel.text3"))
temp._challengeBtn:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("ArenaPanel.text4"))
return temp
end)
function ArenaPanel:ctor()
self._isDoubleHonour = globalData.activityInfo.doubleWelfare[24]
self._isDoubleShengWang = globalData.consumenGiftInfo.arenaIsShow
if(self.type == 2)then
if(self._isDoubleHonour)then
self._doubleImg:setVisible(true)
self._doubleImgPath = globalManager.pathManager:getUISource("outPic/ui_doubleHor.png")
globalManager.sourceCacheManager:setImage(self._doubleImg,self._doubleImgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
end
self._bgPath = globalManager.pathManager:getUISource("outPic/arena_bg.png")
else
if(self._isDoubleShengWang)then
self._doubleImg:setVisible(true)
self._doubleImgPath = globalManager.pathManager:getUISource("outPic/ui_doubleHor.png")
globalManager.sourceCacheManager:setImage(self._doubleImg,self._doubleImgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
end
self._bgPath = globalManager.pathManager:getUISource("outPic/arena_bg1.png")
self._honourShopBtn:loadTextureNormal("icon/ui_shopIcon3.png",1)
end
globalManager.sourceCacheManager:setImage(self._background,self._bgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self:initData()
self:initRankData()
self:updateView()
self:initEvent()
end
function ArenaPanel:initData()
globalData.messageAdder:sendArenaInfo(self.type)
end
function ArenaPanel:initRankData()
globalData.messageAdder:sendArenaRank(self._nowRankType,self.type)
end
function ArenaPanel:initEvent()
local function buttonTouchHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(sender == self._rankAwardBtn)then
if(globalData.arena1Info.canGainAward)then
globalData.messageAdder:sendAward(1)
return
end
if(self.arenaRankAwardPanel == nil) then
self.arenaRankAwardPanel = ArenaRankAwardPanel:new(self._controller,self,self.type)
end
elseif(sender == self._honourShopBtn)then
globalManager.moduleManager:addModule(globalData.allStaticTypes.moduleType.shop,3,false)
globalData.uiPanelContainer:close()
elseif(sender == self._speedBtn)then
self:speedupHandler()
elseif(sender == self._challengeBtn)then
if(globalData.copyInfo.currentCopyId > 0 or not globalData.allTemplates.mapTemplateList:canFly(globalData.currentMapId))then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("ArenaPanel.text5"))
return
end
--				if(self._controller.sceneInfo.scenePlayerList.selfPlayer.stateInfo:getIsFight()) then
--					globalManager.tipsManager.quickTip:show("战斗状态不允许竞技场挑战")
--					return
--				end
if(self._selectRankItem == nil)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("ArenaPanel.text6"))
return
end
if(globalData.arena1Info.times <= 0)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("ArenaPanel.text7"))
self:speedupHandler()
return
end
if(self._selectRankItem.rankItemInfo.playerInfo.userId == globalData.selfPlayerInfo.userId) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("ArenaPanel.text8"))
return
end
self._selectRankItem:setSelected(false)
self._challengeBtn:setTouchEnabled(false)
globalData.isShowQuickTip = false
globalData.messageAdder:sendFight(self._selectRankItem.rankItemInfo.rank,self._selectRankItem.rankItemInfo.playerInfo.userId,self.type)
self._selectRankItem = nil
if(self._isAutoClose)then
globalData.uiPanelContainer:close()
end
elseif(sender == self._changeBtn) then
self:initRankData()
self:btnCoolDown()
end
end
end
local function selfTouchHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(self._selectRankItem == sender) then return end
if(self._selectRankItem ~= nil) then
self._selectRankItem:setSelected(false)
end
self._selectRankItem = sender
self._selectRankItem:setSelected(true)
end
end
self._rankAwardBtn:addTouchEventListener(buttonTouchHandler)
self._honourShopBtn:addTouchEventListener(buttonTouchHandler)
self._speedBtn:addTouchEventListener(buttonTouchHandler)
self._challengeBtn:addTouchEventListener(buttonTouchHandler)
self._changeBtn:addTouchEventListener(buttonTouchHandler)
for i = 2,5,1 do
self._itemList[i]:addTouchEventListener(selfTouchHandler)
end
globalData.arena1Info:addEventListener(globalData.globalEventType.arenaInfo_update,self.arenaInfoUpdateHandler,self)
globalData.arena1Info:addEventListener(globalData.globalEventType.arenaInfo_rankUpdate,self.arenaRankUpdateHandler,self)
globalData.arena1Info:addEventListener(globalData.globalEventType.arenaInfo_fightReturn,self.arenaFightResultHandler,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.newly_arenaSelect,self.arenaSelectTarget,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.newly_arenaFight,self.arenaFightTarget,self)
end
function ArenaPanel:removeEvent()
globalData.arena1Info:removeEventListener(globalData.globalEventType.arenaInfo_update,self.arenaInfoUpdateHandler,self)
globalData.arena1Info:removeEventListener(globalData.globalEventType.arenaInfo_rankUpdate,self.arenaRankUpdateHandler,self)
globalData.arena1Info:removeEventListener(globalData.globalEventType.arenaInfo_fightReturn,self.arenaFightResultHandler,self)
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.newly_arenaSelect,self.arenaSelectTarget,self)
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.newly_arenaFight,self.arenaFightTarget,self)
end
function ArenaPanel:arenaSelectTarget(evt)
self._isAutoClose = true
if(self._selectRankItem ~= nil) then
for i=2,4 do
if(self._selectRankItem == self._itemList[i]) then
self._selectRankItem:setSelected(false)
break
end
end
end
self._selectRankItem = self._itemList[3]
self._selectRankItem:setSelected(true)
end
function ArenaPanel:arenaFightTarget(evt)
globalData.messageAdder:sendFight(self._selectRankItem.rankItemInfo.rank,self._selectRankItem.rankItemInfo.playerInfo.userId,self.type)
end
function ArenaPanel:hideArenaRankAwardPanel()
if(self.arenaRankAwardPanel ~= nil) then
self.arenaRankAwardPanel:dispose()
self.arenaRankAwardPanel = nil
end
end
function ArenaPanel:btnCoolDown()
self._changeBtn:setTouchEnabled(false)
self._changeBtn:loadTextureNormal("btn/ui_tabBtn1_5.png",1)
self._time = 0
self._count = 5
self._btnLabel:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("ArenaPanel.text9"),self._count))
globalManager.tickManager:addTick(self.tick,self)
end
function ArenaPanel:tick(delta,count)
self._time = self._time + 1
if(self._time >= 60) then
self._count = self._count - 1
self._time = 0
if(self._count > 0) then
self._btnLabel:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("ArenaPanel.text9"),self._count))
else
self._btnLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("ArenaPanel.text3"))
self._changeBtn:setTouchEnabled(true)
self._changeBtn:loadTextureNormal("btn/ui_tabBtn1_3.png",1)
globalManager.tickManager:removeTick(self.tick,self)
end
end
end
function ArenaPanel:speedupHandler()
if(globalData.arena1Info.times >= 5)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("ArenaPanel.text11"))
return
end
if(globalData.selfPlayerInfo.moneyInfo.gold < globalData.arena1Info.ADD_TIME_COST)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel11"))
return
end
local content = string.format(globalManager.yuyanbaoManager:getYuyanbao("ArenaPanel.text12"),globalData.arena1Info.ADD_TIME_COST)
Alert:new():show(2,content,globalManager.noAlertUtils.ARENA_SPEEDUP,0,self,self.doSpeedupHandler)
end
function ArenaPanel:doSpeedupHandler()
globalData.messageAdder:sendCDSpeedup(self.type)
end
function ArenaPanel:arenaFightResultHandler(evt)
self:initData()
self:initRankData()
end
function ArenaPanel:arenaInfoUpdateHandler(evt)
self:updateView()
end
function ArenaPanel:arenaRankUpdateHandler(evt)
local rankData = globalData.arena1Info.rankData
local count = 2
local flag = false
for __,rankInfo in pairs(rankData) do
self._itemList[count]:setRankItemInfo(rankInfo)
if(self._selectRankItem ~= nil)then
if(not flag and self._selectRankItem.rankItemInfo.playerInfo ~= nil and self._selectRankItem.rankItemInfo.playerInfo.userId ~= rankInfo.playerInfo.userId)then
flag = true
self._itemList[count]:setSelected(true)
else
self._itemList[count]:setSelected(false)
end
else
self._itemList[count]:setSelected(false)
end
count = count + 1
if(count >= 6)then
break
end
end
self._challengeBtn:setTouchEnabled(true)
if(not flag)then
self._selectRankItem = nil
end
end
function ArenaPanel:updateView()
self._itemList[1]:setData(globalData.selfPlayerInfo,globalData.arena1Info.rank,globalData.arena1Info.activeFightValue)
self._challengeBtn:setTouchEnabled(true)
for i = 1,5,1 do
self._countList[i]:setVisible(i <= globalData.arena1Info.times)
end
if(globalData.arena1Info.canGainAward)then
self._rankCountDownView:stop()
self._rankCountDownLabel:setText("")
else
local delta = globalData.systemDateInfo.secondsOfDay - math.ceil(globalData.systemDateInfo:getSystemTime() / 1000 + 3600 * globalData.systemDateInfo.timeZone) % globalData.systemDateInfo.secondsOfDay
self._rankCountDownView:start(delta)
end
local tzDelta = math.max(0,math.ceil(globalData.arena1Info.cdTime - globalData.systemDateInfo:getSystemTime() / 1000))
if(tzDelta > 0) then
self._countDownView:start(tzDelta,self.timeEnd,self)
else
self._countDownView:start(0)
end
if(tzDelta >= 30 * 60)then
self._countDownLabel:setColor(globalData.allStaticTypes.colorType.FALSE_COLOR)
else
self._countDownLabel:setColor(globalData.allStaticTypes.colorType.TRUE_COLOR)
end
--新增领取特效
if(globalData.arena1Info.canGainAward and self.effect == nil) then
self.effect = globalManager.effectCreator:create(37)
self.effect:move2(self._widget,105,-136)
self.effect:setScale(1.6)
self._widget:addNode(self.effect,0)
self.effect:play()
elseif(not globalData.arena1Info.canGainAward and self.effect ~= nil) then
self.effect:dispose()
self.effect = nil
end
end
function ArenaPanel:timeEnd()
globalData.arena1Info.times = globalData.arena1Info.times + 1
for i = 1,5,1 do
self._countList[i]:setVisible(i <= globalData.arena1Info.times)
end
if(globalData.arena1Info.times < 5) then
self._countDownView:start(360,self.timeEnd,self)
end
end
function ArenaPanel:dispose()
self:hideArenaRankAwardPanel()
globalManager.tickManager:removeTick(self.tick,self)
globalManager.sourceCacheManager:removeQuote(self._bgPath)
self._doubleImg = nil
if(self._doubleImgPath ~= nil)then
globalManager.sourceCacheManager:removeQuote(self._doubleImgPath)
end
self._doubleImgPath = nil
self:removeEvent()
for __,item in pairs(self._itemList) do
item:dispose()
end
self._isDoubleHonour = nil
self._isDoubleShengWang = nil
self._itemList = nil
self._controller = nil
self._selectRankItem = nil
self._rankAwardBtn = nil
self._honourShopBtn = nil
self._speedBtn = nil
self._challengeBtn = nil
self._changeBtn = nil
self._btnLabel = nil
self._countDownLabel = nil
self._rankCountDownLabel = nil
self._background = nil
self._getPaopao = nil
if(self.effect ~= nil) then
self.effect:dispose()
self.effect = nil
end
if(self._countDownView ~= nil)then
self._countDownView:dispose()
self._countDownView = nil
end
if(self._rankCountDownView ~= nil)then
self._rankCountDownView:dispose()
self._rankCountDownView = nil
end
globalManager.ccCreator:release(self._widget)
self._widget = nil
self._countList = nil
self._BasePanelDispose(self)
self._BasePanelDispose = nil
end
ArenaRankAwardItemView = class("ArenaRankAwardItemView", function(self,index,type)
local temp = globalManager.ccCreator:newJsonWidget("ArenaRankAwardItemView")
temp._index = index
temp._rankLabel = temp:getChildByName("rankLabel")
temp._awardImg = temp:getChildByName("awardImg")
temp._gridList = {}
for i=1,5 do
local gridWidget = temp:getChildByName("awardGrid" .. i)
local grid = BaseGrid:new(true)
grid:setPosition(cc.p(gridWidget:getPositionX() + 2,gridWidget:getPositionY() - 8))
temp:addChild(grid,10)
table.insert(temp._gridList,grid)
end
temp._type = type
return temp
end)
function ArenaRankAwardItemView:ctor()
self:initView()
end
function ArenaRankAwardItemView:initView()
local info = globalData.allTemplates.arenaAwardTemplateList:getTemplate(self._index)
if(info == nil)then return end
local str = ""
if(info.minRank == (info.maxRank - 1))then
str = info.minRank
else
if(self._index < 5)then
str = info.minRank.."-"..(info.maxRank - 1)
else
str = (info.minRank - 1).."+"
end
end
self._rankLabel:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("ArenaItemView.text2"),str))
self._awardImg:loadTexture("icon/ui_arenaNo"..self._index..".png", 1)
for i,award in pairs(info.awardList) do
self._gridList[i]:setGoodsTempInfo(globalData.allTemplates.goodsTemplateList:getTemplate(award[1]))
if(i == 1)then --exp
self._gridList[i]:setCount(award[2] * globalData.selfPlayerInfo.level)
else
self._gridList[i]:setCount(award[2])
end
end
end
function ArenaRankAwardItemView:dispose()
for __,grid in pairs(self._gridList) do
grid:dispose()
end
self._gridList = nil
self._rankLabel = nil
self._awardImg = nil
globalManager.ccCreator:release(self)
end
ArenaRankAwardPanel = class("ArenaRankAwardPanel", function(self,controller,parent,type)
local temp = globalManager.ccCreator:newJsonWidget("ArenaRankAwardPanel")
temp._controller = controller
temp._parent = parent
temp._listView = temp:getChildByName("listView")
temp._listView:setItemsMargin(10)
temp._closeBtn = temp:getChildByName("closeBtn")
temp._titleLabel = temp:getChildByName("title_label")
if(type == 2) then
temp._titleLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("ArenaRankAwardPanel.text1"))
else
temp._titleLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("ArenaRankAwardPanel.text2"))
end
temp._awardItemList = {}
for i=1,5 do
local item = ArenaRankAwardItemView:new(i,type)
temp._listView:pushBackCustomItem(item)
table.insert(temp._awardItemList,item)
end
temp.type = type
return temp
end)
function ArenaRankAwardPanel:ctor()
self:initEvent()
globalData.uiClickContainer:addItem(self,true,true)
end
function ArenaRankAwardPanel:initEvent()
local function buttonTouchHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self._parent:hideArenaRankAwardPanel()
end
end
self._closeBtn:addTouchEventListener(buttonTouchHandler)
end
function ArenaRankAwardPanel:removeEvent()
end
function ArenaRankAwardPanel:hideFormClickContainer()
self._parent:hideArenaRankAwardPanel()
end
function ArenaRankAwardPanel:dispose()
self:removeEvent()
globalData.uiClickContainer:close(self)
for __,item in pairs(self._awardItemList) do
item:dispose()
end
self._awardItemList = nil
self._titleLabel = nil
self._controller = nil
self._parent = nil
self._listView = nil
self._rankLabel = nil
self._closeBtn = nil
globalManager.ccCreator:release(self)
end
ArenaResultPanel = class("ArenaResultPanel", function(self,controller,type)
local temp = globalManager.ccCreator:newJsonWidget("ArenaResultPanel")
temp._controller = controller
temp._tickTime = 0
temp._time = 5
temp._signImg = temp:getChildByName("signImg")
temp._rankDesLabel = temp:getChildByName("rankDesLabel")
temp._rankLabel = temp:getChildByName("rankLabel")
temp._expLabel = temp:getChildByName("expLabel")
temp._honourLabel = temp:getChildByName("honourLabel")
temp._quitBtn = temp:getChildByName("quitBtn")
temp._btnLabel = temp._quitBtn:getChildByName("btnLabel")
temp.type = type
temp._isDoubleHonour = false
temp._isDoubleShengWang = false
temp:getChildByName("rankDesLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("ArenaResultPanel.text1"))
temp:getChildByName("rankLabel_Copy1"):setText(globalManager.yuyanbaoManager:getYuyanbao("ArenaResultPanel.text2"))
temp:getChildByName("expLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("ArenaResultPanel.text3"))
temp:getChildByName("honourLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("ArenaResultPanel.text4"))
temp._btnLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("ArenaResultPanel.text5"))
return temp
end)
function ArenaResultPanel:ctor()
self._isDoubleHonour = globalData.activityInfo.doubleWelfare[24]
self._isDoubleShengWang = globalData.consumenGiftInfo.arenaIsShow
self:initEvent()
end
function ArenaResultPanel:initEvent()
local function buttonTouchHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self._controller:hideArenaResultPanel(self.type)
end
end
self._quitBtn:addTouchEventListener(buttonTouchHandler)
end
--{sign,userId,exp,honour}
--sign 0:胜利 1：失败 2:排名变化
function ArenaResultPanel:show(fightResult)
if(fightResult.sign == 0)then
self._signImg:loadTexture("icon/ui_league_result2.png",1)
self._rankDesLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("ArenaResultPanel.text1"))
self._rankLabel:setText(globalData.arena1Info.rank)
elseif(fightResult.sign == 1)then
self._signImg:loadTexture("icon/ui_league_result1.png",1)
self._rankDesLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("ArenaResultPanel.text6"))
self._rankDesLabel:setPositionX(275)
self._rankLabel:setText("")
end
self._expLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("ArenaResultPanel.text3") .. fightResult.exp)
if(self.type == 2) then
if(self._isDoubleHonour)then
self._honourLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("ArenaResultPanel.text4") .. fightResult.honour * 2)
else
self._honourLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("ArenaResultPanel.text4") .. fightResult.honour)
end
else
if(self._isDoubleShengWang)then
self._honourLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("ArenaResultPanel.text4") .. fightResult.honour * 2)
else
self._honourLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("ArenaResultPanel.text4") .. fightResult.honour)
end
end
self._tickTime = 0
self._time = 5
self._btnLabel:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("WorldBossVipCompletePanel.text1"),self._time))
globalManager.tickManager:addTick(self.tick, self)
end
function ArenaResultPanel:hideFormClickContainer()
end
function ArenaResultPanel:tick(delta, count)
self._tickTime = self._tickTime + 1
if(self._tickTime >= 60) then
self._tickTime = 0
self._time = self._time - 1
if(self._time <= 0) then
self._controller:hideArenaResultPanel(self.type)
else
self._btnLabel:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("WorldBossVipCompletePanel.text1"),self._time))
end
end
end
function ArenaResultPanel:dispose()
globalData.isShowQuickTip = true
globalManager.tickManager:removeTick(self.tick, self)
self._controller.sceneModule.arenaFightBehavior:stop()
self._controller = nil
self._signImg = nil
self._rankDesLabel = nil
self._rankLabel = nil
self._expLabel = nil
self._honourLabel = nil
self._quitBtn = nil
self._isDoubleHonour = nil
self._isDoubleShengWang = nil
globalManager.ccCreator:release(self)
end
ArenaXHAwardItem = class("ArenaXHAwardItem", function(self,index)
local temp = globalManager.ccCreator:newJsonWidget("ArenaXHAwardItem")
temp._index = index
temp._rankLabel = temp:getChildByName("rankLabel")
temp._awardImg = temp:getChildByName("rankImg")
temp._gridList = {}
for i=1,5 do
local gridWidget = temp:getChildByName("cell" .. i)
local grid = BaseGrid:new(true)
gridWidget:addChild(grid,10)
table.insert(temp._gridList,grid)
end
return temp
end)
function ArenaXHAwardItem:ctor()
self:initView()
end
function ArenaXHAwardItem:initView()
local info = globalData.allTemplates.arenaXHAwardTemplateList:getTemplateById(self._index)
for i = 1,#info.awardList,1 do
self._gridList[i]:setGoodsTempInfo(globalData.allTemplates.goodsTemplateList:getTemplate(info.awardList[i][1]))
self._gridList[i]:setCount(info.awardList[i][2])
end
local str = ""
if(info.minRank == (info.maxRank - 1))then
str = info.minRank
else
str = info.minRank.."-"..(info.maxRank - 1)
end
self._rankLabel:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("ArenaItemView.text2"),str))
self._awardImg:loadTexture("icon/ui_arenaNo"..self._index..".png", 1)
end
function ArenaXHAwardItem:dispose()
for __,grid in pairs(self._gridList) do
grid:dispose()
end
self._gridList = nil
self._rankLabel = nil
self._awardImg = nil
globalManager.ccCreator:release(self)
end
ArenaXHFollowPanel = class("ArenaXHFollowPanel",function (self,controller)
local temp = globalManager.ccCreator:newWidget()
temp._controller = controller
temp.readyTimeLabel = globalManager.ccCreator:newTextAtlas(9,3)
temp.readyTimeLabel:setScale(3)
temp.readyTimeLabel:setPosition(globalManager.ccCreator:newPoint(globalData.GAME_WIDTH/2,-220))
temp:addChild(temp.readyTimeLabel)
temp.endTime = 180
temp.readyTime = 9
temp.tickTime = 0
return temp
end)
function ArenaXHFollowPanel:ctor()
self._controller:setCopyTime(self.endTime)
globalManager.tickManager:addTick(self.tick, self)
end
function ArenaXHFollowPanel:tick(delta, count)
self.tickTime = self.tickTime + 1
if(self.tickTime >= 60) then
self.tickTime = 0
self.readyTime = self.readyTime - 1
if(self.readyTime <= 0) then
self.readyTimeLabel:setVisible(false)
else
self.readyTimeLabel:setStringValue(self.readyTime)
end
end
end
function ArenaXHFollowPanel:dispose()
globalManager.tickManager:removeTick(self.tick, self)
globalManager.ccCreator:release(self.readyTimeLabel)
self.readyTimeLabel = nil
globalManager.ccCreator:release(self)
end
ArenaXHPanel = class("ArenaXHPanel",function (self,controller)
local temp = BasePanel:new()
temp._basePanelDispose = temp.dispose
temp._controller = controller
temp._widget = globalManager.ccCreator:newJsonWidget("ArenaXHPanel")
temp:addChild(temp._widget)
temp._rankLabel = temp._widget:getChildByName("rankLabel")
temp._scoreLabel = temp._widget:getChildByName("scoreLabel")
temp._honorLabel = temp._widget:getChildByName("honorLabel")
temp._rankListView = temp._widget:getChildByName("rankListView")
temp._awardListView = temp._widget:getChildByName("awardListView")
temp._tipsLabel = temp._widget:getChildByName("tipsLabel")
temp._tipsLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("ArenaXHPanel.text4"))
temp._matchBtn = temp._widget:getChildByName("matchBtn")
temp._pageView = temp._widget:getChildByName("pageLayer")
temp._pageList = {}
temp._rankItemList = {}
temp._awardItemList = {}
temp.currentPage = 0
temp.totalPage = 0
temp.selfInfo = {}
temp.rankInfoList = {}
temp._matchBtn:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("ArenaXHPanel.text1"))
temp._widget:getChildByName("personRankLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("RankCrossRechargePanel.text5"))
temp._widget:getChildByName("personScoreLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("ArenaXHPanel.text2"))
temp._widget:getChildByName("personHonorLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("ArenaXHPanel.text3"))
temp._widget:getChildByName("rank"):setText(globalManager.yuyanbaoManager:getYuyanbao("StarcraftPanel.text7"))
temp._widget:getChildByName("name"):setText(globalManager.yuyanbaoManager:getYuyanbao("StarcraftPanel.text8"))
temp._widget:getChildByName("fightValue"):setText(globalManager.yuyanbaoManager:getYuyanbao("StarcraftPanel.text11"))
temp._widget:getChildByName("score"):setText(globalManager.yuyanbaoManager:getYuyanbao("StarcraftPanel.text12"))
temp._widget:getChildByName("titleLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("ArenaXHPanel.text5"))
return temp
end)
function ArenaXHPanel:ctor()
self:initEvent()
self:initView()
end
function ArenaXHPanel:initEvent()
local function matchClickHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
local time = globalData.systemDateInfo:getZeroPassTime()
local matterTemplateInfo = globalData.allTemplates.matterTemplateList:getTemplateByType(29)
if(time < matterTemplateInfo.startTime or matterTemplateInfo.endTime < time)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("PopupTriggerHandler.text9"))
return
end
self._controller.sceneModule.message:sendBeginMatch1v1()
end
end
local function updateItemViewTouchHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED or eventType == TOUCH_EVENT_CANCELED) then
local offsetX = sender:getTouchEndPos().x - sender:getTouchStartPos().x
if(offsetX > 50) then
if(self.currentPage > 1)then
self:setPage(self.currentPage - 1)
end
elseif(offsetX < -50) then
if(self.currentPage < self.totalPage)then
self:setPage(self.currentPage + 1)
end
end
end
end
self._rankListView:addTouchEventListener(updateItemViewTouchHandler)
self._matchBtn:addTouchEventListener(matchClickHandler)
end
function ArenaXHPanel:initView()
for i = 1,5,1 do
local item = ArenaXHAwardItem:new(i)
self._awardListView:pushBackCustomItem(item)
table.insert(self._awardItemList,item)
end
for i = 1,8,1 do
local item = ArenaXHRankItem:new()
table.insert(self._rankItemList,item)
item:setData(nil)
self._rankListView:pushBackCustomItem(item)
end
self._rankLabel:setText("50+")
self._scoreLabel:setText(0)
self._honorLabel:setText(globalData.selfPlayerInfo.honour)
self:resetPageIcon()
self:setPage(1)
end
function ArenaXHPanel:updateRank(rankData)
self.currentPage = rankData.curPage
self.totalPage = rankData.totalPage
self.selfInfo = rankData.selfInfo
for i,playerInfo in pairs(rankData.playerInfoList) do
self.rankInfoList[playerInfo[1]] = playerInfo
end
if(self.selfInfo.rank > 0 and self.selfInfo.rank <= 50)then
self._rankLabel:setText(self.selfInfo.rank)
else
self._rankLabel:setText("50+")
end
self._scoreLabel:setText(self.selfInfo.score)
self._honorLabel:setText(globalData.selfPlayerInfo.honour)
for i = 1,8,1 do
local index = (self.currentPage - 1) * 8 + i
if(#self.rankInfoList >= index and index <= 20)then
self._rankItemList[i]:setData(self.rankInfoList[index])
else
self._rankItemList[i]:setData(nil)
end
end
if(#self.rankInfoList == 0)then
self._tipsLabel:setVisible(true)
else
self._tipsLabel:setVisible(false)
end
self:resetPageIcon()
end
function ArenaXHPanel:setPage(page)
if(self.currentPage == page) then return end
if(self.currentPage ~= 0) then
self._pageList[self.currentPage]:loadTexture("btn/ui_radioBtn1_1.png", 1)
end
self.currentPage = page
if(self._pageList[self.currentPage] ~= nil) then
self._pageList[self.currentPage]:loadTexture("btn/ui_radioBtn1_2.png", 1)
end
if(self.rankInfoList[self.currentPage * 8 - 7] == nil)then
self._controller.sceneModule.message:sendArenaXHInfo(self.currentPage,8)
else
for i = 1,8,1 do
local index = (self.currentPage - 1) * 8 + i
if(#self.rankInfoList >= index and index <= 20)then
self._rankItemList[i]:setData(self.rankInfoList[index])
else
self._rankItemList[i]:setData(nil)
end
end
end
end
function ArenaXHPanel:resetPageIcon()
if(#self._pageList ~= 0) then return end
if(self.totalPage == nil) then self.totalPage = 0 end
if(self.totalPage > 3) then	self.totalPage = 3 end
if(self.totalPage == 0) then return end
for i = 1,self.totalPage,1 do
local pageIcon = globalManager.ccCreator:newImageView()
if(self.currentPage == i) then
pageIcon:loadTexture("btn/ui_radioBtn1_2.png", 1)
else
pageIcon:loadTexture("btn/ui_radioBtn1_1.png", 1)
end
pageIcon:setPosition(160 - (self.totalPage - 1)*20 + (i - 1)*40,27)
table.insert(self._pageList,pageIcon)
self._pageView:addChild(pageIcon)
end
end
function ArenaXHPanel:dispose()
self._controller = nil
self._rankLabel = nil
self._scoreLabel = nil
self._honorLabel = nil
self._rankListView = nil
self._awardListView = nil
self._tipsLabel = nil
self._matchBtn = nil
if(self._rankItemList ~= nil)then
for __,item in pairs(self._rankItemList) do
item:dispose()
end
self._rankItemList = nil
end
self._rankItemList = nil
if(self._awardItemList ~= nil)then
for __,item in pairs(self._awardItemList) do
item:dispose()
end
self._awardItemList = nil
end
self._awardItemList = nil
self.currentPage = nil
self.totalPage = nil
self.selfInfo = nil
self.rankInfoList = nil
self._pageView = nil
for i,info in pairs(self._pageList) do
globalManager.ccCreator:release(info)
info = nil
end
self._pageList = nil
globalManager.ccCreator:release(self._widget)
self._widget = nil
self:_basePanelDispose()
self._basePanelDispose = nil
end
ArenaXHRankItem = class("ArenaXHRankItem",function ()
local temp = globalManager.ccCreator:newJsonWidget("ArenaXHRankItem")
temp._rankImg = temp:getChildByName("rankImg")
temp._playerNameLabel = temp:getChildByName("name")
temp._rankLabel = temp:getChildByName("rank")
temp._fightLabel = temp:getChildByName("fightValue")
temp._scoreLabel = temp:getChildByName("score")
temp._line = temp:getChildByName("line")
return temp
end)
function ArenaXHRankItem:setData(playerInfo)
if(playerInfo ~= nil)then
if(playerInfo[1] <= 3)then
self._rankImg:loadTexture("icon/ui_copyNo"..playerInfo[1]..".png",1)
self._rankImg:setVisible(true)
self._rankLabel:setText("")
else
self._rankImg:setVisible(false)
self._rankLabel:setText(playerInfo[1])
end
self._playerNameLabel:setText(playerInfo[2])--"["..playerInfo[5].."]"..
self._fightLabel:setText(playerInfo[3])
self._scoreLabel:setText(playerInfo[4])
self._line:setVisible(true)
else
self._rankImg:setVisible(false)
self._line:setVisible(false)
self._rankLabel:setText("")
self._playerNameLabel:setText("")
self._fightLabel:setText("")
self._scoreLabel:setText("")
end
end
function ArenaXHRankItem:dispose()
self._rankImg = nil
self._playerNameLabel = nil
self._rankLabel = nil
self._fightLabel = nil
self._scoreLabel = nil
self._line = nil
globalManager.ccCreator:release(self)
end
ArenaXHResultPanel = class("ArenaXHResultPanel",function(self)
local temp = globalManager.ccCreator:newJsonWidget("ArenaXHResultPanel")
temp._winLabel = temp:getChildByName("winLabel")
temp._expLabel = temp:getChildByName("expLabel")
temp._scoreLabel = temp:getChildByName("scoreLabel")
temp._okBtn = temp:getChildByName("okBtn")
temp._btnLabel = temp._okBtn:getChildByName("btnLabel")
temp._honorLabel = temp:getChildByName("honorLabel")
temp:getChildByName("titleLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosResultPanel.text1"))
temp:getChildByName("winLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosResultPanel.text2"))
temp:getChildByName("textLabel1"):setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosResultPanel.text3"))
temp:getChildByName("textLabel2"):setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosResultPanel.text4"))
temp:getChildByName("textLabel3"):setText(globalManager.yuyanbaoManager:getYuyanbao("ArenaResultPanel.text4"))
temp:getChildByName("textLabel4"):setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosFollowPanel.text6"))
temp._okBtn:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosResultPanel.text8"))
temp:getChildByName("textLabel1_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("ArenaXHResultPanel.text1"))
temp._tickTime = 0
temp._time = 5
return temp
end)
function ArenaXHResultPanel:ctor()
self:initEvent()
end
function ArenaXHResultPanel:initEvent()
local function buttonTouchHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self:dispose()
end
end
self._okBtn:addTouchEventListener(buttonTouchHandler)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_reConnect,self.dispose,self)
end
function ArenaXHResultPanel:removeEvent()
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.scene_reConnect,self.dispose,self)
end
--sign 1:胜利 2：失败
function ArenaXHResultPanel:show(fightResult)
if(fightResult.sign == 1)then
self._winLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosResultPanel.text9"))
else
self._winLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosResultPanel.text11"))
self._winLabel:setColor(globalData.allStaticTypes.colorType.FALSE_COLOR)
end
self._expLabel:setText(fightResult.exp)
self._scoreLabel:setText(fightResult.score)
self._honorLabel:setText(fightResult.honor)
self._tickTime = 0
self._time = 5
self._btnLabel:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("WorldBossVipCompletePanel.text1"),self._time))
globalManager.tickManager:addTick(self.tick, self)
globalData.uiClickContainer:addItem(self,true,true)
end
function ArenaXHResultPanel:tick(delta, count)
self._tickTime = self._tickTime + 1
if(self._tickTime >= 60) then
self._tickTime = 0
self._time = self._time - 1
if(self._time <= 0) then
self:dispose()
else
self._btnLabel:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("WorldBossVipCompletePanel.text1"),self._time))
end
end
end
function ArenaXHResultPanel:dispose()
self:removeEvent()
globalData.uiClickContainer:close(self)
globalManager.tickManager:removeTick(self.tick, self)
self._winLabel = nil
self._expLabel = nil
self._honorLabel = nil
self._scoreLabel = nil
self._acceptBtn = nil
self._btnLabel = nil
self._tickTime = nil
self._time = nil
globalManager.ccCreator:release(self)
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.arenaTab,globalData.allStaticTypes.panelTabType.arenaXH)
end
--buff栏
BuffPanel = class("BuffPanel",function(self,controller)
local temp = globalManager.ccCreator:newWidget()
temp._controller  = controller
temp._listPanel   = globalManager.ccCreator:newListView()
temp._listPanel:setDirection(ccui.ScrollViewDir.horizontal)
temp._listPanel:setSize(globalManager.ccCreator:newSize(160,20))
temp._listPanel:setItemsMargin(3)
temp:addChild(temp._listPanel)
temp._viewList    = {}
temp._buffIdList  = {}
temp.eventDis = EventDispatcher:new()
return temp
end)
function BuffPanel:ctor()
self:initEvent()
end
function BuffPanel:initEvent()
self._controller.sceneInfo.scenePlayerList:addEventListener(globalData.globalEventType.sceneInfo_addPlayer,self.addPlayerHandler,self)
self._controller.sceneInfo.scenePlayerList:addEventListener(globalData.globalEventType.sceneInfo_removePlayer,self.removePlayerHandler,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_beforeClearData,self.clearSceneDataHandler,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_reConnect,self.clearAll,self)
end
function BuffPanel:removeEvent()
self._controller.sceneInfo.scenePlayerList:removeEventListener(globalData.globalEventType.sceneInfo_addPlayer,self.addPlayerHandler,self)
self._controller.sceneInfo.scenePlayerList:removeEventListener(globalData.globalEventType.sceneInfo_removePlayer,self.removePlayerHandler,self)
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.scene_beforeClearData,self.clearSceneDataHandler,self)
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.scene_reConnect,self.clearAll,self)
end
function BuffPanel:clearSceneDataHandler(evt)
self:clearAll()
end
function BuffPanel:addPlayerHandler(evt)
if(evt.data:getObjId() == globalData.selfPlayerInfo.userId) then
self:clearAll()
local buffInfo = self._controller.sceneInfo.scenePlayerList.selfPlayer.buffInfo
if(buffInfo._buffList ~= nil) then
for __,id in pairs(buffInfo._buffList) do
self:initBuff(id)
end
end
buffInfo:addEventListener(globalData.globalEventType.playerInfo_addBuff,self.getBuffIdUpdateHandler,self)                                                                        --添加监听更新buff
buffInfo:addEventListener(globalData.globalEventType.playerInfo_removeBuff,self.removeBuffIdUpdateHandler,self)                                              --添加监听移除buff
end
end
function BuffPanel:removePlayerHandler(evt)
if(evt.data:getObjId() == globalData.selfPlayerInfo.userId) then
local buffInfo = self._controller.sceneInfo.scenePlayerList.selfPlayer.buffInfo
buffInfo:removeEventListener(globalData.globalEventType.playerInfo_addBuff,self.getBuffIdUpdateHandler,self)                                                  --移除监听更新buff
buffInfo:removeEventListener(globalData.globalEventType.playerInfo_removeBuff,self.removeBuffIdUpdateHandler,self)                                               --移除监听移除buff
self:clearAll()
end
end
function BuffPanel:initBuff(id)
local buffTemplateInfo = globalData.allTemplates.buffTemplateList:getBuff(id)
if(buffTemplateInfo.picPath == "0")then return end
if(globalManager.commonUtils:getIndexOfTable(self._buffIdList,id) == -1) then
table.insert(self._buffIdList,id)
local picture  = globalManager.ccCreator:newImageView()
picture:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[2])
local picPath = globalManager.pathManager:getBuffImgPath(buffTemplateInfo.picPath)
globalManager.sourceCacheManager:setImage(picture,picPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self._listPanel:pushBackCustomItem(picture)
table.insert(self._viewList,picture)
self._listPanel:refreshView()
end
end
function BuffPanel:getBuffIdUpdateHandler(evt)
local id = evt.data.templateId
self:initBuff(id)
end
function BuffPanel:removeBuffIdUpdateHandler(evt)
local id = evt.data.templateId
if(globalManager.commonUtils:getIndexOfTable(self._buffIdList,id) ~= -1) then
local index = globalManager.commonUtils:getIndexOfTable(self._buffIdList,id)
table.remove(self._buffIdList,index)
self._listPanel:removeItem(index)
globalManager.ccCreator:release(self._viewList[index])
table.remove(self._viewList,index)
self._listPanel:refreshView()
end
end
function BuffPanel:clearAll()
if(self._viewList ~= nil) then
for __,view in pairs(self._viewList) do
globalManager.ccCreator:release(view)
end
self._viewList = {}
end
self._buffIdList = {}
self._listPanel:removeAllItems()
end
function BuffPanel:dispose()
self:removeEvent()
if(self._viewList ~= nil) then
for __,view in pairs(self._viewList) do
globalManager.ccCreator:release(view)
end
self._viewList = nil
end
self._listPanel:removeAllItems()
self._listPanel = nil
self._controller = nil
self._buffIdList = nil
globalManager.ccCreator:release(self)
self.eventDis:dispatchEvent(BaseEvent:new(globalData.globalEventType.trigger_panelDispose,self.eventDis,nil))
self.eventDis:dispose()
self.eventDis = nil
end
ChaosPanel = class("ChaosPanel",function(self,controller)
local temp = BasePanel:new()
temp.__basePanelDispose = temp.dispose
temp._controller = controller
temp._widget = globalManager.ccCreator:newJsonWidget("chaosPanel")
temp:addChild(temp._widget)
temp._bg = temp._widget:getChildByName("bg")
temp._bgPath = globalManager.pathManager:getUISource("outPic/chaos_bg.png")
temp._countDownLabel = temp._widget:getChildByName("countDownLabel")
temp._timesLabel = temp._widget:getChildByName("timesLabel")
temp._myRankLabel = temp._widget:getChildByName("MyRankLabel")
temp._winsPointLabel = temp._widget:getChildByName("winsPointLabel1")
temp._winsPointLabelTips = temp._widget:getChildByName("winsPointLabel2")
temp._explainLabel = temp._widget:getChildByName("explainLabel")
temp._awardBtn = temp._widget:getChildByName("awardBtn")
temp._awardBtnPath = globalManager.pathManager:getUISource("outPic/chaos_award_icon.png")
temp._rankBtn = temp._widget:getChildByName("rankBtn")
temp._rankBtnPath = globalManager.pathManager:getUISource("outPic/chaos_rank_icon.png")
temp._matchingBtn = temp._widget:getChildByName("MatchingBtn")
temp._closeBtn = temp._widget:getChildByName("closeBtn")
temp._inviteBrotherBtn = temp._widget:getChildByName("InviteBrotherBtn")
temp._itemList = {}
for i = 1,3,1 do
local itemWidget = temp._widget:getChildByName("item"..i)
local item = ChaosItemView:new(itemWidget,controller,i)
table.insert(temp._itemList,item)
end
temp._countDownView = CountDownLabel:new(temp._countDownLabel,0)
temp.effect = nil
temp.chaosAwardPanel = nil
temp.chaosRankPanel = nil
temp.chaosInvitePanel = nil
temp.isKick = false
temp.myPos = 0
temp.isCaptain = nil
temp.canGainAward = false
temp.isCanClick = {false,true,true}
temp.hasInvited = {false,false,false}
temp.inviteUserId = {}
temp.playerCount = 0
temp._count1 = 0
temp._count2 = 0
temp._time = 0
temp._widget:getChildByName("Label_795156"):setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosPanel.text1"))
temp._widget:getChildByName("Label_795158"):setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosPanel.text2"))
temp._widget:getChildByName("Label_795159"):setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosPanel.text3"))
temp._widget:getChildByName("Label_795161"):setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosPanel.text4"))
temp._widget:getChildByName("Label_795156"):setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosPanel.text5"))
temp._widget:getChildByName("Label_795154"):setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosPanel.text6"))
temp._matchingBtn:getChildByName("LabelBMFont_735316"):setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosPanel.text7"))
temp._inviteBrotherBtn:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosPanel.text18"))
return temp
end)
function ChaosPanel:ctor()
globalManager.sourceCacheManager:setImage(self._bg,self._bgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
globalManager.sourceCacheManager:setImage(self._awardBtn,self._awardBtnPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
globalManager.sourceCacheManager:setImage(self._rankBtn,self._rankBtnPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self:initEvent()
self:initView()
globalData.messageAdder:sendTaoYuanInfo()
globalData.messageAdder:sendGetPlayerInfo3V3()
end
function ChaosPanel:initEvent()
local function close()
globalData.uiPanelContainer:close()
end
local function closeBtnHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(self.playerCount > 1)then
if(self.isCaptain)then
Alert:new():show(2,globalManager.yuyanbaoManager:getYuyanbao("ChaosPanel.text8"),nil,0,self,close)
else
Alert:new():show(2,globalManager.yuyanbaoManager:getYuyanbao("ChaosPanel.text17"),nil,0,self,close)
end
else
globalData.uiPanelContainer:close()
end
end
end
local function awardBtnTouchHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(self.canGainAward)then
self:isShowEffect(false)
self._controller.sceneModule.message:sendGetAward3V3()
return
end
if(self.chaosAwardPanel == nil) then
self.chaosAwardPanel = ChaosAwardPanel:new(self._controller,self)
end
end
end
local function rankBtnTouchHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(self.chaosRankPanel == nil) then
self.chaosRankPanel = ChaosRankPanel:new(self._controller,self)
end
end
end
local function inviteBtnTouchHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(self:isNotOpenTime())then return end
local pos = 0
if(sender == self._itemList[2])then
pos = 2
if(self.isCanClick[2] == false)then
return
end
elseif(sender == self._itemList[3])then
pos = 3
if(self.isCanClick[3] == false)then
return
end
end
if(globalData.selfPlayerInfo.combat < 100000)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("ChaosPanel.text10"))
elseif(#globalData.friendList:getOnlineList() <= 0)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("ChaosPanel.text11"))
else
if(self.chaosInvitePanel == nil) then
self.chaosInvitePanel = ChaosInvitePanel:new(self._controller,pos,self)
end
end
end
end
local function matchBtnTouchHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(self:isNotOpenTime())then return end
if(globalData.selfPlayerInfo.combat < 100000)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("ChaosPanel.text10"))
else
self._controller.sceneModule.message:sendBeginMatch3V3()
self._controller:showMatchPanel()
end
end
end
local function oathInviteHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(self:isNotOpenTime())then return end
if(globalData.selfPlayerInfo.combat < 100000)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("ChaosPanel.text10"))
elseif(globalData.oathInfo.oathPosition <= 0)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("ChaosPanel.text19"))
elseif(self.isCanClick[2] == false and self.isCanClick[3] == false)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("ChaosPanel.text20"))
elseif(self:brotherState())then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("ChaosPanel.text21"))
else
local userIdList = globalData.oathInfo:getOtherUserId(1)
if(#userIdList == 1)then
if(globalData.friendList:isFriend(userIdList[1]) ~= true)then
self:brotherIsNotFriendTips()
elseif(self.isCanClick[2] == true)then
self._controller.sceneModule.message:sendInviteFriend3V3(userIdList[1],2)
self:setInviteStatus(2,userIdList[1])
elseif(self.isCanClick[3] == true)then
self._controller.sceneModule.message:sendInviteFriend3V3(userIdList[1],3)
self:setInviteStatus(3,userIdList[1])
end
elseif(#userIdList == 2)then
if(self.isCanClick[2] == true and self.isCanClick[3] == true)then
if(globalData.friendList:isFriend(userIdList[1]))then
self._controller.sceneModule.message:sendInviteFriend3V3(userIdList[1],2)
self:setInviteStatus(2,userIdList[1])
else
self:brotherIsNotFriendTips()
end
if(globalData.friendList:isFriend(userIdList[2]))then
self._controller.sceneModule.message:sendInviteFriend3V3(userIdList[2],3)
self:setInviteStatus(3,userIdList[2])
else
self:brotherIsNotFriendTips()
end
else
local userId = nil
local index = 0 --邀请位置
for i=2,3,1 do
if(self.inviteUserId[i] ~= nil and self.isCanClick[i] == false)then
userId = self.inviteUserId[i]
index = math.floor(6/i)
end
end
if(userId == userIdList[1])then --已经邀请一个兄弟
if(globalData.friendList:isFriend(userIdList[2]))then
self._controller.sceneModule.message:sendInviteFriend3V3(userIdList[2],index)
self:setInviteStatus(index,userIdList[2])
else
end
elseif(userId == userIdList[2])then
if(globalData.friendList:isFriend(userIdList[1]))then
self._controller.sceneModule.message:sendInviteFriend3V3(userIdList[1],index)
self:setInviteStatus(index,userIdList[1])
else
end
else
if(globalData.friendList:isFriend(userIdList[1]) and globalData.friendList:isFriend(userIdList[2]))then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("ChaosPanel.text22"))
else
if(globalData.friendList:isFriend(userIdList[1]))then
self._controller.sceneModule.message:sendInviteFriend3V3(userIdList[1],index)
self:setInviteStatus(index,userIdList[2])
else
self._controller.sceneModule.message:sendInviteFriend3V3(userIdList[2],index)
self:setInviteStatus(index,userIdList[1])
end
end
end
end
end
end
end
end
self._closeBtn:addTouchEventListener(closeBtnHandler)
self._matchingBtn:addTouchEventListener(matchBtnTouchHandler)
self._inviteBrotherBtn:addTouchEventListener(oathInviteHandler)
self._awardBtn:addTouchEventListener(awardBtnTouchHandler)
self._rankBtn:addTouchEventListener(rankBtnTouchHandler)
self._itemList[2]:addTouchEventListener(inviteBtnTouchHandler)
self._itemList[3]:addTouchEventListener(inviteBtnTouchHandler)
end
function ChaosPanel:brotherIsNotFriendTips()
local userIdList = globalData.oathInfo:getOtherUserId()
local userNameList = globalData.oathInfo:getOtherTwoName()
for i = 1,#userIdList,1 do
if(globalData.friendList:isFriend(userIdList[i]) == false)then
globalManager.tipsManager.quickTip:show(userNameList[i]..globalManager.yuyanbaoManager:getYuyanbao("ChaosPanel.text23"))
break
end
end
end
function ChaosPanel:brotherState()
local userIdList = globalData.oathInfo:getOtherUserId(1)
if(userIdList == nil or #userIdList == 0)then
return true
elseif(#userIdList > 0)then
return false
end
end
function ChaosPanel:isNotOpenTime()
local time = globalData.systemDateInfo:getZeroPassTime()
local matterTemplateInfo3v3 = globalData.allTemplates.matterTemplateList:getTemplateByType(25)
if(time < matterTemplateInfo3v3.startTime or matterTemplateInfo3v3.endTime < time)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("PopupTriggerHandler.text9"))
return true
end
return false
end
function ChaosPanel:initView()
local Wday = globalData.systemDateInfo:getWday(math.floor(globalData.systemDateInfo:getSystemTime() / 1000))
local passTime = math.floor(globalData.systemDateInfo:getZeroPassTime() + 0.5)
if(Wday == 1)then
if(passTime >= 14 * 3600)then
self._countDownView:setText("6"..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel6"))
else
self._countDownView:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel78"))
end
elseif(Wday >= 2 and Wday < 7)then
self._countDownView:setText(7 - Wday..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel6"))
elseif(Wday == 7)then
if(passTime >= 22 * 3600)then
self:endTime()
else
local time = 22 * 3600 - passTime
self._countDownView:start(time,self.endTime,self)
end
end
self._explainLabel:setText(globalManager.descriptManager:getDescript("10028"))
end
function ChaosPanel:endTime()
self._countDownView:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel77"))
self._countDownView:setColor(globalData.allStaticTypes.colorType.FALSE_COLOR)
end
function ChaosPanel:setInviteStatus(pos,userId)
self.hasInvited[pos] = true
self.isCanClick[pos] = false
self._itemList[pos]:setNameLabel(globalManager.yuyanbaoManager:getYuyanbao("ChaosPanel.text13"))
if(pos == 2)then
self._count1 = 10
elseif(pos == 3)then
self._count2 = 10
end
self._time = 0
globalManager.tickManager:addTick(self.tick,self)
if(userId ~= nil)then
self.inviteUserId[pos] = userId
end
end
function ChaosPanel:resetInviteStatus(pos)
self.hasInvited[pos] = false
self.isCanClick[pos] = true
self._itemList[pos]:setNameLabel("")
self.inviteUserId[pos] = nil
end
function ChaosPanel:getInviteUserIdByPos(pos)
return self.inviteUserId[pos]
end
function ChaosPanel:tick(delta,count)
self._time = self._time + 1
if(self._time >= 60) then
self._time = 0
self._count1 = self._count1 - 1
self._count2 = self._count2 - 1
if(self._count1 == 0)then
self:resetInviteStatus(2)
end
if(self._count2 == 0)then
self:resetInviteStatus(3)
end
if(self._count1 <= 0 and self._count2 <= 0) then
globalManager.tickManager:removeTick(self.tick,self)
end
end
end
function ChaosPanel:updatePlayerInfo(infoList,myPos,todayTimes,score,duan)
self.playerCount = #infoList + 1
self.myPos = myPos
self.isCaptain = false
if(myPos == 1)then
self.isCaptain = true
end
self.isCanClick = {false,true,true}
if(#infoList == 0)then
self._itemList[2]:setData(nil,self.isCaptain)
self._itemList[3]:setData(nil,self.isCaptain)
elseif(#infoList == 1)then
if(myPos == 2 or infoList[1].pos == 2)then
self._itemList[3]:setData(nil,self.isCaptain)
elseif(myPos == 3 or infoList[1].pos == 3)then
self._itemList[2]:setData(nil,self.isCaptain)
end
end
for i = 1,#infoList,1 do
self._itemList[infoList[i].pos]:setData(infoList[i],self.isCaptain)
self.isCanClick[infoList[i].pos] = false
self.hasInvited[infoList[i].pos] = false
if(infoList[i].pos == 2)then
self._count1 = 0
elseif(infoList[i].pos == 3)then
self._count2 = 0
end
end
self._itemList[myPos]:setData(globalData.selfPlayerInfo,self.isCaptain,duan)
--self.isCanClick[myPos] = false
--self.hasInvited[myPos] = false
local duanWei = globalData.allTemplates.chaosTemplateList:getDuanWei(duan)
local maxScore = globalData.allTemplates.chaosTemplateList:getCurMaxScoreByDuan(duan)
self._myRankLabel:setText(duanWei)
self._winsPointLabel:setText(score.."/"..maxScore)
if(maxScore == score)then
local posX = self._winsPointLabel:getPositionX()
local width = self._winsPointLabel:getSize().width
self._winsPointLabelTips:setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosPanel.text14"))
self._winsPointLabelTips:setPositionX(posX + width)
else
self._winsPointLabelTips:setText("")
end
self._timesLabel:setText(todayTimes..globalManager.yuyanbaoManager:getYuyanbao("ChaosPanel.text15"))
if(#infoList == 0)then
self._itemList[1].outBtn:setEnabled(false)
end
if(not self.isCaptain)then
self.isCanClick = {false,false,false}
self._matchingBtn:setEnabled(false)
--self._matchingBtn:loadTextureNormal("btn/ui_tabBtn1_5.png",1)
self._inviteBrotherBtn:setEnabled(false)
end
for i = 2,3,1 do
if(self.hasInvited[i] == true)then
self._itemList[i]:setNameLabel(globalManager.yuyanbaoManager:getYuyanbao("ChaosPanel.text13"))
end
end
end
function ChaosPanel:isShowEffect(canGainAward)
self.canGainAward = canGainAward
if(canGainAward and self.effect == nil) then
self.effect = globalManager.effectCreator:create(37)
self.effect:move2(self._widget,87,-71)
self.effect:setScale(1.4)
self._widget:addNode(self.effect,0)
self.effect:play()
elseif(not canGainAward and self.effect ~= nil) then
self.effect:dispose()
self.effect = nil
end
end
function ChaosPanel:quitTeam(pos)
self._itemList[pos]:setData(nil,self.isCaptain)
self.playerCount = self.playerCount - 1
if(self.isCaptain)then
self.isCanClick[pos] = true
end
self.inviteUserId[pos] = nil
end
function ChaosPanel:kickMenber(pos)
if(pos == self.myPos)then
self.isKick = true
globalData.uiPanelContainer:close()
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("ChaosPanel.text16"))
else
self.playerCount = self.playerCount - 1
self._itemList[pos]:setData(nil,self.isCaptain)
if(self.isCaptain)then
self.isCanClick[pos] = true
end
self.inviteUserId[pos] = nil
end
end
function ChaosPanel:hideChaosAwardPanel()
if(self.chaosAwardPanel ~= nil) then
self.chaosAwardPanel:dispose()
self.chaosAwardPanel = nil
end
end
function ChaosPanel:hideChaosRankPanel()
if(self.chaosRankPanel ~= nil) then
self.chaosRankPanel:dispose()
self.chaosRankPanel = nil
end
end
function ChaosPanel:hideChaosInvitePanel()
if(self.chaosInvitePanel ~= nil) then
self.chaosInvitePanel:dispose()
self.chaosInvitePanel = nil
end
end
function ChaosPanel:dispose()
globalManager.tickManager:removeTick(self.tick,self)
if(globalData.copyInfo.currentCopyId ~= globalData.allTemplates.copyTemplateList.CHAOS and not self.isKick)then
self._controller.sceneModule.message:sendQuitTeam3V3()
end
self._controller:hideMatchPanel()
self:hideChaosAwardPanel()
self:hideChaosRankPanel()
self:hideChaosInvitePanel()
self._bg = nil
globalManager.sourceCacheManager:removeQuote(self._bgPath)
self._bgPath = nil
self._awardBtn = nil
globalManager.sourceCacheManager:removeQuote(self._awardBtnPath)
self._awardBtnPath = nil
self._rankBtn = nil
globalManager.sourceCacheManager:removeQuote(self._rankBtnPath)
self._rankBtnPath = nil
self._countDownLabel = nil
self._timesLabel = nil
self._myRankLabel = nil
self._winsPointLabel = nil
self._winsPointLabelTips = nil
self._explainLabel = nil
self._matchingBtn = nil
self._closeBtn = nil
self.iskick = nil
self.isCaptain = nil
self.isCanClick = nil
self.hasInvited = nil
self.inviteUserId = nil
for i,item in pairs(self._itemList) do
item:dispose()
end
self._itemList = nil
if(self._countDownView ~= nil)then
self._countDownView:dispose()
self._countDownView = nil
end
if(self.effect ~= nil)then
self.effect:dispose()
self.effect = nil
end
globalManager.ccCreator:release(self._widget)
self._widget = nil
self.__basePanelDispose(self)
self.__basePanelDispose = nil
end
ChaosAwardPanel = class("ChaosAwardPanel",function(self,controller,parent)
local temp = globalManager.ccCreator:newJsonWidget("ArenaRankAwardPanel")
temp._controller = controller
temp._parent = parent
temp._listView = temp:getChildByName("listView")
temp._listView:setItemsMargin(10)
temp._closeBtn = temp:getChildByName("closeBtn")
temp._titleLabel = temp:getChildByName("title_label")
temp._titleLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosAwardPanel.text1"))
temp._awardItemList = {}
return temp
end)
function ChaosAwardPanel:ctor()
self:initEvent()
self:initView()
globalData.uiClickContainer:addItem(self,true,true)
end
function ChaosAwardPanel:initView()
local num = globalData.allTemplates.chaosTemplateList.DAILY_COUNT_MAX
local dailyList = globalData.allTemplates.chaosTemplateList.dailyList
for i=num,1,-1 do
local item = ChaosAwardItemView:new(i)
self._listView:pushBackCustomItem(item)
table.insert(self._awardItemList,item)
end
end
function ChaosAwardPanel:initEvent()
local function buttonTouchHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self._parent:hideChaosAwardPanel()
end
end
self._closeBtn:addTouchEventListener(buttonTouchHandler)
end
function ChaosAwardPanel:removeEvent()
end
function ChaosAwardPanel:dispose()
self:removeEvent()
globalData.uiClickContainer:close(self)
for __,item in pairs(self._awardItemList) do
item:dispose()
end
self._awardItemList = nil
self._titleLabel = nil
self._controller = nil
self._parent = nil
self._listView = nil
self._rankLabel = nil
self._closeBtn = nil
globalManager.ccCreator:release(self)
end
ChaosAwardItemView = class("ChaosAwardItemView", function(self,index)
local temp = globalManager.ccCreator:newJsonWidget("ArenaRankAwardItemView")
temp._index = index
temp._rankLabel = temp:getChildByName("rankLabel")
temp._awardImg = temp:getChildByName("awardImg")
temp._gridList = {}
for i=1,5 do
local gridWidget = temp:getChildByName("awardGrid" .. i)
local grid = BaseGrid:new(true)
grid:setPosition(cc.p(gridWidget:getPositionX() + 2,gridWidget:getPositionY() - 8))
temp:addChild(grid,10)
table.insert(temp._gridList,grid)
end
temp.duanWeiList = {}
return temp
end)
function ChaosAwardItemView:ctor()
self.duanWeiList =
{
globalManager.yuyanbaoManager:getYuyanbao("ChaosRank.stage1").."1",
globalManager.yuyanbaoManager:getYuyanbao("ChaosRank.stage1").."2",
globalManager.yuyanbaoManager:getYuyanbao("ChaosRank.stage1").."3",
globalManager.yuyanbaoManager:getYuyanbao("ChaosRank.stage2").."1",
globalManager.yuyanbaoManager:getYuyanbao("ChaosRank.stage2").."2",
globalManager.yuyanbaoManager:getYuyanbao("ChaosRank.stage2").."3",
globalManager.yuyanbaoManager:getYuyanbao("ChaosRank.stage3").."1",
globalManager.yuyanbaoManager:getYuyanbao("ChaosRank.stage3").."2",
globalManager.yuyanbaoManager:getYuyanbao("ChaosRank.stage3").."3",
globalManager.yuyanbaoManager:getYuyanbao("ChaosRank.stage4").."1",
globalManager.yuyanbaoManager:getYuyanbao("ChaosRank.stage4").."2",
globalManager.yuyanbaoManager:getYuyanbao("ChaosRank.stage4").."3",
globalManager.yuyanbaoManager:getYuyanbao("ChaosRank.stage5")
}
self:initView()
end
function ChaosAwardItemView:initView()
if(self._index == 13)then
self._rankLabel:setText(self.duanWeiList[self._index])
self._awardImg:loadTexture("icon/ui_arenaNo1.png", 1)
elseif(self._index >= 10 and self._index <= 12)then
self._rankLabel:setText(self.duanWeiList[self._index])
self._awardImg:loadTexture("icon/ui_arenaNo2.png", 1)
elseif(self._index >= 7 and self._index <= 9)then
self._rankLabel:setText(self.duanWeiList[self._index])
self._awardImg:loadTexture("icon/ui_arenaNo3.png", 1)
elseif(self._index >= 4 and self._index <= 6)then
self._rankLabel:setText(self.duanWeiList[self._index])
self._awardImg:loadTexture("icon/ui_arenaNo4.png", 1)
elseif(self._index >= 1 and self._index <= 3)then
self._rankLabel:setText(self.duanWeiList[self._index])
self._awardImg:loadTexture("icon/ui_arenaNo5.png", 1)
end
local awardList = globalData.allTemplates.chaosTemplateList.dailyList[self._index].awardList
for i = 1,#awardList,1 do
self._gridList[i]:setGoodsTempInfo(globalData.allTemplates.goodsTemplateList:getTemplate(awardList[i][1]))
self._gridList[i]:setCount(awardList[i][2])
end
end
function ChaosAwardItemView:dispose()
for __,grid in pairs(self._gridList) do
grid:dispose()
end
self._gridList = nil
self._rankLabel = nil
self._awardImg = nil
self.duanWeiList = nil
globalManager.ccCreator:release(self)
end
ChaosFollowPanel = class("ChaosFollowPanel",function(self,controller)
local temp = globalManager.ccCreator:newJsonWidget("chaosFollowPanel")
temp._zhenYingLabel = temp:getChildByName("zhenYingLabel")
temp._redCrystalLabel = temp:getChildByName("redCrystalLabel")
temp._blueCrystalLabel = temp:getChildByName("blueCrystalLabel")
temp._redScoreLabel = temp:getChildByName("redJiFenLabel")
temp._blueScoreLabel = temp:getChildByName("blueJiFenLabel")
temp._redLabel = temp:getChildByName("Label_795344")
temp._redLabel:setColor(globalData.allStaticTypes.colorType.FALSE_COLOR)
temp._blueLabel = temp:getChildByName("Label_795346")
temp._blueLabel:setColor(globalData.allStaticTypes.colorType.ITEMCOLOR3)
temp._tipsImg = temp:getChildByName("tipsImg")
temp._headIconList = {}
temp._nameLabelList = {}
temp._levelLabelList = {}
temp._countLabelList = {}
temp._reportBtnList = {}
for i = 1,3,1 do
local headIcon = temp:getChildByName("headIcon"..i)
local nameLabel = temp:getChildByName("playerName"..i)
local levelLabel = temp:getChildByName("levelLabel"..i)
local countLabel = temp:getChildByName("countLabel"..i)
local btn = temp:getChildByName("reportBtn"..i)
table.insert(temp._headIconList,headIcon)
table.insert(temp._nameLabelList,nameLabel)
table.insert(temp._levelLabelList,levelLabel)
table.insert(temp._countLabelList,countLabel)
table.insert(temp._reportBtnList,btn)
temp._reportBtnList[i]:getChildByName("LabelBMFont_735316"):setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosFollowPanel.text1"))
end
temp:getChildByName("Label_795342"):setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosFollowPanel.text2"))
temp:getChildByName("Label_795344"):setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosFollowPanel.text3"))
temp:getChildByName("Label_795346"):setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosFollowPanel.text4"))
temp:getChildByName("Label_795347_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosFollowPanel.text5"))
temp:getChildByName("Label_795347"):setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosFollowPanel.text5"))
temp:getChildByName("Label_795351_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosFollowPanel.text6"))
temp:getChildByName("Label_795351"):setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosFollowPanel.text6"))
temp._controller = controller
temp.myCamp = 0
temp.info = globalData.copyInfo.copyChaosInfo
temp.index = 0
temp.lastTime = 0
temp.nowTime = 0
temp.hasShowTips = false
return temp
end)
function ChaosFollowPanel:ctor()
self:initEvent()
self._controller.sceneModule.message:sendGetCopyInfo3V3()
end
function ChaosFollowPanel:initEvent()
local function sendMessage()
self._controller.sceneModule.message:sendReport3v3(self.info.playerInfoList[self.index][1])
self.lastTime = self.nowTime
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("ChaosFollowPanel.text7"))
end
local function btnTouchHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(sender == self._reportBtnList[1])then
self.index = 1
elseif(sender == self._reportBtnList[2])then
self.index = 2
elseif(sender == self._reportBtnList[3])then
self.index = 3
end
self.nowTime = globalData.systemDateInfo:getSystemTime()
local systemTime = math.floor(self.nowTime/1000)
if(systemTime - self.info.playerInfoList[self.index][6] < 30)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("ChaosFollowPanel.text8"))
elseif(self.nowTime - self.lastTime >= 30000)then
local text = globalManager.yuyanbaoManager:getYuyanbao("ChaosFollowPanel.text11")
Alert:new():show(2,text,nil,0,self,sendMessage)
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("ChaosFollowPanel.text9"))
end
end
end
local function tipsTouchHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
globalManager.tipsManager:showString(globalManager.descriptManager:getDescript("10029"))
end
end
for i=1,3 do
self._reportBtnList[i]:addTouchEventListener(btnTouchHandler)
end
self._tipsImg:addTouchEventListener(tipsTouchHandler)
self.info:addEventListener(globalData.globalEventType.chaosCopyInfo_update,self.followUpdate,self)
end
function ChaosFollowPanel:removeEvent()
self.info:removeEventListener(globalData.globalEventType.chaosCopyInfo_update,self.followUpdate,self)
end
function ChaosFollowPanel:followUpdate()
self.myCamp = self.info.myCamp
if(self.myCamp == 1)then
self._zhenYingLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosFollowPanel.text4"))
self._zhenYingLabel:setColor(globalData.allStaticTypes.colorType.ITEMCOLOR3)
else
self._zhenYingLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosFollowPanel.text3"))
self._zhenYingLabel:setColor(globalData.allStaticTypes.colorType.FALSE_COLOR)
end
self._blueCrystalLabel:setText(self.info.teamInfoList[1][1])
self._blueScoreLabel:setText(self.info.teamInfoList[1][2].."/1600")
self._redCrystalLabel:setText(self.info.teamInfoList[2][1])
self._redScoreLabel:setText(self.info.teamInfoList[2][2].."/1600")
for i = 1,#self.info.playerInfoList,1 do
self._headIconList[i]:loadTexture(globalData.allStaticTypes.careerType:getHeadPath(self.info.playerInfoList[i][2]),1)
self._nameLabelList[i]:setText(self.info.playerInfoList[i][3])
self._levelLabelList[i]:setText(self.info.playerInfoList[i][5])
self._countLabelList[i]:setText(self.info.playerInfoList[i][4])
if(self.info.playerInfoList[i][1] == globalData.selfPlayerInfo.userId)then
self._reportBtnList[i]:setEnabled(false)
local maxScore = globalData.allTemplates.chaosTemplateList:getCurMaxScoreByDuan(self.info.playerInfoList[i][8])
if(self.info.playerInfoList[i][7] == maxScore and not self.hasShowTips)then
self.hasShowTips = true
globalManager.tipsManager.sceneWordTip:showText(globalManager.yuyanbaoManager:getYuyanbao("ChaosFollowPanel.text10"))
end
end
end
self._controller:setCopyTime(math.floor(self.info.endTime - globalData.systemDateInfo:getSystemTime()/1000))
end
function ChaosFollowPanel:dispose()
self:removeEvent()
self.info = nil
self._controller = nil
self._zhenYingLabel = nil
self._redCrystalLabel = nil
self._blueCrystalLabel = nil
self._redScoreLabel = nil
self._blueScoreLabel = nil
self._headIconList = nil
self._nameLabelList = nil
self._levelLabelList = nil
self._countLabelList = nil
self._reportBtnList = nil
globalManager.ccCreator:release(self)
end
ChaosInvitePanel = class("ChaosInvitePanel",function(self,controller,pos,parent)
local temp = globalManager.ccCreator:newJsonWidget("chaosInvitePanel")
temp._closeBtn = temp:getChildByName("closeBtn_Copy0")
temp._itemListView = temp:getChildByName("ScrollView_489077_Copy0")
temp._controller = controller
temp._pos= pos
temp.parent = parent
temp._itemList = {}
temp._friendOnlineList = {}
temp.currentFriendIndex = 0
return temp
end)
function ChaosInvitePanel:ctor()
self:initEvent()
self:initView()
globalData.uiClickContainer:addItem(self,true,true)
end
function ChaosInvitePanel:initEvent()
local closeClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self.parent:hideChaosInvitePanel()
end
end
self._closeBtn:addTouchEventListener(closeClickHandler)
end
function ChaosInvitePanel:hide()
self.parent:hideChaosInvitePanel()
end
function ChaosInvitePanel:initView()
local function friendSort(info1,info2)
local count1 = globalData.chatItemList:getUnreadCount(info1.info.userId)
local count2 = globalData.chatItemList:getUnreadCount(info2.info.userId)
if(count1 == count2) then
return info1.online > info2.online
end
return count1 > count2
end
self._itemList = {}
self._friendOnlineList = globalData.friendList:getOnlineList()
table.sort(self._friendOnlineList,friendSort)
local len = table.getn(self._friendOnlineList)
local height = 500
if(len > 8)then
height = 120 * math.floor(1 + (len - 1)/ 2)
end
for i=1,len,1 do
local item = ChaosInviteItemView:new(self,self._controller,self._pos)
table.insert(self._itemList,item)
self._itemListView:addChild(item)
item:setPosition(cc.p(360 * ((i - 1) % 2),height - 120 - 120 * math.floor((i - 1) / 2)))
item:setData(i,self._friendOnlineList[i],self.itemTouchCallback,self)
end
self:setSelectedItem(1)
self._itemListView:setInnerContainerSize(globalManager.ccCreator:newSize(731,height))
end
function ChaosInvitePanel:itemTouchCallback(index)
self:setSelectedItem(index)
end
function ChaosInvitePanel:setSelectedItem(index)
if(index == 0)then
self.currentFriendIndex = 0
else
if(self.currentFriendIndex == index)then
return
end
if(self.currentFriendIndex ~= 0) then
self._itemList[self.currentFriendIndex]:setSelected(false)
end
self.currentFriendIndex = index
self._itemList[self.currentFriendIndex]:setSelected(true)
end
end
function ChaosInvitePanel:dispose()
globalData.uiClickContainer:close(self)
self._closeBtn = nil
self._itemListView = nil
self._controller = nil
self.parent = nil
self._pos = nil
for __,item in pairs(self._itemList) do
item:dispose()
end
self._itemList = nil
self._friendOnlineList = nil
self.currentFriendIndex = nil
globalManager.ccCreator:release(self)
end
ChaosInviteItemView = class("ChaosInviteItemView",function(self,parent,controller,pos)
local temp = globalManager.ccCreator:newJsonWidget("chaosInviteItem")
temp.headIcon = temp:getChildByName("headIcon")
temp.levelLabel = temp:getChildByName("levelLabel")
temp.nameLabel = temp:getChildByName("nameLabel")
temp.selectBoard = temp:getChildByName("ImageView_444208")
temp.vipLevel = temp:getChildByName("vipLevel")
temp.vipIcon = temp:getChildByName("vip_icon")
temp.inviteBtn  = temp:getChildByName("inviteBtn")
temp.inviteBtnPath = globalManager.pathManager:getUISource("outPic/chaos_invite_icon.png")
temp.selectBoard:setVisible(false)
temp.friendInfo = nil
temp.index = 0
temp._selected = false
temp._selectCallback = nil
temp._selectCallbackTarget = nil
temp.parent = parent
temp._controller = controller
temp.pos = pos
return temp
end)
function ChaosInviteItemView:ctor()
globalManager.sourceCacheManager:setImage(self.inviteBtn,self.inviteBtnPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self:initEvent()
end
function ChaosInviteItemView:initEvent()
local function touchHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(sender == self)then
if(self._selectCallback ~= nil)then
self._selectCallback(self._selectCallbackTarget,self.index)
end
elseif(sender == self.inviteBtn)then
local position = 1
if(self.pos == 2)then
position = 3
elseif(self.pos == 3)then
position = 2
end
local userId = self.parent.parent:getInviteUserIdByPos(position)
if(userId ~= nil and userId == self.friendInfo.info.userId) then return end
if(self.friendInfo.info.level < globalData.newModuleLevelConfig.chaosLevel)then
globalManager.tipsManager.quickTip:show(string.format(globalManager.yuyanbaoManager:getYuyanbao("ChaosInviteItemView.text1"),globalData.newModuleLevelConfig.chaosLevel))
else
--邀请
self._controller.sceneModule.message:sendInviteFriend3V3(self.friendInfo.info.userId,self.pos)
--关闭面板
self.parent.parent:setInviteStatus(self.pos,self.friendInfo.info.userId)
self.parent:hide()
end
end
end
end
self:addTouchEventListener(touchHandler)
self.inviteBtn:addTouchEventListener(touchHandler)
end
function ChaosInviteItemView:setSelected(value)
if(self._selected == value)then return end
self._selected = value
self.selectBoard:setVisible(value)
end
function ChaosInviteItemView:setData(index,info,itemTouchCallback,target)
self.index = index
self.friendInfo = info
self.headIcon:loadTexture(globalData.allStaticTypes.careerType:getHeadPath(self.friendInfo.info.career),1)
self._selectCallback = itemTouchCallback
self._selectCallbackTarget = target
self:updateView()
end
function ChaosInviteItemView:updateView()
self.nameLabel:setText(self.friendInfo.info.nick)
if(self.friendInfo.info.level == 0) then
self.levelLabel:setText("??")
else
self.levelLabel:setText(self.friendInfo.info.level)
end
if(self.friendInfo.info.vipLevel > 0)then
self.vipLevel:setStringValue(self.friendInfo.info.vipLevel)
else
self.vipLevel:setVisible(false)
self.vipIcon:setVisible(false)
end
end
function ChaosInviteItemView:dispose()
self.headIcon = nil
self.levelLabel = nil
self.nameLabel = nil
self.selectBoard = nil
self.vipLevel = nil
self.vipIcon = nil
self.inviteBtn = nil
globalManager.sourceCacheManager:removeQuote(self.inviteBtnPath)
self.inviteBtnPath = nil
self.friendInfo = nil
self.index = nil
self._selected = nil
self._selectCallbackTarget = nil
self.pos = nil
self._controller = nil
self.parent = nil
globalManager.ccCreator:release(self)
end
ChaosRankPanel = class("ChaosRankPanel",function(self,controller,parent)
local temp = globalManager.ccCreator:newJsonWidget("chaosRankPanel")
temp._controller = controller
temp._parent = parent
temp._close = temp:getChildByName("closeBtn")
temp._myRankLabel = temp:getChildByName("rankLabel_Copy0")
temp._myNameLabel = temp:getChildByName("playerName_Copy0")
temp._myCarrerLabel = temp:getChildByName("carrerLabel_Copy0")
temp._myFightLabel = temp:getChildByName("fightLabel_Copy0")
temp._myDuanWeiLabel = temp:getChildByName("duanweiLabel_Copy0")
temp._myWinsPointLabel = temp:getChildByName("winsPointLabel_Copy0")
temp._pageView = temp:getChildByName("pageList")
temp._itemView = temp:getChildByName("itemView_Copy1")
temp._rankLabelList = {}
for i = 1,4,1 do
local label = temp:getChildByName("rankLabel"..i)
table.insert(temp._rankLabelList,label)
end
temp._itemView:setItemsMargin(10)
temp._pageList = {}
temp._rankItemList = {}
temp._awardItemList = {}
for i = 1,8,1 do
local cell = temp:getChildByName("item"..i)
local grid = BaseGrid:new()
cell:addChild(grid)
table.insert(temp._awardItemList,grid)
end
temp:getChildByName("Label_795196"):setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosRankPanel.text1"))
temp:getChildByName("Label_795197_Copy1"):setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosRankPanel.text2"))
temp:getChildByName("Label_795197_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosRankPanel.text3"))
temp:getChildByName("Label_795197_Copy4"):setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosRankPanel.text4"))
temp:getChildByName("Label_795197"):setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosRankPanel.text5"))
temp:getChildByName("Label_795197_Copy2"):setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosRankPanel.text6"))
temp:getChildByName("Label_795197_Copy3"):setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosRankPanel.text7"))
temp:getChildByName("Label_795188"):setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosRankPanel.text8"))
temp:getChildByName("Label_795194"):setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosRankPanel.text9"))
temp.currentPage = 0
temp.totalPage = 0
temp.selfInfo = {}
temp.rankInfoList = {}
return temp
end)
function ChaosRankPanel:ctor()
self:setPage(1)
self:initEvent()
self:initView()
globalData.uiClickContainer:addItem(self,true,true)
end
function ChaosRankPanel:initEvent()
local closeClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self._parent:hideChaosRankPanel()
end
end
local updateItemViewTouchHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED or eventType == TOUCH_EVENT_CANCELED) then
local offsetX = sender:getTouchEndPos().x - sender:getTouchStartPos().x
if(offsetX > 50) then
if(self.currentPage > 1)then
self:setPage(self.currentPage - 1)
end
elseif(offsetX < -50) then
if(self.currentPage < self.totalPage)then
self:setPage(self.currentPage + 1)
end
end
end
end
self._itemView:addTouchEventListener(updateItemViewTouchHandler)
self._close:addTouchEventListener(closeClickHandler)
end
function ChaosRankPanel:initView()
for i = 1,9,1 do
local item = ChaosRankItemView:new()
table.insert(self._rankItemList,item)
self._itemView:pushBackCustomItem(item)
end
for i = 1,4,1 do
local awardList = globalData.allTemplates.chaosTemplateList.quarterlyList[i].awardList
self._awardItemList[i * 2 - 1]:setGoodsTempInfo(globalData.allTemplates.goodsTemplateList:getTemplate(awardList[1][1]))
self._awardItemList[i * 2 - 1]:setCount(awardList[1][2])
self._awardItemList[i * 2]:setGoodsTempInfo(globalData.allTemplates.goodsTemplateList:getTemplate(awardList[2][1]))
self._awardItemList[i * 2]:setCount(awardList[2][2])
local minRank = globalData.allTemplates.chaosTemplateList.quarterlyList[i].minRank
local maxRank = globalData.allTemplates.chaosTemplateList.quarterlyList[i].maxRank
if(minRank == maxRank)then
self._rankLabelList[i]:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("ArenaItemView.text2"),minRank))
elseif(minRank < maxRank)then
self._rankLabelList[i]:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("ChaosRankPanel.text10"),minRank,maxRank))
end
end
end
function ChaosRankPanel:updateRank(rankData)
self.currentPage = rankData.curPage
self.totalPage = rankData.totalPage
self.selfInfo = rankData.selfInfo
for i,playerInfo in pairs(rankData.playerInfoList) do
self.rankInfoList[playerInfo[1]] = playerInfo
end
self._myCarrerLabel:setText(globalData.allStaticTypes.careerType:getCareerName(globalData.selfPlayerInfo.career))
self._myFightLabel:setText(globalData.selfPlayerInfo.combat)
self._myNameLabel:setText("["..globalData.selfPlayerInfo.serverId.."]"..globalData.selfPlayerInfo.nick)
if(self.selfInfo.rank > 0 and self.selfInfo.rank <= 100)then
self._myRankLabel:setText(self.selfInfo.rank)
else
self._myRankLabel:setText("100+")
end
self._myWinsPointLabel:setText(self.selfInfo.score)
local duanWei = globalData.allTemplates.chaosTemplateList:getDuanWei(self.selfInfo.duan)
self._myDuanWeiLabel:setText(duanWei)
for i = 1,9,1 do
local index = (self.currentPage - 1) * 9 + i
if(#self.rankInfoList >= index and index <= 100)then
self._rankItemList[i]:setData(self.rankInfoList[index])
else
self._rankItemList[i]:setData(nil)
end
end
self:resetPageIcon()
end
function ChaosRankPanel:setPage(page)
if(self.currentPage == page) then return end
if(self.currentPage ~= 0) then
self._pageList[self.currentPage]:loadTexture("btn/ui_radioBtn1_1.png", 1)
end
self.currentPage = page
if(self._pageList[self.currentPage] ~= nil) then
self._pageList[self.currentPage]:loadTexture("btn/ui_radioBtn1_2.png", 1)
end
if(self.rankInfoList[self.currentPage * 9 - 8] == nil)then
self._controller.sceneModule.message:sendGet3V3RankInfo(self.currentPage,9)
else
for i = 1,9,1 do
local index = (self.currentPage - 1) * 9 + i
if(#self.rankInfoList >= index and index <= 100)then
self._rankItemList[i]:setData(self.rankInfoList[index])
else
self._rankItemList[i]:setData(nil)
end
end
end
end
function ChaosRankPanel:resetPageIcon()
if(#self._pageList ~= 0) then return end
if(self.totalPage == nil) then self.totalPage = 0 end
if(self.totalPage > 12) then	self.totalPage = 12 end
if(self.totalPage == 0) then return end
for i = 1,self.totalPage,1 do
local pageIcon = globalManager.ccCreator:newImageView()
if(self.currentPage == i) then
pageIcon:loadTexture("btn/ui_radioBtn1_2.png", 1)
else
pageIcon:loadTexture("btn/ui_radioBtn1_1.png", 1)
end
pageIcon:setPosition(120 - (self.totalPage - 1)*20 + (i - 1)*40,7)
table.insert(self._pageList,pageIcon)
self._pageView:addChild(pageIcon)
end
end
function ChaosRankPanel:dispose()
globalData.uiClickContainer:close(self)
self._controller = nil
self._parent = nil
self._close = nil
self._myFightLabel = nil
self._myCarrerLabel = nil
self._myNameLabel = nil
self._myRankLabel = nil
self._myWinsPointLabel = nil
self._myDuanWeiLabel = nil
self._pageView = nil
self._itemView = nil
self._rankLabelList = nil
self.selfInfo = nil
self.rankInfoList = nil
if(self._awardItemList ~= nil)then
for __,item in pairs(self._awardItemList) do
item:dispose()
end
self._awardItemList = nil
end
if(self._rankItemList ~= nil)then
for __,item in pairs(self._rankItemList) do
item:dispose()
end
self._rankItemList = nil
end
for i,info in pairs(self._pageList) do
globalManager.ccCreator:release(info)
info = nil
end
self._pageList = nil
globalManager.ccCreator:release(self)
end
ChaosRankItemView = class("ChaosRankItemView",function ()
local temp = globalManager.ccCreator:newJsonWidget("chaosRankItem")
temp._rankLabel = temp:getChildByName("rankLabel")
temp._playerNameLabel = temp:getChildByName("playerName")
temp._carrerLabel = temp:getChildByName("carrerLabel")
temp._fightLabel = temp:getChildByName("fightLabel")
temp._duanweiLabel = temp:getChildByName("duanweiLabel")
temp._winsPointLabel = temp:getChildByName("winsPointLabel")
return temp
end)
function ChaosRankItemView:ctor()
end
function ChaosRankItemView:setData(playerInfo)
if(playerInfo ~= nil)then
self._carrerLabel:setText(globalData.allStaticTypes.careerType:getCareerName(playerInfo[2]))
self._rankLabel:setText(playerInfo[1])
self._playerNameLabel:setText(playerInfo[3])--"["..playerInfo[7].."]"..
self._fightLabel:setText(playerInfo[4])
local duanWei = globalData.allTemplates.chaosTemplateList:getDuanWei(playerInfo[5])
self._duanweiLabel:setText(duanWei)
self._winsPointLabel:setText(playerInfo[6])
else
self._carrerLabel:setText("")
self._rankLabel:setText("")
self._playerNameLabel:setText("")
self._fightLabel:setText("")
self._duanweiLabel:setText("")
self._winsPointLabel:setText("")
end
end
function ChaosRankItemView:dispose()
self._rankLabel = nil
self._playerNameLabel = nil
self._carrerLabel = nil
self._fightLabel = nil
self._duanweiLabel = nil
self._winsPointLabel = nil
globalManager.ccCreator:release(self)
end
ChaosResultPanel = class("ChaosResultPanel",function(self,controller)
local temp = globalManager.ccCreator:newJsonWidget("chaosResultPanel")
temp._winLabel = temp:getChildByName("winLabel")
temp._expLabel = temp:getChildByName("expLabel")
temp._winsPointLabel = temp:getChildByName("winsPointLabel")
temp._acceptBtn = temp:getChildByName("acceptBtn")
temp._btnLabel = temp._acceptBtn:getChildByName("LabelBMFont_735316")
temp._rankLabel = temp:getChildByName("rankLabel")
temp._rankUpLabel = temp:getChildByName("rankUpLabel")
temp:getChildByName("titleLabel_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosResultPanel.text1"))
temp:getChildByName("winLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosResultPanel.text2"))
temp:getChildByName("Label_795330"):setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosResultPanel.text3"))
temp:getChildByName("Label_795331"):setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosResultPanel.text4"))
temp:getChildByName("Label_795332"):setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosResultPanel.text5"))
temp:getChildByName("Label_795333"):setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosResultPanel.text6"))
temp:getChildByName("rankUpLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosResultPanel.text7"))
temp._acceptBtn:getChildByName("LabelBMFont_735316"):setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosResultPanel.text8"))
temp._controller = controller
temp._tickTime = 0
temp._time = 5
return temp
end)
function ChaosResultPanel:ctor()
self:initEvent()
end
function ChaosResultPanel:initEvent()
local function buttonTouchHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self:dispose()
end
end
self._acceptBtn:addTouchEventListener(buttonTouchHandler)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_reConnect,self.dispose,self)
end
function ChaosResultPanel:removeEvent()
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.scene_reConnect,self.dispose,self)
end
--sign 1:胜利 2：失败
function ChaosResultPanel:show(fightResult)
local maxScore = globalData.allTemplates.chaosTemplateList:getCurMaxScoreByDuan(fightResult.duan)
if(fightResult.sign == 1)then
self._winLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosResultPanel.text9"))
self._expLabel:setText(fightResult.exp)
if(fightResult.type == 1)then --升段赛
local duanWei = globalData.allTemplates.chaosTemplateList:getDuanWei(fightResult.duan)
self._rankLabel:setText(duanWei)
maxScore = globalData.allTemplates.chaosTemplateList:getCurMaxScoreByDuan(fightResult.duan)
self._winsPointLabel:setText(fightResult.score.."/"..fightResult.score.." → "..fightResult.score.."/"..maxScore)
self._rankUpLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosResultPanel.text10"))
self._rankUpLabel:setVisible(true)
self._rankLabel:setVisible(true)
else
maxScore = globalData.allTemplates.chaosTemplateList:getCurMaxScoreByDuan(fightResult.duan)
self._winsPointLabel:setText(fightResult.score - 100 .."/"..maxScore.." → "..fightResult.score.."/"..maxScore)
self._rankUpLabel:setVisible(false)
self._rankLabel:setVisible(false)
end
else
self._winLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosResultPanel.text11"))
self._winLabel:setColor(globalData.allStaticTypes.colorType.FALSE_COLOR)
self._expLabel:setText(fightResult.exp)
self._rankUpLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosResultPanel.text12"))
self._rankUpLabel:setColor(globalData.allStaticTypes.colorType.FALSE_COLOR)
self._rankLabel:setVisible(false)
if(fightResult.type == 1)then --升段赛
self._winsPointLabel:setText(maxScore.."/"..maxScore.." → "..fightResult.score.."/"..maxScore)
self._rankUpLabel:setVisible(true)
self._rankLabel:setVisible(false)
else
self._winsPointLabel:setText(fightResult.score.."/"..maxScore.." → "..fightResult.score.."/"..maxScore)
self._rankUpLabel:setVisible(false)
self._rankLabel:setVisible(false)
end
end
self._tickTime = 0
self._time = 5
self._btnLabel:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("WorldBossVipCompletePanel.text1"),self._time))
globalManager.tickManager:addTick(self.tick, self)
globalData.uiClickContainer:addItem(self,true,true)
end
function ChaosResultPanel:tick(delta, count)
self._tickTime = self._tickTime + 1
if(self._tickTime >= 60) then
self._tickTime = 0
self._time = self._time - 1
if(self._time <= 0) then
self:dispose()
else
self._btnLabel:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("WorldBossVipCompletePanel.text1"),self._time))
end
end
end
function ChaosResultPanel:dispose()
self:removeEvent()
globalData.uiClickContainer:close(self)
globalManager.tickManager:removeTick(self.tick, self)
self._winLabel = nil
self._expLabel = nil
self._winsPointLabel = nil
self._acceptBtn = nil
self._btnLabel = nil
self._rankLabel = nil
self._rankUpLabel = nil
self._controller = nil
self._tickTime = nil
self._time = nil
globalManager.ccCreator:release(self)
end
ChaosMatchingPanel = class("ChaosMatchingPanel",function(self,controller)
local st = globalManager.ccCreator:newJsonWidget("MarchingPanel")
st._timeLabel       = st:getChildByName("timeLabel")
st._timeLabel:setText("59"..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel64"))
st._canelBtn        = st:getChildByName("canelBtn")
st._canelBtn:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel2"))
st._watingLabel     = st:getChildByName("waitingLabel")
st._watingLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosMatchingPanel.text2"))
st._count = 0
st._time = 59
st._controller = controller
st._canelBtn:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("FriendGiveGoldPanel.text7"))
return st
end)
function ChaosMatchingPanel:ctor()
self:initEvent()
globalManager.tickManager:addTick(self.tick,self)
end
function ChaosMatchingPanel:initEvent()
local cancelClickHandler = function(sender,eventType)
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(eventType == TOUCH_EVENT_ENDED)then
self._controller.sceneModule.message:sendQuitMatch3V3()
self._controller:hideMatchPanel()
end
end
self._canelBtn:addTouchEventListener(cancelClickHandler)
end
function ChaosMatchingPanel:tick(delta,count)
self._count = self._count + 1
if(self._count >= 60) then
self._count = 0
self._time = self._time - 1
if(self._time < 0) then
local time = globalData.systemDateInfo:getZeroPassTime()
local matterTemplateInfo3v3 = globalData.allTemplates.matterTemplateList:getTemplateByType(25)
if(time >= matterTemplateInfo3v3.endTime)then
self._controller:hideMatchPanel()
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("OpenPanel.text29"))
return
end
self._time = 59
end
self._timeLabel:setText(self._time..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel64"))
end
end
function ChaosMatchingPanel:removeEvent()
end
function ChaosMatchingPanel:dispose()
globalManager.tickManager:removeTick(self.tick,self)
self:removeEvent()
self._timeLabel = nil
self._watingLabel = nil
self._canelBtn = nil
self._controller = nil
globalManager.ccCreator:release(self)
end
ChaosItemView = class("ChaosItemView",function(self,itemWidget,controller,index)
local temp = itemWidget
temp._controller = controller
temp._index = index
temp._isCaptain = false
temp._nameLabel = itemWidget:getChildByName("nameLabel")
temp._rankLabel = itemWidget:getChildByName("rankLabel")
temp._fightLabel = itemWidget:getChildByName("fightLabel")
temp.outBtn = itemWidget:getChildByName("outBtn")
temp._qingLabel = temp.outBtn:getChildByName("qingLabel")
temp._chuLabel = temp.outBtn:getChildByName("chuLabel")
temp._inviteImg = temp:getChildByName("inviteImg")
if(temp._inviteImg ~= nil)then
temp._inviteImg:setEnabled(false)
end
temp.outBtn:setEnabled(false)
temp._character = nil
temp._effect = nil
temp._userName = nil
temp._nameLabel:setText("")
if(index == 1)then
temp.outBtn:getChildByName("LabelBMFont_795122"):setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosItemView.text1"))
temp.outBtn:getChildByName("LabelBMFont_795123"):setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosItemView.text2"))
temp.outBtn:getChildByName("LabelBMFont_795124"):setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosItemView.text4"))
temp.outBtn:getChildByName("LabelBMFont_795125"):setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosItemView.text3"))
temp:getChildByName("Label_795096_Copy2"):setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosItemView.text5"))
temp:getChildByName("Label_795099_Copy1"):setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosItemView.text6"))
elseif(index == 2)then
temp.outBtn:getChildByName("qingLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosItemView.text7"))
temp.outBtn:getChildByName("chuLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosItemView.text8"))
temp.outBtn:getChildByName("LabelBMFont_795125"):setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosItemView.text3"))
temp.outBtn:getChildByName("LabelBMFont_795124"):setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosItemView.text4"))
temp:getChildByName("Label_795096_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosItemView.text5"))
temp:getChildByName("Label_795099_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosItemView.text6"))
temp:getChildByName("inviteImg"):getChildByName("LabelBMFont_795143"):setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosItemView.text9"))
temp:getChildByName("inviteImg"):getChildByName("LabelBMFont_795144"):setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosItemView.text7"))
temp:getChildByName("inviteImg"):getChildByName("LabelBMFont_795145"):setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosItemView.text10"))
temp:getChildByName("inviteImg"):getChildByName("LabelBMFont_795147"):setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosItemView.text11"))
else
temp.outBtn:getChildByName("qingLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosItemView.text7"))
temp.outBtn:getChildByName("chuLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosItemView.text8"))
temp.outBtn:getChildByName("LabelBMFont_795125"):setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosItemView.text3"))
temp.outBtn:getChildByName("LabelBMFont_795124"):setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosItemView.text4"))
temp:getChildByName("Label_795096_Copy1"):setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosItemView.text5"))
temp:getChildByName("Label_795099"):setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosItemView.text6"))
temp:getChildByName("inviteImg"):getChildByName("LabelBMFont_795143"):setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosItemView.text9"))
temp:getChildByName("inviteImg"):getChildByName("LabelBMFont_795144"):setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosItemView.text7"))
temp:getChildByName("inviteImg"):getChildByName("LabelBMFont_795145"):setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosItemView.text10"))
temp:getChildByName("inviteImg"):getChildByName("LabelBMFont_795147"):setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosItemView.text11"))
end
return temp
end)
function ChaosItemView:ctor()
self:initEvent()
end
function ChaosItemView:initEvent()
local function sendQuitTeam()
self._controller.sceneModule.message:sendQuitTeam3V3()
globalData.uiPanelContainer:close()
end
local function sendKickTeam()
self._controller.sceneModule.message:sendKickMember3V3(self._index)
end
local function outBtnclickHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(self._isCaptain)then
if(self._index == 1)then
local text = globalManager.yuyanbaoManager:getYuyanbao("ChaosItemView.text12")
Alert:new():show(2,text,nil,0,self,sendQuitTeam)
else
local text = string.format(globalManager.yuyanbaoManager:getYuyanbao("ChaosItemView.text16"),self._userName)
Alert:new():show(2,text,nil,0,self,sendKickTeam)
end
else
local text = globalManager.yuyanbaoManager:getYuyanbao("ChaosItemView.text13")
Alert:new():show(2,text,nil,0,self,sendQuitTeam)
end
end
end
self.outBtn:addTouchEventListener(outBtnclickHandler)
end
function ChaosItemView:setData(playerInfo,isCaptain,duan)
self._isCaptain = isCaptain
if(self._character ~= nil)then
self._character:dispose()
self._character = nil
end
if(playerInfo ~= nil)then
if(self._isCaptain)then
self.outBtn:setEnabled(true)
elseif(playerInfo == globalData.selfPlayerInfo)then
if(self._index == 2)then
self.outBtn:setEnabled(true)
self._qingLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosItemView.text14"))
self._chuLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosItemView.text15"))
elseif(self._index == 3 and playerInfo.userId == globalData.selfPlayerInfo.userId)then
self.outBtn:setEnabled(true)
self._qingLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosItemView.text14"))
self._chuLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosItemView.text15"))
end
end
--如果是自己的数据，则复制一份[其他人的数据都是副本数据]
if(playerInfo == globalData.selfPlayerInfo)then
self._selfTemInfo = FigurePlayerInfo:new()
local styleList = playerInfo.characterInfo:getStyleBin()
for k,v in pairs(styleList) do
self._selfTemInfo.characterInfo:setStyleBin(k,v)
end
self._selfTemInfo:setCareer(playerInfo.career)
self._selfTemInfo.combat = playerInfo.combat
self._selfTemInfo.serverId = playerInfo.serverId
self._selfTemInfo.nick = playerInfo.nick
self._selfTemInfo.duan = duan
playerInfo = self._selfTemInfo
end
playerInfo.isHorse = false
playerInfo.characterInfo.hideWing = true
self._character = BaseCharacter:new(playerInfo.characterInfo)
self:addNode(self._character)
self._rankLabel:setText(globalData.allTemplates.chaosTemplateList:getDuanWei(playerInfo.duan))
self._nameLabel:setText(playerInfo.nick)
self._fightLabel:setText(playerInfo.combat)
self._character:setPosition(globalManager.ccCreator:newPoint(73,80))
self._character:setScale(1.5)
self._character:show(globalData.allStaticTypes.directType.bottom)
self._userName = playerInfo.nick
if(self._effect ~= nil)then
self._effect:dispose()
self._effect = nil
end
if(self._inviteImg ~= nil)then
self._inviteImg:setEnabled(false)
end
else
if(self._effect == nil)then
self._effect = globalManager.effectCreator:create(1075)
self._effect:move2(self,73,-50)
self._effect:setScale(2)
self._effect:play()
self:addNode(self._effect,10)
end
self._rankLabel:setText("")
self._nameLabel:setText("")
self._fightLabel:setText("")
self.outBtn:setEnabled(false)
if(self._inviteImg ~= nil and isCaptain)then
self._inviteImg:setEnabled(true)
end
end
end
function ChaosItemView:setNameLabel(name)
self._nameLabel:setText(name)
end
function ChaosItemView:dispose()
if(self._effect ~= nil)then
self._effect:dispose()
self._effect = nil
end
self._controller = nil
self._index = nil
self._nameLabel = nil
self._rankLabel = nil
self._fightLabel = nil
self.outBtn = nil
self._qingLabel = nil
self._chuLabel = nil
self._inviteImg = nil
self._isCaptain = nil
self._userName = nil
if(self._character ~= nil)then
self._character:dispose()
self._character = nil
end
--globalManager.ccCreator:release(self)
end
BangZhanCopyFollowPanel = class("BangZhanCopyFollowPanel",function(self,controller)
local bz = globalManager.ccCreator:newJsonWidget("LeagueWarFollowPanel")
bz._controller = controller
bz.nameLabels = {bz:getChildByName("league_label1"),bz:getChildByName("league_label2"),bz:getChildByName("league_label3"),bz:getChildByName("league_label4"),bz:getChildByName("league_label5")}
bz.countLabels = {bz:getChildByName("count_label1"),bz:getChildByName("count_label2"),bz:getChildByName("count_label3"),bz:getChildByName("count_label4"),bz:getChildByName("count_label5")}
bz.rank_label = bz:getChildByName("rank_label")
bz.count_label = bz:getChildByName("count_label")
bz.rank_btn = bz:getChildByName("rank_btn")
bz.skill_view = bz:getChildByName("skill_view")
bz.skill_view2 = bz:getChildByName("skill_view2")
bz.skill_view2:setEnabled(false)
bz.itemList = {}
local item = nil
for i = 1,2,1 do
item = SceneSkillItemView:new(bz._controller,bz.skill_view:getChildByName("skill_icon"..i),bz.skill_view:getChildByName("skill_btn"..i))
table.insert(bz.itemList,item)
end
bz.comboKillView = ComboKillView:new()
bz.comboKillView:setPosition(globalManager.ccCreator:newPoint(globalData.GAME_WIDTH - 100,220))
bz:addChild(bz.comboKillView)
bz._count = 0
bz._oldNum = 0
bz:getChildByName("Label_31649"):setText(globalManager.yuyanbaoManager:getYuyanbao("BangZhanCopyFollowPanel.text1"))
bz:getChildByName("Label_31649_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("BangzhanRankView.text1"))
bz:getChildByName("Label_31649_Copy1"):setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosFollowPanel.text6"))
bz:getChildByName("Label_31649_Copy2"):setText(globalManager.yuyanbaoManager:getYuyanbao("BangZhanCopyFollowPanel.text2"))
return bz
end)
function BangZhanCopyFollowPanel:ctor()
self._controller:setCopyTime(math.floor((globalData.activityIcons.BANGZHAN.timeEnd - globalData.systemDateInfo:getZeroPassTime())))
self.skill_view:setPosition(globalData.GAME_WIDTH  - 250,globalData.GAME_HEIGHT - 627)
self.skill_view2:setPosition(globalData.GAME_WIDTH  - 250,globalData.GAME_HEIGHT - 627)
local skillInfo = nil
for i = 1,2,1 do
skillInfo = globalData.skillList:getSkillByPlace(100 + i)
self.itemList[i]:setImage(globalManager.pathManager:getDisplayItemPath(skillInfo:getTemplate().iconPath,globalData.allStaticTypes.goodsIconPathType.SKILL_ICON))
self.itemList[i]:setSkillInfo(skillInfo)
end
self:initEvent()
globalManager.tickManager:addTick(self.tick, self)
globalData.messageAdder:sendBangZhanInfo()
self:updateSkills()
end
function BangZhanCopyFollowPanel:initEvent()
local rankClickHandler = function(sender,eventType)
if (eventType == TOUCH_EVENT_ENDED) then
local rankPanel = BangZhanPlayerRankView:new()
end
end
self.rank_btn:addTouchEventListener(rankClickHandler)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.bangzhan_info,self.bangZhanInfoUpdate,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.bangzhan_club,self.bangZhanClubUpdate,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_beforeClearData,self.clearSceneDataHandler,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.bangzhan_submit,self.bangZhanSubmitHandker,self)
self._controller.sceneInfo.scenePlayerList:addEventListener(globalData.globalEventType.sceneInfo_addPlayer,self.addPlayerHandler,self)
self._controller.sceneInfo.scenePlayerList:addEventListener(globalData.globalEventType.sceneInfo_removePlayer,self.removePlayerHandler,self)
if(self._controller.sceneInfo.scenePlayerList.selfPlayer ~= nil)then
self._controller.sceneInfo.scenePlayerList.selfPlayer.figureInfo.characterInfo:addEventListener(globalData.globalEventType.playerInfo_style,self.updateStyleHandler,self)
end
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_comboKill,self.comboKillUpdate,self)
end
function BangZhanCopyFollowPanel:removeEvent()
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.bangzhan_info,self.bangZhanInfoUpdate,self)
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.bangzhan_club,self.bangZhanClubUpdate,self)
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.scene_beforeClearData,self.clearSceneDataHandler,self)
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.bangzhan_submit,self.bangZhanSubmitHandker,self)
self._controller.sceneInfo.scenePlayerList:removeEventListener(globalData.globalEventType.sceneInfo_addPlayer,self.addPlayerHandler,self)
self._controller.sceneInfo.scenePlayerList:removeEventListener(globalData.globalEventType.sceneInfo_removePlayer,self.removePlayerHandler,self)
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.scene_comboKill,self.comboKillUpdate,self)
if(self._controller.sceneInfo.scenePlayerList.selfPlayer ~= nil)then
self._controller.sceneInfo.scenePlayerList.selfPlayer.figureInfo.characterInfo:removeEventListener(globalData.globalEventType.playerInfo_style,self.updateStyleHandler,self)
end
end
function BangZhanCopyFollowPanel:bangZhanSubmitHandker(evt)
globalData.messageAdder:bangZhanSubmit(evt.data)
end
function BangZhanCopyFollowPanel:clearSceneDataHandler(evt)
if(self._controller.sceneInfo.scenePlayerList.selfPlayer ~= nil)then
self._controller.sceneInfo.scenePlayerList.selfPlayer.buffInfo:removeEventListener(globalData.globalEventType.playerInfo_updateBuff,self.updateStyleHandler,self)
end
end
function BangZhanCopyFollowPanel:addPlayerHandler(evt)
if(evt.data:getObjId() ~= globalData.selfPlayerInfo.userId)then return end
if(self._controller.sceneInfo.scenePlayerList.selfPlayer ~= nil)then
self._controller.sceneInfo.scenePlayerList.selfPlayer.buffInfo:addEventListener(globalData.globalEventType.playerInfo_updateBuff,self.updateStyleHandler,self)
end
end
function BangZhanCopyFollowPanel:removePlayerHandler(evt)
if(evt.data:getObjId() ~= globalData.selfPlayerInfo.userId)then return end
if(self._controller.sceneInfo.scenePlayerList.selfPlayer ~= nil)then
self._controller.sceneInfo.scenePlayerList.selfPlayer.buffInfo:removeEventListener(globalData.globalEventType.playerInfo_updateBuff,self.updateStyleHandler,self)
end
end
function BangZhanCopyFollowPanel:updateStyleHandler(evt)
self:updateSkills()
end
function BangZhanCopyFollowPanel:comboKillUpdate(evt)
self.comboKillView:setNum(evt.data)
end
function BangZhanCopyFollowPanel:updateSkills()
if(globalData.selfPlayerInfo.characterInfo.buffChangeId > 0)then
self.itemList[1]:setEnabled(false)
self.itemList[2]:setEnabled(false)
else
self.itemList[1]:setEnabled(true)
if(globalData.selfPlayerInfo.uniteJob == 1)then
self.itemList[2]:setEnabled(true)
else
self.itemList[2]:setEnabled(false)
end
end
end
function BangZhanCopyFollowPanel:bangZhanInfoUpdate(evt)
self.rank_label:setText(globalData.copyInfo.copyBZInfo.selfRank)
self.count_label:setText(globalData.copyInfo.copyBZInfo.selfScore)
if(self._oldNum > 0 and (globalData.copyInfo.copyBZInfo.selfScore - self._oldNum) > 0) then
globalData.chatItemList:appendSystemItem(string.format(globalManager.yuyanbaoManager:getYuyanbao("BangZhanCopyFollowPanel.text3"),tostring(globalData.copyInfo.copyBZInfo.selfScore - self._oldNum)))
end
self._oldNum = globalData.copyInfo.copyBZInfo.selfScore
end
function BangZhanCopyFollowPanel:bangZhanClubUpdate(evt)
local monsterList = self._controller.sceneInfo.sceneMonsterList:getMonsters()
for k,v in pairs(monsterList) do
v.ownerName = ""
end
for i = 1,5,1 do
local info = globalData.copyInfo.copyBZInfo.clubRankInfos[i]
if(info ~= nil) then
self.nameLabels[i]:setText(info.rank .."   ".. info.name)--string.format(globalManager.yuyanbaoManager:getYuyanbao("ArenaItemView.text3"),info.serverId) ..
self.countLabels[i]:setText(info.score)
if(info.monster ~= 0)then
local monster = self._controller.sceneInfo.sceneMonsterList:getAMonsterByTemplateId(info.monster)
if(monster ~= nil)then
monster:setOwnerName(info.name)
end
end
else
self.nameLabels[i]:setText("")
self.countLabels[i]:setText("")
end
end
end
function BangZhanCopyFollowPanel:tick(delta,tickCount)
self._count = self._count + 1
if(self._count < 300) then return end
self._count = 0
globalData.messageAdder:sendBangZhanClubs()
end
function BangZhanCopyFollowPanel:dispose()
self:removeEvent()
globalManager.tickManager:removeTick(self.tick, self)
self.nameLabels = nil
self.countLabels = nil
self.rank_label = nil
self.count_label = nil
self.rank_btn = nil
self.skill_view = nil
self.skill_view2 = nil
self._controller = nil
if(self.itemList ~= nil) then
for __,item in pairs(self.itemList) do
item:dispose()
end
self.itemList = nil
end
if(self.comboKillView ~= nil) then
self.comboKillView:dispose()
self.comboKillView = nil
end
globalManager.ccCreator:release(self)
end
BangZhanPlayerRankItem = class("BangZhanPlayerRankItem",function()
local bz = globalManager.ccCreator:newJsonWidget("LeagueWarCountItem")
bz.rank_label = bz:getChildByName("rank_label")
bz.name_label = bz:getChildByName("name_label")
bz.level_label = bz:getChildByName("level_label")
bz.club_label = bz:getChildByName("club_label")
bz.count_label = bz:getChildByName("count_label")
bz._info = nil
return bz
end)
function BangZhanPlayerRankItem:setData(info)
self._info = info
self.rank_label:setText(tostring(info.rank))
self.name_label:setText(tostring(info.name))
self.level_label:setText(tostring(info.level)..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel48"))
self.club_label:setText(tostring(info.clubName))
self.count_label:setText(tostring(info.score)..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel86"))
end
function BangZhanPlayerRankItem:dispose()
self.rank_label = nil
self.name_label = nil
self.level_label = nil
self.club_label = nil
self.count_label = nil
self._info = nil
globalManager.ccCreator:release(self)
end
BangZhanPlayerRankView = class("BangZhanPlayerRankView",function(self)
local bz = globalManager.ccCreator:newJsonWidget("LeagueWarCountPanel")
bz.list_panel = bz:getChildByName("list_panel")
bz.items = {}
bz.isShow = false
bz:getChildByName("ImageView_8507_Copy0"):getChildByName("LabelBMFont_8508_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("BangZhanPlayerRankView.text1"))
return bz
end)
function BangZhanPlayerRankView:ctor()
self:initEvent()
globalData.messageAdder:sendBangZhanRank()
globalData.uiClickContainer:addItem(self,true,true)
end
function BangZhanPlayerRankView:initEvent()
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.bangzhan_rank,self.bangZhanRankUpdate,self)
end
function BangZhanPlayerRankView:removeEvent()
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.bangzhan_rank,self.bangZhanRankUpdate,self)
end
function BangZhanPlayerRankView:bangZhanRankUpdate(evt)
if(self.isShow) then return end
self.isShow = true
local function sortHandler(a,b)
return a.rank < b.rank
end
local list = globalData.copyInfo.copyBZInfo.playerRankInfos
table.sort(list,sortHandler)
local len = #list
for i = 1,len,1 do
local item = BangZhanPlayerRankItem:new()
item:setData(list[i])
self.list_panel:pushBackCustomItem(item)
table.insert(self.items,item)
end
end
function BangZhanPlayerRankView:hideFormClickContainer()
self:dispose()
end
function BangZhanPlayerRankView:dispose()
if(self.items ~= nil)then
local len = #self.items
for i = 1,len,1 do
self.items[i]:dispose()
end
self.items = nil
end
self.list_panel:removeAllItems()
self.list_panel = nil
globalData.uiClickContainer:close(self)
globalManager.ccCreator:release(self)
end
BangzhanRankAwardItem = class("BangzhanRankAwardItem",function(self,index)
local temp = globalManager.ccCreator:newJsonWidget("newLeagueWarAwardItem")
temp.index = index
temp.itemList       = {}
for i=1,4,1 do
local gridWidget = temp:getChildByName("goods" .. i)
local grid = BaseGrid:new(true)
grid:setPosition(cc.p(gridWidget:getPositionX(),gridWidget:getPositionY()))
temp:addChild(grid,10)
table.insert(temp.itemList,grid)
end
temp.personScore    = temp:getChildByName("personScore")
temp:getChildByName("desLabel1"):setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("BangzhanRankAwardItem.text1"),temp.index))
temp:getChildByName("timeLabel_Copy2"):setText(globalManager.yuyanbaoManager:getYuyanbao("BangzhanRankAwardItem.text3"))
return temp
end)
function BangzhanRankAwardItem:ctor()
self:initEvent()
self:initView()
end
function BangzhanRankAwardItem:initEvent()
end
function BangzhanRankAwardItem:removeEvent()
end
function BangzhanRankAwardItem:setData(victoryNum,score)
local needScore = 0
if(self.index == 4)then
needScore = 340 - self.index * 60
else
needScore = 360 - self.index * 60
end
if(score >= needScore)then
self.personScore:setColor(globalData.allStaticTypes.colorType.COLORGREEN)
else
self.personScore:setColor(globalData.allStaticTypes.colorType.COLORRED)
end
self.personScore:setText(score .."/" .. needScore)
end
function BangzhanRankAwardItem:initView()
local goodsList = globalData.bangZhanInfo.awards[self.index]
if(goodsList.item1 ~= nil)then
self.itemList[1]:setGoodsTempInfo(globalData.allTemplates.goodsTemplateList:getTemplate(goodsList.item1))
self.itemList[1]:setCount(goodsList.count1)
end
if(goodsList.item2 ~= nil)then
self.itemList[2]:setGoodsTempInfo(globalData.allTemplates.goodsTemplateList:getTemplate(goodsList.item2))
self.itemList[2]:setCount(goodsList.count2)
end
if(goodsList.item3 ~= nil)then
self.itemList[3]:setGoodsTempInfo(globalData.allTemplates.goodsTemplateList:getTemplate(goodsList.item3))
self.itemList[3]:setCount(goodsList.count3)
end
if(goodsList.item4 ~= nil)then
self.itemList[4]:setGoodsTempInfo(globalData.allTemplates.goodsTemplateList:getTemplate(goodsList.item4))
self.itemList[4]:setCount(goodsList.count4)
end
end
function BangzhanRankAwardItem:dispose()
self:removeEvent()
for __,grid in pairs(self.itemList) do
grid:dispose()
end
self.itemList = nil
self.index    = nil
self.personScore = nil
globalManager.ccCreator:release(self)
end
BangzhanRankPanel = class("BangzhanRankPanel",function(self,controller)
local temp = BasePanel:new()
temp.BasePanelDispose = temp.dispose
temp._controller = controller
temp._widget = globalManager.ccCreator:newJsonWidget("newLeagueWarRankPanel")
temp:addChild(temp._widget)
temp.personRankList   = temp._widget:getChildByName("personRankList")
temp.pageList         = temp._widget:getChildByName("pageList")
temp.awradListView    = temp._widget:getChildByName("awradListView")
-- temp._widget:getChildByName("title_label_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("BangzhanRankPanel.text1"))
temp._widget:getChildByName("desLabel1"):setText(globalManager.yuyanbaoManager:getYuyanbao("BangzhanRankPanel.text2"))
temp._widget:getChildByName("desLabel2"):setText(globalManager.yuyanbaoManager:getYuyanbao("PanelTabGroupType.text25"))
temp._widget:getChildByName("desLabel3"):setText(globalManager.yuyanbaoManager:getYuyanbao("BangzhanRankPanel.text4"))
temp._widget:getChildByName("desLabel4"):setText(globalManager.yuyanbaoManager:getYuyanbao("BangzhanRankPanel.text5"))
temp._widget:getChildByName("labelDes"):setText(globalManager.yuyanbaoManager:getYuyanbao("BangzhanRankPanel.text6"))
temp.tipsLabel = temp._widget:getChildByName("tipsLabel")
temp.tipsLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("BangzhanRankPanel.text7"))
temp.awardItemList    = {}
temp.totalPage        = 0
temp.pageItemList     = {}
temp.rankItemList     = {}
temp.currentPage      = 1
return temp
end)
function BangzhanRankPanel:ctor()
self:initEvent()
self:initView()
end
function BangzhanRankPanel:initEvent()
local showPanelTouchHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED or eventType == TOUCH_EVENT_CANCELED) then
local offsetX = sender:getTouchEndPos().x - sender:getTouchStartPos().x
if(offsetX > 50) then
if(self.currentPage > 1)then
self:setPage(self.currentPage - 1)
end
elseif(offsetX < -50) then
if(self.currentPage < self.totalPage)then
self:setPage(self.currentPage + 1)
end
end
end
end
self.personRankList:addTouchEventListener(showPanelTouchHandler)
globalData.bangZhanInfo:addEventListener(globalData.globalEventType.bangzhanRankInfo_update,self.updateInfo,self)
end
function BangzhanRankPanel:removeEvent()
globalData.bangZhanInfo:removeEventListener(globalData.globalEventType.bangzhanRankInfo_update,self.updateInfo,self)
end
function BangzhanRankPanel:updateInfo()
local victoryNum  = globalData.bangZhanInfo.victoryNum
local personScore =	globalData.bangZhanInfo.personScore
for i = 1,4,1 do
self.awardItemList[i]:setData(victoryNum,personScore)
end
self.totalPage = globalData.bangZhanInfo.totalPage
if(self.totalPage == nil) then self.totalPage = 0 end
if(self.totalPage == 0) then
self.tipsLabel:setVisible(true)
return
else
self.tipsLabel:setVisible(false)
if(#self.pageItemList < self.totalPage) then
for i = 1,self.totalPage,1 do
if(self.pageItemList[i] == nil)then
local pageIcon = globalManager.ccCreator:newImageView()
if(self.currentPage == i) then
pageIcon:loadTexture("btn/ui_radioBtn1_2.png", 1)
else
pageIcon:loadTexture("btn/ui_radioBtn1_1.png", 1)
end
pageIcon:setPosition(167 - (self.totalPage - 1)*25 + (i - 1)*50,10)
table.insert(self.pageItemList,pageIcon)
self.pageList:addChild(pageIcon)
else
if(self.currentPage == i) then
self.pageItemList[i]:loadTexture("btn/ui_radioBtn1_2.png", 1)
else
self.pageItemList[i]:loadTexture("btn/ui_radioBtn1_1.png", 1)
end
end
end
end
end
for i = 1,9,1 do
self.rankItemList[i]:setData(globalData.bangZhanInfo.rankInfoList[(self.currentPage - 1) * 9 + i],(self.currentPage - 1) * 9 + i)
end
end
function BangzhanRankPanel:setPage(page)
-- if(self.currentPage == page) then return end
-- if(page > self.totalPage) then return end
-- if(page < 1)then return end
-- self.currentPage = page
-- if(self.totalPage > 0)then
-- 	for i = 1,self.totalPage,1 do
-- 		if(i == self.currentPage)then
-- 			self._pageList[i]:loadTexture("btn/ui_radioBtn1_2.png", 1)
-- 		else
-- 			self._pageList[i]:loadTexture("btn/ui_radioBtn1_1.png", 1)
-- 		end
-- 	end
-- end
if(self.currentPage == page) then return end
if(self.currentPage ~= 0) then
self.pageItemList[self.currentPage]:loadTexture("btn/ui_radioBtn1_1.png", 1)
end
self.currentPage = page
if(self.pageItemList[self.currentPage] ~= nil) then
self.pageItemList[self.currentPage]:loadTexture("btn/ui_radioBtn1_2.png", 1)
end
if(globalData.bangZhanInfo.rankInfoList[self.currentPage * 9 - 8] == nil)then
globalData.messageAdder:getClubRankInfo(self.currentPage,9)
else
for i = 1,9,1 do
self.rankItemList[i]:setData(globalData.bangZhanInfo.rankInfoList[(self.currentPage - 1) * 9 + i],(self.currentPage - 1) * 9 + i)
end
end
end
function BangzhanRankPanel:initView()
for i = 1,9,1 do
local item = BangzhanRankPersonItem:new(i)
item:setPosition(10,440 - i * 50)
table.insert(self.rankItemList,item)
self.personRankList:addChild(item)
end
for i = 1,4,1 do
local item = BangzhanRankAwardItem:new(i)
self.awradListView:setItemsMargin(5)
self.awradListView:pushBackCustomItem(item)
table.insert(self.awardItemList,item)
end
globalData.messageAdder:getClubRankInfo(1,9)
end
function BangzhanRankPanel:dispose()
self:removeEvent()
self.personRankList   = nil
self.pageList         = nil
self.tipsLabel        = nil
self.awradListView:removeAllItems()
self.awradListView = nil
for i,info in pairs(self.pageItemList) do
globalManager.ccCreator:release(info)
info = nil
end
for __,info in pairs(self.rankItemList) do
info:dispose()
info = nil
end
for __,info in pairs(self.awardItemList) do
info:dispose()
info = nil
end
self.awardItemList = nil
self.rankItemList = nil
self.pageItemList = nil
globalManager.ccCreator:release(self._widget)
self._widget = nil
self:BasePanelDispose()
self.BasePanelDispose = nil
end
BangzhanRankPersonItem = class("BangzhanRankPersonItem",function(self)
local temp = globalManager.ccCreator:newJsonWidget("newLeagueWarPersonItem")
temp.rankLabel       = temp:getChildByName("rankLabel")
temp.rankImg         = temp:getChildByName("rankImg")
temp.clubNameLabel   = temp:getChildByName("clubNameLabel")
temp.strengthLabel   = temp:getChildByName("strengthLabel")
temp.victoryLabel    = temp:getChildByName("victoryLabel")
temp.lineImg         = temp:getChildByName("line")
temp.rankLabel:setVisible(false)
temp.rankImg:setVisible(false)
temp.clubNameLabel:setVisible(false)
temp.strengthLabel:setVisible(false)
temp.victoryLabel:setVisible(false)
temp.lineImg:setVisible(false)
return temp
end)
function BangzhanRankPersonItem:ctor()
self:initEvent()
end
function BangzhanRankPersonItem:initEvent()
end
function BangzhanRankPersonItem:removeEvent()
end
function BangzhanRankPersonItem:setData(info,index)
if(info == nil)then
self.rankLabel:setVisible(false)
self.rankImg:setVisible(false)
self.clubNameLabel:setVisible(false)
self.strengthLabel:setVisible(false)
self.victoryLabel:setVisible(false)
self.lineImg:setVisible(false)
else
self.rankLabel:setVisible(true)
self.rankImg:setVisible(true)
self.clubNameLabel:setVisible(true)
self.strengthLabel:setVisible(true)
self.victoryLabel:setVisible(true)
self.lineImg:setVisible(true)
self.rankLabel:setText(info.rank)
if(index == 1)then
self.rankImg:loadTexture("icon/ui_copyNo1.png", 1)
elseif(index == 2)then
self.rankImg:loadTexture("icon/ui_copyNo2.png", 1)
elseif(index == 3)then
self.rankImg:loadTexture("icon/ui_copyNo3.png", 1)
else
self.rankImg:setVisible(false)
end
self.clubNameLabel:setText(info.clubName)--string.format(globalManager.yuyanbaoManager:getYuyanbao("ArenaItemView.text3"),info.serverId) ..
self.strengthLabel:setText(info.strength)
self.victoryLabel:setText(info.victory)
end
end
function BangzhanRankPersonItem:dispose()
self:removeEvent()
self.rankLabel       = nil
self.rankImg         = nil
self.clubNameLabel   = nil
self.strengthLabel   = nil
self.victoryLabel    = nil
self.lineImg         = nil
globalManager.ccCreator:release(self)
end
BangZhanResultItemView = class("BangZhanResultItemView",function(self)
local temp = globalManager.ccCreator:newJsonWidget("LeagueWarResultItem")
temp.rank_icon = temp:getChildByName("rank_icon")
temp.stone_icon = temp:getChildByName("stone_icon")
temp.rank_label = temp:getChildByName("rank_label")
temp.league_label = temp:getChildByName("league_label")
temp.count_label = temp:getChildByName("count_label")
return temp
end)
function BangZhanResultItemView:ctor()
self:initEvent()
end
function BangZhanResultItemView:initEvent()
end
function BangZhanResultItemView:removeEvent()
end
function BangZhanResultItemView:setInfo(info)
if(info.rank == 1) then
self.rank_icon:loadTexture("icon/ui_copyNo1.png",1)
elseif(info.rank == 2) then
self.rank_icon:loadTexture("icon/ui_copyNo2.png",1)
elseif(info.rank == 3) then
self.rank_icon:loadTexture("icon/ui_copyNo3.png",1)
else
self.rank_icon:setEnabled(false)
self.rank_label:setText(info.rank)
end
if(info.clubId ~= globalData.copyInfo.copyBZInfo.stoneClubId) then
self.stone_icon:setEnabled(false)
end
self.league_label:setText(info.name)
self.count_label:setText(info.score)
end
function BangZhanResultItemView:dispose()
self:removeEvent()
self.rank_icon = nil
self.stone_icon = nil
self.rank_label = nil
self.league_label = nil
self.count_label = nil
globalManager.ccCreator:release(self)
end
BangZhanResultPanel = class("BangZhanResultPanel",function(self)
local temp = globalManager.ccCreator:newJsonWidget("LeagueWarResultPanel2")
temp.item_panel   = temp:getChildByName("item_list")
temp.gridBgList   = {temp:getChildByName("gridBg1"),temp:getChildByName("gridBg2")}
temp.rank_label   = temp:getChildByName("rank_label")
temp.count_label  = temp:getChildByName("count_label")
temp.wealth_label = temp:getChildByName("wealth_label")
temp.exp_label    = temp:getChildByName("wealth_label_Copy0")
temp.backBtn      = temp:getChildByName("backBtn")
temp.item_list = {}
temp.grid_list = {}
temp:getChildByName("btnLabel_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("BangZhanResultPanel.text1"))
temp:getChildByName("challengTip_Copy0"):getChildByName("self_label_Copy2"):setText(globalManager.yuyanbaoManager:getYuyanbao("BangZhanResultPanel.text2"))
temp:getChildByName("challengTip_Copy0"):getChildByName("self_label_Copy3"):setText(globalManager.yuyanbaoManager:getYuyanbao("PanelTabGroupType.text25"))
temp:getChildByName("challengTip_Copy0"):getChildByName("self_label_Copy5"):setText(globalManager.yuyanbaoManager:getYuyanbao("BangZhanResultPanel.text4"))
temp:getChildByName("Label_129391_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("BangZhanResultPanel.text5"))
temp:getChildByName("Label_129391_Copy1"):setText(globalManager.yuyanbaoManager:getYuyanbao("BangZhanResultPanel.text6"))
temp:getChildByName("Label_129391_Copy2"):setText(globalManager.yuyanbaoManager:getYuyanbao("BangZhanResultPanel.text7"))
temp:getChildByName("Label_129391_Copy3"):setText(globalManager.yuyanbaoManager:getYuyanbao("BangZhanResultPanel.text8"))
temp:getChildByName("backBtn"):getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("MarryRingTip.text3"))
return temp
end)
function BangZhanResultPanel:ctor()
self:initEvent()
globalData.uiClickContainer:addItem(self,true,true)
end
function BangZhanResultPanel:initEvent()
local backClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
self:dispose()
end
end
self.backBtn:addTouchEventListener(backClickHandler)
end
function BangZhanResultPanel:removeEvent()
end
function BangZhanResultPanel:setData(selfRank,selfCount,exp,wealth,itemList,clubList)
self.rank_label:setText(selfRank)
self.count_label:setText(selfCount)
self.wealth_label:setText(wealth)
self.exp_label:setText(exp)
for i = 1,2,1 do
if(itemList[i] ~= nil) then
local grid = BaseGrid:new(true)
grid:setGoodsTempInfo(globalData.allTemplates.goodsTemplateList:getTemplate(itemList[i][1]))
grid:setCount(itemList[i][2])
self.gridBgList[i]:addChild(grid)
table.insert(self.grid_list,grid)
end
end
local sortFunc = function(info1,info2)
return tonumber(info1.rank) < tonumber(info2.rank)
end
table.sort(clubList, sortFunc)
for i = 1,#clubList,1 do
local item = BangZhanResultItemView:new()
item:setInfo(clubList[i])
self.item_panel:pushBackCustomItem(item)
table.insert(self.item_list,item)
end
end
function BangZhanResultPanel:hideFormClickContainer()
end
function BangZhanResultPanel:dispose()
self:removeEvent()
for __,item in pairs(self.item_list) do
item:dispose()
end
self.item_list = nil
for __,grid in pairs(self.grid_list) do
grid:dispose()
end
self.grid_list = nil
self.item_panel:removeAllItems()
self.item_panel = nil
self.gridBgList = nil
self.rank_label = nil
self.count_label = nil
self.wealth_label = nil
self.exp_label  = nil
self.backBtn = nil
globalData.uiClickContainer:close(self)
globalManager.ccCreator:release(self)
end
SceneCopyItemView = class("SceneCopyItemView",function(self)
local temp = globalManager.ccCreator:newWidget()
temp._type = 0
temp:ignoreContentAdaptWithSize(false)
temp:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[7])
temp:setSize(globalManager.ccCreator:newSize(239,54))
temp._bg = globalManager.ccCreator:newButton()
temp._bg:loadTextureNormal("bar/ui_bar13.png",1)
temp._bg:ignoreContentAdaptWithSize(false)
temp._bg:setSize(globalManager.ccCreator:newSize(239,48))
temp._bg:setPosition(globalManager.ccCreator:newPoint(120,24))
temp._bg:setOpacity(150)
temp:addChild(temp._bg)
temp._nameLabel = globalManager.ccCreator:newLabel()
temp._nameLabel:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[7])
temp._nameLabel:setColor(globalData.allStaticTypes.colorType.COLORYELLOW)
temp._nameLabel:setPosition(globalManager.ccCreator:newPoint(20,12))
temp:addChild(temp._nameLabel)
temp._styleLabel = globalManager.ccCreator:newLabel()
temp._styleLabel:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[7])
temp:addChild(temp._styleLabel)
temp._light = globalManager.ccCreator:newImageView("bar/ui_bar12.png",1)
temp._light:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[7])
temp._light:ignoreContentAdaptWithSize(false)
temp._light:setSize(globalManager.ccCreator:newSize(239,48))
temp:addChild(temp._light)
temp._light:setVisible(false)
temp._touchCallback = nil
temp._touchCallbackTarget = nil
temp.skyCount = 0
return temp
end)
function SceneCopyItemView:ctor()
self:initEvent()
end
function SceneCopyItemView:initEvent()
local clickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self:doTrigger()
end
end
self._bg:addTouchEventListener(clickHandler)
end
function SceneCopyItemView:doTrigger()
if(self._type == 1) then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tabCopy)
if(globalData.uiPanelContainer:getCurrentPanel() ~= nil) then
globalData.uiPanelContainer:getCurrentPanel():jumpToTab(1)
end
elseif(self._type == 2) then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tabCopy)
if(globalData.uiPanelContainer:getCurrentPanel() ~= nil) then
globalData.uiPanelContainer:getCurrentPanel():jumpToTab(2)
end
elseif(self._type == 3) then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tabCopy)
if(globalData.uiPanelContainer:getCurrentPanel() ~= nil) then
globalData.uiPanelContainer:getCurrentPanel():jumpToTab(2)
end
elseif(self._type == 4) then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tabCopy)
if(globalData.uiPanelContainer:getCurrentPanel() ~= nil) then
globalData.uiPanelContainer:getCurrentPanel():jumpToTab(3)
end
elseif(self._type == 5) then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tabCopy)
if(globalData.uiPanelContainer:getCurrentPanel() ~= nil) then
globalData.uiPanelContainer:getCurrentPanel():jumpToTab(4)
end
elseif(self._type == 6) then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.arenaTab,globalData.allStaticTypes.panelTabType.arena)
elseif(self._type == 7) then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.arenaTab,globalData.allStaticTypes.panelTabType.arena2)
elseif(self._type == 8) then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.worldBossTab,globalData.allStaticTypes.panelTabType.worldBossVip)
elseif(self._type == 9) then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tabDaily,globalData.allStaticTypes.panelTabType.findTreasure)
elseif(self._type == 11) then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.leagueTab)
if(globalData.uiPanelContainer:getCurrentPanel() ~= nil) then
globalData.uiPanelContainer:getCurrentPanel():jumpToTab(3)
end
elseif(self._type == 12)then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_showMapPanel,globalManager.gameDispatcher,1))
self.skyCount = 3
globalManager.tickManager:addTick(self.skyTick,self)
end
if(self._touchCallback ~= nil)then
self._touchCallback(self._touchCallbackTarget,self)
end
end
function SceneCopyItemView:skyTick()
self.skyCount = self.skyCount - 1
if(self.skyCount > 0 )then return end
globalManager.tickManager:removeTick(self.skyTick,self)
local itemList = globalData.skyDreamLandInfo.itemList
local sortFunc = function(info1,info2)
return tonumber(info1[1]) < tonumber(info2[1])
end
table.sort(itemList, sortFunc)
if(itemList[1][3] < 100)then
globalData.messageAdder:sendSkyDreamLandEnter(itemList[1][1])
else
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_showSkyDreamLand,globalManager.gameDispatcher,nil))
end
end
function SceneCopyItemView:setCallback(target,callback)
self._touchCallbackTarget = target
self._touchCallback = callback
end
function SceneCopyItemView:setType(type,name,num1,num2)
self._type = type
self._nameLabel:setText(name)
if(num1 == nil) then return end
self._styleLabel:setPosition(globalManager.ccCreator:newPoint(self._nameLabel:getContentSize().width + 20,12))
if(num2 ~= nil) then
self._styleLabel:setText("("..tostring(num1).."/"..tostring(num2)..")")
else
self._styleLabel:setText("("..num1..")")
end
self._styleLabel:setColor(globalData.allStaticTypes.colorType.COLORBLUE)
end
function SceneCopyItemView:setSelect(value)
self._light:setVisible(value)
end
function SceneCopyItemView:dispose()
globalManager.tickManager:removeTick(self.skyTick,self)
globalManager.ccCreator:release(self._bg)
self._bg = nil
globalManager.ccCreator:release(self._nameLabel)
self._nameLabel = nil
globalManager.ccCreator:release(self._styleLabel)
self._styleLabel = nil
globalManager.ccCreator:release(self._light)
self._light = nil
self._touchCallback = nil
self._touchCallbackTarget = nil
self.skyCount = nil
globalManager.ccCreator:release(self)
end
SceneHangupItemView = class("SceneHangupItemView",function(self)
local temp = globalManager.ccCreator:newWidget()
temp._type = 0
temp:ignoreContentAdaptWithSize(false)
temp:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[7])
temp:setSize(globalManager.ccCreator:newSize(239,54))
temp._bg = globalManager.ccCreator:newButton()
temp._bg:loadTextureNormal("bar/ui_bar13.png",1)
temp._bg:ignoreContentAdaptWithSize(false)
temp._bg:setSize(globalManager.ccCreator:newSize(239,48))
temp._bg:setPosition(globalManager.ccCreator:newPoint(120,24))
temp:addChild(temp._bg)
temp._nameLabel = globalManager.ccCreator:newLabel()
temp._nameLabel:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[7])
temp._nameLabel:setColor(globalData.allStaticTypes.colorType.COLORYELLOW)
temp._nameLabel:setPosition(globalManager.ccCreator:newPoint(20,12))
temp:addChild(temp._nameLabel)
temp._styleLabel = globalManager.ccCreator:newLabel()
temp._styleLabel:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[7])
temp:addChild(temp._styleLabel)
temp._light = globalManager.ccCreator:newImageView("bar/ui_bar12.png",1)
temp._light:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[7])
temp._light:ignoreContentAdaptWithSize(false)
temp._light:setSize(globalManager.ccCreator:newSize(239,48))
temp:addChild(temp._light)
temp._light:setVisible(false)
temp._monsterId = nil
temp._touchCallback = nil
temp._touchCallbackTarget = nil
temp._Arr = {}
return temp
end)
function SceneHangupItemView:ctor()
self:initEvent()
self._Arr = globalManager.messageUtils:changeStrToIntList(globalManager.descriptManager:getDescript("10021"))
end
function SceneHangupItemView:initEvent()
local clickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self:doTrigger()
end
end
self._bg:addTouchEventListener(clickHandler)
end
function SceneHangupItemView:doTrigger()
local len = #self._Arr
for i = len,1,-1 do
if(globalData.selfPlayerInfo.level >= self._Arr[i][1]) then
self._monsterId = self._Arr[i][2]
break
end
end
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_stopAfk,globalManager.gameDispatcher))
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_stopJump,globalManager.gameDispatcher))
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.trigger_walkToMonster,globalManager.gameDispatcher,{id=self._monsterId,doubleClickCancel=true}))
if(self._touchCallback ~= nil)then
self._touchCallback(self._touchCallbackTarget,self)
end
end
function SceneHangupItemView:setCallback(target,callback)
self._touchCallbackTarget = target
self._touchCallback = callback
end
function SceneHangupItemView:setType(type,name)
self._type = type
self._nameLabel:setText(name)
self._styleLabel:setColor(globalData.allStaticTypes.colorType.COLORBLUE)
end
function SceneHangupItemView:setSelect(value)
self._light:setVisible(value)
end
function SceneHangupItemView:dispose()
globalManager.ccCreator:release(self._bg)
self._bg = nil
globalManager.ccCreator:release(self._nameLabel)
self._nameLabel = nil
globalManager.ccCreator:release(self._styleLabel)
self._styleLabel = nil
globalManager.ccCreator:release(self._light)
self._light = nil
self._monsterId = nil
self._touchCallback = nil
self._touchCallbackTarget = nil
self._Arr = nil
globalManager.ccCreator:release(self)
end
SceneTaskItemView = class("SceneTaskItemView",function(self)
local temp = globalManager.ccCreator:newWidget()
temp._taskItemInfo = nil
temp._taskTemplateInfo = nil
temp:ignoreContentAdaptWithSize(false)
--    temp:setTouchEnabled(true)
temp:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[7])
temp:setSize(globalManager.ccCreator:newSize(239,54))
temp._bg = globalManager.ccCreator:newButton()
temp._bg:loadTextureNormal("bar/ui_bar13.png",1)
temp._bg:ignoreContentAdaptWithSize(false)
temp._bg:setSize(globalManager.ccCreator:newSize(239,48))
temp._bg:setPosition(globalManager.ccCreator:newPoint(120,24))
--    temp._bg:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[7])
temp._bg:ignoreContentAdaptWithSize(false)
temp._bg:setSize(globalManager.ccCreator:newSize(239,48))
temp._bg:setOpacity(150)
temp:addChild(temp._bg)
temp._nameLabel = globalManager.ccCreator:newLabel()
temp._nameLabel:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[7])
temp._nameLabel:setColor(globalData.allStaticTypes.colorType.COLORYELLOW)
temp._nameLabel:setPosition(globalManager.ccCreator:newPoint(20,12))
temp:addChild(temp._nameLabel)
temp._styleLabel = globalManager.ccCreator:newLabel()
temp._styleLabel:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[7])
temp:addChild(temp._styleLabel)
temp._light = globalManager.ccCreator:newImageView("bar/ui_bar12.png",1)
temp._light:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[7])
temp._light:ignoreContentAdaptWithSize(false)
temp._light:setSize(globalManager.ccCreator:newSize(239,48))
temp:addChild(temp._light)
temp._light:setVisible(false)
temp._fingerEffect = nil
--    temp.isShow = false
temp._count = 0
temp._touchCallback = nil
temp._touchCallbackTarget = nil
return temp
end)
function SceneTaskItemView:ctor()
self:initEvent()
end
function SceneTaskItemView:initEvent()
local clickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(self._fingerEffect ~= nil) then
self._fingerEffect:dispose()
self._fingerEffect = nil
end
self:doTrigger()
end
end
self._bg:addTouchEventListener(clickHandler)
end
function SceneTaskItemView:doTrigger()
if(self._taskItemInfo ~= nil) then
local list
local mission = self._taskItemInfo:getCurrentMission()
if(self._taskItemInfo.state == globalData.allStaticTypes.taskStaticInfo.finishNotSubmit)then
list = mission.finish1Trigger
if(list ~= nil and table.getn(list) > 0)then
if(list[1].actionType == globalData.allStaticTypes.triggerEventType.outCopyWalkToNpc) then
list[1].actionType = globalData.allStaticTypes.triggerEventType.walkToNpc
end
globalManager.triggerManager:handlerList(list)
end
elseif(self._taskItemInfo.state == globalData.allStaticTypes.taskStaticInfo.acceptNotFinish)then
list = self._taskItemInfo:getCurrentMission().notFinishTrigger
if(list == nil or #list == 0)then
list = self._taskItemInfo:getTemplate().acceptTriggers
end
if(list ~= nil and table.getn(list) > 0)then
globalManager.triggerManager:handlerList(list)
end
end
else
if(self._taskTemplateInfo.minLv > globalData.selfPlayerInfo.level) then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tabDaily)
if(globalData.uiPanelContainer:getCurrentPanel() ~= nil) then
globalData.uiPanelContainer:getCurrentPanel():setIndex(3)
end
return
end
if(#self._taskTemplateInfo.acceptTarget > 0)then
globalManager.triggerManager:handlerList(self._taskTemplateInfo.acceptTarget)
elseif(self._taskTemplateInfo.acceptNpc > 0)then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.trigger_walkToNpc,globalManager.gameDispatcher,{id=self._taskTemplateInfo.acceptNpc,doubleClickCancel=true}))
end
end
if(self._touchCallback ~= nil)then
self._touchCallback(self._touchCallbackTarget,self)
end
end
function SceneTaskItemView:setCallback(target,callback)
self._touchCallbackTarget = target
self._touchCallback = callback
end
function SceneTaskItemView:setTaskItemInfo(info)
self._taskItemInfo = info
self._taskTemplateInfo = info:getTemplate()
self._nameLabel:setText("["..self._taskTemplateInfo:getTypeString().."]"..self._taskTemplateInfo.title)
self._styleLabel:setPosition(globalManager.ccCreator:newPoint(self._nameLabel:getContentSize().width + 20,12))
self:infoUpdate()
self._taskItemInfo:addEventListener(globalData.globalEventType.playerInfo_countUpdate,self.infoUpdate,self)
self._taskItemInfo:addEventListener(globalData.globalEventType.playerInfo_stateUpdate,self.infoUpdate,self)
end
function SceneTaskItemView:getTaskItemInfo()
return self._taskItemInfo
end
function SceneTaskItemView:infoUpdate()
if(self._taskItemInfo == nil) then return end
if(globalData.allStaticTypes.taskStaticInfo.finishNotSubmit == self._taskItemInfo.state)then
self._styleLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("SceneTaskItemView.text1"))
self._styleLabel:setColor(globalData.allStaticTypes.colorType.COLORGREEN)
else
if(self._taskItemInfo.state == globalData.allStaticTypes.taskStaticInfo.acceptNotFinish)then
local mission = self._taskItemInfo:getCurrentMission()
if(globalData.allStaticTypes.taskStaticInfo:getShowRequireCount(mission.condition)) then
self._styleLabel:setText("("..(mission.data[1].y - self._taskItemInfo._needCounts[1]) .. "/" .. mission.data[1].y .. ")")
end
else
self._styleLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("SceneTaskItemView.text2"))
end
self._styleLabel:setColor(globalData.allStaticTypes.colorType.COLORBLUE)
end
--	if(self._taskItemInfo ~= nil and self._taskItemInfo:getTemplate().taskType == 1) then
--		if(self.isShow and globalData.selfPlayerInfo.level <= 20) then
--			local yellowBoard = GuideYellowBoard:new()
--			yellowBoard:showTip(165,globalData.GAME_HEIGHT - 223)
--			self.isShow = false
--		end
--	end
end
function SceneTaskItemView:setTaskTemplateInfo(info)
self._taskTemplateInfo = info
self._nameLabel:setText("["..self._taskTemplateInfo:getTypeString().."]"..self._taskTemplateInfo.title)
if(info.minLv > globalData.selfPlayerInfo.level) then
self._styleLabel:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("SceneTaskItemView.text3"),info.minLv))
self._styleLabel:setColor(globalData.allStaticTypes.colorType.COLORRED)
else
self._styleLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("SceneTaskItemView.text4"))
self._styleLabel:setColor(globalData.allStaticTypes.colorType.COLORGREEN)
end
self._styleLabel:setPosition(globalManager.ccCreator:newPoint(self._nameLabel:getContentSize().width + 20,12))
end
function SceneTaskItemView:setMain()
self:setSize(globalManager.ccCreator:newSize(239,70))
if(globalData.selfPlayerInfo.level <= 1 and globalData.selfPlayerInfo.level > 30) then return end
--	self.isShow = true
if(self._fingerEffect ~= nil) then return end
self._fingerEffect = globalManager.effectCreator:create(27)
self._fingerEffect:move2(self,200,72)
self._fingerEffect:play()
self:addNode(self._fingerEffect,100)
self._count = 0
globalManager.tickManager:addTick(self.tick,self)
end
function SceneTaskItemView:tick(delta,count)
self._count = self._count + 1
if(self._count >= 300) then
if(self._fingerEffect ~= nil) then
self._fingerEffect:dispose()
self._fingerEffect = nil
end
globalManager.tickManager:removeTick(self.tick,self)
end
end
function SceneTaskItemView:setSelect(value)
self._light:setVisible(value)
end
function SceneTaskItemView:getTaskTemplateInfo()
return self._taskTemplateInfo
end
function SceneTaskItemView:dispose()
globalManager.tickManager:removeTick(self.tick,self)
if(self._fingerEffect ~= nil) then
self._fingerEffect:dispose()
self._fingerEffect = nil
end
globalManager.ccCreator:release(self._bg)
self._bg = nil
globalManager.ccCreator:release(self._nameLabel)
self._nameLabel = nil
globalManager.ccCreator:release(self._styleLabel)
self._styleLabel = nil
globalManager.ccCreator:release(self._light)
self._light = nil
--
--    if(self._taskItemInfo ~= nil) then
--    	self._taskItemInfo:removeEventListener(globalData.globalEventType.playerInfo_countUpdate,self.infoUpdate,self)
--    	self._taskItemInfo:removeEventListener(globalData.globalEventType.playerInfo_stateUpdate,self.infoUpdate,self)
--    end
self._taskItemInfo = nil
self._taskTemplateInfo = nil
self._touchCallback = nil
self._touchCallbackTarget = nil
globalManager.ccCreator:release(self)
end
SceneBloodView = class("SceneBloodView", function()
local sb = globalManager.ccCreator:newNode()
sb._label = nil
sb._value = 0
sb._type = -1
sb._sceneX = 0
sb._sceneY = 0
sb._frameCount = 0
sb._isComplete = false
sb._xoffset = 0
sb._yoffset = 0
sb._str = nil
sb._isPower = 1
return sb
end)
function SceneBloodView:setData(value,resultType,colorType)
if(resultType == 2)then
self._str = globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel41")
elseif(resultType == 3)then
self._str = globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel82")
elseif(resultType == 4)then
self._str = globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel42") .. tostring(value)
self._isPower = 2
elseif(resultType == 6)then
self._str = tostring(value)
elseif(value == 0)then
self._str = "0"
else
self._str = tostring(value)
end
self._label = globalManager.ccCreator:newBMFont(self._str)
if(colorType == 0)then
--人打
self._label:setColor(globalData.allStaticTypes.colorType.PLAYERATTACK_COLOR)
elseif(colorType == 1)then
--宠打
self._label:setColor(globalData.allStaticTypes.colorType.PETATTACK_COLOR)
elseif(colorType == 2) then
--伙打
self._label:setColor(globalData.allStaticTypes.colorType.PARTNERATTACK_COLOR)
else
--被击
self._label:setColor(globalData.allStaticTypes.colorType.BEHIT_COLOR)
end
self:addChild(self._label)
self._xoffset = math.random() * 8 - 4
self._yoffset = math.random()* -3
end
function SceneBloodView:play()
globalManager.tickManager:addTick(self.tick,self)
end
function SceneBloodView:tick(delta,tickCount)
if(self._str == "0" or self._isComplete == true)then
self:dispose()
return
end
self._frameCount = self._frameCount + 1
if(self._frameCount < 10)then
self:move(self._sceneX + self._xoffset,self._sceneY + self._yoffset - 4)
self:setScale(0.4 * self._isPower + self._frameCount * 0.06)
--1
elseif(self._frameCount < 20)then
self:setScale(1 * self._isPower + (self._frameCount - 10) * 0.03)
--1.3
elseif(self._frameCount < 35)then
self:move(self._sceneX + self._xoffset,self._sceneY - 1)
self:setScale(1.3 * self._isPower - (self._frameCount - 20) * 0.035)
end
if(self._frameCount >= 40)then
self:dispose()
end
end
function SceneBloodView:move(x,y)
self._sceneX = x
self._sceneY = y
self:setPosition(globalManager.ccCreator.sharedDirector:convertToGL(globalManager.ccCreator:newPoint(self._sceneX,self._sceneY)))
end
function SceneBloodView:dispose()
self._isComplete = true
globalManager.tickManager:removeTick(self.tick,self)
if(self._label ~= nil)then
globalManager.ccCreator:release(self._label)
self._label = nil
end
globalManager.ccCreator:release(self)
end
SceneSelfHeadView = class("SceneSelfHeadView",function(self,controller)
local temp = globalManager.ccCreator:newJsonWidget("headIcon")
temp._controller = controller
temp.headIcon = temp:getChildByName("headIcon")
temp.headIcon:loadTexture(globalData.allStaticTypes.careerType:getHeadPath(globalData.selfPlayerInfo.career),1)
temp.clickBtn = temp:getChildByName("click_btn")
temp.headBg1 = temp:getChildByName("headIconBg1")
temp.headBg1:setTouchEnabled(false)
temp._levelLabel = temp:getChildByName("levelLabel")
temp._hpLabel = temp:getChildByName("hpLabel")
temp._fightLabel = temp:getChildByName("fightLabel")
temp._goldLabel = temp:getChildByName("goldLabel")
temp._copperLabel = temp:getChildByName("copperLabel")
temp._hpBar = temp:getChildByName("hpBar")
temp._chargeBtn = temp:getChildByName("chargeBtn")
temp._isGray = false
temp._currentHp = -1
temp._count = 0
temp._vipIconView = VipIconView:new(true)
temp._vipIconView:setPosition(cc.p(230,16))
temp._vipIconView:setScale(0.9)
temp:addChild(temp._vipIconView,1)
return temp
end)
function SceneSelfHeadView:ctor()
self:updateCombat()
self:updateHP()
self:updateLevel()
self:updateVip()
self:updateMoney()
self:initEvent()
end
function SceneSelfHeadView:initEvent()
local headClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(globalData.copyInfo.currentCopyId > 0) then
return
elseif(globalData.allTemplates.mapTemplateList.CITY_MAPID == globalData.currentMapId)then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_showMainMenuBtn,globalManager.gameDispatcher,not globalData.isShowMainmenuBtn))
else
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_showSkillBtn,globalManager.gameDispatcher,not globalData.isShowSkillBtn))
end
end
end
local vipClickhandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.vipTab,globalData.allStaticTypes.panelTabType.vip)
end
end
local chargeClickhandler = function (sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(globalData.isPay ~= 1) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("PayPanel.text1"))
return
end
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.payTab,globalData.allStaticTypes.panelTabType.pay)
end
end
self._chargeBtn:addTouchEventListener(chargeClickhandler)
self.clickBtn:addTouchEventListener(headClickHandler)
self._vipIconView.clickBtn:addTouchEventListener(vipClickhandler)
globalData.selfPlayerInfo:addEventListener(globalData.globalEventType.playerInfo_level,self.updateLevel,self)
globalData.selfPlayerInfo:addEventListener(globalData.globalEventType.playerInfo_combat,self.updateCombat,self)
globalData.selfPlayerInfo:addEventListener(globalData.globalEventType.playerInfo_vip,self.updateVip,self)
self._controller.sceneModule.sceneInfo.scenePlayerList:addEventListener(globalData.globalEventType.sceneInfo_selfInfo,self.setSelfComplete,self)
globalData.selfPlayerInfo.moneyInfo:addEventListener(globalData.globalEventType.playerInfo_money,self.updateMoney,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.playerInfo_selfInfo,self.selfInfoUpdate,self)
end
function SceneSelfHeadView:setSelfComplete(evt)
self:updateHP()
self._controller.sceneModule.sceneInfo.scenePlayerList.selfPlayer:addEventListener(globalData.globalEventType.sceneInfo_hpUpdate, self.updateHP,self)
end
function SceneSelfHeadView:updateCombat(evt)
self._fightLabel:setStringValue(tostring(globalData.selfPlayerInfo.combat))
if(globalData.selfPlayerInfo.combat > 9999999) then
self._fightLabel:setPositionX(166)
end
end
function SceneSelfHeadView:updateHP(evt)
local plus = 0
if(self._currentHp > 0 and globalData.selfPlayerInfo.currentHP > 0) then
plus = globalData.selfPlayerInfo.currentHP - self._currentHp
if(plus > 0) then
PlusNumberEffect:new("+"..tostring(plus),globalManager.ccCreator:newPoint(145,globalData.GAME_HEIGHT - 50),true)
end
end
self._currentHp = globalData.selfPlayerInfo.currentHP
--    self._hpLabel:setText(tostring(globalData.selfPlayerInfo.currentHP).."/"..tostring(globalData.selfPlayerInfo.maxHP))
self._hpBar:setPercent(math.floor(globalData.selfPlayerInfo.currentHP / globalData.selfPlayerInfo.maxHP * 100))
end
function SceneSelfHeadView:updateLevel(evt)
self._levelLabel:setText(tostring(globalData.selfPlayerInfo.level))
end
function SceneSelfHeadView:updateVip(evt)
self._vipIconView:setLevel(globalData.selfPlayerInfo.vipLevel)
end
function SceneSelfHeadView:updateMoney()
self._goldLabel:setText(globalData.selfPlayerInfo.moneyInfo.gold)
local copper = globalData.selfPlayerInfo.moneyInfo.copper
local copperStr
if(copper > 9999) then
copperStr = tostring(math.floor(copper * 0.001)*0.1)..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel44")
else
copperStr = tostring(copper)
end
self._copperLabel:setText(copperStr)
end
function SceneSelfHeadView:selfInfoUpdate(evt)
self:updateLevel()
self.headIcon:loadTexture(globalData.allStaticTypes.careerType:getHeadPath(globalData.selfPlayerInfo.career),1)
end
function SceneSelfHeadView:addTargetIcon()
self:addChild(self._controller.sceneModule.targetHeadView,99)
end
SceneSkillItemView = class("SceneSkillItemView",function(self,controller,icon,btn,place)
local temp = {}
temp._icon = icon
temp._btn = btn
temp._isEnabled = true
temp._info = nil
temp._controller = controller
temp.place = place
return temp
end)
function SceneSkillItemView:ctor()
local skillClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(self._info == nil) then
self._controller.sceneModule.skillPanel:selectSkillNormal()
else
self._controller.sceneModule.controllerList:selectSkill(self._info)
end
self._controller.sceneModule.skillPanel:isShowSkillPlan(false)
end
end
self._btn:addTouchEventListener(skillClickHandler)
end
function SceneSkillItemView:setEnabled(value)
if(self._isEnabled == value) then return end
self._isEnabled = value
self._icon:setEnabled(value)
self._btn:setEnabled(value)
end
function SceneSkillItemView:isEnabled()
return self._isEnabled
end
function SceneSkillItemView:setVisible(value)
self._icon:setVisible(value)
self._btn:setVisible(value)
end
function SceneSkillItemView:getPositionX()
return self._btn:getPositionX()
end
function SceneSkillItemView:getPositionY()
return self._btn:getPositionY()
end
function SceneSkillItemView:setImage(iconPath)
globalManager.sourceCacheManager:setImage(self._icon,iconPath,globalData.allStaticTypes.sourceStaticType.neverClear)
end
function SceneSkillItemView:setSkillInfo(info)
if(self._info == info) then return end
if(self._info ~= nil) then
self._info:removeEventListener(globalData.globalEventType.playerInfo_skillCD,self.updateCDEffect,self)
end
self._info = info
if(self._info ~= nil) then
self._info:addEventListener(globalData.globalEventType.playerInfo_skillCD,self.updateCDEffect,self)
end
end
function SceneSkillItemView:updateCDEffect(evt)
if(self._isEnabled and self._icon ~= nil) then
if self._icon:getChildByTag(10) then
self._icon:removeChildByTag(10)
end
local effect = CDEffect:new(evt.data)
self._icon:addChild(effect, 9, 10)
if(self._info.templateId == 3940 or self._info.templateId == 3952) then
effect:setScale(1.4)
end
end
end
function SceneSkillItemView:dispose()
if(self._info ~= nil) then
self._info:removeEventListener(globalData.globalEventType.playerInfo_skillCD,self.updateCDEffect,self)
end
self._icon = nil
self._btn = nil
self._info = nil
self._controller = nil
end
SceneSkillPanel = class("SceneSkillPanel",function(self,controller)
local temp = globalManager.ccCreator:newWidget()
temp._controller = controller
temp._widget = globalManager.ccCreator:newJsonWidget("skillBtnPanel")
temp:addChild(temp._widget)
temp._attackPath = "30000"..globalData.allStaticTypes.careerType:getCareer(globalData.selfPlayerInfo.career)
temp._skillItemList = {}
temp._skillInfoList = {}
temp._skillPlanList = {}
temp._iconPath = globalManager.pathManager:getDisplayItemPath(temp._attackPath,globalData.allStaticTypes.goodsIconPathType.SKILL_ICON)
temp._btnType = 0--按钮类型，0攻击，1对话，2采集，4选取
temp._isShowHangup = true
temp._isListener = false
temp._skillLayer = temp._widget:getChildByName("skill_panel")
temp._skillLayer:retain()
temp._datiLayer = temp._widget:getChildByName("dati_panel")
temp._datiLayer:retain()
temp._datiLayer:removeFromParent(false)
temp._yiChuiLayer = temp._widget:getChildByName("yiChui_panel")
temp._yiChuiLayer:retain()
temp._yiChuiLayer:removeFromParent(false)
temp._tanBaoLayer = temp._widget:getChildByName("tanBao_panel")
temp._tanBaoLayer:retain()
temp._tanBaoLayer:removeFromParent(false)
temp._bg = temp._skillLayer:getChildByName("bg")
temp._bg:getChildByName("Button_1"):getChildByName("Label_857923"):setText(globalManager.yuyanbaoManager:getYuyanbao("SceneSkillPanel.text1"))
temp._bg:getChildByName("Button_2"):getChildByName("Label_857924"):setText(globalManager.yuyanbaoManager:getYuyanbao("SceneSkillPanel.text2"))
temp._bg:getChildByName("Button_3"):getChildByName("Label_857925"):setText(globalManager.yuyanbaoManager:getYuyanbao("SceneSkillPanel.text3"))
for i = 1, 3 do
table.insert(temp._skillPlanList,temp._skillLayer:getChildByName("bg"):getChildByName("Button_"..i))
end
temp._bg:setVisible(false)
temp._bg:setEnabled(false)
temp._mainBtn = temp._skillLayer:getChildByName("mainBtn")
temp._mainBtn:setScaleY(-1)
if globalData.selfPlayerInfo.career > 10 then
temp._mainBtn:setVisible(true)
temp._mainBtn:setEnabled(true)
else
temp._mainBtn:setVisible(false)
temp._mainBtn:setEnabled(false)
end
temp._selectLight = temp._bg:getChildByName("selectLight")
temp._selectLightPositon = {{0,53},{0,0},{0,-53}}
local index = globalData.skillList.skillChoice
temp._selectLight:setPosition(temp._selectLightPositon[index][1],temp._selectLightPositon[index][2])
for i = 1,28,1 do
local item = nil
if(i <= 6) then
item = SceneSkillItemView:new(temp._controller,temp._skillLayer:getChildByName("skillIcon"..i),temp._skillLayer:getChildByName("skillBtn"..i),i)
elseif(i <= 8) then
item = SceneSkillItemView:new(temp._controller,temp._datiLayer:getChildByName("skillIcon"..i),temp._datiLayer:getChildByName("skillBtn"..i),i)
elseif(i <= 20) then
elseif(i <= 23) then
item = SceneSkillItemView:new(temp._controller,temp._yiChuiLayer:getChildByName("skillIcon"..i),temp._yiChuiLayer:getChildByName("skillBtn"..i),i)
elseif(i <= 28) then
item = SceneSkillItemView:new(temp._controller,temp._tanBaoLayer:getChildByName("skillIcon"..i),temp._tanBaoLayer:getChildByName("skillBtn"..i),i)
end
if(item ~= nil) then
table.insert(temp._skillItemList,item)
item:setEnabled(false)
end
end
temp._hangupBtn = temp._widget:getChildByName("hangup_btn")
temp._hangupBtn:removeFromParent()
temp._hangupBtn:retain()
temp._isHangup = false
temp.isHide = true
temp._isFirst = true
temp._currentGuideId = 0
temp._skillGuide = nil
temp._tickTime = 0
temp.selectedPlan = 1
temp._currentLayer = temp._skillLayer
temp._propController1 = PropController:new()
temp._propController2 = PropController:new()
temp.effect = nil
return temp
end)
function SceneSkillPanel:ctor()
self:initEvent()
self:checkShowHangUp()
end
function SceneSkillPanel:initEvent()
local hangupClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.trigger_hangUp,globalManager.gameDispatcher,not self._isHangup))
if(globalData.copyInfo.currentCopyId > 0) then
globalManager.tipsManager.guideTip:hide()
end
end
end
local function touchCallBack(sender,eventType)
-- body
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self.isHide = not self.isHide
if not self.isHide then
self._mainBtn:setScaleY(1)
self._bg:setVisible(true)
self._bg:setEnabled(true)
else
self._mainBtn:setScaleY(-1)
self._bg:setVisible(false)
self._bg:setEnabled(false)
end
end
end
local function btnClickHandler(sender,eventType)
-- body
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
for i = 1,3 do
if sender == self._skillPlanList[i] then
if globalData.skillList:getSkillByPlanType(i)[2] == 0 then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("SceneSkillPanel.text4"))
elseif i == self.selectedPlan then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("SceneSkillPanel.text5"))
elseif(self:isAllSkillInCD(self.selectedPlan)) then
globalData.messageAdder:sendChooseSkillPlan(self.selectedPlan,i)
self:chosePlan(i)
end
end
end
end
end
self._hangupBtn:addTouchEventListener(hangupClickHandler)
self._mainBtn:addTouchEventListener(touchCallBack)
for i = 1,3 do
self._skillPlanList[i]:addTouchEventListener(btnClickHandler)
end
globalData.skillList:addEventListener(globalData.globalEventType.playerInfo_skillList,self.updateInfo,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_showChatPanel,self.showChatPanelHandler,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_hideChatPanel,self.hideChatPanelHandler,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.newly_controllSkill,self.controllSkill,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.changeSkill,self.disPatchChosePlan,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.isWakeUp,self.isWakeUp,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_reConnect,self.reConnect,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.playerInfo_selfInfo,self.selfInfoUpdate,self)
self._isListener = true
globalData.selfPlayerInfo:addEventListener(globalData.globalEventType.playerInfo_level,self.checkLevel,self)
end
function SceneSkillPanel:isWakeUp()
-- body
--self._bg:setVisible(true)
--self._bg:setEnabled(true)
self._mainBtn:setVisible(true)
self._mainBtn:setEnabled(true)
end
function SceneSkillPanel:isAllSkillInCD(index)
local skillList = globalData.skillList:getSkillByPlanType(index)
for k,tempID in pairs(skillList) do
local skillInfo = globalData.skillList:getSkillByGroupId(tempID)
if skillInfo ~= nil and skillInfo:getLeftCoolingTime() > 0 then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("SceneSkillPanel.text6"))
return false
end
end
return true
end
function SceneSkillPanel:disPatchChosePlan(evt)
local index = evt.data
self:chosePlan(index)
end
function SceneSkillPanel:chosePlan(index)
-- body
self.selectedPlan = index
self._selectLight:setPosition(self._selectLightPositon[index][1],self._selectLightPositon[index][2])
globalData.skillList:setSkillPlanChoice(index)
self:changeSkill()
self:isShowSkillPlan(false)
end
function SceneSkillPanel:selectSkillNormal()
if(self._btnType == 0) then
self._controller.sceneModule.controllerList:selectSkill(globalData.skillList:getSkillByPlace(1))
elseif(self._btnType == 1) then
self._controller.sceneModule.walkTester:walkToNpc(self._controller.sceneModule.sceneInfo:getCurrentSelectObjInfo():getObjId())
elseif(self._btnType == 2) then
self._controller.sceneModule.walkTester:walkToCollect(self._controller.sceneModule.sceneInfo:getCurrentSelectObjInfo())
end
end
function SceneSkillPanel:checkLevel()
self:checkShowHangUp()
if(globalData.selfPlayerInfo.level >= 12) then
self._isListener = false
globalData.selfPlayerInfo:removeEventListener(globalData.globalEventType.playerInfo_level,self.checkLevel,self)
end
end
function SceneSkillPanel:reConnect()
self._isFirst = true
self.isHide = true
self._isShowHangup = true
self._btnType = 0
self._bg:setVisible(false)
self._bg:setEnabled(false)
if globalData.selfPlayerInfo.career < 10 then
self._mainBtn:setVisible(false)
self._mainBtn:setEnabled(false)
end
self._mainBtn:setScaleY(-1)
for __,item in pairs(self._skillItemList) do
item:setEnabled(false)
end
self._skillInfoList = {}
--self._skillPlanList = {}
if(not self._isListener) then
globalData.selfPlayerInfo:addEventListener(globalData.globalEventType.playerInfo_level,self.checkLevel,self)
end
end
function SceneSkillPanel:selfInfoUpdate()
self._attackPath = "30000"..globalData.allStaticTypes.careerType:getCareer(globalData.selfPlayerInfo.career)
self._iconPath = globalManager.pathManager:getDisplayItemPath(self._attackPath,globalData.allStaticTypes.goodsIconPathType.SKILL_ICON)
end
function SceneSkillPanel:controllSkill()
self._controller.sceneModule.controllerList:selectSkill(globalData.skillList:getSkillByPlace(2))
end
function SceneSkillPanel:showChatPanelHandler(evt)
if(self:getParent() ~= nil)then
self:removeFromParent()
end
end
function SceneSkillPanel:hideChatPanelHandler(evt)
if(globalData.isShowSkillBtn and self:getParent() == nil)then
globalManager.containerManager.fixUIContainer:addChild(self,2)
end
end
function SceneSkillPanel:clientStateUpdate(isHangup)
if(self._isHangup == isHangup) then return end
self._isHangup = isHangup
if(isHangup) then
self._hangupBtn:loadTextureNormal("btn/ui_hanguping.png",1)
self:checkEffect(isHangup)
else
self._hangupBtn:loadTextureNormal("btn/ui_hangupBtn.png",1)
self:checkEffect(isHangup)
end
self:isShowSkillPlan(false)
end
function SceneSkillPanel:isShowSkillPlan(flag)
-- body
if flag then
self._bg:setVisible(true)
self._bg:setEnabled(true)
self._mainBtn:setScaleY(1)
self.isHide = false
else
self._bg:setVisible(false)
self._bg:setEnabled(false)
self._mainBtn:setScaleY(-1)
self.isHide = true
end
end
function SceneSkillPanel:checkEffect(value)
if(value and self.effect == nil) then
self.effect = globalManager.effectCreator:create(37)
self._widget:addNode(self.effect,1)
self.effect:move2(self._widget,-36,-41)
self.effect:setScale(1.4)
self.effect:play()
elseif(not value and self.effect ~= nil) then
self.effect:dispose()
self.effect = nil
end
end
function SceneSkillPanel:changeSkill()
-- body
local skillInfo = nil
for index,item in pairs(self._skillItemList) do
if index > 1 and index <= 5 then
if globalData.selfPlayerInfo.career > 10 then
local planList = {}
if globalData.skillList.skillChoice == 1 then
planList =globalData.skillList._skillPlan1
elseif globalData.skillList.skillChoice == 2 then
planList =globalData.skillList._skillPlan2
elseif globalData.skillList.skillChoice == 3 then
planList =globalData.skillList._skillPlan3
end
skillInfo = globalData.skillList:getSkillByGroupId(planList[index])
end
if(item.place == 1 or skillInfo ~= nil) then
item:setEnabled(true)
if(item.place == 1) then
item:setImage(self._iconPath)
item:setSkillInfo(nil)
else
item:setImage(globalManager.pathManager:getDisplayItemPath(skillInfo:getTemplate().iconPath,globalData.allStaticTypes.goodsIconPathType.SKILL_ICON))
item:setSkillInfo(skillInfo)
table.insert(self._skillInfoList,skillInfo)
end
end
end
end
self._isFirst = false
end
function SceneSkillPanel:updateInfo(evt)
if globalData.selfPlayerInfo.career < 10 then
self._mainBtn:setVisible(false)
self._mainBtn:setEnabled(false)
else
self._mainBtn:setVisible(true)
self._mainBtn:setEnabled(true)
end
local skillInfo = nil
for index,item in pairs(self._skillItemList) do
if globalData.selfPlayerInfo.career > 10 and index > 1 and index <= 5 then
local planList = {}
if globalData.skillList.skillChoice == 1 then
planList = globalData.skillList._skillPlan1
elseif globalData.skillList.skillChoice == 2 then
planList = globalData.skillList._skillPlan2
elseif globalData.skillList.skillChoice == 3 then
planList = globalData.skillList._skillPlan3
end
skillInfo = globalData.skillList:getSkillByGroupId(planList[index])
else
skillInfo = globalData.skillList:getSkillByPlace(item.place)
end
if(item.place == 1 or skillInfo ~= nil) then
if(not item:isEnabled()) then
item:setEnabled(true)
if(item.place == 1) then
item:setImage(self._iconPath)
item:setSkillInfo(nil)
else
item:setImage(globalManager.pathManager:getDisplayItemPath(skillInfo:getTemplate().iconPath,globalData.allStaticTypes.goodsIconPathType.SKILL_ICON))
item:setSkillInfo(skillInfo)
table.insert(self._skillInfoList,skillInfo)
if(not self._isFirst) then
self:showNewSkill(skillInfo:getTemplate(),item.place)
end
end
end
end
end
self._isFirst = false
end
function SceneSkillPanel:showNewSkill(info,i)
local guideClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
self:tickComplate()
end
end
if(self._currentGuideId > 0)then
if(self._skillGuide ~= nil)then
self._skillGuide:hideBg()
self._skillGuide:dispose()
self._skillGuide = nil
end
self._skillItemList[self._currentGuideId]:setVisible(true)
globalManager.tickManager:removeTick(self.tick,self)
end
self._currentGuideId = i
self._skillItemList[i]:setVisible(false)
self._skillGuide = GuideNewSkillView:new()
self._skillGuide:setSkill(info)
self._skillGuide:setPosition(92 - globalData.GAME_WIDTH*0.5,globalData.GAME_HEIGHT*0.5 - 160)
self:addChild(self._skillGuide)
self._skillGuide.bg:addTouchEventListener(guideClickHandler)
self._tickTime = 5
globalManager.tickManager:addTick(self.tick,self)
end
function SceneSkillPanel:tick(delta,count)
self._tickTime = self._tickTime - delta
if(self._tickTime <= 0) then
self:tickComplate()
end
end
function SceneSkillPanel:tickComplate()
local moveComplete = function()
self._skillItemList[self._currentGuideId]:setVisible(true)
self._skillGuide:dispose()
self._skillGuide = nil
self._currentGuideId = 0
end
globalManager.tickManager:removeTick(self.tick,self)
self._skillGuide:hideBg()
local sx = 92 - globalData.GAME_WIDTH*0.5
local tx = self._skillItemList[self._currentGuideId]:getPositionX() - 154
local sy = globalData.GAME_HEIGHT*0.5 - 160
local ty = self._skillItemList[self._currentGuideId]:getPositionY() - 153
self._propController1:setInfo({PropInfo:new(self._skillGuide,1,0,sx,tx,(tx - sx) / 30,0)})
self._propController2:setInfo({PropInfo:new(self._skillGuide,2,0,sy,ty,(ty - sy) / 25,0)})
self._propController1:setCallBack(self,moveComplete)
self._propController1:pStart()
self._propController2:pStart()
end
function SceneSkillPanel:setDati()
if(self._currentLayer == self._datiLayer) then return end
self._currentLayer:removeFromParent(false)
self._currentLayer = self._datiLayer
self._widget:addChild(self._currentLayer)
end
function SceneSkillPanel:setYiChui()
if(self._currentLayer == self._yiChuiLayer) then return end
self._currentLayer:removeFromParent(false)
self._currentLayer = self._yiChuiLayer
self._widget:addChild(self._currentLayer)
end
function SceneSkillPanel:setTanBao()
if(self._currentLayer == self._tanBaoLayer) then return end
self._currentLayer:removeFromParent(false)
self._currentLayer = self._tanBaoLayer
self._widget:addChild(self._currentLayer)
end
function SceneSkillPanel:setSkill()
if(self._currentLayer == self._skillLayer) then return end
self._currentLayer:removeFromParent(false)
self._currentLayer = self._skillLayer
self._widget:addChild(self._currentLayer)
end
function SceneSkillPanel:isShowHangup(value)
self._isShowHangup = value
self:checkShowHangUp()
end
function SceneSkillPanel:checkShowHangUp()
if(self._isShowHangup and globalData.selfPlayerInfo.level >= 5) then
if(not self._hangupBtn:getParent()) then
self:addChild(self._hangupBtn)
end
else
if(self._hangupBtn:getParent()) then
self._hangupBtn:removeFromParent(false)
end
end
end
function SceneSkillPanel:setTarget(info)
if(self._currentLayer ~= self._skillLayer) then return end
local btnType = 0
if(info ~= nil) then
local type = info:getObjType()
if(type == globalData.allStaticTypes.sceneObjType.npc) then
--            btnType = 1
btnType = 0
elseif(type == globalData.allStaticTypes.sceneObjType.collect) then
btnType = 2
elseif(type == globalData.allStaticTypes.sceneObjType.player) then
if(self._controller.sceneModule.attackTester:playerCanBeAttack(info)) then
btnType = 0
end
end
end
if(self._btnType ~= btnType) then
self._btnType = btnType
if(btnType == 0 or btnType == 3) then
self._iconPath = globalManager.pathManager:getDisplayItemPath(self._attackPath,globalData.allStaticTypes.goodsIconPathType.SKILL_ICON)
elseif(btnType == 1) then
self._iconPath = globalManager.pathManager:getDisplayItemPath("300004",globalData.allStaticTypes.goodsIconPathType.SKILL_ICON)
elseif(btnType == 2) then
self._iconPath = globalManager.pathManager:getDisplayItemPath("300005",globalData.allStaticTypes.goodsIconPathType.SKILL_ICON)
elseif(btnType == 4) then
self._iconPath = globalManager.pathManager:getDisplayItemPath("300007",globalData.allStaticTypes.goodsIconPathType.SKILL_ICON)
end
self._skillItemList[1]:setImage(self._iconPath)
end
end
SceneSkillView = class("SceneSkillView",function(self,skillId,pos,type)
local ss = globalManager.ccCreator:newWidget()
ss._bg = nil
ss._pos = pos
ss._nameImage = globalManager.ccCreator:newImageView()
ss._path = globalManager.pathManager:getSkillNamePath(skillId)
ss._tickCount = 0
ss._scaleOffset = 1
ss._color = globalData.allStaticTypes.colorType.PLAYERATTACK_COLOR
if(type == nil)then type = 0 end
if(type == 1) then
ss._scaleOffset = 1
ss._color = globalData.allStaticTypes.colorType.PETATTACK_COLOR
elseif(type == 2) then
ss._scaleOffset = 1
ss._color = globalData.allStaticTypes.colorType.PARTNERATTACK_COLOR
end
ss._scales = {6,6,6,6,6,6,5,5,5,5,4,4,4,3,3,2,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1}
return ss
end)
function SceneSkillView:ctor()
self._bg = globalManager.ccCreator:newImageView("ui_skillBg.png", 1)
self:addChild(self._bg)
self:addChild(self._nameImage)
globalManager.sourceCacheManager:setImage(self._nameImage,self._path,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self._bg:setScale(self._scaleOffset)
self._nameImage:setColor(self._color)
self._nameImage:setOpacity(0)
self:setPosition(globalManager.ccCreator:newPoint(self._pos.x + 60 + math.random(1,80), globalData.GAME_HEIGHT-self._pos.y + 20 + math.random(1,100)))
globalManager.tickManager:addTick(self.tick, self)
globalManager.containerManager.effectContainer:addChild(self,100)
end
function SceneSkillView:tick(deltaTime,tickCount)
local len = #self._scales
if(len > 0)then
local scale = table.remove(self._scales,1)
self._nameImage:setScale(scale * self._scaleOffset)
local op = self._tickCount / 20 * 255
self._nameImage:setOpacity(op)
self._tickCount = self._tickCount + 1
else
self:dispose()
end
end
function SceneSkillView:dispose()
if(self._path ~= nil) then
globalManager.sourceCacheManager:removeQuote(self._path)
self._path = nil
end
globalManager.tickManager:removeTick(self.tick, self)
if(self._bg ~= nil)then
globalManager.ccCreator:release(self._bg)
self._bg = nil
end
if(self._nameImage ~= nil) then
globalManager.ccCreator:release(self._nameImage)
self._nameImage = nil
end
globalManager.ccCreator:release(self)
end
SceneTargetHeadView = class("SceneTargetHeadView",function(self,controller)
local temp = globalManager.ccCreator:newJsonWidget("targetIcon")
temp._controller = controller
temp._levelLabel = temp:getChildByName("levelLabel")
temp._headIcon = temp:getChildByName("headIcon")
temp._normalPanel = temp:getChildByName("normal_Panel")
temp._normalPanel:retain()
temp._hpBar = temp._normalPanel:getChildByName("hpBar")
temp._nameLabel = temp._normalPanel:getChildByName("nameLabel")
temp._bossPanel = temp:getChildByName("boss_Panel")
temp._bossPanel:retain()
temp._bossPanel:removeFromParent(false)
temp._nameLabel2 = temp._bossPanel:getChildByName("nameLabel")
temp._hpBar1 = temp._bossPanel:getChildByName("hpBar1")
temp._hpBar2 = temp._bossPanel:getChildByName("hpBar2")
temp._hpBar3 = temp._bossPanel:getChildByName("hpBar3")
temp._numLabel = nil
temp._showType = 1
temp._targetInfo = nil
return temp
end)
function SceneTargetHeadView:ctor()
self:initEvent()
self._numLabel = globalManager.ccCreator:newLabel()
self._numLabel:setPosition(260,99)
self:addChild(self._numLabel,3)
end
function SceneTargetHeadView:initEvent()
local function touchHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(self._targetInfo ~= nil and self._targetInfo.figureInfo ~= nil)then
if(globalData.allTemplates.copyTemplateList:isShowPlayerMenu(globalData.copyInfo.currentCopyId))then
globalManager.menuManager:showPlayerMenu(self._targetInfo.figureInfo, sender:getTouchStartPos())
end
end
end
end
self:addTouchEventListener(touchHandler)
end
function SceneTargetHeadView:setTarget(info)
if(self:isAttackableInfo(self._targetInfo)) then
self._targetInfo:removeEventListener(globalData.globalEventType.sceneInfo_hpUpdate, self.hpUpdateHandler,self)
end
self._targetInfo = info
if(info == nil) then
self:removeFromParent(false)
else
if(self:getParent() == nil) then
self._controller:addTargetIcon()
end
local showType = 1
local type = info:getObjType()
if(type == globalData.allStaticTypes.sceneObjType.monster) then
if(info:getTemplate().isBoss) then
self._headIcon:loadTexture(globalData.allStaticTypes.careerType:getHeadPath(102),1)
showType = 2
self._numLabel:setVisible(true)
else
self._headIcon:loadTexture(globalData.allStaticTypes.careerType:getHeadPath(101),1)
showType = 3
self._numLabel:setVisible(false)
end
self._targetInfo:addEventListener(globalData.globalEventType.sceneInfo_hpUpdate, self.hpUpdateHandler,self)
self._levelLabel:setText(tostring(info:getLevel()))
elseif(type == globalData.allStaticTypes.sceneObjType.npc or type == globalData.allStaticTypes.sceneObjType.collect) then
self:removeFromParent(false)
self._numLabel:setVisible(false)
return
elseif(type == globalData.allStaticTypes.sceneObjType.player) then
self._headIcon:loadTexture(globalData.allStaticTypes.careerType:getHeadPath(info:getCareer()),1)
self._targetInfo:addEventListener(globalData.globalEventType.sceneInfo_hpUpdate, self.hpUpdateHandler,self)
self._levelLabel:setText(tostring(info:getLevel()))
self._numLabel:setVisible(false)
end
self._showType = showType
if(showType == 1) then
self._bossPanel:removeFromParent(false)
if(self._normalPanel:getParent() == nil) then
self:addChild(self._normalPanel)
end
self._nameLabel:setText(info:getName())
elseif(showType == 2) then
self._normalPanel:removeFromParent(false)
if(self._bossPanel:getParent() == nil) then
self:addChild(self._bossPanel)
end
self._nameLabel2:setText(info:getName())
else
self._normalPanel:removeFromParent(false)
if(self._bossPanel:getParent() == nil) then
self:addChild(self._bossPanel)
end
self._nameLabel2:setText(info:getName())
self._hpBar1:setPercent(0)
self._hpBar2:setPercent(0)
end
self:updateHP()
end
end
function SceneTargetHeadView:isAttackableInfo(info)
if(info == nil) then return false end
if(info:getObjType() == globalData.allStaticTypes.sceneObjType.monster or
info:getObjType() == globalData.allStaticTypes.sceneObjType.player) then
return true
end
return false
end
function SceneTargetHeadView:hpUpdateHandler(evt)
self:updateHP()
end
function SceneTargetHeadView:updateHP()
if(self._showType == 2) then
local pre = self._targetInfo:getCurrentHp() / self._targetInfo:getTotalHp() * 100
if(pre < 34) then
self._hpBar1:setPercent(0)
self._hpBar2:setPercent(0)
self._hpBar3:setPercent(math.floor(pre*3))
self._numLabel:setText("X" .. 1)
elseif(pre < 67) then
self._hpBar1:setPercent(0)
self._hpBar2:setPercent(math.floor((pre - 34)*3))
self._hpBar3:setPercent(100)
self._numLabel:setText("X" .. 2)
else
self._hpBar1:setPercent(math.floor((pre - 67)*3))
self._hpBar2:setPercent(100)
self._hpBar3:setPercent(100)
self._numLabel:setText("X" .. 3)
end
elseif(self._showType == 3)then
self._hpBar3:setPercent(math.floor(self._targetInfo:getCurrentHp() / self._targetInfo:getTotalHp() * 100))
else
self._hpBar:setPercent(math.floor(self._targetInfo:getCurrentHp() / self._targetInfo:getTotalHp() * 100))
end
end
SceneTaskPanel = class("SceneTaskPanel",function(self,controller)
local temp = globalManager.ccCreator:newNode()
temp._controller = controller
temp._itemPanel = globalManager.ccCreator:newListView()
temp._itemPanel:setSize(globalManager.ccCreator:newSize(239,216))
temp._itemPanel:setDirection(ccui.ScrollViewDir.vertical)
temp:addChild(temp._itemPanel)
temp._hideBtn = globalManager.ccCreator:newButton()
temp._hideBtn:loadTextureNormal("btn/ui_closeBtn2.png",1)
temp._hideBtn:setPosition(globalManager.ccCreator:newPoint(23,-24))
temp:addChild(temp._hideBtn,3)
temp._arenaItem = nil
temp._arena1Item = nil
temp._isShow = true
temp._currentItem = nil
temp._isNew = true
temp._newCount = 300
temp._itemList = {}
temp._heightOffset = 0
temp._count = 0
temp._bossHpFlag = false
return temp
end)
function SceneTaskPanel:ctor()
self:initEvent()
--    globalManager.tickManager:addTick(self.newTick,self)
end
function SceneTaskPanel:initEvent()
local hideClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
globalData:closeMainMenu()
self._isShow = not self._isShow
self._itemPanel:setEnabled(self._isShow)
if(self._isShow) then
self._hideBtn:setScaleY(1)
self._hideBtn:setPositionY(-24)
else
self._hideBtn:setScaleY(-1)
self._hideBtn:setPositionY(-24)
end
end
end
self._hideBtn:addTouchEventListener(hideClickHandler)
globalData.taskItemList:addEventListener(globalData.globalEventType.playerInfo_taskList,self.firstUpdate,self)
globalData.taskItemList:addEventListener(globalData.globalEventType.playerInfo_addTask,self.resetView,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.playerInfo_taskSubmit,self.resetView,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.newly_taskFollowClick,self.taskFollowClick,self)
globalData.selfPlayerInfo:addEventListener(globalData.globalEventType.playerInfo_level,self.updateLevel,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_reConnect,self.reConnect,self)
globalManager.playerInfoTester:addEventListener(globalData.globalEventType.quickIcon_popData,self.popDataUpdate,self)
globalData.leagueInfo:addEventListener(globalData.globalEventType.league_quit,self.resetView,self)
globalData.leagueInfo:addEventListener(globalData.globalEventType.league_join,self.resetView,self)
end
function SceneTaskPanel:reConnect(evt)
globalManager.tickManager:removeTick(self.updateTick,self)
globalManager.tickManager:removeTick(self.newTick,self)
self._isShow = true
self._itemPanel:setEnabled(true)
self._hideBtn:setRotation(0)
self:clearItem()
globalData.taskItemList:addEventListener(globalData.globalEventType.playerInfo_taskList,self.firstUpdate,self)
end
function SceneTaskPanel:firstUpdate(evt)
self:resetView()
globalData.taskItemList:removeEventListener(globalData.globalEventType.playerInfo_taskList,self.firstUpdate,self)
end
function SceneTaskPanel:updateLevel(evt)
if(globalData.selfPlayerInfo.level > 30) then
self:resetView()
end
end
function SceneTaskPanel:resetView(evt)
self._count = 0
globalManager.tickManager:addTick(self.updateTick,self)
end
function SceneTaskPanel:updateTick(delta,count)
self._count = self._count + 1
if(self._count >= 60) then
globalManager.tickManager:removeTick(self.updateTick,self)
self:updateInfo()
end
end
function SceneTaskPanel:newTick(delta,count)
self._newCount = self._newCount - 1
if(self._newCount <= 0) then
globalManager.tickManager:removeTick(self.newTick,self)
self._isNew = false
end
end
function SceneTaskPanel:updateInfo()
self:clearItem()
self._itemPanel:refreshView()
local item,num,max
local list = globalData.taskItemList:getTaskNotSubmit()
local count1 = 0
local count2 = 0
if(#list["canSubmit"] > 0) then
for i,info in pairs(list["canSubmit"]) do
item = SceneTaskItemView:new()
item:setTaskItemInfo(info)
item:setCallback(self,self.itemTouchHandler)
if(info:getTemplate().taskType == 1) then
item:setPosition(globalManager.ccCreator:newPoint(23,-49))
if(self._isNew and self:getParent() ~= nil) then
item:setMain()
end
self:addChild(item)
else
count1 = count1 + 1
self._itemPanel:pushBackCustomItem(item)
end
table.insert(self._itemList,item)
end
end
if(#list["cantSubmit"] > 0) then
for i,info in pairs(list["cantSubmit"]) do
item = SceneTaskItemView:new()
item:setTaskItemInfo(info)
item:setCallback(self,self.itemTouchHandler)
if(info:getTemplate().taskType == 1) then
item:setPosition(globalManager.ccCreator:newPoint(23,-49))
if(self._isNew and self:getParent() ~= nil) then
item:setMain()
end
self:addChild(item)
else
count1 = count1 + 1
self._itemPanel:pushBackCustomItem(item)
end
table.insert(self._itemList,item)
end
end
list = globalData.taskItemList:getCanAcceptList()
if(#list > 0) then
for i,info in pairs(list) do
item = SceneTaskItemView:new()
item:setTaskTemplateInfo(info)
item:setCallback(self,self.itemTouchHandler)
if(info.taskType == 1) then
item:setPosition(globalManager.ccCreator:newPoint(23,-49))
if(self._isNew and self:getParent() ~= nil and info.minLv <= globalData.selfPlayerInfo.level) then
item:setMain()
end
self:addChild(item)
else
count1 = count1 + 1
self._itemPanel:pushBackCustomItem(item)
end
table.insert(self._itemList,item)
end
end
if(globalData.selfPlayerInfo.level >= globalData.newModuleLevelConfig.materialLevel)then
num = globalManager.playerInfoTester._copyNum1
--max = globalManager.playerInfoTester._copyMax1
if(num > 0) then
item = SceneCopyItemView:new()
item:setType(4,globalManager.yuyanbaoManager:getYuyanbao("SceneTaskPanel.text1"),num..globalManager.yuyanbaoManager:getYuyanbao("SceneTryCopyLYPanel.text7"))
item:setCallback(self,self.itemTouchHandler)
count2 = count2 + 1
self._itemPanel:pushBackCustomItem(item)
table.insert(self._itemList,item)
end
end
if(globalData.selfPlayerInfo.level >= globalData.newModuleLevelConfig.expeditionLevel)then
max = globalData.allTemplates.copyTemplateList:getCopy(globalData.allTemplates.copyTemplateList.EXPEDITION).dayTimes
num = max - globalManager.playerInfoTester._copyNum3
if(num < max) then
item = SceneCopyItemView:new()
item:setType(1,globalManager.yuyanbaoManager:getYuyanbao("SceneTaskPanel.text6"),tostring(max - num)..globalManager.yuyanbaoManager:getYuyanbao("SceneTryCopyLYPanel.text7"))
item:setCallback(self,self.itemTouchHandler)
count2 = count2 + 1
self._itemPanel:pushBackCustomItem(item)
table.insert(self._itemList,item)
end
end
if(globalData.selfPlayerInfo.level >= globalData.newModuleLevelConfig.worldBossVipLevel)then
if(globalManager.playerInfoTester._vipBossNum > 0) then
item = SceneCopyItemView:new()
item:setType(8,globalManager.yuyanbaoManager:getYuyanbao("SceneTaskPanel.text5"),globalManager.yuyanbaoManager:getYuyanbao("SceneTaskPanel.text12"))
item:setCallback(self,self.itemTouchHandler)
count2 = count2 + 1
self._itemPanel:pushBackCustomItem(item)
table.insert(self._itemList,item)
end
end
if(globalData.leagueInfo.id > 0)then
local copyList = globalData.allTemplates.copyTemplateList:getLeagueBossCopyList()
local count    = 0
for __,copy in pairs(copyList) do
if(globalManager.playerInfoTester._copyLeagueBossPre[copy.copyId] == nil or globalManager.playerInfoTester._copyLeagueBossPre[copy.copyId] < 100)then
if(globalData.leagueInfo.level >= copy.leagueLevel)then
count = globalData.copyInfo:getCopyLeftCount(copy.copyId)
if(count > 0)then
break
end
end
end
end
if(count > 0)then
item = SceneCopyItemView:new()
item:setType(11,globalManager.yuyanbaoManager:getYuyanbao("SceneTaskPanel.text10"),globalManager.yuyanbaoManager:getYuyanbao("SceneTaskPanel.text12"))
item:setCallback(self,self.itemTouchHandler)
count2 = count2 + 1
self._itemPanel:pushBackCustomItem(item)
table.insert(self._itemList,item)
self._bossHpFlag = true
else
self._bossHpFlag = false
end
end
if(globalData.selfPlayerInfo.level >= globalData.newModuleLevelConfig.arena1Level)then
if(globalData.arena1Info.times >= 5) then
item = SceneCopyItemView:new()
item:setType(7,globalManager.yuyanbaoManager:getYuyanbao("SceneTaskPanel.text4"),tostring(globalData.arena1Info.times)..globalManager.yuyanbaoManager:getYuyanbao("SceneTryCopyLYPanel.text7"))
item:setCallback(self,self.itemTouchHandler)
count2 = count2 + 1
self._itemPanel:pushBackCustomItem(item)
table.insert(self._itemList,item)
end
end
if(globalData.selfPlayerInfo.level >= globalData.newModuleLevelConfig.lianyuLevel)then
local copyTemp = globalData.allTemplates.copyTemplateList:getCopy(globalData.allTemplates.copyTemplateList.LIANYU)
local current = globalData.copyInfo:getTodayMaxMission(globalData.allTemplates.copyTemplateList.LIANYU)
current = copyTemp:missionIdToIndex(current)
current = math.max(1,current - 1)
local maxMission = globalData.copyInfo:getMaxMission(globalData.allTemplates.copyTemplateList.LIANYU)
maxMission = copyTemp:missionIdToIndex(maxMission)
maxMission = math.max(1,maxMission - 1)
if(current < maxMission or maxMission == 1) then
item = SceneCopyItemView:new()
item:setType(3,globalManager.yuyanbaoManager:getYuyanbao("SceneTaskPanel.text7"),globalManager.yuyanbaoManager:getYuyanbao("SceneTaskPanel.text12"))
item:setCallback(self,self.itemTouchHandler)
count2 = count2 + 1
self._itemPanel:pushBackCustomItem(item)
table.insert(self._itemList,item)
end
end
--材料秘境屏蔽
-- if(globalData.selfPlayerInfo.level >= globalData.newModuleLevelConfig.findTreasureLevel)then
-- 	if(globalManager.playerInfoTester._findTreasureNum > 0) then
-- 		item = SceneCopyItemView:new()
-- 		item:setType(9,globalManager.yuyanbaoManager:getYuyanbao("SceneTaskPanel.text8"))
--         item:setCallback(self,self.itemTouchHandler)
--     	count2 = count2 + 1
--     	self._itemPanel:pushBackCustomItem(item)
--         table.insert(self._itemList,item)
-- 	end
--    end
if(globalData.selfPlayerInfo.level >= globalData.newModuleLevelConfig.defenedLevel)then
num = globalManager.playerInfoTester._copyNum5
--max = globalManager.playerInfoTester._copyMax5
if(num > 0 ) then
item = SceneCopyItemView:new()
item:setType(5,globalManager.yuyanbaoManager:getYuyanbao("SceneTaskPanel.text9"),num..globalManager.yuyanbaoManager:getYuyanbao("SceneTryCopyLYPanel.text7"))
item:setCallback(self,self.itemTouchHandler)
count2 = count2 + 1
self._itemPanel:pushBackCustomItem(item)
table.insert(self._itemList,item)
end
end
if(globalData.selfPlayerInfo.level >= globalData.newModuleLevelConfig.skyHangupLevel)then
item = SceneCopyItemView:new()
item:setType(12,globalManager.yuyanbaoManager:getYuyanbao("SceneTaskPanel.text13"))
item:setCallback(self,self.itemTouchHandler)
count2 = count2 + 1
self._itemPanel:pushBackCustomItem(item)
table.insert(self._itemList,item)
end
--我要经验屏蔽
-- if(globalData.selfPlayerInfo.level >= globalData.newModuleLevelConfig.hangupLevel)then
--     item = SceneHangupItemView:new()
--     item:setType(10,globalManager.yuyanbaoManager:getYuyanbao("SceneTaskPanel.text11"))
--     item:setCallback(self,self.itemTouchHandler)
--     count2 = count2 + 1
--     self._itemPanel:pushBackCustomItem(item)
--     table.insert(self._itemList,item)
-- end
self._heightOffset = 0
if(count1 + count2 == #self._itemList) then
self._heightOffset = 54
end
local normalcount = count1 + count2
if(normalcount >= 4) then
self._itemPanel:setSize(globalManager.ccCreator:newSize(239,160))
self._itemPanel:setPosition(globalManager.ccCreator:newPoint(23,self._heightOffset - 209))
else
self._itemPanel:setSize(globalManager.ccCreator:newSize(239,normalcount * 54))
self._itemPanel:setPosition(globalManager.ccCreator:newPoint(23,self._heightOffset - 50 - normalcount * 54))
end
end
function SceneTaskPanel:updateMain()
local item = self._itemList[1]
if(item ~= nil) then
if(item:getTaskTemplateInfo().taskType == 1) then
if(self:getParent() ~= nil) then
item:setMain()
end
end
end
end
function SceneTaskPanel:popDataUpdate(evt)
if(evt == nil) then return end
if((evt.data >= globalManager.playerInfoTester.copy1PopType and evt.data <= globalManager.playerInfoTester.copy5PopType)
or evt.data == globalManager.playerInfoTester.arenaFightType or evt.data == globalManager.playerInfoTester.bossPopType
or evt.data == globalManager.playerInfoTester.findTreaSureType) then
self:resetView()
end
if(evt.data == globalManager.playerInfoTester.leagueBossPopType)then
if(globalData.leagueInfo.id > 0)then
local copyList = globalData.allTemplates.copyTemplateList:getLeagueBossCopyList()
local count    = 0
for __,copy in pairs(copyList) do
if(globalManager.playerInfoTester._copyLeagueBossPre[copy.copyId] < 100)then
if(globalData.leagueInfo.level >= copy.leagueLevel)then
count = globalData.copyInfo:getCopyLeftCount(copy.copyId)
if(count > 0)then
break
end
end
end
end
if(count > 0)then
if(self._bossHpFlag)then
return
end
else
if(not self._bossHpFlag)then
return
end
end
self:resetView()
end
end
end
function SceneTaskPanel:taskFollowClick(evt)
for __,item in pairs(self._itemList) do
if(item:getTaskItemInfo().taskType == 1) then
self:itemTouchHandler(item)
item:doTrigger()
return
end
end
end
function SceneTaskPanel:itemTouchHandler(item)
globalData:closeMainMenu()
if(self._currentItem ~= nil) then
self._currentItem:setSelect(false)
end
self._currentItem = item
self._currentItem:setSelect(true)
end
function SceneTaskPanel:clearItem()
self._itemPanel:removeAllItems()
for i,item in pairs(self._itemList) do
if(item ~= nil) then
item:dispose()
item = nil
end
end
self._itemList = {}
self._arenaItem = nil
self._arena1Item = nil
self._currentItem = nil
end
ComboKillView = class("ComboKillView", function(self)
local temp = globalManager.ccCreator:newWidget()
temp.icon = globalManager.ccCreator:newImageView("flag/kill_icon.png",1)
temp.numLabels = {}
temp.time = 0
return temp
end)
function ComboKillView:setNum(value)
if(value == 0) then
if(self.icon:getParent() ~= nil) then
self.icon:removeFromParent(false)
end
for __,label in pairs(self.numLabels) do
globalManager.ccCreator:release(label)
end
self.numLabels = {}
else
if(self.icon:getParent() == nil) then
self:addChild(self.icon)
end
local str = tostring(value)
local len = string.len(str)
local offsetX = -50
for i = len,1,-1 do
if(self.numLabels[len - i + 1] == nil) then
self.numLabels[len - i + 1] = globalManager.ccCreator:newImageView()
self:addChild(self.numLabels[len - i + 1])
end
local num = string.sub(str,i,i)
self.numLabels[len - i + 1]:loadTexture("flag/kill_num"..num..".png",1)
offsetX = offsetX - self.numLabels[len - i + 1]:getSize().width*0.5
self.numLabels[len - i + 1]:setPositionX(offsetX)
offsetX = offsetX - self.numLabels[len - i + 1]:getSize().width*0.5 + 10
end
self:blowUp()
end
end
function ComboKillView:blowUp()
self.time = 20
globalManager.tickManager:addTick(self.tick,self)
end
function ComboKillView:tick(delta,count)
if(self.time > 10) then
self:setScale((21 - self.time) / 20 + 1)
else
self:setScale((self.time) / 20 + 1)
end
self.time = self.time - 1
if(self.time <= 0) then
self:setScale(1)
globalManager.tickManager:removeTick(self.tick,self)
end
end
function ComboKillView:dispose()
globalManager.tickManager:removeTick(self.tick,self)
globalManager.ccCreator:release(self.icon)
self.icon = nil
for __,label in pairs(self.numLabels) do
globalManager.ccCreator:release(label)
end
self.numLabels = nil
globalManager.ccCreator:release(self)
end
CopyBossKillPanel = class("CopyBossKillPanel",function(self,controller)
local temp = globalManager.ccCreator:newJsonWidget("copyBossKillPanel")
temp._controller = controller
local cellPanel1 = temp:getChildByName("cellbg1")
temp.cell1 = GoodsInfoGrid:new(true)
cellPanel1:addChild(temp.cell1)
local cellPanel2 = temp:getChildByName("cellbg2")
temp.cell2 = GoodsInfoGrid:new(true)
cellPanel2:addChild(temp.cell2)
temp.numberLabel = temp:getChildByName("number_label")
temp._startTime = 0
temp._oldTime = 0
return temp
end)
function CopyBossKillPanel:ctor()
self:setPosition(globalManager.ccCreator:newPoint(globalData.GAME_WIDTH*0.5 - 200,globalData.GAME_HEIGHT*0.5 - 136))
globalManager.containerManager.fixUIContainer:addChild(self,2)
self.cell1:setGoodsTempInfo(globalData.allTemplates.goodsTemplateList:getTemplate(globalData.allStaticTypes.categoryType.expItem))
self.cell1:setQualityEffect(6)
self.cell2:setGoodsTempInfo(globalData.allTemplates.goodsTemplateList:getTemplate(globalData.allStaticTypes.categoryType.copperItem))
self.cell2:setQualityEffect(6)
end
function CopyBossKillPanel:setData(data)
self.cell1:setCount(data[1])
self.cell2:setCount(data[2])
self._startTime = 0
self._oldTime = 3
self.numberLabel:setText("3"..globalManager.yuyanbaoManager:getYuyanbao("CopyBossKillPanel.text1"))
globalManager.tickManager:addTick(self.tick, self)
end
function CopyBossKillPanel:tick(delta,tickCount)
self._startTime = self._startTime + delta
if(self._startTime > 1) then
self._startTime = 0
self._oldTime = self._oldTime - 1
if(self._oldTime == 0) then
self:dispose()
else
self.numberLabel:setText(self._oldTime..globalManager.yuyanbaoManager:getYuyanbao("CopyBossKillPanel.text1"))
end
end
end
function CopyBossKillPanel:dispose()
globalManager.tickManager:removeTick(self.tick, self)
self._controller:hideBossKill()
if(self.cell1 ~= nil) then
self.cell1:dispose()
self.cell1 = nil
end
if(self.cell2 ~= nil) then
self.cell2:dispose()
self.cell2 = nil
end
self.numberLabel = nil
self._controller = nil
globalManager.ccCreator:release(self)
end
CopyZhuangPanPanel = class("CopyZhuangPanPanel",function(self,module, data)
local cz = globalManager.ccCreator:newJsonWidget("copyOverView2")
cz._data = data
cz._background = cz:getChildByName("background")
cz._rollBtn = cz:getChildByName("roll_btn")
cz._selectImg = cz:getChildByName("select_light")
cz._expLabel = cz:getChildByName("exp_label")
cz._copperLabel = cz:getChildByName("copper_label")
cz._countLabel = cz:getChildByName("count_label")
cz._timeLabel = cz:getChildByName("time_label")
cz._quitBtn = cz:getChildByName("quit_btn")
cz._sceneModule = module
cz._bgPath = nil
cz._poses = {{232,362},{334,288},{334,187},{232,111},{129,187},{129,288}}
cz._gridList = {}
cz._stopIndex = 0
cz._countDowning = true
cz._startTime = 0
cz._rolling = false
cz._rollIndex = {
1,1,2,2,3,3,4,4,5,5,6,6,
1,1,2,2,3,3,4,4,5,5,6,6,
1,1,2,2,3,3,4,4,5,5,6,6, --全速四圈
1,1,1,1,2,2,2,2,3,3,3,3,4,4,4,4,5,5,5,5,6,6,6,6,
1,1,1,1,2,2,2,2,3,3,3,3,4,4,4,4,5,5,5,5,6,6,6,6,
1,1,1,1,2,2,2,2,3,3,3,3,4,4,4,4,5,5,5,5,6,6,6,6,
1,1,1,1,1,1,2,2,2,2,2,2,3,3,3,3,3,3,4,4,4,4,4,4,5,5,5,5,5,5,6,6,6,6,6,6,
1,1,1,1,1,1,2,2,2,2,2,2,3,3,3,3,3,3,4,4,4,4,4,4,5,5,5,5,5,5,6,6,6,6,6,6,
1,1,1,1,1,1,2,2,2,2,2,2,3,3,3,3,3,3,4,4,4,4,4,4,5,5,5,5,5,5,6,6,6,6,6,6,
}
cz._currentRollIndex = 1
return cz
end)
function CopyZhuangPanPanel:ctor()
self._bgPath = globalManager.pathManager:getUISource("outPic/copy_pass_bg2.png")
globalManager.sourceCacheManager:setImage(self._background,self._bgPath,globalData.allStaticTypes.sourceStaticType.clearImmediately)
globalData.uiClickContainer:addItem(self,true,true)
local zhuangPanInfo = self._data --globalData.copyInfo.copyZhuangPan
local zhuangPanTemplate = globalData.allTemplates.copyPlateTemplateList:getTemplate(zhuangPanInfo.copyId)
self._selectImg:setVisible(false)
local items = zhuangPanTemplate.items
local len = table.getn(items)
local count = 0
for i = len,1,-1 do
local career = items[i][4]
if(career == 0 or career == globalData.allStaticTypes.careerType:getCareer(globalData.selfPlayerInfo.career))then
local grid = BaseGrid:new()
grid:setGoodsTempInfo(globalData.allTemplates.goodsTemplateList:getTemplate(items[i][1]))
self:addChild(grid,1)
grid:setPosition(self._poses[i][1] - 38,self._poses[i][2] + 34)
table.insert(self._gridList,grid)
if(items[i][1] == zhuangPanInfo.itemId)then
self._stopIndex = i
end
count = count + 1
if(count >= 6)then
break
end
end
end
for i = 1,self._stopIndex,1 do
table.insert(self._rollIndex,i)
table.insert(self._rollIndex,i)
table.insert(self._rollIndex,i)
table.insert(self._rollIndex,i)
table.insert(self._rollIndex,i)
table.insert(self._rollIndex,i)
table.insert(self._rollIndex,i)
table.insert(self._rollIndex,i)
end
for i = 1,60,1 do
table.insert(self._rollIndex,self._stopIndex)
end
self._expLabel:setText(tostring(zhuangPanInfo.exp))
self._copperLabel:setText(tostring(zhuangPanInfo.copper))
self._timeLabel:setText("10")
self._countLabel:setText("1")
local rollClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
self._countDowning = false
self._rolling = true
self._selectImg:setVisible(true)
end
end
local quitClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self._countDowning = false
self._sceneModule.message:sendZhuangPan()
self._sceneModule.message:sendQuitCopy()
self:dispose()
end
end
self._rollBtn:addTouchEventListener(rollClickHandler)
self._quitBtn:addTouchEventListener(quitClickHandler)
self._startTime = globalData.systemDateInfo:getSystemTime()
globalManager.tickManager:addTick(self.tick, self)
end
function CopyZhuangPanPanel:tick(delta,tickCount)
if(self._countDowning)then
local dtTime = globalData.systemDateInfo:getSystemTime() - self._startTime
local sec = 10 - math.floor(dtTime / 1000)
if(sec <= 0)then
-- self._countDowning = false
-- self._sceneModule.message:sendZhuangPan()
-- self._sceneModule.message:sendQuitCopy()
-- self:dispose()
else
self._timeLabel:setText(tostring(sec))
end
end
if(self._rolling)then
local index = self._rollIndex[self._currentRollIndex]
local p = self._poses[index]
self._selectImg:setPosition(p[1],p[2])
self._currentRollIndex = self._currentRollIndex + 1
if(self._currentRollIndex > table.getn(self._rollIndex))then
self._sceneModule.message:sendZhuangPan()
self._sceneModule.message:sendQuitCopy()
self:dispose()
end
end
end
function CopyZhuangPanPanel:clearGrid()
for k,v in pairs(self._gridList) do
if(v ~= nil)then
v:dispose()
end
end
self._gridList = {}
end
function CopyZhuangPanPanel:hideFormClickContainer()
end
function CopyZhuangPanPanel:dispose()
globalManager.tickManager:removeTick(self.tick, self)
globalData.uiClickContainer:close(self)
self:clearGrid()
self._data = nil
self._background = nil
self._rollBtn = nil
self._selectImg = nil
self._expLabel = nil
self._copperLabel = nil
self._countLabel = nil
self._timeLabel = nil
self._quitBtn = nil
self._sceneModule = nil
self._bgPath = nil
self._poses = nil
self._rollIndex = nil
globalManager.ccCreator:release(self)
end
ExitCopyBtn = class("ExitCopyBtn", function(self,controller)
local temp = globalManager.ccCreator:newImageView("icon/ui_exit_icon.png",1)
temp:setTouchEnabled(true)
temp._controller = controller
temp._timeLabel = nil
return temp
end)
function ExitCopyBtn:ctor()
self:initEvent()
end
function ExitCopyBtn:initEvent()
local function exitCopyConfirm()
local confirmText = ""
if(globalData.copyInfo.currentCopyId == globalData.allTemplates.copyTemplateList.SKYDREAMLAND)then
confirmText = globalManager.yuyanbaoManager:getYuyanbao("ExitCopyBtn.text4")
elseif(globalData.copyInfo.currentCopyId == globalData.allTemplates.copyTemplateList.YICHUI)then
confirmText = globalManager.yuyanbaoManager:getYuyanbao("ExitCopyBtn.text5")
elseif(globalData.copyInfo.currentCopyId == globalData.allTemplates.copyTemplateList.YUANGU)then
confirmText = globalManager.yuyanbaoManager:getYuyanbao("ExitCopyBtn.text6")
elseif(globalData.copyInfo.currentCopyId == globalData.allTemplates.copyTemplateList.ARENAXH)then
confirmText = globalManager.yuyanbaoManager:getYuyanbao("ExitCopyBtn.text7")
elseif(globalData.copyInfo.currentCopyId == globalData.allTemplates.copyTemplateList.SANDA)then
confirmText = globalManager.yuyanbaoManager:getYuyanbao("ExitCopyBtn.text8")
elseif(globalData.copyInfo.currentCopyId == globalData.allTemplates.copyTemplateList.TANBAO)then
confirmText = globalManager.yuyanbaoManager:getYuyanbao("ExitCopyBtn.text9")
elseif(globalData.copyInfo.currentCopyId == globalData.allTemplates.copyTemplateList.BANGZHAN)then
confirmText = globalManager.yuyanbaoManager:getYuyanbao("ExitCopyBtn.text10")
else
confirmText = globalManager.yuyanbaoManager:getYuyanbao("ExitCopyBtn.text1")
end
Alert:new():show(2,confirmText,nil,0,self._controller.sceneModule.message,self._controller.sceneModule.message.sendQuitCopy)
end
local exitBtnClickHander = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(globalData.copyInfo.currentCopyId > -1) then
exitCopyConfirm()
else
self._controller.sceneModule.flyTester:doJumpMap(globalData.allTemplates.mapTemplateList.CITY_MAPID,true)
end
end
end
self:addTouchEventListener(exitBtnClickHander)
end
function ExitCopyBtn:removeEvent()
end
function ExitCopyBtn:setTime(value)
if(value <= 0) then
if(self._timeLabel ~= nil) then
self._timeLabel:dispose()
self._timeLabel = nil
end
else
if(self._timeLabel == nil) then
self._timeLabel = CountDownLabel:new(nil,5,18,globalData.allStaticTypes.colorType.COLORGREEN,30)
self._timeLabel:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[9])
self._timeLabel:setPosition(globalManager.ccCreator:newPoint(2,-52))
self:addChild(self._timeLabel)
end
self._timeLabel:start(value,self.finish,self)
end
end
function ExitCopyBtn:finish()
self._timeLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("ExitCopyBtn.text3"))
end
function ExitCopyBtn:dispose()
self:removeEvent()
self._controller = nil
if(self._timeLabel ~= nil) then
self._timeLabel:dispose()
self._timeLabel = nil
end
globalManager.ccCreator:release(self)
end
ShowHideBtn = class("ShowHideBtn", function(self,controller)
local temp = globalManager.ccCreator:newImageView()
temp:setTouchEnabled(true)
temp._controller = controller
return temp
end)
function ShowHideBtn:ctor()
--	globalData.gameSetting:setValue("showOtherPlayer",false)
self:initEvent()
self:updateHideShowBtnState()
end
function ShowHideBtn:initEvent()
local exitBtnClickHander = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
globalData.gameSetting:setValue("showOtherPlayer",not globalData.gameSetting.showOtherPlayer)
self:updateHideShowBtnState()
local name = globalManager.yuyanbaoManager:getYuyanbao("GMPanel.text7")
if(globalData.copyInfo.currentCopyId > 0) then
name = globalManager.yuyanbaoManager:getYuyanbao("ShowHideBtn.text1")
end
name = globalManager.yuyanbaoManager:getYuyanbao("ShowHideBtn.text2")
if(globalData.gameSetting.showOtherPlayer)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("ShowHideBtn.text3")..name..globalManager.yuyanbaoManager:getYuyanbao("ShowHideBtn.text4"))
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("ShowHideBtn.text5")..name..globalManager.yuyanbaoManager:getYuyanbao("ShowHideBtn.text4"))
end
end
end
self:addTouchEventListener(exitBtnClickHander)
globalData.gameSetting:addEventListener(globalData.globalEventType.setting_otherPlayer,self.updateHideShowBtnState,self)
end
function ShowHideBtn:updateHideShowBtnState()
if(globalData.gameSetting.showOtherPlayer)then
self:loadTexture("icon/ui_copyShowIcon.png",1)
else
self:loadTexture("icon/ui_copyHideIcon.png",1)
end
end
function ShowHideBtn:removeEvent()
globalData.gameSetting:removeEventListener(globalData.globalEventType.setting_otherPlayer,self.updateHideShowBtnState,self)
end
function ShowHideBtn:dispose()
self:removeEvent()
self._controller = nil
globalManager.ccCreator:release(self)
end
--消费赠礼
ConsumeGiftItem = class("ConsumeGiftItem",function(self)
local temp = globalManager.ccCreator:newJsonWidget("consumeGiftItem")
temp:getChildByName("getBtn"):getChildByName("btnlabel1"):setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel37"))
temp.consumeLabel  = temp:getChildByName("consumeLabel")
temp.itemList      = {}
for i = 1,4,1 do
table.insert(temp.itemList,temp:getChildByName("cell"..i))
end
temp.getBtn        = temp:getChildByName("getBtn")
temp.hasGetIcon    = temp:getChildByName("hasgot_icon_Copy0")
temp.hasGetIcon:setVisible(false)
temp._info         = nil
temp._goodsInfos   = {}
temp._gridList     = {}
temp._flagState    = false
return temp
end)
function ConsumeGiftItem:ctor()
self:initEvent()
end
function ConsumeGiftItem:initEvent()
local getClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
globalData.messageAdder:sendConsumenGet(self._info.type,self._info.id)
end
end
self.getBtn:addTouchEventListener(getClickHandler)
end
function ConsumeGiftItem:removeEvent()
end
function ConsumeGiftItem:setData(info,currentConsumen,hasIdList)
self._info = info
local index = 1
for __,item in pairs(info.itemList) do
if(item[3] == nil or item[3] == 0 or item[3] == globalData.allStaticTypes.careerType:getCareer(globalData.selfPlayerInfo.career))then
local grid = GoodsInfoGrid:new()
local goodsinfo = GoodsInfo:new()
goodsinfo:setTemplateId(item[1])
goodsinfo.count = item[2]
if(item[4] ~= nil) then
goodsinfo:updateStrengthLevel(item[4])
end
if(item[5] ~= nil) then
goodsinfo.stage = item[5]
end
table.insert(self._goodsInfos,goodsinfo)
grid:setGoodsInfo(goodsinfo)
self.itemList[index]:addChild(grid)
table.insert(self._gridList,grid)
index = index + 1
end
end
self.consumeLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("ConsumeGiftItem.text2") .. info.consumen)
local selfInfoSign = globalData.selfPlayerInfo.moneyInfo.payValue
local consumenCom  = selfInfoSign - currentConsumen
if(consumenCom <= 0)then
consumenCom = 0
end
if(consumenCom >= info.consumen)then
self.consumeLabel:setColor(globalData.allStaticTypes.colorType.TIPACT_COLOR)
if(#hasIdList > 0)then
local index = globalManager.commonUtils:getIndexOfTable(hasIdList,info.id)
if(index == -1)then
self.getBtn:loadTextureNormal("btn/ui_tabBtn1_4.png", 1)
self.getBtn:setTouchEnabled(true)
else
self.getBtn:setEnabled(false)
self.hasGetIcon:setVisible(true)
self._flagState = true
end
else
self.getBtn:loadTextureNormal("btn/ui_tabBtn1_4.png", 1)
self.getBtn:setTouchEnabled(true)
end
else
self.consumeLabel:setColor(globalData.allStaticTypes.colorType.COLORRED)
self.getBtn:loadTextureNormal("btn/ui_tabBtn1_5.png", 1)
self.getBtn:setTouchEnabled(false)
end
end
function ConsumeGiftItem:getState()
return self._flagState
end
function ConsumeGiftItem:dispose()
self:removeEvent()
self.cellBg  = nil
if(self.cell ~= nil)then
self.cell:dispose()
self.cell = nil
end
self.infoLabel     = nil
self.selectLight   = nil
self._info         = nil
for __,info in pairs(self._goodsInfos) do
info:dispose()
end
self._goodsInfos = nil
if(self._gridList ~= nil) then
for __,grid in pairs(self._gridList) do
grid:dispose()
end
self._gridList = nil
end
self.consumeLabel  = nil
self.itemList      = nil
self.getBtn        = nil
self.hasGetIcon    = nil
globalManager.ccCreator:release(self)
end
--消费赠礼
ConsumeGiftPanel = class("ConsumeGiftPanel",function(self,controller)
local self = BasePanel:new()
self.__basePanelDispose = self.dispose
self._widget            = globalManager.ccCreator:newJsonWidget("consumeGiftPanel")
self:addChild(self._widget)
self._widget:getChildByName("content"):setText(globalManager.yuyanbaoManager:getYuyanbao("ConsumeGiftPanel.text1"))
self._widget:getChildByName("content1"):setText(globalManager.yuyanbaoManager:getYuyanbao("ConsumeGiftPanel.text2"))
self._widget:getChildByName("content2"):setText(globalManager.yuyanbaoManager:getYuyanbao("ConsumeGiftPanel.text3"))
self._widget:getChildByName("content3"):setText(globalManager.yuyanbaoManager:getYuyanbao("ConsumeGiftPanel.text4"))
self._widget:getChildByName("Label_756481_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("ConsumeGiftPanel.text5"))
self._widget:getChildByName("Label_756481"):setText(globalManager.yuyanbaoManager:getYuyanbao("ConsumeGiftPanel.text6"))
self._controller        = controller
self._beautyImg         = self._widget:getChildByName("beautyImg")
self._beautyImgPath     = globalManager.pathManager:getUISource("outPic/consumeBeautyImg.png")
self._spentLabel        = self._widget:getChildByName("spentLabel")
self._nextLabel         = self._widget:getChildByName("nextLabel")
self._itemView          = self._widget:getChildByName("itemView")
self._itemView:setItemsMargin(10)
self._viewList          = {}
self._consumenValue     = 0
self._idList            = {}
local timeLayer = self._widget:getChildByName("time_layer_Copy0")
self._timeLabel = CountDownLabel:new(nil,0,nil,globalData.allStaticTypes.colorType.TRUE_COLOR,30)
timeLayer:addChild(self._timeLabel)
self._pre = 0
return self
end)
function ConsumeGiftPanel:ctor()
globalManager.sourceCacheManager:setImage(self._beautyImg,self._beautyImgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self:initEvent()
self:initView()
end
function ConsumeGiftPanel:initView()
self:updateView()
local countTime   = 24 * 3600
local systemTime  = globalData.systemDateInfo:getZeroPassTime()
local remainTime  = math.floor(countTime - systemTime)
if(remainTime <= 0)then
self._timeLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel77"))
self._timeLabel:setColor(globalData.allStaticTypes.colorType.FALSE_COLOR)
else
self._timeLabel:start(remainTime,self.endTime,self)
end
end
function ConsumeGiftPanel:endTime()
self._timeLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel77"))
self._timeLabel:setColor(globalData.allStaticTypes.colorType.FALSE_COLOR)
end
function ConsumeGiftPanel:initEvent()
globalData.consumenGiftInfo:addEventListener(globalData.globalEventType.consumen_infoUpdate,self.updateView,self)
globalData.selfPlayerInfo.moneyInfo:addEventListener(globalData.globalEventType.playerInfo_money,self.updateView,self)
end
function ConsumeGiftPanel:removeEvent()
globalData.consumenGiftInfo:removeEventListener(globalData.globalEventType.consumen_infoUpdate,self.updateView,self)
globalData.selfPlayerInfo.moneyInfo:removeEventListener(globalData.globalEventType.playerInfo_money,self.updateView,self)
end
function ConsumeGiftPanel:updateView()
self._consumenValue = globalData.consumenGiftInfo.currentConsumen
local selfInfoSign  = globalData.selfPlayerInfo.moneyInfo.payValue
local delta         = selfInfoSign - self._consumenValue
if(delta <= 0)then
delta = 0
end
self._spentLabel:setText(delta)
self._idList = globalData.consumenGiftInfo.hasIdList
local templateInfo = nil
local template = globalData.allTemplates.consumenGiftTemplateList.consumenList
if(#template <= 0 )then return end
if(#self._idList > 0)then
for i,info in pairs(template) do
local index = globalManager.commonUtils:getIndexOfTable(self._idList,info.id)
if(index == -1)then
if(info.consumen - delta > 0 and i <= #template)then
templateInfo = info
break
end
-- if(i == #template and info.consumen - delta <= 0)then --超出了最高消费
-- 	templateInfo = info
-- end
end
end
else
for i,info in pairs(template) do
if(info.consumen - delta > 0)then
templateInfo = info
break
end
end
end
if(templateInfo ~= nil)then
if(templateInfo.consumen - delta < 0)then
self._nextLabel:setText("0")
else
self._nextLabel:setText(templateInfo.consumen - delta)
end
else
self._nextLabel:setText("0")
end
--local template = globalData.allTemplates.consumenGiftTemplateList.list
if(#template <= 0 )then return end
if(#self._viewList > 0)then
self:clearItem()
end
local index = 0
local isAllAccept = true
for __,info in pairs(template) do
local item = ConsumeGiftItem:new()
item:setData(info,self._consumenValue,self._idList)
if(item:getState())then
if(isAllAccept)then index = index + 1 end
else
isAllAccept = false
end
table.insert(self._viewList,item)
self._itemView:pushBackCustomItem(item)
end
self._itemView:refreshView()
if(#template <= 4) then return end
self._pre = index*100 / (#template - 4)
if(self._pre > 100) then self._pre = 100 end
self:setScroll()
end
function ConsumeGiftPanel:setScroll()
globalManager.tickManager:addTick(self.tick,self)
end
function ConsumeGiftPanel:tick()
globalManager.tickManager:removeTick(self.tick,self)
self._itemView:jumpToPercentVertical(self._pre)
end
function ConsumeGiftPanel:clearItem()
self._itemView:removeAllItems()
for __,item in pairs(self._viewList) do
item:dispose()
end
self._viewList = {}
end
function ConsumeGiftPanel:dispose()
self:removeEvent()
self:clearItem()
self._controller        = nil
self._bg                = nil
self._beautyImg         = nil
globalManager.sourceCacheManager:removeQuote(self._beautyImgPath)
self._beautyImgPath     = nil
self._spentLabel        = nil
self._nextLabel         = nil
self._itemView          = nil
self._idList            = nil
self._consumenValue     = nil
if(self._timeLabel ~= nil) then
self._timeLabel:dispose()
self._timeLabel = nil
end
globalManager.ccCreator:release(self._widget)
self._widget = nil
self:__basePanelDispose()
self.__basePanelDispose = nil
end
SceneCopySweepAwardPanel = class("SceneCopySweepAwardPanel",function(self,itemList,parent)
local sc = globalManager.ccCreator:newJsonWidget("copyRaidsOverView1")
sc._awardPanel = sc:getChildByName("cell_panel")
sc._titleLabel = sc:getChildByName("title_label")
sc._acceptBtn = sc:getChildByName("accept_btn")
sc._gridList = {}
sc._itemList = itemList
sc._parent = parent
sc:getChildByName("title_label"):setText(globalManager.yuyanbaoManager:getYuyanbao("SceneCopySweepAwardPanel.text1"))
sc:getChildByName("Label_23909_Copy1"):setText(globalManager.yuyanbaoManager:getYuyanbao("SceneCopySweepAwardPanel.text2"))
sc:getChildByName("btnLabel_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("SceneCopySweepAwardPanel.text3"))
sc._acceptBtn:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("MarryRingTip.text3"))
return sc
end)
function SceneCopySweepAwardPanel:ctor()
self:initEvent()
local index = 1
for i,item in pairs(self._itemList) do
if(index <= 5)then
local grid = GoodsInfoGrid:new()
grid:setGoodsTempInfo(globalData.allTemplates.goodsTemplateList:getTemplate(item[1]))
grid:setCount(item[2])
table.insert(self._gridList,grid)
local gridBg = self:getChildByName("item"..index)
index = index + 1
gridBg:addChild(grid)
end
end
globalData.uiClickContainer:addItem(self,true)
end
function SceneCopySweepAwardPanel:initEvent()
local acceptClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self._parent:hideCopyEntrusPanel()
end
end
self._acceptBtn:addTouchEventListener(acceptClickHandler)
end
function SceneCopySweepAwardPanel:removeEvent()
end
function SceneCopySweepAwardPanel:hideFormClickContainer()
end
function SceneCopySweepAwardPanel:dispose()
self:removeEvent()
globalData.uiClickContainer:close(self)
if(self._gridList ~= nil) then
for __,grid in pairs(self._gridList) do
grid:dispose()
end
self._gridList = nil
end
self._itemList = nil
self._awardPanel = nil
self._titleLabel = nil
self._acceptBtn = nil
self._parent = nil
globalManager.ccCreator:release(self)
end
CrossBossFollowItem = class("CrossBossFollowItem",function(self)
local temp = globalManager.ccCreator:newJsonWidget("crossBossItemView")
temp._rankLabel = temp:getChildByName("rankLabel")
temp._nameLabel = temp:getChildByName("nameLabel")
temp._attackLabel = temp:getChildByName("attackLabel")
return temp
end)
function CrossBossFollowItem:setInfo(rank,name,attack,serverId)
self._rankLabel:setText(tostring(rank))
self._nameLabel:setText(name)
if(attack >= 10000)then
self._attackLabel:setText(tostring(math.floor(attack * 0.001)*0.1)..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel44"))
else
self._attackLabel:setText(tostring(attack))
end
end
function CrossBossFollowItem:setTextColor(color)
self._rankLabel:setColor(color)
self._nameLabel:setColor(color)
self._attackLabel:setColor(color)
end
function CrossBossFollowItem:dispose()
self._rankLabel = nil
self._nameLabel = nil
self._attackLabel = nil
globalManager.ccCreator:release(self)
end
CrossBossFollowView = class("CrossBossFollowView",function(self,controller)
local temp = globalManager.ccCreator:newJsonWidget("crossBossFollowView")
temp:getChildByName("desLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("CrossBossFollowView.text1"))
temp:getChildByName("BossName"):setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel75"))
temp._controller      = controller
temp._bossName        = temp:getChildByName("BossName")
temp._playerHurtPanel = temp:getChildByName("playerHurtPanel")
temp._rankPanel       = temp._playerHurtPanel:getChildByName("rankPanel")
temp._selfItem = CrossBossFollowItem:new()
temp._selfItem:setPositionY(10)
temp._selfItem:setTextColor(globalData.allStaticTypes.colorType.COLORYELLOW)
temp:addChild(temp._selfItem)
temp._itemList = {}
temp._flag = 0
temp._count = 0
temp._showBtn         = temp:getChildByName("showBtn")
temp._showBtn:setPositionX(globalData.GAME_WIDTH - 38)
temp._bossHurtPanel   = temp:getChildByName("bossHurtPanel")
temp._bossHurtPanel:setPositionX(globalData.GAME_WIDTH - 330)
temp._bossPanel       = temp._bossHurtPanel:getChildByName("bossPanel")
temp._bossPanel:setItemsMargin(10)
temp.showState        = true
temp._bossList        = {}
temp._info            = nil
temp._currentBossId   = 0
return temp
end)
function CrossBossFollowView:ctor()
self._controller:setCopyTime(math.floor((globalData.activityIcons.CROSSBOSS.timeEnd - globalData.systemDateInfo:getZeroPassTime())))
self:initEvent()
globalData.messageAdder:sendCrossBossAllInfo()
end
function CrossBossFollowView:initEvent()
local showClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(self.showState)then
self._bossHurtPanel:setEnabled(false)
self.showState = false
else
self._bossHurtPanel:setEnabled(true)
self.showState = true
end
end
end
self._showBtn:addTouchEventListener(showClickHandler)
globalData.copyInfo.copyCrossBossInfo:addEventListener(globalData.globalEventType.crossBoss_allBossInfo,self.allBossDataUpdate,self)
globalData.copyInfo.copyCrossBossInfo:addEventListener(globalData.globalEventType.crossBoss_hurtBossInfo,self.hurtDataUpdate,self)
end
function CrossBossFollowView:removeEvent()
globalData.copyInfo.copyCrossBossInfo:removeEventListener(globalData.globalEventType.crossBoss_allBossInfo,self.allBossDataUpdate,self)
globalData.copyInfo.copyCrossBossInfo:removeEventListener(globalData.globalEventType.crossBoss_hurtBossInfo,self.hurtDataUpdate,self)
end
function CrossBossFollowView:setTarget(info)
if(info ~= nil and info:getObjType() == globalData.allStaticTypes.sceneObjType.monster and info:getTemplate().isBoss)then
if(self._currentBossId ~= info:getTemplate().monsterId)then
globalData.messageAdder:sendCrossBossHurtInfo(info:getTemplate().monsterId)
self._currentBossId = info:getTemplate().monsterId
end
local template = globalData.allTemplates.monsterTemplateList:getMonster(self._currentBossId)
self._bossName:setText(template.name)
end
end
function CrossBossFollowView:tick(delta,count)
self._count = self._count + 1
if(self._count >= 120) then
self:setHurtInfo()
self._count = 0
end
end
function CrossBossFollowView:hurtDataUpdate(evt)
globalManager.tickManager:addTick(self.tick,self)
end
function CrossBossFollowView:setHurtInfo()
local function compa(a, b)
return a[2] >= b[2]
end
local list = {}
for __,temp in pairs(globalData.copyInfo.copyCrossBossInfo.hurtInfoList) do
table.insert(list,temp)
end
if(#list == 0) then return end
list = globalManager.commonUtils:tableSort(list,compa)
self:clearItem()
self._itemList = {}
local isShowSelf = false
local i = 1
for __,info in pairs(list) do
if(i <= 10) then
local item = CrossBossFollowItem:new()
if(i <= 5) then
item:setTextColor(globalData.allStaticTypes.colorType.COLORORANGE)
else
item:setTextColor(globalData.allStaticTypes.colorType.COLORYELLOW)
end
item:setInfo(i,info[3],info[2],info[4])
table.insert(self._itemList,item)
self._rankPanel:pushBackCustomItem(item)
end
if(not isShowSelf)then
if(globalData.selfPlayerInfo.userId == info[1]) then
isShowSelf = true
self._selfItem:setTextColor(globalData.allStaticTypes.colorType.COLORGREEN)
if(i <= 10) then
self._selfItem:setInfo(i,info[3],info[2],info[4])
else
self._selfItem:setInfo("10+",info[3],info[2],info[4])
return
end
end
end
i = i + 1
end
end
function CrossBossFollowView:allBossDataUpdate()
local viewClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
if(sender:getBossInfo() ~= nil)then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.trigger_walkToMonster,globalManager.gameDispatcher,{id = sender:getBossInfo()[1],doubleClickCancel=true}))
end
end
end
self:clearBossItem()
self._bossList = {}
local allBossInfoList = globalData.copyInfo.copyCrossBossInfo.allBossInfoList
for i,info in pairs(allBossInfoList) do
local bossItem = CrossBossInfoItemView:new()
bossItem:setInfo(info)
self._bossPanel:pushBackCustomItem(bossItem)
table.insert(self._bossList,bossItem)
bossItem:addTouchEventListener(viewClickHandler)
end
end
function CrossBossFollowView:clearBossItem()
self._bossPanel:removeAllItems()
for __,item in pairs(self._bossList) do
item:dispose()
end
self._bossList = nil
end
function CrossBossFollowView:clearItem()
self._rankPanel:removeAllItems()
for __,item in pairs(self._itemList) do
item:dispose()
end
self._itemList = nil
end
function CrossBossFollowView:dispose()
globalManager.tickManager:removeTick(self.tick,self)
self:removeEvent()
self._controller = nil
self._info = nil
if(self._selfItem ~= nil) then
self._selfItem:dispose()
self._selfItem = nil
end
self:clearItem()
self._rankPanel = nil
self._showBtn   = nil
self._bossHurtPanel = nil
self._bossPanel = nil
globalManager.ccCreator:release(self)
end
CrossBossInfoItemView = class("CrossBossInfoItemView",function(self)
local temp = globalManager.ccCreator:newJsonWidget("crossBossInfoItemView")
temp._bossName  = temp:getChildByName("bossName")
temp._rateLabel = temp:getChildByName("rateLabel")
temp._info      = nil
return temp
end)
function CrossBossInfoItemView:setInfo(info)
self._info = info
local template = globalData.allTemplates.monsterTemplateList:getMonster(info[1])
self._bossName:setText(template.name)
if(info[2] == 0)then
self._rateLabel:setColor(globalData.allStaticTypes.colorType.COLORRED)
self._rateLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("CrossBossInfoItemView.text1"))
else
self._rateLabel:setText(tostring(math.floor((info[3] / template.totalHp) * 1000) * 0.1) .. "%")
end
end
function CrossBossInfoItemView:getBossInfo()
return self._info
end
function CrossBossInfoItemView:dispose()
self._bossName = nil
self._rateLabel = nil
globalManager.ccCreator:release(self)
end
CopyDTCompletePanel = class("CopyDTCompletePanel", function(_, sceneModule, info)
local self = globalManager.ccCreator:newJsonWidget("copyOverView5")
self._sceneModule = sceneModule
self._info 	 	  = info
self.txtV2        = self:getChildByName("txtV2")
self.txtV4        = self:getChildByName("txtV4")
self.quitBtn      = self:getChildByName("quitBtn")
self.btnLabel     = self.quitBtn:getChildByName("btnLabel")
self.copperLabel  = self:getChildByName("honourLabel_Copy0")
self.goldImg      = self:getChildByName("goldImg")
self._time = 0
self._count = 0
self:getChildByName("againBtn"):setEnabled(false)
self:getChildByName("againBtn"):setVisible(false)
self:getChildByName("honourLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("CopyDTCompletePanel.text1"))
self:getChildByName("honourLabel_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("CopyDTCompletePanel.text2"))
self:getChildByName("honourLabel_Copy1"):setText(globalManager.yuyanbaoManager:getYuyanbao("CopyDTCompletePanel.text3"))
self:getChildByName("quitBtn"):getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel1"))
self:getChildByName("tipsLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("WorldBossVipCompletePanel.text5"))
return self
end)
function CopyDTCompletePanel:ctor()
self:initEvent()
self:show()
end
function CopyDTCompletePanel:initEvent()
local exitClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self:dispose()
end
end
self.quitBtn:addTouchEventListener(exitClickHandler)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_reConnect,self.dispose,self)
end
function CopyDTCompletePanel:removeEvent()
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.scene_reConnect,self.dispose,self)
end
function CopyDTCompletePanel:show()
self._time = 5
self._count = 0
globalManager.tickManager:addTick(self.tick,self)
if(self._info.copper > 0)then
self.txtV2:setText(self._info.copper)
else
self.copperLabel:setVisible(false)
self.goldImg:setVisible(false)
self.txtV2:setVisible(false)
end
self.txtV4:setText(self._info.exp)
globalData.uiClickContainer:addItem(self,true,true)
end
function CopyDTCompletePanel:tick(delta,count)
self._count = self._count + 1
if(self._count >= 60) then
self._time = self._time - 1
if(self._time <= 0) then
self:dispose()
else
self.btnLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel1")..self._time)
self._count = 0
end
end
end
function CopyDTCompletePanel:hideFormClickContainer()
end
function CopyDTCompletePanel:dispose()
globalData.uiClickContainer:close(self)
globalManager.tickManager:removeTick(self.tick,self)
self:removeEvent()
self._sceneModule = nil
self._info = nil
self.txtV2 = nil
self.txtV4 = nil
self.quitBtn = nil
self.btnLabel = nil
self.copperLabel = nil
self.goldImg = nil
globalManager.ccCreator:release(self)
end
CopyDTFollowPanel = class("CopyDTFollowPanel", function(_, controller)
local self = globalManager.ccCreator:newJsonWidget("copyFollowView5")
self._controller = controller
self._info       = globalData.copyInfo:getCopyInfo(globalData.allTemplates.copyTemplateList.DATI)
self._copySceneInfo = globalData.copyInfo.currentCopyInfo
self._players   = {nil,nil,nil}
self._pNums     = {}
self._myCount   = self:getChildByName("txtCount")
self._myExp     = self:getChildByName("txtExp")
--self._myCopper  = self:getChildByName("txtMoney")
self.answerPanel = self:getChildByName("answerPanel")
self._countTime = CountDownLabel:new(self.answerPanel:getChildByName("txtNum"),1,nil,nil,0)
self._txtTiMu   = self.answerPanel:getChildByName("txtTiMu")
self._dtView    = self.answerPanel:getChildByName("bgView")
self._btnGoLeft = self.answerPanel:getChildByName("btnGoLeft")
self._btnGoLeft:setOpacity(0)
self._btnGoRight = self.answerPanel:getChildByName("btnGoRight")
self._btnGoRight:setOpacity(0)
self._dtViewPath = globalManager.pathManager:getUISource("outPic/dtpanel.png")
self._choseEff  = globalManager.effectCreator:create(globalData.allTemplates.effectTemplateList.datiEffect,nil,nil,nil)
self._labelList = {}
for i = 1, 3 do
table.insert(self._pNums, self:getChildByName("txtCount"..i))
local label = self:getChildByName("txt_player"..i)
label:setText("")
table.insert(self._labelList, label)
end
self._lastPos = 1000
self:getChildByName("Label_85603"):setText(globalManager.yuyanbaoManager:getYuyanbao("CopyDTFollowPanel.text1"))
self:getChildByName("Label_85604"):setText(globalManager.yuyanbaoManager:getYuyanbao("CopyDTFollowPanel.text2"))
self:getChildByName("Label_85616_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("CopyDTFollowPanel.text2"))
self:getChildByName("Label_85616"):setText(globalManager.yuyanbaoManager:getYuyanbao("CopyDTFollowPanel.text3"))
self._txtTiMu:setText(globalManager.yuyanbaoManager:getYuyanbao("CopyDTFollowPanel.text4"))
return self
end)
function CopyDTFollowPanel:ctor()
--self:setPosition(globalManager.ccCreator:newPoint(globalData.GAME_WIDTH*0.5 - 200,globalData.GAME_HEIGHT*0.5 - 136))
--globalManager.containerManager.fixUIContainer:addChild(self)
local passTime = globalData.systemDateInfo:getZeroPassTime()
if((globalData.activityIcons.DATI.timeEnd - passTime) >= 0)then
self._controller:setCopyTime(math.floor((globalData.activityIcons.DATI.timeEnd - passTime)))
else
self._controller:setCopyTime(math.floor((globalData.activityIcons.DATI2.timeEnd - passTime)))
end
self.answerPanel:setPosition(globalData.GAME_WIDTH / 2 - 200,-200)
--计算是否开始倒计时
local currentTime = globalData.systemDateInfo:getSystemTime()
local info = globalData.activityIcons.DATI
local count = 99
if info.timeType == 1 then 		--活动开始中
if currentTime - info.timeBegin < 90000 then
count = math.ceil( (currentTime - info.timeBegin) / 1000 )
end
end
count = math.max(0, math.min(99, count))
self._countTime:start( count )
--请求霸主信息
self._controller.sceneModule.message:sendAnswerInfo()
globalManager.sourceCacheManager:setImage(self._dtView,self._dtViewPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self:initEvent()
self:moveHandler()
end
function CopyDTFollowPanel:initEvent()
self._info:addEventListener(globalData.globalEventType.playerInfo_datiCopyTiMu, self.updateTimu, self)
self._info:addEventListener(globalData.globalEventType.playerInfo_datiCopyUpdate, self.updateInfo, self)
self._info:addEventListener(globalData.globalEventType.playerInfo_datiShowRight, self.showResult, self)
self._controller.sceneModule.sceneInfo.scenePlayerList.selfPlayer:addEventListener(globalData.globalEventType.sceneinfo_move,self.moveHandler,self)
local btnClickHandler = function(sender, eventType)
if(eventType == TOUCH_EVENT_ENDED) then
if sender == self._btnGoLeft then
--500 820
self._controller.sceneModule.walkTester:walkToPoint(globalData.currentMapId,globalManager.ccCreator:newPoint(500, 820))
elseif sender == self._btnGoRight then
--1500 820
self._controller.sceneModule.walkTester:walkToPoint(globalData.currentMapId,globalManager.ccCreator:newPoint(1500, 820))
end
end
end
self._btnGoLeft:addTouchEventListener(btnClickHandler)
self._btnGoRight:addTouchEventListener(btnClickHandler)
end
function CopyDTFollowPanel:showResult(evt)
local id = 0
if evt.data == true then
id = globalData.allTemplates.effectTemplateList.answerRight
else
id = globalData.allTemplates.effectTemplateList.answerWrong
end
local effect = globalManager.effectCreator:create(id,nil,nil,nil)
local pos = globalManager.ccCreator:newPoint(globalData.GAME_WIDTH / 2, globalData.GAME_HEIGHT / 2)
effect:setPosition(pos)
globalManager.containerManager.fixUIContainer:addChild(effect,3)
effect:play()
end
function CopyDTFollowPanel:updateInfo(evt)
assert(self._info, "副本数据为空")
self._myCount:setText(self._info.amount)
self._myExp:setText(self._info.exp)
--self._myCopper:setText(self._info.copper)
for i = 1, 3 do
local p = self._info.copyKings[i]
if p == nil then
if(self._players[i] ~= nil) then
self._players[i]:dispose()
self._players[i] = nil
end
self._pNums[i]:setText("")
else
local pc = globalManager.commonUtils:getPlayerTriggerStr(p)
if(self._players[i] ~= nil) then
self._players[i]:dispose()
end
self._players[i] = globalManager.ccCreator:newRichLabel2(pc,500)
self._players[i]:setPosition(globalManager.ccCreator:newPoint(self._labelList[i]:getPositionX(),self._labelList[i]:getPositionY()))
self:addChild(self._players[i])
self._pNums[i]:setText(p.amount)
end
end
end
function CopyDTFollowPanel:updateTimu(evt)
if self._info.timu ~= nil then
self._txtTiMu:setText(self._info.timuC)
end
self._countTime:start(math.max(0, math.min(self._info.timeC, 20) ) )
-- print("#timu", math.max(0, self._info.timeC), self._info.timuC)
end
function CopyDTFollowPanel:moveHandler(evt)
local pos = self._controller.sceneModule.sceneInfo.scenePlayerList.selfPlayer:getPosition()
if self._lastPos ~= pos.x then
if (self._lastPos <= 1000 and pos.x > 1000) or (self._lastPos >= 1000 and pos.x < 1000) then
if self._choseEff:getParent() == nil then
self.answerPanel:addNode(self._choseEff)
self._choseEff:play()
end
if pos.x <= 1000 then
self._choseEff:move2(self.answerPanel,118, -147)
else
self._choseEff:move2(self.answerPanel,288, -147)
end
end
self._lastPos = pos.x
end
end
function CopyDTFollowPanel:removeEvent()
self._info:removeEventListener(globalData.globalEventType.playerInfo_datiCopyTiMu, self.updateTimu, self)
self._info:removeEventListener(globalData.globalEventType.playerInfo_datiCopyUpdate, self.updateInfo, self)
self._info:removeEventListener(globalData.globalEventType.playerInfo_datiShowRight, self.showResult, self)
self._controller.sceneModule.sceneInfo.scenePlayerList.selfPlayer:removeEventListener(globalData.globalEventType.sceneinfo_move,self.moveHandler,self)
end
function CopyDTFollowPanel:dispose()
globalManager.sourceCacheManager:removeQuote(self._dtViewPath)
self:removeEvent()
if self._choseEff ~= nil then
self._choseEff:dispose()
self._choseEff = nil
end
self._controller = nil
self._info       = nil
for __,label in pairs(self._players) do
label:dispose()
end
self._players    = nil
self._labelList = nil
self._pNums      = nil
self._myCount = nil
self._myExp = nil
--self._myCopper = nil
self.answerPanel = nil
self._txtTiMu = nil
self._copySceneInfo = nil
self._btnGoLeft = nil
self._btnGoRight = nil
self._dtView   = nil
if(self._countTime ~= nil)then
self._countTime:dispose()
self._countTime = nil
end
globalManager.ccCreator:release(self)
end
CopyDefenedCompletePanel = class("CopyDefenedCompletePanel", function(__,mission)
local self = globalManager.ccCreator:newJsonWidget("copyOverView4")
self._info 	 	  = globalData.copyInfo.defenesCopyInfo
self._txtMission  = self:getChildByName("txtMission")
self._txtMission:setText(tostring(mission))
self._prometLabel = self:getChildByName("honourLabel")
self._copper = self:getChildByName("txtTime")
self._txtExp = self:getChildByName("txtExp")
self._btnGet = self:getChildByName("btnGet")
self._itemList = {}
for i = 1,5,1 do
local itemBg = self:getChildByName("item"..i)
local item = BaseGrid:new()
itemBg:addChild(item)
table.insert(self._itemList,item)
end
self._btnGet:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel1"))
self:getChildByName("titleLabel_Copy1"):setText(globalManager.yuyanbaoManager:getYuyanbao("CopyDefenedCompletePanel.text1"))
self:getChildByName("honourLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("CopyDefenedCompletePanel.text2"))
self:getChildByName("copperLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("CopyDefenedCompletePanel.text3"))
self:getChildByName("expLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("CopyDefenedCompletePanel.text4"))
self._btnGet:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel1"))
return self
end)
function CopyDefenedCompletePanel:ctor()
self:initEvent()
self:show()
end
function CopyDefenedCompletePanel:initEvent()
local exitClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self:dispose()
end
end
self._btnGet:addTouchEventListener(exitClickHandler)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_reConnect,self.dispose,self)
end
function CopyDefenedCompletePanel:removeEvent()
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.scene_reConnect,self.dispose,self)
end
function CopyDefenedCompletePanel:show()
local copper = self._info.copper
if(self._info.goodsList ~= nil and #self._info.goodsList > 0)then
local count = 1
for i = 1,#self._info.goodsList,1 do
local templateInfo = globalData.allTemplates.goodsTemplateList:getTemplate(self._info.goodsList[i][1])
if(templateInfo.categoryId == globalData.allStaticTypes.categoryType.copperType)then
copper = copper + templateInfo.property1 * self._info.goodsList[i][2]
elseif(count <= 5)then
self._itemList[i]:setGoodsTempInfo(templateInfo)
self._itemList[i]:setCount(self._info.goodsList[i][2])
count = count + 1
end
end
end
self._copper:setText(copper)
self._txtExp:setText(self._info.awardExp)
if self:getParent() == nil then
globalData.uiClickContainer:addItem(self, true,true)
end
end
function CopyDefenedCompletePanel:hideFormClickContainer()
end
function CopyDefenedCompletePanel:hide()
self:dispose()
end
function CopyDefenedCompletePanel:dispose()
self:removeEvent()
self._missionId   = nil
self._info        = nil
self._sceneModule = nil
self._prometLabel = nil
self._txtMission = nil
self._copper = nil
self._txtExp = nil
self._btnGet = nil
for __,item in pairs(self._itemList) do
item:dispose()
item = nil
end
self._itemList = nil
globalData.uiClickContainer:close(self)
globalManager.ccCreator:release(self)
end
CopySHFollowPanel = class("CopySHFollowPanel",function(self,controller)
local temp = globalManager.ccCreator:newJsonWidget("DefenedHeroFollowView")
temp:getChildByName("label1"):setText(globalManager.yuyanbaoManager:getYuyanbao("CopySHFollowPanel.text1"))
temp:getChildByName("label2"):setText(globalManager.yuyanbaoManager:getYuyanbao("CopySHFollowPanel.text2"))
temp:getChildByName("numsLabel"):setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("CopySHFollowPanel.text7"),10))
temp:getChildByName("monster1"):setText(globalManager.yuyanbaoManager:getYuyanbao("CopySHFollowPanel.text3"))
temp:getChildByName("monster2"):setText(globalManager.yuyanbaoManager:getYuyanbao("CopySHFollowPanel.text3"))
temp:getChildByName("monster3"):setText(globalManager.yuyanbaoManager:getYuyanbao("CopySHFollowPanel.text3"))
temp._controller = controller
temp._subLayer = temp:getChildByName("subLayer")
temp._headIconImage = temp._subLayer:getChildByName("headIcon")
temp._levelLabel = temp._subLayer:getChildByName("levelLabel")
temp._levelLabel:setText("99")
temp._nameLabel = temp._subLayer:getChildByName("nameLabel")
temp._nameLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("CopySHFollowPanel.text4"))
temp._hpBar = temp._subLayer:getChildByName("hpBar")
temp._callBtn = temp._subLayer:getChildByName("callBtn")
temp._calledIcons = {}
for j = 5,1,-1 do
local icon = temp._subLayer:getChildByName("buff"..j)
icon:setVisible(false)
table.insert(temp._calledIcons,icon)
end
temp._numsLabel = temp:getChildByName("numsLabel")
local timeLayer = temp:getChildByName("time_layer")
temp._timeLabel = CountDownLabel:new(nil,3,nil,globalData.allStaticTypes.colorType.COLORGREEN,0)
timeLayer:addChild(temp._timeLabel)
temp._headList = {}
temp._nameList = {}
temp._scoreList = {}
temp._levelList = {}
temp._addTimeLabelList = {}
for i =1,3,1 do
table.insert(temp._headList,temp:getChildByName("headIcon"..i))
table.insert(temp._nameList,temp:getChildByName("monster"..i))
table.insert(temp._scoreList,temp:getChildByName("score"..i))
temp._scoreList[i]:setText("0")
table.insert(temp._levelList,temp:getChildByName("levelLabel"..i))
table.insert(temp._addTimeLabelList,TimeAddLabel:new(temp._scoreList[i]))
end
temp._teamLen = 0
temp._info = nil
temp._callPanel = nil
temp._isShow = false
temp._count = 0
temp._nameStrList = {}
temp.effect = nil
return temp
end)
function CopySHFollowPanel:ctor()
self._subLayer:setPosition(globalManager.ccCreator:newPoint(globalData.GAME_WIDTH,253))
self._info = globalData.copyInfo.currentCopyInfo
self:initEvent()
self._controller.sceneModule.message:sendCopyTimeUpdate()
self._count = 0
globalManager.tickManager:addTick(self.tick,self)
end
function CopySHFollowPanel:initEvent()
local callBtnClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(self._isShow) then
if(self._callPanel ~= nil) then
self._callPanel:removeFromParent(false)
end
self._isShow = false
else
if(self._callPanel == nil) then
self._callPanel = CopySHUpdatePanel:new(self)
self._callPanel:setPosition(globalManager.ccCreator:newPoint(globalData.GAME_WIDTH*0.5 - 371,globalData.GAME_HEIGHT*0.5 - 243))
end
if(self._callPanel:getParent() == nil) then
globalManager.containerManager.panelContainer:addChild(self._callPanel)
end
self._callPanel:resetSelect()
self._isShow = true
end
end
end
self._callBtn:addTouchEventListener(callBtnClickHandler)
self._info:addEventListener(globalData.globalEventType.playerInfo_copyMonster,self.monsterBallUpdate,self)
self._info:addEventListener(globalData.globalEventType.playerInfo_copyTime,self.updateTimeHandler,self)
self._info:addEventListener(globalData.globalEventType.defCopy_NpcHpUpdate,self.updateHp,self)
self._info:addEventListener(globalData.globalEventType.defCopy_calledListUpdate,self.updateCalledList,self)
self._info:addEventListener(globalData.globalEventType.defCopy_teamListUpdate,self.updateTeamList,self)
self._info:addEventListener(globalData.globalEventType.playerInfo_copyComplete,self.copyCompleteHandler,self)
end
function CopySHFollowPanel:removeEvent()
if(globalData.copyInfo.currentCopyInfo ~= nil) then
self._info:removeEventListener(globalData.globalEventType.playerInfo_copyMonster,self.monsterBallUpdate,self)
self._info:removeEventListener(globalData.globalEventType.playerInfo_copyTime,self.updateTimeHandler,self)
self._info:removeEventListener(globalData.globalEventType.defCopy_NpcHpUpdate,self.updateHp,self)
self._info:removeEventListener(globalData.globalEventType.defCopy_calledListUpdate,self.updateCalledList,self)
self._info:removeEventListener(globalData.globalEventType.defCopy_teamListUpdate,self.updateTeamList,self)
self._info:removeEventListener(globalData.globalEventType.playerInfo_copyComplete,self.copyCompleteHandler,self)
end
end
function CopySHFollowPanel:monsterBallUpdate(evt)
self._numsLabel:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("CopySHFollowPanel.text7"),self._info.leftMonster.."/50"))
if(self._info.leftMonster >= 50)then
self._timeLabel:stop()
self._timeLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel75"))
end
end
function CopySHFollowPanel:updateTimeHandler(evt)
if(self._info.leftMonster < 50)then
self._timeLabel:start(self._info.leftTime)
end
end
function CopySHFollowPanel:updateHp(evt)
self._hpBar:setPercent(self._info._hp)
end
function CopySHFollowPanel:updateCalledList(evt)
for i = 1,5,1 do
if(self._info._calledList[i] ~= nil) then
if(self._info._calledList[i] == 1) then
self._calledIcons[i]:loadTexture("icon/ui_buffIcon.png",1)
else
self._calledIcons[i]:loadTexture("icon/ui_buffIcon1.png",1)
end
self._calledIcons[i]:setVisible(true)
else
self._calledIcons[i]:setVisible(false)
end
end
end
function CopySHFollowPanel:updateTeamList(evt)
local len = #self._info._teamList
if(len ~= self._teamLen) then
for i = 1,3,1 do
if(self._info._teamList[i] ~= nil) then
self._headList[i]:loadTexture(globalData.allStaticTypes.careerType:getHeadPath(self._info._teamList[i][1]),1)
self._levelList[i]:setText(self._info._teamList[i][2])
self._nameList[i]:setText(self._info._teamList[i][4])
self._nameStrList[i] = self._info._teamList[i][4]
else
self._headList[i]:loadTexture("headIcons/NPCHeadIcon.png",1)
self._levelList[i]:setText("0")
self._scoreList[i]:setText("0")
self._nameList[i]:setText(globalManager.yuyanbaoManager:getYuyanbao("CopySHFollowPanel.text5"))
end
end
end
for i = 1,3,1 do
if(self._info._teamList[i] ~= nil) then
for j = 1,3,1 do
if(self._nameStrList[j] == self._info._teamList[i][4]) then
self._addTimeLabelList[j]:setLabel(self._info._teamList[i][3])
break
end
end
end
end
self._teamLen = len
if(self._info._totalScore >= 200 and (self._info._num1 + self._info._num2) < 5)then
if(self.effect == nil) then
self.effect = globalManager.effectCreator:create(37)
self.effect:move2(self._callBtn,0,0)
self._callBtn:addNode(self.effect,1)
self.effect:move2(self._callBtn,0,0)
self.effect:setScale(1.4)
self.effect:play()
end
else
if(self.effect ~= nil) then
self.effect:dispose()
self.effect = nil
end
end
end
function CopySHFollowPanel:copyCompleteHandler(evt)
Alert:new():show(2,globalManager.yuyanbaoManager:getYuyanbao("CopySHFollowPanel.text6"),nil,0,self._controller.sceneModule.message,self._controller.sceneModule.message.sendQuitCopy)
end
function CopySHFollowPanel:tick(delta,count)
self._count = self._count + 1
if(self._count >= 100) then
self._count = 0
self._controller.sceneModule.message:sendCopyNpcHp()
end
end
function CopySHFollowPanel:dispose()
globalManager.tickManager:removeTick(self.tick,self)
self:removeEvent()
if(self._callPanel ~= nil) then
self._callPanel:dispose()
self._callPanel = nil
end
self._info = nil
self._controller = nil
self._subLayer = nil
self._headIconImage = nil
self._levelLabel = nil
self._nameLabel = nil
self._hpBar = nil
self._callBtn = nil
self._numsLabel = nil
if(self._timeLabel ~= nil) then
self._timeLabel:dispose()
self._timeLabel = nil
end
for i,info in pairs(self._addTimeLabelList) do
info:dispose()
info = nil
end
self._addTimeLabelList = nil
self._calledIcons = nil
self._headList = nil
self._nameList = nil
self._nameStrList = nil
self._scoreList = nil
self._levelList = nil
if(self.effect ~= nil) then
self.effect:dispose()
self.effect = nil
end
globalManager.ccCreator:release(self)
end
CopySHUpdatePanel = class("CopySHUpdatePanel",function(self,parent)
local temp = globalManager.ccCreator:newJsonWidget("DefenedHeroCallPanel")
temp:getChildByName("LabelBMFont_8508"):setText(globalManager.yuyanbaoManager:getYuyanbao("CopySHUpdatePanel.text1"))
temp:getChildByName("ok_btn"):getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("CopySHUpdatePanel.text2"))
temp:getChildByName("call_btn"):getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("CopySHUpdatePanel.text3"))
temp:getChildByName("promtLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("CopySHUpdatePanel.text17").."0"..globalManager.yuyanbaoManager:getYuyanbao("FiveEquipTip.text14"))
temp:getChildByName("promtLabel1"):setText(globalManager.yuyanbaoManager:getYuyanbao("CopySHUpdatePanel.text17").."0"..globalManager.yuyanbaoManager:getYuyanbao("FiveEquipTip.text14"))
temp:getChildByName("tipLabel1"):setText(globalManager.yuyanbaoManager:getYuyanbao("CopySHUpdatePanel.text4"))
temp:getChildByName("tipLabel2"):setText(globalManager.yuyanbaoManager:getYuyanbao("RoleComparePanel.text3"))
temp:getChildByName("tipLabel3"):setText(globalManager.yuyanbaoManager:getYuyanbao("CopySHUpdatePanel.text6"))
temp:getChildByName("tipLabel4"):setText(globalManager.yuyanbaoManager:getYuyanbao("CopySHUpdatePanel.text7"))
temp:getChildByName("tipLabel5"):setText(globalManager.yuyanbaoManager:getYuyanbao("CopySHUpdatePanel.text4"))
temp:getChildByName("tipLabel6"):setText(globalManager.yuyanbaoManager:getYuyanbao("CopySHUpdatePanel.text6"))
temp:getChildByName("tipLabel7"):setText(globalManager.yuyanbaoManager:getYuyanbao("RoleComparePanel.text3"))
temp:getChildByName("tipLabel8"):setText(globalManager.yuyanbaoManager:getYuyanbao("CopySHUpdatePanel.text7"))
temp._parent = parent
temp._controller = parent._controller
temp._closeBtn = temp:getChildByName("close_btn")
temp._okBtn = temp:getChildByName("ok_btn")
temp._callBtn = temp:getChildByName("call_btn")
temp._scoreLabel = temp:getChildByName("scoreLabel")
temp._bg1 = temp:getChildByName("item1Image")
temp._bg1:setTouchEnabled(true)
temp._bg2 = temp:getChildByName("item2Image")
temp._bg2:setTouchEnabled(true)
temp._bgPath = globalManager.pathManager:getUISource("outPic/ui_defcopyUpdateBg.png")
temp._star1List = {}
temp._star2List = {}
for i = 1,5,1 do
local star1 = temp:getChildByName("start"..i)
local star2 = temp:getChildByName("starts"..i)
star1:setVisible(false)
star2:setVisible(false)
table.insert(temp._star1List,star1)
table.insert(temp._star2List,star2)
end
temp._promtLabel1 = temp:getChildByName("promtLabel")
temp._promtLabel2 = temp:getChildByName("promtLabel1")
temp._nameLabel1 = temp:getChildByName("nameLabel")
temp._nameLabel2 = temp:getChildByName("nameLabel1")
temp._careerLabel1 = temp:getChildByName("carrerLabel")
temp._careerLabel2 = temp:getChildByName("carrerLabel1")
temp._nameLabel1:setText(globalManager.yuyanbaoManager:getYuyanbao("CopySHUpdatePanel.text8"))
temp._nameLabel2:setText(globalManager.yuyanbaoManager:getYuyanbao("CopySHUpdatePanel.text9"))
temp._careerLabel1:setText(globalManager.yuyanbaoManager:getYuyanbao("CopySHUpdatePanel.text10"))
temp._careerLabel2:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel32"))
temp._updateLabel1 = temp:getChildByName("content1")
temp._updateLabel2 = temp:getChildByName("content3")
temp._callLabel1 = temp:getChildByName("content2")
temp._callLabel2 = temp:getChildByName("content4")
temp._select1 = temp:getChildByName("select1")
temp._select2 = temp:getChildByName("select2")
temp._character1 = nil
temp._character2 = nil
temp._monsterInfo1 = nil
temp._monsterInfo2 = nil
temp._info = nil
temp._currentType = 0
return temp
end)
function CopySHUpdatePanel:ctor()
globalManager.sourceCacheManager:setImage(self._bg1,self._bgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
globalManager.sourceCacheManager:setImage(self._bg2,self._bgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self._info = globalData.copyInfo.currentCopyInfo
self:initEvent()
local characterInfo1 = CharacterInfo:new(globalData.allStaticTypes.sourceStaticType.monster)
characterInfo1:setStyleBin(1,101031)
characterInfo1:setDefaultAnima(globalData.allStaticTypes.animaInfoList.monsterStand)
self._character1 = BaseCharacter:new(characterInfo1)
self._character1:show(globalData.allStaticTypes.directType.bottom)
self._character1:setPosition(globalManager.ccCreator:newPoint(190,224))
self._character1:setScale(2)
self:addNode(self._character1,1)
local characterInfo2 = CharacterInfo:new(globalData.allStaticTypes.sourceStaticType.monster)
characterInfo2:setStyleBin(1,101011)
characterInfo2:setDefaultAnima(globalData.allStaticTypes.animaInfoList.monsterStand)
self._character2 = BaseCharacter:new(characterInfo2)
self._character2:show(globalData.allStaticTypes.directType.bottom)
self._character2:setPosition(globalManager.ccCreator:newPoint(553,258))
self._character2:setScale(2)
self:addNode(self._character2,1)
self:updateCallList()
self:updateCalledList()
end
function CopySHUpdatePanel:initEvent()
local updateClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(self._currentType == 0) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("CopySHUpdatePanel.text11"))
return
end
if(self._currentType == 1) then
if(self._info._star1 > 6) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("CopySHUpdatePanel.text12"))
return
end
if(self._info._totalScore < self._monsterInfo1.updateScore) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("FiveEquipTip.text18"))
return
end
self._controller.sceneModule.message:sendCopyNpcUpdate(1)
else
if(self._info._star2 > 6) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("CopySHUpdatePanel.text12"))
return
end
if(self._info._totalScore < self._monsterInfo2.updateScore) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("FiveEquipTip.text18"))
return
end
self._controller.sceneModule.message:sendCopyNpcUpdate(2)
end
end
end
local callClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(self._currentType == 0) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("CopySHUpdatePanel.text11"))
return
end
if(self._currentType == 1) then
if(self._info._totalScore < self._monsterInfo1.score) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("FiveEquipTip.text18"))
return
end
if(self._info._num1 + self._info._num2 >= 5) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("CopySHUpdatePanel.text14"))
return
end
self._controller.sceneModule.message:sendCopyNpcCall(1)
else
if(self._info._totalScore < self._monsterInfo2.score) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("FiveEquipTip.text18"))
return
end
if(self._info._num1 + self._info._num2 >= 5) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("CopySHUpdatePanel.text14"))
return
end
self._controller.sceneModule.message:sendCopyNpcCall(2)
end
end
end
local bg1ClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
self._select1:setVisible(true)
self._select2:setVisible(false)
self._currentType = 1
end
end
local bg2ClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
self._select1:setVisible(false)
self._select2:setVisible(true)
self._currentType = 2
end
end
local closeClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
self._parent._isShow = false
self:removeFromParent(false)
end
end
self._closeBtn:addTouchEventListener(closeClickHandler)
self._bg1:addTouchEventListener(bg1ClickHandler)
self._bg2:addTouchEventListener(bg2ClickHandler)
self._okBtn:addTouchEventListener(updateClickHandler)
self._callBtn:addTouchEventListener(callClickHandler)
self._info:addEventListener(globalData.globalEventType.defCopy_callListUpdate,self.updateCallList,self)
self._info:addEventListener(globalData.globalEventType.defCopy_calledListUpdate,self.updateCalledList,self)
self._info:addEventListener(globalData.globalEventType.defCopy_teamListUpdate,self.updateTeamList,self)
end
function CopySHUpdatePanel:removeEvent()
self._info:removeEventListener(globalData.globalEventType.defCopy_callListUpdate,self.updateCallList,self)
self._info:removeEventListener(globalData.globalEventType.defCopy_calledListUpdate,self.updateCalledList,self)
self._info:removeEventListener(globalData.globalEventType.defCopy_teamListUpdate,self.updateTeamList,self)
end
function CopySHUpdatePanel:resetSelect()
self._select1:setVisible(false)
self._select2:setVisible(false)
self._currentType = 0
end
function CopySHUpdatePanel:updateCallList()
self._monsterInfo1 = globalData.allTemplates.defCopyMonsterTemplateList:getMonster(1,self._info._star1)
self._monsterInfo2 = globalData.allTemplates.defCopyMonsterTemplateList:getMonster(2,self._info._star2)
self._updateLabel1:setText(self._monsterInfo1.updateScore)
self._updateLabel2:setText(self._monsterInfo2.updateScore)
self._callLabel1:setText(self._monsterInfo1.score)
self._callLabel2:setText(self._monsterInfo2.score)
for i = 1,5,1 do
if(self._info._star1 > i) then
self._star1List[i]:setVisible(true)
end
if(self._info._star2 > i) then
self._star2List[i]:setVisible(true)
end
end
if(self._info._star1 > 5)then
self._updateLabel1:setText(globalManager.yuyanbaoManager:getYuyanbao("CopySHUpdatePanel.text15"))
end
if(self._info._star2 > 5)then
self._updateLabel2:setText(globalManager.yuyanbaoManager:getYuyanbao("CopySHUpdatePanel.text15"))
end
end
function CopySHUpdatePanel:updateCalledList()
self._promtLabel1:setText(globalManager.yuyanbaoManager:getYuyanbao("CopySHUpdatePanel.text17")..self._info._num1..globalManager.yuyanbaoManager:getYuyanbao("FiveEquipTip.text14"))
self._promtLabel2:setText(globalManager.yuyanbaoManager:getYuyanbao("CopySHUpdatePanel.text17")..self._info._num2..globalManager.yuyanbaoManager:getYuyanbao("FiveEquipTip.text14"))
end
function CopySHUpdatePanel:updateTeamList()
self._scoreLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("CopySHUpdatePanel.text16")..self._info._totalScore)
end
function CopySHUpdatePanel:dispose()
self:removeEvent()
self._info = nil
if(self._character1 ~= nil) then
self._character1:dispose()
self._character1 = nil
end
if(self._character2 ~= nil) then
self._character2:dispose()
self._character2 = nil
end
self._monsterInfo1 = nil
self._monsterInfo2 = nil
self._controller = nil
self._parent = nil
self._closeBtn = nil
self._okBtn = nil
self._callBtn = nil
self._scoreLabel = nil
self._bg1 = nil
self._bg2 = nil
self._star1List = nil
self._star2List = nil
self._promtLabel1 = nil
self._promtLabel2 = nil
self._nameLabel1 = nil
self._nameLabel2 = nil
self._careerLabel1 = nil
self._careerLabel2 = nil
self._updateLabel1 = nil
self._updateLabel2 = nil
self._callLabel1 = nil
self._callLabel2 = nil
self._select1 = nil
self._select2 = nil
globalManager.sourceCacheManager:removeQuote(self._bgPath)
self._bgPath = nil
globalManager.ccCreator:release(self)
end
CopyLYCompletePanel = class("CopyLYCompletePanel", function(self, module)
local this = globalManager.ccCreator:newJsonWidget("copyOverView4")
this._sceneModule = module
this._txtMission = this:getChildByName("txtMission")
this._copper = this:getChildByName("txtTime")
this._txtExp = this:getChildByName("txtExp")
this._btnGet = this:getChildByName("btnGet")
this._itemList = {}
for i = 1,5,1 do
local itemBg = this:getChildByName("item"..i)
local item = BaseGrid:new()
itemBg:addChild(item)
table.insert(this._itemList,item)
end
this._btnGet:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel1"))
this:getChildByName("titleLabel_Copy1"):setText(globalManager.yuyanbaoManager:getYuyanbao("CopyLYCompletePanel.text1"))
this:getChildByName("honourLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("CopyLYCompletePanel.text2"))
this:getChildByName("copperLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("CopyLYCompletePanel.text3"))
this:getChildByName("expLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("CopyLYCompletePanel.text4"))
this._btnGet:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel1"))
return this
end)
function CopyLYCompletePanel:ctor()
self:initEvent()
end
function CopyLYCompletePanel:show(mission,copper,exp,goodsList)
self._txtMission:setText(math.max(1, math.min(150, tonumber(mission) - 1)))
if(goodsList ~= nil and #goodsList > 0)then
local count = 1
for i = 1,#goodsList,1 do
local templateInfo = globalData.allTemplates.goodsTemplateList:getTemplate(goodsList[i][1])
if(templateInfo.categoryId == globalData.allStaticTypes.categoryType.copperType)then
copper = copper + templateInfo.property1 * goodsList[i][2]
elseif(count <= 5)then
self._itemList[i]:setGoodsTempInfo(templateInfo)
self._itemList[i]:setCount(goodsList[i][2])
count = count + 1
end
end
end
self._copper:setText(copper)
self._txtExp:setText(exp)
if self:getParent() == nil then
globalData.uiClickContainer:addItem(self, true,true)
end
end
function CopyLYCompletePanel:hideFormClickContainer()
end
function CopyLYCompletePanel:initEvent()
local btnClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self:dispose()
end
end
self._btnGet:addTouchEventListener(btnClickHandler)
end
function CopyLYCompletePanel:removeEvent()
end
function CopyLYCompletePanel:dispose()
self._sceneModule.message:sendQuitCopy()
self:removeEvent()
self._sceneModule = nil
self._txtMission = nil
self._copper = nil
self._txtExp = nil
self._btnGet = nil
globalData.uiClickContainer:close(self)
globalManager.ccCreator:release(self)
for __,item in pairs(self._itemList) do
item:dispose()
item = nil
end
self._itemList = nil
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tabCopy)
if(globalData.uiPanelContainer:getCurrentPanel() ~= nil) then
globalData.uiPanelContainer:getCurrentPanel():jumpToTab(2)
end
end
CopyLYFollowPanel = class("CopyLYFollowPanel",function(self,controller)
local temp = globalManager.ccCreator:newJsonWidget("copyFollowView4")
temp._controller = controller
temp._infoPanel = temp:getChildByName("info_panel")
temp._levelLabel = temp._infoPanel:getChildByName("level_label")
temp._currentExpLabel = temp._infoPanel:getChildByName("exp_label_Copy0")
temp._expLabel = temp._infoPanel:getChildByName("exp_label")
temp._addTimeLabel  = TimeAddLabel:new(temp._currentExpLabel)
temp._addTimeLabel1 = TimeAddLabel:new(temp._expLabel)
local timeLayer = temp._infoPanel:getChildByName("time_layer")
temp._timeLabel = CountDownLabel:new(nil,3,nil,globalData.allStaticTypes.colorType.COLORGREEN,30)
timeLayer:addChild(temp._timeLabel)
temp._info = nil
temp._copyTemp = globalData.allTemplates.copyTemplateList:getCopy(globalData.allTemplates.copyTemplateList.LIANYU)
temp.tipView = nil
temp.jumpMis = 0
temp._infoPanel:getChildByName("Label_31649_Copy3"):setText(globalManager.yuyanbaoManager:getYuyanbao("CopyLYFollowPanel.text1"))
temp._infoPanel:getChildByName("Label_31649_Copy1"):setText(globalManager.yuyanbaoManager:getYuyanbao("CopyLYFollowPanel.text2"))
temp._infoPanel:getChildByName("Label_31649"):setText(globalManager.yuyanbaoManager:getYuyanbao("CopyLYFollowPanel.text3"))
temp._infoPanel:getChildByName("Label_31649_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("CopyLYFollowPanel.text4"))
return temp
end)
function CopyLYFollowPanel:ctor()
self._info = globalData.copyInfo.currentCopyInfo
self:initEvent()
end
function CopyLYFollowPanel:initEvent()
self._info:addEventListener(globalData.globalEventType.playerInfo_copyTime,self.updateTimeHandler,self)
self._info:addEventListener(globalData.globalEventType.playerInfo_copyMonsterBall,self.monsterBallUpdate,self)
self._info:addEventListener(globalData.globalEventType.playerInfo_copyMonster,self.updateMonsterHandler,self)
self._info:addEventListener(globalData.globalEventType.playerInfo_copyComplete,self.copyCompleteHandler,self)
end
function CopyLYFollowPanel:removeEvent()
self._info:removeEventListener(globalData.globalEventType.playerInfo_copyTime,self.updateTimeHandler,self)
self._info:removeEventListener(globalData.globalEventType.playerInfo_copyMonsterBall,self.monsterBallUpdate,self)
self._info:removeEventListener(globalData.globalEventType.playerInfo_copyMonster,self.updateMonsterHandler,self)
self._info:removeEventListener(globalData.globalEventType.playerInfo_copyComplete,self.copyCompleteHandler,self)
end
function CopyLYFollowPanel:updateMonsterHandler(evt)
if(self._info.leftMonster <= 0)then
if(self._info.monsterCurrentBall >= self._info.monsterTotalBall)then
Alert:new():show(1,globalManager.yuyanbaoManager:getYuyanbao("CopyLYFollowPanel.text5"),nil,5,self._controller.sceneModule.message,self._controller.sceneModule.message.sendQuitCopy)
end
end
end
function CopyLYFollowPanel:updateTimeHandler(evt)
self._timeLabel:start(self._info.leftTime)
local maxLevel = globalData.copyInfo:getMaxMission(globalData.allTemplates.copyTemplateList.LIANYU)
maxLevel = self._copyTemp:missionIdToIndex(maxLevel)
local level = self._info.monsterCurrentBall
if level > 0 and level % 5 == 0 and (maxLevel > level + 5) then
self:showJumpTip(math.ceil(self._info.totalTime / 4 - 0.5), level + 5)
end
end
function CopyLYFollowPanel:copyCompleteHandler(evt)
local data = evt.data
if (data[2] > 0) then
local resultView = CopyLYCompletePanel:new(self._controller.sceneModule)
resultView:show(data[1],data[2],data[3],data[4])
end
end
function CopyLYFollowPanel:monsterBallUpdate(evt)
--self._levelLabel:setText(tostring(self._info.monsterCurrentBall).."/"..tostring(self._info.monsterTotalBall))
self._levelLabel:setText(tostring(self._info.monsterCurrentBall))  --删除怪物总共的波次
self._addTimeLabel:setLabel(self._info.currentCopper)
self._addTimeLabel1:setLabel(self._info.totalCopper)
if(self.jumpMis ~= 0 and self.jumpMis <= self._info.monsterCurrentBall) then
if(self.tipView ~= nil) then
self.tipView:hide()
end
end
end
function CopyLYFollowPanel:showJumpTip(count , mis)
if self.tipView == nil then
self.tipView = CopyLYTipView:new()
end
self.tipView:show(count, mis)
self.jumpMis = mis
end
function CopyLYFollowPanel:dispose()
self:removeEvent()
self._info = nil
if self.tipView ~= nil then
self.tipView:dispose()
self.tipView = nil
end
if(self._addTimeLabel ~= nil)then
self._addTimeLabel:dispose()
self._addTimeLabel = nil
end
if(self._addTimeLabel1 ~= nil)then
self._addTimeLabel1:dispose()
self._addTimeLabel1 = nil
end
self._controller = nil
self._infoPanel = nil
self._monsterLabel = nil
self._awardLabel = nil
self._expLabel = nil
if(self._timeLabel ~= nil) then
self._timeLabel:dispose()
self._timeLabel = nil
end
globalManager.ccCreator:release(self)
end
CopyLYTipView = class("CopyLYTipView", function(self)
local this = globalManager.ccCreator:newJsonWidget("copyPopTip4")
this.cdv = CountDownLabel:new(this:getChildByName("txtCount"),1,nil,nil,0)
local cdvx, cdvy = this.cdv:getPosition()
this.cdv:setPosition(cdvx + 6, cdvy)
this.mis = this:getChildByName("txtMission")
local mpx, mpy = this.mis:getPosition()
this.mis:setPosition(mpx - 10, mpy)
this:getChildByName("Label_74977"):setText(globalManager.yuyanbaoManager:getYuyanbao("CopyLYTipView.text1"))
return this
end)
function CopyLYTipView:ctor()
end
function CopyLYTipView:show(count, mis)
local function endTime()
self:hide()
end
if self:getParent() == nil then
globalManager.containerManager.fixUIContainer:addChild(self,3)
local size = self:getSize()
self:setPosition((globalData.GAME_WIDTH - size.width)/ 2 , 105)
end
self.cdv:start(count, endTime)
self.mis:setText(mis)
end
function CopyLYTipView:hide()
if self:getParent() ~= nil then
self:getParent():removeChild(self,false)
end
end
function CopyLYTipView:dispose()
self:hide()
if self.cdv ~= nil then
self.cdv:dispose()
self.cdv = nil
end
self.mis = nil
globalManager.ccCreator:release(self)
end
SceneMapPanel = class("SceneMapPanel",function(self,controller)
local temp = globalManager.ccCreator:newWidget()
temp:setContentSize(globalManager.ccCreator:newSize(960,640))
temp.eventDis = EventDispatcher:new()
temp._controller = controller
temp._currentIndex = -1
temp._panels = {}
return temp
end)
function SceneMapPanel:ctor()
globalData.messageAdder:sendSkyDreamLand()
self:initEvent()
end
function SceneMapPanel:initEvent()
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_closeOtherPanel,self.dispose,self)
end
function SceneMapPanel:removeEvent()
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.scene_closeOtherPanel,self.dispose,self)
end
function SceneMapPanel:setIndex(index)
if(self._currentIndex == index)then return end
if(self._currentIndex ~= -1)then
if(self._panels[self._currentIndex] ~= nil)then
self._panels[self._currentIndex]:hide()
end
end
self._currentIndex = index
if(self._panels[self._currentIndex] == nil)then
self._panels[self._currentIndex] = self:createPanel(self._currentIndex)
end
self:addChild(self._panels[self._currentIndex],1)
if(self._currentIndex == 1) then
self._panels[self._currentIndex]:updateSelf()
end
end
function SceneMapPanel:createPanel(index)
if(index == 1)then
return SceneWorldMapView:new(self._controller)
else
--        return SceneCurrentMapView:new(self._controller)
end
end
function SceneMapPanel:dispose()
self:removeEvent()
self._controller = nil
if(self._panels[0]) then
self._panels[0]:dispose()
end
if(self._panels[1]) then
self._panels[1]:dispose()
end
self._panels = nil
self.eventDis:dispatchEvent(BaseEvent:new(globalData.globalEventType.trigger_panelDispose,self.eventDis,nil))
self.eventDis:dispose()
self.eventDis = nil
globalManager.ccCreator:release(self)
end
SceneWorldMapView = class("SceneWorldMapView",function(self,controller)
local temp = globalManager.ccCreator:newJsonWidget("worldMap")
temp._controller = controller
temp.background = temp:getChildByName("ImageView_717063")
temp._closeBtn = temp:getChildByName("panelClose_btn")
temp._bgPath = globalManager.pathManager:getUISource("outPic/ui_worldMap.png")
temp._selfIcon = temp:getChildByName("selfIcon")
temp._btnList = {}
temp._mapList = {1001,2008,2006,2007,2005,2004,2003,2002}
for i = 1,8,1 do
table.insert(temp._btnList,temp:getChildByName("btn"..i))
end
temp.skyDreamlandPic  = temp:getChildByName("btn9")
temp.skyDreamlandPic:setTouchEnabled(true)
temp.timeLabel        = temp:getChildByName("timeLabel")
temp:getChildByName("titleLabel_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("SceneWorldMapView.text1"))
temp:getChildByName("Label_719214"):setText(globalManager.yuyanbaoManager:getYuyanbao("SceneWorldMapView.text2"))
temp:getChildByName("tipsLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("SceneWorldMapView.text6"))
temp._flag    = 1
temp.count    = 0
return temp
end)
function SceneWorldMapView:ctor()
self:initEvent()
globalManager.sourceCacheManager:setImage(self.background,self._bgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self:initView()
end
function SceneWorldMapView:initView()
self.timeLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("SkyDreamLandFollowPanel.text12"))
self.timeLabel:setColor(globalData.allStaticTypes.colorType.FALSE_COLOR)
end
function SceneWorldMapView:initEvent()
local mapBtnClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
local index = globalManager.commonUtils:getIndexOfTable(self._btnList,sender)
if(globalData.currentMapId == self._mapList[index]) then
--            	self._controller:changeMapPanel(0)
else
if(self._mapList[index] == 0) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("SceneWorldMapView.text3"))
else
self._controller.sceneModule.flyTester:doJumpMap(self._mapList[index],true)
end
end
end
end
local closeClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self._controller.sceneModule.mapPanel:dispose()
end
end
local landClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.skyHangupLevel)then
globalManager.tipsManager.quickTip:show(globalData.newModuleLevelConfig.skyHangupLevel..globalManager.yuyanbaoManager:getYuyanbao("SceneWorldMapView.text7"))
return
end
local systemTime = globalData.systemDateInfo:getZeroPassTime()
local startTime  = 10 * 60 * 60
local endTime    = 24 * 60 * 60 - 300
if(systemTime >= startTime and systemTime <= endTime)then
local view = SkyDreamLandPanel:new()
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("SceneWorldMapView.text4"))
end
end
end
for __,btn in pairs(self._btnList) do
btn:addTouchEventListener(mapBtnClickHandler)
end
self._closeBtn:addTouchEventListener(closeClickHandler)
self.skyDreamlandPic:addTouchEventListener(landClickHandler)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_showSkyDreamLand,self.touchSkyDreamLandPanel,self)
end
function SceneWorldMapView:touchSkyDreamLandPanel()
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.skyHangupLevel)then
globalManager.tipsManager.quickTip:show(globalData.newModuleLevelConfig.skyHangupLevel..globalManager.yuyanbaoManager:getYuyanbao("SceneWorldMapView.text7"))
return
end
local systemTime = globalData.systemDateInfo:getZeroPassTime()
local startTime  = 10 * 60 * 60
local endTime    = 24 * 60 * 60 - 300
if(systemTime >= startTime and systemTime <= endTime)then
local view = SkyDreamLandPanel:new()
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("SceneWorldMapView.text4"))
end
end
function SceneWorldMapView:removeEvent()
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.scene_showSkyDreamLand,self.touchSkyDreamLandPanel,self)
end
function SceneWorldMapView:updateSelf()
local index = globalManager.commonUtils:getIndexOfTable(self._mapList,globalData.currentMapId)
if(index == -1) then
self._selfIcon:setVisible(false)
else
self._selfIcon:setVisible(true)
self._selfIcon:setPosition(self._btnList[index]:getPositionX(),self._btnList[index]:getPositionY())
end
end
function SceneWorldMapView:hide()
if(self:getParent() ~= nil)then
self:getParent():removeChild(self,false)
end
end
function SceneWorldMapView:dispose()
self:removeEvent()
globalManager.sourceCacheManager:removeQuote(self._bgPath)
self._bgPath = nil
self._controller = nil
self.background = nil
self._selfIcon = nil
self._mapList = nil
self._btnList = nil
self._selfPanel = nil
self._selfIcon = nil
self.skyDreamlandPic  = nil
globalManager.sourceCacheManager:removeQuote(self.skyDreamlandPath)
self.skyDreamlandPath = nil
self.timeLabel        = nil
globalManager.ccCreator:release(self)
end
SkyDreamLandPanel = class("SkyDreamLandPanel", function(self)
local temp = globalManager.ccCreator:newJsonWidget("skyDreamlandPanel")
temp.scrollView     = temp:getChildByName("scrollView")
temp.closeBtn = temp:getChildByName("closeBtn")
temp.itemList       = {}
temp.viewList       = {}
temp._flagList      = {0,0,0,0,0}
temp.awardBtn       = temp:getChildByName("help_btn_Copy0")
temp.awardPanel     = nil
temp:getChildByName("tipsLabel1"):setText(globalManager.yuyanbaoManager:getYuyanbao("SkyDreamLandPanel.text2"))
temp:getChildByName("tipsLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("SkyDreamLandPanel.text4"))
temp:getChildByName("fightLabel_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("SkyDreamLandPanel.text6"))
return temp
end)
function SkyDreamLandPanel:ctor()
self:initEvent()
globalData.uiClickContainer:addItem(self,true)
self:updateView()
end
function SkyDreamLandPanel:updateView()
local mapId = 0
local function flushHandler()
globalData.messageAdder:sendSkyDreamLandEnter(mapId)
self:dispose()
end
local viewClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
local level = globalData.selfPlayerInfo.level
local tempInfo = sender:getInfo()
local templateInfo = sender:getTemplateInfo()
if(tempInfo ~= nil)then
if(level >= templateInfo.minLevel)then
globalData.messageAdder:sendSkyDreamLandEnter(tempInfo[1])
self:dispose()
else
globalManager.tipsManager.quickTip:show(string.format(globalManager.yuyanbaoManager:getYuyanbao("SkyDreamLandPanel.text1"),templateInfo.minLevel))
end
mapId = tempInfo[1]
end
end
end
self.itemList = globalData.skyDreamLandInfo.itemList
if(#self.itemList <= 0)then return end
if(#self.itemList > 0)then
local height = 380 * math.floor(1 + (#self.itemList - 1)/ 2)
local sortFunc = function(info1,info2)
return tonumber(info1[1]) < tonumber(info2[1])
end
table.sort(self.itemList, sortFunc)
for i = 1,#self.itemList,1 do
local view = SkyDreamLandItem:new()
view:setData(self.itemList[i],self._flagList)
if(#self.itemList <= 2)then
view:setPosition(cc.p(15 + 354 * ((i - 1) % 2),400 - 10 - 380 * math.floor((i + 1) / 2)))
else
view:setPosition(cc.p(15 + 354 * ((i - 1) % 2),height - 10 - 380 * math.floor((i + 1) / 2)))
end
view:setTouchEnabled(true)
view:addTouchEventListener(viewClickHandler)
self.scrollView:addChild(view,10)
table.insert(self.viewList,view)
end
self.scrollView:setInnerContainerSize(cc.size(720,height))
end
end
function SkyDreamLandPanel:initEvent()
local awardBtnClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(self.awardPanel == nil) then
self.awardPanel = SkyDreamLandAwardPanel:new(self)
end
end
end
local closeClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self:dispose()
end
end
self.closeBtn:addTouchEventListener(closeClickHandler)
self.awardBtn:addTouchEventListener(awardBtnClickHandler)
globalData.skyDreamLandInfo:addEventListener(globalData.globalEventType.update_skyDreamLandInfo,self.updateView,self)
end
function SkyDreamLandPanel:removeEvent()
globalData.skyDreamLandInfo:removeEventListener(globalData.globalEventType.update_skyDreamLandInfo,self.updateView,self)
end
function SkyDreamLandPanel:hideAwardPanel()
if(self.awardPanel ~= nil) then
self.awardPanel:dispose()
self.awardPanel = nil
end
end
function SkyDreamLandPanel:hideFormClickContainer()
self:dispose()
end
function SkyDreamLandPanel:dispose()
self:hideAwardPanel()
self:removeEvent()
self.scrollView     = nil
self.itemList       = nil
if(self.viewList ~= nil) then
for __,view in pairs(self.viewList) do
view:dispose()
end
self.viewList = nil
end
self.closeBtn = nil
self._flagList      = nil
self.awardBtn       = nil
globalData.uiClickContainer:close(self)
globalManager.ccCreator:release(self)
end
SkyDreamLandItem = class("SkyDreamLandItem",function(self,index,state,hasIdList)
local temp = globalManager.ccCreator:newJsonWidget("skyDreamlandItem")
temp.copyName      = temp:getChildByName("copyName")
temp.fightLabel    = temp:getChildByName("fightLabel")
temp.stateLabel    = temp:getChildByName("stateLabel")
temp.bg            = temp:getChildByName("bg")
temp.pkImg         = temp:getChildByName("pkImg")
temp.pkImg:setVisible(false)
temp.bgPath        = globalManager.pathManager:getUISource("outPic/skyDreamlandBg.png")
temp._info         = nil
temp._templateInfo = nil
return temp
end)
function SkyDreamLandItem:ctor()
globalManager.sourceCacheManager:setImage(self.bg,self.bgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
end
function SkyDreamLandItem:setData(info,flagList)
self._info = info
if(info == nil)then return end
local templateInfo = globalData.allTemplates.skyDreamLandTemplateList:getInfoById(info[2])
self._templateInfo = templateInfo
if(info[4] ~= nil and info[4] == 2)then
self.pkImg:setVisible(true)
else
self.pkImg:setVisible(false)
end
local level = templateInfo.minLevel
if(templateInfo.hard == 1)then
flagList[1] = flagList[1] + 1
self.copyName:setText(globalManager.yuyanbaoManager:getYuyanbao("SkyDreamLandFollowPanel.text1").."("..flagList[1]..")")
self.fightLabel:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("SkyDreamLandFollowPanel.text7"),level))
elseif(templateInfo.hard == 2)then
flagList[2] = flagList[2] + 1
self.copyName:setText(globalManager.yuyanbaoManager:getYuyanbao("SkyDreamLandFollowPanel.text2").."("..flagList[2]..")")
self.fightLabel:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("SkyDreamLandFollowPanel.text7"),level))
elseif(templateInfo.hard == 3)then
flagList[3] = flagList[3] + 1
self.copyName:setText(globalManager.yuyanbaoManager:getYuyanbao("SkyDreamLandFollowPanel.text3").."("..flagList[3]..")")
self.fightLabel:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("SkyDreamLandFollowPanel.text7"),level))
elseif(templateInfo.hard == 4)then
flagList[4] = flagList[4] + 1
self.copyName:setText(globalManager.yuyanbaoManager:getYuyanbao("SkyDreamLandFollowPanel.text4").."("..flagList[4]..")")
self.fightLabel:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("SkyDreamLandFollowPanel.text7"),level))
elseif(templateInfo.hard == 5)then
flagList[5] = flagList[5] + 1
self.copyName:setText(globalManager.yuyanbaoManager:getYuyanbao("SkyDreamLandFollowPanel.text5").."("..flagList[5]..")")
self.fightLabel:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("SkyDreamLandFollowPanel.text7"),level))
end
if(info[3] >= 100)then
self.stateLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("SkyDreamLandFollowPanel.text8"))
else
self.stateLabel:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("SkyDreamLandItem.text1"),info[3]))
end
end
function SkyDreamLandItem:getInfo()
return self._info
end
function SkyDreamLandItem:getTemplateInfo()
return self._templateInfo
end
function SkyDreamLandItem:dispose()
self.copyName      = nil
self.fightLabel    = nil
self.stateLabel    = nil
self.bg            = nil
self.pkImg         = nil
globalManager.sourceCacheManager:removeQuote(self.bgPath)
self.bgPath        = nil
self._info         = nil
globalManager.ccCreator:release(self)
end
SkyDreamLandFollowPanel = class("SkyDreamLandFollowPanel",function(self)
local temp = globalManager.ccCreator:newJsonWidget("skyDreamLandFollowPanel")
temp._layer           = temp:getChildByName("layer")
temp._copyName        = temp._layer:getChildByName("copyName")
temp._timeLabel       = temp._layer:getChildByName("timeLabel")
temp._layer:setPosition(globalManager.ccCreator:newPoint(globalData.GAME_WIDTH - 450,45))
temp._layer:getChildByName("content1"):setText(globalManager.yuyanbaoManager:getYuyanbao("SkyDreamLandFollowPanel.text9"))
temp._count  = 0
temp._count1 = 0
temp.enterTime    = 0
temp.currentLeftTime = 0
return temp
end)
function SkyDreamLandFollowPanel:ctor()
self:initEvent()
end
function SkyDreamLandFollowPanel:initEvent()
globalData.copyInfo.copySkyDreamLandInfo:addEventListener(globalData.globalEventType.update_copySkyDreamLandInfo,self.infoUpdate,self)
end
function SkyDreamLandFollowPanel:removeEvent()
globalData.copyInfo.copySkyDreamLandInfo:removeEventListener(globalData.globalEventType.update_copySkyDreamLandInfo,self.infoUpdate,self)
end
function SkyDreamLandFollowPanel:infoUpdate()
self.currentLeftTime  = globalData.copyInfo.copySkyDreamLandInfo.remianTime - globalData.systemDateInfo:getSystemTime() * 0.001
local currentMapId    = globalData.copyInfo.copySkyDreamLandInfo.mapId
local currentFlag     = globalData.copyInfo.copySkyDreamLandInfo.flag
self.enterTime        = globalData.systemDateInfo:getSystemTime()
self._timeLabel:setText(globalData.systemDateInfo:getSystemTimeString())
globalManager.tickManager:addTick(self.tick,self)
local templateInfo = globalData.allTemplates.skyDreamLandTemplateList:getInfoById(currentMapId)
local str = ""
if(templateInfo.hard == 1)then
str = globalManager.yuyanbaoManager:getYuyanbao("SkyDreamLandFollowPanel.text1").."("..currentFlag..")"
elseif(templateInfo.hard == 2)then
str = globalManager.yuyanbaoManager:getYuyanbao("SkyDreamLandFollowPanel.text2").."("..currentFlag..")"
elseif(templateInfo.hard == 3)then
str = globalManager.yuyanbaoManager:getYuyanbao("SkyDreamLandFollowPanel.text3").."("..currentFlag..")"
elseif(templateInfo.hard == 4)then
str = globalManager.yuyanbaoManager:getYuyanbao("SkyDreamLandFollowPanel.text4").."("..currentFlag..")"
elseif(templateInfo.hard == 5)then
str = globalManager.yuyanbaoManager:getYuyanbao("SkyDreamLandFollowPanel.text5").."("..currentFlag..")"
end
if(currentFlag == 2)then
str = str.."-"..globalManager.yuyanbaoManager:getYuyanbao("SkyDreamLandFollowPanel.text11")
end
self._copyName:setText(str)
-- self._remainTimeLabel:setText(math.floor(self.currentLeftTime / 60) .. globalManager.yuyanbaoManager:getYuyanbao("SkyDreamLandFollowPanel.text6"))
globalManager.tickManager:addTick(self.remainTick,self)
end
function SkyDreamLandFollowPanel:tick(delta)
local temp = math.floor(globalData.systemDateInfo:getSystemTime() / 60000)
if(temp == self._count) then return end
self._count = temp
self._timeLabel:setText(globalData.systemDateInfo:getSystemTimeString())
end
function SkyDreamLandFollowPanel:remainTick(delta)
self._count1 = self._count1 + 1
if(self._count1 >= 600)then
self._count1 = 0
local changeTime  = globalData.systemDateInfo:getSystemTime()
local deltaTime   = (changeTime - self.enterTime)*0.001
local remainTime  = math.floor((self.currentLeftTime - deltaTime) / 60)
-- self._remainTimeLabel:setText(remainTime ..globalManager.yuyanbaoManager:getYuyanbao("SkyDreamLandFollowPanel.text6"))
end
end
function SkyDreamLandFollowPanel:dispose()
self:removeEvent()
globalManager.tickManager:removeTick(self.tick,self)
globalManager.tickManager:removeTick(self.remainTick,self)
self._layer     = nil
self._timeLabel = nil
self._copyName  = nil
globalManager.ccCreator:release(self)
end
SkyDreamLandAwardPanel = class("SkyDreamLandAwardPanel", function(self,parent)
local temp = globalManager.ccCreator:newJsonWidget("ArenaRankAwardPanel")
temp._listView = temp:getChildByName("listView")
temp._listView:setItemsMargin(10)
temp._closeBtn = temp:getChildByName("closeBtn")
temp._titleLabel = temp:getChildByName("title_label")
temp._awardItemList = {}
for i=1,3,1 do
local item = SkyDreamLandAwardItemView:new(i)
temp._listView:pushBackCustomItem(item)
table.insert(temp._awardItemList,item)
end
temp._parent = parent
temp:getChildByName("title_label"):setText(globalManager.yuyanbaoManager:getYuyanbao("SkyDreamLandAwardPanel.text1"))
return temp
end)
function SkyDreamLandAwardPanel:ctor()
self:initEvent()
self._titleLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("SkyDreamLandAwardPanel.text2"))
globalData.uiClickContainer:addItem(self,true,true)
end
function SkyDreamLandAwardPanel:initEvent()
local function buttonTouchHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self._parent:hideAwardPanel()
end
end
self._closeBtn:addTouchEventListener(buttonTouchHandler)
end
function SkyDreamLandAwardPanel:removeEvent()
end
-- function SkyDreamLandAwardPanel:hideFormClickContainer()
-- 	self._parent:hideAwardPanels()
-- end
function SkyDreamLandAwardPanel:dispose()
self:removeEvent()
globalData.uiClickContainer:close(self)
for __,item in pairs(self._awardItemList) do
item:dispose()
end
self._awardItemList = nil
self._titleLabel = nil
self._controller = nil
self._parent = nil
self._listView = nil
self._rankLabel = nil
self._closeBtn = nil
globalManager.ccCreator:release(self)
end
SkyDreamLandAwardItemView = class("SkyDreamLandAwardItemView", function(self,index)
local temp = globalManager.ccCreator:newJsonWidget("skyDreamLandAwardItem")
temp._index = index
temp._titleName = temp:getChildByName("titleName")
temp._gridList = {}
for i=1,5,1 do
local gridWidget = temp:getChildByName("award_" .. i)
local grid = BaseGrid:new(true)
gridWidget:addChild(grid,10)
table.insert(temp._gridList,grid)
end
return temp
end)
function SkyDreamLandAwardItemView:ctor()
self:initView()
end
function SkyDreamLandAwardItemView:initView()
local templateInfo = nil
if(self._index == 1)then
self._titleName:setText(globalManager.yuyanbaoManager:getYuyanbao("SkyDreamLandAwardItemView.text1"))
templateInfo = globalData.allTemplates.skyDreamLandTemplateList.list[1].boxItemList
elseif(self._index == 2)then
self._titleName:setText(globalManager.yuyanbaoManager:getYuyanbao("SkyDreamLandAwardItemView.text2"))
templateInfo = globalData.allTemplates.skyDreamLandTemplateList.list[1].monsterItemList
elseif(self._index == 3)then
self._titleName:setText(globalManager.yuyanbaoManager:getYuyanbao("SkyDreamLandAwardItemView.text3"))
templateInfo = globalData.allTemplates.skyDreamLandTemplateList.list[1].bossItemList
end
if(templateInfo == nil)then return end
local len = #templateInfo
if(len > 5 )then len = 5 end
for i = 1,len,1 do
self._gridList[i]:setGoodsTempInfo(globalData.allTemplates.goodsTemplateList:getTemplate(templateInfo[i][1]))
self._gridList[i]:setCount(templateInfo[i][2])
end
end
function SkyDreamLandAwardItemView:dispose()
for __,grid in pairs(self._gridList) do
grid:dispose()
end
self._gridList = nil
self._rankLabel = nil
self._awardImg = nil
globalManager.ccCreator:release(self)
end
CopyMaterialFollowPanel = class("CopyMaterialFollowPanel",function(self,controller)
local temp = globalManager.ccCreator:newJsonWidget("copyFollowView6")
temp._controller = controller
temp._bossName = temp:getChildByName("bossName")
temp._bossNum = temp:getChildByName("boss_num")
local timeLayer = temp:getChildByName("time_layer")
temp._timeLabel = CountDownLabel:new(nil,3,nil,globalData.allStaticTypes.colorType.COLORGREEN,30)
timeLayer:addChild(temp._timeLabel)
temp._boxLayer = temp:getChildByName("box_view")
temp._boxLabel = temp._boxLayer:getChildByName("name_label")
temp._boxLayer:setPosition(globalData.GAME_WIDTH - 103,180)
temp._addTimeLabel  = TimeAddLabel:new(temp._boxLabel)
temp._info  = nil
temp._time  = 0
temp._count = 0
temp:getChildByName("bossName"):setText(globalManager.yuyanbaoManager:getYuyanbao("CopyMaterialFollowPanel.text1"))
temp:getChildByName("label1"):setText(globalManager.yuyanbaoManager:getYuyanbao("CopyMaterialFollowPanel.text3"))
return temp
end)
function CopyMaterialFollowPanel:ctor()
self._info = globalData.copyInfo.currentCopyInfo
self:initEvent()
end
function CopyMaterialFollowPanel:initEvent()
self._info:addEventListener(globalData.globalEventType.playerInfo_copyMonster,self.updateMonsterHandler,self)
self._info:addEventListener(globalData.globalEventType.playerInfo_copyTime,self.updateTimeHandler,self)
self._info:addEventListener(globalData.globalEventType.playerInfo_materialBoxNum,self.updateBoxNumHandler,self)
end
function CopyMaterialFollowPanel:removeEvent()
self._info:removeEventListener(globalData.globalEventType.playerInfo_copyMonster,self.updateMonsterHandler,self)
self._info:removeEventListener(globalData.globalEventType.playerInfo_copyTime,self.updateTimeHandler,self)
self._info:removeEventListener(globalData.globalEventType.playerInfo_materialBoxNum,self.updateBoxNumHandler,self)
end
function CopyMaterialFollowPanel:updateMonsterHandler(evt)
self._bossNum:setText((self._info.totalMonster - self._info.leftMonster).."/"..self._info.totalMonster)
if(self._info.leftMonster <= 0) then
self._count = 0
globalManager.tickManager:addTick(self.tick,self)
end
end
function CopyMaterialFollowPanel:tick(delta)
self._count = self._count + 1
if(self._count > 300)then
self._controller.sceneModule.message:sendQuitCopy()
globalManager.tickManager:removeTick(self.tick,self)
end
end
function CopyMaterialFollowPanel:updateTimeHandler(evt)
self._timeLabel:start(self._info.leftTime)
end
function CopyMaterialFollowPanel:updateBoxNumHandler(evt)
self._addTimeLabel:setLabel(self._info.itemCount)
end
function CopyMaterialFollowPanel:dispose()
self:removeEvent()
globalManager.tickManager:removeTick(self.tick,self)
self._controller = nil
self._bossName = nil
self._bossNum = nil
self._boxLayer = nil
self._info     = nil
if(self._timeLabel ~= nil) then
self._timeLabel:dispose()
self._timeLabel = nil
end
if(self._addTimeLabel ~= nil)then
self._addTimeLabel:dispose()
self._addTimeLabel = nil
end
globalManager.ccCreator:release(self)
end
CopyMaterialCompletePanel = class("CopyMaterialCompletePanel", function(_,controller)
local self = globalManager.ccCreator:newJsonWidget("copyOverView5")
self._controller = controller
self._info 	 	  = globalData.copyInfo.materialCopyInfo
self.txtV2        = self:getChildByName("txtV2")
self.txtV4        = self:getChildByName("txtV4")
self.quitBtn      = self:getChildByName("quitBtn")
self.quitBtn:setPositionX(425)
self.timeLabel    = self.quitBtn:getChildByName("btnLabel")
self.copperLabel  = self:getChildByName("honourLabel_Copy0")
self.goldImg      = self:getChildByName("goldImg")
self.againBtn	  = self:getChildByName("againBtn")
self.starList = {}
for i = 1, 3 do
table.insert( self.starList, self:getChildByName("starIcon"..i) )
end
self._itemList    = {}
for i = 1,5,1 do
table.insert(self._itemList,self:getChildByName("item"..i))
end
self._time = 0
self._count = 0
self._goodsInfos = {}
self._gridList = {}
self.totalCopper = 0
self.isAgain = false
self:getChildByName("honourLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("CopyMaterialCompletePanel.text2"))
self:getChildByName("honourLabel_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("CopyMaterialCompletePanel.text3"))
self:getChildByName("honourLabel_Copy1"):setText(globalManager.yuyanbaoManager:getYuyanbao("CopyMaterialCompletePanel.text4"))
self:getChildByName("quitBtn"):getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel1"))
self:getChildByName("tipsLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("WorldBossVipCompletePanel.text5"))
self.againBtn:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("CopyMaterialCompletePanel.text6"))
return self
end)
function CopyMaterialCompletePanel:ctor()
end
function CopyMaterialCompletePanel:setView()
self:initEvent()
self:show()
end
function CopyMaterialCompletePanel:initEvent()
local exitClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self:dispose()
end
end
local enterContinueClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
local copyTemplate = globalData.allTemplates.copyTemplateList:getCopy(globalData.allTemplates.copyTemplateList.MATERIAL)
local tempInfo = globalData.allTemplates.copyMissionTemplateList:getMission(copyTemplate.missions[1])
if(tempInfo.needLevel > globalData.selfPlayerInfo.level) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("SceneTryCopyMaterialPanel.text1"))
return
end
if(globalData.copyInfo:getCopyLeftCount(globalData.allTemplates.copyTemplateList.MATERIAL) > 0) then
self._controller.sceneModule.copyTester:enterCopy(globalData.allTemplates.copyTemplateList.MATERIAL,1)
self.isAgain = true
self:dispose()
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("SceneTryCopyMaterialPanel.text2"))
end
end
end
self.againBtn:addTouchEventListener(enterContinueClickHandler)
self.quitBtn:addTouchEventListener(exitClickHandler)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_reConnect,self.dispose,self)
end
function CopyMaterialCompletePanel:removeEvent()
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.scene_reConnect,self.dispose,self)
end
function CopyMaterialCompletePanel:show()
self._time = 10
self.timeLabel:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("WorldBossVipCompletePanel.text1"),self._time))
self._count = 0
globalManager.tickManager:addTick(self.tick,self)
self.txtV4:setText(self._info.totalExp)
local index = 1
local len = #self._info.itemList
local item = self._info.itemList
if(len > 5)then len = 5 end
--for __,item in pairs(self._info.itemList) do
for i = 1,len,1 do
local templateInfo = globalData.allTemplates.goodsTemplateList:getTemplate(item[i][1])
if(templateInfo.categoryId == globalData.allStaticTypes.categoryType.copperType)then
self.totalCopper = templateInfo.property1 * item[i][2]
elseif(item[i][3] == nil or item[i][3] == 0 or item[i][3] == globalData.allStaticTypes.careerType:getCareer(globalData.selfPlayerInfo.career)) then   --自己的职业，或者不分职业的物品筛选
local grid = GoodsInfoGrid:new()
local goodsinfo = GoodsInfo:new()
goodsinfo:setTemplateId(item[i][1])
goodsinfo.count = item[i][2]
if(item[i][4] ~= nil) then
goodsinfo:updateStrengthLevel(item[i][4])
end
if(item[i][5] ~= nil) then
goodsinfo.stage = item[i][5]
end
table.insert(self._goodsInfos,goodsinfo)
grid:setGoodsInfo(goodsinfo)
self._itemList[index]:addChild(grid)
table.insert(self._gridList,grid)
index = index + 1
end
end
self.txtV2:setText(self.totalCopper)
globalData.uiClickContainer:addItem(self,true,true)
end
function CopyMaterialCompletePanel:tick(delta,count)
self._count = self._count + 1
if(self._count >= 60) then
self._count = 0
self._time = self._time - 1
if(self._time <= 0) then
self:dispose()
else
self.timeLabel:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("WorldBossVipCompletePanel.text1"),self._time))
end
end
end
function CopyMaterialCompletePanel:hideFormClickContainer()
end
function CopyMaterialCompletePanel:dispose()
globalData.uiClickContainer:close(self)
globalManager.tickManager:removeTick(self.tick,self)
self:removeEvent()
for __,info in pairs(self._goodsInfos) do
info:dispose()
end
self._goodsInfos = nil
if(self._gridList ~= nil) then
for __,grid in pairs(self._gridList) do
grid:dispose()
end
self._gridList = nil
end
self._controller = nil
self._itemList = nil
self._info = nil
self.txtV2 = nil
self.txtV4 = nil
self.quitBtn = nil
self.timeLabel = nil
self.copperLabel = nil
self.goldImg  = nil
self.againBtn = nil
self.starList = nil
globalManager.ccCreator:release(self)
if(globalData.selfPlayerInfo.level > 54 and not self.isAgain) then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tabCopy)
if(globalData.uiPanelContainer:getCurrentPanel() ~= nil) then
globalData.uiPanelContainer:getCurrentPanel():jumpToTab(3)
end
end
end
CopyExpeditionAwardPanel = class("CopyExpeditionAwardPanel",function(self,controller,maxMission,currentMaxMission)
local self = globalManager.ccCreator:newJsonWidget("copyCompleteAwardPanel")
self._itemList = {}
self._gridList = {}
for i = 1,8,1 do
table.insert(self._itemList,self:getChildByName("item"..i))
end
self._go = self:getChildByName("accept_btn_Copy1")
self._btnLabel = self._go:getChildByName("btnLabel")
self.maxMission = maxMission
self.currentMaxMission = currentMaxMission - 1
self._controller = controller
self:getChildByName("bossNameLabel_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("CopyExpeditionAwardPanel.text1"))
self._btnLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("CopyExpeditionAwardPanel.text2"))
return self
end)
function CopyExpeditionAwardPanel:ctor()
self:updateView()
self:initEvent()
end
function CopyExpeditionAwardPanel:updateView()
local chapter   = globalData.copyInfo.chapter
if(self.maxMission >= 0 and self.maxMission <= 10 and chapter == 0)then
self.maxMission = 10
elseif(self.maxMission >= 10 and self.maxMission <= 19 and chapter == 1)then
self.maxMission = 19
elseif(self.maxMission >= 19 and self.maxMission <= 28 and chapter == 2)then
self.maxMission = 28
elseif(self.maxMission >= 28 and self.maxMission <= 36 and chapter == 3)then
self.maxMission = 37
elseif(self.maxMission >= 37 and self.maxMission <= 45 and chapter == 4)then
self.maxMission = 46
end
local awardInfo = globalData.allTemplates.copyCompleteAwardTemplateList:getInfoAward(globalData.allTemplates.copyTemplateList.EXPEDITION,self.maxMission)
local len = #awardInfo.rewardItems
for i = 1,len,1 do
if(awardInfo.rewardItems[i] ~= nil) then
local grid = BaseGrid:new()
grid:setGoodsTempInfo(globalData.allTemplates.goodsTemplateList:getTemplate(awardInfo.rewardItems[i][1]))
grid:setCount(awardInfo.rewardItems[i][2])
self._itemList[i]:addChild(grid)
table.insert(self._gridList,grid)
end
end
local canAccept = true
local missionIndex = self.currentMaxMission + 1
if(missionIndex == 10 and chapter == 1)then
canAccept = false
elseif(missionIndex == 19 and chapter == 2)then
canAccept = false
elseif(missionIndex == 28 and chapter == 3)then
canAccept = false
elseif(missionIndex == 37 and chapter == 4)then
canAccept = false
end
if(canAccept)then
if(self.currentMaxMission >= 0)then
if(self.currentMaxMission == 0 or self.currentMaxMission % 9 ~= 0)then
self._go:setTouchEnabled(false)
self._go:loadTextureNormal("btn/ui_tabBtn1_5.png",1)
end
end
else
self._go:setTouchEnabled(false)
self._go:loadTextureNormal("btn/ui_tabBtn1_5.png",1)
end
end
function CopyExpeditionAwardPanel:initEvent()
local goClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
if(self.currentMaxMission < 0)then
self._controller.sceneModule.message:sendCopyAwardGet(globalData.allTemplates.copyTemplateList.EXPEDITION,46)
else
self._controller.sceneModule.message:sendCopyAwardGet(globalData.allTemplates.copyTemplateList.EXPEDITION,self.currentMaxMission + 1)
end
self:dispose()
end
end
self._go:addTouchEventListener(goClickHandler)
end
function CopyExpeditionAwardPanel:removeEvent()
end
function CopyExpeditionAwardPanel:hideFormClickContainer()
self:dispose()
end
function CopyExpeditionAwardPanel:dispose()
globalData.uiClickContainer:close(self)
self:removeEvent()
self._itemList = nil
self._btnLabel = nil
if(self._gridList ~= nil) then
for __,grid in pairs(self._gridList) do
grid:dispose()
end
self._gridList = nil
end
self._go = nil
self.maxMission = nil
self.currentMaxMission = nil
globalManager.ccCreator:release(self)
self._controller = nil
end
CopyExpeditionCompletePanel = class("CopyExpeditionCompletePanel ", function(self,controller,missionId)
local this = CopyMaterialCompletePanel:new(controller)
this._missionId   = missionId
this._info 	 	  = globalData.copyInfo.expeditionInfo
return this
end)
function CopyExpeditionCompletePanel:setMoneyInfo()
local templateInfo = globalData.allTemplates.copyMissionTemplateList:getMission(self._missionId)
local starNum = globalData.copyInfo.expeditionInfo.starInfoList[self._missionId] or 0
for i = 1, 3 do
self.starList[i]:setVisible(true)
if(i <= starNum)then
self.starList[i]:loadTexture("icon/star1.png",1)
else
self.starList[i]:loadTexture("icon/star2.png",1)
end
end
self.txtV2:setText(templateInfo.copper)
self.txtV4:setText(templateInfo.awardExp)
end
function CopyExpeditionCompletePanel:initEvent()
local exitClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self:dispose()
end
end
local enterContinueClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
local num = globalData.copyInfo:getCopyLeftCount(globalData.allTemplates.copyTemplateList.EXPEDITION)
if(num <= 0) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("SceneTryCopyExpeditionPanel.text5"))
return
end
local copyTemp = globalData.allTemplates.copyTemplateList:getCopy(globalData.allTemplates.copyTemplateList.EXPEDITION)
local index = -1
if(copyTemp ~= nil)then
index = globalManager.commonUtils:getIndexOfTable(copyTemp.missions,self._missionId)
end
if(index > 0)then
self._controller.sceneModule.copyTester:enterCopy(globalData.allTemplates.copyTemplateList.EXPEDITION,index)
self.isAgain = true
self:dispose()
end
end
end
self.againBtn:addTouchEventListener(enterContinueClickHandler)
self.quitBtn:addTouchEventListener(exitClickHandler)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_reConnect,self.dispose,self)
end
function CopyExpeditionCompletePanel:dispose()
globalData.uiClickContainer:close(self)
globalManager.tickManager:removeTick(self.tick,self)
self:removeEvent()
for __,info in pairs(self._goodsInfos) do
info:dispose()
end
self._goodsInfos = nil
if(self._gridList ~= nil) then
for __,grid in pairs(self._gridList) do
grid:dispose()
end
self._gridList = nil
end
self._itemList = nil
self._info = nil
self.txtV2 = nil
self.txtV4 = nil
self.quitBtn = nil
self.timeLabel = nil
self.copperLabel = nil
self.goldImg  = nil
globalManager.ccCreator:release(self)
if(globalData.selfPlayerInfo.level > 45 and not self.isAgain) then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tabCopy)
if(globalData.uiPanelContainer:getCurrentPanel() ~= nil) then
globalData.uiPanelContainer:getCurrentPanel():jumpToTab(1)
end
end
end
CopyExpeditionFollowPanel = class("CopyExpeditionFollowPanel",function(self,controller)
local temp = globalManager.ccCreator:newJsonWidget("copyFollowView7")
temp._controller = controller
temp._bossName = temp:getChildByName("bossName")
temp._bossNum = temp:getChildByName("boss_num")
local timeLayer = temp:getChildByName("time_layer")
temp._timeLabel = CountDownLabel:new(nil,3,nil,globalData.allStaticTypes.colorType.COLORGREEN,30)
timeLayer:addChild(temp._timeLabel)
temp.useTimeLabel = temp:getChildByName("useTimeLabel")
temp.starList = {}
for i = 1, 3 do
table.insert(temp.starList, temp:getChildByName("starIcon"..i))
end
temp._info  = nil
temp._time  = 0
temp._count = 0
temp.star1flag = true
temp.star2flag = true
temp:getChildByName("bossName"):setText(globalManager.yuyanbaoManager:getYuyanbao("CopyMaterialCompletePanel.text5"))
temp:getChildByName("label2"):setText(globalManager.yuyanbaoManager:getYuyanbao("CopyExpeditionFollowPanel.text2"))
temp:getChildByName("label1"):setText(globalManager.yuyanbaoManager:getYuyanbao("CopyExpeditionFollowPanel.text3"))
temp:getChildByName("label1_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("CopyExpeditionFollowPanel.text4"))
return temp
end)
function CopyExpeditionFollowPanel:ctor()
self._info = globalData.copyInfo.currentCopyInfo
self:initEvent()
end
function CopyExpeditionFollowPanel:initEvent()
self._info:addEventListener(globalData.globalEventType.playerInfo_copyMonster,self.updateMonsterHandler,self)
self._info:addEventListener(globalData.globalEventType.playerInfo_copyTime,self.updateTimeHandler,self)
--self._info:addEventListener(globalData.globalEventType.playerInfo_copyExpUpdate,self.expUpdateHandler,self)
-- self._info:addEventListener(globalData.globalEventType.playerInfo_materialBoxNum,self.updateBoxNumHandler,self)
end
function CopyExpeditionFollowPanel:removeEvent()
self._info:removeEventListener(globalData.globalEventType.playerInfo_copyMonster,self.updateMonsterHandler,self)
self._info:removeEventListener(globalData.globalEventType.playerInfo_copyTime,self.updateTimeHandler,self)
--self._info:removeEventListener(globalData.globalEventType.playerInfo_copyExpUpdate,self.expUpdateHandler,self)
-- self._info:removeEventListener(globalData.globalEventType.playerInfo_materialBoxNum,self.updateBoxNumHandler,self)
end
function CopyExpeditionFollowPanel:updateMonsterHandler(evt)
self._bossNum:setText((self._info.totalMonster - self._info.leftMonster).."/"..self._info.totalMonster)
if(self._info.leftMonster <= 0) then
globalManager.tickManager:removeTick(self.timeTick,self)
self._count = 0
globalManager.tickManager:addTick(self.tick,self)
end
end
function CopyExpeditionFollowPanel:tick(delta)
self._count = self._count + 1
if(self._count > 300)then
self._controller.sceneModule.message:sendQuitCopy()
globalManager.tickManager:removeTick(self.tick,self)
end
end
function CopyExpeditionFollowPanel:updateTimeHandler(evt)
self._timeLabel:start(self._info.leftTime)
self.startTime = globalData.systemDateInfo:getSystemTime()
self._time = 0
self.star1flag = true
self.star2flag = true
globalManager.tickManager:addTick(self.timeTick,self)
end
function CopyExpeditionFollowPanel:timeTick()
local curTime = globalData.systemDateInfo:getSystemTime()
local delta = math.floor((curTime - self.startTime) / 1000)
if(delta > self._time)then
self._time = delta
if(self._time > self._info.leftTime)then
globalManager.tickManager:removeTick(self.timeTick,self)
self.starList[3]:loadTexture("icon/star2.png",1)
end
self.useTimeLabel:setText(globalData.systemDateInfo:secondsToDateString2(self._time))
if self.star1flag and self._time > 60 then
self.starList[1]:loadTexture("icon/star2.png",1)
self.star1flag = false
end
if self.star2flag and self._time > 120 then
self.starList[2]:loadTexture("icon/star2.png",1)
self.star2flag = false
end
else
return
end
end
-- function CopyExpeditionFollowPanel:updateBoxNumHandler(evt)
--     self._boxLabel:setText(tostring(self._info.itemCount))
-- end
function CopyExpeditionFollowPanel:dispose()
self:removeEvent()
globalManager.tickManager:removeTick(self.tick,self)
globalManager.tickManager:removeTick(self.timeTick,self)
self._controller = nil
self._bossName = nil
self._bossNum = nil
self.starList = nil
self.useTimeLabel = nil
self.star1flag = nil
self.star2flag = nil
self._time  = nil
if(self._timeLabel ~= nil) then
self._timeLabel:dispose()
self._timeLabel = nil
end
globalManager.ccCreator:release(self)
end
FashionViewAtrrItem = class("FashionViewAtrrItem",function(self,info,id,starNextLevel)
local temp = globalManager.ccCreator:newJsonWidget("fashionAtrrItem")
temp._attributeLabel = temp:getChildByName("AttributeLabel_Copy0")
temp._attributeValue = temp:getChildByName("valueLabel_Copy0")
temp._upIcon         = temp:getChildByName("up_icon1_Copy0")
temp._plusAttrValue  = temp:getChildByName("plus_label1_Copy0")
temp._info           = info
temp._currentId      = id
temp._starNextLevel  = starNextLevel
return temp
end)
function FashionViewAtrrItem:ctor()
self:initView()
end
function FashionViewAtrrItem:initView()
self._attributeLabel:setText(globalData.allStaticTypes.propertyType:getNameByType(self._info.propertyId))
self._attributeValue:setText(self._info.propertyValue)
if(self._starNextLevel == 0)then
self._upIcon:setVisible(false)
self._plusAttrValue:setVisible(false)
elseif(self._starNextLevel < 6)then
self._upIcon:setVisible(true)
self._plusAttrValue:setVisible(true)
local tempInfo  = globalData.allTemplates.fashionStarTemplateList:getTemplateByIdAndStar(self._currentId,self._starNextLevel)
local tempValue = 0
for i = 1,#tempInfo.attrStr do
if(tempInfo.attrStr[i].propertyId == self._info.propertyId)then
tempValue = tempInfo.attrStr[i].propertyValue - self._info.propertyValue
break
end
end
self._plusAttrValue:setText(tempValue)
else
self._upIcon:setVisible(false)
self._plusAttrValue:setVisible(false)
end
end
function FashionViewAtrrItem:dispose()
self._attributeLabel = nil
self._attributeValue = nil
self._upIcon         = nil
self._plusAttrValue  = nil
self._info = nil
self._starNextLevel  = nil
globalManager.ccCreator:release(self)
end
FashionViewItem = class("FashionViewItem",function(self,index,state,hasIdList,hasStarList,hasStarIdList)
local temp = globalManager.ccCreator:newJsonWidget("fashionViewItem")
temp.cellBg      = temp:getChildByName("equipmentIMG")
temp.cell        = BaseGrid:new()
temp.cellBg:addChild(temp.cell)
temp._equipName  = temp:getChildByName("NameLabel")
temp._figterNum  = temp:getChildByName("figterNum")
temp._stateLabel = temp:getChildByName("stateLabel")
temp._selectView = temp:getChildByName("selectView")
temp._selectView:setVisible(false)
temp._starList   = {}
for i = 1,5,1 do
table.insert(temp._starList,temp:getChildByName("level_label"..i))
temp._starList[i]:setVisible(false)
temp._starList[i]:setColor(globalData.allStaticTypes.colorType.TIPUNACT_COLOR)
end
temp._getIcon    = temp:getChildByName("getIcon")
temp:getChildByName("tipsLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("WuhunTip.text13"))
temp._popTips    = temp:getChildByName("popTips")
temp._popTips:setVisible(false)
temp._info       = nil
temp._state      = state
temp._hasIdList  = hasIdList
temp._index      = index
temp._hasStarList= hasStarList
temp._hasStarIdList = hasStarIdList
temp._actState   = false
temp._currentId  = 0
temp._starFlag   = 0
return temp
end)
function FashionViewItem:ctor()
end
function FashionViewItem:setData(info,fashionInfo)
self._info = info
if(fashionInfo.userId == globalData.selfPlayerInfo.userId)then
self:checkPopTips(info)
end
self._currentId = info.templateId
self.cell:setGoodsTempInfo(globalData.allTemplates.goodsTemplateList:getTemplate(info.iconPath))
self._equipName:setText(info.name)
local index = globalManager.commonUtils:getIndexOfTable(self._hasIdList,self._currentId)
if(index == -1)then
self._stateLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("FashionViewItem.text1"))
self._stateLabel:setColor(globalData.allStaticTypes.colorType.FALSE_COLOR)
self._actState = false
self.cell:setGray(true)
self._getIcon:setVisible(false)
else
if(self._state == self._currentId)then
self._actState = true
self.cell:setGray(false)
self._getIcon:setVisible(true)
else
self._actState = true
self.cell:setGray(false)
self._getIcon:setVisible(false)
end
self._stateLabel:setVisible(false)
for i = 1,5,1 do
self._starList[i]:setVisible(true)
end
end
local index1 = globalManager.commonUtils:getIndexOfTable(self._hasStarIdList,self._currentId)
if(index1 ~= -1)then
local starNum = self._hasStarList[self._currentId]
for i = 1,5,1 do
if(i <= starNum)then
self._starList[i]:setColor(globalData.allStaticTypes.colorType.ITEMCOLOR4)
end
end
self._starFlag = 1
end
local fightValue = self:getFight()
self._figterNum:setText(fightValue)
end
function FashionViewItem:checkPopTips(info)
local starNextLevel= 0
local hasIdList    = globalData.fashionInfo.hasIdList
local hasStarList  = globalData.fashionInfo.hasStarList
local hasStarIdList= globalData.fashionInfo.hasStarIdList
local index = globalManager.commonUtils:getIndexOfTable(hasIdList,info.templateId)
if(index == -1)then
local tempInfo = globalData.allTemplates.fashionTemplateList:getTemplateById(info.templateId)
if(globalData.goodsInfoList:getGoodsCount(tempInfo.needItem[1][1],1) >=  tempInfo.needItem[1][2])then
self._popTips:setVisible(true)
return
end
else
if(hasStarList[info.templateId] == nil or hasStarList[info.templateId] == 0)then
starNextLevel = 1
elseif(hasStarList[info.templateId] < 5)then
starNextLevel = hasStarList[info.templateId] + 1
else
starNextLevel = 6
end
local needStar = 0
if(starNextLevel <= 1)then
needStar = 1
else
needStar = starNextLevel
end
if(needStar < 6)then
local tempInfo = globalData.allTemplates.fashionStarTemplateList:getTemplateByIdAndStar(info.templateId,needStar)
if(globalData.goodsInfoList:getGoodsCount(tempInfo.amountList[1][1],1) >=  tempInfo.amountList[1][2])then
self._popTips:setVisible(true)
return
end
end
end
end
function FashionViewItem:getFight()
if(self._starFlag == 0)then
return self._info.fightValue
else
local tempFight = globalData.allTemplates.fashionStarTemplateList:getTemplateByIdAndStar(self._currentId,self._hasStarList[self._currentId]).fightValue
return tempFight
end
end
function FashionViewItem:actState()
return self._actState
end
function FashionViewItem:getIndexInfo()
return self._info,self._index
end
function FashionViewItem:setSelected(show)     --显示选中框
self._selectView:setVisible(show)
end
function FashionViewItem:dispose()
self.cellBg = nil
self._equipName = nil
self._figterNum = nil
self._index = nil
self._selectView = nil
if(self.cell ~= nil)then
self.cell:dispose()
self.cell = nil
end
self._info = nil
self._stateLabel   = nil
self._selectView   = nil
self._state        = nil
self._hasIdList    = nil
self._starList     = nil
self._getIcon      = nil
self._hasStarList  = nil
self._hasStarIdList= nil
self._popTips      = nil
globalManager.ccCreator:release(self)
end
FashionViewPanel = class("FashionViewPanel", function(self,fashionInfo,career,userId)
local temp = globalManager.ccCreator:newJsonWidget("fashionViewPanel")
temp._leftListView  = temp:getChildByName("ListView")
temp._leftListView:setItemsMargin(10)
temp._rightListView = temp:getChildByName("ListView1")
temp._rightListView:setItemsMargin(5)
temp._fightValue    = temp:getChildByName("fightLabel")
temp._closeBtn      = temp:getChildByName("close_btn")
temp._starList      = {}
for i = 1,5,1 do
table.insert(temp._starList,temp:getChildByName("level_label"..i))
temp._starList[i]:setVisible(false)
temp._starList[i]:setColor(globalData.allStaticTypes.colorType.TIPUNACT_COLOR)
end
temp._needCard      = temp:getChildByName("needCard")
temp._cardNumLabel  = temp:getChildByName("cardNumLabel")
temp._shopBtn       = temp:getChildByName("shopBtn")
temp._downBtn       = temp:getChildByName("downBtn")
temp._upBtn         = temp:getChildByName("upBtn")
temp._getBtn        = temp:getChildByName("getBtn")
temp._getBtn1       = temp:getChildByName("getBtn1")
temp._btnLabel      = temp._getBtn:getChildByName("btnlabel1")
temp._btnLabel1     = temp._getBtn1:getChildByName("btnlabel1")
temp._downBtnLabel  = temp._downBtn:getChildByName("btnlabel1")
temp._downBtn:setEnabled(false)
temp._upBtn:setEnabled(false)
temp._getBtn1:setEnabled(false)
temp._viewList      = {}
temp._itemList      = {}
temp._oldIndex      = 0
temp._flag          = 0
temp._currentId     = 0
temp._currentStar   = 0
temp.count          = 0
temp.fashionInfo    = fashionInfo
temp.career         = career
temp.userId         = userId
temp.index          = 1
temp.templateInfo   = nil
temp.selecteIndex   = 0
temp.selecteInfo    = nil
return temp
end)
function FashionViewPanel:ctor()
globalData.messageAdder:sendGetFashionInfo()
self:initEvent()
globalData.uiClickContainer:addItem(self,true)
self:updateView()
end
function FashionViewPanel:updateView()
local viewClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
self:setInfo(sender:getIndexInfo())
end
end
if(self._viewList ~= nil) then
self._leftListView:removeAllItems()
for __,view in pairs(self._viewList) do
view:dispose()
view = nil
end
end
self._viewList = {}
local playerCarrer = self.career
local templateList = globalData.allTemplates.fashionTemplateList:getInfoByCarrer(playerCarrer)
if(templateList == nil)then return end
local stateFlag    = self.fashionInfo.currentFashion
local hasIdList    = self.fashionInfo.hasIdList
local hasStarList  = self.fashionInfo.hasStarList
local hasStarIdList= self.fashionInfo.hasStarIdList
local i = 0
local list1        = {} --已经获得
local list2        = {} --没有获得
for __,info in pairs(templateList) do
i = i + 1
local view2 = FashionViewItem:new(i,stateFlag,hasIdList,hasStarList,hasStarIdList)
view2:setData(info,self.fashionInfo)
--self._leftListView:pushBackCustomItem(view2)
if(view2:actState())then
table.insert(list1,view2)
else
table.insert(list2,view2)
end
view2:addTouchEventListener(viewClickHandler)
table.insert(self._viewList,view2)
end
for __,item in pairs(list1) do
self._leftListView:pushBackCustomItem(item)
end
for __,item in pairs(list2) do
self._leftListView:pushBackCustomItem(item)
end
list1 = nil
list2 = nil
self._leftListView:refreshView()
local index = 0
for __,info in pairs(templateList) do
index = index + 1
if(self:selecteItem(info,index))then
break
end
end
if(self.selecteIndex > 0)then
self:setInfo(self.selecteInfo,self.selecteIndex)
else
self:setInfo(self._viewList[self.index]:getIndexInfo(),self.index)
end
local totalFight = 0
for __,view in pairs(self._viewList) do
if(view:actState())then totalFight = totalFight + view:getFight() end
end
self._fightValue:setStringValue(totalFight)
end
function FashionViewPanel:selecteItem(info,index)
local starNextLevel= 0
local hasIdList    = globalData.fashionInfo.hasIdList
local hasStarList  = globalData.fashionInfo.hasStarList
local hasStarIdList= globalData.fashionInfo.hasStarIdList
local index1 = globalManager.commonUtils:getIndexOfTable(hasIdList,info.templateId)
if(index1 == -1)then
local tempInfo = globalData.allTemplates.fashionTemplateList:getTemplateById(info.templateId)
if(globalData.goodsInfoList:getGoodsCount(tempInfo.needItem[1][1],1) >=  tempInfo.needItem[1][2])then
self.selecteInfo  = info
self.selecteIndex = index
return true
end
else
if(hasStarList[info.templateId] == nil or hasStarList[info.templateId] == 0)then
starNextLevel = 1
elseif(hasStarList[info.templateId] < 5)then
starNextLevel = hasStarList[info.templateId] + 1
else
starNextLevel = 6
end
local needStar = 0
if(starNextLevel <= 1)then
needStar = 1
else
needStar = starNextLevel
end
if(needStar < 6)then
local tempInfo = globalData.allTemplates.fashionStarTemplateList:getTemplateByIdAndStar(info.templateId,needStar)
if(globalData.goodsInfoList:getGoodsCount(tempInfo.amountList[1][1],1) >=  tempInfo.amountList[1][2])then
self.selecteInfo  = info
self.selecteIndex = index
return true
end
end
end
return false
end
function FashionViewPanel:initEvent()
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_closeOtherPanel,self.dispose,self)
local closeClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
self:dispose()
end
end
local get1ClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
if(self._flag == 2)then
globalData.messageAdder:sendFashionState(self._currentId,2) --卸下
elseif(self._flag == 3)then
globalData.messageAdder:sendFashionState(self._currentId,1) -- 装备
end
end
end
local getClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
local tempInfo = globalData.allTemplates.fashionTemplateList:getTemplateById(self._currentId)
if(globalData.goodsInfoList:getGoodsCount(tempInfo.needItem[1][1],1) >=  tempInfo.needItem[1][2])then
globalData.messageAdder:sendFashionActive(self._currentId)
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("FashionViewPanel.text1"))
end
end
end
local shopClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
if(#self.templateInfo.deploy > 0)then
local deploy = self.templateInfo.deploy
self:dispose()
globalManager.triggerManager:handlerList(deploy)
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("HuaXingPanel.text2"))
end
end
end
local downClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
if(self._flag == 2)then
globalData.messageAdder:sendFashionState(self._currentId,2) --卸下
elseif(self._flag == 3)then
globalData.messageAdder:sendFashionState(self._currentId,1) -- 装备
end
end
end
local upClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
local tempInfo = globalData.allTemplates.fashionStarTemplateList:getTemplateByIdAndStar(self._currentId,self._currentStar)
if(globalData.goodsInfoList:getGoodsCount(tempInfo.amountList[1][1],1) >=  tempInfo.amountList[1][2])then
globalData.messageAdder:sendFashionStarUp(self._currentId,self._currentStar)
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("FashionViewPanel.text1"))
end
end
end
self._closeBtn:addTouchEventListener(closeClickHandler)
self._getBtn:addTouchEventListener(getClickHandler)
self._shopBtn:addTouchEventListener(shopClickHandler)
self._getBtn1:addTouchEventListener(get1ClickHandler)
self._downBtn:addTouchEventListener(downClickHandler)
self._upBtn:addTouchEventListener(upClickHandler)
globalData.fashionInfo:addEventListener(globalData.globalEventType.update_FashionInfo,self.updateView,self)
end
function FashionViewPanel:removeEvent()
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.scene_closeOtherPanel,self.dispose,self)
globalData.fashionInfo:removeEventListener(globalData.globalEventType.update_FashionInfo,self.updateView,self)
end
function FashionViewPanel:setInfo(info,index)
if (self._oldIndex ~= 0 and self._oldIndex ~= index) then
self._viewList[self._oldIndex]:setSelected(false)     --关闭以前选中框
end
self._viewList[index]:setSelected(true)                   --开启当前显示框
self._oldIndex = index
self.index     = index
self.templateInfo = info
self._currentId = info.templateId
self._rightListView:removeAllItems()
if(self._itemList ~= nil) then
for __,view in pairs(self._itemList) do
view:dispose()
end
end
self._itemList = {}
local hasStarList  = self.fashionInfo.hasStarList
local hasStarIdList= self.fashionInfo.hasStarIdList
local hasIdList    = self.fashionInfo.hasIdList
local starNextLevel= 0
local index = globalManager.commonUtils:getIndexOfTable(hasIdList,self._currentId)
if(index ~= -1)then
if(hasStarList[self._currentId] == nil or hasStarList[self._currentId] == 0)then
starNextLevel = 1
elseif(hasStarList[self._currentId] < 5)then
starNextLevel = hasStarList[self._currentId] + 1
else
starNextLevel = 6
end
for i = 1,5,1 do
self._starList[i]:setVisible(true)
if(i <= starNextLevel - 1)then
self._starList[i]:setColor(globalData.allStaticTypes.colorType.ITEMCOLOR4)
else
self._starList[i]:setColor(globalData.allStaticTypes.colorType.TIPUNACT_COLOR)
end
end
else
for i = 1,5,1 do
self._starList[i]:setVisible(false)
end
end
local needStar = 0
if(starNextLevel <= 1)then
for i = 1,#info.attrStr do
local view4 = FashionViewAtrrItem:new(info.attrStr[i],self._currentId,starNextLevel)
self._rightListView:pushBackCustomItem(view4)
table.insert(self._itemList,view4)
end
needStar = 1
else
local tempInfo = globalData.allTemplates.fashionStarTemplateList:getTemplateByIdAndStar(self._currentId,starNextLevel - 1)
for i = 1,#tempInfo.attrStr do
local view4 = FashionViewAtrrItem:new(tempInfo.attrStr[i],self._currentId,starNextLevel)
self._rightListView:pushBackCustomItem(view4)
table.insert(self._itemList,view4)
end
needStar = starNextLevel
end
if(needStar < 6)then
self._needCard:setVisible(true)
self._cardNumLabel:setVisible(true)
self._shopBtn:setEnabled(true)
if(index ~= -1)then
local tempInfo = globalData.allTemplates.fashionStarTemplateList:getTemplateByIdAndStar(self._currentId,needStar)
local goodsTemplateInfo = globalData.allTemplates.goodsTemplateList:getTemplate(tempInfo.amountList[1][1])
self._needCard:setText(goodsTemplateInfo.name)
self._cardNumLabel:setText("(".. globalData.goodsInfoList:getGoodsCount(tempInfo.amountList[1][1],1).. "/" .. tempInfo.amountList[1][2] ..")")
if(globalData.goodsInfoList:getGoodsCount(tempInfo.amountList[1][1],1) < tempInfo.amountList[1][2])then
self._cardNumLabel:setColor(globalData.allStaticTypes.colorType.COLORRED)
else
self._cardNumLabel:setColor(globalData.allStaticTypes.colorType.TIPACT_COLOR)
end
else
local tempInfo = globalData.allTemplates.fashionTemplateList:getTemplateById(self._currentId)
local goodsTemplateInfo = globalData.allTemplates.goodsTemplateList:getTemplate(tempInfo.needItem[1][1])
self._needCard:setText(goodsTemplateInfo.name)
self._cardNumLabel:setText("(".. globalData.goodsInfoList:getGoodsCount(tempInfo.needItem[1][1],1).. "/" .. tempInfo.needItem[1][2] ..")")
if(globalData.goodsInfoList:getGoodsCount(tempInfo.needItem[1][1],1) < tempInfo.needItem[1][2])then
self._cardNumLabel:setColor(globalData.allStaticTypes.colorType.COLORRED)
else
self._cardNumLabel:setColor(globalData.allStaticTypes.colorType.TIPACT_COLOR)
end
end
else
self._needCard:setVisible(false)
self._cardNumLabel:setVisible(false)
self._shopBtn:setEnabled(false)
end
self._currentStar  = needStar
local stateFlag    = self.fashionInfo.currentFashion
if(self.userId == globalData.selfPlayerInfo.userId)then
self._shopBtn:setVisible(true)
if(index == -1)then
self._getBtn:setEnabled(true)
self._btnLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("FabaoPanel.text3"))
self._downBtn:setEnabled(false)
self._upBtn:setEnabled(false)
self._getBtn1:setEnabled(false)
else
if(starNextLevel < 6)then
if(self._currentId == stateFlag)then
self._getBtn:setEnabled(false)
self._downBtn:setEnabled(true)
self._upBtn:setEnabled(true)
self._getBtn1:setEnabled(false)
self._downBtnLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("FashionViewPanel.text4"))
self._flag = 2
else
self._getBtn:setEnabled(false)
self._downBtn:setEnabled(true)
self._upBtn:setEnabled(true)
self._getBtn1:setEnabled(false)
self._downBtnLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("FashionViewPanel.text5"))
self._flag = 3
end
else
if(self._currentId == stateFlag)then
self._getBtn1:setEnabled(true)
self._getBtn:setEnabled(false)
self._btnLabel1:setText(globalManager.yuyanbaoManager:getYuyanbao("FashionViewPanel.text4"))
self._downBtn:setEnabled(false)
self._upBtn:setEnabled(false)
self._flag = 2
else
self._getBtn1:setEnabled(true)
self._getBtn:setEnabled(false)
self._btnLabel1:setText(globalManager.yuyanbaoManager:getYuyanbao("FashionViewPanel.text5"))
self._downBtn:setEnabled(false)
self._upBtn:setEnabled(false)
self._flag = 3
end
end
end
else
self._getBtn:setEnabled(false)
self._getBtn1:setEnabled(false)
self._downBtn:setEnabled(false)
self._upBtn:setEnabled(false)
self._needCard:setVisible(false)
self._cardNumLabel:setVisible(false)
self._shopBtn:setVisible(false)
end
end
function FashionViewPanel:hideFormClickContainer()
self:dispose()
end
function FashionViewPanel:dispose()
self:removeEvent()
self._oldIndex      = nil
self._fightValue    = nil
self._getBtn        = nil
self._rightListView:removeAllItems()
self._rightListView = nil
self._closeBtn      = nil
if(self._itemList ~= nil) then
for __,view in pairs(self._itemList) do
view:dispose()
end
self._itemList = nil
end
self._leftListView:removeAllItems()
self._leftListView = nil
if(self._viewList ~= nil) then
for __,view in pairs(self._viewList) do
view:dispose()
end
self._viewList = nil
end
self._needCard     = nil
self._cardNumLabel = nil
self._shopBtn      = nil
self._upBtn        = nil
self._getBtn1      = nil
self._btnLabel     = nil
self._btnLabel1    = nil
self._downBtnLabel = nil
self._currentStar  = nil
self._starList     = nil
self.templateInfo  = nil
self.selecteInfo   = nil
globalData.uiClickContainer:close(self)
globalManager.ccCreator:release(self)
end
SceneRelivePanel = class("SceneRelivePanel",function(self,controller)
local sr = globalManager.ccCreator:newJsonWidget("relivePanel")
sr._controller = controller
--	sr.name_field  = nil
sr.sec_field = CountDownLabel:new(sr:getChildByName("sec_field"),1,nil,nil,0)
sr.reliveBtn1  = sr:getChildByName("reliveBtn1")--复活点复活
sr.reliveBtn2  = sr:getChildByName("reliveBtn2")--原地
sr.txtRelive1   = sr.reliveBtn1:getChildByName("btnLabel")
sr.txtRelive2   = sr.reliveBtn2:getChildByName("btnLabel")
sr.btn1 = sr:getChildByName("btn1")
sr.btn2 = sr:getChildByName("btn2")
sr.btn3 = sr:getChildByName("btn3")
sr.index = 2
sr._btnPos1x,sr._btnPos1y = sr.reliveBtn1:getPosition()
sr._btnPos2x,sr._btnPos2y = sr.reliveBtn2:getPosition()
sr:setOpacity(60)
sr.count = 0
sr.time  = 0
sr.effect1 = nil
sr.effect2 = nil
sr.effect3 = nil
sr:getChildByName("LabelBMFont_3968"):setText(globalManager.yuyanbaoManager:getYuyanbao("SceneRelivePanel.text7"))
sr:getChildByName("Label_774355"):setText(globalManager.yuyanbaoManager:getYuyanbao("SceneRelivePanel.text8"))
sr:getChildByName("Label_3963"):setText(globalManager.yuyanbaoManager:getYuyanbao("SceneRelivePanel.text9"))
return sr
end)
function SceneRelivePanel:ctor()
local btn1ClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
--复活点复活
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
-- self:hide()
self._controller.sceneModule.message:sendRelive(1)
end
end
local function confirm()
-- self:hide()
self._controller.sceneModule.message:sendRelive(3)
end
local btn2ClickHandler = function(sender,eventType)
--原地
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
--判断钱够不够
if(globalData.selfPlayerInfo.moneyInfo.gold < 10)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel11"))
return
else
Alert:new():show(2,globalManager.yuyanbaoManager:getYuyanbao("SceneRelivePanel.text2"),globalManager.noAlertUtils.RELIVE,0,self,confirm)
end
end
end
local b1ClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
self:btnTrigger(self.index - 1)
end
end
local b2ClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
self:btnTrigger(self.index)
end
end
local b3ClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
self:btnTrigger(self.index + 1)
end
end
self.reliveBtn1:addTouchEventListener(btn1ClickHandler)
self.reliveBtn2:addTouchEventListener(btn2ClickHandler)
self.btn1:addTouchEventListener(b1ClickHandler)
self.btn2:addTouchEventListener(b2ClickHandler)
self.btn3:addTouchEventListener(b3ClickHandler)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_closeOtherPanel,self.hide,self)
end
function SceneRelivePanel:tick(delta,tickCount)
self.count = self.count + 1
if(self.count >= 60) then
self.count = 0
self.time = self.time - 1
if(self.time <= 0) then
self.txtRelive1:setText(globalManager.yuyanbaoManager:getYuyanbao("SceneRelivePanel.text3"))
self.reliveBtn1:setTouchEnabled(true)
self.reliveBtn1:loadTextureNormal("btn/ui_tabBtn1_3.png",1)
globalManager.tickManager:removeTick(self.tick,self)
else
self.txtRelive1:setText(globalManager.yuyanbaoManager:getYuyanbao("SceneRelivePanel.text3").." "..self.time)
end
end
end
function SceneRelivePanel:show()
local function endTime()
self:hide()
self._controller.sceneModule.message:sendRelive(1)
end
self.sec_field:start(30, endTime)
if(self:getParent() == nil)then
globalData.uiClickContainer:addItem(self,true,true)
end
--	if(self.name_field ~= nil) then
--		self.name_field:dispose()
--	end
self.txtRelive2:setText(globalManager.yuyanbaoManager:getYuyanbao("SceneRelivePanel.text5"))
self.index = 2
if(globalData.copyInfo.currentCopyId > 0)then
if(self.effect1 ~= nil)then
self.effect1:dispose()
self.effect1 = nil
end
if(self.effect2 ~= nil)then
self.effect2:dispose()
self.effect2 = nil
end
if(self.effect3 ~= nil)then
self.effect3:dispose()
self.effect3 = nil
end
else
if(self.effect1 == nil)then
self.effect1 = globalManager.effectCreator:create(36)
--			self.effect1:move(80,-75)
self.effect1:move2(self.btn1,80,-75)
self.btn1:addNode(self.effect1)
self.effect1:play()
end
if(self.effect2 == nil)then
self.effect2 = globalManager.effectCreator:create(36)
--			self.effect2:move(80,-75)
self.effect2:move2(self.btn2,80,-75)
self.btn2:addNode(self.effect2)
self.effect2:play()
end
if(self.effect3 == nil)then
self.effect3 = globalManager.effectCreator:create(36)
--			self.effect3:move(80,-75)
self.effect3:move2(self.btn3,80,-75)
self.btn3:addNode(self.effect3)
self.effect3:play()
end
end
self:setBtn(self.btn1,self.index - 1)
self:setBtn(self.btn2,self.index)
self:setBtn(self.btn3,self.index + 1)
--	local tipStr = "你被杀死了!"
--	if(globalData.allTemplates.copyTemplateList:showKillerName(globalData.copyInfo.currentCopyId))then
--		if(globalData.killSelfName ~= nil)then
--			if(globalData.killSelfType == globalData.allStaticTypes.sceneObjType.player) then
--				tipStr = "你被["..globalData.allStaticTypes.colorType.TIPTITLE_COLOR_STR.."]["..globalData.killSelfServer.."服]"..globalData.killSelfName.."[-]杀死了!"
--			elseif(globalData.killSelfType == globalData.allStaticTypes.sceneObjType.monster) then
--				tipStr = "你被"..globalData.killSelfName.."杀死了!"
--			end
--		end
--	end
--	self.name_field = globalManager.ccCreator:newRichLabel2(tipStr,380)
--	self.name_field:setScale(1.2)
--	self.name_field:setPosition(globalManager.ccCreator:newPoint(309 - self.name_field:getTextWidth()*0.5, 155))
--	self:addChild(self.name_field)
if(globalData.copyInfo.currentCopyId > -1 and not globalData.allTemplates.copyTemplateList:yuandiRelivePanel(globalData.copyInfo.currentCopyId))then
self.reliveBtn2:setEnabled(false)
self.reliveBtn1:setPosition(309,self._btnPos1y)
else
self.reliveBtn2:setEnabled(true)
self.reliveBtn1:setPosition(self._btnPos1x,self._btnPos1y)
self.reliveBtn2:setPosition(self._btnPos2x,self._btnPos2y)
end
self.reliveBtn1:setTouchEnabled(false)
self.reliveBtn1:loadTextureNormal("btn/ui_tabBtn1_5.png",1)
self.txtRelive1:setText(globalManager.yuyanbaoManager:getYuyanbao("SceneRelivePanel.text3") .. " 5")
self.count = 0
self.time = 5
globalManager.tickManager:addTick(self.tick,self)
end
function SceneRelivePanel:setBtn(btn,index)
if(index == 1) then
btn:loadTextureNormal("icon/mainmenu_btn3.png",1)
elseif(index == 2) then
btn:loadTextureNormal("icon/mainmenu_btn2.png",1)
elseif(index == 3) then
btn:loadTextureNormal("icon/mainmenu_btn5.png",1)
end
end
function SceneRelivePanel:btnTrigger(index)
if(globalData.copyInfo.currentCopyId > 0) then return end
local openXianQi = function()
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab4)
end
local openPartner = function()
globalData.uiPanelContainer:initTabs({globalData.allStaticTypes.panelTabType.partner})
end
local openLianQi = function()
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.furnace)
end
if(index == 1) then
if(globalData.selfPlayerInfo.level >= globalData.newModuleLevelConfig.riderLevel) then
globalData.selfPlayerInfo.flyCallback = openXianQi
end
elseif(index == 2) then
if(globalData.selfPlayerInfo.level >= globalData.newModuleLevelConfig.riderLevel) then
globalData.selfPlayerInfo.flyCallback = openPartner
end
elseif(index == 3) then
if(globalData.selfPlayerInfo.level >= globalData.newModuleLevelConfig.furnaceLevel) then
globalData.selfPlayerInfo.flyCallback = openLianQi
end
end
self._controller.sceneModule.message:sendRelive(1)
end
function SceneRelivePanel:hideFormClickContainer()
end
function SceneRelivePanel:hide()
--如果是守护副本复活，则自动挂机
if(globalData.allTemplates.copyTemplateList:isReliveHangup(globalData.copyInfo.currentCopyId)) then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.trigger_hangUp,globalManager.gameDispatcher,true))
end
globalManager.tickManager:removeTick(self.tick,self)
if(self.sec_field ~= nil) then
self.sec_field:stop()
end
if(self.name_field ~= nil) then
self.name_field:dispose()
self.name_field = nil
end
if(self.effect1 ~= nil)then
self.effect1:dispose()
self.effect1 = nil
end
if(self.effect2 ~= nil)then
self.effect2:dispose()
self.effect2 = nil
end
if(self.effect3 ~= nil)then
self.effect3:dispose()
self.effect3 = nil
end
globalData.uiClickContainer:close(self)
if(self:getParent() ~= nil) then
self:removeFromParent(false)
end
end
FindTreasureItem = class("FindTreasureItem",function(self,controller,index)
local temp = globalManager.ccCreator:newJsonWidget("findTreasureItem")
temp._backGroundImg = temp:getChildByName("backGroundImg")
temp._backGroundImg:setVisible(false)
temp._goodsImg      = temp:getChildByName("goodsImg")
temp._goodsImg:setVisible(false)
temp._overImg       = temp:getChildByName("overImg")
temp._overImgPath   = ""
temp._character     = nil
temp._boxCharacter  = nil
temp._index = index
temp._state = 0
temp._openCardNum = 0
temp.hard  = 0
temp.layer = 0
temp._controller = controller
return temp
end)
function FindTreasureItem:ctor()
self._overImgPath = globalManager.pathManager:getUISource("outPic/TreasureCard2.png")
globalManager.sourceCacheManager:setImage(self._overImg,self._overImgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self:initEvent()
self:updateItem()
self:updateState()
end
function FindTreasureItem:initEvent()
local function fanpai()
self:showOpenCard()
globalData.messageAdder:findTreasureOpenCard(self._index)
end
local function bufanpai()
if(6 - globalData.findTreasureInfo.doneNum > globalData.findTreasureInfo.remainTimes) then
return
end
globalData.messageAdder:findTreasureNext()
end
local viewClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
if(self._state == 2)then
self._controller.sceneModule.copyTester:enterCopy(globalData.allTemplates.copyTemplateList.TREASURE,self._index)
elseif(self._state == 1)then
self:showOpenCard()
globalData.messageAdder:findTreasureOpenCard(self._index)
elseif(self._state == 0)then
if(globalData.findTreasureInfo.layer <= 10) then
if(globalData.findTreasureInfo.remainTimes <= 0) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("FindTreasureItem.text1"))
elseif(globalData.selfPlayerInfo.moneyInfo.gold < 10) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel11"))
else
local content = string.format(globalManager.yuyanbaoManager:getYuyanbao("FindTreasureItem.text3"),globalData.allStaticTypes.colorType.TIPTITLE_COLOR_STR,globalData.allStaticTypes.colorType.TRUE_COLOR_STR,tostring(globalData.findTreasureInfo.remainTimes))
Alert:new():show(2,content,globalManager.noAlertUtils.FIND_TREASURE,0,self,fanpai)
end
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("FindTreasureItem.text2"))
end
end
end
end
self:addTouchEventListener(viewClickHandler)
globalData.findTreasureInfo:addEventListener(globalData.globalEventType.findTreasureInfo_update,self.updateItem,self)
globalData.findTreasureInfo:addEventListener(globalData.globalEventType.findTreasureOpenCard_update,self.updateState,self)
end
function FindTreasureItem:removeEvent()
globalData.findTreasureInfo:removeEventListener(globalData.globalEventType.findTreasureInfo_update,self.updateItem,self)
globalData.findTreasureInfo:removeEventListener(globalData.globalEventType.findTreasureOpenCard_update,self.updateState,self)
end
function FindTreasureItem:updateItem()
local info = globalData.findTreasureInfo.treasureInfoList[self._index]
if(info ~= nil)then
self:showCharacter(info)
self._goodsImg:setVisible(true)
-- else
-- 	self._goodsImg:setVisible(false)
end
end
function FindTreasureItem:showCharacter(info)
if(info.isDone == 0)then --没打
local openCardList = globalData.findTreasureInfo.openCardList
local index = globalManager.commonUtils:getIndexOfTable(openCardList,self._index)
if(index == -1)then return end
if(info.mapType == 1)then -- 怪物
self:hideCharacter()
local boxCharacterInfo = CharacterInfo:new(globalData.allStaticTypes.sourceStaticType.collect)
local monsterTemplate  = globalData.allTemplates.monsterTemplateList:getMonster(tonumber(info.icon))
local collectTemplate  = globalData.allTemplates.collectTemplateList:getCollect(tonumber(monsterTemplate:getPicPath()))
boxCharacterInfo:setStyleBin(1,collectTemplate.picPath)
boxCharacterInfo:setDefaultAnima(globalData.allStaticTypes.animaInfoList.collectStand)
self._boxCharacter = BaseCharacter:new(boxCharacterInfo)
self._boxCharacter:show(globalData.allStaticTypes.directType.bottom)
self._boxCharacter:setPosition(75,75)
self:addNode(self._boxCharacter)
self._goodsImg:setVisible(false)
elseif(info.mapType == 2)then -- 宝箱
self:hideCharacter()
local characterInfo = CharacterInfo:new(globalData.allStaticTypes.sourceStaticType.monster)
local monsterTemplate = globalData.allTemplates.monsterTemplateList:getMonster(tonumber(info.icon))
characterInfo:setStyleBin(1,monsterTemplate:getPicPath())
characterInfo:setDefaultAnima(globalData.allStaticTypes.animaInfoList.monsterStand)
self._character = BaseCharacter:new(characterInfo)
self._character:show(globalData.allStaticTypes.directType.bottom)
self._character:setPosition(75,33)
self._character:setScale(0.5)
self:addNode(self._character)
self._goodsImg:setVisible(false)
end
else --打完
self:hideCharacter()
self._goodsImg:loadTexture("flag/ui_jiangWord.png",1)
self._goodsImg:setPosition(72,51)
self._goodsImg:setVisible(true)
end
end
function FindTreasureItem:updateState()
self.hard  = globalData.findTreasureInfo.hard
self.layer = globalData.findTreasureInfo.layer
self._openCardNum = globalData.findTreasureInfo.openCardNum
local openCardList = globalData.findTreasureInfo.openCardList
local index = globalManager.commonUtils:getIndexOfTable(openCardList,self._index)
if(index == -1)then
self:hideCharacter()
self._overImg:setVisible(true)
self:setTouchEnabled(true)
self._state = 1
else
local info = globalData.findTreasureInfo.treasureInfoList[self._index]
if(info ~= nil) then
self:showCharacter(info)
else
self._goodsImg:setVisible(false)
end
self._overImg:setVisible(false)
self._state = 0
self:setTouchEnabled(true)
end
if(index ~= -1)then
if(globalData.findTreasureInfo.treasureInfoList[self._index] ~= nil and globalData.findTreasureInfo.treasureInfoList[self._index].isDone == 0)then
self:setTouchEnabled(true)
self._state = 2
else
self:setTouchEnabled(false)
end
end
if(self._openCardNum <= 0)then
if(index == -1)then
self._state = 0
end
end
end
function FindTreasureItem:hideCharacter()
if(self._boxCharacter ~= nil)then
self._boxCharacter:dispose()
self._boxCharacter = nil
end
if(self._character ~= nil)then
self._character:dispose()
self._character = nil
end
end
function FindTreasureItem:showOpenCard()
local brokenEffect = globalManager.effectCreator:create(103)
brokenEffect:play()
self:addNode(brokenEffect,3)
brokenEffect:move2(self,75,-52)
self._overImg:setVisible(false)
end
function FindTreasureItem:getPosition()
return self._index
end
function FindTreasureItem:dispose()
--清除副本数据
self:removeEvent()
if(self._character ~= nil)then
self._character:dispose()
self._character = nil
end
if(self._boxCharacter ~= nil)then
self._boxCharacter:dispose()
self._boxCharacter = nil
end
globalManager.sourceCacheManager:removeQuote(self._overImgPath)
self._overImgPath = nil
self._overImg  = nil
self._goodsImg = nil
self._backGroundImg = nil
globalManager.ccCreator:release(self)
self._controller = nil
end
FindTreasurePanel = class("FindTreasurePanel",function(self,controller)
local temp = BasePanel:new()
temp.__basePanelDispose = temp.dispose
temp._widget = globalManager.ccCreator:newJsonWidget("findTreasurePanel")
temp._widget:getChildByName("copyTitleLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("FindTreasurePanel.text4"))
temp._widget:getChildByName("txtLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("FindTreasurePanel.text14"))
temp._widget:getChildByName("titleLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("FindTreasurePanel.text15"))
temp._widget:getChildByName("changeTxt"):setText(globalManager.yuyanbaoManager:getYuyanbao("FindTreasurePanel.text16"))
temp._widget:getChildByName("remainTxt"):setText(globalManager.yuyanbaoManager:getYuyanbao("FindTreasurePanel.text17"))
temp._widget:getChildByName("changeLabel"):setText("10"..globalManager.yuyanbaoManager:getYuyanbao("SceneTryCopyLYPanel.text7"))
temp._widget:getChildByName("remainLabel"):setText("6"..globalManager.yuyanbaoManager:getYuyanbao("FiveEquipTip.text14"))
temp._widget:getChildByName("nextBtn"):getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("FindTreasurePanel.text18"))
temp._backGround       = temp._widget:getChildByName("subImg1")
temp._backGroundPath   = ""
temp._copyTitleLabel   = temp._widget:getChildByName("copyTitleLabel")
temp._ballNum          = temp._widget:getChildByName("ballNum")
temp._changeLabel      = temp._widget:getChildByName("changeLabel")
temp._remainLabel      = temp._widget:getChildByName("remainLabel")
temp._titleLabel       = temp._widget:getChildByName("titleLabel")
temp._nextBtn          = temp._widget:getChildByName("nextBtn")
temp._saodandBtn 	   = temp._widget:getChildByName("saodangBtn")
temp._infoLabel        = temp._widget:getChildByName("infoLabel1")
temp._gridList         = {}
for i = 1,6,1 do
table.insert(temp._gridList,temp._widget:getChildByName("gridItem"..i))
end
temp:addChild(temp._widget)
temp._viewList         = {}
temp.maxLayer          = 10
temp.hard  = 0
temp.layer = 0
temp._itemList = {}
temp._controller = controller
temp.findTreasureSDAwardPanel = nil
return temp
end)
function FindTreasurePanel:ctor()
self._backGroundPath = globalManager.pathManager:getUISource("outPic/TreasureImg.png")
globalManager.sourceCacheManager:setImage(self._backGround,self._backGroundPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self._infoLabel:setText(globalManager.descriptManager:getDescript("10025"))
self:initEvent()
self:updateView()
self:updateCard()
self:inintView()
end
function FindTreasurePanel:initEvent()
local function next()
globalData.messageAdder:findTreasureNext()
end
local function saodang()
local openCardList = globalData.findTreasureInfo.openCardList
local infoList = globalData.findTreasureInfo.treasureInfoList
local boxNum = 0
for _,v in pairs(openCardList) do
if(infoList[v] ~= nil and infoList[v].isDone == 0) then
boxNum = boxNum + 1
end
end
if(globalData.selfPlayerInfo.moneyInfo.gold < boxNum * 2) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel11"))
return
end
globalData.messageAdder:findTreasureSaoDang()
end
local clickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
if(globalData.findTreasureInfo.openCardNum > 0) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("FindTreasurePanel.text1"))
return
end
if(6 - globalData.findTreasureInfo.doneNum > globalData.findTreasureInfo.remainTimes) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("FindTreasurePanel.text2"))
return
end
if(globalData.findTreasureInfo.remainTimes <= 0) then
globalData.messageAdder:findTreasureNext()
else
local content = string.format(globalManager.yuyanbaoManager:getYuyanbao("FindTreasurePanel.text19"),globalData.allStaticTypes.colorType.TRUE_COLOR_STR,globalData.allStaticTypes.colorType.TRUE_COLOR_STR)
Alert:new():show(2,content,nil,0,self,next)
end
end
end
local saodangHandler = function(dender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
local openCardList = globalData.findTreasureInfo.openCardList
local infoList = globalData.findTreasureInfo.treasureInfoList
local boxNum = 0
for _,v in pairs(openCardList) do
if(infoList[v] ~= nil and infoList[v].isDone == 0) then
boxNum = boxNum + 1
end
end
if(boxNum == 0)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("FindTreasurePanel.text20"))
return
end
local content = string.format(globalManager.yuyanbaoManager:getYuyanbao("FindTreasurePanel.text21"), boxNum * 2)
Alert:new():show(2,content,globalManager.noAlertUtils.FIND_TREASURE_SD,0,self,saodang)
end
end
globalData.findTreasureInfo:addEventListener(globalData.globalEventType.findTreasureInfo_update,self.updateView,self)
globalData.findTreasureInfo:addEventListener(globalData.globalEventType.findTreasureOpenCard_update,self.updateCard,self)
globalData.findTreasureInfo:addEventListener(globalData.globalEventType.findTreasureSD_award,self.saodangAwardUpdate,self)
self._nextBtn:addTouchEventListener(clickHandler)
self._saodandBtn:addTouchEventListener(saodangHandler)
end
function FindTreasurePanel:removeEvent()
globalData.findTreasureInfo:removeEventListener(globalData.globalEventType.findTreasureInfo_update,self.updateView,self)
globalData.findTreasureInfo:removeEventListener(globalData.globalEventType.findTreasureOpenCard_update,self.updateCard,self)
globalData.findTreasureInfo:removeEventListener(globalData.globalEventType.findTreasureSD_award,self.saodangAwardUpdate,self)
end
function FindTreasurePanel:inintView()
for i = 1,4,1 do
for j = 1,4,1 do
local view = FindTreasureItem:new(self._controller,(i - 1)*4 + j)
self:addChild(view,9)
view:setPosition(32 + (j - 1) * 153,23 + (i - 1) * 118)
table.insert(self._viewList,view)
end
end
local copyFindTreasureInfo = globalData.allTemplates.copyTemplateList:getCopy(globalData.allTemplates.copyTemplateList.TREASURE)
local currentCopyAward = {}
currentCopyAward = globalManager.messageUtils:changeStrToIntList(copyFindTreasureInfo.copyAward[self.hard])
local len = #currentCopyAward
if(len > 6)then len = 6 end
if(len > 0)then
for i = 1,len,1 do
local grid = BaseGrid:new()
grid:setGoodsTempInfo(globalData.allTemplates.goodsTemplateList:getTemplate(currentCopyAward[i][1]))
grid:setCount(currentCopyAward[i][2])
self._gridList[i]:addChild(grid)
table.insert(self._itemList,grid)
end
end
end
function FindTreasurePanel:updateView()
local remainTimes = 6
local doneNum = 0
local len = #globalData.findTreasureInfo.openCardList
for i = 1,len,1 do
local index = globalData.findTreasureInfo.openCardList[i]
if(globalData.findTreasureInfo.treasureInfoList[index] ~= nil)then
remainTimes = remainTimes - 1
if(globalData.findTreasureInfo.treasureInfoList[index].isDone == 1) then
doneNum = doneNum + 1
end
end
end
self._remainLabel:setText(remainTimes .. globalManager.yuyanbaoManager:getYuyanbao("FiveEquipTip.text14"))
globalData.findTreasureInfo.remainTimes = remainTimes
globalData.findTreasureInfo.doneNum = doneNum
end
function FindTreasurePanel:saodangAwardUpdate(evt)
local infoList = evt.data
if(self.findTreasureSDAwardPanel == nil) then
self.findTreasureSDAwardPanel = FindTreasureSDAwardPanel:new(self,infoList)
globalData.uiClickContainer:addItem(self.findTreasureSDAwardPanel,true,true)
end
end
function FindTreasurePanel:awardViewClose()
if(self.findTreasureSDAwardPanel ~= nil) then
globalData.uiClickContainer:close(self.findTreasureSDAwardPanel)
self.findTreasureSDAwardPanel:dispose()
self.findTreasureSDAwardPanel = nil
end
end
function FindTreasurePanel:updateCard()
self.hard  = globalData.findTreasureInfo.hard
self.layer = globalData.findTreasureInfo.layer
local openCardNum = globalData.findTreasureInfo.openCardNum
if(self.hard == 1)then
self._copyTitleLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("FindTreasurePanel.text4"))
self._titleLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("FindTreasurePanel.text5"))
elseif(self.hard == 2)then
self._copyTitleLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("FindTreasurePanel.text6"))
self._titleLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("FindTreasurePanel.text7"))
elseif(self.hard == 3)then
self._copyTitleLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("FindTreasurePanel.text8"))
self._titleLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("FindTreasurePanel.text9"))
elseif(self.hard == 4)then
self._copyTitleLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("FindTreasurePanel.text10"))
self._titleLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("FindTreasurePanel.text11"))
end
self._ballNum:setText(self.layer .. "/" .. self.maxLayer)
if(openCardNum <= 0) then
self._changeLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("FindTreasurePanel.text12"))
self._changeLabel:setColor(globalData.allStaticTypes.colorType.TRUE_COLOR);
else
self._changeLabel:setText(openCardNum .. globalManager.yuyanbaoManager:getYuyanbao("SceneTryCopyLYPanel.text7"))
self._changeLabel:setColor(globalData.allStaticTypes.colorType.TIPACT_COLOR);
end
if(self.layer >= self.maxLayer) then
self._nextBtn:setEnabled(false)
else
self._nextBtn:setEnabled(true)
end
self:updateView()
end
function FindTreasurePanel:clearViews()
local len = table.getn(self._viewList)
for i = 1,len,1 do
self._viewList[i]:dispose()
end
self._viewList = {}
end
function FindTreasurePanel:dispose()
--清除副本数据
self:awardViewClose()
self:removeEvent()
self:clearViews()
globalManager.sourceCacheManager:removeQuote(self._backGroundPath)
self._backgroundPath   = nil
self._backGround       = nil
self._copyTitleLabel   = nil
self._ballNum          = nil
self._changeLabel      = nil
self._remainLabel      = nil
self._gridList         = nil
self._nextBtn          = nil
self._infoLabel        = nil
self._saodandBtn	   = nil
if(self._widget ~= nil)then
globalManager.ccCreator:release(self._widget)
self._widget = nil
end
for __,item in pairs(self._itemList) do
item:dispose()
end
self._itemList = nil
self._controller = nil
self:__basePanelDispose()
self.__basePanelDispose = nil
end
FindTreasureFollowPanel = class("FindTreasureFollowPanel",function(self,controller,type)
local temp = globalManager.ccCreator:newJsonWidget("copyFollowView2")
temp._controller = controller
temp._infoPanel = temp:getChildByName("info_panel")
temp._monsterLabel = temp._infoPanel:getChildByName("monster_label")
temp._typeLabel = temp._infoPanel:getChildByName("Label_31649_Copy3")
temp._type = type
local timeLayer = temp._infoPanel:getChildByName("time_layer")
temp._timeLabel = CountDownLabel:new(nil,3,nil,globalData.allStaticTypes.colorType.COLORGREEN,0)
timeLayer:addChild(temp._timeLabel)
temp._info = nil
temp.count = 0
temp._infoPanel:getChildByName("Label_31649_Copy3"):setText(globalManager.yuyanbaoManager:getYuyanbao("FindTreasureFollowPanel.text1"))
temp._infoPanel:getChildByName("Label_31649_Copy1"):setText(globalManager.yuyanbaoManager:getYuyanbao("FindTreasureFollowPanel.text2"))
return temp
end)
function FindTreasureFollowPanel:ctor()
if(self._type == 1)then
self._typeLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("FindTreasureFollowPanel.text3"))
elseif(self._type == 2)then
self._typeLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("FindTreasureFollowPanel.text4"))
end
self._info = globalData.copyInfo.currentCopyInfo
self:initEvent()
end
function FindTreasureFollowPanel:initEvent()
self._info:addEventListener(globalData.globalEventType.playerInfo_copyMonster,self.updateMonsterHandler,self)
self._info:addEventListener(globalData.globalEventType.playerInfo_copyTime,self.updateTimeHandler,self)
end
function FindTreasureFollowPanel:removeEvent()
self._info:removeEventListener(globalData.globalEventType.playerInfo_copyMonster,self.updateMonsterHandler,self)
self._info:removeEventListener(globalData.globalEventType.playerInfo_copyTime,self.updateTimeHandler,self)
end
function FindTreasureFollowPanel:updateMonsterHandler(evt)
self._monsterLabel:setText((self._info.totalMonster - self._info.leftMonster).."/"..self._info.totalMonster)
if((self._info.totalMonster - self._info.leftMonster) == self._info.totalMonster) then
globalManager.tickManager:addTick(self.tick,self)
end
end
function FindTreasureFollowPanel:tick(delta, count)
self.count = self.count + 1
if(self.count >= 180)then
self._controller.sceneModule.message:sendQuitCopy()
self.count = 0
globalManager.tickManager:removeTick(self.tick,self)
end
end
function FindTreasureFollowPanel:updateTimeHandler(evt)
self._timeLabel:start(self._info.leftTime)
end
function FindTreasureFollowPanel:dispose()
self:removeEvent()
globalManager.tickManager:removeTick(self.tick,self)
self._info = nil
self._controller = nil
self._infoPanel = nil
self._monsterLabel = nil
self._typeLabel = nil
if(self._timeLabel ~= nil) then
self._timeLabel:dispose()
self._timeLabel = nil
end
globalManager.ccCreator:release(self)
end
FindTreasureComletePanel = class("FindTreasureComletePanel", function()
local self = globalManager.ccCreator:newJsonWidget("copyOverView5")
self._info 	 	  = globalData.copyInfo.findTreasureCopyInfo
self.txtV2        = self:getChildByName("txtV2")
self.txtV4        = self:getChildByName("txtV4")
self.quitBtn      = self:getChildByName("quitBtn")
self.timeLabel    = self.quitBtn:getChildByName("btnLabel")
self.copperLabel  = self:getChildByName("honourLabel_Copy0")
self.goldImg      = self:getChildByName("goldImg")
self._itemList    = {}
for i = 1,5,1 do
table.insert(self._itemList,self:getChildByName("item"..i))
end
self._time = 0
self._count = 0
self._goodsInfos = {}
self._gridList = {}
self.copper = 0
self:getChildByName("againBtn"):setEnabled(false)
self:getChildByName("againBtn"):setVisible(false)
self:getChildByName("honourLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("FindTreasureComletePanel.text1"))
self:getChildByName("honourLabel_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("FindTreasureComletePanel.text2"))
self:getChildByName("honourLabel_Copy1"):setText(globalManager.yuyanbaoManager:getYuyanbao("FindTreasureComletePanel.text3"))
self:getChildByName("quitBtn"):getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel1"))
self:getChildByName("tipsLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("WorldBossVipCompletePanel.text5"))
return self
end)
function FindTreasureComletePanel:ctor()
self:initEvent()
self:show()
end
function FindTreasureComletePanel:initEvent()
local exitClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self:dispose()
end
end
self.quitBtn:addTouchEventListener(exitClickHandler)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_reConnect,self.dispose,self)
end
function FindTreasureComletePanel:removeEvent()
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.scene_reConnect,self.dispose,self)
end
function FindTreasureComletePanel:show()
self._time = 5
self.timeLabel:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("WorldBossVipCompletePanel.text1"),self._time))
self._count = 0
globalManager.tickManager:addTick(self.tick,self)
self.txtV4:setText(self._info.awardExp)
local index = 1
local len = #self._info.goodsList
if(len > 5)then len = 5 end
--for __,item in pairs(self._info.goodsList) do
for i = 1,len,1 do
local templateInfo = globalData.allTemplates.goodsTemplateList:getTemplate(self._info.goodsList[i][1])
if(templateInfo.categoryId == globalData.allStaticTypes.categoryType.copperType)then
self.copper = templateInfo.property1 * self._info.goodsList[i][2]
elseif(self._info.goodsList[i][3] == nil or self._info.goodsList[i][3] == 0 or self._info.goodsList[i][3] == globalData.allStaticTypes.careerType:getCareer(globalData.selfPlayerInfo.career)) then   --自己的职业，或者不分职业的物品筛选
local grid = GoodsInfoGrid:new()
local goodsinfo = GoodsInfo:new()
goodsinfo:setTemplateId(self._info.goodsList[i][1])
goodsinfo.count = self._info.goodsList[i][2]
if(self._info.goodsList[i][4] ~= nil) then
goodsinfo:updateStrengthLevel(self._info.goodsList[i][4])
end
if(self._info.goodsList[i][5] ~= nil) then
goodsinfo.stage = self._info.goodsList[i][5]
end
table.insert(self._goodsInfos,goodsinfo)
grid:setGoodsInfo(goodsinfo)
self._itemList[index]:addChild(grid)
table.insert(self._gridList,grid)
index = index + 1
end
end
self.txtV2:setText(self._info.copper + self.copper)
globalData.uiClickContainer:addItem(self,true,true)
end
function FindTreasureComletePanel:tick(delta,count)
self._count = self._count + 1
if(self._count >= 60) then
self._count = 0
self._time = self._time - 1
if(self._time <= 0) then
self:dispose()
else
self.timeLabel:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("WorldBossVipCompletePanel.text1"),self._time))
end
end
end
function FindTreasureComletePanel:hideFormClickContainer()
end
function FindTreasureComletePanel:dispose()
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tabDaily,globalData.allStaticTypes.panelTabType.findTreasure)
globalData.uiClickContainer:close(self)
globalManager.tickManager:removeTick(self.tick,self)
self:removeEvent()
for __,info in pairs(self._goodsInfos) do
info:dispose()
end
if(self._gridList ~= nil) then
for __,grid in pairs(self._gridList) do
grid:dispose()
end
self._gridList = nil
end
self._itemList = nil
self._goodsInfos = nil
self._info = nil
self.txtV2 = nil
self.txtV4 = nil
self.quitBtn = nil
self.timeLabel = nil
self.copperLabel = nil
self.goldImg = nil
globalManager.ccCreator:release(self)
end
FindTreasureSDAwardPanel = class("FindTreasureSDAwardPanel", function(self,controller,infoList)
local self = globalManager.ccCreator:newJsonWidget("findTreasureSDAwardPanel")
self._itemList = {}
self._gridList = {}
for i = 1,8,1 do
table.insert(self._itemList,self:getChildByName("item"..i))
end
self.confirm_btn = self:getChildByName("confirm_btn")
self._controller = controller
self._infoList = infoList
return self
end)
function FindTreasureSDAwardPanel:ctor()
self:updateView()
self:initEvent()
end
function FindTreasureSDAwardPanel:updateView()
for i = 1, #self._itemList do
if(self._infoList[i] ~= nil) then
local grid = BaseGrid:new()
grid:setGoodsTempInfo(globalData.allTemplates.goodsTemplateList:getTemplate(self._infoList[i].templateId))
grid:setCount(self._infoList[i].amount)
self._itemList[i]:addChild(grid)
table.insert(self._gridList,grid)
end
end
end
function FindTreasureSDAwardPanel:initEvent()
local closeHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self._controller:awardViewClose()
end
end
self.confirm_btn:addTouchEventListener(closeHandler)
end
function FindTreasureSDAwardPanel:dispose()
self._itemList = nil
if(self._gridList ~= nil) then
for __,grid in pairs(self._gridList) do
grid:dispose()
end
self._gridList = nil
end
self.confirm_btn = nil
globalManager.ccCreator:release(self)
self._controller = nil
end
MarryFriendItem = class("MarryFriendItem", function(self,str,index)
local temp = globalManager.ccCreator:newJsonWidget("WarmTipsItem")
temp._index = index
local titleLabel = temp:getChildByName("title_label")
titleLabel:setText(str)
return temp
end)
function MarryFriendItem:getIndex()
return self._index
end
function MarryFriendItem:dispose()
globalManager.ccCreator:release(self)
end
MarryFriendView = class("MarryFriendView", function(self,executor,callBack)
local temp = globalManager.ccCreator:newJsonWidget("WarmTipsView")
temp.closeBtn = temp:getChildByName("closeBtn")
local title = temp:getChildByName("LabelBMFont_8508_Copy0")
title:setText(globalManager.yuyanbaoManager:getYuyanbao("MarryFriendView.text1"))
temp.listPanel = temp:getChildByName("list_panel")
temp.itemList = {}
temp._executor = executor
temp._callBack = callBack
return temp
end)
function MarryFriendView:ctor()
self:initEvent()
globalData.uiClickContainer:addItem(self,true,true)
end
function MarryFriendView:initEvent()
local closeClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self:dispose()
end
end
self.closeBtn:addTouchEventListener(closeClickHandler)
end
function MarryFriendView:setFriendList(friendList)
local itemClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
local index = sender:getIndex()
if(self._executor ~= nil and self._callBack ~= nil) then
self._callBack(self._executor,index)
end
self:dispose()
end
end
local len = #friendList
for i = 1,len,1 do
local item = MarryFriendItem:new(friendList[i].info.nick,i)
item:addTouchEventListener(itemClickHandler)
self.listPanel:pushBackCustomItem(item)
table.insert(self.itemList,item)
end
end
function MarryFriendView:hideFormClickContainer()
self:dispose()
end
function MarryFriendView:dispose()
self.closeBtn = nil
if(self.itemList ~= nil) then
for __,item in pairs(self.itemList) do
item:dispose()
end
self.itemList = nil
end
self.listPanel:removeAllItems()
self.listPanel = nil
self._executor = nil
self._callBack = nil
globalData.uiClickContainer:close(self)
globalManager.ccCreator:release(self)
end
MarryAcceptPanel = class("MarryAcceptPanel",function(self,controller,data)
local temp = globalManager.ccCreator:newJsonWidget("MarryAcceptPanel")
temp._controller = controller
temp.bg1 = temp:getChildByName("bg1")
temp.bg2 = temp:getChildByName("bg2")
temp.bg1Path = globalManager.pathManager:getUISource("outPic/marryBg1.png")
temp.bg2Path = globalManager.pathManager:getUISource("outPic/marry_acceptBg2.png")
temp._closeBtn = temp:getChildByName("closeBtn")
temp._whoApplyLabel = temp:getChildByName("whoApplyLabel")
temp._selfNameLabel = temp:getChildByName("leftName")
temp._targetNameLabel = temp:getChildByName("rightName")
temp._ringImg = temp:getChildByName("ringImg")
temp._ringImg:setTouchEnabled(true)
temp._yesBtn = temp:getChildByName("acceptBtn")
temp._noBtn = temp:getChildByName("juJueBtn")
temp._leftHeadIcon = temp:getChildByName("leftHeadIcon_Copy0")
temp._rightHeadIcon = temp:getChildByName("rightHeadIcon_Copy0")
temp._noBtn:getChildByName("LabelBMFont_735316"):setText(globalManager.yuyanbaoManager:getYuyanbao("MarryAcceptPanel.text2"))
temp._yesBtn:getChildByName("LabelBMFont_735316"):setText(globalManager.yuyanbaoManager:getYuyanbao("MarryAcceptPanel.text3"))
temp._iconPath = nil
temp._userId = data[1]
temp._type = data[2]
temp._userName = data[3]
return temp
end)
function MarryAcceptPanel:ctor()
globalManager.sourceCacheManager:setImage(self.bg1,self.bg1Path,globalData.allStaticTypes.sourceStaticType.clearFiveM)
globalManager.sourceCacheManager:setImage(self.bg2,self.bg2Path,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self:initEvent()
self:initView()
end
function MarryAcceptPanel:initEvent()
local closeBtnClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self._controller.sceneModule.message:repleyMarry(false,self._userId,self._type)
self._controller:hideReceiveMarryPanel()
end
end
local yesBtnClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self._controller.sceneModule.message:repleyMarry(true,self._userId,self._type)
self._controller:hideReceiveMarryPanel()
globalData.uiPanelContainer:close()
end
end
local noBtnClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self._controller.sceneModule.message:repleyMarry(false,self._userId,self._type)
self._controller:hideReceiveMarryPanel()
end
end
local function imageClickHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
local info = globalData.allTemplates.marryTemplateList:getTemplate(self._type)
if(info == nil) then return end
globalManager.tipsManager:showMarryInfo(info)
end
end
self._closeBtn:addTouchEventListener(closeBtnClickHandler)
self._yesBtn:addTouchEventListener(yesBtnClickHandler)
self._noBtn:addTouchEventListener(noBtnClickHandler)
self._ringImg:addTouchEventListener(imageClickHandler)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_reConnect,self.close,self)
end
function MarryAcceptPanel:removeEvent()
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.scene_reConnect,self.close,self)
end
function MarryAcceptPanel:close()
self._controller:hideReceiveMarryPanel()
end
function MarryAcceptPanel:initView()
self._whoApplyLabel:setText(self._userName..globalManager.yuyanbaoManager:getYuyanbao("MarryAcceptPanel.text4"))
self._whoApplyLabel:setColor(globalData.allStaticTypes.colorType.ITEMCOLOR2)
self._selfNameLabel:setText(globalData.selfPlayerInfo.nick)
self._targetNameLabel:setText(self._userName)
local friend = globalData.friendList:getPlayer(self._userId)
self._leftHeadIcon:loadTexture(globalData.allStaticTypes.careerType:getHeadPath(globalData.selfPlayerInfo.career),1)
self._rightHeadIcon:loadTexture(globalData.allStaticTypes.careerType:getHeadPath(friend.info.career),1)
local info = globalData.allTemplates.marryTemplateList:getTemplate(self._type)
self._iconPath = globalManager.pathManager:getUISource("outPic/"..info.iconPath)
globalManager.sourceCacheManager:setImage(self._ringImg,self._iconPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
end
function MarryAcceptPanel:dispose()
self:removeEvent()
self.bg1 = nil
globalManager.sourceCacheManager:removeQuote(self.bg1Path)
self.bg1Path = nil
self.bg2 = nil
globalManager.sourceCacheManager:removeQuote(self.bg2Path)
self.bg2Path = nil
globalManager.sourceCacheManager:removeQuote(self._iconPath)
self._iconPath = nil
self._controller = nil
self._whoApplyLabel = nil
self._targetNameLabel = nil
self._ringImg = nil
self._yesBtn = nil
self._noBtn = nil
self._leftHeadIcon = nil
self._rightHeadIcon = nil
self._closeBtn = nil
self._userName = nil
globalManager.ccCreator:release(self)
end
MarryApplyPanel = class("MarryApplyPanel",function(self,controller,userId)
local temp = globalManager.ccCreator:newJsonWidget("MarryApplyPanel")
temp._controller = controller
temp.bg1 = temp:getChildByName("bg1")
temp.bg2 = temp:getChildByName("bg2")
temp.bg1Path = globalManager.pathManager:getUISource("outPic/marryBg1.png")
temp.bg2Path = globalManager.pathManager:getUISource("outPic/marry_applyBg2.png")
temp._closeBtn = temp:getChildByName("closeBtn")
temp._sendBtn = temp:getChildByName("okBtn")
temp._nameLabel = temp:getChildByName("rightName")
temp._dropDownLabel = temp:getChildByName("dropDownImg")
temp._selfNameLabel = temp:getChildByName("leftName")
temp._priceLabel1 = temp:getChildByName("costLabel3")
temp._priceLabel2 = temp:getChildByName("costLabel2")
temp._priceLabel3 = temp:getChildByName("costLabel1")
temp._ringImgs = {temp:getChildByName("ringImg3"),temp:getChildByName("ringImg2"),temp:getChildByName("ringImg1")}
temp._selectIcon = temp:getChildByName("selectIcon")
temp._fightLabel1 = temp:getChildByName("fightLabel3")
temp._fightLabel2 = temp:getChildByName("fightLabel2")
temp._fightLabel3 = temp:getChildByName("LabelAtlas_756246")
temp._leftHeadIcon = temp:getChildByName("leftHeadIcon")
temp._rightHeadIcon = temp:getChildByName("rightHeadIcon")
temp._sendBtn:getChildByName("LabelBMFont_735316"):setText(globalManager.yuyanbaoManager:getYuyanbao("MarryApplyPanel.text1"))
temp:getChildByName("Label_698252_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("MarryApplyPanel.text2"))
temp:getChildByName("Label_698252_Copy1"):setText(globalManager.yuyanbaoManager:getYuyanbao("MarryApplyPanel.text2"))
temp._infoList = {}
temp._onlineFriendsList = {}
temp._userId = userId
temp._marryType = 0
temp._iconPath1 = nil
temp._iconPath2 = nil
temp._iconPath3 = nil
return temp
end)
function MarryApplyPanel:ctor()
globalManager.sourceCacheManager:setImage(self.bg1,self.bg1Path,globalData.allStaticTypes.sourceStaticType.clearFiveM)
globalManager.sourceCacheManager:setImage(self.bg2,self.bg2Path,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self:initEvent()
self:initView()
end
function MarryApplyPanel:initEvent()
local closeBtnClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self._controller:hideSendMarryPanel()
end
end
local payHandler = function (sender,eventType)
self._controller.sceneModule.message:sendMarry(self._userId,self._marryType)
self._controller:hideSendMarryPanel()
end
local sendBtnClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(self._userId == nil)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("MarryApplyPanel.text3"))
return
end
local friend = globalData.friendList:getPlayer(self._userId)
if(friend == nil or friend.online ~= 1)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("MarryApplyPanel.text4"))
elseif(globalData.marryInfo.marryId > 0) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("MarryApplyPanel.text5"))
elseif(friend.info.sex == globalData.selfPlayerInfo.sex) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("MarryApplyPanel.text6"))
else
if(globalData.selfPlayerInfo.moneyInfo.gold >= self._infoList[self._marryType].price)then
local content = string.format(globalManager.yuyanbaoManager:getYuyanbao("MarryApplyPanel.text8"),self._infoList[self._marryType].price)
Alert:new():show(2,content,nil,0,self,payHandler)
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel11"))
end
end
end
end
local function listItemTouchHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(#self._onlineFriendsList > 0) then
local comboBox = MarryFriendView:new(self,self.comboBoxSelectHandler)
comboBox:setFriendList(self._onlineFriendsList)
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("MarryApplyPanel.text7"))
end
end
end
local function ringBtnClickHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
local index = globalManager.commonUtils:getIndexOfTable(self._ringImgs,sender)
self:selectType(index)
end
end
self._dropDownLabel:addTouchEventListener(listItemTouchHandler)
self._closeBtn:addTouchEventListener(closeBtnClickHandler)
self._sendBtn:addTouchEventListener(sendBtnClickHandler)
for i = 1,3,1 do
self._ringImgs[i]:setTouchEnabled(true)
self._ringImgs[i]:addTouchEventListener(ringBtnClickHandler)
end
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_reConnect,self.close,self)
end
function MarryApplyPanel:removeEvent()
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.scene_reConnect,self.close,self)
end
function MarryApplyPanel:close()
self._controller:hideSendMarryPanel()
end
function MarryApplyPanel:initView()
self._selfNameLabel:setText(globalData.selfPlayerInfo.nick)
self._nameLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("MarryApplyPanel.text3"))
self._leftHeadIcon:loadTexture(globalData.allStaticTypes.careerType:getHeadPath(globalData.selfPlayerInfo.career),1)
self._rightHeadIcon:setVisible(false)
for i = 1,3,1 do
table.insert(self._infoList,globalData.allTemplates.marryTemplateList:getTemplate(i))
end
self._fightLabel1:setText("14999")
self._fightLabel2:setText("29999")
self._fightLabel3:setStringValue("104999")
self._priceLabel1:setText(self._infoList[1].price)
self._priceLabel2:setText(self._infoList[2].price)
self._priceLabel3:setText(self._infoList[3].price)
self._iconPath1 = globalManager.pathManager:getUISource("outPic/"..self._infoList[1].iconPath)
globalManager.sourceCacheManager:setImage(self._ringImgs[1],self._iconPath1,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self._iconPath2 = globalManager.pathManager:getUISource("outPic/"..self._infoList[2].iconPath)
globalManager.sourceCacheManager:setImage(self._ringImgs[2],self._iconPath2,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self._iconPath3 = globalManager.pathManager:getUISource("outPic/"..self._infoList[3].iconPath)
globalManager.sourceCacheManager:setImage(self._ringImgs[3],self._iconPath3,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self:selectType(3)
self._onlineFriendsList = globalData.friendList:getOnlineList()
end
function MarryApplyPanel:comboBoxSelectHandler(index)
if(self._onlineFriendsList[index] ~= nil)then
local name = self._onlineFriendsList[index].info.nick
self._nameLabel:setText(name)
self._userId = self._onlineFriendsList[index].info.userId
self._rightHeadIcon:setVisible(true)
self._rightHeadIcon:loadTexture(globalData.allStaticTypes.careerType:getHeadPath(self._onlineFriendsList[index].info.career),1)
end
end
function MarryApplyPanel:selectType(index)
if(self._marryType == index) then return end
self._marryType = index
self._selectIcon:setPosition(globalManager.ccCreator:newPoint(self._ringImgs[index]:getPositionX(),self._ringImgs[index]:getPositionY()))
end
function MarryApplyPanel:dispose()
self:removeEvent()
globalManager.sourceCacheManager:removeQuote(self._iconPath1)
self._iconPath1 = nil
globalManager.sourceCacheManager:removeQuote(self._iconPath2)
self._iconPath2 = nil
globalManager.sourceCacheManager:removeQuote(self._iconPath3)
self._iconPath3 = nil
self.bg1 = nil
globalManager.sourceCacheManager:removeQuote(self.bg1Path)
self.bg1Path = nil
self.bg2 = nil
globalManager.sourceCacheManager:removeQuote(self.bg2Path)
self.bg2Path = nil
self._infoList = nil
self._controller = nil
self._closeBtn = nil
self._sendBtn = nil
self._nameLabel = nil
self._dropDownLabel = nil
self._selfNameLabel = nil
self._priceLabel1 = nil
self._priceLabel2 = nil
self._priceLabel3 = nil
self._ringImgs = nil
self._fightLabel1 = nil
self._fightLabel2 = nil
self._fightLabel3 = nil
self._selectIcon = nil
self._leftHeadIcon = nil
self._rightHeadIcon = nil
self._onlineFriendsList = nil
globalManager.ccCreator:release(self)
end
MarryBreakPanel = class("MarryBreakPanel",function(self,controller)
local temp = globalManager.ccCreator:newJsonWidget("MarryBreakPanel")
temp._controller = controller
temp._nameLabel = temp:getChildByName("Label_1")
temp._label = temp:getChildByName("Label_3")
temp._label:setText("")
temp._tipLabel = temp:getChildByName("Label_4")
temp._acceptBtn = temp:getChildByName("acceptBtn")
temp._juJueBtn = temp:getChildByName("juJueBtn")
temp:getChildByName("titleLabel_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("MarryBreakPanel.text1"))
temp:getChildByName("Label_2"):setText(globalManager.yuyanbaoManager:getYuyanbao("MarryBreakPanel.text2"))
temp:getChildByName("Label_3"):setText(globalManager.yuyanbaoManager:getYuyanbao("MarryBreakPanel.text3"))
temp:getChildByName("Label_4"):setText(globalManager.yuyanbaoManager:getYuyanbao("MarryBreakPanel.text4"))
temp:getChildByName("Label_6"):setText(globalManager.yuyanbaoManager:getYuyanbao("MarryBreakPanel.text5"))
temp._acceptBtn:getChildByName("LabelBMFont_735316"):setText(globalManager.yuyanbaoManager:getYuyanbao("MarryBreakPanel.text6"))
temp._juJueBtn:getChildByName("LabelBMFont_735316_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("MarryBreakPanel.text7"))
return temp
end)
function MarryBreakPanel:ctor()
self:initEvent()
self:initView()
end
function MarryBreakPanel:initEvent()
local yesBtnClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self._controller.sceneModule.message:divorceMarry()
self._controller:hideMarryBreakPanel()
end
end
local noBtnClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self._controller:hideMarryBreakPanel()
end
end
self._acceptBtn:addTouchEventListener(yesBtnClickHandler)
self._juJueBtn:addTouchEventListener(noBtnClickHandler)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_reConnect,self.close,self)
end
function MarryBreakPanel:removeEvent()
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.scene_reConnect,self.close,self)
end
function MarryBreakPanel:close()
self._controller:hideMarryBreakPanel()
end
function MarryBreakPanel:initView()
self._nameLabel:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("MarryBreakPanel.text8"),globalData.marryInfo.marryName))
--	self._tipLabel:setText("解缘需要花费555钻石（对方离线超过7天则免费）")
end
function MarryBreakPanel:dispose()
self:removeEvent()
self._controller = nil
self._nameLabel = nil
self._tipLabel = nil
self._acceptBtn = nil
self._juJueBtn = nil
globalManager.ccCreator:release(self)
end
ReceiveFlowerPanel = class("ReceiveFlowerPanel",function(self,controller,data)
local temp = globalManager.ccCreator:newJsonWidget("MarryReceivedFlowerPanel")
temp._controller = controller
temp._bg = temp:getChildByName("bg")
temp._bgPath = globalManager.pathManager:getUISource("outPic/flowerBg.png")
temp._closeBtn = temp:getChildByName("closeBtn")
temp._chatBtn = temp:getChildByName("chatBtn")
temp._huizengBtn = temp:getChildByName("huiKuiBtn")
temp._textLabel = temp:getChildByName("textLabel")
temp._richLabel = nil
temp._chatBtn:getChildByName("LabelBMFont_735316_Copy1"):setText(globalManager.yuyanbaoManager:getYuyanbao("ReceiveFlowerPanel.text1"))
temp._huizengBtn:getChildByName("LabelBMFont_735316_Copy1"):setText(globalManager.yuyanbaoManager:getYuyanbao("ReceiveFlowerPanel.text2"))
temp._userId = data[1]
temp._flowerType = data[2]
temp._userName = data[3]
return temp
end)
function ReceiveFlowerPanel:ctor()
self:initEvent()
self:initView()
end
function ReceiveFlowerPanel:initEvent()
local closeBtnClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self._controller:hideReceiveFlowerPanel()
end
end
local huizengBtnClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
local evt = {}
evt.data = self._userId
self._controller:showSendFlowerPanel(evt)
self._controller:hideReceiveFlowerPanel()
end
end
local chatBtnClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
local friend = globalData.friendList:getPlayer(self._userId)
if(friend == nil or friend.online ~= 1)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("MarryApplyPanel.text4"))
else
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab3)
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.friend_select,globalManager.gameDispatcher,self._userId))
self._controller:hideSendFlowerPanel()
self._controller:hideReceiveFlowerPanel()
end
end
end
self._closeBtn:addTouchEventListener(closeBtnClickHandler)
self._huizengBtn:addTouchEventListener(huizengBtnClickHandler)
self._chatBtn:addTouchEventListener(chatBtnClickHandler)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_reConnect,self.close,self)
end
function ReceiveFlowerPanel:removeEvent()
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.scene_reConnect,self.close,self)
end
function ReceiveFlowerPanel:close()
self._controller:hideReceiveFlowerPanel()
end
function ReceiveFlowerPanel:initView()
globalManager.sourceCacheManager:setImage(self._bg,self._bgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
local itemInfo = globalData.allTemplates.goodsTemplateList:getTemplate(self._flowerType)
local userName = "["..globalData.allStaticTypes.colorType.ITEMCOLOR2_STR.."]"..self._userName.."[-]"
local flowerName = "["..globalData.allStaticTypes.colorType:getColorStrByQuality(itemInfo.quality).."]"..itemInfo.name.."[-]"
local posX,posY = self._textLabel:getPosition()
local  text = userName..string.format(globalManager.yuyanbaoManager:getYuyanbao("ReceiveFlowerPanel.text3"),flowerName)
self._richLabel = globalManager.ccCreator:newRichLabel2(text,300)
self._richLabel:setPosition(globalManager.ccCreator:newPoint(posX,posY - 40))
self:addChild(self._richLabel,7)
end
function ReceiveFlowerPanel:dispose()
self:removeEvent()
globalManager.sourceCacheManager:removeQuote(self._bgPath)
self._bgPath = nil
self._controller = nil
self._bg = nil
self._closeBtn = nil
self._chatBtn = nil
self._huizengBtn = nil
self._textLabel = nil
self._userId = nil
self._userName = nil
if(self._richLabel ~= nil) then
self._richLabel:dispose()
self._richLabel = nil
end
globalManager.ccCreator:release(self)
end
SendFlowerPanel = class("SendFlowerPanel",function(self,controller,userId)
local temp = globalManager.ccCreator:newJsonWidget("MarrySendFlowerPanel")
temp._controller = controller
temp._bg = temp:getChildByName("bg")
temp._bgPath = globalManager.pathManager:getUISource("outPic/flowerBg.png")
temp._closeBtn = temp:getChildByName("closeBtn")
temp._sendBtn = temp:getChildByName("goBtn")
temp._nameLabel = temp:getChildByName("nameLabel")
temp._nameLabel:setColor(globalData.allStaticTypes.colorType.ITEMCOLOR2)
temp._dropDownLabel = temp:getChildByName("dropDownImg")
temp._price1Label = temp:getChildByName("price1")
temp._price2Label = temp:getChildByName("price2")
temp._price3Label = temp:getChildByName("price3")
temp._typeIcon1 = temp:getChildByName("typeIcon1")
temp._typeIcon2 = temp:getChildByName("typeIcon2")
temp._typeIcon3 = temp:getChildByName("typeIcon3")
temp._selectIcon = temp:getChildByName("selectIcon")
temp._discountIcon = temp:getChildByName("discountIcon")
temp._discountIcon:setVisible(false)
temp._sendBtn:getChildByName("LabelBMFont_735316_Copy1"):setText(globalManager.yuyanbaoManager:getYuyanbao("SendFlowerPanel.text1"))
temp._cellList = {}
for i = 1,3,1 do
local cellBg = temp:getChildByName("cell"..i)
local cell = BaseGrid:new()
cell:setPosition(globalManager.ccCreator:newPoint(2,77))
cellBg:addChild(cell)
table.insert(temp._cellList,cell)
end
temp._onlineFriendsList = {}
temp._userId = userId
temp._flowerType = 0
temp._price = {}
temp._payType = {}
temp._flowerList = {160140,160141,160142}
temp.flowerInfo1 = nil
temp.flowerInfo2 = nil
temp.flowerInfo3 = nil
return temp
end)
function SendFlowerPanel:ctor()
self:initEvent()
self:initView()
end
function SendFlowerPanel:initEvent()
local closeBtnClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self._controller:hideSendFlowerPanel()
end
end
local payHandler = function (sender,eventType)
self._controller.sceneModule.message:sendFlower(self._userId,self._flowerType)
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("SendFlowerPanel.text2"))
end
local sendBtnClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(self._userId == nil)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("OathApplyPanel.text6"))
return
end
local friend = globalData.friendList:getPlayer(self._userId)
if(friend == nil or friend.online ~= 1)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("MarryApplyPanel.text4"))
else
local index = globalManager.commonUtils:getIndexOfTable(self._flowerList,self._flowerType)
if(index < 0) then return end
if(self._payType[index] == 1)then  --钻石
if(index == 3 and globalData.consumenGiftInfo.flowerIsShow)then
if(globalData.selfPlayerInfo.moneyInfo.gold >= 999)then
local content = string.format(globalManager.yuyanbaoManager:getYuyanbao("SendFlowerPanel.text3"),999)
Alert:new():show(2,content,globalManager.noAlertUtils.SEND_FLOWER,0,self,payHandler)
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel11"))
end
elseif(globalData.selfPlayerInfo.moneyInfo.gold >= self._price[index])then
local content = string.format(globalManager.yuyanbaoManager:getYuyanbao("SendFlowerPanel.text3"),self._price[index])
Alert:new():show(2,content,globalManager.noAlertUtils.SEND_FLOWER,0,self,payHandler)
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel11"))
end
elseif(self._payType[index] == 2) then  --绑定钻石
if(globalData.selfPlayerInfo.moneyInfo.bindGold >= self._price[index])then
local content = string.format(globalManager.yuyanbaoManager:getYuyanbao("SendFlowerPanel.text4"),self._price[index])
Alert:new():show(2,content,globalManager.noAlertUtils.SEND_FLOWER,0,self,payHandler)
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel30"))
end
end
end
end
end
local function listItemTouchHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(#self._onlineFriendsList > 0) then
local comboBox = MarryFriendView:new(self,self.comboBoxSelectHandler)
comboBox:setFriendList(self._onlineFriendsList)
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("ChaosPanel.text11"))
end
end
end
self._dropDownLabel:addTouchEventListener(listItemTouchHandler)
self._closeBtn:addTouchEventListener(closeBtnClickHandler)
self._sendBtn:addTouchEventListener(sendBtnClickHandler)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_reConnect,self.close,self)
end
function SendFlowerPanel:removeEvent()
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.scene_reConnect,self.close,self)
end
function SendFlowerPanel:close()
self._controller:hideSendFlowerPanel()
end
function SendFlowerPanel:initView()
globalManager.sourceCacheManager:setImage(self._bg,self._bgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
if(self._userId ~= nil)then
local friend = globalData.friendList:getPlayer(self._userId)
if(friend ~= nil) then
self._nameLabel:setText(friend.info.nick)
else
self._userId = nil
self._nameLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("OathApplyPanel.text6"))
end
elseif(globalData.marryInfo.marryId > 0)then
self._userId = globalData.friendList:getPlayer(globalData.marryInfo.marryId).info.userId
local marryName = globalData.marryInfo.marryName
self._nameLabel:setText(marryName)
else
self._nameLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("OathApplyPanel.text6"))
end
self._onlineFriendsList = globalData.friendList:getOnlineList()
self.flowerInfo1 = globalData.allTemplates.shopTemplateList:getTemplateByGoodsTemplateId(1001,self._flowerList[1])
self.flowerInfo2 = globalData.allTemplates.shopTemplateList:getTemplateByGoodsTemplateId(1001,self._flowerList[2])
self.flowerInfo3 = globalData.allTemplates.shopTemplateList:getTemplateByGoodsTemplateId(1001,self._flowerList[3])
self._cellList[1]:setGoodsTempInfo(self.flowerInfo1:getGoodsTemplate())
self._cellList[1]:setClickHandler(self,self.select1Handler)
self._cellList[2]:setGoodsTempInfo(self.flowerInfo2:getGoodsTemplate())
self._cellList[2]:setClickHandler(self,self.select2Handler)
self._cellList[3]:setGoodsTempInfo(self.flowerInfo3:getGoodsTemplate())
self._cellList[3]:setClickHandler(self,self.select3Handler)
self._price[1] = self.flowerInfo1.price
self._price1Label:setText(self._price[1])
self._price[2] = self.flowerInfo2.price
self._price2Label:setText(self._price[2])
self._price[3] = self.flowerInfo3.price
self._price3Label:setText(self._price[3])
self._payType[1] = self.flowerInfo1.payType
if(self.flowerInfo1.payType == 1) then
self._typeIcon1:loadTexture("icon/ui_moneyIcon1.png",1)
else
self._typeIcon1:loadTexture("icon/ui_bindGoldIcon.png",1)
end
self._payType[2] = self.flowerInfo2.payType
if(self.flowerInfo2.payType == 1) then
self._typeIcon2:loadTexture("icon/ui_moneyIcon1.png",1)
else
self._typeIcon2:loadTexture("icon/ui_bindGoldIcon.png",1)
end
self._payType[3] = self.flowerInfo3.payType
if(self.flowerInfo3.payType == 1) then
self._typeIcon3:loadTexture("icon/ui_moneyIcon1.png",1)
else
self._typeIcon3:loadTexture("icon/ui_bindGoldIcon.png",1)
end
if(globalData.consumenGiftInfo.flowerIsShow)then
self._discountIcon:setVisible(true)
self._price3Label:setText("999")
else
self._discountIcon:setVisible(false)
end
self:selectFlower(2)
end
function SendFlowerPanel:comboBoxSelectHandler(index)
if(self._onlineFriendsList[index] ~= nil)then
local name = self._onlineFriendsList[index].info.nick
self._nameLabel:setText(name)
self._userId = self._onlineFriendsList[index].info.userId
end
end
function SendFlowerPanel:select1Handler()
self:selectFlower(1)
globalManager.tipsManager:showGoodsTemplate(self.flowerInfo1:getGoodsTemplate())
end
function SendFlowerPanel:select2Handler()
self:selectFlower(2)
globalManager.tipsManager:showGoodsTemplate(self.flowerInfo2:getGoodsTemplate())
end
function SendFlowerPanel:select3Handler()
self:selectFlower(3)
globalManager.tipsManager:showGoodsTemplate(self.flowerInfo3:getGoodsTemplate())
end
function SendFlowerPanel:selectFlower(index)
if(self._flowerType == self._flowerList[index]) then return end
self._flowerType = self._flowerList[index]
local cellBg = self:getChildByName("cell"..index)
local posX,posY = cellBg:getPosition()
self._selectIcon:setPosition(globalManager.ccCreator:newPoint(posX + 45 - 5,posY - 45 + 88))
end
function SendFlowerPanel:dispose()
self:removeEvent()
globalManager.sourceCacheManager:removeQuote(self._bgPath)
self._bgPath = nil
self._controller = nil
self._bg = nil
self._closeBtn = nil
self._sendBtn = nil
self._nameLabel = nil
self._dropDownLabel = nil
self._price1Label = nil
self._price2Label = nil
self._price3Label = nil
self._typeIcon1 = nil
self._typeIcon2 = nil
self._typeIcon3 = nil
self._selectIcon = nil
self._discountIcon = nil
for __,cell in pairs(self._cellList) do
cell:dispose()
end
self._cellList = nil
self._onlineFriendsList = nil
self._price = nil
self._payType = nil
self._flowerList = nil
self.flowerInfo1 = nil
self.flowerInfo2 = nil
self.flowerInfo3 = nil
globalManager.ccCreator:release(self)
end
GuideAlertView = class("GuideAlertView",function (self,controller)
local temp = globalManager.ccCreator:newJsonWidget("GuideAlert")
temp.controller = controller
temp.btnList = {}
for i = 1,3,1 do
temp.btnList[i] = temp:getChildByName("btn"..i)
end
temp.index = 1
temp.copyFlag = false
temp.skyCount = 0
temp.effectList = {}
temp.closeBtn = temp:getChildByName("closeBtn")
temp.checkBox = temp:getChildByName("checkBox")
temp.checkBox:setSelectedState(false)
temp.checkBox:getChildByName("checkLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("StageReturnPanel.text10"))
temp:getChildByName("Label_774355"):setText(globalManager.yuyanbaoManager:getYuyanbao("GuideAlertView.text1"))
temp:getChildByName("Label_3963"):setText(globalManager.yuyanbaoManager:getYuyanbao("GuideAlertView.text2"))
return temp
end)
function GuideAlertView:ctor()
self:initEvent()
self:initView()
end
function GuideAlertView:initEvent()
local closeClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self.controller:hideGuideAlertView()
end
end
self.closeBtn:addTouchEventListener(closeClickHandler)
end
function GuideAlertView:initView()
local function dailyClick(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
self:dailyHandler()
end
end
local function copyClick(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
self:copyHandler()
end
end
local function vipBossClick(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
self:vipBossHandler()
end
end
local function arenaClick(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
self:arenaHandler()
end
end
local function SkyDreamLandClick(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
self:SkyDreamLandHandler()
end
end
if(globalData.selfPlayerInfo.level >= globalData.newModuleLevelConfig.dailyLevel)then
if((globalData.leagueInfo.id ~= 0 and (globalData.activityInfo.infoList[11] == nil or globalData.activityInfo.infoList[11] > 0))
or (globalData.activityInfo.infoList[10] == nil or globalData.activityInfo.infoList[10] > 0))then
self.btnList[self.index]:loadTextureNormal("icon/mainmenu_btn12.png",1)
self.btnList[self.index]:addTouchEventListener(dailyClick)
if(self.effectList[self.index] == nil)then
self.effectList[self.index] = globalManager.effectCreator:create(36)
self.effectList[self.index]:move2(self.btnList[self.index],80,-75)
self.btnList[self.index]:addNode(self.effectList[self.index])
self.effectList[self.index]:play()
end
self.index = self.index + 1
end
end
if(globalData.selfPlayerInfo.level >= globalData.newModuleLevelConfig.arena1Level)then
if(globalData.arena1Info.times >= 0 and self.index <= 3) then
self.btnList[self.index]:loadTextureNormal("icon/mainmenu_btn13.png",1)
self.btnList[self.index]:addTouchEventListener(arenaClick)
if(self.effectList[self.index] == nil)then
self.effectList[self.index] = globalManager.effectCreator:create(36)
self.effectList[self.index]:move2(self.btnList[self.index],80,-75)
self.btnList[self.index]:addNode(self.effectList[self.index])
self.effectList[self.index]:play()
end
self.index = self.index + 1
end
end
if(globalData.selfPlayerInfo.level >= globalData.newModuleLevelConfig.worldBossVipLevel)then
if(globalManager.playerInfoTester._vipBossNum > 0 and self.index <= 3) then
self.btnList[self.index]:loadTextureNormal("icon/mainmenu_btn14.png",1)
self.btnList[self.index]:addTouchEventListener(vipBossClick)
if(self.effectList[self.index] == nil)then
self.effectList[self.index] = globalManager.effectCreator:create(36)
self.effectList[self.index]:move2(self.btnList[self.index],80,-75)
self.btnList[self.index]:addNode(self.effectList[self.index])
self.effectList[self.index]:play()
end
self.index = self.index + 1
end
end
if(globalData.selfPlayerInfo.level >= globalData.newModuleLevelConfig.expeditionLevel)then
max = globalData.allTemplates.copyTemplateList:getCopy(globalData.allTemplates.copyTemplateList.EXPEDITION).dayTimes
num = max - globalManager.playerInfoTester._copyNum3
if(num < max and self.index <= 3 and not self.copyFlag) then
self.btnList[self.index]:loadTextureNormal("icon/mainmenu_btn11.png",1)
self.btnList[self.index]:addTouchEventListener(copyClick)
if(self.effectList[self.index] == nil)then
self.effectList[self.index] = globalManager.effectCreator:create(36)
self.effectList[self.index]:move2(self.btnList[self.index],80,-75)
self.btnList[self.index]:addNode(self.effectList[self.index])
self.effectList[self.index]:play()
end
self.index = self.index + 1
self.copyFlag = true
end
end
if(globalData.selfPlayerInfo.level >= globalData.newModuleLevelConfig.lianyuLevel)then
local copyTemp = globalData.allTemplates.copyTemplateList:getCopy(globalData.allTemplates.copyTemplateList.LIANYU)
local current = globalData.copyInfo:getTodayMaxMission(globalData.allTemplates.copyTemplateList.LIANYU)
current = copyTemp:missionIdToIndex(current)
current = math.max(1,current - 1)
local maxMission = globalData.copyInfo:getMaxMission(globalData.allTemplates.copyTemplateList.LIANYU)
maxMission = copyTemp:missionIdToIndex(maxMission)
maxMission = math.max(1,maxMission - 1)
if((maxMission > current  or maxMission == 1) and self.index <= 3 and not self.copyFlag) then
self.btnList[self.index]:loadTextureNormal("icon/mainmenu_btn11.png",1)
self.btnList[self.index]:addTouchEventListener(copyClick)
if(self.effectList[self.index] == nil)then
self.effectList[self.index] = globalManager.effectCreator:create(36)
self.effectList[self.index]:move2(self.btnList[self.index],80,-75)
self.btnList[self.index]:addNode(self.effectList[self.index])
self.effectList[self.index]:play()
end
self.index = self.index + 1
self.copyFlag = true
end
end
if(globalData.selfPlayerInfo.level >= globalData.newModuleLevelConfig.materialLevel)then
num = globalManager.playerInfoTester._copyNum1
max = globalManager.playerInfoTester._copyMax1
if(num > 0 and self.index <= 3 and not self.copyFlag) then
self.btnList[self.index]:loadTextureNormal("icon/mainmenu_btn11.png",1)
self.btnList[self.index]:addTouchEventListener(copyClick)
if(self.effectList[self.index] == nil)then
self.effectList[self.index] = globalManager.effectCreator:create(36)
self.effectList[self.index]:move2(self.btnList[self.index],80,-75)
self.btnList[self.index]:addNode(self.effectList[self.index])
self.effectList[self.index]:play()
end
self.index = self.index + 1
end
end
if(globalData.selfPlayerInfo.level >= globalData.newModuleLevelConfig.defenedLevel)then
num = globalManager.playerInfoTester._copyNum5
max = globalManager.playerInfoTester._copyMax5
if(num > 0 and self.index <= 3 and not self.copyFlag) then
self.btnList[self.index]:loadTextureNormal("icon/mainmenu_btn11.png",1)
self.btnList[self.index]:addTouchEventListener(copyClick)
if(self.effectList[self.index] == nil)then
self.effectList[self.index] = globalManager.effectCreator:create(36)
self.effectList[self.index]:move2(self.btnList[self.index],80,-75)
self.btnList[self.index]:addNode(self.effectList[self.index])
self.effectList[self.index]:play()
end
self.index = self.index + 1
self.copyFlag = true
end
end
if(self.index <= 3)then
self.btnList[self.index]:loadTextureNormal("icon/ui_skyIcon.png",1)
self.btnList[self.index]:addTouchEventListener(SkyDreamLandClick)
if(self.effectList[self.index] == nil)then
self.effectList[self.index] = globalManager.effectCreator:create(36)
self.effectList[self.index]:move2(self.btnList[self.index],80,-75)
self.btnList[self.index]:addNode(self.effectList[self.index])
self.effectList[self.index]:play()
end
self.index = self.index + 1
end
for i = self.index,3,1 do
self.btnList[i]:setEnabled(false)
end
end
function GuideAlertView:dailyHandler()
self.controller:hideGuideAlertView()
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tabDaily)
end
function GuideAlertView:copyHandler()
self.controller:hideGuideAlertView()
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tabCopy)
if(globalData.uiPanelContainer:getCurrentPanel() ~= nil) then
globalData.uiPanelContainer:getCurrentPanel():jumpToTab(1)
end
end
function GuideAlertView:vipBossHandler()
self.controller:hideGuideAlertView()
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.worldBossTab,globalData.allStaticTypes.panelTabType.worldBossVip)
end
function GuideAlertView:arenaHandler()
self.controller:hideGuideAlertView()
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.arenaTab)
end
function GuideAlertView:SkyDreamLandHandler()
self.controller:hideGuideAlertView()
globalData.uiPanelContainer:close()
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_showMapPanel,globalManager.gameDispatcher,1))
self.skyCount = 3
globalManager.tickManager:addTick(self.skyTick,self)
end
function GuideAlertView:skyTick()
self.skyCount = self.skyCount - 1
if(self.skyCount > 0 )then return end
globalManager.tickManager:removeTick(self.skyTick,self)
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_showSkyDreamLand,globalManager.gameDispatcher,nil))
end
function GuideAlertView:hideFormClickContainer()
self.controller:hideGuideAlertView()
end
function GuideAlertView:dispose()
globalManager.tickManager:removeTick(self.skyTick,self)
self.skyCount = nil
self.controller = nil
self.btnList = nil
self.closeBtn = nil
self.checkBox = nil
for __, effect in pairs(self.effectList)do
effect:dispose()
effect = nil
end
self.effectList = nil
globalManager.ccCreator:release(self)
end
CopyLeagueBossCompletePanel = class("CopyLeagueBossCompletePanel",function(self,module)
local cdj = globalManager.ccCreator:newJsonWidget("copyOverView1")
cdj._background = cdj:getChildByName("background")
local _cellPanel = cdj:getChildByName("cellPanel")
_cellPanel:setEnabled(false)
cdj._minuteLabel = cdj:getChildByName("minute_label")
cdj._secondLabel = cdj:getChildByName("second_label")
cdj._exitBtn = cdj:getChildByName("exit_btn")
local titleImage = cdj:getChildByName("title_image")
cdj._titleItemView = TitleItemView:new()
titleImage:addChild(cdj._titleItemView)
cdj._sceneModule = module
cdj._bgPath = nil
cdj._gridList = {}
cdj._startTime = 0
return cdj
end)
function CopyLeagueBossCompletePanel:ctor()
self._bgPath = globalManager.pathManager:getUISource("outPic/copy_pass_bg.png")
globalManager.sourceCacheManager:setImage(self._background,self._bgPath,globalData.allStaticTypes.sourceStaticType.clearImmediately)
globalData.uiClickContainer:addItem(self,true,true)
assert(globalData.copyInfo.copyDJInfo, "无法读取到当前副本信息")
self:initEvent()
self._startTime = globalData.systemDateInfo:getSystemTime()
globalManager.tickManager:addTick(self.tick, self)
end
function CopyLeagueBossCompletePanel:initEvent()
local exitClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self._sceneModule.message:sendQuitCopy()
self:dispose()
end
end
self._exitBtn:addTouchEventListener(exitClickHandler)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_closeOtherPanel,self.dispose,self)
end
function CopyLeagueBossCompletePanel:removeEvent()
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.scene_closeOtherPanel,self.dispose,self)
end
function CopyLeagueBossCompletePanel:tick(delta,tickCount)
local dtTime = globalData.systemDateInfo:getSystemTime() - self._startTime
if(dtTime / 1000 > 10)then
self._sceneModule.message:sendQuitCopy()
self:dispose()
end
end
function CopyLeagueBossCompletePanel:clearGrids()
local len = table.getn(self._gridList)
for i = 1,len,1 do
self._gridList[i]:dispose()
end
self._gridList = {}
end
function CopyLeagueBossCompletePanel:hideFormClickContainer()
end
function CopyLeagueBossCompletePanel:dispose()
self:removeEvent()
self._titleItemView:dispose()
self._titleItemView = nil
globalManager.tickManager:removeTick(self.tick, self)
self:clearGrids()
self._gridList = nil
if(self._bgPath ~= nil)then
globalManager.sourceCacheManager:removeQuote(self._bgPath)
self._bgPath = nil
end
self._background = nil
self._minuteLabel = nil
self._secondLabel = nil
self._exitBtn = nil
self._sceneModule = nil
globalData.uiClickContainer:close(self)
globalManager.ccCreator:release(self)
end
CopyLeagueBossFollowPanel = class("CopyLeagueBossFollowPanel",function(self,controller)
local temp = globalManager.ccCreator:newJsonWidget("copyFollowView1")
temp._controller = controller
temp._infoPanel = temp:getChildByName("info_panel")
temp._monsterLabel = temp._infoPanel:getChildByName("monster_label")
local label = temp._infoPanel:getChildByName("Label_31649")
label:setText(globalManager.yuyanbaoManager:getYuyanbao("CopyLeagueBossFollowPanel.text1"))
local timeLayer = temp._infoPanel:getChildByName("time_layer")
temp._timeLabel = CountDownLabel:new(nil,3,nil,globalData.allStaticTypes.colorType.COLORGREEN,30)
timeLayer:addChild(temp._timeLabel)
temp._info = nil
temp._infoPanel:getChildByName("Label_31649_Copy1"):setText(globalManager.yuyanbaoManager:getYuyanbao("BoxPanel.text9"))
return temp
end)
function CopyLeagueBossFollowPanel:ctor()
self._info = globalData.copyInfo.currentCopyInfo
self:initEvent()
end
function CopyLeagueBossFollowPanel:initEvent()
self._info:addEventListener(globalData.globalEventType.playerInfo_copyMonster,self.updateMonsterHandler,self)
self._info:addEventListener(globalData.globalEventType.playerInfo_copyTime,self.updateTimeHandler,self)
globalData.leagueInfo:addEventListener(globalData.globalEventType.league_bossHurt,self.updateHurtHandler,self)
end
function CopyLeagueBossFollowPanel:copyTryCompleteHandler()
CopyLeagueBossCompletePanel:new(self._controller.sceneModule)
end
function CopyLeagueBossFollowPanel:removeEvent()
self._info:removeEventListener(globalData.globalEventType.playerInfo_copyMonster,self.updateMonsterHandler,self)
self._info:removeEventListener(globalData.globalEventType.playerInfo_copyTime,self.updateTimeHandler,self)
globalData.leagueInfo:removeEventListener(globalData.globalEventType.league_bossHurt,self.updateHurtHandler,self)
end
function CopyLeagueBossFollowPanel:updateMonsterHandler(evt)
if(self._info.leftMonster <= 0) then
self._controller.sceneModule.message:sendQuitCopy()
end
end
function CopyLeagueBossFollowPanel:updateTimeHandler(evt)
if self._info ~= nil and self._info.leftTime > 0 then
self._timeLabel:start(self._info.leftTime)
end
end
function CopyLeagueBossFollowPanel:updateHurtHandler(evt)
local hurt = evt.data
if(hurt == nil) then
hurt = "0"
elseif(hurt > 9999) then
hurt = tostring(math.floor(hurt * 0.001)*0.1)..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel44")
else
hurt = tostring(hurt)
end
self._monsterLabel:setText(hurt)
end
function CopyLeagueBossFollowPanel:dispose()
self:removeEvent()
self._info = nil
self._controller = nil
self._infoPanel = nil
self._monsterLabel = nil
if(self._timeLabel ~= nil) then
self._timeLabel:dispose()
self._timeLabel = nil
end
globalManager.ccCreator:release(self)
end
NewServerGiftView = class("NewServerGiftView",function(self,controller)
local temp = globalManager.ccCreator:newJsonWidget("newServerGiftView")
temp._controller = controller
-- temp:getChildByName("Label_890411"):setText(globalManager.yuyanbaoManager:getYuyanbao("NewServerGiftViwe.text3"))
-- temp:getChildByName("Label_890424"):setText(globalManager.yuyanbaoManager:getYuyanbao("ZhuanXiangWelfarePanel.text7"))
-- temp:getChildByName("Label_890424_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("NewServerGiftViwe.text4"))
-- temp:getChildByName("Label_890424_Copy1"):setText(globalManager.yuyanbaoManager:getYuyanbao("NewServerGiftViwe.text5"))
temp.bg_img = temp:getChildByName("bg_img")
temp.pay_btn = temp:getChildByName("pay_btn")
temp.descLabel = temp:getChildByName("descLabel")
temp.close_btn = temp:getChildByName("close_btn")
temp.fightCount_label = temp:getChildByName("fightCount_label")
temp.pay_bar = temp:getChildByName("pay_bar")
temp.arrow_img = temp:getChildByName("arrow_img")
temp.title_label = temp:getChildByName("title_label")
temp.title_label:setText(globalManager.yuyanbaoManager:getYuyanbao("NewServerGiftView.text1"))
temp.tab_btns = {}
temp.tab_btnPaths = {}
temp.tab_btnName = {}
temp.tab_isReceive = {}
for i = 1, 5 do
table.insert(temp.tab_btns,temp:getChildByName("tab_btn"..i))
table.insert(temp.tab_btnName,temp:getChildByName("tabLabel"..i))
table.insert(temp.tab_isReceive,temp:getChildByName("isReceive_img"..i))
table.insert(temp.tab_btnPaths,globalManager.pathManager:getUISource("outPic/ui_leichongIcon_"..i..".png"))
end
for i = 1,5 do
temp.tab_isReceive[i]:setVisible(false)
end
temp.itemList = {}
for i = 1, 4 do
local grid = GoodsInfoGrid:new()
table.insert(temp.itemList,grid)
grid:setPosition(globalManager.ccCreator:newPoint(3.5,-7.5))
temp:getChildByName("goodsItem"..i):addChild(temp.itemList[i])
end
temp._bgPath = globalManager.pathManager:getUISource("outPic/ui_NSGbg.png")
temp._templateList = nil
temp._index = -1
temp._character = nil
temp._characterInfo = nil
temp._effect = nil
temp._txtTime = nil
temp._weaponPath = nil
temp._weaponImg = nil
temp._flag = 1
temp._offsetY = 383
temp._barTab = {11,33,56,78,100}
temp._goodsInfos = {}
return temp
end)
function NewServerGiftView:ctor()
globalManager.sourceCacheManager:setImage(self.bg_img,self._bgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
for i = 1, 5 do
globalManager.sourceCacheManager:setImage(self.tab_btns[i],self.tab_btnPaths[i],globalData.allStaticTypes.sourceStaticType.clearFiveM)
end
self._templateList = globalData.allTemplates.openTemplateList:getNewServerGiftList()
self:initView()
self:initEvent()
end
function NewServerGiftView:initView()
self._effect = globalManager.effectCreator:create(44)
self._effect:play()
self._effect:move2(self,200,-380)
self:addNode(self._effect,2)
for i = 1, #self._templateList do
if(self.tab_btnName[i] ~= nil) then
local str = string.format(globalManager.yuyanbaoManager:getYuyanbao("NewServerGiftViwe.text1"),tonumber(self._templateList[i].conditionList) * 0.1)
self.tab_btnName[i]:setText(str)
end
end
local selfInfo = globalData.openInfo:getSelfInfoById(self._templateList[1].id)
local count = selfInfo and selfInfo.sign or 0
local chargeNum = globalData.selfPlayerInfo.moneyInfo.chargeValue - count
for i = 1, #self._templateList do
if tonumber(self._templateList[i].conditionList) > chargeNum then
self:setSelectView(i)
local showList = globalManager.messageUtils:splitString(self._templateList[i].showList,",")
self.descLabel:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("NewServerGiftViwe.text2"),(tonumber(self._templateList[i].conditionList) - chargeNum) * 0.1,showList[6] or ""))
local bar = self._barTab[i-1]
if bar then
self.pay_bar:setPercent(bar)
end
break
else
self.tab_isReceive[i]:setVisible(true)
end
end
if self._index == -1 then
self:setSelectView(#self.tab_btns)
self.pay_bar:setPercent(0)
self.descLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("NewServerGiftViwe.text3"))
end
local endTime = globalData.systemDateInfo:getOpenDay(self._templateList[1].finish)
local systemTime = math.floor(globalData.systemDateInfo:getSystemTime() / 1000)
local surplus = endTime - systemTime
if(surplus > 0) then
self._txtTime = CountDownLabel:new(self:getChildByName("time_label"),4)
self._txtTime:start(surplus)
end
end
function NewServerGiftView:initEvent()
local function closeBtnHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self._controller:hideNewServerGift()
end
end
local function selectBtnsHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
for i = 1, #self.tab_btns do
if(sender == self.tab_btns[i]) then
self:setSelectView(i)
return
end
end
end
end
local function payBtnHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(globalData.isPay ~= 1) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("PayPanel.text1"))
return
end
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.payTab,globalData.allStaticTypes.panelTabType.pay)
self._controller:hideNewServerGift()
end
end
self.pay_btn:addTouchEventListener(payBtnHandler)
self.close_btn:addTouchEventListener(closeBtnHandler)
for i = 1, #self.tab_btns do
self.tab_btns[i]:addTouchEventListener(selectBtnsHandler)
end
globalData.consumenGiftInfo:addEventListener(globalData.globalEventType.scene_show_newServerGiftIcon,self.newServerGiftUpdate,self)
end
function NewServerGiftView:removeEvent()
globalData.consumenGiftInfo:removeEventListener(globalData.globalEventType.scene_show_newServerGiftIcon,self.newServerGiftUpdate,self)
end
function NewServerGiftView:newServerGiftUpdate(evt)
if(not globalData.consumenGiftInfo.newServerGift) then
self._controller:hideNewServerGift()
end
end
function NewServerGiftView:setSelectView(index)
if(self._index == index) then
return
end
self._index = index
if(self._index > 0) then
self.arrow_img:setPositionX(self.tab_btns[self._index]:getPositionX())
end
if(self._goodsInfos ~= nil) then
for __,info in ipairs(self._goodsInfos) do
info:dispose()
end
self._goodsInfos = {}
end
local templateInfo = self._templateList[self._index]
if(templateInfo ~= nil) then
local showList = globalManager.messageUtils:splitString(templateInfo.showList,",")
local j = 0
for i = 1, #self.itemList do
j = j + 1
for k = j ,#templateInfo.itemList do
if(templateInfo.itemList[k] ~= nil and (templateInfo.itemList[k][3] == nil or templateInfo.itemList[k][3] == globalData.selfPlayerInfo.career))then
j = k
break
end
end
if(templateInfo.itemList[j] ~= nil) then
local goodsinfo = GoodsInfo:new()
goodsinfo:setTemplateId(templateInfo.itemList[j][1])
goodsinfo.count = templateInfo.itemList[j][2]
if(templateInfo.itemList[j][4] ~= nil)then
goodsinfo:updateStrengthLevel(templateInfo.itemList[j][4])
end
if(templateInfo.itemList[j][5] ~= nil)then
goodsinfo.stage = templateInfo.itemList[j][5]
end
table.insert(self._goodsInfos,goodsinfo)
self.itemList[i]:setGoodsInfo(goodsinfo)
end
end
self.fightCount_label:setStringValue(showList[5])
if(self._character ~= nil)then
self._character:dispose()
self._character = nil
end
if(self._characterInfo ~= nil) then
self._characterInfo:dispose()
self._characterInfo = nil
end
globalManager.tickManager:removeTick(self.tick,self)
if(self._weaponPath ~= nil)then
globalManager.sourceCacheManager:removeQuote(self._weaponPath)
self._weaponPath = nil
end
if(self._weaponImg ~= nil)then
globalManager.ccCreator:release(self._weaponImg)
self._weaponImg = nil
end
local character = tonumber(showList[1])
local huaxingType = tonumber(showList[2])
if(huaxingType == 1)then --妖精
self._characterInfo = CharacterInfo:new(globalData.allStaticTypes.sourceStaticType.pet)
self._characterInfo:setStyleBin(1,globalData.allTemplates.petTemplateList:getTemplate(character):getShowPath())
self._characterInfo:setDefaultAnima(globalData.allStaticTypes.animaInfoList.petStand)
self._character = BaseCharacter:new(self._characterInfo)
self._character:setScale(2.2)
self._character:show(globalData.allStaticTypes.directType.bottom)
local pointX = tonumber(showList[3]) or 0
local pointY = tonumber(showList[4]) or 0
self._character:setPosition(globalManager.ccCreator:newPoint(pointX,pointY))
self:addNode(self._character,2)
elseif(huaxingType == 2)then --坐骑
self._characterInfo = CharacterInfo:new(globalData.allStaticTypes.sourceStaticType.player)
self._characterInfo.showDefaultCloth = false
self._characterInfo:setStyleBin(3,character)
self._characterInfo:setDefaultAnima(globalData.allStaticTypes.animaInfoList.stand2)
self._character = BaseCharacter:new(self._characterInfo)
self._character:show(globalData.allStaticTypes.directType.bottom)
self._character:setScale(1.3)
local pointX = tonumber(showList[3]) or 0
local pointY = tonumber(showList[4]) or 0
self._character:setPosition(globalManager.ccCreator:newPoint(pointX,pointY))
self:addNode(self._character,2)
elseif(huaxingType == 3)then --翅膀
local tempInfo = globalData.allTemplates.xiaofeiTemplateList:getTemplate(globalData.allStaticTypes.petXiaofeiType.CHIBANG,character)
self._character = globalManager.effectCreator:create(tonumber(tempInfo:getShowPath()),nil,nil,false)
if(self._character ~= nil) then
self._character:setScale(1.5)
local pointX = tonumber(showList[3]) or 0
local pointY = tonumber(showList[4]) or 0
self._character:move2(self,pointX,pointY)
self:addNode(self._character,2)
self._character:play()
end
elseif(huaxingType == 4)then --武器
self._weaponPath = globalManager.pathManager:getUISource("outPic/ui_newServerWeapon"..globalData.selfPlayerInfo.career..".png")
self._weaponImg = globalManager.ccCreator:newImageView()
self._weaponImg:setPosition(globalManager.ccCreator:newPoint(200,self._offsetY))
self:addChild(self._weaponImg,10)
globalManager.sourceCacheManager:setImage(self._weaponImg,self._weaponPath,globalData.allStaticTypes.sourceStaticType.clearOneM)
globalManager.tickManager:addTick(self.tick,self)
elseif(huaxingType == 5)then --时装
local effectId = 0
if(globalData.selfPlayerInfo.career == 1)then --枪
effectId = character
elseif(globalData.selfPlayerInfo.career == 2)then --剑
effectId = character + 1
end
self._character = globalManager.effectCreator:create(effectId,nil,nil,false)
if(self._character ~= nil) then
local pointX = tonumber(showList[3]) or 0
local pointY = tonumber(showList[4]) or 0
self._character:move2(self,pointX,pointY)
self:addNode(self._character,2)
self._character:play()
end
end
end
end
function NewServerGiftView:tick(delta,count)
self._offsetY = self._offsetY + self._flag
if(self._offsetY > 423 or self._offsetY < 383) then
self._flag = self._flag * -1
end
self._weaponImg:setPositionY(self._offsetY)
end
function NewServerGiftView:dispose()
self:removeEvent()
globalManager.tickManager:removeTick(self.tick,self)
globalManager.sourceCacheManager:removeQuote(self._bgPath)
self._bgPath = nil
for i = 1, #self.tab_btnPaths do
globalManager.sourceCacheManager:removeQuote(self.tab_btnPaths[i])
end
self.tab_btnPaths = nil
for k,v in pairs(self.itemList) do
if(v ~= nil)then
v:dispose()
v = nil
end
end
self.itemList = nil
if(self._character ~= nil)then
self._character:dispose()
end
if(self._characterInfo ~= nil) then
self._characterInfo:dispose()
end
if(self._effect ~= nil) then
self._effect:dispose()
self._effect = nil
end
if(self._txtTime ~= nil) then
self._txtTime:dispose()
self._txtTime = nil
end
if(self._weaponPath ~= nil)then
globalManager.sourceCacheManager:removeQuote(self._weaponPath)
self._weaponPath = nil
end
if(self._weaponImg ~= nil)then
globalManager.ccCreator:release(self._weaponImg)
self._weaponImg = nil
end
if(self._goodsInfos ~= nil) then
for __,info in ipairs(self._goodsInfos) do
info:dispose()
end
self._goodsInfos = nil
end
self._controller = nil
self.bg_img = nil
self.pay_btn = nil
self.descLabel = nil
self.close_btn = nil
self.fightCount_label = nil
self.tab_btns = nil
self._templateList = nil
self._index = nil
self.arrow_img = nil
self.tab_btns = nil
self.tab_btnName = nil
self.pay_bar = nil
self._templateList = nil
self._index = nil
self._character = nil
self._characterInfo = nil
self._effect = nil
self._txtTime = nil
self._offsetY = nil
self._flag = nil
self.tab_isReceive = nil
globalManager.ccCreator:release(self)
end
RenamePanel = class("RenamePanel",function(self,controller)
local temp = globalManager.ccCreator:newNode()
temp._background = globalManager.ccCreator:newImageView("board/ui_board5.png",1)
temp:addChild(temp._background)
temp._background:setScale9Enabled(true)
temp._background:setCapInsets(cc.rect(5,4,2,2))
temp._background:setOpacity(100)
--    temp._background:ignoreContentAdaptWithSize(false)
temp._background:setSize(globalManager.ccCreator:newSize(globalData.GAME_WIDTH,globalData.GAME_HEIGHT))
temp._background:setPosition(globalManager.ccCreator:newPoint(-(globalData.GAME_WIDTH - 470) / 2,-(globalData.GAME_HEIGHT - 359) / 2))
temp._background:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[7])
temp._background:setTouchEnabled(true)
temp._widget = globalManager.ccCreator:newJsonWidget("renamePanel")
temp:addChild(temp._widget,1)
temp._controller = controller
temp._renameBtn = temp._widget:getChildByName("renameBtn")
temp._getCardBtn = temp._widget:getChildByName("getBtn")
temp._closeBtn = temp._widget:getChildByName("closeBtn_Copy0")
temp._contentLabel = globalManager.ccCreator:newRichLabel2(nil,370)
temp._contentLabel:setPosition(globalManager.ccCreator:newPoint(60,250))
temp._widget:addChild(temp._contentLabel,5)
temp._renameBtn:getChildByName("Label_770433"):setText(globalManager.yuyanbaoManager:getYuyanbao("RenamePanel.text1"))
temp._getCardBtn:getChildByName("Label_770437"):setText(globalManager.yuyanbaoManager:getYuyanbao("RenamePanel.text2"))
temp._widget:getChildByName("Label_770430"):setText(globalManager.yuyanbaoManager:getYuyanbao("RenamePanel.text3"))
temp.inputBg = globalManager.ccCreator:newImageView("board/ui_board8.png",1)
temp.inputBg:setScale9Enabled(true)
temp.inputBg:setCapInsets(cc.rect(16,16,1,1))
temp.inputBg:setSize(globalManager.ccCreator:newSize(209,27))
temp.inputBg:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[7])
temp.inputBg:setPosition(cc.p(200,146))
temp:addChild(temp.inputBg,8)
temp._inputEditBox = globalManager.ccCreator:newEditBox(globalManager.ccCreator:newSize(209,27),36,18,nil,nil,false,"")
temp._inputEditBox:setPosition(globalManager.ccCreator:newPoint(200,146))
temp:addChild(temp._inputEditBox,9)
return temp
end)
function RenamePanel:ctor()
self:initEvent()
self:initView()
end
function RenamePanel:initEvent()
local function closeClickHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self._controller:hideRenamePanel()
end
end
local function renameClickHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(self:isCanRename())then
local name = globalManager.ccCreator:getTextString(self._inputEditBox)
self._controller.sceneModule.message:sendChangeName(name)
self._controller:hideRenamePanel()
end
end
end
local function getCardClickHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
globalManager.moduleManager:addModule(globalData.allStaticTypes.moduleType.shop,1,false)
self._controller:hideRenamePanel()
end
end
self._closeBtn:addTouchEventListener(closeClickHandler)
self._renameBtn:addTouchEventListener(renameClickHandler)
self._getCardBtn:addTouchEventListener(getCardClickHandler)
end
function RenamePanel:initView()
local cardInfo = globalData.allTemplates.goodsTemplateList:getTemplate(globalData.allStaticTypes.categoryType.CHANGE_NAME_CARD)
local cardCount = globalData.goodsInfoList:getGoodsCount(globalData.allStaticTypes.categoryType.CHANGE_NAME_CARD,1)
local nameText = "["..globalData.allStaticTypes.colorType:getColorStrByQuality(cardInfo.quality).."]"..cardInfo.name.."[-]"
local countText = ""
if(cardCount > 0)then
countText = "["..globalData.allStaticTypes.colorType.ITEMCOLOR2_STR.."]"..cardCount.."[-]"
self._getCardBtn:loadTextureNormal("btn/ui_tabBtn1_5.png",1)
self._getCardBtn:setTouchEnabled(false)
else
countText = "["..globalData.allStaticTypes.colorType.ITEMCOLOR7_STR.."]"..cardCount.."[-]"
self._getCardBtn:loadTextureNormal("btn/ui_tabBtn1_4.png",1)
self._getCardBtn:setTouchEnabled(true)
end
local text = string.format(globalManager.yuyanbaoManager:getYuyanbao("RenamePanel.text8"),nameText,countText)
self._contentLabel:setText(text)
end
function RenamePanel:isCanRename()
local cardCount = globalData.goodsInfoList:getGoodsCount(globalData.allStaticTypes.categoryType.CHANGE_NAME_CARD)
if(cardCount < 1)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("RenamePanel.text4"))
return false
end
local name = globalManager.ccCreator:getTextString(self._inputEditBox)
local len = globalManager.utf8:utf8len(name)
if(len < 2) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("RenamePanel.text5"))
return false
elseif(len > 6) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("RenamePanel.text6"))
return false
end
if(not globalData.wordFiltersInfo:checkName(name)) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("RenamePanel.text7"))
else
return true
end
end
function RenamePanel:dispose()
globalManager.ccCreator:release(self._background)
self._background = nil
self._controller = nil
self._renameBtn = nil
self._getCardBtn = nil
self._closeBtn = nil
if(self._contentLabel ~= nil)then
self._contentLabel:dispose()
self._contentLabel = nil
end
if(self._inputEditBox ~= nil)then
globalManager.ccCreator:release(self.inputBg)
self.inputBg = nil
globalManager.ccCreator:release(self._inputEditBox)
self._inputEditBox = nil
end
globalManager.ccCreator:release(self._widget)
self._widget = nil
globalManager.ccCreator:release(self)
end
ChangeProfessionPanel = class("ChangeProfessionPanel",function(self,controller)
local temp = globalManager.ccCreator:newNode()
temp._background = globalManager.ccCreator:newImageView("board/ui_board5.png",1)
temp:addChild(temp._background)
temp._background:setScale9Enabled(true)
temp._background:setCapInsets(cc.rect(5,4,2,2))
temp._background:setOpacity(100)
--    temp._background:ignoreContentAdaptWithSize(false)
temp._background:setSize(globalManager.ccCreator:newSize(globalData.GAME_WIDTH,globalData.GAME_HEIGHT))
temp._background:setPosition(globalManager.ccCreator:newPoint(-(globalData.GAME_WIDTH - 470) / 2,-(globalData.GAME_HEIGHT - 359) / 2))
temp._background:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[7])
temp._background:setTouchEnabled(true)
temp._widget = globalManager.ccCreator:newJsonWidget("changeProfession")
temp:addChild(temp._widget,1)
temp._controller = controller
temp._iconImagine = temp._widget:getChildByName("board3_Copy0"):getChildByName("ImageView_855790")
temp._bgPath = globalManager.pathManager:getUISource("outPic/careerIcon.png")
temp._iconList = {}
for i = 1, 6 do
temp._iconList[i] = temp._widget:getChildByName("board3_Copy0"):getChildByName("ImageView_855790"):getChildByName("career"..i)
end
temp.label_1 = temp._widget:getChildByName("Label1")
temp.label_2 = temp._widget:getChildByName("Label2")
temp.label_3 = temp._widget:getChildByName("Label3")
temp.label_4 = temp._widget:getChildByName("Label4")
temp.label_6 = temp._widget:getChildByName("Label6")
temp.label_5 = temp._widget:getChildByName("label5")
temp.getBtn = temp._widget:getChildByName("getBtn")
temp.closeBtn = temp._widget:getChildByName("closeBtn")
temp.okBtn = temp._widget:getChildByName("okBtn")
temp.select_Light = temp._widget:getChildByName("board3_Copy0"):getChildByName("ImageView_855790"):getChildByName("select_Light")
temp.pointList = {{-111,53},{1,53},{112,53},{-111,-54},{0,-54},{112,-52}}
temp.infoList = {
{globalManager.yuyanbaoManager:getYuyanbao("StartCreateRoleView.text4"), globalManager.yuyanbaoManager:getYuyanbao("StartCreateRoleView.text5"), globalManager.yuyanbaoManager:getYuyanbao("StartCreateRoleView.text6"), globalManager.yuyanbaoManager:getYuyanbao("StartCreateRoleView.text7"), globalManager.yuyanbaoManager:getYuyanbao("ChangeProfessionPanel.text1")},
{globalManager.yuyanbaoManager:getYuyanbao("StartCreateRoleView.text8"), globalManager.yuyanbaoManager:getYuyanbao("StartCreateRoleView.text9"), globalManager.yuyanbaoManager:getYuyanbao("StartCreateRoleView.text10"), globalManager.yuyanbaoManager:getYuyanbao("StartCreateRoleView.text11"), globalManager.yuyanbaoManager:getYuyanbao("ChangeProfessionPanel.text2")},
{globalManager.yuyanbaoManager:getYuyanbao("StartCreateRoleView.text12"), globalManager.yuyanbaoManager:getYuyanbao("StartCreateRoleView.text13"),globalManager.yuyanbaoManager:getYuyanbao("StartCreateRoleView.text14"), globalManager.yuyanbaoManager:getYuyanbao("StartCreateRoleView.text15"), globalManager.yuyanbaoManager:getYuyanbao("ChangeProfessionPanel.text3")},
{globalManager.yuyanbaoManager:getYuyanbao("StartCreateRoleView.text16"), globalManager.yuyanbaoManager:getYuyanbao("StartCreateRoleView.text5"), globalManager.yuyanbaoManager:getYuyanbao("StartCreateRoleView.text18"), globalManager.yuyanbaoManager:getYuyanbao("StartCreateRoleView.text19"), globalManager.yuyanbaoManager:getYuyanbao("ChangeProfessionPanel.text4")},
{globalManager.yuyanbaoManager:getYuyanbao("StartCreateRoleView.text20"), globalManager.yuyanbaoManager:getYuyanbao("StartCreateRoleView.text9"), globalManager.yuyanbaoManager:getYuyanbao("StartCreateRoleView.text22"), globalManager.yuyanbaoManager:getYuyanbao("StartCreateRoleView.text23"), globalManager.yuyanbaoManager:getYuyanbao("ChangeProfessionPanel.text5")},
{globalManager.yuyanbaoManager:getYuyanbao("StartCreateRoleView.text24"), globalManager.yuyanbaoManager:getYuyanbao("StartCreateRoleView.text13"), globalManager.yuyanbaoManager:getYuyanbao("StartCreateRoleView.text26"), globalManager.yuyanbaoManager:getYuyanbao("StartCreateRoleView.text27"), globalManager.yuyanbaoManager:getYuyanbao("ChangeProfessionPanel.text6")}
}
temp.selectCareer = 1
temp.cardCount = 0
temp._widget:getChildByName("label5"):setText(globalManager.yuyanbaoManager:getYuyanbao("ChangeProfessionPanel.text7"))
temp.getBtn:getChildByName("btnLabel_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("ChangeProfessionPanel.text8"))
temp.okBtn:getChildByName("btnLabel_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("ChangeProfessionPanel.text9"))
return temp
end)
function ChangeProfessionPanel:ctor()
globalManager.sourceCacheManager:setImage(self._iconImagine,self._bgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self:initEvent()
self:initView()
self:setCareer(1)
end
function ChangeProfessionPanel:initView()
self.cardCount = globalData.goodsInfoList:getGoodsCount(globalData.allStaticTypes.CHANGECAREER_CARD,1)
--countText = "["..globalData.allStaticTypes.colorType.ITEMCOLOR7_STR.."]"..self.cardCount.."[-]"
self.label_5:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("ChangeProfessionPanel.text10"),self.cardCount))
end
function ChangeProfessionPanel:initEvent()
local function careerClickHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
for k,node in pairs(self._iconList) do
if sender == node then
self:setCareer(k)
end
end
end
end
local function getClickHandler(sender,eventType)
-- body
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self._controller:hideChangeProfessionPanel()
globalManager.moduleManager:addModule(globalData.allStaticTypes.moduleType.shop,1,false)
end
end
local function closeClickHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self._controller:hideChangeProfessionPanel()
end
end
local function okClickHandler(sender,eventType)
-- body
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if self:isCanChange() then
self._controller.sceneModule.message:sendChangeProfession(self.selectCareer)
self._controller:hideChangeProfessionPanel()
end
end
end
for i = 1, 6 do
self._iconList[i]:addTouchEventListener(careerClickHandler)
end
self.getBtn:addTouchEventListener(getClickHandler)
self.closeBtn:addTouchEventListener(closeClickHandler)
self.okBtn:addTouchEventListener(okClickHandler)
end
function ChangeProfessionPanel:setCareer(index)
-- body
self.selectCareer = index
self.select_Light:setPosition(self.pointList[index][1],self.pointList[index][2])
self.label_1:setText(self.infoList[index][1])
self.label_2:setText(self.infoList[index][2])
self.label_3:setText(self.infoList[index][3])
self.label_4:setText(self.infoList[index][4])
self.label_6:setText(self.infoList[index][5])
end
function ChangeProfessionPanel:isCanChange()
local function isSameCareer(career1,career2)
if career2 == career1 or career2 + 10 == career1 then
return true
else
return false
end
end
if self.cardCount == 0 then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("ChangeProfessionPanel.text11"))
return false
else
if isSameCareer(globalData.selfPlayerInfo.career, self.selectCareer) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("ChangeProfessionPanel.text12"))
return false
elseif globalData.marryInfo.marryId > 0 then --判断是否结缘
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("ChangeProfessionPanel.text13"))
return false
end
end
return true
end
function ChangeProfessionPanel:dispose()
self._iconImagine = nil
self._controller = nil
self._bgPath = nil
for i = 1, 6 do
self._iconList[i] = nil
end
self.label_1 = nil
self.label_2 = nil
self.label_3 = nil
self.label_4 = nil
self.label_5 = nil
self.label_6 = nil
self.getBtn = nil
self.closeBtn = nil
self.okBtn = nil
self.cardCount = 0
self.select_Light = nil
self.pointList = nil
self.infoList = nil
self.selectCareer = 0
globalManager.ccCreator:release(self._background)
self._background = nil
globalManager.ccCreator:release(self._widget)
self._widget = nil
globalManager.ccCreator:release(self)
end
CopyTanBaoRankItem = class("CopyTanBaoRankItem", function(_, info)
local self = globalManager.ccCreator:newJsonWidget("tabBaoRankItemView")
self._info    = info
self._txtName = self:getChildByName("name_label")
self._txtDead = self:getChildByName("dead_label")
self._txtGold = self:getChildByName("gold_label")
self._txtRank = self:getChildByName("rank_label")
self._picRank = self:getChildByName("rank_icon")
return self
end)
function CopyTanBaoRankItem:ctor()
-- rank, name, amount, copper
local rank   = self._info[1]
local name   = self._info[2]
local amount = self._info[3]
local copper = self._info[4]
if rank > 3 then
self._txtRank:setText(rank)
self._picRank:setEnabled(false)
else
self._picRank:setEnabled(true)
self._txtRank:setText("")
self._picRank:loadTexture("icon/ui_copyNo"..rank..".png", 1)
end
self._txtName:setText(name)
self._txtDead:setText(amount)
self._txtGold:setText(copper)
end
function CopyTanBaoRankItem:dipose()
self._info    = nil
self._txtName = nil
self._txtDead = nil
self._txtGold = nil
self._txtRank = nil
self._picRank = nil
globalManager.ccCreator:release(self)
end
CopyTanBaoCompletePanel = class("CopyTanBaoCompletePanel", function(_)
local self = globalManager.ccCreator:newJsonWidget("tanbaoOverView")
self._txtRank = self:getChildByName("count_label")
self._txtGold = self:getChildByName("rank_label")
self._btnQuit = self:getChildByName("quit_btn")
self._info    = globalData.copyInfo:getCopyInfo(globalData.allTemplates.copyTemplateList.TANBAO)
self._bgCells = {}
self._grids   = {}
for i = 1, 3 do
table.insert(self._bgCells, self:getChildByName("item"..i.."_cell"))
end
self._txtRank:setText("100+")
self._txtGold:setText("0")
self:getChildByName("rankLabel_Copy1"):setText(globalManager.yuyanbaoManager:getYuyanbao("CopyTanBaoCompletePanel.text1"))
self:getChildByName("rankLabel_Copy3"):setText(globalManager.yuyanbaoManager:getYuyanbao("CopyTanBaoCompletePanel.text2"))
self._btnQuit:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("MarryRingTip.text3"))
return self
end)
function CopyTanBaoCompletePanel:ctor()
local function btnClickHandler(sender, eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self:dispose()
end
end
self._btnQuit:addTouchEventListener(btnClickHandler)
globalData.uiClickContainer:addItem(self,true,true)
self._txtRank:setText(self._info.rank or "")
self._txtGold:setText(self._info.copper or "")
for i = 1, #self._info.Item do
local info = self._info.Item[i]
local grid = BaseGrid:new()
local tmpInfo = globalData.allTemplates.goodsTemplateList:getTemplate(info[1])
table.insert(self._grids, grid)
self._bgCells[i]:addChild(grid, 5)
grid:setGoodsTempInfo(tmpInfo)
grid:setCount(info[2])
end
end
function CopyTanBaoCompletePanel:hideFormClickContainer()
self:dispose()
end
function CopyTanBaoCompletePanel:dispose()
self._txtRank = nil
self._txtGold = nil
self._btnQuit = nil
for i = 1, 3 do
self._bgCells[i] = nil
end
if self._grids ~= nil then
for i = 1, #self._grids do
self._grids[i]:dispose()
end
self._grids = nil
end
self._bgCells = nil
self._info = nil
globalData.uiClickContainer:close(self)
globalManager.ccCreator:release(self)
end
CopyTanBaoFollowPanel = class("CopyTanBaoFollowPanel", function(_self, controller)
local self = globalManager.ccCreator:newJsonWidget("tanBaoFollowPanel")
self._controller  = controller
self._info 		  = globalData.copyInfo:getCopyInfo(globalData.allTemplates.copyTemplateList.TANBAO)
self._btnRankList = self:getChildByName("info_btn")
self._btnTip      = self:getChildByName("info_btn_Copy0")
self._txtMyRank   = self:getChildByName("rank_label")
self._txtMyGold   = self:getChildByName("gold_label")
self._txtMyExp    = self:getChildByName("exp_label")
self._txtNames    = {}
self._txtGolds    = {}
self._time 		  = 0
for i = 1, 5 do
table.insert(self._txtNames, self:getChildByName("name_label"..i))
table.insert(self._txtGolds, self:getChildByName("gold_label"..i))
self._txtNames[i]:setText("")
self._txtGolds[i]:setText("")
end
self:getChildByName("Label_359589"):setText(globalManager.yuyanbaoManager:getYuyanbao("CopyTanBaoFollowPanel.text3"))
self:getChildByName("tip_btn"):getChildByName("Label_359589_Copy2"):setText(globalManager.yuyanbaoManager:getYuyanbao("CopyTanBaoFollowPanel.text4"))
self:getChildByName("Label_359597"):setText(globalManager.yuyanbaoManager:getYuyanbao("StarcraftPanel.text17"))
self:getChildByName("Label_359595"):setText(globalManager.yuyanbaoManager:getYuyanbao("CopyDefenedCompletePanel.text4"))
self._txtMyRank:setText("100+")
self._txtMyGold:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("CopyTanBaoFollowPanel.text2"),0))
self._txtMyExp:setText("0")
self._btnRankList:setTouchEnabled(true)
self._isDoudleExp = false
return self
end)
function CopyTanBaoFollowPanel:ctor()
self._isDoudleExp = globalData.consumenGiftInfo.tanBaoIsShow
self._controller:setCopyTime(math.floor((globalData.activityIcons.TANBAO.timeEnd - globalData.systemDateInfo:getZeroPassTime())))
local function btnClickHandler(sender, eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if sender == self._btnRankList then
CopyTanBaoRankPanel:new(self._controller.sceneModule)
--打开排名列表
elseif sender == self._btnTip then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
globalManager.tipsManager:showString(globalManager.descriptManager:getDescript("10036"))
end
end
end
self._btnRankList:addTouchEventListener(btnClickHandler)
self._btnTip:addTouchEventListener(btnClickHandler)
self:initEvent()
globalManager.tickManager:addTick(self.tick,self)
self._controller.sceneModule.message:sendTanbaoInfo()
end
function CopyTanBaoFollowPanel:tick(delta,count)
self._time = self._time + delta
if(self._time >= 10) then
self._time = 0
self._controller.sceneModule.message:sendTanbaoInfo()
end
end
function CopyTanBaoFollowPanel:tanbaoInfoUpdate(evt)
self._txtMyRank:setText(self._info.rank)
self._txtMyGold:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("CopyTanBaoFollowPanel.text2"),self._info.copper))
if(self._isDoudleExp)then
self._txtMyExp:setText(self._info.exp * 2)
else
self._txtMyExp:setText(self._info.exp)
end
for i=1,5 do
local info = self._info.Info[i]
if info == nil then
self._txtNames[i]:setText("")
self._txtGolds[i]:setText("")
else
self._txtNames[i]:setText(info[1].."  "..info[2])
self._txtGolds[i]:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("CopyTanBaoFollowPanel.text2"),info[3]))
end
end
end
function CopyTanBaoFollowPanel:initEvent()
self._info:addEventListener(globalData.globalEventType.tanbao_infoUpdate,self.tanbaoInfoUpdate,self)
end
function CopyTanBaoFollowPanel:removeEvent()
self._info:removeEventListener(globalData.globalEventType.tanbao_infoUpdate,self.tanbaoInfoUpdate,self)
end
function CopyTanBaoFollowPanel:dispose()
globalManager.tickManager:removeTick(self.tick,self)
self:removeEvent()
self._controller  = nil
self._btnRankList = nil
self._btnTip      = nil
self._txtMyRank   = nil
self._txtMyGold   = nil
self._txtMyExp    = nil
self._info 		  = nil
self._btnTipLabel = nil
self._isDoudleExp = nil
for i = 1, #self._txtNames do
self._txtNames[i] = nil
self._txtGolds[i] = nil
end
self._txtNames    = nil
self._txtGolds    = nil
globalManager.ccCreator:release(self)
end
CopyTanBaoRankPanel = class("CopyTanBaoRankPanel", function(_, module)
local self = globalManager.ccCreator:newJsonWidget("tanBaoRankPanel")
self._module   = module
self._info     = globalData.copyInfo:getCopyInfo(globalData.allTemplates.copyTemplateList.TANBAO)
self._listView = self:getChildByName("list_panel")
self:getChildByName("content1"):setText(globalManager.yuyanbaoManager:getYuyanbao("CopyTanBaoRankPanel.text1"))
self:getChildByName("content2"):setText(globalManager.yuyanbaoManager:getYuyanbao("CopyTanBaoRankPanel.text2"))
self:getChildByName("content3"):setText(globalManager.yuyanbaoManager:getYuyanbao("StarcraftPanel.text8"))
self:getChildByName("content4"):setText(globalManager.yuyanbaoManager:getYuyanbao("StarcraftPanel.text7"))
self._count    = 0
self._current  = 0
return self
end)
function CopyTanBaoRankPanel:ctor()
self:initEvent()
if self._info:requireRank() then
self._module.message:sendTanbaoRank()
else
self:rankUpdate()
end
globalData.uiClickContainer:addItem(self,true,true)
end
function CopyTanBaoRankPanel:initEvent()
self._info:addEventListener(globalData.globalEventType.tanbao_rankUpdate, self.rankUpdate, self)
end
function CopyTanBaoRankPanel:rankUpdate(evt)
if self._info.Ranks ~= nil then
globalManager.tickManager:addTick(self.tickAdd, self)
end
end
function CopyTanBaoRankPanel:tickAdd(delta,count)
self._count = self._count + 1
if self._count > 3 then
self._count = 0
self._current = self._current + 1
local info = self._info.Ranks[self._current]
assert(info, "探宝排行信息不能为空")
self._listView:pushBackCustomItem( CopyTanBaoRankItem:new( info ) )
if #self._info.Ranks == self._current then
globalManager.tickManager:removeTick(self.tickAdd, self)
end
end
end
function CopyTanBaoRankPanel:hideFormClickContainer()
self:dispose()
end
function CopyTanBaoRankPanel:removeEvent()
self._info:removeEventListener(globalData.globalEventType.tanbao_rankUpdate, self.rankUpdate, self)
end
function CopyTanBaoRankPanel:dispose()
globalManager.tickManager:removeTick(self.tickAdd, self)
self:removeEvent()
self._listView:removeAllItems()
self._module   = nil
self._listView = nil
self._info     = nil
globalData.uiClickContainer:close(self)
globalManager.ccCreator:release(self)
end
ToWestItemView = class("ToWestItemView",function(self,controller,index)
local temp = globalManager.ccCreator:newJsonWidget("ToWestItemView")
temp._controller = controller
temp._index = index
temp._itemBg = temp:getChildByName("itemBg")
temp._itemPath = globalManager.pathManager:getUISource("outPic/welfareSignItemBg.png")
local cell = temp:getChildByName("cell")
temp._grid = BaseGrid:new()
cell:addChild(temp._grid)
temp._nameImg = temp:getChildByName("nameImg")
temp._nameImgPath = globalManager.pathManager:getUISource("outPic/toWestItemName"..temp._index..".png")
temp._getBtn = temp:getChildByName("getBtn")
temp._hasGotFlag = temp:getChildByName("hasGotFlag")
temp._tipsLabel = temp:getChildByName("tipsLabel")
temp._dayLabel = temp:getChildByName("dayLabel")
temp._taskLabelList = {}
temp._stateLabelList = {}
temp._goBtnList = {}
temp.effect = nil
temp._btnPath = globalManager.pathManager:getUISource("outPic/goBtn.png")
for i = 1,4,1 do
table.insert(temp._taskLabelList,temp:getChildByName("taskLabel"..i))
table.insert(temp._stateLabelList,temp:getChildByName("stateLabel"..i))
table.insert(temp._goBtnList,temp:getChildByName("goBtn"..i))
end
temp._tempInfoList = globalData.allTemplates.toWestTemplateList:getInfoListByDay(temp._index)
temp._equipStrengthInfo = nil
temp._tipsLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("ToWestItemView.text3"))
temp._getBtn:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("ToWestItemView.text1"))
return temp
end)
function ToWestItemView:ctor()
globalManager.sourceCacheManager:setImage(self._itemBg,self._itemPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
globalManager.sourceCacheManager:setImage(self._nameImg,self._nameImgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
for i = 1,4,1 do
globalManager.sourceCacheManager:setImage(self._goBtnList[i],self._btnPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
end
self:initEvent()
self:initView()
end
function ToWestItemView:initEvent()
local clickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
local index = globalManager.commonUtils:getIndexOfTable(self._goBtnList,sender)
globalManager.triggerManager:handlerList(self._tempInfoList[index].depoly)
end
end
local getClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self._controller.sceneModule.message:toWestGetAward(self._index)
if(self.effect ~= nil) then
self.effect:dispose()
self.effect = nil
end
end
end
for i = 1,4,1 do
self._goBtnList[i]:addTouchEventListener(clickHandler)
end
self._getBtn:addTouchEventListener(getClickHandler)
globalData.toWestInfo:addEventListener(globalData.globalEventType.toWest_InfoUpdate,self.initView,self)
end
function ToWestItemView:removeEvent()
globalData.toWestInfo:removeEventListener(globalData.globalEventType.toWest_InfoUpdate,self.initView,self)
end
function ToWestItemView:initView()
self._dayLabel:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("WelfareSignView.text4"),self._index))
self._grid:setGoodsTempInfo(globalData.allTemplates.goodsTemplateList:getTemplate(self._tempInfoList[1].awardList[1][1]))
self._grid:setCount(self._tempInfoList[1].awardList[1][2])
local i = 1
local count = 0
for __,info in pairs(self._tempInfoList) do
if(i <= 4)then
self._taskLabelList[i]:setText(info.contentDes)
local state = globalData.toWestInfo:getTaskState(info.type,info.condition)
if(state == 0)then --未完成
self._goBtnList[i]:setEnabled(true)
self._stateLabelList[i]:setText("")
elseif(state == 1)then --完成
self._goBtnList[i]:setEnabled(false)
self._stateLabelList[i]:setText("已完成")
self._stateLabelList[i]:setColor(globalData.allStaticTypes.colorType.TRUE_COLOR)
count = count + 1
elseif(state > 1)then --等级不够
self._goBtnList[i]:setEnabled(false)
self._stateLabelList[i]:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("ToWestItemView.text2"),state))
self._stateLabelList[i]:setColor(globalData.allStaticTypes.colorType.FALSE_COLOR)
end
i = i + 1
end
end
if(self.effect ~= nil) then
self.effect:dispose()
self.effect = nil
end
if(count >= 4)then
self._tipsLabel:setVisible(false)
self._dayLabel:setVisible(false)
local index1 = globalManager.commonUtils:getIndexOfTable(globalData.toWestInfo.hasGetList,self._index)
if(index1 ~= -1)then --已领取
self._getBtn:setEnabled(false)
self._hasGotFlag:setVisible(true)
else
self._getBtn:setEnabled(true)
self._hasGotFlag:setVisible(false)
if(self.effect == nil) then
self.effect = globalManager.effectCreator:create(78)
self.effect:setScaleX(1.8)
self.effect:move2(self._exchangeBTN,0,0)
self._getBtn:addNode(self.effect,0)
self.effect:play()
end
end
else
self._tipsLabel:setVisible(true)
self._dayLabel:setVisible(true)
self._getBtn:setEnabled(false)
self._hasGotFlag:setVisible(false)
end
end
function ToWestItemView:dispose()
if(self.effect ~= nil) then
self.effect:dispose()
self.effect = nil
end
self:removeEvent()
self._controller = nil
self._index = nil
self._itemBg = nil
globalManager.sourceCacheManager:removeQuote(self._itemPath)
self._itemPath = nil
self._grid:dispose()
self._grid = nil
self._nameImg = nil
globalManager.sourceCacheManager:removeQuote(self._nameImgPath)
self._nameImgPath = nil
self._getBtn = nil
self._hasGotFlag = nil
self._tipsLabel = nil
self._dayLabel = nil
self._taskLabelList = nil
self._stateLabelList = nil
self._goBtnList = nil
globalManager.sourceCacheManager:removeQuote(self._btnPath)
self._btnPath = nil
self._tempInfoList = nil
self._equipStrengthInfo = nil
globalManager.ccCreator:release(self)
end
ToWestPanel = class("ToWestPanel",function (self,controller)
local temp = BasePanel:new()
temp.BasePanelDispose = temp.dispose
temp._controller = controller
temp._widget = globalManager.ccCreator:newJsonWidget("ToWestPanel")
temp:addChild(temp._widget)
local timeLabel = temp._widget:getChildByName("timeLabel")
temp._countDownLabel = CountDownLabel:new(timeLabel,7,20,nil,0)
temp._itemView = temp._widget:getChildByName("listView")
temp._itemList = {}
temp._widget:getChildByName("contentLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("ToWestPanel.text1"))
return temp
end)
function ToWestPanel:ctor()
self:initEvent()
self:initView()
end
function ToWestPanel:initEvent()
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.global_systemHour,self.initView,self)
end
function ToWestPanel:removeEvent()
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.global_systemHour,self.initView,self)
end
function ToWestPanel:initView()
local systemTime = math.floor(globalData.systemDateInfo:getSystemTime() / 1000)
local endTime = globalData.toWestInfo:getEndTime()
local time = endTime - systemTime
self._countDownLabel:start(time,self.endTimeHandler,self)
for i = 1,7,1 do
local item = ToWestItemView:new(self._controller,i)
self._itemView:pushBackCustomItem(item)
table.insert(self._itemList,item)
end
self:setScroll()
end
function ToWestPanel:setScroll()
globalManager.tickManager:addTick(self.tick,self)
end
function ToWestPanel:tick()
globalManager.tickManager:removeTick(self.tick,self)
local hasGetList = globalData.toWestInfo.hasGetList
local k = 0
for i = 1,7,1 do
local index = globalManager.commonUtils:getIndexOfTable(hasGetList,i)
if(index ~= -1)then
k = i
else
break
end
end
self._itemView:refreshView()
local pre = k / (7 - 3) * 100
if(pre > 100)then pre = 100 end
self._itemView:jumpToPercentHorizontal(pre)
end
function ToWestPanel:endTimeHandler()
globalData.uiPanelContainer:close()
end
function ToWestPanel:dispose()
globalManager.tickManager:removeTick(self.tick,self)
self:removeEvent()
self._controller = nil
self._countDownLabel:dispose()
self._countDownLabel = nil
self._itemView = nil
for __,item in pairs(self._itemList) do
item:dispose()
item = nil
end
self._itemList = nil
globalManager.ccCreator:release(self._widget)
self._widget = nil
self:BasePanelDispose()
self.BasePanelDispose = nil
end
StarcraftAwardItem = class("StarcraftAwardItem", function(self,index)
local temp = globalManager.ccCreator:newJsonWidget("ArenaRankAwardItemView")
temp._index = index
temp._rankLabel = temp:getChildByName("rankLabel")
temp._awardImg = temp:getChildByName("awardImg")
temp._gridList = {}
for i=1,5 do
local gridWidget = temp:getChildByName("awardGrid" .. i)
local grid = BaseGrid:new(true)
grid:setPosition(cc.p(gridWidget:getPositionX() + 2,gridWidget:getPositionY() - 8))
temp:addChild(grid,10)
table.insert(temp._gridList,grid)
end
return temp
end)
function StarcraftAwardItem:ctor()
self:initView()
end
function StarcraftAwardItem:initView()
local info
if(self._index == 1)then
self._rankLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("StarcraftAwardItem.text1"))
self._awardImg:loadTexture("icon/ui_arenaNo1.png", 1)
info = globalData.allTemplates.starcraftTemplateList:getTemplateByCondition(7,1,1)
elseif(self._index == 2)then
self._rankLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("StarcraftAwardItem.text2"))
self._awardImg:loadTexture("icon/ui_arenaNo2.png", 1)
info = globalData.allTemplates.starcraftTemplateList:getTemplateByCondition(7,2,2)
elseif(self._index == 3)then
self._rankLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("StarcraftAwardItem.text3"))
self._awardImg:loadTexture("icon/ui_arenaNo3.png", 1)
info = globalData.allTemplates.starcraftTemplateList:getTemplateByCondition(7,3,3)
elseif(self._index == 4)then
self._rankLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("StarcraftAwardItem.text4"))
self._awardImg:loadTexture("icon/ui_arenaNo4.png", 1)
info = globalData.allTemplates.starcraftTemplateList:getTemplateByCondition(7,4,10)
elseif(self._index == 5)then
self._rankLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("StarcraftAwardItem.text5"))
self._awardImg:loadTexture("icon/ui_arenaNo5.png", 1)
info = globalData.allTemplates.starcraftTemplateList:getTemplateByCondition(7,11,20)
end
local len = #info.awardList
if(len > 5)then len = 5 end
if(len > 0)then
for i = 1,len,1 do
self._gridList[i]:setGoodsTempInfo(globalData.allTemplates.goodsTemplateList:getTemplate(info.awardList[i][1]))
self._gridList[i]:setCount(info.awardList[i][2])
end
end
end
function StarcraftAwardItem:dispose()
for __,grid in pairs(self._gridList) do
grid:dispose()
end
self._gridList = nil
self._rankLabel = nil
self._awardImg = nil
globalManager.ccCreator:release(self)
end
StarcraftAwardPanel = class("StarcraftAwardPanel", function(self,parent)
local temp = globalManager.ccCreator:newJsonWidget("ArenaRankAwardPanel")
temp._parent = parent
temp._listView = temp:getChildByName("listView")
temp._listView:setItemsMargin(10)
temp._closeBtn = temp:getChildByName("closeBtn")
temp._titleLabel = temp:getChildByName("title_label")
temp._titleLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("StarcraftAwardPanel.text1"))
temp._awardItemList = {}
for i = 1,5,1 do
local item = StarcraftAwardItem:new(i)
temp._listView:pushBackCustomItem(item)
table.insert(temp._awardItemList,item)
end
return temp
end)
function StarcraftAwardPanel:ctor()
self:initEvent()
globalData.uiClickContainer:addItem(self,true,true)
end
function StarcraftAwardPanel:initEvent()
local function buttonTouchHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self._parent:hideRankAwardPanel()
end
end
self._closeBtn:addTouchEventListener(buttonTouchHandler)
end
function StarcraftAwardPanel:removeEvent()
end
function StarcraftAwardPanel:hideFormClickContainer()
self._parent:hideRankAwardPanel()
end
function StarcraftAwardPanel:dispose()
self:removeEvent()
globalData.uiClickContainer:close(self)
for __,item in pairs(self._awardItemList) do
item:dispose()
end
self._awardItemList = nil
self._titleLabel = nil
self._parent = nil
self._listView = nil
self._rankLabel = nil
self._closeBtn = nil
globalManager.ccCreator:release(self)
end
StarcraftCompletePanel = class("StarcraftCompletePanel", function(self)
local self = globalManager.ccCreator:newJsonWidget("copyOverView5")
self._info 	 	  = globalData.copyInfo.starcraftCopyInfo
self.txtV2        = self:getChildByName("txtV2")
self.txtV4        = self:getChildByName("txtV4")
self.quitBtn      = self:getChildByName("quitBtn")
self.timeLabel    = self.quitBtn:getChildByName("btnLabel")
self.copperLabel  = self:getChildByName("honourLabel_Copy0")
self.goldImg      = self:getChildByName("goldImg")
self._itemList    = {}
for i = 1,5,1 do
table.insert(self._itemList,self:getChildByName("item"..i))
end
self._time  = 0
self._count = 0
self._goodsInfos = {}
self._gridList = {}
self.copper = 0
self:getChildByName("againBtn"):setEnabled(false)
self:getChildByName("againBtn"):setVisible(false)
self:getChildByName("honourLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("StarcraftCompletePanel.text2"))
self:getChildByName("honourLabel_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("StarcraftCompletePanel.text3"))
self:getChildByName("honourLabel_Copy1"):setText(globalManager.yuyanbaoManager:getYuyanbao("StarcraftCompletePanel.text4"))
self:getChildByName("quitBtn"):getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel1"))
self:getChildByName("tipsLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("WorldBossVipCompletePanel.text5"))
return self
end)
function StarcraftCompletePanel:ctor()
self:initEvent()
self:show()
end
function StarcraftCompletePanel:initEvent()
local exitClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self:dispose()
end
end
self.quitBtn:addTouchEventListener(exitClickHandler)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_reConnect,self.dispose,self)
end
function StarcraftCompletePanel:removeEvent()
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.scene_reConnect,self.dispose,self)
end
function StarcraftCompletePanel:show()
self._time = 5
self.timeLabel:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("WorldBossVipCompletePanel.text1"),self._time))
self._count = 0
globalManager.tickManager:addTick(self.tick,self)
self.txtV4:setText(self._info.exp)
local index = 1
local len = #self._info.goodsList
if(len > 5)then len = 5 end
--for __,item in pairs(self._info.goodsList) do
for i = 1,len,1 do
local templateInfo = globalData.allTemplates.goodsTemplateList:getTemplate(self._info.goodsList[i][1])
if(templateInfo.categoryId == globalData.allStaticTypes.categoryType.copperType)then
self.copper = templateInfo.property1 * self._info.goodsList[i][2]
elseif(self._info.goodsList[i][3] == nil or self._info.goodsList[i][3] == 0 or self._info.goodsList[i][3] == globalData.allStaticTypes.careerType:getCareer(globalData.selfPlayerInfo.career)) then   --自己的职业，或者不分职业的物品筛选
local grid = GoodsInfoGrid:new()
local goodsinfo = GoodsInfo:new()
goodsinfo:setTemplateId(self._info.goodsList[i][1])
goodsinfo.count = self._info.goodsList[i][2]
if(self._info.goodsList[i][4] ~= nil) then
goodsinfo:updateStrengthLevel(self._info.goodsList[i][4])
end
if(self._info.goodsList[i][5] ~= nil) then
goodsinfo.stage = self._info.goodsList[i][5]
end
table.insert(self._goodsInfos,goodsinfo)
grid:setGoodsInfo(goodsinfo)
self._itemList[index]:addChild(grid)
table.insert(self._gridList,grid)
index = index + 1
end
end
self.txtV2:setText(self._info.copper + self.copper)
globalData.uiClickContainer:addItem(self,true,true)
end
function StarcraftCompletePanel:tick(delta,count)
self._count = self._count + 1
if(self._count >= 60) then
self._count = 0
self._time = self._time - 1
if(self._time <= 0) then
self:dispose()
else
self.timeLabel:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("WorldBossVipCompletePanel.text1"),self._time))
end
end
end
function StarcraftCompletePanel:hideFormClickContainer()
end
function StarcraftCompletePanel:dispose()
globalData.uiClickContainer:close(self)
globalManager.tickManager:removeTick(self.tick,self)
self:removeEvent()
for __,info in pairs(self._goodsInfos) do
info:dispose()
end
if(self._gridList ~= nil) then
for __,grid in pairs(self._gridList) do
grid:dispose()
end
self._gridList = nil
end
self._itemList = nil
self._goodsInfos = nil
self._info = nil
self.txtV2 = nil
self.txtV4 = nil
self.quitBtn = nil
self.timeLabel = nil
self.copperLabel = nil
self.goldImg = nil
globalManager.ccCreator:release(self)
end
StarcraftFollowItem = class("StarcraftFollowItem",function(self)
local temp = globalManager.ccCreator:newJsonWidget("starcraftFollowItem")
temp._num_label = temp:getChildByName("num_label")
temp._name_label = temp:getChildByName("name_label")
temp._score_label = temp:getChildByName("score_label")
return temp
end)
function StarcraftFollowItem:setInfo(info)
if(info == nil)then return end
self._num_label:setText(info.revival .. globalManager.yuyanbaoManager:getYuyanbao("SceneTryCopyLYPanel.text7"))
self._name_label:setText("[" .. info.serverId .. "]" .. info.nick)
self._score_label:setText(info.score)
if(info.state == 1)then
if(info.revival == 0)then
self._num_label:setColor(globalData.allStaticTypes.colorType.COLORRED)
elseif(info.revival < 0)then
self._num_label:setColor(globalData.allStaticTypes.colorType.COLORRED)
self._num_label:setText(globalManager.yuyanbaoManager:getYuyanbao("StarcraftFollowItem.text2"))
else
self._num_label:setColor(globalData.allStaticTypes.colorType.COLORGREEN)
end
else
self._num_label:setText(globalManager.yuyanbaoManager:getYuyanbao("StarcraftFollowItem.text3"))
self._num_label:setColor(globalData.allStaticTypes.colorType.COLORRED)
end
end
function StarcraftFollowItem:dispose()
self._num_label = nil
self._name_label = nil
self._score_label = nil
globalManager.ccCreator:release(self)
end
StarcraftFollowPanel = class("StarcraftFollowPanel",function(self)
local temp = globalManager.ccCreator:newJsonWidget("starsratfFollowPanel")
temp.inCopyLayer = temp:getChildByName("inCopyLayer")
temp.readyPanel  = temp:getChildByName("readyPanel")
temp._rankPanel  = temp.inCopyLayer:getChildByName("rank_panel_Copy0")
local countDown  = temp.readyPanel:getChildByName("timeDownLayer")
temp._countDownLabel  = CountDownLabel:new(nil,3,30,globalData.allStaticTypes.colorType.COLORGREEN)
countDown:addChild(temp._countDownLabel)
temp._itemList   = {}
temp._score      = temp.inCopyLayer:getChildByName("score")
local timeLayer  = temp.inCopyLayer:getChildByName("time_layer")
temp._timeLabel  = CountDownLabel:new(nil,3,nil,globalData.allStaticTypes.colorType.COLORGREEN,30)
timeLayer:addChild(temp._timeLabel)
temp.inCopyLayer:getChildByName("nameLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("StarcraftFollowPanel.text1"))
temp.inCopyLayer:getChildByName("scoreLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("StarcraftFollowPanel.text2"))
temp.inCopyLayer:getChildByName("revivalLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("StarcraftFollowPanel.text3"))
temp.inCopyLayer:getChildByName("remainTimeLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("StarcraftFollowPanel.text4"))
temp.inCopyLayer:getChildByName("personScoreLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("StarcraftFollowPanel.text5"))
temp.readyPanel:getChildByName("ready_label"):setText(globalManager.yuyanbaoManager:getYuyanbao("StarcraftFollowPanel.text6"))
temp.readyPanel:getChildByName("nameLabel_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("StarcraftFollowPanel.text7"))
temp._info       = globalData.copyInfo.starcraftCopyInfo
return temp
end)
function StarcraftFollowPanel:ctor()
for i = 1,10,1 do
local selfItem = StarcraftFollowItem:new()
self._rankPanel:pushBackCustomItem(selfItem)
table.insert(self._itemList,selfItem)
end
globalData.messageAdder:sendReadZoneTime()
self:initEvent()
end
function StarcraftFollowPanel:initEvent()
self._info:addEventListener(globalData.globalEventType.starcraftCopyInfo_update,self.followUpdate,self)
self._info:addEventListener(globalData.globalEventType.starcraftReadZoneTime_update,self.readZoneTimeUpdate,self)
end
function StarcraftFollowPanel:removeEvent()
self._info:removeEventListener(globalData.globalEventType.starcraftCopyInfo_update,self.followUpdate,self)
self._info:removeEventListener(globalData.globalEventType.starcraftReadZoneTime_update,self.readZoneTimeUpdate,self)
end
function StarcraftFollowPanel:readZoneTimeUpdate()
self.inCopyLayer:setVisible(false)
self.readyPanel:setVisible(true)
self._countDownLabel:start(self._info.timeDown)
end
function StarcraftFollowPanel:followUpdate()
self.readyPanel:setVisible(false)
self.inCopyLayer:setVisible(true)
local userId = globalData.selfPlayerInfo.userId
local currentInfo = nil
local sortFunc = function(info1,info2)
if(tonumber(info1.score) == tonumber(info2.score))then
return tonumber(info1.revival) > tonumber(info2.revival)
else
return tonumber(info1.score) > tonumber(info2.score)
end
end
table.sort(self._info.infoList, sortFunc)
local index = 1
for __,info in pairs(self._info.infoList) do
self._itemList[index]:setInfo(info)
if(info.userId == userId)then
currentInfo = info
end
index = index + 1
end
self._score:setText(currentInfo.score)
self._timeLabel:start(self._info.time)
end
function StarcraftFollowPanel:clearItem()
self._rankPanel:removeAllItems()
for __,item in pairs(self._itemList) do
item:dispose()
end
self._itemList = nil
end
function StarcraftFollowPanel:dispose()
self:removeEvent()
self.inCopyLayer = nil
self.readyPanel  = nil
if(self._countDownLabel ~= nil) then
self._countDownLabel:dispose()
self._countDownLabel = nil
end
if(self._selfItem ~= nil) then
self._selfItem:dispose()
self._selfItem = nil
end
if(self._timeLabel ~= nil) then
self._timeLabel:dispose()
self._timeLabel = nil
end
self:clearItem()
self._rankPanel = nil
self._info      = nil
self._score     = nil
globalManager.ccCreator:release(self)
end
StarcraftInfoItem = class("StarcraftInfoItem",function(self)
local self = globalManager.ccCreator:newJsonWidget("starcraftInfoItem")
self.rankImg   = self:getChildByName("rankImg")
self.rank      = self:getChildByName("rank")
self.name      = self:getChildByName("name")
self.queryBtn  = self:getChildByName("queryBtn")
self.level     = self:getChildByName("level")
self.career    = self:getChildByName("career")
self.fightValue    = self:getChildByName("fightValue")
self.score     = self:getChildByName("score")
self.rankImg:setVisible(false)
self.rank:setVisible(false)
self.name:setVisible(false)
self.queryBtn:setVisible(false)
self.level:setVisible(false)
self.career:setVisible(false)
self.fightValue:setVisible(false)
self.score:setVisible(false)
self.userId    = 0
self.serverId  = 0
return self
end)
function StarcraftInfoItem:ctor()
self:initEvent()
end
function StarcraftInfoItem:initEvent()
end
function StarcraftInfoItem:removeEvent()
end
function StarcraftInfoItem:getUserId()
return self.userId
end
function StarcraftInfoItem:getServerId()
return self.serverId
end
function StarcraftInfoItem:setData(info,index)
if(info == nil)then
self.rankImg:setVisible(false)
self.rank:setVisible(false)
self.name:setVisible(false)
self.queryBtn:setVisible(false)
self.level:setVisible(false)
self.career:setVisible(false)
self.fightValue:setVisible(false)
self.score:setVisible(false)
else
self.rankImg:setVisible(true)
self.rank:setVisible(true)
self.name:setVisible(true)
if(info.serverId == globalData.selfPlayerInfo.serverId)then
self.queryBtn:setVisible(true)
else
self.queryBtn:setVisible(false)
end
self.level:setVisible(true)
self.career:setVisible(true)
self.fightValue:setVisible(true)
self.score:setVisible(true)
self.userId = info.userId
if(index == 1)then
self.rankImg:loadTexture("icon/ui_copyNo1.png", 1)
elseif(index == 2)then
self.rankImg:loadTexture("icon/ui_copyNo2.png", 1)
elseif(index == 3)then
self.rankImg:loadTexture("icon/ui_copyNo3.png", 1)
else
self.rankImg:setVisible(false)
end
self.serverId = info.serverId
self.name:setText(info.nick)--string.format(globalManager.yuyanbaoManager:getYuyanbao("ArenaItemView.text3"),info.serverId)..
self.rank:setText(info.rank)
self.level:setText(info.level)
self.career:setText(globalData.allStaticTypes.careerType:getCareerName(info.career))
self.fightValue:setText(info.fight)
self.score:setText(info.score)
end
end
function StarcraftInfoItem:dispose()
self:removeEvent()
self.rankImg   = nil
self.rank      = nil
self.name      = nil
self.queryBtn  = nil
self.level     = nil
self.career    = nil
self.fightValue    = nil
self.score     = nil
self.userId    = nil
globalManager.ccCreator:release(self)
end
StarcraftMacthingPanel = class("StarcraftMacthingPanel",function(self,parent)
local st = globalManager.ccCreator:newJsonWidget("MarchingPanel")
st._timeLabel       = st:getChildByName("timeLabel")
st._timeLabel:setText("59"..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel64"))
st._canelBtn        = st:getChildByName("canelBtn")
st._canelBtn:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel2"))
st._watingLabel     = st:getChildByName("waitingLabel")
st._watingLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("StarcraftMacthingPanel.text1"))
st._count = 0
st._time = 59
st._parent = parent
st._canelBtn:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("FriendGiveGoldPanel.text7"))
return st
end)
function StarcraftMacthingPanel:ctor()
self:initEvent()
globalManager.tickManager:addTick(self.tick,self)
end
function StarcraftMacthingPanel:initEvent()
local cancelClickHandler = function(sender,eventType)
globalData.messageAdder:sendQuitMatch()
self._parent:hideMatchingPanel()
end
self._canelBtn:addTouchEventListener(cancelClickHandler)
end
function StarcraftMacthingPanel:tick(delta,count)
self._count = self._count + 1
if(self._count >= 60) then
self._count = 0
self._time = self._time - 1
if(self._time < 0) then self._time = 59 end
self._timeLabel:setText(self._time..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel64"))
end
end
function StarcraftMacthingPanel:removeEvent()
end
function StarcraftMacthingPanel:dispose()
globalManager.tickManager:removeTick(self.tick,self)
self:removeEvent()
globalData.messageAdder:sendQuitMatch()
self._timeLabel = nil
self._canelBtn = nil
self._parent   = nil
globalManager.ccCreator:release(self)
end
StarcraftPanel = class("StarcraftPanel",function(self)
local self = BasePanel:new()
self.__basePanelDispose = self.dispose
self._widget = globalManager.ccCreator:newJsonWidget("starcraftPanel")
self:addChild(self._widget)
self._rankLabel   = self._widget:getChildByName("rankLabel")
self._scoreLabel  = self._widget:getChildByName("scoreLabel")
self._get_btn     = self._widget:getChildByName("get_btn")
self._itemList    = {}
self._gridList    = {}
self._progressList = {}
for i = 1,3,1 do
table.insert(self._gridList,self._widget:getChildByName("item"..i))
end
for i = 1,4,1 do
table.insert(self._progressList,self._widget:getChildByName("progress"..i))
end
self._start_btn   = self._widget:getChildByName("start_btn_Copy0")
self._btnLabel    = self._start_btn:getChildByName("btnLabel")
self._loadingBar  = self._widget:getChildByName("LoadingBar")
self._listViewLayer = self._widget:getChildByName("ListViewLayer")
self._pageTipLayer  = self._widget:getChildByName("pageTipLayer")
self._tipsLabel   = self._widget:getChildByName("tipsLabel")
self._tipDesLabel = self._widget:getChildByName("contentLabel1")
self._widget:getChildByName("rank"):setText(globalManager.yuyanbaoManager:getYuyanbao("StarcraftPanel.text7"))
self._widget:getChildByName("name"):setText(globalManager.yuyanbaoManager:getYuyanbao("StarcraftPanel.text8"))
self._widget:getChildByName("level"):setText(globalManager.yuyanbaoManager:getYuyanbao("FiveEquipTip.text11"))
self._widget:getChildByName("career"):setText(globalManager.yuyanbaoManager:getYuyanbao("StarcraftPanel.text10"))
self._widget:getChildByName("fightValue"):setText(globalManager.yuyanbaoManager:getYuyanbao("StarcraftPanel.text11"))
self._widget:getChildByName("score"):setText(globalManager.yuyanbaoManager:getYuyanbao("StarcraftPanel.text12"))
self._progressList[1]:getChildByName("time1"):setText(globalManager.yuyanbaoManager:getYuyanbao("StarcraftPanel.text13"))
self._progressList[2]:getChildByName("time2"):setText(globalManager.yuyanbaoManager:getYuyanbao("StarcraftPanel.text14"))
self._progressList[3]:getChildByName("time3"):setText(globalManager.yuyanbaoManager:getYuyanbao("StarcraftPanel.text15"))
self._progressList[4]:getChildByName("time4"):setText(globalManager.yuyanbaoManager:getYuyanbao("StarcraftPanel.text16"))
self._widget:getChildByName("personRankLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("StarcraftPanel.text17"))
self._widget:getChildByName("personScoreLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("StarcraftPanel.text18"))
self._widget:getChildByName("awardLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("StarcraftPanel.text19"))
self._widget:getChildByName("Label_337753_Copy3"):setText(globalManager.yuyanbaoManager:getYuyanbao("StarcraftPanel.text20"))
self._widget:getChildByName("Label_337753_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("StarcraftPanel.text21"))
self._start_btn:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("StarcraftPanel.text22"))
self._pageIcon    = nil
self._pageList    = {}
self._item        = nil
self.currentPage  = 1
self.totalPage    = 0
self.matchingPanel = nil
self.awardPanel   = nil
self._viewList    = {}
--self.btnState     = 0
self.cdTime       = 0
self.count        = 0
self.effect       = nil
return self
end)
function StarcraftPanel:ctor()
for i = 1,7,1 do
self._item = StarcraftInfoItem:new()
self._item:setPosition(10,490 - i * 50)
table.insert(self._itemList,self._item)
self:addChild(self._item)
end
--globalData.messageAdder:sendGetSelfInfo()
self:initEvent()
self:initView()
end
function StarcraftPanel:initEvent()
local BtnClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(self.awardPanel == nil)then
self.awardPanel = StarcraftAwardPanel:new(self)
end
end
end
local startClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
globalData.messageAdder:sendMatching()
-- if(self.btnState == 0)then
-- 	globalData.messageAdder:sendMatching()
-- elseif(self.btnState == 1)then
-- 	globalData.messageAdder:sendRestEnter()
-- end
end
end
local showPanelTouchHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED or eventType == TOUCH_EVENT_CANCELED) then
local offsetX = sender:getTouchEndPos().x - sender:getTouchStartPos().x
if(offsetX > 50) then
if(self.currentPage > 1)then
self:setPage(self.currentPage - 1)
end
elseif(offsetX < -50) then
if(self.currentPage < self.totalPage)then
self:setPage(self.currentPage + 1)
end
else
if(sender:getTouchEndPos().x >= 290 and sender:getTouchEndPos().x <= 390)then
local index  = 8 - math.ceil((sender:getTouchEndPos().y - 150)/ 48)
if(index >= 1 and index <= 7)then
if(self._itemList[index] ~= nil)then
if(self._itemList[index]:getServerId() == globalData.selfPlayerInfo.serverId)then
local userId = self._itemList[index]:getUserId()
globalData.messageAdder:infoQuery(userId,0)
end
end
end
end
end
end
end
self._get_btn:addTouchEventListener(BtnClickHandler)
self._start_btn:addTouchEventListener(startClickHandler)
self._listViewLayer:addTouchEventListener(showPanelTouchHandler)
globalData.starcraftInfo:addEventListener(globalData.globalEventType.starcraftInfo_update,self.updateInfo,self)
globalData.starcraftInfo:addEventListener(globalData.globalEventType.starcraftState_update,self.updateState,self)
-- globalData.starcraftInfo:addEventListener(globalData.globalEventType.starcraftRestCopyState,self.updateRestState,self)
-- globalData.starcraftInfo:addEventListener(globalData.globalEventType.starcraftSelfInfo_update,self.updateSelfInfo,self)
end
function StarcraftPanel:removeEvent()
globalData.starcraftInfo:removeEventListener(globalData.globalEventType.starcraftInfo_update,self.updateInfo,self)
globalData.starcraftInfo:removeEventListener(globalData.globalEventType.starcraftState_update,self.updateState,self)
-- globalData.starcraftInfo:removeEventListener(globalData.globalEventType.starcraftRestCopyState,self.updateRestState,self)
-- globalData.starcraftInfo:removeEventListener(globalData.globalEventType.starcraftSelfInfo_update,self.updateSelfInfo,self)
end
function StarcraftPanel:updateInfo()
-- self.totalPage = globalData.starcraftInfo.totalPage
-- if(self.totalPage > 0)then
-- 	for i = 1,self.totalPage,1 do
-- 		local pageIcon = globalManager.ccCreator:newImageView("btn/ui_radioBtn1_1.png", 1)
-- 		pageIcon:setPosition(163 - (self.totalPage - 1)*25 + (i - 1)*50,10)
-- 		table.insert(self._pageList,pageIcon)
-- 		self._pageTipLayer:addChild(pageIcon)
-- 	end
-- end
-- if(self.totalPage > 0)then
-- 	self._pageList[1]:loadTexture("btn/ui_radioBtn1_2.png", 1)
-- end
if(globalData.starcraftInfo.rankInfoList ~= nil)then
self._tipsLabel:setVisible(false)
else
self._tipsLabel:setVisible(true)
end
for i = 1,7,1 do
self._itemList[i]:setData(globalData.starcraftInfo.rankInfoList[(self.currentPage - 1) * 7 + i],(self.currentPage - 1) * 7 + i)
end
if(globalData.starcraftInfo.rank <= 0 or globalData.starcraftInfo.rank > 60)then
self._rankLabel:setText("60+")
else
self._rankLabel:setText(globalData.starcraftInfo.rank)
end
self._scoreLabel:setText(globalData.starcraftInfo.score)
self:setEffect()
self:restPage()
end
function StarcraftPanel:setEffect()
if(#self._pageList ~= 0) then return end
if(self.effect == nil)then
self.effect = globalManager.effectCreator:create(38)
self.effect:play()
self.effect:setScale(2)
end
if(globalData.starcraftInfo.progress <= 4)then
self.effect:move2(self._progressList[1],-2,4)
self._progressList[1]:addNode(self.effect)
elseif(globalData.starcraftInfo.progress == 5) then
self.effect:move2(self._progressList[2],-2,4)
self._loadingBar:setPercent(33)
self.effect:move2(self._progressList[2],-2,4)
self._progressList[2]:addNode(self.effect)
elseif(globalData.starcraftInfo.progress == 6) then
self.effect:move2(self._progressList[3],-2,4)
self._loadingBar:setPercent(67)
self.effect:move2(self._progressList[3],-2,4)
self._progressList[3]:addNode(self.effect)
elseif(globalData.starcraftInfo.progress == 7) then
self.effect:move2(self._progressList[4],-2,4)
self._loadingBar:setPercent(100)
self.effect:move2(self._progressList[4],-2,4)
self._progressList[4]:addNode(self.effect)
end
end
function StarcraftPanel:restPage()
if(#self._pageList ~= 0) then return end
self.totalPage = globalData.starcraftInfo.totalPage
if(self.totalPage == nil) then self.totalPage = 0 end
if(self.totalPage == 0) then return end
for i = 1,self.totalPage,1 do
local pageIcon = globalManager.ccCreator:newImageView()
if(self.currentPage == i) then
pageIcon:loadTexture("btn/ui_radioBtn1_2.png", 1)
else
pageIcon:loadTexture("btn/ui_radioBtn1_1.png", 1)
end
pageIcon:setPosition(225 - (self.totalPage - 1)*25 + (i - 1)*40,10)
table.insert(self._pageList,pageIcon)
self._pageTipLayer:addChild(pageIcon)
end
end
function StarcraftPanel:updateState()
self.cdTime = globalData.starcraftInfo.stateTime
globalManager.tickManager:addTick(self.tick,self)
if(globalData.starcraftInfo.state == 1)then
if(self.matchingPanel == nil)then
self.matchingPanel = StarcraftMacthingPanel:new(self)
globalData.uiClickContainer:addItem(self.matchingPanel,true,true)
end
elseif(globalData.starcraftInfo.state == 2)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("StarcraftPanel.text1"))
self._start_btn:loadTextureNormal("btn/ui_tabBtn1_5.png",1)
self._start_btn:setTouchEnabled(false)
elseif(globalData.starcraftInfo.state == 3)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("StarcraftPanel.text2"))
self._start_btn:loadTextureNormal("btn/ui_tabBtn1_5.png",1)
self._start_btn:setTouchEnabled(false)
elseif(globalData.starcraftInfo.state == 4)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("PopupTriggerHandler.text9"))
self._start_btn:loadTextureNormal("btn/ui_tabBtn1_5.png",1)
self._start_btn:setTouchEnabled(false)
elseif(globalData.starcraftInfo.state == 5)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("StarcraftPanel.text4"))
self._start_btn:loadTextureNormal("btn/ui_tabBtn1_5.png",1)
self._start_btn:setTouchEnabled(false)
elseif(globalData.starcraftInfo.state == 6)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("StarcraftPanel.text5"))
self._start_btn:loadTextureNormal("btn/ui_tabBtn1_5.png",1)
self._start_btn:setTouchEnabled(false)
end
end
-- function StarcraftPanel:updateRestState()
-- 	local flag = globalData.starcraftInfo.flag
-- 	self.cdTime = globalData.starcraftInfo.cdTime
-- 	if(flag == 2)then
-- 		self._start_btn:loadTextureNormal("btn/ui_tabBtn1_5.png",1)
-- 		self._start_btn:setTouchEnabled(false)
-- 		globalManager.tickManager:addTick(self.tick,self)
-- 	end
-- end
function StarcraftPanel:tick(delta,count)
self.count = self.count + 1
if(self.count >= 60)then
self.count = 0
self._btnLabel:setText(self.cdTime)
self.cdTime = self.cdTime - 1
end
if(self.cdTime <= 0)then
globalManager.tickManager:removeTick(self.tick,self)
self._start_btn:setTouchEnabled(true)
self._start_btn:loadTextureNormal("btn/ui_tabBtn1_3.png",1)
self._btnLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("StarcraftPanel.text6"))
end
end
-- function StarcraftPanel:updateSelfInfo()
-- 	self.btnState = globalData.starcraftInfo.btnState
-- end
function StarcraftPanel:hideMatchingPanel()
if(self.matchingPanel ~= nil)then
globalData.uiClickContainer:close(self.matchingPanel)
self.matchingPanel:dispose()
self.matchingPanel = nil
end
end
function StarcraftPanel:hideRankAwardPanel()
if(self.awardPanel ~= nil)then
globalData.uiClickContainer:close(self.awardPanel)
self.awardPanel:dispose()
self.awardPanel = nil
end
end
function StarcraftPanel:setPage(page)
-- if(self.currentPage == page) then return end
-- if(page > self.totalPage) then return end
-- if(page < 1)then return end
-- self.currentPage = page
-- if(self.totalPage > 0)then
-- 	for i = 1,self.totalPage,1 do
-- 		if(i == self.currentPage)then
-- 			self._pageList[i]:loadTexture("btn/ui_radioBtn1_2.png", 1)
-- 		else
-- 			self._pageList[i]:loadTexture("btn/ui_radioBtn1_1.png", 1)
-- 		end
-- 	end
-- end
if(self.currentPage == page) then return end
if(self.currentPage ~= 0) then
self._pageList[self.currentPage]:loadTexture("btn/ui_radioBtn1_1.png", 1)
end
self.currentPage = page
if(self._pageList[self.currentPage] ~= nil) then
self._pageList[self.currentPage]:loadTexture("btn/ui_radioBtn1_2.png", 1)
end
if(globalData.starcraftInfo.rankInfoList[self.currentPage * 7 - 6] == nil)then
globalData.messageAdder:getRankInfo(self.currentPage)
else
for i = 1,7,1 do
self._itemList[i]:setData(globalData.starcraftInfo.rankInfoList[(self.currentPage - 1) * 7 + i],(self.currentPage - 1) * 7 + i)
end
end
end
function StarcraftPanel:initView()
globalData.messageAdder:getRankInfo(1)
self._tipDesLabel:setText(globalManager.descriptManager:getDescript("10027"))
local info = globalData.allTemplates.starcraftTemplateList:getTemplateByCondition(7,1,1)
local len = #info.awardList
if(len > 3)then len = 3 end
if(len > 0)then
for i = 1,len,1 do
local grid = BaseGrid:new()
grid:setGoodsTempInfo(globalData.allTemplates.goodsTemplateList:getTemplate(info.awardList[i][1]))
grid:setCount(info.awardList[i][2])
self._gridList[i]:addChild(grid)
table.insert(self._viewList,grid)
end
end
end
function StarcraftPanel:dispose()
globalManager.tickManager:removeTick(self.tick,self)
self:removeEvent()
self:hideMatchingPanel()
globalData.starcraftInfo.rankInfoList = {}
self._rankLabel   = nil
self._scoreLabel  = nil
self._get_btn     = nil
self._gridList    = nil
for __,info in pairs(self._itemList) do
info:dispose()
info = nil
end
self._itemList    = nil
self._start_btn   = nil
self._btnLabel    = nil
self._loadingBar  = nil
self._listViewLayer = nil
self._pageTipLayer  = nil
for __,view in pairs(self._viewList) do
view:dispose()
end
self._viewList = nil
self._pageIcon = nil
for i,info in pairs(self._pageList) do
globalManager.ccCreator:release(info)
info = nil
end
self._pageList = nil
if(self.effect ~= nil)then
self.effect:dispose()
self.effect = nil
end
self._item     = nil
self.currentPage = nil
self.totalPage = nil
self.matchingPanel = nil
if(self.awardPanel ~= nil)then
self.awardPanel:dispose()
self.awardPanel = nil
end
self._tipDesLabel  = nil
self._progressList = nil
globalManager.ccCreator:release(self._widget)
self.__basePanelDispose(self)
self.__basePanelDispose = nil
end
--远征
SceneTryCopyExpeditionItem = class("SceneTryCopyExpeditionItem",function(self,passMission,chapter)
local st = globalManager.ccCreator:newJsonWidget("copyItemView7")
st._iconImage = st:getChildByName("bossIcon")
st._selectLight = st:getChildByName("select_light_Copy0")
st._noOpenIcon = st:getChildByName("noOpenIcon")
st._starList = {}
for i = 1, 3 do
table.insert(st._starList, st:getChildByName("starIcon"..i))
end
st._selectLight:setEnabled(false)
st._passMission = passMission
st._selected = nil
st._copyMissionInfo = nil
st._canFight = false
--st.canSweep = false
st._index = -1
st._path = nil
st._missionIndex = 0
st._missionId = 0
st.isgray = false
return st
end)
function SceneTryCopyExpeditionItem:ctor()
self:initEvent()
end
function SceneTryCopyExpeditionItem:initEvent()
globalData.copyInfo:addEventListener(globalData.globalEventType.playerInfo_copySweep,self.sweepInfoUpdate,self)
globalData.copyInfo:addEventListener(globalData.globalEventType.playerInfo_xiXingStarUpdate,self.starUpdate,self)
end
function SceneTryCopyExpeditionItem:removeEvent()
globalData.copyInfo:removeEventListener(globalData.globalEventType.playerInfo_copySweep,self.sweepInfoUpdate,self)
globalData.copyInfo:removeEventListener(globalData.globalEventType.playerInfo_xiXingStarUpdate,self.starUpdate,self)
end
function SceneTryCopyExpeditionItem:getInfo()
return self._copyMissionInfo
end
function SceneTryCopyExpeditionItem:getMissionId()
return self._missionId
end
function SceneTryCopyExpeditionItem:getIndex()
return self._index
end
function SceneTryCopyExpeditionItem:getMissionIndex()
return self._missionIndex
end
function SceneTryCopyExpeditionItem:starUpdate(evt)
local starNum = globalData.copyInfo.expeditionInfo.starInfoList[self._missionId] or 0
for i = 1, 3 do
if(i <= starNum)then
self._starList[i]:loadTexture("icon/star1.png",1)
else
self._starList[i]:loadTexture("icon/star2.png",1)
end
end
end
--copyMissionTemplateInfo
function SceneTryCopyExpeditionItem:setInfo(index,missionIndex,missionId)
self._copyMissionInfo = globalData.allTemplates.copyMissionTemplateList:getMission(missionId)
self._index = index
self._missionId = missionId
self._missionIndex = missionIndex
if(self._path ~= nil ) then
globalManager.sourceCacheManager:removeQuote(self._path)
self._path = nil
end
local monsterInfo = globalData.allTemplates.monsterTemplateList:getMonster(self._copyMissionInfo.bossId)
self._path = globalManager.pathManager:getMonsterHead(monsterInfo.headPath)
globalManager.sourceCacheManager:setImage(self._iconImage,self._path,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self:starUpdate()
if(self._missionIndex  > self._passMission + 1)then
self._noOpenIcon:setVisible(true)
if(not self.isgray)then
globalManager.commonUtils:setImgColorGrey(self._iconImage)
self.isgray = true
end
-- if(self._missionIndex  > self._passMission + 1)then
-- 	if(not self.isgray)then
-- 		globalManager.commonUtils:setImgColorGrey(self._iconImage)
-- 		self.isgray = true
-- 	end
-- else
-- 	if(self.isgray)then
-- 		globalManager.commonUtils:setImgColorNormal(self._iconImage)
-- 		self.isgray = false
-- 	end
-- end
else
if(self.isgray)then
globalManager.commonUtils:setImgColorNormal(self._iconImage)
self.isgray = false
end
self._noOpenIcon:setVisible(false)
end
if(self._passMission + 1 >= self._missionIndex)then
self._canFight = true
else
self._canFight = false
end
for i = 1, 3 do
self._starList[i]:setVisible(self._passMission >= self._missionIndex)
end
self:setSelect(false)
end
function SceneTryCopyExpeditionItem:setSelect(value)
if(self._selected == value)then return end
self._selected = value
self._selectLight:setEnabled(self._selected)
end
function SceneTryCopyExpeditionItem:canEnter()
if(self._copyMissionInfo == nil)then
return false
end
if(self._canFight == false)then
return false
end
return true
end
function SceneTryCopyExpeditionItem:dispose()
self:removeEvent()
if(self._path ~= nil)then
globalManager.sourceCacheManager:removeQuote(self._path)
self._path = nil
end
self._copyMissionInfo = nil
self._iconImage = nil
self._starList = nil
self._noOpenIcon = nil
self._selectLight = nil
self._passMission = nil
self._selected = nil
self._canFight = nil
self._index = nil
self._missionIndex = nil
self.isgray = nil
self._missionId = nil
globalManager.ccCreator:release(self)
end
SceneTryCopyExpeditionPanel = class("SceneTryCopyExpeditionPanel",function(self,controller)
local st = globalManager.ccCreator:newJsonWidget("copyView6")
st._background       = st:getChildByName("background")
st._titleLabel       = st:getChildByName("title_label")
st._fightBtn         = st:getChildByName("enter_btn")
st._saodangBtn       = st:getChildByName("saodang_btn")
st._btnLabel         = st._fightBtn:getChildByName("btnLabel")
st._numLabel         = st:getChildByName("numLabel")
st._awardBtn 		 = st:getChildByName("awardBtn")
st._starLabel		 = st:getChildByName("starLabel")
st._timeLabel        = CountDownLabel:new(st:getChildByName("timeLabel"),5,nil,nil,0)
st._itemsPanel = st:getChildByName("itemsPanel")
st._panelList        = {}
for i = 1,9,1 do
table.insert(st._panelList,st._itemsPanel:getChildByName("item_panel"..i))
end
-- for i = 1,9,1 do
-- 	st._panelList[i]:setTouchEnabled(false)
-- end
st._radioList = {}
local radio
local radioList = st:getChildByName("radioBtnList")
for k = 1,9,1 do
radio = radioList:getChildByName("radioBtn"..k)
radio:setTouchEnabled(false)
table.insert(st._radioList,radio)
end
for i = 7, 9 do
st._radioList[i]:setVisible(false)
end
radioList:setPositionX(radioList:getPositionX() + 65)
st._itemBgList = {}
for i = 1,4,1 do
table.insert(st._itemBgList,st:getChildByName("item"..i))
end
st._copyTempInfo   = globalData.allTemplates.copyTemplateList:getCopy(globalData.allTemplates.copyTemplateList.EXPEDITION)
st._controller     = controller
st._backgroundPath = ""
st._gridList       = {}
st._itemList       = {}
st._selectItem     = nil
st._autoItem       = nil
st._starAwardInfo   = nil
st.effect = nil
st.maxMissionIndex = 0
st.chapter       = -1
st.totalPage = 5
st:getChildByName("title_label"):setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueBossView2.text1"))
st:getChildByName("saodang_btn"):getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("SceneTryCopyExpeditionPanel.text15"))
st:getChildByName("enter_btn"):getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("SceneTryCopyExpeditionPanel.text14"))
st:getChildByName("Label_1215444"):setText(globalManager.yuyanbaoManager:getYuyanbao("SceneTryCopyExpeditionPanel.text23"))
return st
end)
function SceneTryCopyExpeditionPanel:ctor()
globalData.messageAdder:sendCopyMissionResetCount(globalData.allTemplates.copyTemplateList.EXPEDITION)  --发送协议
--读取配置表信息
self._backgroundPath = globalManager.pathManager:getUISource("outPic/ui_expeditionBg.png")
globalManager.sourceCacheManager:setImage(self._background,self._backgroundPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self:initEvent()
self:missionUpdate()
local chapter = math.max(math.ceil(self.maxMissionIndex / 9)-1,0)
if(self.maxMissionIndex ~= 0 and self.maxMissionIndex % 9 == 0 and chapter < self.totalPage)then
chapter = chapter + 1
end
self:setPage(chapter)
end
function SceneTryCopyExpeditionPanel:initEvent()
local function restBtnHandler()
self._controller.sceneModule.message:sendCopyAwardReset(globalData.allTemplates.copyTemplateList.EXPEDITION)
end
local function fightClickHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(self._selectItem == nil)then return end
if(self._selectItem._copyMissionInfo.needLevel > globalData.selfPlayerInfo.level) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("SceneTryCopyExpeditionPanel.text1"))
return
end
if(self._selectItem:canEnter()) then
local num = globalData.copyInfo:getCopyLeftCount(globalData.allTemplates.copyTemplateList.EXPEDITION)
if(num <= 0) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("SceneTryCopyExpeditionPanel.text5"))
return
end
self._controller.sceneModule.copyTester:enterCopy(globalData.allTemplates.copyTemplateList.EXPEDITION,self._selectItem:getMissionIndex())
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("SceneTryCopyExpeditionPanel.text2"))
end
end
end
local function sweepHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
if(self._selectItem == nil)then return end
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
local num = globalData.copyInfo:getCopyLeftCount(globalData.allTemplates.copyTemplateList.EXPEDITION)
if(num <= 0) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("SceneTryCopyExpeditionPanel.text5"))
return
end
globalData.messageAdder:sendCopyEntrust(globalData.allTemplates.copyTemplateList.EXPEDITION, self._selectItem:getMissionId())
globalData.copyInfo:copyAddCount(globalData.allTemplates.copyTemplateList.EXPEDITION,1)
end
end
local function showPanelTouchHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED or eventType == TOUCH_EVENT_CANCELED) then
local offsetX = sender:getTouchEndPos().x - sender:getTouchStartPos().x
if(offsetX > 50) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(self.chapter > 0)then
self:setPage(self.chapter - 1)
end
elseif(offsetX < -50) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(self.chapter < self.totalPage)then
self:setPage(self.chapter + 1)
end
elseif(math.abs(sender:getTouchEndPos().y - sender:getTouchStartPos().y) <= 50)then
local posX = self:getPositionX() + self._itemsPanel:getPositionX() + (globalData.GAME_WIDTH - 960) / 2
local posY = self:getPositionY() + self._itemsPanel:getPositionY() + (globalData.GAME_HEIGHT - 640) / 2
for k,v in ipairs(self._panelList)do
local rect = {}
rect.x = posX + v:getPositionX()
rect.y = posY + v:getPositionY()
rect.width = 102
rect.height = 102
if(cc.rectContainsPoint( rect,sender:getTouchStartPos()))then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(self._itemList[k] ~= nil)then
self:doSelect(self._itemList[k])
end
return
end
end
end
end
end
local function awardHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if self._starAwardInfo == nil then return end
if(globalData.copyInfo.expeditionInfo.starAmount >= self._starAwardInfo.amount)then
globalData.messageAdder:sendXiXingStarAward(self._starAwardInfo.id)
else
local temp = globalData.allTemplates.goodsTemplateList:getTemplate(self._starAwardInfo.awardId)
if(temp ~= nil)then
globalManager.tipsManager:showGoodsTemplate(temp)
end
end
end
end
self._itemsPanel:addTouchEventListener(showPanelTouchHandler)
self._fightBtn:addTouchEventListener(fightClickHandler)
self._saodangBtn:addTouchEventListener(sweepHandler)
self._awardBtn:addTouchEventListener(awardHandler)
globalData.copyInfo:addEventListener(globalData.globalEventType.playerInfo_copyCount,self.countUpdate,self)
globalData.copyInfo:addEventListener(globalData.globalEventType.expedition_countTimeUpdate,self.countUpdate,self)
globalData.copyInfo:addEventListener(globalData.globalEventType.playerInfo_copyTodayMax,self.restUpdate,self)
globalData.copyInfo:addEventListener(globalData.globalEventType.playerInfo_xiXingStarUpdate,self.starUpdate,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.newly_enterYZCopy,self.enterCopy,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.epeditionCopy_select,self.copySelectUpdate,self)
end
function SceneTryCopyExpeditionPanel:copySelectUpdate(evt)
local copyId = evt.data
if copyId == nil then return end
local chapter = math.ceil(globalManager.commonUtils:getIndexOfTable(self._copyTempInfo.missions,copyId) / 9)-1
if (chapter < 0 or chapter > self.totalPage)then return end
self:setPage(chapter)
for k,v in ipairs(self._itemList) do
if v:getMissionId() == copyId then
self:doSelect(v)
return
end
end
end
function SceneTryCopyExpeditionPanel:removeEvent()
globalData.copyInfo:removeEventListener(globalData.globalEventType.playerInfo_copyCount,self.countUpdate,self)
globalData.copyInfo:removeEventListener(globalData.globalEventType.expedition_countTimeUpdate,self.countUpdate,self)
globalData.copyInfo:removeEventListener(globalData.globalEventType.playerInfo_copyTodayMax,self.restUpdate,self)
globalData.copyInfo:removeEventListener(globalData.globalEventType.playerInfo_xiXingStarUpdate,self.starUpdate,self)
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.newly_enterYZCopy,self.enterCopy,self)
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.epeditionCopy_select,self.copySelectUpdate,self)
end
function SceneTryCopyExpeditionPanel:enterCopy()
if(self._selectItem:canEnter()) then
self._controller.sceneModule.copyTester:enterCopy(globalData.allTemplates.copyTemplateList.EXPEDITION,self._selectItem:getMissionIndex())
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("SceneTryCopyExpeditionPanel.text8"))
end
end
function SceneTryCopyExpeditionPanel:countUpdate(evt)
local function formatFunc(str)
return "（"..str..globalManager.yuyanbaoManager:getYuyanbao("SceneTryCopyExpeditionPanel.text21")
end
local function endTime()
end
local num = globalData.copyInfo:getCopyLeftCount(globalData.allTemplates.copyTemplateList.EXPEDITION)
self._numLabel:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("SceneTryCopyExpeditionPanel.text17"),num))
local maxCount = globalData.allTemplates.copyTemplateList:getCopy(globalData.allTemplates.copyTemplateList.EXPEDITION).dayTimes
local time = globalData.copyInfo:getCountTime(globalData.allTemplates.copyTemplateList.EXPEDITION)
if(num < maxCount and time > 0)then
self._timeLabel:setVisible(true)
self._timeLabel:setFormatFunc(formatFunc)
self._timeLabel:start(time,endTime)
self._numLabel:setPositionX(446)
-- local posX = self._numLabel:getPositionX() + self._numLabel:getContentSize().width + 5
-- self._timeLabel:setPositionX(posX)
else
self._numLabel:setPositionX(536)
self._timeLabel:setVisible(false)
self._timeLabel:stop()
end
end
function SceneTryCopyExpeditionPanel:setPage(page)
if(self.chapter == page) then return end
if(self.chapter >= 0) then
self._radioList[self.chapter + 1]:setSelectedState(false)
end
self.chapter = page
self._radioList[self.chapter + 1]:setSelectedState(true)
self:updateView()
end
function SceneTryCopyExpeditionPanel:restUpdate(evt)
self:missionUpdate()
self:updateView()
end
function SceneTryCopyExpeditionPanel:missionUpdate()
local maxMissionId  = globalData.copyInfo:getMaxMission(globalData.allTemplates.copyTemplateList.EXPEDITION)
if(maxMissionId == 0)then
self.maxMissionIndex = 0
else
maxMissionId = maxMissionId - 1
local missionList = self._copyTempInfo.missions
for i,info in pairs(missionList) do
if(info == maxMissionId)then
self.maxMissionIndex = i
end
end
end
end
function SceneTryCopyExpeditionPanel:updateView()
self:clearItems()
-- local viewClickHandler = function(sender,eventType)
-- 	if(eventType == TOUCH_EVENT_ENDED)then
-- 		self:doSelect(self._itemList[sender:getIndex()])
-- 	end
-- end
self:countUpdate()
self._autoItem = nil
for i = 1,9,1 do
local item = SceneTryCopyExpeditionItem:new(self.maxMissionIndex,self.chapter)
item:setInfo(i,self.chapter * 9 + i,self._copyTempInfo.missions[self.chapter * 9 + i])
--item:addTouchEventListener(viewClickHandler)
self._panelList[i]:addChild(item)
table.insert(self._itemList,item)
if(item:canEnter())then
self._autoItem = item
end
end
if(self._autoItem)then
self:doSelect(self._autoItem)
else
self:doSelect(self._itemList[1])
end
self:starUpdate()
end
function SceneTryCopyExpeditionPanel:starUpdate(evt)
self._starAwardInfo = globalData.allTemplates.xiXingStarTemplateList:getAwardInfo()
self._starLabel:setText(globalData.copyInfo.expeditionInfo.starAmount .. "/" .. self._starAwardInfo.amount)
--领取特效
if((not globalData.copyInfo.expeditionInfo.awardIdList[self._starAwardInfo.id]) and globalData.copyInfo.expeditionInfo.starAmount >= self._starAwardInfo.amount) then
if(self.effect == nil)then
self.effect = globalManager.effectCreator:create(37)
self.effect:move2(self._widget,self._awardBtn:getPositionX(),-self._awardBtn:getPositionY())
self.effect:setScale(1.4)
self:addNode(self.effect,5)
self.effect:play()
end
elseif(self.effect ~= nil) then
self.effect:dispose()
self.effect = nil
end
end
function SceneTryCopyExpeditionPanel:doSelect(item)
if(self._selectItem == item)then return end
if(self._selectItem ~= nil)then
self._selectItem:setSelect(false)
end
self._selectItem = item
if(self._selectItem ~= nil)then
self._selectItem:setSelect(true)
local name = string.gsub(self._selectItem:getInfo().name,"|","·")
self._titleLabel:setText(name)
end
self:updateItemValue()
end
function SceneTryCopyExpeditionPanel:clearItems()
for k,v in pairs(self._itemList) do
if(v ~= nil)then
v:dispose()
end
end
self._itemList = {}
self._selectItem = nil
end
function SceneTryCopyExpeditionPanel:clearGrids()
local len = table.getn(self._gridList)
for i = 1,len,1 do
self._gridList[i]:dispose()
end
self._gridList = {}
end
function SceneTryCopyExpeditionPanel:updateItemValue()
if(self._selectItem ~= nil)then
self:clearGrids()
local rewardList = self._selectItem:getInfo().rewardItems
if(rewardList ~= nil)then
local len = table.getn(rewardList)  --#rewardList
if(len > 4)then len = 4 end
if(len > 0)then
for i = 1,len,1 do
local grid = self._gridList[i]
if(grid == nil)then
grid = GoodsInfoGrid:new()
self._gridList[i] = grid
self._itemBgList[i]:addChild(grid,9)
end
grid:setGoodsTempInfo(globalData.allTemplates.goodsTemplateList:getTemplate(rewardList[i][1]))
end
end
end
end
local index = self._selectItem:getMissionIndex()
if(index > self.maxMissionIndex + 1)then
self._fightBtn:setTouchEnabled(false)
self._btnLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel78"))
self._fightBtn:loadTextureNormal("btn/ui_tabBtn1_5.png",1)
else
self._fightBtn:setTouchEnabled(true)
self._btnLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("SceneTryCopyExpeditionPanel.text14"))
self._fightBtn:loadTextureNormal("btn/ui_tabBtn1_4.png",1)
end
if index <= self.maxMissionIndex then   --没有进行副本时，getMaxMission=0
self._saodangBtn:loadTextureNormal("btn/ui_tabBtn1_3.png",1)
self._saodangBtn:setTouchEnabled(true)
else
self._saodangBtn:loadTextureNormal("btn/ui_tabBtn1_5.png",1)
self._saodangBtn:setTouchEnabled(false)
end
end
function SceneTryCopyExpeditionPanel:dispose()
--清除副本数据
self:removeEvent()
globalManager.sourceCacheManager:removeQuote(self._backgroundPath)
self._backgroundPath = nil
if(self.effect ~= nil) then
self.effect:dispose()
self.effect = nil
end
self:clearItems()
self._itemList     = nil
self:clearGrids()
self._gridList     = nil
self._itemBgList   = nil
self._background   = nil
self._titleLabel   = nil
self._numLabel     = nil
self._fightBtn     = nil
self._saodangBtn   = nil
self._itemsPanel   = nil
self.maxMissionIndex = nil
self.chapter 	   = nil
self.totalPage	   = nil
self._btnLabel     = nil
self._autoItem     = nil
self._panelList    = nil
self._copyTempInfo = nil
self._selectItem   = nil
self._awardBtn 	   = nil
self._starLabel	   = nil
self._starAwardInfo = nil
self._radioList = nil
self._timeLabel:dispose()
self._timeLabel = nil
globalManager.ccCreator:release(self)
self._controller = nil
end
--渡劫
SceneTryCopyItem = class("SceneTryCopyItem",function(self,passMission)
local st = globalManager.ccCreator:newJsonWidget("copyItemView1")
st._iconImage = st:getChildByName("icon_image")
st._levelLabel = st:getChildByName("Label_181011")
st._awardIcon = st:getChildByName("award_icon")
st._awardIcon:retain()
st._awardIcon:removeFromParent(false)
st._selectLight = st:getChildByName("select_light")
st._selectLight:setEnabled(false)
st._passMission = passMission
st._selected = nil
st._copyMissionInfo = nil
st._canFight = false
st.canSweep = false
st._index = -1
st._iconPath = nil
st.isInSweep = false
st._grid = nil
return st
end)
function SceneTryCopyItem:ctor()
--	local fightClickHandler = function(sender,eventType)
--		if(eventType == TOUCH_EVENT_ENDED)then
--			if(self:canEnter())then
--				if(self._enterCallback ~= nil)then
--					self._enterCallback(self._index)
--				end
--			end
--		end
--	end
self:initEvent()
end
function SceneTryCopyItem:initEvent()
globalData.copyInfo:addEventListener(globalData.globalEventType.playerInfo_copySweep,self.sweepInfoUpdate,self)
end
function SceneTryCopyItem:removeEvent()
globalData.copyInfo:removeEventListener(globalData.globalEventType.playerInfo_copySweep,self.sweepInfoUpdate,self)
end
function SceneTryCopyItem:getInfo()
return self._copyMissionInfo
end
function SceneTryCopyItem:getMissionId()
return self._copyMissionInfo.missionId
end
function SceneTryCopyItem:getIndex()
return self._index
end
function SceneTryCopyItem:sweepInfoUpdate(evt)
--	local sweepInfo = globalData.copyInfo:getSweepInfo(self._copyMissionInfo.copyId)
--	if(sweepInfo ~= nil and sweepInfo.missionId == self._copyMissionInfo.missionId and sweepInfo.state == 1)then
--		self.isInSweep = true
--	else
--		self.isInSweep = false
--	end
end
--copyMissionTemplateInfo
function SceneTryCopyItem:setInfo(index,info)
self._copyMissionInfo = info
self._index = index
self:sweepInfoUpdate(nil)
if(index < self._passMission)then
--已通关
self._canFight = true
self.canSweep = true
self:setIconImageToHead()
elseif(index == self._passMission and self._copyMissionInfo.needLevel <= globalData.selfPlayerInfo.level)then
self._canFight = true
self:setIconImageToHead()
else
self:setIconImageToReward()
end
self:setSelect(false)
end
function SceneTryCopyItem:setLevel(value)
self._levelLabel:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel47"),tostring(value)))
end
function SceneTryCopyItem:setIconImageToHead()
--	local monster = globalData.allTemplates.monsterTemplateList:getMonster(self._copyMissionInfo.bossId)
--	self._iconPath = globalManager.pathManager:getMonsterHead(monster.picPath)
--	globalManager.sourceCacheManager:setImage(self._iconImage,self._iconPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self._iconImage:setEnabled(false)
end
function SceneTryCopyItem:setIconImageToReward()
local reward = self._copyMissionInfo:getASelfCareerFReward()
if(reward ~= nil)then
--		self._iconImage:loadTexture("copy/copy1_ItemIcon.png",1)
self._iconImage:setEnabled(true)
local good = globalData.allTemplates.goodsTemplateList:getTemplate(reward[2])
self._grid = GoodsInfoGrid:new()
self._grid:setGoodsTempInfo(good)
self._grid:setQualityEffect(6)
local x,y = self._iconImage:getPosition()
local size = self._iconImage:getContentSize()
self._grid:setPosition(x - size.width / 2 - 48,y + size.height / 2 - 56)
self._iconImage:addChild(self._grid)
self:addChild(self._awardIcon)
end
end
function SceneTryCopyItem:setSelect(value)
if(self._selected == value)then return end
self._selected = value
self._selectLight:setEnabled(self._selected)
end
function SceneTryCopyItem:canEnter()
if(self._copyMissionInfo == nil)then
return false
end
if(self._canFight == false)then
return false
end
return true
end
function SceneTryCopyItem:dispose()
self:removeEvent()
if(self._grid ~= nil)then
self._grid:dispose()
self._grid = nil
end
if(self._iconPath ~= nil)then
globalManager.sourceCacheManager:removeQuote(self._iconPath)
self._iconPath = nil
end
self._copyMissionInfo = nil
self._iconImage = nil
self._levelLabel = nil
if(self._awardIcon ~= nil)then
self._awardIcon:release()
self._awardIcon = nil
end
self._selectLight = nil
self._passMission = nil
self._selected = nil
globalManager.ccCreator:release(self)
end
SceneTryCopyPanel = class("SceneTryCopyPanel",function(self,controller)
local st = BasePanel:new()
st._tabGroup = nil
st._lyPanel = nil
st._clPanel = nil
st._yzPanel = nil
st._shPanel = nil
st._entrusPanel = nil
st._controller = controller
st.__basePanelDispose = st.dispose
return st
end)
function SceneTryCopyPanel:ctor()
self._tabGroup = TabGroup:new(1)
self._tabGroup:setPosition(globalManager.ccCreator:newPoint(68,500))
self:addChild(self._tabGroup,10)
--	self._tabGroup:setData({{label="渡劫",icon="copy/copy1Icon.png"},{label="降魔",icon="copy/copy2Icon.png"},{label="秘境",icon="copy/copy3Icon.png"},{label="炼狱",icon="copy/copy4Icon.png"},{label="材料",icon="copy/copy5Icon.png"}},self.setTabIndex,self,1)
self._tabGroup:setData({globalManager.yuyanbaoManager:getYuyanbao("SceneTryCopyPanel.text1"),
globalManager.yuyanbaoManager:getYuyanbao("SceneTryCopyPanel.text3"),
globalManager.yuyanbaoManager:getYuyanbao("SceneTryCopyPanel.text4"),
globalManager.yuyanbaoManager:getYuyanbao("SceneTryCopyPanel.text5")},self.setTabIndex,self,1)
local x,y = self._tabGroup:getPosition()
self._tabGroup:setPosition(globalManager.ccCreator:newPoint(x + 10,y))
self:showSweepPanel()
self:initEvent()
self:updateLevel()
self:popDataUpdate(nil)
self:selectItem()
end
function SceneTryCopyPanel:selectItem()
if(globalData.guideClickContainer ~= nil and globalData.guideClickContainer.isShow) then
self:jumpToTab(1)
return
end
if(globalManager.playerInfoTester._copyNum3 > 0)then
self:jumpToTab(1)
return
elseif(globalManager.playerInfoTester._copyNum4 > 0)then
self:jumpToTab(2)
return
elseif(globalManager.playerInfoTester._copyNum1 > 0)then
self:jumpToTab(3)
return
elseif(globalManager.playerInfoTester._copyNum5 > 0)then
self:jumpToTab(4)
return
else
self:jumpToTab(1)
end
end
function SceneTryCopyPanel:initEvent()
globalData.copyInfo:addEventListener(globalData.globalEventType.playerInfo_copySweep,self.sweepInfoUpdate,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.newly_copyTab,self.copyTab,self)
globalData.selfPlayerInfo:addEventListener(globalData.globalEventType.playerInfo_level,self.updateLevel,self)
globalData.copyInfo:addEventListener(globalData.globalEventType.playerInfo_sweepUncomplete,self.showSweepPanel,self)
globalManager.playerInfoTester:addEventListener(globalData.globalEventType.quickIcon_popData,self.popDataUpdate,self)
globalData.copyInfo:addEventListener(globalData.globalEventType.playerInfo_copyEntrus,self.copyEntrusUpdate,self)
end
function SceneTryCopyPanel:removeEvent()
globalData.copyInfo:removeEventListener(globalData.globalEventType.playerInfo_copySweep,self.sweepInfoUpdate,self)
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.newly_copyTab,self.copyTab,self)
globalData.selfPlayerInfo:removeEventListener(globalData.globalEventType.playerInfo_level,self.updateLevel,self)
globalData.copyInfo:removeEventListener(globalData.globalEventType.playerInfo_sweepUncomplete,self.showSweepPanel,self)
globalManager.playerInfoTester:removeEventListener(globalData.globalEventType.quickIcon_popData,self.popDataUpdate,self)
globalData.copyInfo:removeEventListener(globalData.globalEventType.playerInfo_copyEntrus,self.copyEntrusUpdate,self)
end
function SceneTryCopyPanel:copyEntrusUpdate(evt)
if(self._entrusPanel ~= nil) then
self._entrusPanel:dispose()
end
self._entrusPanel = SceneCopySweepAwardPanel:new(evt.data,self)
end
function SceneTryCopyPanel:hideCopyEntrusPanel()
if(self._entrusPanel ~= nil) then
self._entrusPanel:dispose()
self._entrusPanel = nil
end
end
function SceneTryCopyPanel:updateLevel(evt)
self._tabGroup:setTabEnable(1,globalData.selfPlayerInfo.level >= globalData.newModuleLevelConfig.expeditionLevel)
self._tabGroup:setTabEnable(2,globalData.selfPlayerInfo.level >= globalData.newModuleLevelConfig.lianyuLevel)
self._tabGroup:setTabEnable(3,globalData.selfPlayerInfo.level >= globalData.newModuleLevelConfig.materialLevel)
self._tabGroup:setTabEnable(4,globalData.selfPlayerInfo.level >= globalData.newModuleLevelConfig.defenedLevel)
end
function SceneTryCopyPanel:copyTab(evt)
self:jumpToTab(evt.data)
end
function SceneTryCopyPanel:sweepInfoUpdate(evt)
self:showSweepPanel()
end
function SceneTryCopyPanel:showSweepPanel()
local sweepInfo = globalData.copyInfo:getSweepInfoUncomplete()
if(sweepInfo ~= nil)then
self._controller:showSweepAwardPanel(sweepInfo)
end
end
--外部控制跳转
function SceneTryCopyPanel:jumpToTab(tab)
self._tabGroup:setIndex(tab)
end
function SceneTryCopyPanel:setTabIndex(index)
local panel = {"_yzPanel", "_lyPanel", "_clPanel", "_shPanel"}
local view = {
[1] = SceneTryCopyExpeditionPanel,
[2] = SceneTryCopyLYPanel,
[3] = SceneTryCopyMaterialPanel,
[4] = SceneTryCopySHPanel
}
local flag = {false, false, false, false}
for i = 1, 4 do
if(index == i)	then
if(self[panel[i]] == nil) then
self[panel[i]] = view[i]:new(self._controller)
self[panel[i]]:setPosition(142,10)
end
if(self[panel[i]]:getParent() == nil) then
self:addChild(self[panel[i]])
end
flag[i] = true
end
end
for i = 1, 4 do
if(flag[i] == false) then
if(self[panel[i]] ~= nil and self[panel[i]]:getParent() ~= nil)	then
self[panel[i]]:getParent():removeChild(self[panel[i]],false)
end
end
end
end
function SceneTryCopyPanel:popDataUpdate(evt)
if(evt == nil or (evt.data >= globalManager.playerInfoTester.copy1PopType and evt.data <= globalManager.playerInfoTester.copy5PopType)) then
local num = {3,4,1,5}
for i = 1, 4 do
if globalManager.playerInfoTester["_copyNum"..num[i]] > 0 then
self._tabGroup:getTabBtns()[i]:setShowPop(true)
else
self._tabGroup:getTabBtns()[i]:setShowPop(false)
end
end
end
end
function SceneTryCopyPanel:dispose()
self:removeEvent()
self:hideCopyEntrusPanel()
local panel = {"_yzPanel", "_lyPanel", "_clPanel", "_shPanel"}
for i = 1, 4 do
if(self[panel[i]] ~= nil)then
self[panel[i]]:dispose()
self[panel[i]] = nil
end
end
if(self._tabGroup ~= nil)then
self._tabGroup:dispose()
self._tabGroup = nil
end
self._controller = nil
self:__basePanelDispose()
self.__basePanelDispose = nil
end
SceneTryCopySHInviteItem = class("SceneTryCopySHInviteItem",function(self,parent,controller,pos)
local temp = globalManager.ccCreator:newJsonWidget("chaosInviteItem")
temp.headIcon = temp:getChildByName("headIcon")
temp.levelLabel = temp:getChildByName("levelLabel")
temp.nameLabel = temp:getChildByName("nameLabel")
temp.selectBoard = temp:getChildByName("ImageView_444208")
temp.vipLevel = temp:getChildByName("vipLevel")
temp.vipIcon = temp:getChildByName("vip_icon")
temp.inviteBtn  = temp:getChildByName("inviteBtn")
temp.inviteBtnPath = globalManager.pathManager:getUISource("outPic/chaos_invite_icon.png")
temp.selectBoard:setVisible(false)
temp.friendInfo = nil
temp.index = 0
temp._selected = false
temp._selectCallback = nil
temp._selectCallbackTarget = nil
temp.parent = parent
temp._controller = controller
temp.pos = pos
return temp
end)
function SceneTryCopySHInviteItem:ctor()
globalManager.sourceCacheManager:setImage(self.inviteBtn,self.inviteBtnPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self:initEvent()
end
function SceneTryCopySHInviteItem:initEvent()
local function touchHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(sender == self)then
if(self._selectCallback ~= nil)then
self._selectCallback(self._selectCallbackTarget,self.index)
end
elseif(sender == self.inviteBtn)then
local position = 1
if(self.pos == 2)then
position = 3
elseif(self.pos == 3)then
position = 2
end
local userId = self.parent.parent:getInviteUserIdByPos(position)
if(userId ~= nil and userId == self.friendInfo.info.userId) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("SceneTryCopySHInviteItem.text1"))
return
end
if(self.friendInfo.info.level < globalData.newModuleLevelConfig.defenedLevel)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("MarryReceiver.text6")..globalData.newModuleLevelConfig.defenedLevel..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel48"))
else
self._controller.sceneModule.message:sendSHInviteFriend(self.friendInfo.info.userId,self.pos)
self.parent.parent:setInviteStatus(self.pos,self.friendInfo.info.userId)
self.parent:hide()
end
end
end
end
self:addTouchEventListener(touchHandler)
self.inviteBtn:addTouchEventListener(touchHandler)
end
function SceneTryCopySHInviteItem:setSelected(value)
if(self._selected == value)then return end
self._selected = value
self.selectBoard:setVisible(value)
end
function SceneTryCopySHInviteItem:setData(index,info,itemTouchCallback,target)
self.index = index
self.friendInfo = info
self.headIcon:loadTexture(globalData.allStaticTypes.careerType:getHeadPath(self.friendInfo.info.career),1)
self._selectCallback = itemTouchCallback
self._selectCallbackTarget = target
self:updateView()
end
function SceneTryCopySHInviteItem:updateView()
self.nameLabel:setText(self.friendInfo.info.nick)
if(self.friendInfo.info.level == 0) then
self.levelLabel:setText("??")
else
self.levelLabel:setText(self.friendInfo.info.level)
end
if(self.friendInfo.info.vipLevel > 0)then
self.vipLevel:setStringValue(self.friendInfo.info.vipLevel)
else
self.vipLevel:setVisible(false)
self.vipIcon:setVisible(false)
end
end
function SceneTryCopySHInviteItem:dispose()
self.headIcon = nil
self.levelLabel = nil
self.nameLabel = nil
self.selectBoard = nil
self.vipLevel = nil
self.vipIcon = nil
self.inviteBtn = nil
globalManager.sourceCacheManager:removeQuote(self.inviteBtnPath)
self.inviteBtnPath = nil
self.friendInfo = nil
self.index = nil
self._selected = nil
self._selectCallbackTarget = nil
self.pos = nil
self._controller = nil
self.parent = nil
globalManager.ccCreator:release(self)
end
SceneTryCopySHInvitePanel = class("SceneTryCopySHInvitePanel",function(self,controller,pos,parent)
local temp = globalManager.ccCreator:newJsonWidget("chaosInvitePanel")
temp._closeBtn = temp:getChildByName("closeBtn_Copy0")
temp._itemListView = temp:getChildByName("ScrollView_489077_Copy0")
temp._controller = controller
temp._pos= pos
temp.parent = parent
temp._itemList = {}
temp._friendOnlineList = {}
temp.currentFriendIndex = 0
return temp
end)
function SceneTryCopySHInvitePanel:ctor()
self:initEvent()
self:initView()
globalData.uiClickContainer:addItem(self,true,true)
end
function SceneTryCopySHInvitePanel:initEvent()
local closeClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self.parent:hideSHInvitePanel()
end
end
self._closeBtn:addTouchEventListener(closeClickHandler)
end
function SceneTryCopySHInvitePanel:hide()
self.parent:hideSHInvitePanel()
end
function SceneTryCopySHInvitePanel:initView()
local function friendSort(info1,info2)
local count1 = globalData.chatItemList:getUnreadCount(info1.info.userId)
local count2 = globalData.chatItemList:getUnreadCount(info2.info.userId)
if(count1 == count2) then
return info1.online > info2.online
end
return count1 > count2
end
self._itemList = {}
self._friendOnlineList = globalData.friendList:getOnlineList()
table.sort(self._friendOnlineList,friendSort)
local len = table.getn(self._friendOnlineList)
local height = 500
if(len > 8)then
height = 120 * math.floor(1 + (len - 1)/ 2)
end
for i=1,len,1 do
local item = SceneTryCopySHInviteItem:new(self,self._controller,self._pos)
table.insert(self._itemList,item)
self._itemListView:addChild(item)
item:setPosition(cc.p(360 * ((i - 1) % 2),height - 120 - 120 * math.floor((i - 1) / 2)))
item:setData(i,self._friendOnlineList[i],self.itemTouchCallback,self)
end
self:setSelectedItem(1)
self._itemListView:setInnerContainerSize(globalManager.ccCreator:newSize(731,height))
end
function SceneTryCopySHInvitePanel:itemTouchCallback(index)
self:setSelectedItem(index)
end
function SceneTryCopySHInvitePanel:setSelectedItem(index)
if(index == 0)then
self.currentFriendIndex = 0
else
if(self.currentFriendIndex == index)then
return
end
if(self.currentFriendIndex ~= 0) then
self._itemList[self.currentFriendIndex]:setSelected(false)
end
self.currentFriendIndex = index
self._itemList[self.currentFriendIndex]:setSelected(true)
end
end
function SceneTryCopySHInvitePanel:dispose()
globalData.uiClickContainer:close(self)
self._closeBtn = nil
self._itemListView = nil
self._controller = nil
self.parent = nil
self._pos = nil
for __,item in pairs(self._itemList) do
item:dispose()
end
self._itemList = nil
self._friendOnlineList = nil
self.currentFriendIndex = nil
globalManager.ccCreator:release(self)
end
SceneTryCopySHPanel = class("SceneTryCopySHPanel",function(self,controller)
local st = globalManager.ccCreator:newJsonWidget("DefenedHeroContentPanel")
st:getChildByName("nameLabel"):setText("")
st:getChildByName("txtCount0"):setText(globalManager.yuyanbaoManager:getYuyanbao("SceneTryCopySHPanel.text6"))
st:getChildByName("explainLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("SceneTryCopySHPanel.text7"))
st:getChildByName("tipsLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("SceneTryCopySHPanel.text8"))
st:getChildByName("txtCount1"):setText(globalManager.yuyanbaoManager:getYuyanbao("SceneTryCopySHPanel.text9"))
st:getChildByName("awardLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("SceneTryCopySHPanel.text10"))
st:getChildByName("tipsLabel2"):setText(globalManager.yuyanbaoManager:getYuyanbao("SceneTryCopySHPanel.text11"))
st:getChildByName("singlerEnter"):getChildByName("btnLabel_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("SceneTryCopySHPanel.text12"))
st:getChildByName("teamEnter"):getChildByName("btnLabel_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("SceneTryCopySHPanel.text13"))
st._background       = st:getChildByName("img_bg")
st._awardPanel       = st:getChildByName("awardCell_panel")
st._numLabel         = st:getChildByName("numLabel")
st._nameLabel         = st:getChildByName("nameLabel")
st._InviteBtn    = st:getChildByName("singlerEnter")
st._teamBtn    = st:getChildByName("teamEnter")
st._controller     = controller
st._backgroundPath = ""
st._gridList       = {}
st._num            = 0
st._tempInfo       = nil
st._character      = nil
st._copyTempInfo     = globalData.allTemplates.copyTemplateList:getCopy(globalData.allTemplates.copyTemplateList.DEFENED)
return st
end)
function SceneTryCopySHPanel:ctor()
self._backgroundPath = globalManager.pathManager:getUISource("outPic/copyMaterialBg.png")
globalManager.sourceCacheManager:setImage(self._background,self._backgroundPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self:initEvent()
self:updateView()
end
function SceneTryCopySHPanel:initEvent()
local function enterContinueClickHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
print(self._tempInfo.needLevel , globalData.selfPlayerInfo.level,"======")
if(self._tempInfo.needLevel > globalData.selfPlayerInfo.level) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("SceneTryCopySHPanel.text1"))
return
end
if(self._num <= 0) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("SceneTryCopySHPanel.text2"))
return
end
local time = globalData.systemDateInfo:getZeroPassTime()
if(time >= 3600 and time <= 36000) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("SceneTryCopySHPanel.text3"))
return
end
if(sender == self._InviteBtn) then
self._controller:showSHTeamPanel(1)
else
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_stopAfk,globalManager.gameDispatcher))
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_stopJump,globalManager.gameDispatcher))
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.trigger_stopMoving,globalManager.gameDispatcher))
self._controller:showCopyTeamMatchPanel()
self._controller.sceneModule.message:sendTeamMatch(globalData.allTemplates.copyTemplateList.DEFENED)
end
end
end
self._InviteBtn:addTouchEventListener(enterContinueClickHandler)
self._teamBtn:addTouchEventListener(enterContinueClickHandler)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.newly_shouhuCopyEnter,self.enterCopy,self)
end
function SceneTryCopySHPanel:removeEvent()
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.newly_shouhuCopyEnter,self.enterCopy,self)
end
function SceneTryCopySHPanel:enterCopy()
if(self._num <= 0) then return end
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_stopAfk,globalManager.gameDispatcher))
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_stopJump,globalManager.gameDispatcher))
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.trigger_stopMoving,globalManager.gameDispatcher))
self._controller:showCopyTeamMatchPanel()
self._controller.sceneModule.message:sendTeamMatch(globalData.allTemplates.copyTemplateList.MATERIAL)
end
function SceneTryCopySHPanel:updateView()
self:clearGrids()
self._tempInfo = globalData.allTemplates.copyMissionTemplateList:getMission(self._copyTempInfo.missions[1])
local rewardList = self._tempInfo.rewardItems
if(rewardList ~= nil)then
local len = table.getn(rewardList)
if(len > 4)then len = 4 end
if(len > 0)then
for i = 1,len,1 do
local grid = GoodsInfoGrid:new()
grid:setGoodsTempInfo(globalData.allTemplates.goodsTemplateList:getTemplate(rewardList[i][1]))
table.insert(self._gridList,grid)
self._awardPanel:addChild(grid)
grid:setPosition((i - 1) * 90 - 4,0)
end
end
end
self._num = globalData.copyInfo:getCopyLeftCount(globalData.allTemplates.copyTemplateList.DEFENED)
self._numLabel:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("SceneTryCopyLYPanel.text18"),self._num))
if(self._character ~= nil)then
self._character:dispose()
self._character = nil
end
local characterInfo = CharacterInfo:new(globalData.allStaticTypes.sourceStaticType.monster)
characterInfo:setStyleBin(1,102011)
characterInfo:setDefaultAnima(globalData.allStaticTypes.animaInfoList.monsterStand)
self._nameLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("SceneTryCopySHPanel.text5"))
self._character = BaseCharacter:new(characterInfo)
self._character:setScale(1.5)
self._character:show(globalData.allStaticTypes.directType.bottom)
self._character:setPosition(globalManager.ccCreator:newPoint(228,292))
self:addNode(self._character,9)
end
function SceneTryCopySHPanel:clearGrids()
local len = table.getn(self._gridList)
for i = 1,len,1 do
self._gridList[i]:dispose()
end
self._gridList = {}
end
function SceneTryCopySHPanel:dispose()
self._controller:hideSHTeamPanel()
self._controller:hideCopyTeamMatchPanel()
self:removeEvent()
globalManager.sourceCacheManager:removeQuote(self._backgroundPath)
self._backgroundPath = nil
self:clearGrids()
if(self._character ~= nil)then
self._character:dispose()
self._character = nil
end
self._characterImg = nil
self._numLabel = nil
self._nameLabel = nil
self._InviteBtn  = nil
self._teamBtn = nil
self._awardPanel = nil
globalManager.ccCreator:release(self)
self._controller = nil
end
SceneTryCopySHTeamItem = class("SceneTryCopySHTeamItem",function(self,itemWidget,controller,index)
local temp = itemWidget
temp._controller = controller
temp._index = index
temp._isCaptain = false
temp._nameLabel = itemWidget:getChildByName("nameLabel")
temp._fightLabel = itemWidget:getChildByName("fightLabel")
temp.outBtn = itemWidget:getChildByName("outBtn")
temp._qingLabel = temp.outBtn:getChildByName("btnLabel1")
temp._chuLabel = temp.outBtn:getChildByName("btnLabel2")
temp._inviteImg = temp:getChildByName("inviteImg")
if(temp._inviteImg ~= nil)then
temp._inviteImg:setEnabled(false)
end
temp.outBtn:setEnabled(false)
temp._character = nil
temp._effect = nil
temp._userName = nil
temp._nameLabel:setText("")
if(index == 1)then
temp.outBtn:getChildByName("btnLabel1"):setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosItemView.text1"))
temp.outBtn:getChildByName("btnLabel2"):setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosItemView.text2"))
temp.outBtn:getChildByName("btnLabel3"):setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosItemView.text3"))
temp.outBtn:getChildByName("btnLabel4"):setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosItemView.text4"))
temp:getChildByName("text2"):setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosItemView.text6"))
else
temp.outBtn:getChildByName("btnLabel1"):setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosItemView.text7"))
temp.outBtn:getChildByName("btnLabel2"):setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosItemView.text8"))
temp.outBtn:getChildByName("btnLabel3"):setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosItemView.text3"))
temp.outBtn:getChildByName("btnLabel4"):setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosItemView.text4"))
temp:getChildByName("text2"):setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosItemView.text6"))
temp:getChildByName("inviteImg"):getChildByName("label1"):setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosItemView.text9"))
temp:getChildByName("inviteImg"):getChildByName("label2"):setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosItemView.text7"))
temp:getChildByName("inviteImg"):getChildByName("label3"):setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosItemView.text10"))
temp:getChildByName("inviteImg"):getChildByName("label4"):setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosItemView.text11"))
end
return temp
end)
function SceneTryCopySHTeamItem:ctor()
self:initEvent()
end
function SceneTryCopySHTeamItem:initEvent()
local function sendQuitTeam()
self._controller.sceneModule.message:sendSHQuitTeam()
self._controller:hideSHTeamPanel()
end
local function sendKickTeam()
self._controller.sceneModule.message:sendSHKickMember(self._index)
end
local function outBtnclickHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(self._isCaptain)then
if(self._index == 1)then
local text = globalManager.yuyanbaoManager:getYuyanbao("ChaosItemView.text12")
Alert:new():show(2,text,nil,0,self,sendQuitTeam)
else
local text = string.format(globalManager.yuyanbaoManager:getYuyanbao("ChaosItemView.text16"),self._userName)
Alert:new():show(2,text,nil,0,self,sendKickTeam)
end
else
local text = globalManager.yuyanbaoManager:getYuyanbao("ChaosItemView.text13")
Alert:new():show(2,text,nil,0,self,sendQuitTeam)
end
end
end
self.outBtn:addTouchEventListener(outBtnclickHandler)
end
function SceneTryCopySHTeamItem:setData(playerInfo,isCaptain)
self._isCaptain = isCaptain
if(self._character ~= nil)then
self._character:dispose()
self._character = nil
end
if(playerInfo ~= nil)then
if(self._isCaptain)then
self.outBtn:setEnabled(true)
elseif(playerInfo.userId == globalData.selfPlayerInfo.userId)then
self.outBtn:setEnabled(true)
self._qingLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosItemView.text14"))
self._chuLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosItemView.text15"))
end
playerInfo.isHorse = false
playerInfo.characterInfo.hideWing = true
self._character = BaseCharacter:new(playerInfo.characterInfo)
self:addNode(self._character)
self._nameLabel:setText(playerInfo.nick)
self._fightLabel:setText(playerInfo.combat)
self._character:setPosition(globalManager.ccCreator:newPoint(73,80))
self._character:setScale(1.5)
self._character:show(globalData.allStaticTypes.directType.bottom)
self._userName = playerInfo.nick
if(self._effect ~= nil)then
self._effect:dispose()
self._effect = nil
end
if(self._inviteImg ~= nil)then
self._inviteImg:setEnabled(false)
end
else
if(self._effect == nil)then
self._effect = globalManager.effectCreator:create(1075)
self._effect:move2(self,73,-50)
self._effect:setScale(2)
self._effect:play()
self:addNode(self._effect,10)
end
self._nameLabel:setText("")
self._fightLabel:setText("")
self.outBtn:setEnabled(false)
if(self._inviteImg ~= nil and isCaptain)then
self._inviteImg:setEnabled(true)
end
end
end
function SceneTryCopySHTeamItem:setNameLabel(name)
self._nameLabel:setText(name)
end
function SceneTryCopySHTeamItem:dispose()
if(self._effect ~= nil)then
self._effect:dispose()
self._effect = nil
end
self._controller = nil
self._index = nil
self._nameLabel = nil
self._fightLabel = nil
self.outBtn = nil
self._qingLabel = nil
self._chuLabel = nil
self._inviteImg = nil
self._isCaptain = nil
self._userName = nil
if(self._character ~= nil)then
self._character:dispose()
self._character = nil
end
end
SceneTryCopySHTeamPanel = class("SceneTryCopySHTeamPanel",function(self,controller,type)
temp = globalManager.ccCreator:newJsonWidget("SHInvitePanel")
temp._controller = controller
temp._type = type --1：主动打开；2:被邀请打开
temp._bg = temp:getChildByName("bg")
temp._bgPath = globalManager.pathManager:getUISource("outPic/chaos_bg.png")
temp._enterBtn = temp:getChildByName("MatchingBtn")
temp._closeBtn = temp:getChildByName("closeBtn")
temp._itemList = {}
for i = 1,3,1 do
local itemWidget = temp:getChildByName("item"..i)
local item = SceneTryCopySHTeamItem:new(itemWidget,controller,i)
table.insert(temp._itemList,item)
end
temp.invitePanel = nil
temp.isKick = false
temp.myPos = 0
temp.isCaptain = nil
temp.canGainAward = false
temp.isCanClick = {false,true,true}
temp.hasInvited = {false,false,false}
temp.inviteUserId = {}
temp.playerCount = 0
temp._count1 = 0
temp._count2 = 0
temp._time = 0
temp._enterBtn:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("SceneTryCopySHTeamPanel.text1"))
temp:getChildByName("label1_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("SceneTryCopySHTeamPanel.text2"))
return temp
end)
function SceneTryCopySHTeamPanel:ctor()
globalManager.sourceCacheManager:setImage(self._bg,self._bgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self:initEvent()
self:initView()
if(self._type == 1)then
self._controller.sceneModule.message:sendSHCreateTeam()
end
self._controller.sceneModule.message:sendGetSHTeamInfo()
end
function SceneTryCopySHTeamPanel:initEvent()
local function close()
self._controller:hideSHTeamPanel()
end
local function closeBtnHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(self.playerCount > 1)then
if(self.isCaptain)then
Alert:new():show(2,globalManager.yuyanbaoManager:getYuyanbao("ChaosPanel.text8"),nil,0,self,close)
else
Alert:new():show(2,globalManager.yuyanbaoManager:getYuyanbao("ChaosPanel.text17"),nil,0,self,close)
end
else
self._controller:hideSHTeamPanel()
end
end
end
local function inviteBtnTouchHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
local pos = 0
if(sender == self._itemList[2])then
pos = 2
if(self.isCanClick[2] == false)then
return
end
elseif(sender == self._itemList[3])then
pos = 3
if(self.isCanClick[3] == false)then
return
end
end
if(#globalData.friendList:getOnlineList() <= 0)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("ChaosPanel.text11"))
else
if(self.invitePanel == nil) then
self.invitePanel = SceneTryCopySHInvitePanel:new(self._controller,pos,self)
end
end
end
end
local function enterBtnTouchHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self._controller.sceneModule.message:sendSHEnterCopy()
end
end
self._closeBtn:addTouchEventListener(closeBtnHandler)
self._enterBtn:addTouchEventListener(enterBtnTouchHandler)
self._itemList[2]:addTouchEventListener(inviteBtnTouchHandler)
self._itemList[3]:addTouchEventListener(inviteBtnTouchHandler)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_reConnect,self.close,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_closeOtherPanel,self.close,self)
end
function SceneTryCopySHTeamPanel:removeEvent()
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.scene_reConnect,self.close,self)
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.scene_closeOtherPanel,self.close,self)
end
function SceneTryCopySHTeamPanel:close()
self._controller:hideSHTeamPanel()
end
function SceneTryCopySHTeamPanel:initView()
end
function SceneTryCopySHTeamPanel:setInviteStatus(pos,userId)
self.hasInvited[pos] = true
self.isCanClick[pos] = false
self._itemList[pos]:setNameLabel(globalManager.yuyanbaoManager:getYuyanbao("ChaosPanel.text13"))
if(pos == 2)then
self._count1 = 10
elseif(pos == 3)then
self._count2 = 10
end
self._time = 0
globalManager.tickManager:addTick(self.tick,self)
if(userId ~= nil)then
self.inviteUserId[pos] = userId
end
end
function SceneTryCopySHTeamPanel:resetInviteStatus(pos)
self.hasInvited[pos] = false
self.isCanClick[pos] = true
self._itemList[pos]:setNameLabel("")
self.inviteUserId[pos] = nil
end
function SceneTryCopySHTeamPanel:getInviteUserIdByPos(pos)
return self.inviteUserId[pos]
end
function SceneTryCopySHTeamPanel:tick(delta,count)
self._time = self._time + 1
if(self._time >= 60) then
self._time = 0
self._count1 = self._count1 - 1
self._count2 = self._count2 - 1
if(self._count1 == 0)then
self:resetInviteStatus(2)
end
if(self._count2 == 0)then
self:resetInviteStatus(3)
end
if(self._count1 <= 0 and self._count2 <= 0) then
globalManager.tickManager:removeTick(self.tick,self)
end
end
end
function SceneTryCopySHTeamPanel:updatePlayerInfo(infoList)
self.playerCount = #infoList
for __,info in pairs(infoList) do
if(info.userId == globalData.selfPlayerInfo.userId)then
self.myPos = info.pos
end
end
self.isCaptain = false
if(self.myPos == 1)then
self.isCaptain = true
end
self.isCanClick = {false,true,true}
if(#infoList == 1)then
self._itemList[2]:setData(nil,self.isCaptain)
self._itemList[3]:setData(nil,self.isCaptain)
elseif(#infoList == 2)then
if(self.myPos == 2 or infoList[1].pos == 2 or infoList[2].pos == 2)then
self._itemList[3]:setData(nil,self.isCaptain)
elseif(self.myPos == 3 or infoList[1].pos == 3 or infoList[2].pos == 3)then
self._itemList[2]:setData(nil,self.isCaptain)
end
end
for i = 1,#infoList,1 do
self._itemList[infoList[i].pos]:setData(infoList[i],self.isCaptain)
self.isCanClick[infoList[i].pos] = false
self.hasInvited[infoList[i].pos] = false
if(infoList[i].pos == 2)then
self._count1 = 0
elseif(infoList[i].pos == 3)then
self._count2 = 0
end
end
--self._itemList[self.myPos]:setData(globalData.selfPlayerInfo,self.isCaptain)
--self.isCanClick[self.myPos] = false
--self.hasInvited[self.myPos] = false
if(#infoList == 1)then
self._itemList[1].outBtn:setEnabled(false)
end
if(not self.isCaptain)then
self.isCanClick = {false,false,false}
self._enterBtn:setEnabled(false)
end
for i = 2,3,1 do
if(self.hasInvited[i] == true)then
self._itemList[i]:setNameLabel(globalManager.yuyanbaoManager:getYuyanbao("ChaosPanel.text13"))
end
end
end
function SceneTryCopySHTeamPanel:quitTeam(pos)
self._itemList[pos]:setData(nil,self.isCaptain)
self.playerCount = self.playerCount - 1
if(self.isCaptain)then
self.isCanClick[pos] = true
end
self.inviteUserId[pos] = nil
end
function SceneTryCopySHTeamPanel:kickMenber(pos)
if(pos == self.myPos)then
self.isKick = true
self._controller:hideSHTeamPanel()
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("ChaosPanel.text16"))
else
self.playerCount = self.playerCount - 1
self._itemList[pos]:setData(nil,self.isCaptain)
if(self.isCaptain)then
self.isCanClick[pos] = true
end
self.inviteUserId[pos] = nil
end
end
function SceneTryCopySHTeamPanel:hideSHInvitePanel()
if(self.invitePanel ~= nil) then
self.invitePanel:dispose()
self.invitePanel = nil
end
end
function SceneTryCopySHTeamPanel:dispose()
self:removeEvent()
globalManager.tickManager:removeTick(self.tick,self)
if(globalData.copyInfo.currentCopyId ~= globalData.allTemplates.copyTemplateList.DEFENED and not self.isKick)then
self._controller.sceneModule.message:sendSHQuitTeam()
end
self:hideSHInvitePanel()
self._bg = nil
globalManager.sourceCacheManager:removeQuote(self._bgPath)
self._bgPath = nil
self._enterBtn = nil
self._closeBtn = nil
self.iskick = nil
self.isCaptain = nil
self.isCanClick = nil
self.hasInvited = nil
self.inviteUserId = nil
for i,item in pairs(self._itemList) do
item:dispose()
end
self._itemList = nil
globalManager.ccCreator:release(self)
end
SceneTryCopyTeamMatchPanel = class("SceneTryCopyTeamMatchPanel",function(self,controller)
local st = globalManager.ccCreator:newJsonWidget("DefencedHeroMarchingPanel")
st._timeLabel       = st:getChildByName("timeLabel")
st._timeLabel:setText("59"..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel64"))
st._canelBtn        = st:getChildByName("canelBtn")
st._canelBtn:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel2"))
st._singleBtn       = st:getChildByName("singlerEnter")
st._singleBtn:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("SceneTryCopyTeamMatchPanel.text1"))
st._controller = controller
st._count = 0
st._time = 59
return st
end)
function SceneTryCopyTeamMatchPanel:ctor()
self:initEvent()
globalManager.tickManager:addTick(self.tick,self)
end
function SceneTryCopyTeamMatchPanel:initEvent()
local function enterHandler()
self._controller.sceneModule.message:sendTeamQuit()
self._controller.sceneModule.copyTester:enterCopy(globalData.allTemplates.copyTemplateList.DEFENED,1)
self._controller:hideCopyTeamMatchPanel()
end
local cancelClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
self._controller.sceneModule.message:sendTeamQuit()
self._controller:hideCopyTeamMatchPanel()
end
end
local function singleClickHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
Alert:new():show(2,globalManager.yuyanbaoManager:getYuyanbao("SceneTryCopySHPanel.text4"),nil,0,self,enterHandler)
end
end
self._singleBtn:addTouchEventListener(singleClickHandler)
self._canelBtn:addTouchEventListener(cancelClickHandler)
end
function SceneTryCopyTeamMatchPanel:tick(delta,count)
self._count = self._count + 1
if(self._count >= 60) then
self._count = 0
self._time = self._time - 1
if(self._time < 0) then self._time = 59 end
self._timeLabel:setText(self._time..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel64"))
end
end
function SceneTryCopyTeamMatchPanel:removeEvent()
end
function SceneTryCopyTeamMatchPanel:dispose()
globalManager.tickManager:removeTick(self.tick,self)
self:removeEvent()
self._timeLabel = nil
self._canelBtn = nil
globalManager.ccCreator:release(self)
self._controller = nil
end
SceneTryCopyLYPanel = class("SceneTryCopyLYPanel", function(self, controller)
local this = globalManager.ccCreator:newJsonWidget("copyView4")
this.COST_SWEEP = 20
this._selectedBox = nil
this._bgPath = nil
this._controller = controller
this._awardPanel = this:getChildByName("awardCell_panel")
this._background = this:getChildByName("img_bg")
this._info_btn = this:getChildByName("info_btn")
this._txtMyRank = this:getChildByName("txtMyRank")
this._txtMyPass = this:getChildByName("txtMyPass")
this._enter_Continue = this:getChildByName("enter_Continue")
this._enter_Continue_Label = this:getChildByName("txtCount")
this._LoadingBar = this:getChildByName("LoadingBar")
this._sweepBtn = this:getChildByName("sweep_btn")
this._boxList = {}
this._gridList = {}
this.maxLevel = 0
this.current = 0
this._cost = 0
this._names = {this:getChildByName("txtName1"),this:getChildByName("txtName2"),this:getChildByName("txtName3")}
this._cs = {this:getChildByName("txtC1"),this:getChildByName("txtC2"),this:getChildByName("txtC3")}
this._copyTemp = globalData.allTemplates.copyTemplateList:getCopy(globalData.allTemplates.copyTemplateList.LIANYU)
this._maxCount = #this._copyTemp.missions
for i = 0, 3, 1 do
local box = SceneTryCopyLYItem:new(this:getChildByName("img_box"..i), controller)
box.index = i + 1
table.insert(this._boxList, box)
end
for i = 1, 4, 1 do
local grid = GoodsInfoGrid:new()
table.insert(this._gridList,grid)
this._awardPanel:addChild(grid)
grid:setPosition((i - 1) * 90,-1)
end
this:getChildByName("txtResetTimeLabel_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("SceneTryCopyLYPanel.text8"))
this:getChildByName("txtResetTimeLabel_Copy1"):setText(globalManager.yuyanbaoManager:getYuyanbao("SceneTryCopyLYPanel.text9"))
this:getChildByName("sweep_btn"):getChildByName("btnLabel_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("SceneTryCopyLYPanel.text12"))
this:getChildByName("enter_Continue"):getChildByName("btnLabel_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("SceneTryCopyLYPanel.text13"))
return this
end)
function SceneTryCopyLYPanel:ctor()
globalData.copyInfo.copyLYInfo = globalData.copyInfo:getCopyInfo(globalData.allTemplates.copyTemplateList.LIANYU)
--拿数据
globalData.messageAdder:sendCopyMissionResetCount(globalData.allTemplates.copyTemplateList.LIANYU)
globalData.messageAdder:sendCopyKingInfo(globalData.allTemplates.copyTemplateList.LIANYU,1,2)
self._bgPath = globalManager.pathManager:getUISource("outPic/lianyu_bg.png")
globalManager.sourceCacheManager:setImage(self._background, self._bgPath, globalData.allStaticTypes.sourceStaticType.clearFiveM)
local copytemp = globalData.allTemplates.copyTemplateList:getCopy(globalData.allTemplates.copyTemplateList.LIANYU)
if copytemp ~= nil then
local mission = copytemp:getFirstMission()
if mission ~= nil then
for i = 1, math.min(#mission.rewardItems, 4) do
self._gridList[i]:setGoodsTempInfo(globalData.allTemplates.goodsTemplateList:getTemplate(mission.rewardItems[i][1]))
end
end
end
self:initEvent()
end
function SceneTryCopyLYPanel:initEvent()
local function clickHandler(sender, eventType)
if eventType == TOUCH_EVENT_ENDED then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if sender == self._enter_Continue then
--进入副本
if self.current > self._maxCount then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("SceneTryCopyLYPanel.text3"))
else
self._controller.sceneModule.copyTester:enterCopy(globalData.allTemplates.copyTemplateList.LIANYU, 1)
end
elseif sender == self._info_btn then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
globalManager.tipsManager:showString(globalManager.descriptManager:getDescript("10020"))
end
end
end
self._enter_Continue:addTouchEventListener(clickHandler)
self._info_btn:addTouchEventListener(clickHandler)
local function boxClickHandler(sender, eventType)
if eventType == TOUCH_EVENT_ENDED then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
-- if sender.index == self._selectedBox then return end
if self._boxList[self._selectedBox] ~= nil then
self._boxList[self._selectedBox]:setSelected(false)
end
self._selectedBox = sender.index
self._boxList[self._selectedBox]:setSelected(true)
self._boxList[self._selectedBox]:click()
end
end
for i = 1, 4 do
self._boxList[i]:addTouchEventListener(boxClickHandler)
end
local sweepHandler = function(sender,eventType)
local entrust = function()
if(self.COST_SWEEP > globalData.selfPlayerInfo.moneyInfo.gold) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel11"))
return
end
globalData.messageAdder:sendCopyEntrust(globalData.allTemplates.copyTemplateList.LIANYU)
self._sweepBtn:loadTextureNormal("btn/ui_tabBtn1_5.png",1)
self._sweepBtn:setTouchEnabled(false)
local id = self._copyTemp:missionIndexToId(self.maxLevel)
self.current = self.maxLevel
globalData.copyInfo:setTodayMaxMission(globalData.allTemplates.copyTemplateList.LIANYU,id + 1)
self._enter_Continue_Label:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("SceneTryCopyLYPanel.text14"),math.min(self._maxCount, self.maxLevel)))
end
if(eventType == TOUCH_EVENT_ENDED)then
local content = string.format(globalManager.yuyanbaoManager:getYuyanbao("SceneTryCopyLYPanel.text15"),math.min(self._maxCount, self.maxLevel),self.COST_SWEEP)
Alert:new():show(2,content,nil,0,self,entrust)
end
end
self._sweepBtn:addTouchEventListener(sweepHandler)
globalData.copyInfo:addEventListener(globalData.globalEventType.playerInfo_copyMissionAward, self.infoUpdate, self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.playerInfo_lianyuCopyUpdate,self.rankUpdate,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.newly_enterLYCopy,self.enterCopy,self)
end
function SceneTryCopyLYPanel:removeEvent()
globalData.copyInfo:removeEventListener(globalData.globalEventType.playerInfo_copyMissionAward, self.infoUpdate, self)
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.playerInfo_lianyuCopyUpdate,self.rankUpdate,self)
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.newly_enterLYCopy,self.enterCopy,self)
end
function SceneTryCopyLYPanel:enterCopy(evt)
self._controller.sceneModule.message:sendEnterCopy(globalData.allTemplates.copyTemplateList.LIANYU, 1)
end
function SceneTryCopyLYPanel:rankUpdate(evt)
--霸主信息
local king
for i = 1,3,1 do
king = globalData.copyInfo.copyLYInfo.copyKings[i]
if(king == nil) then
self._names[i]:setText(globalManager.yuyanbaoManager:getYuyanbao("SceneTryCopyLYPanel.text19"))
self._names[i]:setColor(self._cs[i]:getColor())
self._cs[i]:setText("")
else
self._names[i]:setText(king.players[1].nick)
self._names[i]:setColor(globalData.allStaticTypes.colorType.TRUE_COLOR)
self._cs[i]:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("SceneTryCopyLYPanel.text16"),self._copyTemp:missionIdToIndex(king.missionId)))
end
end
--我的排名
local rank = globalData.copyInfo.copyLYInfo.myRank or 999
if rank > 0 then
self._txtMyRank:setText(tostring(rank))
else
self._txtMyRank:setText(globalManager.yuyanbaoManager:getYuyanbao("SceneTryCopyLYPanel.text6"))
end
self.maxLevel = globalData.copyInfo:getMaxMission(globalData.allTemplates.copyTemplateList.LIANYU) or 0
self.maxLevel = math.max(0, math.min( self._maxCount, self._copyTemp:missionIdToIndex(self.maxLevel) - 1 ))
if self.maxLevel > 0 then
self._txtMyPass:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("SceneTryCopyLYPanel.text17"),self.maxLevel))
else
self._txtMyPass:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel75"))
end
self.current = globalData.copyInfo:getTodayMaxMission(globalData.allTemplates.copyTemplateList.LIANYU)
if self.current > 0 then
self.current = self._copyTemp:missionIdToIndex(self.current)
end
self.current = math.max(1, self.current)
local content = string.format(globalManager.yuyanbaoManager:getYuyanbao("SceneTryCopyLYPanel.text14"),math.min(self._maxCount, self.current))
self._enter_Continue_Label:setText(content)
self._cost = self.maxLevel - self.current
if(self._cost <= 0) then
self._sweepBtn:loadTextureNormal("btn/ui_tabBtn1_5.png",1)
self._sweepBtn:setTouchEnabled(false)
else
self._sweepBtn:loadTextureNormal("btn/ui_tabBtn1_3.png",1)
self._sweepBtn:setTouchEnabled(true)
end
end
function SceneTryCopyLYPanel:infoUpdate(evt)
--副本次数
local lTime = math.min(1, globalData.copyInfo.copyLYInfo.resetTime)
--副本奖励
local start = globalData.copyInfo.copyLYInfo:getAwardLevel()
for i = 1, 4 do
self._boxList[i]:setLevelGoodsId(start + i - 1)
end
self.current = globalData.copyInfo:getTodayMaxMission(globalData.allTemplates.copyTemplateList.LIANYU)
if self.current > 0 then
self.current = self._copyTemp:missionIdToIndex(self.current)
end
self.current = math.max(1, self.current)
local percent = 0
for i = start,start + 3,1 do
if(i * 10 <= self.current or globalData.copyInfo.copyLYInfo:getState(i) == true) then
percent = percent + 25
end
end
self._LoadingBar:setPercent(percent)
local content = string.format(globalManager.yuyanbaoManager:getYuyanbao("SceneTryCopyLYPanel.text14"),math.min(self._maxCount, self.current))
self._enter_Continue_Label:setText(content)
self._cost = self.maxLevel - self.current
if(self._cost <= 0) then
self._sweepBtn:loadTextureNormal("btn/ui_tabBtn1_5.png",1)
self._sweepBtn:setTouchEnabled(false)
else
self._sweepBtn:loadTextureNormal("btn/ui_tabBtn1_3.png",1)
self._sweepBtn:setTouchEnabled(true)
end
end
function SceneTryCopyLYPanel:dispose()
self:removeEvent()
if(self._bgPath ~= nil)then
globalManager.sourceCacheManager:removeQuote(self._bgPath)
self._bgPath = nil
end
-- if globalData.copyInfo.copyLYInfo ~= nil then
-- 	globalData.copyInfo.copyLYInfo:dispose()
-- 	globalData.copyInfo.copyLYInfo = nil
-- end
self._selectedBox = nil
self._controller = nil
self._awardPanel = nil
self._background = nil
self._info_btn = nil
self._txtMyRank = nil
self._txtMyPass = nil
self._enter_Continue = nil
self._enter_Continue_Label = nil
self._LoadingBar = nil
self._sweepBtn = nil
self._names = nil
self._cs = nil
self._copyTemp = nil
for i = 1, 4, 1 do
self._boxList[i]:dispose()
self._gridList[i]:dispose()
end
self._boxList = nil
self._gridList = nil
globalManager.ccCreator:release(self)
end
SceneTryCopyLYItem = class("SceneTryCopyLYItem", function(self, widget, controller)
widget._controller = controller
widget._img_hasgot = widget:getChildByName("img_hasgot")
widget._img_boxselected = widget:getChildByName("img_boxselected")
widget._txtName = widget:getChildByName("txtName")
widget.NONE = 0
widget.PASS = 1
widget.GOT = 2
widget._state = nil
widget.level = nil
widget._goodId = 0
widget._effect = nil
widget._copyTemp = globalData.allTemplates.copyTemplateList:getCopy(globalData.allTemplates.copyTemplateList.LIANYU)
widget._maxCount = #widget._copyTemp.missions
return widget
end)
function SceneTryCopyLYItem:ctor()
self:setCurrentState(self.NONE)
self:setSelected(false)
end
function SceneTryCopyLYItem:setLevelGoodsId(level)
self._goodId = globalData.copyInfo.copyLYInfo:getAwardId(level)
self.level = level
self._txtName:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("SceneTryCopyLYPanel.text17"),(level*10)))
local current = globalData.copyInfo:getTodayMaxMission(globalData.allTemplates.copyTemplateList.LIANYU)
current = self._copyTemp:missionIdToIndex(current)
current = math.max(1, math.min(self._maxCount, current - 1))
if globalData.copyInfo.copyLYInfo:getState(level) == true then
self:setCurrentState(self.GOT)
else
if level * 10 <= current then
self:setCurrentState(self.PASS)
else
self:setCurrentState(self.NONE)
end
end
end
function SceneTryCopyLYItem:setSelected(value)
self._img_boxselected:setVisible(value)
end
function SceneTryCopyLYItem:click()
if self._state == self.PASS then
self._controller.sceneModule.message:sendCopyAwardGet(globalData.allTemplates.copyTemplateList.LIANYU,self.level * 10 + 1)
else
local info = globalData.allTemplates.goodsTemplateList:getTemplate(self._goodId)
assert(info, "#物品提示,模板数据不存在:"..self._goodId)
globalManager.tipsManager:showGoodsTemplate(info)
end
end
function SceneTryCopyLYItem:setCurrentState(state)
if self._state == state then return end
self._state = state
if state == self.NONE then
globalManager.commonUtils:setImgColorGrey(self)
self._img_hasgot:setVisible(false)
if(self._effect ~= nil) then
self._effect:dispose()
self._effect = nil
end
elseif state == self.PASS then
globalManager.commonUtils:setImgColorNormal(self)
if(self._effect == nil) then
self._effect = globalManager.effectCreator:create(38)
self._effect:move2(self,0,0)
self._effect:play()
self:addNode(self._effect)
end
self._img_hasgot:setVisible(false)
elseif state == self.GOT then
globalManager.commonUtils:setImgColorNormal(self)
self._img_hasgot:setVisible(true)
if(self._effect ~= nil) then
self._effect:dispose()
self._effect = nil
end
end
end
function SceneTryCopyLYItem:dispose()
self._controller = nil
if(self._effect ~= nil) then
self._effect:dispose()
self._effect = nil
end
self._img_hasgot = nil
self._img_boxselected = nil
self._txtName = nil
self._state = nil
self.level = nil
self._copyTemp = nil
end
SceneTryCopyMaterialPanel = class("SceneTryCopyMaterialPanel",function(self,controller)
local st = globalManager.ccCreator:newJsonWidget("copyView5")
st._background       = st:getChildByName("img_bg_Copy0")
st._awardPanel       = st:getChildByName("awardCell_panel")
st._characterImg     = st:getChildByName("characterImg")
st._numLabel         = st:getChildByName("numLabel")
st._enterContinue    = st:getChildByName("enter_Continue")
st._saodangBtn       = st:getChildByName("saodang_btn")
st._controller     = controller
st._backgroundPath = ""
st._gridList       = {}
st._num            = 0
st._tempInfo       = nil
st._character      = nil
st._copyTempInfo     = globalData.allTemplates.copyTemplateList:getCopy(globalData.allTemplates.copyTemplateList.MATERIAL)
st:getChildByName("nameLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("SceneTryCopyMaterialPanel.text3"))
st:getChildByName("txtCount_Copy2"):setText(globalManager.yuyanbaoManager:getYuyanbao("SceneTryCopyMaterialPanel.text4"))
st:getChildByName("explainLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("SceneTryCopyMaterialPanel.text5"))
st:getChildByName("txtCount_Copy3"):setText(globalManager.yuyanbaoManager:getYuyanbao("SceneTryCopyMaterialPanel.text6"))
st:getChildByName("awardLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("SceneTryCopyMaterialPanel.text7"))
st:getChildByName("enter_Continue"):getChildByName("btnLabel_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("SceneTryCopyMaterialPanel.text8"))
return st
end)
function SceneTryCopyMaterialPanel:ctor()
self._backgroundPath = globalManager.pathManager:getUISource("outPic/copyMaterialBg.png")
globalManager.sourceCacheManager:setImage(self._background,self._backgroundPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self:initEvent()
self:updateView()
end
function SceneTryCopyMaterialPanel:initEvent()
local function enterContinueClickHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(self._tempInfo.needLevel > globalData.selfPlayerInfo.level) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("SceneTryCopyMaterialPanel.text1"))
return
end
if(self._num > 0) then
self._controller.sceneModule.copyTester:enterCopy(globalData.allTemplates.copyTemplateList.MATERIAL,1)
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("SceneTryCopyMaterialPanel.text2"))
end
end
end
local function sweepAlertHandler()
if(globalData.selfPlayerInfo.moneyInfo.gold < 20) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel11"))
return
end
globalData.messageAdder:sendCopyEntrust(globalData.allTemplates.copyTemplateList.MATERIAL)
globalData.copyInfo:copyAddCount(globalData.allTemplates.copyTemplateList.MATERIAL,1)
self._num = globalData.copyInfo:getCopyLeftCount(globalData.allTemplates.copyTemplateList.MATERIAL)
self._numLabel:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("SceneTryCopyLYPanel.text18"),self._num))
if(self._num <= 0)then
self._saodangBtn:loadTextureNormal("btn/ui_tabBtn1_5.png",1)
self._saodangBtn:setTouchEnabled(false)
else
self._saodangBtn:loadTextureNormal("btn/ui_tabBtn1_3.png",1)
self._saodangBtn:setTouchEnabled(true)
end
end
local function sweepHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
local num = globalData.copyInfo:getCopyLeftCount(globalData.allTemplates.copyTemplateList.MATERIAL)
if(num <= 0) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("SceneTryCopyExpeditionPanel.text5"))
return
end
Alert:new():show(2,string.format(globalManager.yuyanbaoManager:getYuyanbao("SceneTryCopyLYPanel.text5"),20),globalManager.noAlertUtils.COPY_SWEEP_COST,0,self,sweepAlertHandler)
end
end
self._saodangBtn:addTouchEventListener(sweepHandler)
self._enterContinue:addTouchEventListener(enterContinueClickHandler)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.newly_enterMaterialCopy,self.enterCopy,self)
end
function SceneTryCopyMaterialPanel:removeEvent()
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.newly_enterMaterialCopy,self.enterCopy,self)
end
function SceneTryCopyMaterialPanel:enterCopy(evt)
if(self._num > 0) then
self._controller.sceneModule.copyTester:enterCopy(globalData.allTemplates.copyTemplateList.MATERIAL,1)
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("SceneTryCopyMaterialPanel.text2"))
end
end
function SceneTryCopyMaterialPanel:updateView()
self:clearGrids()
local playerLevel = globalData.selfPlayerInfo.level
local missionIndex = 0
if(playerLevel > 0 and playerLevel <= 60)then
missionIndex = 1
elseif(playerLevel >= 61 and playerLevel <= 90)then
missionIndex = 2
elseif(playerLevel >= 91 and playerLevel <= 500)then
missionIndex = 3
end
self._tempInfo = globalData.allTemplates.copyMissionTemplateList:getMission(self._copyTempInfo.missions[missionIndex])
local rewardList = self._tempInfo.rewardItems[1]
if(rewardList ~= nil)then
local len  = #rewardList
if(len > 4)then len = 4 end
if(len > 0)then
for i = 1,len,1 do
local grid = GoodsInfoGrid:new()
grid:setGoodsTempInfo(globalData.allTemplates.goodsTemplateList:getTemplate(rewardList[i][1]))
table.insert(self._gridList,grid)
self._awardPanel:addChild(grid)
grid:setPosition((i - 1) * 90 - 4,0)
end
end
end
self._num = globalData.copyInfo:getCopyLeftCount(globalData.allTemplates.copyTemplateList.MATERIAL)
self._numLabel:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("SceneTryCopyLYPanel.text18"),self._num))
if(self._num <= 0)then
self._saodangBtn:loadTextureNormal("btn/ui_tabBtn1_5.png",1)
self._saodangBtn:setTouchEnabled(false)
else
self._saodangBtn:loadTextureNormal("btn/ui_tabBtn1_3.png",1)
self._saodangBtn:setTouchEnabled(true)
end
if(self._character ~= nil)then
self._character:dispose()
self._character = nil
end
local characterInfo = CharacterInfo:new(globalData.allStaticTypes.sourceStaticType.monster)
characterInfo:setStyleBin(1,102006)
characterInfo:setDefaultAnima(globalData.allStaticTypes.animaInfoList.monsterStand)
self._character = BaseCharacter:new(characterInfo)
self._character:setScale(1.5)
self._character:show(globalData.allStaticTypes.directType.bottom)
self._character:setPosition(globalManager.ccCreator:newPoint(246,270))
self:addNode(self._character,9)
end
function SceneTryCopyMaterialPanel:clearGrids()
local len = table.getn(self._gridList)
for i = 1,len,1 do
self._gridList[i]:dispose()
end
self._gridList = {}
end
function SceneTryCopyMaterialPanel:dispose()
self:removeEvent()
globalManager.sourceCacheManager:removeQuote(self._backgroundPath)
self._backgroundPath = nil
self._background     = nil
self:clearGrids()
if(self._character ~= nil)then
self._character:dispose()
self._character = nil
end
self._characterImg   = nil
self._numLabel       = nil
self._enterContinue  = nil
self._awardPanel = nil
self._tempInfo   = nil
self._copyTempInfo = nil
self._saodangBtn   = nil
globalManager.ccCreator:release(self)
self._controller = nil
end
CopyNewlyFollowPanel = class("CopyNewlyFollowPanel",function(self,controller)
local temp = globalManager.ccCreator:newJsonWidget("copyFollowView1")
temp._controller = controller
temp._infoPanel = temp:getChildByName("info_panel")
temp._monsterLabel = temp._infoPanel:getChildByName("monster_label")
local bossLabel = temp._infoPanel:getChildByName("Label_31649")
bossLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("CopyNewlyFollowPanel.text1"))
local timeLayer = temp._infoPanel:getChildByName("time_layer")
temp._timeLabel = CountDownLabel:new(nil,3,nil,globalData.allStaticTypes.colorType.COLORGREEN,0)
timeLayer:addChild(temp._timeLabel)
temp._info = nil
temp._isMonsterClear = false
temp._isBallClear = false
temp._infoPanel:getChildByName("Label_31649_Copy1"):setText(globalManager.yuyanbaoManager:getYuyanbao("SkyDreamLandFollowPanel.text10"))
return temp
end)
function CopyNewlyFollowPanel:ctor()
self._info = globalData.copyInfo.currentCopyInfo
self:initEvent()
globalManager.tipsManager.guideNpcCopyTalk:setInfo(globalData.newlyGuideCopyConfig:getTalkId(globalData.copyInfo.currentCopyId))
globalManager.tipsManager.guideNpcCopyTalk:showAward(globalData.newlyGuideCopyConfig:getNewlyCopyType(globalData.copyInfo.currentCopyId))
end
function CopyNewlyFollowPanel:initEvent()
self._info:addEventListener(globalData.globalEventType.playerInfo_copyMonster,self.updateMonsterHandler,self)
self._info:addEventListener(globalData.globalEventType.playerInfo_copyTime,self.updateTimeHandler,self)
self._info:addEventListener(globalData.globalEventType.playerInfo_copyMonsterBall,self.monsterBallUpdate,self)
end
function CopyNewlyFollowPanel:removeEvent()
self._info:removeEventListener(globalData.globalEventType.playerInfo_copyMonster,self.updateMonsterHandler,self)
self._info:removeEventListener(globalData.globalEventType.playerInfo_copyTime,self.updateTimeHandler,self)
self._info:removeEventListener(globalData.globalEventType.playerInfo_copyMonsterBall,self.monsterBallUpdate,self)
end
function CopyNewlyFollowPanel:updateMonsterHandler(evt)
if(self._info.leftMonster <= 0) then
self._isMonsterClear = true
self:showResult()
end
end
function CopyNewlyFollowPanel:monsterBallUpdate(evt)
self._monsterLabel:setText(tostring(self._info.monsterCurrentBall).."/"..tostring(self._info.monsterTotalBall))
if(self._info.monsterCurrentBall == self._info.monsterTotalBall) then
self._isBallClear = true
end
end
function CopyNewlyFollowPanel:showResult()
if(not self._isMonsterClear or not self._isBallClear) then return end
local index = globalData.newlyGuideCopyConfig:getNewlyCopyType(globalData.copyInfo.currentCopyId)
if(index > 0) then
globalManager.containerManager:showAcceptView(index,self._controller.sceneModule.message,self._controller.sceneModule.message.sendQuitCopy)
else
self._controller.sceneModule.message:sendQuitCopy()
end
end
function CopyNewlyFollowPanel:updateTimeHandler(evt)
self._timeLabel:start(self._info.leftTime)
end
function CopyNewlyFollowPanel:dispose()
self:removeEvent()
self._info = nil
self._controller = nil
self._infoPanel = nil
self._monsterLabel = nil
if(self._timeLabel ~= nil) then
self._timeLabel:dispose()
self._timeLabel = nil
end
globalManager.ccCreator:release(self)
end
OnlineAwardItemView = class("OnlineAwardItemView",function(self,info,index)
local temp = globalManager.ccCreator:newJsonWidget("onlineAwardItemView")
temp._textLabel = temp:getChildByName("textLabel")
temp._hasGetFlag = temp:getChildByName("hasGotFlag")
temp._gridList = {}
for i = 1,4,1 do
local cellBG = temp:getChildByName("cell"..i)
local cell = BaseGrid:new()
cellBG:addChild(cell)
table.insert(temp._gridList,cell)
end
temp.tempInfo = info
temp.index = index
return temp
end)
function OnlineAwardItemView:ctor()
self:initView()
end
function OnlineAwardItemView:initView()
for i = 1,4,1 do
local goodsInfo = globalData.allTemplates.goodsTemplateList:getTemplate(self.tempInfo.itemList[i][1])
self._gridList[i]:setGoodsTempInfo(goodsInfo)
self._gridList[i]:setCount(self.tempInfo.itemList[i][2])
end
local curCount = globalData.onlineRewardsInfo.num
local maxCount = globalData.allTemplates.onlineRewardsTemplateList.MAX_COUNT
local getCount = math.min(maxCount,curCount)
if(self.index < getCount)then
self._hasGetFlag:setVisible(true)
else
self._hasGetFlag:setVisible(false)
end
self._textLabel:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("OnlineAwardItemView.text1"),self.index))
end
function OnlineAwardItemView:dispose()
self._hasGetFlag = nil
self._textLabel = nil
self.tempInfo = nil
for __,item in pairs(self._gridList) do
item:dispose()
item = nil
end
self._gridList = nil
globalManager.ccCreator:release(self)
end
OnlineAwardShowPanel = class("OnlineAwardShowPanel",function(self,parent)
local temp = globalManager.ccCreator:newJsonWidget("onlineAwardShowPanel")
temp._itemView = temp:getChildByName("itemView")
temp._closeBtn = temp:getChildByName("closeBtn")
temp._parent = parent
temp:getChildByName("titleLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("OnlineRewardsPanel.text3"))
temp._count = 0
temp._index = 0
temp._tempInfoList = {}
temp._itemList = {}
return temp
end)
function OnlineAwardShowPanel:ctor()
self:initEvent()
self:initView()
globalData.uiClickContainer:addItem(self,true,true)
end
function OnlineAwardShowPanel:initEvent()
local closeClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
self._parent:hideAwardPanel()
end
end
self._closeBtn:addTouchEventListener(closeClickHandler)
end
function OnlineAwardShowPanel:initView()
self._tempInfoList = globalData.allTemplates.onlineRewardsTemplateList:getTemplateList()
self._count = #self._tempInfoList
self._index = 1
globalManager.tickManager:addTick(self.tick,self)
end
function OnlineAwardShowPanel:tick(delta,count)
if(self._count > 0)then
local item = OnlineAwardItemView:new(self._tempInfoList[self._index],self._index)
self._itemView:pushBackCustomItem(item)
table.insert(self._itemList,item)
self._count = self._count - 1
self._index = self._index + 1
else
local curCount = globalData.onlineRewardsInfo.num - 1
local maxCount = globalData.allTemplates.onlineRewardsTemplateList.MAX_COUNT
local pre = 0
if(curCount >= 0 and curCount <= maxCount)then
pre = curCount / (maxCount - 3.6) * 100
else
pre = 100
end
if(pre > 100)then pre = 100 end
self._itemView:jumpToPercentVertical(pre)
globalManager.tickManager:removeTick(self.tick,self)
end
end
function OnlineAwardShowPanel:hideFormClickContainer()
self._parent:hideAwardPanel()
end
function OnlineAwardShowPanel:dispose()
globalData.uiClickContainer:close(self)
globalManager.tickManager:removeTick(self.tick,self)
self._itemView = nil
self._closeBtn = nil
self._count = nil
self._tempInfoList = nil
for __,item in pairs(self._itemList) do
item:dispose()
item = nil
end
self._itemList = nil
self._parent = nil
globalManager.ccCreator:release(self)
end
OnlineRewardsPanel = class("OnlineRewardsPanel",function(self,controller)
local temp = globalManager.ccCreator:newJsonWidget("onlineRewardsPanel")
temp._controller = controller
temp._bg = temp:getChildByName("bg")
temp._bgPath = globalManager.pathManager:getUISource("outPic/onlineRewardBg.png")
temp._getBtn = temp:getChildByName("getBtn")
temp._getBtn:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel37"))
temp._closeBtn = temp:getChildByName("closeBtn")
temp._countDownLabel = CountDownLabel:new(temp:getChildByName("timeLabel"),0,nil,nil,0)
temp._titleLabel = temp:getChildByName("titleLabel")
temp._titleLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("OnlineRewardsPanel.text3"))
temp._timeBar = temp:getChildByName("timeBar")
temp._gridList = {}
for i = 1,4,1 do
local cellBG = temp:getChildByName("cell"..i)
local cell = BaseGrid:new()
cellBG:addChild(cell)
table.insert(temp._gridList,cell)
end
temp._awardBtn = temp:getChildByName("tipsBtn")
temp:getChildByName("tipsLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("OnlineRewardsPanel.text4"))
temp._info = nil
temp._curCount = 0
temp._maxCount = globalData.allTemplates.onlineRewardsTemplateList.MAX_COUNT
temp.awardPanel = nil
return temp
end)
function OnlineRewardsPanel:ctor()
globalManager.sourceCacheManager:setImage(self._bg,self._bgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self:initEvent()
self:initView()
-- self._controller.sceneModule.message.onlineRewardsSender:sendGetAwardInfo()
end
function OnlineRewardsPanel:initEvent()
local closeClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self._controller:closeOnlineRewardsPanelHandler()
end
end
local getClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self:onlineAcceptHandler()
end
end
local awardBtnClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(self.awardPanel == nil) then
self.awardPanel = OnlineAwardShowPanel:new(self)
end
end
end
self._awardBtn:addTouchEventListener(awardBtnClickHandler)
self._getBtn:addTouchEventListener(getClickHandler)
self._closeBtn:addTouchEventListener(closeClickHandler)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_reConnect,self.close,self)
globalData.onlineRewardsInfo:addEventListener(globalData.globalEventType.onlineRewards_timeChange,self.initView,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.newly_onlineAccept,self.onlineAcceptHandler,self)
end
function OnlineRewardsPanel:removeEvent()
globalData.onlineRewardsInfo:removeEventListener(globalData.globalEventType.onlineRewards_timeChange,self.initView,self)
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.scene_reConnect,self.close,self)
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.newly_onlineAccept,self.onlineAcceptHandler,self)
end
function OnlineRewardsPanel:close()
self._controller:closeOnlineRewardsPanelHandler()
end
function OnlineRewardsPanel:onlineAcceptHandler()
if(self:isCanGet())then
self._controller.sceneModule.message.onlineRewardsSender:sendGetAward()
self._controller:closeOnlineRewardsPanelHandler()
end
end
function OnlineRewardsPanel:isCanGet()
if(self._curCount > self._maxCount)then return false end
local onlineTime = self:getOnlineTime()
if(onlineTime >= self._info.time) then
return true
else
return false
end
end
function OnlineRewardsPanel:initView()
self._info = globalData.allTemplates.onlineRewardsTemplateList:getCurrentTemplate()
self._curCount = globalData.onlineRewardsInfo.num
if(not (self._curCount <= self._maxCount and self._curCount > 0 ))then
self._curCount = self._maxCount + 1
end
-- local awardItemList = globalData.onlineRewardsInfo.awardItemList
-- local awardNumList = globalData.onlineRewardsInfo.awardNumList
-- local len = math.min(#awardItemList,4)
if(self._info ~= nil)then
for i = 1,4,1 do
self._gridList[i]:setGoodsTempInfo(globalData.allTemplates.goodsTemplateList:getTemplate(self._info.itemList[i][1]))
self._gridList[i]:setCount(self._info.itemList[i][2])
end
end
self:updateTime()
end
function OnlineRewardsPanel:updateTime()
if(self._curCount > self._maxCount)then
self._countDownLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("OnlineRewardsPanel.text1"))
self._countDownLabel:stop()
self._timeBar:setPercent(100)
self._getBtn:loadTextureNormal("btn/ui_tabBtn1_5.png",1)
self._getBtn:setTouchEnabled(false)
for i = 1,4,1 do
self._gridList[i]:setGoodsTempInfo(nil)
self._gridList[i]:setCount(-1)
end
return
end
local onlineTime = self:getOnlineTime()
local countDownTime = 0
if(onlineTime < self._info.time) then
countDownTime = self._info.time - onlineTime
end
if(countDownTime > 0)then
self._countDownLabel:start(countDownTime,self.endTime,self)
self._getBtn:loadTextureNormal("btn/ui_tabBtn1_5.png",1)
self._getBtn:setTouchEnabled(false)
local pre = math.floor(onlineTime / self._info.time * 100)
if(pre > 100)then pre = 100 end
if(pre < 1)then pre = 1 end
self._timeBar:setPercent(pre)
else
self:endTime()
end
end
function OnlineRewardsPanel:getOnlineTime()
local curSystemTime = math.floor(globalData.systemDateInfo:getSystemTime()/1000)
local onlineTime = curSystemTime - globalData.onlineRewardsInfo.time
return onlineTime
end
function OnlineRewardsPanel:endTime()
self._countDownLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("OnlineRewardsPanel.text2"))
self._countDownLabel:stop()
self._timeBar:setPercent(100)
self._getBtn:loadTextureNormal("btn/ui_tabBtn1_4.png",1)
self._getBtn:setTouchEnabled(true)
end
function OnlineRewardsPanel:hideFormClickContainer()
self:close()
end
function OnlineRewardsPanel:hideAwardPanel()
if(self.awardPanel ~= nil) then
self.awardPanel:dispose()
self.awardPanel = nil
end
end
function OnlineRewardsPanel:dispose()
self:hideAwardPanel()
self:removeEvent()
globalManager.sourceCacheManager:removeQuote(self._bgPath)
self._bgPath = nil
self._bg = nil
self._controller = nil
if(self._countDownLabel ~= nil)then
self._countDownLabel:dispose()
self._countDownLabel = nil
end
for __,cell in pairs(self._gridList) do
cell:dispose()
end
self._gridList = nil
self._getBtn = nil
self._titleLabel = nil
self._info = nil
self._curCount = nil
self._maxCount = nil
self._awardBtn = nil
globalManager.ccCreator:release(self)
end
WashGoldPanel = class("WashGoldPanel",function(self,controller)
local temp = globalManager.ccCreator:newJsonWidget("washGoldPanel")
temp.controller = controller
temp.tailLabel = temp:getChildByName("Label_832040")
--temp.tailLabel:setPositionY(temp.tailLabel:getPositionY() - 20)
temp.tailLabel:setLocalZOrder(99)
temp.arrowIcon = temp:getChildByName("arrowIcon")
temp.bg = temp:getChildByName("bg")
temp._bgPath = globalManager.pathManager:getUISource("outPic/washGold_1.png")
temp.bg2 = temp:getChildByName("bg2")
temp._bgPath2 = globalManager.pathManager:getUISource("outPic/washGold_2.png")
temp.singleBtn = temp:getChildByName("btn1")
temp.tenBtn = temp:getChildByName("btn2")
--temp.timeLabel = temp:getChildByName("countdownLabel")
temp.useTime = temp:getChildByName("canUseLabel")
temp.nameList = temp:getChildByName("nameListLabel")
temp.payBtn = temp:getChildByName("ok_btn_Copy0")
temp.goldNum = temp:getChildByName("goldNum")
temp.closeBtn = temp:getChildByName("closeBtn")
temp:getChildByName("countdownLabel_Copy1"):setText(globalManager.yuyanbaoManager:getYuyanbao("WashGoldPanel.text1"))
temp:getChildByName("Label_729240"):setText(globalManager.yuyanbaoManager:getYuyanbao("WashGoldPanel.text2"))
temp:getChildByName("name1"):setText(globalManager.yuyanbaoManager:getYuyanbao("WashGoldPanel.text3"))
temp:getChildByName("name2"):setText(globalManager.yuyanbaoManager:getYuyanbao("WashGoldPanel.text3"))
temp:getChildByName("name3"):setText(globalManager.yuyanbaoManager:getYuyanbao("WashGoldPanel.text3"))
temp._countDownLabel = CountDownLabel:new(temp:getChildByName("countdownLabel"),0,nil,nil,0)
temp._cellList = {}
for i = 1,8,1 do
local cellBG = temp:getChildByName("cell"..i)
local cell = BaseGrid:new()
cellBG:addChild(cell)
table.insert(temp._cellList,cell)
end
temp.goldInfo = {}
for i = 1, 3 do
table.insert(temp.goldInfo, {temp:getChildByName("name"..i),temp:getChildByName("gold"..i)})
end
--temp.countNum = CountDownLabel:new(temp.timeLabel,0,nil,nil,0)
temp._speed = 0
temp._rotation = 0
temp._targetRotation = 0
temp._targetCount = 0
temp._canUseTime = 0
temp._count = 0
temp._awardPanel = nil
temp.itemList = {}
temp.richList = {}
temp.tailLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("WashGoldPanel.text10"))
return temp
end)
function WashGoldPanel:ctor()
self.controller.sceneModule.message.washGoldSender:sendForWashGoldInfo()
globalManager.sourceCacheManager:setImage(self.bg,self._bgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
globalManager.sourceCacheManager:setImage(self.bg2,self._bgPath2,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self:initView()
self:initEvent()
--self:updateInfo()
end
function WashGoldPanel:initView()
-- body
local function endCallBack()
-- body
end
local todaySystemTime = globalData.systemDateInfo:getZeroPassTime()
self._countDownLabel:start(3600 * 24 - todaySystemTime,endCallBack,self)
self.itemList = globalData.allTemplates.washGoldTemplateList.list[1]
for i = 1,8 do
self._cellList[i]:setGoodsTempInfo(globalData.allTemplates.goodsTemplateList:getTemplate(self.itemList[i][1]))
self._cellList[i]:setCount(self.itemList[i][2])
end
end
function WashGoldPanel:updateUserTime(evt)
-- body
self._canUseTime = evt.data
self.useTime:setStringValue(evt.data)
end
function WashGoldPanel:updateInfo(evt)
-- body
local info = evt.data
self.goldNum:setStringValue(info.maxAward)
end
function WashGoldPanel:updateBigAwardList(evt)
-- body
local info = {}
if evt.data[1] then
info = evt.data[1]
end
if(#self.richList > 0)then
for __,richLabel in pairs(self.richList) do
richLabel:dispose()
end
self.richList = {}
end
local text = nil
if #info ~= 0 then
local len = #info
if len > 5 then len = 5 end
for i = 1, len do
local goodsInfo = globalData.allTemplates.goodsTemplateList:getTemplate(info[i][1])
if info[i][1] == 160440 or info[i][1] == 160441 or info[i][1] == 160442 or info[i][1] == 160443 then
text = string.format(globalManager.yuyanbaoManager:getYuyanbao("WashGoldPanel.text11"),globalData.allStaticTypes.colorType.TIPTITLE_COLOR_STR,info[i][3],info[i][2])--info[i][4],去掉区服ID
else
text = string.format(globalManager.yuyanbaoManager:getYuyanbao("WashGoldPanel.text12"),globalData.allStaticTypes.colorType.TIPTITLE_COLOR_STR,info[i][3],info[i][2],globalData.allStaticTypes.colorType:getColorStrByQuality(goodsInfo.quality),goodsInfo.name)--info[i][4],去掉区服ID
end
local richLabel = globalManager.ccCreator:newRichLabel2(text,360)
richLabel:setPosition(globalManager.ccCreator:newPoint(-50,145 - (i - 1)*30))
self.nameList:addChild(richLabel,9)
table.insert(self.richList,richLabel)
end
end
local goldInforList = {}
if evt.data[2] then
goldInforList = evt.data[2]
end
if #goldInforList ~= 0 then
for i = 1, #goldInforList do
self.goldInfo[i][1]:setText("  "..goldInforList[i][3])--"["..goldInforList[i][4].."]".. 去掉区服ID
self.goldInfo[i][2]:setText(goldInforList[i][2]..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel58"))
end
end
end
function WashGoldPanel:initEvent()
-- body
local function touchCallBack(sender,eventType)
-- body
if(eventType == TOUCH_EVENT_ENDED) then
if sender == self.singleBtn then
if self._canUseTime < 1 then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("WashGoldPanel.text5"))
elseif globalData.selfPlayerInfo.moneyInfo.gold - 30 < 0 then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("WashGoldPanel.text6"))
else
local function sendSinglePick()
self.controller.sceneModule.message.washGoldSender:sendPick(1)
self:startRotation()
end
Alert:new():show(2,globalManager.yuyanbaoManager:getYuyanbao("WashGoldPanel.text7"),globalManager.noAlertUtils.ZHUANPAN_UPDATE,0,self,sendSinglePick)
end
elseif sender == self.tenBtn then
if self._canUseTime < 10 then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("WashGoldPanel.text8"))
elseif globalData.selfPlayerInfo.moneyInfo.gold - 270 < 0 then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("WashGoldPanel.text6"))
else
local function sendTenPick()
self.controller.sceneModule.message.washGoldSender:sendPick(10)
self:startRotation()
end
Alert:new():show(2,globalManager.yuyanbaoManager:getYuyanbao("WashGoldPanel.text9"),globalManager.noAlertUtils.ZHUANPAN_UPDATE,0,self,sendTenPick)
end
elseif sender == self.payBtn then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.payTab,globalData.allStaticTypes.panelTabType.pay)
self.controller:hideWashGoldPanel()
elseif sender == self.tailLabel then
globalManager.tipsManager:showString(globalManager.descriptManager:getDescript("10033"))
elseif sender == self.closeBtn then
self.controller:hideWashGoldPanel()
end
end
end
self.singleBtn:addTouchEventListener(touchCallBack)
self.tenBtn:addTouchEventListener(touchCallBack)
self.payBtn:addTouchEventListener(touchCallBack)
self.tailLabel:addTouchEventListener(touchCallBack)
self.closeBtn:addTouchEventListener(touchCallBack)
globalData.washGoldInfo:addEventListener(globalData.globalEventType.washGold_index,self.indexReturn,self)
globalData.washGoldInfo:addEventListener(globalData.globalEventType.washGold_infoUpdate,self.updateInfo,self)
globalData.washGoldInfo:addEventListener(globalData.globalEventType.washGold_bigAwardList,self.updateBigAwardList,self)
globalData.washGoldInfo:addEventListener(globalData.globalEventType.washGold_times,self.updateUserTime,self)
globalData.washGoldInfo:addEventListener(globalData.globalEventType.washGold_awardList,self.awardReturn,self)
end
function WashGoldPanel:removeEvent()
globalData.washGoldInfo:removeEventListener(globalData.globalEventType.washGold_index,self.indexReturn,self)
globalData.washGoldInfo:removeEventListener(globalData.globalEventType.washGold_awardList,self.awardReturn,self)
globalData.washGoldInfo:removeEventListener(globalData.globalEventType.washGold_times,self.updateUserTime,self)
globalData.washGoldInfo:removeEventListener(globalData.globalEventType.washGold_infoUpdate,self.updateInfo,self)
globalData.washGoldInfo:removeEventListener(globalData.globalEventType.washGold_bigAwardList,self.updateBigAwardList,self)
end
--抽奖数据返回
function WashGoldPanel:indexReturn(evt)
local index = evt.data
if(index == 0 or index > 8) then return end
self._targetRotation = math.floor((index) * 45 + 6*math.random())
if(self._targetRotation > 360) then self._targetRotation = self._targetRotation - 360 end
self._targetCount = 999999
self._isEnd = true
self._count = 0
end
function WashGoldPanel:startRotation()
-- body
self.singleBtn:setTouchEnabled(false)
self.tenBtn:setTouchEnabled(false)
self.payBtn:setTouchEnabled(false)
self._flagAward = true
self._isEnd = false
self._speed = 12
self._count = 0
globalManager.tickManager:addTick(self.tick,self)
end
function WashGoldPanel:tick(delta,count)
-- body
if(self._isEnd) then
self._count = self._count + 1
if(self._count == 120) then
local temp = self._targetRotation - self._rotation
if(temp < 0) then temp = temp + 360 end
self._targetCount = 120 + math.floor(temp / 12 + 0.5)
elseif(self._count >= self._targetCount) then
self._speed = 11 -  math.floor((self._count - self._targetCount) / 5)
if(self._speed == 1) then
self:endRotation()
end
end
end
self._rotation = self._rotation + self._speed
if(self._rotation >= 360) then self._rotation = self._rotation - 360 end
self.arrowIcon:setRotation(self._rotation)
end
function WashGoldPanel:endRotation()
-- body
self.controller.sceneModule.message.washGoldSender:sendGetAward()
globalManager.tickManager:removeTick(self.tick,self)
self.singleBtn:setTouchEnabled(true)
self.tenBtn:setTouchEnabled(true)
self.payBtn:setTouchEnabled(true)
end
function WashGoldPanel:awardReturn(evt)
for k,v in pairs(evt.data) do
if v[1] == 160440 or v[1] == 160441 or v[1] == 160442 or v[1] == 160443 then
v[2] = 1
end
end
if(#evt.data > 1)then
self._awardPanel = ZhuanpanAwardPanel:new(self)
self._awardPanel:show(evt.data)
end
end
function WashGoldPanel:hideAwardPanel()
if(self._awardPanel ~= nil)then
self._awardPanel:dispose()
self._awardPanel = nil
end
end
function WashGoldPanel:dispose()
self:endRotation()
self:removeEvent()
globalManager.tickManager:removeTick(self.tick,self)
globalManager.sourceCacheManager:removeQuote(self._bgPath)
globalManager.sourceCacheManager:removeQuote(self._bgPath2)
self._bgPath = nil
self._bgPath2 = nil
self.controller = nil
self.bg = nil
self.bg2 = nil
for __,cell in pairs(self._cellList) do
cell:dispose()
end
self._cellList = nil
self.goldInfo = nil
self.tailLabel = nil
self.arrowIcon = nil
self.singleBtn = nil
self.tenBtn  = nil
self.nameList = nil
self.payBtn = nil
self.closeBtn = nil
if(self._countDownLabel ~= nil)then
self._countDownLabel:dispose()
self._countDownLabel = nil
end
self.useTime = nil
self.goldNum = nil
self._speed = 0
self._rotation = 0
self._targetRotation = 0
self._targetCount = 0
self._canUseTime = 0
self._count = 0
self.itemList = {}
self.richList = {}
if(self.countNum ~= nil)then
self.countNum:dispose()
self.countNum = nil
end
if(self._awardPanel ~= nil)then
self._awardPanel:dispose()
self._awardPanel = nil
end
globalManager.ccCreator:release(self)
end
SanDaCompletePanel = class("SanDaCompletePanel", function()
local self = globalManager.ccCreator:newJsonWidget("copyOverView5")
self._info 	 	  = globalData.copyInfo.copySanDaInfo
self.txtV2        = self:getChildByName("txtV2")
self.txtV4        = self:getChildByName("txtV4")
self.quitBtn      = self:getChildByName("quitBtn")
self.timeLabel    = self.quitBtn:getChildByName("btnLabel")
self.copperLabel  = self:getChildByName("honourLabel_Copy0")
self.goldImg      = self:getChildByName("goldImg")
self._itemList    = {}
for i = 1,5,1 do
table.insert(self._itemList,self:getChildByName("item"..i))
end
self._time  = 0
self._count = 0
self._goodsInfos = {}
self._gridList = {}
self.copper = 0
self:getChildByName("againBtn"):setEnabled(false)
self:getChildByName("againBtn"):setVisible(false)
self:getChildByName("honourLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("StarcraftCompletePanel.text2"))
self:getChildByName("honourLabel_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("StarcraftCompletePanel.text3"))
self:getChildByName("honourLabel_Copy1"):setText(globalManager.yuyanbaoManager:getYuyanbao("StarcraftCompletePanel.text4"))
self:getChildByName("quitBtn"):getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel1"))
self:getChildByName("tipsLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("WorldBossVipCompletePanel.text5"))
return self
end)
function SanDaCompletePanel:ctor()
self:initEvent()
self:show()
end
function SanDaCompletePanel:initEvent()
local exitClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self:dispose()
end
end
self.quitBtn:addTouchEventListener(exitClickHandler)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_reConnect,self.dispose,self)
end
function SanDaCompletePanel:removeEvent()
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.scene_reConnect,self.dispose,self)
end
function SanDaCompletePanel:show()
self._time = 5
self.timeLabel:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("WorldBossVipCompletePanel.text1"),self._time))
self._count = 0
globalManager.tickManager:addTick(self.tick,self)
local copyTempInfo = globalData.allTemplates.copyTemplateList:getCopy(globalData.allTemplates.copyTemplateList.SANDA)
local exp = copyTempInfo:getFirstMission().awardExp
self.txtV4:setText(exp)
local index = 1
local len = #self._info.goodsList
if(len > 5)then len = 5 end
--for __,item in pairs(self._info.goodsList) do
for i = 1,len,1 do
local templateInfo = globalData.allTemplates.goodsTemplateList:getTemplate(self._info.goodsList[i][1])
if(templateInfo.categoryId == globalData.allStaticTypes.categoryType.copperType)then
self.copper = templateInfo.property1 * self._info.goodsList[i][2]
elseif(self._info.goodsList[i][3] == nil or self._info.goodsList[i][3] == 0 or self._info.goodsList[i][3] == globalData.allStaticTypes.careerType:getCareer(globalData.selfPlayerInfo.career)) then   --自己的职业，或者不分职业的物品筛选
local grid = GoodsInfoGrid:new()
local goodsinfo = GoodsInfo:new()
goodsinfo:setTemplateId(self._info.goodsList[i][1])
goodsinfo.count = self._info.goodsList[i][2]
if(self._info.goodsList[i][4] ~= nil) then
goodsinfo:updateStrengthLevel(self._info.goodsList[i][4])
end
if(self._info.goodsList[i][5] ~= nil) then
goodsinfo.stage = self._info.goodsList[i][5]
end
table.insert(self._goodsInfos,goodsinfo)
grid:setGoodsInfo(goodsinfo)
self._itemList[index]:addChild(grid)
table.insert(self._gridList,grid)
index = index + 1
end
end
self.txtV2:setText(self._info.copper + self.copper)
globalData.uiClickContainer:addItem(self,true,true)
end
function SanDaCompletePanel:tick(delta,count)
self._count = self._count + 1
if(self._count >= 60) then
self._count = 0
self._time = self._time - 1
if(self._time <= 0) then
self:dispose()
else
self.timeLabel:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("WorldBossVipCompletePanel.text1"),self._time))
end
end
end
function SanDaCompletePanel:hideFormClickContainer()
end
function SanDaCompletePanel:dispose()
globalData.uiClickContainer:close(self)
globalManager.tickManager:removeTick(self.tick,self)
self:removeEvent()
for __,info in pairs(self._goodsInfos) do
info:dispose()
end
if(self._gridList ~= nil) then
for __,grid in pairs(self._gridList) do
grid:dispose()
end
self._gridList = nil
end
self._itemList = nil
self._goodsInfos = nil
self._info = nil
self.txtV2 = nil
self.txtV4 = nil
self.quitBtn = nil
self.timeLabel = nil
self.copperLabel = nil
self.goldImg = nil
globalManager.ccCreator:release(self)
end
SanDaFollowPanel = class("SanDaFollowPanel",function(self,controller)
local temp = globalManager.ccCreator:newJsonWidget("SanDaFollowPanel")
temp._controller = controller
temp._rankPanel = temp:getChildByName("rankPanel")
temp._bossNameLabel = temp:getChildByName("bossNameLabel")
temp._headView = temp:getChildByName("headView")
temp._headView:setPosition(globalManager.ccCreator:newPoint(globalData.GAME_WIDTH - 270,globalData.GAME_HEIGHT - 360))
temp._headIconList = {}
temp._killFlag = {}
for i = 1,3,1 do
table.insert(temp._headIconList,temp._headView:getChildByName("headIcon"..i))
table.insert(temp._killFlag,temp._headView:getChildByName("dieFlag"..i))
temp._killFlag[i]:setVisible(false)
end
temp._info = globalData.copyInfo.copySanDaInfo
temp._selfItem = WorldBossFollowItem:new()
temp._selfItem:setPositionY(10)
temp._selfItem:setTextColor(globalData.allStaticTypes.colorType.COLORYELLOW)
temp:addChild(temp._selfItem)
temp._itemList = {}
temp._count = 0
temp._pathList = {}
temp._curBoss = 0
temp._flag = false
return temp
end)
function SanDaFollowPanel:ctor()
self:initEvent()
self:initView()
end
function SanDaFollowPanel:initEvent()
end
function SanDaFollowPanel:removeEvent()
end
function SanDaFollowPanel:initView()
globalManager.tickManager:addTick(self.tick,self)
for i = 1,3,1 do
self._pathList[i] = globalManager.pathManager:getUISource("outPic/sandaBossHeadIcon"..i..".png")
globalManager.sourceCacheManager:setImage(self._headIconList[i],self._pathList[i],globalData.allStaticTypes.sourceStaticType.clearFiveM)
self._headIconList[i]:setScale(0.5)
end
end
function SanDaFollowPanel:headIconUpdate()
local tempInfo = globalData.allTemplates.monsterTemplateList:getMonster(self._info.bossId)
if(tempInfo ~= nil)then
self._bossNameLabel:setText(tempInfo.name)
end
local index = globalManager.commonUtils:getIndexOfTable(self._info.bossIdList,self._info.bossId)
for i = 1,3,1 do
if(i < index or (i == index and self._info.curBossHp <= 0))then
globalManager.commonUtils:setImgColorGrey(self._headIconList[i])
self._killFlag[i]:setVisible(true)
else
globalManager.commonUtils:setImgColorNormal(self._headIconList[i])
self._killFlag[i]:setVisible(false)
end
end
end
function SanDaFollowPanel:tick(delta,count)
self._count = self._count + 1
if(self._count >= 120) then
self:setRankInfo()
self._count = 0
end
end
function SanDaFollowPanel:setRankInfo()
local function compa(a, b)
return a.heartHp >= b.heartHp
end
local list = {}
for __,temp in pairs(self._info.heartList) do
table.insert(list,temp)
end
if(#list == 0) then return end
list = globalManager.commonUtils:tableSort(list,compa)
self:clearItem()
self._itemList = {}
local isShowSelf = false
local i = 1
for __,info in pairs(list) do
if(i <= 20) then
local item = WorldBossFollowItem:new()
if(i == 1) then
item:setTextColor(globalData.allStaticTypes.colorType.COLORORANGE)
elseif(i == 2) then
item:setTextColor(globalData.allStaticTypes.colorType.COLORGREEN)
end
item:setInfo(i,info.name,info.heartHp)
table.insert(self._itemList,item)
self._rankPanel:pushBackCustomItem(item)
end
if(not isShowSelf)then
if(globalData.selfPlayerInfo.userId == info.id) then
isShowSelf = true
if(i <= 10) then
self._selfItem:setInfo(i,info.name,info.heartHp)
else
self._selfItem:setInfo("10+",info.name,info.heartHp)
return
end
end
end
i = i + 1
end
local index = globalManager.commonUtils:getIndexOfTable(self._info.bossIdList,self._info.bossId)
if(self._curBoss ~= self._info.bossId or (index == 3 and self._info.curBossHp <= 0))then
self._curBoss = self._info.bossId
self:headIconUpdate()
end
if(self._flag == false and self._info.endTime ~= 0)then
self._controller:setCopyTime(self._info.endTime)
self._flag = true
end
end
function SanDaFollowPanel:clearItem()
self._rankPanel:removeAllItems()
for __,item in pairs(self._itemList) do
item:dispose()
end
self._itemList = nil
end
function SanDaFollowPanel:dispose()
for i = 1,3,1 do
if(self._pathList[i] ~= nil)then
globalManager.sourceCacheManager:removeQuote(self._pathList[i])
self._pathList[i] = nil
end
end
self._pathList = {}
globalManager.tickManager:removeTick(self.tick,self)
self:removeEvent()
self._controller = nil
self._info = nil
self._flag = nil
if(self._selfItem ~= nil) then
self._selfItem:dispose()
self._selfItem = nil
end
self:clearItem()
self._rankPanel = nil
globalManager.ccCreator:release(self)
end
SanDaMatchingPanel = class("SanDaMatchingPanel",function(self,type)
local st = globalManager.ccCreator:newJsonWidget("MarchingPanel")
st.type = type --nil或1：三打 ， 2：仙皇争霸1v1
st._timeLabel       = st:getChildByName("timeLabel")
st._timeLabel:setText("59"..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel64"))
st._canelBtn        = st:getChildByName("canelBtn")
st._canelBtn:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel2"))
st._watingLabel     = st:getChildByName("waitingLabel")
st._watingLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("SanDaMatchingPanel.text1"))
st._count = 0
st._time = 59
st._canelBtn:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("FriendGiveGoldPanel.text7"))
return st
end)
function SanDaMatchingPanel:ctor()
self:initEvent()
globalManager.tickManager:addTick(self.tick,self)
globalData.uiClickContainer:addItem(self,true,true)
end
function SanDaMatchingPanel:initEvent()
local cancelClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(self.type == nil or self.type == 1)then
globalData.messageAdder:sendCancelSanDaMatching()
elseif(self.type == 2)then
globalData.messageAdder:sendQuitMatch1v1()
end
self:dispose()
end
end
self._canelBtn:addTouchEventListener(cancelClickHandler)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_reConnect,self.dispose,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_closeOtherPanel,self.dispose,self)
end
function SanDaMatchingPanel:tick(delta,count)
self._count = self._count + 1
if(self._count >= 60) then
self._count = 0
self._time = self._time - 1
if(self._time < 0) then
local time = globalData.systemDateInfo:getZeroPassTime()
if(self.type == nil or self.type == 1)then
local matterTempInfo1 = globalData.allTemplates.matterTemplateList:getTemplateByType(27)
local matterTempInfo2 = globalData.allTemplates.matterTemplateList:getTemplateByType(28)
if((time < matterTempInfo1.endTime and time >= matterTempInfo1.startTime) or
(time < matterTempInfo2.endTime and time >= matterTempInfo2.startTime))then
self._time = 59
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("OpenPanel.text29"))
self:dispose()
return
end
elseif(self.type == 2)then
local matterTempInfo = globalData.allTemplates.matterTemplateList:getTemplateByType(29)
if((time < matterTempInfo.endTime and time >= matterTempInfo.startTime))then
self._time = 59
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("OpenPanel.text29"))
self:dispose()
return
end
end
end
self._timeLabel:setText(self._time..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel64"))
end
end
function SanDaMatchingPanel:removeEvent()
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.scene_reConnect,self.dispose,self)
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.scene_closeOtherPanel,self.dispose,self)
end
function SanDaMatchingPanel:dispose()
self:removeEvent()
globalData.uiClickContainer:close(self)
globalManager.tickManager:removeTick(self.tick,self)
self:removeEvent()
self._timeLabel = nil
self._watingLabel = nil
self._canelBtn = nil
globalManager.ccCreator:release(self)
end
PayCountGiftItem = class("PayCountGiftItem",function(_,templateInfo,index)
local temp = globalManager.ccCreator:newJsonWidget("payCountGiftItem")
temp.templateInfo = templateInfo
temp.awardInfoList = templateInfo.awardList[index]
temp._type = index
temp.moneyLabel = temp:getChildByName("moneyLabel")
temp.mailLabel = temp:getChildByName("mailLabel")
temp.isReceive_img = temp:getChildByName("isReceive_img")
temp.isReceive_img:setPositionX(temp.isReceive_img:getPositionX() - 25)
temp.mailLabel:setPositionX(temp.mailLabel:getPositionX() - 25)
temp._goodsInfos = {}
temp.itemList = {}
for i = 1, 5 do
local grid = GoodsInfoGrid:new()
table.insert(temp.itemList,grid)
grid:setPosition(globalManager.ccCreator:newPoint(4.5,-8.5))
temp:getChildByName("goodsItem"..i):addChild(temp.itemList[i])
end
return temp
end)
function PayCountGiftItem:ctor()
self:initView()
self:initEvent()
end
function PayCountGiftItem:initView()
self.moneyLabel:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("PayCountGiftItem.text1"),tonumber(self.templateInfo.conditionList[self._type]) * 0.1))
local j = 0
for i = 1, #self.itemList do
j = j + 1
for k = j ,#self.awardInfoList do
if(self.awardInfoList[k] ~= nil and (self.awardInfoList[k][3] == nil or self.awardInfoList[k][3] == globalData.selfPlayerInfo.career))then
j = k
break
end
end
if(self.awardInfoList[j] ~= nil) then
local goodsinfo = GoodsInfo:new()
goodsinfo:setTemplateId(self.awardInfoList[j][1])
goodsinfo.count = self.awardInfoList[j][2]
if(self.awardInfoList[j][4] ~= nil)then
goodsinfo:updateStrengthLevel(self.awardInfoList[j][4])
end
if(self.awardInfoList[j][5] ~= nil)then
goodsinfo.stage = self.awardInfoList[j][5]
end
table.insert(self._goodsInfos,goodsinfo)
self.itemList[i]:setGoodsInfo(goodsinfo)
end
end
self:setReceiveView()
end
function PayCountGiftItem:initEvent()
--globalData.openInfo:addEventListener(globalData.globalEventType.playerInfo_openInfo,self.openInfoHandler,self)
end
function PayCountGiftItem:removeEvent()
--globalData.openInfo:removeEventListener(globalData.globalEventType.playerInfo_openInfo,self.openInfoHandler,self)
end
-- function PayCountGiftItem:openInfoHandler(evt)
-- 	local id = evt.data
-- 	if(self.templateInfo.id == id)then
-- 		self:setReceiveView()
-- 	end
-- end
function PayCountGiftItem:setReceiveView()
-- local openInfo = globalData.openInfo:getSelfInfoById(self.templateInfo.id)
-- if(openInfo ~= nil)then
-- 	local moneyCount = 0
--     local selfInfoSign = globalData.selfPlayerInfo.moneyInfo.chargeValue
--     moneyCount = selfInfoSign - openInfo.sign
--     if(moneyCount >= tonumber(self.templateInfo.conditionList))then
-- 	    if(openInfo.count < self.templateInfo.count)then
-- 			self.mailLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("PayCountGiftItem.text2"))
-- 			self.isReceive_img:setVisible(false)
-- 	    else
-- 			self.mailLabel:setText("")
-- 			self.isReceive_img:setVisible(true)
-- 	    end
-- 	else
-- 		self.mailLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("PayCountGiftItem.text2"))
-- 		self.isReceive_img:setVisible(false)
-- 	end
-- else
-- 	self.mailLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("PayCountGiftItem.text2"))
-- 	self.isReceive_img:setVisible(false)
-- end
local index = globalManager.commonUtils:getIndexOfTable(globalData.payItemList.payCountGiftInfo.awardlist,self._type)
if(index ~= -1)then
self.mailLabel:setText("")
self.isReceive_img:setVisible(true)
else
self.mailLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("PayCountGiftItem.text2"))
self.isReceive_img:setVisible(false)
end
end
function PayCountGiftItem:dispose()
self:removeEvent()
if(self._goodsInfos ~= nil) then
for __,info in ipairs(self._goodsInfos) do
info:dispose()
end
self._goodsInfos = nil
end
for k,v in pairs(self.itemList) do
if(v ~= nil)then
v:dispose()
v = nil
end
end
self.itemList = nil
self.templateInfo = nil
self.moneyLabel = nil
self.mailLabel = nil
self.isReceive_img = nil
self.awardInfoList = nil
self._type = nil
globalManager.ccCreator:release(self)
end
PayCountGiftView = class("PayCountGiftView",function(self,controller)
local temp = globalManager.ccCreator:newJsonWidget("payCountGiftView")
temp._controller = controller
temp.item_panel = temp:getChildByName("item_panel")
temp.pay_btn = temp:getChildByName("pay_btn")
temp.close_btn = temp:getChildByName("close_btn")
temp.pay_bar = temp:getChildByName("pay_bar")
temp.pay_bar:setPositionX(temp.pay_bar:getPositionX()-0.5)
temp.bg_img = temp:getChildByName("bg_img")
temp.timeLabel = temp:getChildByName("tabLabel5")
--temp.timeLabel:setPositionY(temp.timeLabel:getPositionY()+5)
temp.moneyCount_label = temp:getChildByName("moneyCount_label")
temp.title_label = temp:getChildByName("title_label")
temp.title_label:setText(globalManager.yuyanbaoManager:getYuyanbao("PayCountGiftView.text1"))
temp._templateInfo = globalData.allTemplates.payCountGiftTemplateList:getTemplateInfoById(globalData.payItemList.payCountGiftInfo.templateId)
temp._bgPath = globalManager.pathManager:getUISource("outPic/payGiftBg.png")
temp.itemList = nil
temp._txtTime = nil
return temp
end)
function PayCountGiftView:ctor()
globalManager.sourceCacheManager:setImage(self.bg_img,self._bgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self:initView()
self:initEvent()
end
function PayCountGiftView:initView()
if(self.itemList ~= nil)then
for i = 1, #self.itemList do
self.itemList[i]:dispose()
end
self.itemList = nil
end
self.itemList = {}
for i = 1,3 do
local item = PayCountGiftItem:new(self._templateInfo,i)
item:setPositionY((i-1)*114)
self.item_panel:addChild(item,9)
table.insert( self.itemList, item )
end
if(self._txtTime ~= nil) then
self._txtTime:dispose()
self._txtTime = nil
end
if(self._txtTime == nil)then
local remainTime = 24*3600 - globalData.systemDateInfo:getZeroPassTime()
self._txtTime = CountDownLabel:new(self.timeLabel,6)
self._txtTime:start(remainTime,endTimeCallBack,self)
end
self:setMoneyView()
end
function PayCountGiftView:endTimeCallBack()
self._controller:hidePayCountGift()
end
function PayCountGiftView:setMoneyView()
if(self._templateInfo ~= nil)then
local preChargeValue = globalData.payItemList.payCountGiftInfo.chargeValue
local moneyCount = globalData.selfPlayerInfo.moneyInfo.chargeValue - preChargeValue
self.moneyCount_label:setStringValue(moneyCount * 0.1)
local per = 0
local num1 = tonumber(self._templateInfo.conditionList[1])
if(num1 <= moneyCount)then
per = per + 33
local num2 = tonumber(self._templateInfo.conditionList[2])
if(num2 <= moneyCount)then
per = per + 33
local num3 = tonumber(self._templateInfo.conditionList[3])
if(num3 <= moneyCount)then
per = 100
else
num3 = num3 - num2
local moneyCount2 = moneyCount - num2
per = per + math.min(34,math.max(0,math.ceil(moneyCount2 / num3 * 34)))
end
else
num2 = num2 - num1
local moneyCount1 = moneyCount - num1
per = per + math.min(33,math.max(0,math.floor(moneyCount1 / num2 * 33)))
end
else
per = math.min(33,math.max(0,math.floor(moneyCount / num1 * 33)))
end
self.pay_bar:setPercent(per)
end
end
function PayCountGiftView:initEvent()
local function closeBtnHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self._controller:hidePayCountGift()
end
end
local function payBtnHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(globalData.isPay ~= 1) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("PayPanel.text1"))
return
end
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.payTab,globalData.allStaticTypes.panelTabType.pay)
self._controller:hidePayCountGift()
end
end
self.pay_btn:addTouchEventListener(payBtnHandler)
self.close_btn:addTouchEventListener(closeBtnHandler)
globalData.payItemList:addEventListener(globalData.globalEventType.playerInfo_rechargeCountInfo,self.payCountGiftHandler,self)
globalData.selfPlayerInfo.moneyInfo:addEventListener(globalData.globalEventType.playerRechargeInfo_update,self.rechargeUpdateHandler,self)
end
function PayCountGiftView:payCountGiftHandler(evt)
local templateInfo = globalData.allTemplates.payCountGiftTemplateList:getTemplateInfoById(globalData.payItemList.payCountGiftInfo.templateId)
if(templateInfo ~= self._templateInfo)then
self._templateInfo = templateInfo
self:initView()
else
self:setMoneyView()
for k,v in ipairs(self.itemList) do
v:setReceiveView()
end
end
end
function PayCountGiftView:rechargeUpdateHandler(evt)
self:setMoneyView()
end
function PayCountGiftView:removeEvent()
globalData.payItemList:removeEventListener(globalData.globalEventType.playerInfo_rechargeCountInfo,self.payCountGiftHandler,self)
globalData.selfPlayerInfo.moneyInfo:removeEventListener(globalData.globalEventType.playerRechargeInfo_update,self.rechargeUpdateHandler,self)
end
function PayCountGiftView:dispose()
self:removeEvent()
globalManager.sourceCacheManager:removeQuote(self._bgPath)
self._bgPath = nil
if(self.itemList ~= nil)then
for i = 1, #self.itemList do
self.itemList[i]:dispose()
end
self.itemList = nil
end
if(self._txtTime ~= nil) then
self._txtTime:dispose()
self._txtTime = nil
end
self._controller = nil
self.pay_btn = nil
self.close_btn = nil
self.pay_bar = nil
self.item_panel = nil
self.timeLabel = nil
self.bg_img = nil
self.moneyCount_label = nil
self.title_label = nil
self._templateInfo = nil
globalManager.ccCreator:release(self)
end
PayItem = class("PayItem", function(self,templateInfo)
local temp = globalManager.ccCreator:newJsonWidget("PayItem")
temp.template = templateInfo
temp.goldLabel = temp:getChildByName("goldLabel")
temp.giftLabel = temp:getChildByName("giftLabel")
temp.priceLabel = temp:getChildByName("priceLabel")
temp.bg = temp:getChildByName("bg")
temp.flagIcon = temp:getChildByName("flagIcon")
temp.goldIcon = temp:getChildByName("goldIcon")
temp.bgPath = globalManager.pathManager:getUISource("outPic/payItemIconBg.png")
temp.goldIconPath = globalManager.pathManager:getUISource("outPic/payItemIcon"..temp.template.sort..".png")
temp.flagIconPath = nil
return temp
end)
function PayItem:ctor()
globalManager.sourceCacheManager:setImage(self.bg,self.bgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
globalManager.sourceCacheManager:setImage(self.goldIcon,self.goldIconPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self.flagIconPath = globalManager.pathManager:getUISource("outPic/payItemFlag1.png")
globalManager.sourceCacheManager:setImage(self.flagIcon,self.flagIconPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self:updateView()
end
function PayItem:updateView()
local info = globalData.payItemList:getItem(self.template.id)
self.priceLabel:setText("¥ "..tostring(self.template.money))
self.goldLabel:setText(self.template.yuanbao..globalManager.yuyanbaoManager:getYuyanbao("PayItem.text1"))
self.flagIcon:setVisible(false)
if(info == nil)then
if(self.template.first_yuanbao > 0)then
self.giftLabel:setText(self.template.describe[2])
self.flagIcon:setVisible(true)
else
self.giftLabel:setText(self.template.describe[1])
end
else
self.giftLabel:setText(self.template.describe[1])
end
end
function PayItem:getTempInfo()
return self.template
end
function PayItem:dispose()
self.bg = nil
self.flagIcon = nil
globalManager.sourceCacheManager:removeQuote(self.bgPath)
self.bgPath = nil
globalManager.sourceCacheManager:removeQuote(self.flagIconPath)
self.flagIconPath = nil
self.goldIcon = nil
globalManager.sourceCacheManager:removeQuote(self.goldIconPath)
self.goldIconPath = nil
self.template = nil
self.goldLabel = nil
self.giftLabel = nil
self.priceLabel = nil
globalManager.ccCreator:release(self)
end
PayPanel = class("PayPanel", function(self)
local temp = BasePanel:new()
temp._BasePanelDispose = temp.dispose
temp._itemList = {}
temp._scrollView = globalManager.ccCreator:newScrollView()
temp._scrollView:setSize(cc.size(945,512))
temp._scrollView:setPosition(cc.p(0,30))
temp:addChild(temp._scrollView,10)
temp._bg = globalManager.ccCreator:newImageView()
temp._bg:setPosition(220,290)
temp:addChild(temp._bg)
temp._bgPath = globalManager.pathManager:getUISource("outPic/payBg.png")
globalManager.sourceCacheManager:setImage(temp._bg,temp._bgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
return temp
end)
function PayPanel:ctor()
self:initView()
self:initEvent()
end
function PayPanel:initEvent()
globalData.selfPlayerInfo.moneyInfo:addEventListener(globalData.globalEventType.playerInfo_money,self.itemViewUpdate,self)
end
function PayPanel:removeEvent()
globalData.selfPlayerInfo.moneyInfo:removeEventListener(globalData.globalEventType.playerInfo_money,self.itemViewUpdate,self)
end
function PayPanel:initView()
if(#self._itemList > 0) then
for __,view in pairs(self._itemList) do
view:removeFromParent()
view:dispose()
end
self._itemList = {}
end
local itemClickHandler = function(sender, eventType)
if (eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
local templateInfo = sender:getTempInfo()
globalManager.commonUtils:payHandler(templateInfo)
end
end
local list = globalData.allTemplates.payTemplateList.payList
-- local heigth = math.max(512,255 * math.floor((1 + (#list - 1)/ 3)))
for k,v in pairs(list) do
if(v.sort > 0 and v.sort < 7)then
local item = PayItem:new(v)
self._scrollView:addChild(item)
local vx = (v.sort - 1) % 3 * 235 + 240
local vy = 512 - 255 * math.floor( (v.sort - 1) / 3 + 1 )
item:setPosition(globalManager.ccCreator:newPoint(vx, vy))
table.insert(self._itemList,item)
item:addTouchEventListener(itemClickHandler)
end
end
-- self._scrollView:setInnerContainerSize(globalManager.ccCreator:newSize(945,heigth))
end
function PayPanel:itemViewUpdate()
if(self._itemList ~= nil and #self._itemList > 0) then
for __,view in pairs(self._itemList) do
view:updateView()
end
end
end
function PayPanel:dispose()
self:removeEvent()
if(self._itemList ~= nil) then
for __,view in pairs(self._itemList) do
view:dispose()
view = nil
end
end
self._itemList = nil
if(self._scrollView ~= nil)then
globalManager.ccCreator:release(self._scrollView)
self._scrollView = nil
end
if(self._bg ~= nil)then
globalManager.ccCreator:release(self._bg)
self._bg = nil
end
globalManager.sourceCacheManager:removeQuote(self._bgPath)
self._bgPath = nil
self:_BasePanelDispose()
self._BasePanelDispose = nil
end
PeiShiItem = class("PeiShiItem", function(_,templateInfo)
local self = globalManager.ccCreator:newJsonWidget("peiShiItem")
self.templateInfo = templateInfo
self.bg_img = self:getChildByName("bg_img")
self.select_img = self:getChildByName("select_img")
self.name_label = self:getChildByName("name_label")
self.level_label = self:getChildByName("level_label")
self.lock_label = self:getChildByName("lock_label")
self.peishi_img = self:getChildByName("peishi_img")
self.levelUp_img = self:getChildByName("levelUp_img")
self._bgPath = globalManager.pathManager:getUISource("outPic/ui_peiShiItemBg.png")
self._selectPath = globalManager.pathManager:getUISource("outPic/ui_peiShiSelectIcon.png")
self._peiShiPath = nil
self._isSelect = nil
self._canUpgrad = false
self.isOpen = false
self.maxLevel = globalData.allTemplates.peiShiTemplateList.peiShiMaxLevel
return self
end)
function PeiShiItem:ctor()
self:initView()
self:initEvent()
self:setSelected(false)
end
function PeiShiItem:initView()
globalManager.sourceCacheManager:setImage(self.bg_img,self._bgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
globalManager.sourceCacheManager:setImage(self.select_img,self._selectPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
if(self.templateInfo ~= nil) then
self._peiShiPath = globalManager.pathManager:getUISource(string.format("outPic/ui_peiShiIcon_%s.png",self.templateInfo.showPath))
globalManager.sourceCacheManager:setImage(self.peishi_img,self._peiShiPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self.name_label:setText(self.templateInfo.name)
if(self.templateInfo.needXianYuanLevel < globalData.marryInfo.marryLevel)then
self.lock_label:setText("")
self.isOpen = true
else
self.lock_label:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("PeiShiItem.text1"),math.ceil(self.templateInfo.needXianYuanLevel/30)))
self.isOpen = false
end
end
self:updateInfo()
end
function PeiShiItem:initEvent()
-- body
end
function PeiShiItem:updateInfo()
if(self.templateInfo == nil) then
self.name_label:setText("")
self.lock_label:setText("")
self.level_label:setText("")
self.select_img:setVisible(false)
self.peishi_img:setVisible(false)
self.levelUp_img:setVisible(false)
else
local selfInfo = globalData.peiShiInfo:getInfo(self.templateInfo.id)
if(selfInfo ~= nil and selfInfo.level > 0 and self.templateInfo.needXianYuanLevel < globalData.marryInfo.marryLevel) then
self.level_label:setText("Lv."..tostring(selfInfo.level))
globalManager.commonUtils:setImgColorNormal(self.peishi_img)
else
self.level_label:setText("Lv.0")
globalManager.commonUtils:setImgColorGrey(self.peishi_img)
end
end
end
function PeiShiItem:checkUpgrad(xiaohaoCount,qinmiCount)
local selfInfo = globalData.peiShiInfo:getInfo(self.templateInfo.id)
if(selfInfo ~= nil and selfInfo.level >= self.maxLevel)then
self.levelUp_img:setVisible(false)
self._canUpgrad = false
return
end
if(self.templateInfo and self.isOpen and xiaohaoCount >= self.templateInfo.needItemCount and qinmiCount >= self.templateInfo.needQinmiCount)then
self.levelUp_img:setVisible(true)
self._canUpgrad = true
else
self.levelUp_img:setVisible(false)
self._canUpgrad = false
end
end
function PeiShiItem:getIsCanUpgrad()
return self._canUpgrad
end
function PeiShiItem:getIsOpen()
return self.isOpen
end
function PeiShiItem:setSelected(flag)
self._isSelect = flag
self.select_img:setVisible(self._isSelect)
end
function PeiShiItem:getInfo()
return self.templateInfo
end
function PeiShiItem:isSelected()
return self._isSelect
end
function PeiShiItem:dispose()
globalManager.sourceCacheManager:removeQuote(self._bgPath)
self._bgPath = nil
globalManager.sourceCacheManager:removeQuote(self._selectPath)
self._selectPath = nil
if(self._peiShiPath ~= nil) then
globalManager.sourceCacheManager:removeQuote(self._peiShiPath)
self._peiShiPath = nil
end
self.templateInfo = nil
self.bg_img = nil
self.select_img = nil
self.name_label = nil
self.level_label = nil
self.lock_label = nil
self.peishi_img = nil
self.levelUp_img = nil
self._isSelect = nil
self._canUpgrad = nil
self.isOpen = nil
self.maxLevel = nil
globalManager.ccCreator:release(self)
end
PeiShiPanel = class("PeiShiPanel", function(_, controller)
local self = globalManager.ccCreator:newJsonWidget("peiShiPanel")
self._controller = controller
self:getChildByName("proName_label1_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("PeiShiPanel.text5"))
self:getChildByName("proName_label1_Copy1"):setText(globalManager.yuyanbaoManager:getYuyanbao("PeiShiPanel.text6"))
self.fight_label = self:getChildByName("fight_label")
self.totalFight_label = self:getChildByName("totalFight_label")
self.name_label = self:getChildByName("name_label")
self._proNameLabelList = {}
self._proValueLabalList = {}
self._proUpIconList = {}
self._proPlusLabelList = {}
for i = 1,4,1 do
table.insert(self._proNameLabelList,self:getChildByName("proName_label"..i))
table.insert(self._proValueLabalList,self:getChildByName("proValue_label"..i))
table.insert(self._proUpIconList,self:getChildByName("up_icon"..i))
table.insert(self._proPlusLabelList,self:getChildByName("plus_label"..i))
end
local itemBg = self:getChildByName("item_cell")
self._itemCell = BaseGrid:new()
itemBg:addChild(self._itemCell)
self.qinmiNum_label = self:getChildByName("qinmiNum_label")
self.update_btn = self:getChildByName("update_btn")
self.daojuNum_label = self:getChildByName("daojuNum_label")
self.close_btn = self:getChildByName("close_btn")
self.itemPanel = self:getChildByName("item_panel")
self._itemList = {}
local list = globalData.allTemplates.peiShiTemplateList.list
for i = 1,10,1 do
local item = PeiShiItem:new(list[i])
item:setPosition(globalManager.ccCreator:newPoint(160*((i-1) % 4),370 - math.floor((i-1) / 4) * 185))
self.itemPanel:addChild(item,3)
table.insert(self._itemList,item)
end
self._selectItem = nil
self.maxLevel = globalData.allTemplates.peiShiTemplateList.peiShiMaxLevel
self.hasCount = 0
return self
end)
function PeiShiPanel:ctor()
self:initView()
self:initEvent()
self:upgradUpdate()
end
function PeiShiPanel:initView()
self.totalFight_label:setStringValue(math.floor(globalData.peiShiInfo:getTotalFight()))
end
function PeiShiPanel:initEvent()
local closeBtnHandler = function(sender, eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self._controller:hidePeiShiPanel()
end
end
local itemClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(sender:getInfo() == nil or sender:isSelected()) then return end
if(not sender:getIsOpen()) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("PeiShiPanel.text1"))
return
end
local index = globalManager.commonUtils:getIndexOfTable(self._itemList,sender)
self:updateSelect(index)
end
end
local upgradClckHandler = function(sender, eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(self._selectItem ~= nil and self._selectItem:getInfo() ~= nil) then
if(self._selectItem:getIsCanUpgrad())then
globalData.messageAdder:sendPeiShiUpgrad(self._selectItem:getInfo().id)
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("PeiShiPanel.text2"))
else
if(not self._selectItem:getIsOpen())then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("PeiShiPanel.text1"))
return
end
local selfInfo = globalData.peiShiInfo:getInfo(self._selectItem:getInfo().id)
if(selfInfo ~= nil and selfInfo.level >= self.maxLevel)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("PeiShiPanel.text3"))
return
end
if(self.hasCount < self._selectItem:getInfo().needItemCount)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("EquipAdvancedView.text9"))
return
end
if(globalData.selfPlayerInfo.qinmidu < self._selectItem:getInfo().needQinmiCount)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("XianYuanPanel.text15"))
return
end
end
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("PeiShiPanel.text4"))
end
end
end
for i = 1, #self._itemList do
self._itemList[i]:addTouchEventListener(itemClickHandler)
end
self.update_btn:addTouchEventListener(upgradClckHandler)
self.close_btn:addTouchEventListener(closeBtnHandler)
globalData.peiShiInfo:addEventListener(globalData.globalEventType.playerInfo_peiShiInfo,self.peiShiInfoUpdate,self)
globalData.goodsInfoList:addEventListener(globalData.globalEventType.playerInfo_itemUpdate,self.upgradUpdate,self)
globalData.selfPlayerInfo:addEventListener(globalData.globalEventType.playerInfo_qinmiduUpdate,self.upgradUpdate,self)
end
function PeiShiPanel:removeEvent()
globalData.peiShiInfo:removeEventListener(globalData.globalEventType.playerInfo_peiShiInfo,self.peiShiInfoUpdate,self)
globalData.goodsInfoList:removeEventListener(globalData.globalEventType.playerInfo_itemUpdate,self.upgradUpdate,self)
globalData.selfPlayerInfo:removeEventListener(globalData.globalEventType.playerInfo_qinmiduUpdate,self.upgradUpdate,self)
end
function PeiShiPanel:updateSelect(index)
if(self._selectItem ~= nil) then
self._selectItem:setSelected(false)
end
self._selectItem = self._itemList[index]
self._selectItem:setSelected(true)
local tempInfo = self._selectItem:getInfo()
self.selfInfo = globalData.peiShiInfo:getInfo(tempInfo.id)
local level = self.selfInfo and self.selfInfo.level or 0
local fight = 0
self.name_label:setText(tempInfo.name)
self.qinmiNum_label:setText(globalData.selfPlayerInfo.qinmidu .. "/" .. tempInfo.needQinmiCount)
self.daojuNum_label:setText(self.hasCount .. "/" .. tempInfo.needItemCount)
for i = 1,4,1 do
local pro = tempInfo.propertys[i]
if(pro ~= nil) then
self._proNameLabelList[i]:setText(globalData.allStaticTypes.propertyType:getNameByType(pro.propertyId).."：")
local value = 0
if(self.selfInfo ~= nil and self.selfInfo.level > 0) then
value = self:getProByLevel(pro.propertyValue,pro.propertyPercent,self.selfInfo.level)
end
self._proValueLabalList[i]:setText(tostring(value))
fight = fight + globalData.allStaticTypes.propertyType:fightCalculate(pro.propertyId,value)
local next = 0
if(level < self.maxLevel) then
next = self:getProByLevel(pro.propertyValue,pro.propertyPercent,level+1)
self._proUpIconList[i]:setEnabled(true)
local plus = next - value
if(plus < 0) then plus = 0 end
self._proPlusLabelList[i]:setText(tostring(plus))
else
self._proUpIconList[i]:setEnabled(false)
self._proPlusLabelList[i]:setText("")
end
else
self._proUpIconList[i]:setEnabled(false)
self._proPlusLabelList[i]:setText("")
self._proValueLabalList[i]:setText("")
self._proNameLabelList[i]:setText("")
end
end
self.fight_label:setStringValue(math.floor(fight))
self._itemCell:setGoodsTempInfo(globalData.allTemplates.goodsTemplateList:getTemplate(tempInfo.needItemId))
end
function PeiShiPanel:getProByLevel(base,per,level)
return math.floor(base * level)
end
function PeiShiPanel:peiShiInfoUpdate(evt)
self:initView()
for i = 1, #self._itemList do
self._itemList[i]:updateInfo()
end
self:upgradUpdate()
end
function PeiShiPanel:upgradUpdate(evt)
local tempInfo = globalData.allTemplates.peiShiTemplateList.list[1]
if(tempInfo ~= nil)then
local count = 0
local itemList = globalData.goodsInfoList:getGoodsList(1)
for __,value in pairs(itemList) do
if(value ~= nil and not value:outOfDate()) then
if( value:getTemplate().templateId == tempInfo.needItemId) then
count = count + value.count
end
end
end
self.hasCount = count
local qinmi = globalData.selfPlayerInfo.qinmidu
for i = 1, #self._itemList do
self._itemList[i]:checkUpgrad(count,qinmi)
end
self:selectAItem()
end
end
function PeiShiPanel:selectAItem()
if(self._selectItem and self._selectItem:getIsCanUpgrad())then
local index = globalManager.commonUtils:getIndexOfTable(self._itemList,self._selectItem)
self:updateSelect(index)
return
else
for i = 1, #self._itemList do
if(self._itemList[i]:getIsCanUpgrad())then
local index = globalManager.commonUtils:getIndexOfTable(self._itemList,self._itemList[i])
self:updateSelect(index)
return
end
end
end
self:updateSelect(1)
end
function PeiShiPanel:dispose()
self:removeEvent()
self._itemCell:dispose()
self._itemCell = nil
if(self._itemList ~= nil) then
for i = 1, #self._itemList do
self._itemList[i]:dispose()
end
self._itemList = nil
end
self._controller = nil
self.fight_label = nil
self.totalFight_label = nil
self.name_label = nil
self._proNameLabelList = nil
self._proValueLabalList = nil
self._proUpIconList = nil
self._proPlusLabelList = nil
self.qinmiNum_label = nil
self.update_btn = nil
self.daojuNum_label = nil
self.close_btn = nil
self.itemPanel = nil
self._selectItem = nil
self.maxLevel = nil
self.hasCount = nil
globalManager.ccCreator:release(self)
end
PrivilegePanel = class("PrivilegePanel",function(self,controller)
local temp = globalManager.ccCreator:newLayer()
temp._widget = globalManager.ccCreator:newJsonWidget("privilegePanel")
temp:addChild(temp._widget)
temp._controller = controller
temp.bg_img = temp._widget:getChildByName("bg_img")
temp.close_btn = temp._widget:getChildByName("close_btn")
temp.btnListView = temp._widget:getChildByName("btnListView")
temp.phoneLabel = temp._widget:getChildByName("phoneLabel")
temp.welcomLabel = temp._widget:getChildByName("welcomLabel")
temp.textScrollView = temp._widget:getChildByName("textScrollView")
temp.privilegeLabel = temp._widget:getChildByName("privilegeLabel")
temp.infoPanel = temp._widget:getChildByName("infoPanel")
temp._widget:getChildByName("Label_1176805"):setText(globalManager.yuyanbaoManager:getYuyanbao("PrivilegePanel.text3"))
temp._bgPath = globalManager.pathManager:getUISource("outPic/ui_privilege.png")
temp.btnList = nil
temp.infoView = nil
temp.richLabel = nil
temp.selectItem = nil
return temp
end)
function PrivilegePanel:ctor()
globalManager.sourceCacheManager:setImage(self.bg_img,self._bgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self.welcomLabel:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("PrivilegePanel.text1"),globalData.selfPlayerInfo.nick))
self.privilegeLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("PrivilegePanel.text2"))
self:initView()
self:initEvent()
end
function PrivilegePanel:initView()
if(self.btnList ~= nil)then
for i = 1, #self.btnList do
self.btnList[i]:dispose()
end
self.btnList = nil
self.selectItem = nil
end
self.btnList = {}
local selectClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self:setSelect(sender)
end
end
local btnTab = {}
local vipInfo = globalData.selfPlayerInfo.vipInfo
if(vipInfo.privilegeDayAwardType == 0)then
table.insert(btnTab,1)
table.insert(btnTab,3)
else
table.insert(btnTab,2)
table.insert(btnTab,3)
end
for i = 1, #btnTab do
local btn = PrivilegeBtnItem:new(btnTab[i])
self.btnListView:pushBackCustomItem(btn)
btn:addTouchEventListener(selectClickHandler)
table.insert(self.btnList,btn)
end
if(self.btnList[1] ~= nil)then
self:setSelect(self.btnList[1])
end
end
function PrivilegePanel:getSize()
return self._widget:getSize()
end
function PrivilegePanel:setSelect(item)
if(item:getType() == 3) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("PrivilegePanel.text4"))
return
end
if(self.selectItem == item)then return end
if(self.selectItem ~= nil)then
self.selectItem:setSelect(false)
end
self.selectItem = item
if(self.selectItem ~= nil)then
self.selectItem:setSelect(true)
end
if(self.infoView ~= nil)then
self.infoView:dispose()
self.infoView = nil
end
if(self.richLabel ~= nil)then
self.richLabel:dispose()
self.richLabel = nil
end
local tempInfo = globalData.allTemplates.privilegeTemplateList:getTempByType(item:getType())
if(item:getType() == 1) then
self.infoView = PrivilegeInfoItem1:new()
self.infoView:setTemplatData(tempInfo)
self.infoView:setPosition(globalManager.ccCreator:newPoint(self.infoPanel:getPositionX(),self.infoPanel:getPositionY()))
self:addChild(self.infoView,9)
elseif(item:getType() == 2) then
self.infoView = PrivilegeInfoItem2:new()
self.infoView:setTemplatData(tempInfo)
self.infoView:setPosition(globalManager.ccCreator:newPoint(self.infoPanel:getPositionX(),self.infoPanel:getPositionY()))
self:addChild(self.infoView,9)
end
self.phoneLabel:setText(globalManager.descriptManager:getDescript(tempInfo.phoneDesc))
local content = globalManager.descriptManager:getDescript(tempInfo.textDesc)
self.richLabel = globalManager.ccCreator:newRichLabel2(content,220)
local height = self.richLabel:getHeight()
local posY = 0
if(height < 313)then
posY = 285
else
posY = height-28
end
self.richLabel:setPositionY(posY)
self.textScrollView:setInnerContainerSize(cc.size(220,self.richLabel:getHeight()))
self.textScrollView:addChild(self.richLabel,1)
self.textScrollView:jumpToTop()
end
function PrivilegePanel:initEvent()
local function closeBtnHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self._controller:hidePrivilegePanel()
end
end
self.close_btn:addTouchEventListener(closeBtnHandler)
globalData.selfPlayerInfo.vipInfo:addEventListener(globalData.globalEventType.privilege_infoUpdate,self.infoUpdate,self)
end
function PrivilegePanel:infoUpdate(evt)
self:initView()
end
function PrivilegePanel:removeEvent()
globalData.selfPlayerInfo.vipInfo:removeEventListener(globalData.globalEventType.privilege_infoUpdate,self.infoUpdate,self)
end
function PrivilegePanel:dispose()
self:removeEvent()
globalManager.sourceCacheManager:removeQuote(self._bgPath)
self._bgPath = nil
if(self.btnList ~= nil)then
for i = 1, #self.btnList do
self.btnList[i]:dispose()
end
self.btnList = nil
end
if(self.infoView ~= nil)then
self.infoView:dispose()
self.infoView = nil
end
if(self.richLabel ~= nil)then
self.richLabel:dispose()
self.richLabel = nil
end
self._controller = nil
self.selectItem = nil
self.bg_img = nil
self.close_btn = nil
self.btnListView = nil
self.phoneLabel = nil
self.welcomLabel = nil
self.textScrollView = nil
self.privilegeLabel = nil
self.infoPanel = nil
globalManager.ccCreator:release(self._widget)
self._widget = nil
globalManager.ccCreator:release(self)
end
PrivilegeBtnItem = class("PrivilegeBtnItem", function(self,type)
local temp = globalManager.ccCreator:newJsonWidget("privilegeBtnItem")
temp.selected_light = temp:getChildByName("selected_light")
temp.btnImg = temp:getChildByName("btnImg")
temp.iconImg = temp.btnImg:getChildByName("iconImg")
temp.title = temp.btnImg:getChildByName("title")
temp.type = type
temp.btnPath = globalManager.pathManager:getUISource("outPic/privilegeBtnIcon_"..type..".png")
temp.title:setText(globalManager.yuyanbaoManager:getYuyanbao("PrivilegeBtnItem.text"..type))
return temp
end)
function PrivilegeBtnItem:ctor()
globalManager.sourceCacheManager:setImage(self.iconImg,self.btnPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self.selected_light:setVisible(false)
end
function PrivilegeBtnItem:setSelect(flag)
if(flag)then
self.selected_light:setVisible(true)
else
self.selected_light:setVisible(false)
end
end
function PrivilegeBtnItem:getType()
return self.type
end
function PrivilegeBtnItem:dispose()
globalManager.sourceCacheManager:removeQuote(self.btnPath)
self.btnPath = nil
self.selected_light = nil
self.btnImg = nil
self.iconImg = nil
self.title = nil
globalManager.ccCreator:release(self)
end
PrivilegeInfoItem1 = class("PrivilegeInfoItem1", function(self)
local temp = globalManager.ccCreator:newLayer()
temp._widget = globalManager.ccCreator:newJsonWidget("privilegeInfoItem1")
temp:addChild(temp._widget)
temp.beautyImg = temp._widget:getChildByName("beautyImg")
temp.textLabel1 = temp._widget:getChildByName("textLabel1")
temp.textLabel2 = temp._widget:getChildByName("textLabel2")
temp.editbox_layer = temp._widget:getChildByName("editbox_layer")
temp.accept_btn = temp._widget:getChildByName("accept_btn")
temp.goodsCell = temp._widget:getChildByName("goodsCell")
temp.isGotImg = temp._widget:getChildByName("isGotImg")
temp.isGotImg:setVisible(false)
temp.accept_btn:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("WelfareGiftView.text10"))
temp._beautyPath = globalManager.pathManager:getUISource("outPic/privilegeBeauty.png")
temp.editLabel = nil
temp.inputBg = nil
temp.itemList = {}
for i = 1, 4 do
local grid = GoodsInfoGrid:new()
table.insert(temp.itemList,grid)
--grid:setPosition(globalManager.ccCreator:newPoint(3.5,-7.5))
temp._widget:getChildByName("goodsCell"..i):addChild(temp.itemList[i])
end
temp.goodsList = nil
return temp
end)
function PrivilegeInfoItem1:ctor()
globalManager.sourceCacheManager:setImage(self.beautyImg,self._beautyPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
end
function PrivilegeInfoItem1:setTemplatData(templateInfo)
if(self.editLabel == nil)then
self.inputBg = globalManager.ccCreator:newImageView("board/ui_board8.png",1)
self.inputBg:setScale9Enabled(true)
self.inputBg:setCapInsets(cc.rect(16,16,1,1))
self.inputBg:setSize(self.editbox_layer:getSize())
self.inputBg:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[7])
self.inputBg:setPosition(cc.p(self.editbox_layer:getPositionX(),self.editbox_layer:getPositionY() + 1))
self:addChild(self.inputBg,9)
self.editLabel = globalManager.ccCreator:newEditBox(self.editbox_layer:getSize(),18,nil,nil,nil,2)
self.editLabel:setPosition(globalManager.ccCreator:newPoint(self.editbox_layer:getPositionX(),self.editbox_layer:getPositionY() + 1))
self:addChild(self.editLabel,10)
end
self._templateInfo = templateInfo
if(self.goodsList ~= nil)then
for __,info in ipairs(self.goodsList) do
info:dispose()
end
self.goodsList = nil
end
self.goodsList = {}
if(self._templateInfo ~= nil) then
for i = 1, #self._templateInfo.awardList do
if(i <= 4)then
local goodsinfo = GoodsInfo:new()
goodsinfo:setTemplateId(self._templateInfo.awardList[i][1])
goodsinfo.count = self._templateInfo.awardList[i][2]
table.insert(self.goodsList,goodsinfo)
self.itemList[i]:setGoodsInfo(goodsinfo)
end
end
end
self.textLabel1:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("PrivilegeItem.text1"),globalManager.descriptManager:getDescript(templateInfo.qqDesc)))
self.textLabel2:setText(globalManager.yuyanbaoManager:getYuyanbao("PrivilegeItem.text2"))
if(globalData.selfPlayerInfo.vipInfo.privilegeAwardType == 1)then
self.accept_btn:setEnabled(true)
self.isGotImg:setVisible(false)
elseif(globalData.selfPlayerInfo.vipInfo.privilegeAwardType == 2)then
self.accept_btn:setEnabled(false)
self.isGotImg:setVisible(true)
end
self:initEvent()
end
function PrivilegeInfoItem1:initEvent()
local function btnClickHandler(sender, eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
local code = globalManager.ccCreator:getTextString(self.editLabel)
if code == nil or code == "" then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("WelfareGiftView.text1"))
else
globalData.messageAdder:sendPrivilegeCode(code)
globalManager.ccCreator:setTextString(self.editLabel,"")
end
end
end
self.accept_btn:addTouchEventListener(btnClickHandler)
end
function PrivilegeInfoItem1:dispose()
globalManager.sourceCacheManager:removeQuote(self._beautyPath)
self._beautyPath = nil
if(self.editLabel ~= nil) then
globalManager.ccCreator:release(self.editLabel)
self.editLabel = nil
globalManager.ccCreator:release(self.inputBg)
self.inputBg = nil
end
for k,v in pairs(self.itemList) do
if(v ~= nil)then
v:dispose()
v = nil
end
end
self.itemList = nil
if(self.goodsList ~= nil)then
for __,info in ipairs(self.goodsList) do
info:dispose()
end
self.goodsList = nil
end
self.beautyImg = nil
self.textLabel1 = nil
self.textLabel2 = nil
self.editbox_layer = nil
self.accept_btn = nil
self.goodsCell = nil
globalManager.ccCreator:release(self._widget)
self._widget = nil
globalManager.ccCreator:release(self)
end
PrivilegeInfoItem2 = class("PrivilegeInfoItem2", function(self)
local temp = PrivilegeInfoItem1:new()
temp._widget:getChildByName("board3_Copy2"):setVisible(false)
temp._dispose = temp.dispose
return temp
end)
function PrivilegeInfoItem2:setTemplatData(templateInfo)
self._templateInfo = templateInfo
if(self.goodsList ~= nil)then
for __,info in ipairs(self.goodsList) do
info:dispose()
end
self.goodsList = nil
end
self.goodsList = {}
if(self._templateInfo ~= nil) then
for i = 1, #self._templateInfo.awardList do
if(i <= 4)then
local goodsinfo = GoodsInfo:new()
goodsinfo:setTemplateId(self._templateInfo.awardList[i][1])
goodsinfo.count = self._templateInfo.awardList[i][2]
table.insert(self.goodsList,goodsinfo)
self.itemList[i]:setGoodsInfo(goodsinfo)
end
end
end
self.textLabel1:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("PrivilegeItem.text1"),globalManager.descriptManager:getDescript(templateInfo.qqDesc)))
self.textLabel2:setText(globalManager.yuyanbaoManager:getYuyanbao("PrivilegeItem.text2"))
if(globalData.selfPlayerInfo.vipInfo.privilegeDayAwardType == 1)then
self.accept_btn:setEnabled(true)
self.isGotImg:setVisible(false)
elseif(globalData.selfPlayerInfo.vipInfo.privilegeDayAwardType == 2)then
self.accept_btn:setEnabled(false)
self.isGotImg:setVisible(true)
end
self:initEvent()
end
function PrivilegeInfoItem2:initEvent()
local function btnClickHandler(sender, eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
globalData.messageAdder:sendPrivilegeDayAward()
end
end
self.accept_btn:addTouchEventListener(btnClickHandler)
end
function PrivilegeInfoItem2:dispose()
self:_dispose()
self._dispose = nil
end
FlowerRankGiftItemView = class("FlowerRankGiftItemView",function()
local temp = globalManager.ccCreator:newJsonWidget("flowerRankGiftItem")
temp._rankLabel = temp:getChildByName("rankLabel")
temp._rankImg = temp:getChildByName("rankImg")
temp._extendLabel = temp:getChildByName("extendMoney")
temp._gridList = {}
for i = 1,3,1 do
local cell = temp:getChildByName("cell"..i)
local grid = BaseGrid:new()
cell:addChild(grid)
table.insert(temp._gridList,grid)
end
local extendCell = temp:getChildByName("cell")
temp.exGrid = BaseGrid:new()
extendCell:addChild(temp.exGrid)
temp:getChildByName("content1"):setText(globalManager.yuyanbaoManager:getYuyanbao("FlowerRankGiftItemView.text1"))
temp:getChildByName("content2"):setText(globalManager.yuyanbaoManager:getYuyanbao("FlowerRankGiftItemView.text2"))
return temp
end)
function FlowerRankGiftItemView:ctor()
-- body
end
function FlowerRankGiftItemView:setData(info)
--local info = globalData.allTemplates.crossRechargeGiftTemplateList:getTemplate(curId)
if(info.flowerMinRank <= 3)then
self._rankImg:loadTexture("icon/ui_copyNo"..info.flowerMinRank..".png",1)
self._rankLabel:setVisible(false)
self._rankImg:setVisible(true)
else
self._rankLabel:setText(info.flowerMinRank.."~"..info.flowerMaxRank)
self._rankImg:setVisible(false)
self._rankLabel:setVisible(true)
end
local index = 1
for i = 1,#info.flowerBaseAward,1 do
if(info.flowerBaseAward[i][3] == nil or info.flowerBaseAward[i][3] == globalData.allStaticTypes.careerType:getCareer(globalData.selfPlayerInfo.career) or info.flowerBaseAward[i][3] == 0)then
self._gridList[index]:setGoodsTempInfo(globalData.allTemplates.goodsTemplateList:getTemplate(info.flowerBaseAward[i][1]))
self._gridList[index]:setCount(info.flowerBaseAward[i][2])
index = index + 1
end
end
local condition = info.flowerConditionEx
if(condition ~= nil)then
self._extendLabel:setText(condition)
else
self._extendLabel:setText("0")
end
if(info.flowerExAward ~= nil)then
for i = 1,#info.flowerExAward,1 do
if(info.flowerExAward[i][3] == nil or info.flowerExAward[i][3] == globalData.allStaticTypes.careerType:getCareer(globalData.selfPlayerInfo.career) or info.flowerExAward[i][3] == 0)then
self.exGrid:setGoodsTempInfo(globalData.allTemplates.goodsTemplateList:getTemplate(info.flowerExAward[i][1]))
self.exGrid:setCount(info.flowerExAward[i][2])
end
end
end
end
function FlowerRankGiftItemView:dispose()
self._rankImg = nil
self._rankLabel = nil
self._extendLabel = nil
for __,grid in pairs(self._gridList) do
grid:dispose()
end
self._gridList = nil
self.exGrid:dispose()
self.exGrid = nil
globalManager.ccCreator:release(self)
end
FlowerRankGiftView = class("FlowerRankGiftView",function (self,controller)
temp = globalManager.ccCreator:newJsonWidget("flowerRankGiftPanel")
temp._controller = controller
temp._closeBtn = temp:getChildByName("closeBtn")
temp._itemView = temp:getChildByName("itemView")
temp._itemView:setItemsMargin(10)
temp._viewList = {}
temp:getChildByName("titleLabel_Copy1"):setText(globalManager.yuyanbaoManager:getYuyanbao("FlowerRankGiftView.text1"))
return temp
end)
function FlowerRankGiftView:ctor()
self:initEvent()
self:initView()
end
function FlowerRankGiftView:initEvent()
local function clsoeClickHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self._controller:hideFlowerRankGiftPanel()
end
end
self._closeBtn:addTouchEventListener(clsoeClickHandler)
end
function FlowerRankGiftView:removeEvent()
end
function FlowerRankGiftView:initView()
local template = globalData.allTemplates.crossRechargeGiftTemplateList.flowerList
if(#template <= 0 )then return end
if(#self._viewList > 0)then
self:clearItem()
end
for i,info in pairs(template) do
local item = FlowerRankGiftItemView:new()
item:setData(info)
table.insert(self._viewList,item)
self._itemView:pushBackCustomItem(item)
end
end
function FlowerRankGiftView:clearItem()
self._itemView:removeAllItems()
for __,item in pairs(self._viewList) do
item:dispose()
end
self._viewList = {}
end
function FlowerRankGiftView:dispose()
self:removeEvent()
self._closeBtn = nil
self._itemView = nil
for __,item in pairs(self._viewList) do
item:dispose()
end
self._viewList = nil
if(self._timeLabel ~= nil)then
self._timeLabel:dispose()
self._timeLabel= nil
end
globalManager.ccCreator:release(self)
end
FlowerRankItemView = class("FlowerRankItemView",function()
local temp = globalManager.ccCreator:newJsonWidget("flowerRankItem")
temp._rankLabel = temp:getChildByName("rankLabel")
temp._rankImg = temp:getChildByName("rankImg")
temp._fightLabel = temp:getChildByName("fightLabel")
temp._meiliLabel = temp:getChildByName("meiliLabel")
temp._vipLevel = temp:getChildByName("vipLabel")
temp._playerName = temp:getChildByName("playerName")
temp._flowerImg = temp:getChildByName("flowerImg")
temp._flowerImgPath = globalManager.pathManager:getUISource("outPic/flower_item_icon.png")
temp._playerInfoImg = temp:getChildByName("flowerImg_Copy0")
temp._vipImg = temp:getChildByName("vipImg")
temp.info = {}
temp._userId = nil
return temp
end)
function FlowerRankItemView:ctor()
self:initEvent()
end
function FlowerRankItemView:initEvent()
local showClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
globalData.messageAdder:infoQuery(self.info[2],0)
end
end
local showSendFlowerClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(globalData.friendList:getPlayer(self._userId) ~= nil or self._userId == globalData.selfPlayerInfo.userId)then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_showSendFlowerPanel,globalManager.gameDispatcher,self._userId))
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("FlowerRankItemView.text1"))
end
end
end
self._playerInfoImg:addTouchEventListener(showClickHandler)
self._flowerImg:addTouchEventListener(showSendFlowerClickHandler)
end
function FlowerRankItemView:setData(info)
self.info = info
if(info == nil)then
self._vipImg:setVisible(false)
self._rankLabel:setVisible(false)
self._fightLabel:setVisible(false)
self._meiliLabel:setVisible(false)
self._vipLevel:setVisible(false)
self._playerName:setVisible(false)
self._rankImg:setVisible(false)
self._playerInfoImg:setVisible(false)
self._playerInfoImg:setTouchEnabled(false)
self._flowerImg:setVisible(false)
self._flowerImg:setTouchEnabled(false)
else
self._vipImg:setVisible(false)
self._fightLabel:setVisible(true)
self._meiliLabel:setVisible(true)
self._vipLevel:setVisible(false)
self._playerName:setVisible(true)
self._playerInfoImg:setVisible(false)
self._playerInfoImg:setTouchEnabled(false)
self._flowerImg:setVisible(false)
self._flowerImg:setTouchEnabled(false)
if(info[1] <= 3)then
self._rankImg:loadTexture("icon/ui_copyNo"..info[1]..".png",1)
self._rankLabel:setVisible(false)
self._rankImg:setVisible(true)
else
self._rankLabel:setText(info[1])
self._rankImg:setVisible(false)
self._rankLabel:setVisible(true)
end
self._playerName:setText("["..info[5].."]"..info[3])
if(info[4] > 0)then
self._vipLevel:setStringValue(info[4])
self._vipImg:setVisible(true)
self._vipLevel:setVisible(true)
end
self._fightLabel:setText(info[6])
self._meiliLabel:setText(info[7])
if(info[5] == globalData.selfPlayerInfo.serverId)then
globalManager.sourceCacheManager:setImage(self._flowerImg,self._flowerImgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self._userId = info[2]
self._flowerImg:setVisible(true)
self._flowerImg:setTouchEnabled(true)
self._playerInfoImg:setVisible(true)
self._playerInfoImg:setTouchEnabled(true)
else
self._flowerImg:setVisible(false)
self._flowerImg:setTouchEnabled(false)
end
end
end
function FlowerRankItemView:dispose()
globalManager.sourceCacheManager:removeQuote(self._flowerImgPath)
self._flowerImgPath = nil
self.rankLabel = nil
self._fightLabel = nil
self._meiliLabel = nil
self._vipLevel = nil
self._playerName = nil
self._rankImg = nil
self._playerInfoImg = nil
self._flowerImg = nil
globalManager.ccCreator:release(self)
end
FlowerRankPanel = class("FlowerRankPanel",function(self,controller)
local temp = globalManager.ccCreator:newJsonWidget("flowerRankPanel")
temp._controller = controller
temp._titleBg = temp:getChildByName("titleBg")
temp._titleBgPath = globalManager.pathManager:getUISource("outPic/flower_rank_titleBg.png")
temp._myRankLabel = temp:getChildByName("myRankLabel")
temp._meiliLabel = temp:getChildByName("meiliLabel")
temp._awardLink = temp:getChildByName("showAwardLinkImg")
temp._explainLabel = temp:getChildByName("explainLabel")
local timeLabel = temp:getChildByName("timeLabel")
temp._timeLabel = CountDownLabel:new(timeLabel,0,32,globalData.allStaticTypes.colorType.COLORORANGE,30)
temp._closebtn = temp:getChildByName("closeBtn_Copy1")
temp._flowerImg = temp:getChildByName("flowerImg")
temp._flowerImgPath = globalManager.pathManager:getUISource("outPic/flower_item_icon.png")
temp._pageLayer = temp:getChildByName("pageList")
temp._pageList = {}
temp._itemView = temp:getChildByName("itemView")
temp._itemView:setItemsMargin(10)
temp._itemlist = {}
temp._gridList = {}
for i = 1,3,1 do
local cell = temp:getChildByName("cell"..i)
local grid = BaseGrid:new()
cell:addChild(grid)
table.insert(temp._gridList,grid)
end
temp.currentPage = 0
temp.totalPage = 0
temp._tipsLabel = globalManager.ccCreator:newLabel()
temp._tipsLabel:setColor(globalData.allStaticTypes.colorType.TRUE_COLOR)
temp._tipsLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("FlowerRankPanel.text1"))
temp._tipsLabel:setFontSize(26)
temp._tipsLabel:setPosition(globalManager.ccCreator:newPoint(330,270))
temp:addChild(temp._tipsLabel,6)
temp._tipsLabel:setVisible(false)
temp:getChildByName("content1"):setText(globalManager.yuyanbaoManager:getYuyanbao("FlowerRankPanel.text2"))
temp:getChildByName("content2"):setText(globalManager.yuyanbaoManager:getYuyanbao("FlowerRankPanel.text3"))
temp:getChildByName("content3"):setText(globalManager.yuyanbaoManager:getYuyanbao("FlowerRankPanel.text4"))
temp:getChildByName("content4"):setText(globalManager.yuyanbaoManager:getYuyanbao("FlowerRankPanel.text5"))
temp:getChildByName("content5"):setText(globalManager.yuyanbaoManager:getYuyanbao("FlowerRankPanel.text6"))
temp:getChildByName("content6"):setText(globalManager.yuyanbaoManager:getYuyanbao("FlowerRankPanel.text7"))
temp:getChildByName("content7"):setText(globalManager.yuyanbaoManager:getYuyanbao("FlowerRankPanel.text8"))
temp:getChildByName("content8"):setText(globalManager.yuyanbaoManager:getYuyanbao("FlowerRankPanel.text9"))
temp:getChildByName("Label_359589_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("FlowerRankPanel.text10"))
temp:getChildByName("Label_777297"):setText(globalManager.yuyanbaoManager:getYuyanbao("FlowerRankPanel.text11"))
temp._curMeiLi = 0
temp._totalMeiLi = 0
return temp
end)
function FlowerRankPanel:ctor()
globalManager.sourceCacheManager:setImage(self._titleBg,self._titleBgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
globalManager.sourceCacheManager:setImage(self._flowerImg,self._flowerImgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self:setPage(1)
self:initEvent()
self:initView()
end
function FlowerRankPanel:initEvent()
local closeClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self._controller:hideFlowerRankPanel()
end
end
local updateItemViewTouchHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED or eventType == TOUCH_EVENT_CANCELED) then
local offsetX = sender:getTouchEndPos().x - sender:getTouchStartPos().x
if(offsetX > 50) then
if(self.currentPage > 1)then
self:setPage(self.currentPage - 1)
end
elseif(offsetX < -50) then
if(self.currentPage < self.totalPage)then
self:setPage(self.currentPage + 1)
end
end
end
end
local showSendFlowerClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_showSendFlowerPanel,globalManager.gameDispatcher))
end
end
local showAwardClickHandler = function (sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self._controller:showFlowerRankGiftPanel()
end
end
self._flowerImg:addTouchEventListener(showSendFlowerClickHandler)
self._awardLink:addTouchEventListener(showAwardClickHandler)
self._closebtn:addTouchEventListener(closeClickHandler)
self._itemView:addTouchEventListener(updateItemViewTouchHandler)
globalData.crossRechargeRankInfo:addEventListener(globalData.globalEventType.flowerRank_infoUpdate,self.updateView,self)
globalData.selfPlayerInfo:addEventListener(globalData.globalEventType.playerInfo_charmUpdate,self.updateMeiLi,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_reConnect,self.close,self)
end
function FlowerRankPanel:removeEvent()
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.scene_reConnect,self.close,self)
globalData.crossRechargeRankInfo:removeEventListener(globalData.globalEventType.flowerRank_infoUpdate,self.updateView,self)
globalData.selfPlayerInfo:removeEventListener(globalData.globalEventType.playerInfo_charmUpdate,self.updateMeiLi,self)
end
function FlowerRankPanel:close()
self._controller:hideFlowerRankPanel()
end
function FlowerRankPanel:initView()
local countTime   = 23 * 3600 + 50 * 60
local systemTime  = globalData.systemDateInfo:getZeroPassTime()
local remainTime  = math.floor(countTime - systemTime)
if(remainTime <= 0)then
self._timeLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel77"))
self._timeLabel:setColor(globalData.allStaticTypes.colorType.FALSE_COLOR)
else
self._timeLabel:start(remainTime,self.endTime,self)
end
for i = 1,6,1 do
local item = FlowerRankItemView:new()
table.insert(self._itemlist,item)
item:setData(nil)
self._itemView:pushBackCustomItem(item)
end
local awardList ={}
local info = globalData.allTemplates.crossRechargeGiftTemplateList.flowerList[1]
for i=1,#info.flowerExAward,1 do
if(info.flowerExAward[i][3] == nil or info.flowerExAward[i][3] == globalData.allStaticTypes.careerType:getCareer(globalData.selfPlayerInfo.career) or info.flowerExAward[i][3] == 0)then
table.insert(awardList,info.flowerExAward[i])
end
end
for i=#info.flowerBaseAward,1,-1 do
if(info.flowerBaseAward[i][3] == nil or info.flowerBaseAward[i][3] == globalData.allStaticTypes.careerType:getCareer(globalData.selfPlayerInfo.career) or info.flowerBaseAward[i][3] == 0)then
table.insert(awardList,info.flowerBaseAward[i])
end
end
for i = 1,3,1 do
self._gridList[i]:setGoodsTempInfo(globalData.allTemplates.goodsTemplateList:getTemplate(awardList[i][1]))
self._gridList[i]:setCount(awardList[i][2])
end
self._explainLabel:setText(globalManager.descriptManager:getDescript("10026"))
end
function FlowerRankPanel:endTime()
self._timeLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel77"))
self._timeLabel:setColor(globalData.allStaticTypes.colorType.FALSE_COLOR)
end
function FlowerRankPanel:updateMeiLi()
self._curMeiLi = globalData.selfPlayerInfo.charm - self._totalMeiLi + self._curMeiLi
self._totalMeiLi = globalData.selfPlayerInfo.charm
self._meiliLabel:setText(self._curMeiLi)
end
function FlowerRankPanel:updateView()
self._curMeiLi = globalData.crossRechargeRankInfo.selfValue
self._totalMeiLi = globalData.selfPlayerInfo.charm
local myRank = globalData.crossRechargeRankInfo.MyRank
if(myRank > globalData.allTemplates.crossRechargeGiftTemplateList.MAX_FLOWER_RANK or myRank == 0)then
self._myRankLabel:setText(globalData.allTemplates.crossRechargeGiftTemplateList.MAX_FLOWER_RANK.."+")
else
self._myRankLabel:setText(myRank)
end
self._meiliLabel:setText(globalData.crossRechargeRankInfo.selfValue)
if(globalData.crossRechargeRankInfo.flowerRankInfoList[1] == nil)then
self._tipsLabel:setVisible(true)
else
self._tipsLabel:setVisible(false)
end
for i = 1,6,1 do
self._itemlist[i]:setData(globalData.crossRechargeRankInfo.flowerRankInfoList[(self.currentPage - 1) * 6 + i])
end
self:resetPageIcon()
end
function FlowerRankPanel:setPage(page)
if(self.currentPage == page) then return end
if(self.currentPage ~= 0) then
self._pageList[self.currentPage]:loadTexture("btn/ui_radioBtn1_1.png", 1)
end
self.currentPage = page
if(self._pageList[self.currentPage] ~= nil) then
self._pageList[self.currentPage]:loadTexture("btn/ui_radioBtn1_2.png", 1)
end
if(globalData.crossRechargeRankInfo.flowerRankInfoList[self.currentPage * 6 - 5] == nil)then
self._controller.sceneModule.message:sendGetRankInfo(2,self.currentPage,6)
else
for i = 1,6,1 do
self._itemlist[i]:setData(globalData.crossRechargeRankInfo.flowerRankInfoList[(self.currentPage - 1) * 6 + i])
end
end
end
function FlowerRankPanel:resetPageIcon()
if(#self._pageList ~= 0) then return end
self.totalPage = globalData.crossRechargeRankInfo.totalPage
if(self.totalPage == nil) then self.totalPage = 0 end
if(self.totalPage == 0) then return end
for i = 1,self.totalPage,1 do
local pageIcon = globalManager.ccCreator:newImageView()
if(self.currentPage == i) then
pageIcon:loadTexture("btn/ui_radioBtn1_2.png", 1)
else
pageIcon:loadTexture("btn/ui_radioBtn1_1.png", 1)
end
pageIcon:setPosition(120 - (self.totalPage - 1)*20 + (i - 1)*40,7)
table.insert(self._pageList,pageIcon)
self._pageLayer:addChild(pageIcon)
end
end
function FlowerRankPanel:dispose()
self:removeEvent()
self._controller = nil
self._titleBg = nil
globalManager.sourceCacheManager:removeQuote(self._titleBgPath)
self._titleBgPath = nil
self._flowerImg = nil
globalManager.sourceCacheManager:removeQuote(self._flowerImgPath)
self._flowerImgPath = nil
self._myRankLabel = nil
self._meiliLabel = nil
self._awardLink = nil
self._explainLabel = nil
globalManager.ccCreator:release(self._tipsLabel)
self._tipsLabel = nil
self._curMeiLi = nil
self._totalMeiLi = nil
if(self._timeLabel ~= nil)then
self._timeLabel:dispose()
self._timeLabel = nil
end
self._closebtn = nil
if(self._pageList ~= nil)then
for __,item in pairs(self._pageList) do
globalManager.ccCreator:release(item)
end
self._pageList = nil
end
self._pageLayer = nil
self._itemView = nil
if(self._gridList ~= nil)then
for __,grid in pairs(self._gridList) do
grid:dispose()
end
self._gridList = nil
end
if(self._itemlist ~= nil)then
for __,item in pairs(self._itemlist) do
item:dispose()
end
self._itemlist = nil
end
globalData.crossRechargeRankInfo:clearAllDatas()
globalManager.ccCreator:release(self)
end
RankCrossRechargeItemView = class("RankCrossRechargeItemView",function()
local temp = globalManager.ccCreator:newJsonWidget("crossConsumenGiftItem")
temp:getChildByName("content1"):setText(globalManager.yuyanbaoManager:getYuyanbao("RankCrossRechargeItemView.text1"))
temp:getChildByName("content2"):setText(globalManager.yuyanbaoManager:getYuyanbao("FlowerRankGiftItemView.text2"))
temp:getChildByName("content3"):setText(globalManager.yuyanbaoManager:getYuyanbao("RankCrossRechargeItemView.text2"))
temp._rankLabel = temp:getChildByName("rankLabel")
temp._rankImg = temp:getChildByName("rankImg")
temp._extendLabel = temp:getChildByName("extendMoney")
temp._moneyLabel = temp:getChildByName("moneyLabel")
temp._curRecharge = temp:getChildByName("content3")
temp.bg = temp:getChildByName("borad")
temp._curRecharge:setText("")
temp._richLabel = globalManager.ccCreator:newRichLabel2(nil,100)
temp:addChild(temp._richLabel)
temp._gridList = {}
temp.type = 0
for i = 1,3,1 do
local cell = temp:getChildByName("cell"..i)
local grid = BaseGrid:new()
cell:addChild(grid)
table.insert(temp._gridList,grid)
end
local extendCell = temp:getChildByName("cell")
temp.exGrid = BaseGrid:new()
extendCell:addChild(temp.exGrid)
return temp
end)
function RankCrossRechargeItemView:ctor()
-- body
end
function RankCrossRechargeItemView:setParams(color,type)
-- body
self.bg:setColor(color)
self.type = type
end
function RankCrossRechargeItemView:setData(info,money)
--local info = globalData.allTemplates.crossRechargeGiftTemplateList:getTemplate(curId)
if(info.minRank <= 3)then
self._rankImg:loadTexture("icon/ui_copyNo"..info.minRank..".png",1)
self._rankLabel:setVisible(false)
self._rankImg:setVisible(true)
else
self._rankLabel:setText(info.minRank.."~"..info.maxRank)
self._rankImg:setVisible(false)
self._rankLabel:setVisible(true)
end
local index = 1
for i = 1,#info.baseAward,1 do
if(info.baseAward[i][3] == nil or info.baseAward[i][3] == globalData.allStaticTypes.careerType:getCareer(globalData.selfPlayerInfo.career) or info.baseAward[i][3] == 0)then
self._gridList[index]:setGoodsTempInfo(globalData.allTemplates.goodsTemplateList:getTemplate(info.baseAward[i][1]))
self._gridList[index]:setCount(info.baseAward[i][2])
index = index + 1
end
end
local condition = info.conditionEx
if(condition ~= nil)then
if(money ~= nil and money >= condition)then
self._extendLabel:setColor(globalData.allStaticTypes.colorType.TIPTITLE_COLOR)
end
self._extendLabel:setText(condition)
else
self._extendLabel:setText("0")
end
if(info.exAward ~= nil)then
for i = 1,#info.exAward,1 do
if(info.exAward[i][3] == nil or info.exAward[i][3] == globalData.allStaticTypes.careerType:getCareer(globalData.selfPlayerInfo.career) or info.exAward[i][3] == 0)then
self.exGrid:setGoodsTempInfo(globalData.allTemplates.goodsTemplateList:getTemplate(info.exAward[i][1]))
self.exGrid:setCount(info.exAward[i][2])
end
end
end
local text = string.format(globalManager.yuyanbaoManager:getYuyanbao("RankCrossRechargeItemView.text3"),globalData.allStaticTypes.colorType.ITEMCOLOR2_STR,info.maxRank)
if self.type == 1 then
text = string.format(globalManager.yuyanbaoManager:getYuyanbao("RankCrossRechargeItemView.text4"),globalData.allStaticTypes.colorType.ITEMCOLOR2_STR,info.maxRank)
end
self._richLabel:setText(text)
local posX,posY = self._curRecharge:getPosition()
self._richLabel:setPosition(globalManager.ccCreator:newPoint(posX,posY))
self._richLabel:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[5])
self._moneyLabel:setText(money)
end
function RankCrossRechargeItemView:dispose()
if(self._richLabel ~= nil)then
self._richLabel:dispose()
self._richLabel = nil
end
self._rankImg = nil
self.bg = nil
self._rankLabel = nil
self._extendLabel = nil
self._curRecharge = nil
self._moneyLabel = nil
self.type = 0
for __,grid in pairs(self._gridList) do
grid:dispose()
end
self._gridList = nil
self.exGrid:dispose()
self.exGrid = nil
globalManager.ccCreator:release(self)
end
RankCrossRechargePanel = class("RankCrossRechargePanel",function (self,controller)
local temp = BasePanel:new()
temp._basePanelDispose = BasePanel.dispose
temp._controller = controller
temp._widget = globalManager.ccCreator:newJsonWidget("crossConsumenGiftPanel")
temp:addChild(temp._widget)
temp._widget:getChildByName("content"):setText(globalManager.yuyanbaoManager:getYuyanbao("RankCrossRechargePanel.text1"))
temp._widget:getChildByName("content1"):setText(globalManager.yuyanbaoManager:getYuyanbao("RankCrossRechargePanel.text2"))
temp._widget:getChildByName("content2"):setText(globalManager.yuyanbaoManager:getYuyanbao("RankCrossRechargePanel.text3"))
temp._widget:getChildByName("content3"):setText(globalManager.yuyanbaoManager:getYuyanbao("RankCrossRechargePanel.text4"))
temp._widget:getChildByName("content4"):setText(globalManager.yuyanbaoManager:getYuyanbao("RankCrossRechargePanel.text5"))
temp._beautyBg = temp._widget:getChildByName("beautyImg")
temp._beautyBgPath = globalManager.pathManager:getUISource("outPic/cross_recharge_beautyBg2.png")
temp._rechargeLabel = temp._widget:getChildByName("rechangeLabel")
temp._rechargeBtn = temp._widget:getChildByName("rechargeBtn")
temp._itemView = temp._widget:getChildByName("itemView")
temp._rankLabel = temp._widget:getChildByName("rankLabel")
temp._itemView:setItemsMargin(10)
temp._viewList = {}
local timeLabel = temp._widget:getChildByName("timelabel")
temp._timeLabel = CountDownLabel:new(timeLabel,0,nil,globalData.allStaticTypes.colorType.TRUE_COLOR,30)
temp._myValue = 0
temp._rechargeValue = 0
temp._myRank = 0
temp._pre = 0
temp._curRecharge = 0
temp._totalRecharge = 0
return temp
end)
function RankCrossRechargePanel:ctor()
globalManager.sourceCacheManager:setImage(self._beautyBg,self._beautyBgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
local count = globalData.allTemplates.crossRechargeGiftTemplateList.COUNT
self._controller.sceneModule.message:sendGetRankInfo(1,1,count)
self:initEvent()
self:initView()
end
function RankCrossRechargePanel:initEvent()
local function rachargeClickHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.payTab,globalData.allStaticTypes.panelTabType.pay)
end
end
self._rechargeBtn:addTouchEventListener(rachargeClickHandler)
globalData.crossRechargeRankInfo:addEventListener(globalData.globalEventType.crossRecharge_infoUpdate,self.updateView,self)
globalData.selfPlayerInfo.moneyInfo:addEventListener(globalData.globalEventType.playerRechargeInfo_update,self.rechargeUpdateHandler,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_reConnect,self.close,self)
end
function RankCrossRechargePanel:removeEvent()
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.scene_reConnect,self.close,self)
globalData.crossRechargeRankInfo:removeEventListener(globalData.globalEventType.crossRecharge_infoUpdate,self.updateView,self)
globalData.selfPlayerInfo.moneyInfo:removeEventListener(globalData.globalEventType.playerRechargeInfo_update,self.rechargeUpdateHandler,self)
end
function RankCrossRechargePanel:close()
self._controller:hideRankCrossRechargePanel()
end
function RankCrossRechargePanel:initView()
local countTime   = 23 * 3600 + 50 * 60
local systemTime  = globalData.systemDateInfo:getZeroPassTime()
local remainTime  = math.floor(countTime - systemTime)
if(remainTime <= 0)then
self._timeLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel77"))
self._timeLabel:setColor(globalData.allStaticTypes.colorType.FALSE_COLOR)
else
self._timeLabel:start(remainTime,self.endTime,self)
end
self:updateView()
end
function RankCrossRechargePanel:endTime()
self._timeLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel77"))
self._timeLabel:setColor(globalData.allStaticTypes.colorType.FALSE_COLOR)
end
function RankCrossRechargePanel:rechargeUpdateHandler()
self._curRecharge = globalData.selfPlayerInfo.moneyInfo.chargeValue - self._totalRecharge + self._curRecharge
self._totalRecharge = globalData.selfPlayerInfo.moneyInfo.chargeValue
self._rechargeLabel:setText(self._curRecharge)
end
function RankCrossRechargePanel:updateView()
self._curRecharge = globalData.crossRechargeRankInfo.selfValue
self._totalRecharge = globalData.selfPlayerInfo.moneyInfo.chargeValue
self._myRank = globalData.crossRechargeRankInfo.MyRank
local maxCount = globalData.allTemplates.crossRechargeGiftTemplateList.MAX_RANK
if(self._myRank == 0 or self._myRank > maxCount)then
self._rankLabel:setText(maxCount.."+")
else
self._rankLabel:setText(self._myRank)
end
self._myValue = globalData.crossRechargeRankInfo.selfValue
self._rechargeLabel:setText(self._myValue)
local template = globalData.allTemplates.crossRechargeGiftTemplateList.list
if(#template <= 0 )then return end
if(#self._viewList > 0)then
self:clearItem()
end
for i,info in pairs(template) do
local lastRank = info.maxRank
self._rechargeValue = globalData.crossRechargeRankInfo.rechargeValueList[lastRank]
local item = RankCrossRechargeItemView:new()
item:setData(info,self._rechargeValue)
table.insert(self._viewList,item)
self._itemView:pushBackCustomItem(item)
end
end
function RankCrossRechargePanel:clearItem()
self._itemView:removeAllItems()
for __,item in pairs(self._viewList) do
item:dispose()
end
self._viewList = {}
end
function RankCrossRechargePanel:dispose()
self:removeEvent()
self._controller = nil
self._beautyBg = nil
globalManager.sourceCacheManager:removeQuote(self._beautyBgPath)
self._beautyBgPath = nil
self._rechargeLabel = nil
self._rechargeBtn = nil
self._rankLabel = nil
self._itemView = nil
self._curRecharge = nil
self._totalRecharge = nil
for __,item in pairs(self._viewList) do
item:dispose()
end
self._viewList = nil
if(self._timeLabel ~= nil)then
self._timeLabel:dispose()
self._timeLabel= nil
end
self._rechargeValue = nil
self._myRank = nil
self._pre = nil
globalData.crossRechargeRankInfo:clearAllDatas()
globalManager.ccCreator:release(self._widget)
self._widget = nil
self:_basePanelDispose()
self._basePanelDispose = nil
end
YanhuaRankGiftItemView = class("YanhuaRankGiftItemView",function()
local temp = globalManager.ccCreator:newJsonWidget("yanhuaRankGiftItem")
temp._rankLabel = temp:getChildByName("rankLabel")
temp._rankImg = temp:getChildByName("rankImg")
temp._extendLabel = temp:getChildByName("extendMoney")
temp._gridList = {}
for i = 1,3,1 do
local cell = temp:getChildByName("cell"..i)
local grid = BaseGrid:new()
cell:addChild(grid)
table.insert(temp._gridList,grid)
end
local extendCell = temp:getChildByName("cell")
temp.exGrid = BaseGrid:new()
extendCell:addChild(temp.exGrid)
temp:getChildByName("content1"):setText(globalManager.yuyanbaoManager:getYuyanbao("YanhuaRankGiftItemView.text1"))
temp:getChildByName("content2"):setText(globalManager.yuyanbaoManager:getYuyanbao("FlowerRankGiftItemView.text2"))
return temp
end)
function YanhuaRankGiftItemView:ctor()
-- body
end
function YanhuaRankGiftItemView:setData(info)
--local info = globalData.allTemplates.crossRechargeGiftTemplateList:getTemplate(curId)
if(info.minRank <= 3)then
self._rankImg:loadTexture("icon/ui_copyNo"..info.minRank..".png",1)
self._rankLabel:setVisible(false)
self._rankImg:setVisible(true)
else
self._rankLabel:setText(info.minRank.."~"..info.maxRank)
self._rankImg:setVisible(false)
self._rankLabel:setVisible(true)
end
local index = 1
for i = 1,#info.baseAward,1 do
if(info.baseAward[i][3] == nil or info.baseAward[i][3] == globalData.allStaticTypes.careerType:getCareer(globalData.selfPlayerInfo.career) or info.baseAward[i][3] == 0)then
self._gridList[index]:setGoodsTempInfo(globalData.allTemplates.goodsTemplateList:getTemplate(info.baseAward[i][1]))
self._gridList[index]:setCount(info.baseAward[i][2])
index = index + 1
end
end
local condition = info.conditionEx
if(condition ~= nil)then
self._extendLabel:setText(condition)
else
self._extendLabel:setText("0")
end
if(info.exAward ~= nil)then
for i = 1,#info.exAward,1 do
if(info.exAward[i][3] == nil or info.exAward[i][3] == globalData.allStaticTypes.careerType:getCareer(globalData.selfPlayerInfo.career) or info.exAward[i][3] == 0)then
self.exGrid:setGoodsTempInfo(globalData.allTemplates.goodsTemplateList:getTemplate(info.exAward[i][1]))
self.exGrid:setCount(info.exAward[i][2])
end
end
end
end
function YanhuaRankGiftItemView:dispose()
self._rankImg = nil
self._rankLabel = nil
self._extendLabel = nil
for __,grid in pairs(self._gridList) do
grid:dispose()
end
self._gridList = nil
self.exGrid:dispose()
self.exGrid = nil
globalManager.ccCreator:release(self)
end
YanhuaRankGiftView = class("YanhuaRankGiftView",function (self,controller)
temp = globalManager.ccCreator:newJsonWidget("yanhuaRankGiftPanel")
temp._controller = controller
temp._closeBtn = temp:getChildByName("closeBtn")
temp._itemView = temp:getChildByName("itemView")
temp._itemView:setItemsMargin(10)
temp._viewList = {}
temp:getChildByName("titleLabel_Copy1"):setText(globalManager.yuyanbaoManager:getYuyanbao("FlowerRankGiftView.text1"))
return temp
end)
function YanhuaRankGiftView:ctor()
self:initEvent()
self:initView()
end
function YanhuaRankGiftView:initEvent()
local function clsoeClickHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self._controller:hideYanhuaRankGiftPanel()
end
end
self._closeBtn:addTouchEventListener(clsoeClickHandler)
end
function YanhuaRankGiftView:removeEvent()
end
function YanhuaRankGiftView:initView()
local template = globalData.allTemplates.crossRechargeGiftTemplateList.yanhuaList
if(#template <= 0 )then return end
if(#self._viewList > 0)then
self:clearItem()
end
for i,info in pairs(template) do
local item = YanhuaRankGiftItemView:new()
item:setData(info)
table.insert(self._viewList,item)
self._itemView:pushBackCustomItem(item)
end
end
function YanhuaRankGiftView:clearItem()
self._itemView:removeAllItems()
for __,item in pairs(self._viewList) do
item:dispose()
end
self._viewList = {}
end
function YanhuaRankGiftView:dispose()
self:removeEvent()
self._closeBtn = nil
self._itemView = nil
for __,item in pairs(self._viewList) do
item:dispose()
end
self._viewList = nil
if(self._timeLabel ~= nil)then
self._timeLabel:dispose()
self._timeLabel= nil
end
globalManager.ccCreator:release(self)
end
YanhuaRankItemView = class("YanhuaRankItemView",function()
local temp = globalManager.ccCreator:newJsonWidget("yanhuaRankItem")
temp._rankLabel = temp:getChildByName("rankLabel")
temp._rankImg = temp:getChildByName("rankImg")
temp._fightLabel = temp:getChildByName("fightLabel")
temp._meiliLabel = temp:getChildByName("meiliLabel")
temp._vipLevel = temp:getChildByName("vipLabel")
temp._playerName = temp:getChildByName("playerName")
temp._yanhuaImg = temp:getChildByName("yanhuaImg")
temp._yanhuaImgPath = globalManager.pathManager:getUISource("outPic/ui_yanhuaIcon.png")
temp._playerInfoImg = temp:getChildByName("info_img")
temp._vipImg = temp:getChildByName("vipImg")
temp._lineImg = temp:getChildByName("ImageView_918470")
temp.info = {}
temp._userId = nil
return temp
end)
function YanhuaRankItemView:ctor()
self:initEvent()
end
function YanhuaRankItemView:initEvent()
local showClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
globalData.messageAdder:infoQuery(self.info[2],0)
end
end
local showSendFlowerClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(globalData.friendList:getPlayer(self._userId) ~= nil or self._userId == globalData.selfPlayerInfo.userId)then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_showSendYanhuaPanel,globalManager.gameDispatcher,self._userId))
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("YanhuaRankItemView.text1"))
end
end
end
self._playerInfoImg:addTouchEventListener(showClickHandler)
self._yanhuaImg:addTouchEventListener(showSendFlowerClickHandler)
end
function YanhuaRankItemView:setData(info)
self.info = info
if(info == nil)then
self._vipImg:setVisible(false)
self._rankLabel:setVisible(false)
self._fightLabel:setVisible(false)
self._meiliLabel:setVisible(false)
self._vipLevel:setVisible(false)
self._playerName:setVisible(false)
self._rankImg:setVisible(false)
self._playerInfoImg:setVisible(false)
self._playerInfoImg:setTouchEnabled(false)
self._yanhuaImg:setVisible(false)
self._yanhuaImg:setTouchEnabled(false)
self._lineImg:setVisible(false)
else
self._lineImg:setVisible(true)
self._vipImg:setVisible(false)
self._fightLabel:setVisible(true)
self._meiliLabel:setVisible(true)
self._vipLevel:setVisible(false)
self._playerName:setVisible(true)
self._playerInfoImg:setVisible(false)
self._playerInfoImg:setTouchEnabled(false)
self._yanhuaImg:setVisible(false)
self._yanhuaImg:setTouchEnabled(false)
if(info[1] <= 3)then
self._rankImg:loadTexture("icon/ui_copyNo"..info[1]..".png",1)
self._rankLabel:setVisible(false)
self._rankImg:setVisible(true)
else
self._rankLabel:setText(info[1])
self._rankImg:setVisible(false)
self._rankLabel:setVisible(true)
end
self._playerName:setText("["..info[5].."]"..info[3])
if(info[4] > 0)then
self._vipLevel:setStringValue(info[4])
self._vipImg:setVisible(true)
self._vipLevel:setVisible(true)
end
self._fightLabel:setText(info[6])
self._meiliLabel:setText(info[7])
if(info[5] == globalData.selfPlayerInfo.serverId)then
globalManager.sourceCacheManager:setImage(self._yanhuaImg,self._yanhuaImgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self._userId = info[2]
self._yanhuaImg:setVisible(true)
self._yanhuaImg:setTouchEnabled(true)
self._playerInfoImg:setVisible(true)
self._playerInfoImg:setTouchEnabled(true)
else
self._yanhuaImg:setVisible(false)
self._yanhuaImg:setTouchEnabled(false)
end
end
end
function YanhuaRankItemView:dispose()
globalManager.sourceCacheManager:removeQuote(self._yanhuaImgPath)
self._yanhuaImgPath = nil
self.rankLabel = nil
self._fightLabel = nil
self._meiliLabel = nil
self._vipLevel = nil
self._playerName = nil
self._rankImg = nil
self._playerInfoImg = nil
self._yanhuaImg = nil
self._lineImg = nil
globalManager.ccCreator:release(self)
end
YanhuaRankPanel = class("YanhuaRankPanel",function(self,controller)
local temp = globalManager.ccCreator:newJsonWidget("yanhuaRankPanel")
temp._controller = controller
temp._titleBg = temp:getChildByName("titleBg")
temp._titleBgPath = globalManager.pathManager:getUISource("outPic/yanhuaRankTitle.png")
temp._myRankLabel = temp:getChildByName("myRankLabel")
temp._meiliLabel = temp:getChildByName("meiliLabel")
temp._awardLink = temp:getChildByName("showAwardLinkImg")
temp._explainLabel = temp:getChildByName("explainLabel")
local timeLabel = temp:getChildByName("timeLabel")
temp._timeLabel = CountDownLabel:new(timeLabel,0,32,globalData.allStaticTypes.colorType.ITEMCOLOR6,30)
temp._closebtn = temp:getChildByName("closeBtn_Copy1")
temp._yanhuaImg = temp:getChildByName("yanhuaImg")
temp._yanhuaImgPath = globalManager.pathManager:getUISource("outPic/ui_yanhuaIcon.png")
temp._pageLayer = temp:getChildByName("pageList")
temp._pageList = {}
temp._itemView = temp:getChildByName("itemView")
temp._itemView:setItemsMargin(0)
temp._itemlist = {}
temp._gridList = {}
for i = 1,3,1 do
local cell = temp:getChildByName("cell"..i)
local grid = BaseGrid:new()
cell:addChild(grid)
table.insert(temp._gridList,grid)
end
temp.currentPage = 0
temp.totalPage = 0
temp._tipsLabel = globalManager.ccCreator:newLabel()
temp._tipsLabel:setColor(globalData.allStaticTypes.colorType.TRUE_COLOR)
temp._tipsLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("YanhuaRankPanel.text1"))
temp._tipsLabel:setFontSize(26)
temp._tipsLabel:setPosition(globalManager.ccCreator:newPoint(330,270))
temp:addChild(temp._tipsLabel,6)
temp._tipsLabel:setVisible(false)
temp:getChildByName("content1"):setText(globalManager.yuyanbaoManager:getYuyanbao("FlowerRankPanel.text2"))
temp:getChildByName("content2"):setText(globalManager.yuyanbaoManager:getYuyanbao("YanhuaRankPanel.text2"))
temp:getChildByName("content3"):setText(globalManager.yuyanbaoManager:getYuyanbao("YanhuaRankPanel.text3"))
temp:getChildByName("content4"):setText(globalManager.yuyanbaoManager:getYuyanbao("FlowerRankPanel.text5"))
temp:getChildByName("content5"):setText(globalManager.yuyanbaoManager:getYuyanbao("FlowerRankPanel.text6"))
temp:getChildByName("content6"):setText(globalManager.yuyanbaoManager:getYuyanbao("FlowerRankPanel.text7"))
temp:getChildByName("content7"):setText(globalManager.yuyanbaoManager:getYuyanbao("FlowerRankPanel.text8"))
temp:getChildByName("content8"):setText(globalManager.yuyanbaoManager:getYuyanbao("YanhuaRankPanel.text4"))
temp:getChildByName("Label_359589_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("FlowerRankPanel.text10"))
temp:getChildByName("Label_777297"):setText(globalManager.yuyanbaoManager:getYuyanbao("FlowerRankPanel.text11"))
temp._curRenqi = 0
temp._totalRenqi = 0
return temp
end)
function YanhuaRankPanel:ctor()
globalManager.sourceCacheManager:setImage(self._titleBg,self._titleBgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
globalManager.sourceCacheManager:setImage(self._yanhuaImg,self._yanhuaImgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self:initEvent()
self:initView()
self:setPage(1)
end
function YanhuaRankPanel:initEvent()
local closeClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self._controller:hideYanhuaRankPanel()
end
end
local updateItemViewTouchHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED or eventType == TOUCH_EVENT_CANCELED) then
local offsetX = sender:getTouchEndPos().x - sender:getTouchStartPos().x
if(offsetX > 50) then
if(self.currentPage > 1)then
self:setPage(self.currentPage - 1)
end
elseif(offsetX < -50) then
if(self.currentPage < self.totalPage)then
self:setPage(self.currentPage + 1)
end
end
end
end
local showSendYanhuaClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_showSendYanhuaPanel,globalManager.gameDispatcher))
end
end
local showAwardClickHandler = function (sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self._controller:showYanhuaTankGiftPanel()
end
end
self._yanhuaImg:addTouchEventListener(showSendYanhuaClickHandler)
self._awardLink:addTouchEventListener(showAwardClickHandler)
self._closebtn:addTouchEventListener(closeClickHandler)
self._itemView:addTouchEventListener(updateItemViewTouchHandler)
globalData.crossRechargeRankInfo:addEventListener(globalData.globalEventType.yanhuaRank_infoUpdate,self.updateView,self)
globalData.selfPlayerInfo:addEventListener(globalData.globalEventType.playerInfo_renqiUpdate,self.updateRenqi,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_reConnect,self.close,self)
end
function YanhuaRankPanel:removeEvent()
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.scene_reConnect,self.close,self)
globalData.crossRechargeRankInfo:removeEventListener(globalData.globalEventType.yanhuaRank_infoUpdate,self.updateView,self)
globalData.selfPlayerInfo:removeEventListener(globalData.globalEventType.playerInfo_renqiUpdate,self.updateRenqi,self)
end
function YanhuaRankPanel:close()
self._controller:hideYanhuaRankPanel()
end
function YanhuaRankPanel:initView()
local countTime   = 23 * 3600 + 50 * 60
local systemTime  = globalData.systemDateInfo:getZeroPassTime()
local remainTime  = math.floor(countTime - systemTime)
if(remainTime <= 0)then
self._timeLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel77"))
self._timeLabel:setColor(globalData.allStaticTypes.colorType.FALSE_COLOR)
else
self._timeLabel:start(remainTime,self.endTime,self)
end
for i = 1,6,1 do
local item = YanhuaRankItemView:new()
table.insert(self._itemlist,item)
item:setData(nil)
self._itemView:pushBackCustomItem(item)
end
local awardList ={}
local info = globalData.allTemplates.crossRechargeGiftTemplateList.yanhuaList[1]
for i=1,#info.exAward,1 do
if(info.exAward[i][3] == nil or info.exAward[i][3] == globalData.allStaticTypes.careerType:getCareer(globalData.selfPlayerInfo.career) or info.exAward[i][3] == 0)then
table.insert(awardList,info.exAward[i])
end
end
for i=#info.baseAward,1,-1 do
if(info.baseAward[i][3] == nil or info.baseAward[i][3] == globalData.allStaticTypes.careerType:getCareer(globalData.selfPlayerInfo.career) or info.baseAward[i][3] == 0)then
table.insert(awardList,info.baseAward[i])
end
end
for i = 1,3,1 do
self._gridList[i]:setGoodsTempInfo(globalData.allTemplates.goodsTemplateList:getTemplate(awardList[i][1]))
self._gridList[i]:setCount(awardList[i][2])
end
self._explainLabel:setText(globalManager.descriptManager:getDescript("10053"))
end
function YanhuaRankPanel:endTime()
self._timeLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel77"))
self._timeLabel:setColor(globalData.allStaticTypes.colorType.FALSE_COLOR)
end
function YanhuaRankPanel:updateRenqi()
self._curRenqi = globalData.selfPlayerInfo.renqi - self._totalRenqi + self._curRenqi
self._totalRenqi = globalData.selfPlayerInfo.renqi
self._meiliLabel:setText(self._curRenqi)
end
function YanhuaRankPanel:updateView()
self._curRenqi = globalData.crossRechargeRankInfo.selfValue
self._totalRenqi = globalData.selfPlayerInfo.renqi
local myRank = globalData.crossRechargeRankInfo.MyRank
if(myRank > globalData.allTemplates.crossRechargeGiftTemplateList.MAX_FLOWER_RANK or myRank == 0)then
self._myRankLabel:setText(globalData.allTemplates.crossRechargeGiftTemplateList.MAX_FLOWER_RANK.."+")
else
self._myRankLabel:setText(myRank)
end
self._meiliLabel:setText(globalData.crossRechargeRankInfo.selfValue)
if(globalData.crossRechargeRankInfo.yanhuaRankInfoList[1] == nil)then
self._tipsLabel:setVisible(true)
else
self._tipsLabel:setVisible(false)
end
for i = 1,6,1 do
self._itemlist[i]:setData(globalData.crossRechargeRankInfo.yanhuaRankInfoList[(self.currentPage - 1) * 6 + i])
end
self:resetPageIcon()
end
function YanhuaRankPanel:setPage(page)
if(self.currentPage == page) then return end
if(self.currentPage ~= 0) then
self._pageList[self.currentPage]:loadTexture("btn/ui_radioBtn1_1.png", 1)
end
self.currentPage = page
if(self._pageList[self.currentPage] ~= nil) then
self._pageList[self.currentPage]:loadTexture("btn/ui_radioBtn1_2.png", 1)
end
if(globalData.crossRechargeRankInfo.yanhuaRankInfoList[self.currentPage * 6 - 5] == nil)then
self._controller.sceneModule.message:sendGetRankInfo(4,self.currentPage,6)
else
for i = 1,6,1 do
self._itemlist[i]:setData(globalData.crossRechargeRankInfo.yanhuaRankInfoList[(self.currentPage - 1) * 6 + i])
end
end
end
function YanhuaRankPanel:resetPageIcon()
if(#self._pageList ~= 0) then return end
self.totalPage = globalData.crossRechargeRankInfo.totalPage
if(self.totalPage == nil) then self.totalPage = 0 end
if(self.totalPage == 0) then return end
for i = 1,self.totalPage,1 do
local pageIcon = globalManager.ccCreator:newImageView()
if(self.currentPage == i) then
pageIcon:loadTexture("btn/ui_radioBtn1_2.png", 1)
else
pageIcon:loadTexture("btn/ui_radioBtn1_1.png", 1)
end
pageIcon:setPosition(120 - (self.totalPage - 1)*20 + (i - 1)*40,7)
table.insert(self._pageList,pageIcon)
self._pageLayer:addChild(pageIcon)
end
end
function YanhuaRankPanel:dispose()
self:removeEvent()
self._controller = nil
self._titleBg = nil
globalManager.sourceCacheManager:removeQuote(self._titleBgPath)
self._titleBgPath = nil
self._yanhuaImg = nil
globalManager.sourceCacheManager:removeQuote(self._yanhuaImgPath)
self._yanhuaImgPath = nil
self._myRankLabel = nil
self._meiliLabel = nil
self._awardLink = nil
self._explainLabel = nil
globalManager.ccCreator:release(self._tipsLabel)
self._tipsLabel = nil
self._curRenqi = nil
self._totalRenqi = nil
if(self._timeLabel ~= nil)then
self._timeLabel:dispose()
self._timeLabel = nil
end
self._closebtn = nil
if(self._pageList ~= nil)then
for __,item in pairs(self._pageList) do
globalManager.ccCreator:release(item)
end
self._pageList = nil
end
self._pageLayer = nil
self._itemView = nil
if(self._gridList ~= nil)then
for __,grid in pairs(self._gridList) do
grid:dispose()
end
self._gridList = nil
end
if(self._itemlist ~= nil)then
for __,item in pairs(self._itemlist) do
item:dispose()
end
self._itemlist = nil
end
globalData.crossRechargeRankInfo:clearAllDatas()
globalManager.ccCreator:release(self)
end
YanhuaReceivePanel = class("YanhuaReceivePanel",function(self,controller,data)
local temp = globalManager.ccCreator:newJsonWidget("MarryReceivedFlowerPanel")
temp._controller = controller
temp._bg = temp:getChildByName("bg")
temp._bgPath = globalManager.pathManager:getUISource("outPic/yanhuaSendBg.png")
temp._closeBtn = temp:getChildByName("closeBtn")
temp._chatBtn = temp:getChildByName("chatBtn")
temp._chatBtn:setColor(cc.c3b(250,89,97))
temp._huizengBtn = temp:getChildByName("huiKuiBtn")
temp._huizengBtn:setColor(cc.c3b(250,89,97))
temp._textLabel = temp:getChildByName("textLabel")
temp._richLabel = nil
temp._chatBtn:getChildByName("LabelBMFont_735316_Copy1"):setText(globalManager.yuyanbaoManager:getYuyanbao("ReceiveFlowerPanel.text1"))
temp._huizengBtn:getChildByName("LabelBMFont_735316_Copy1"):setText(globalManager.yuyanbaoManager:getYuyanbao("ReceiveFlowerPanel.text2"))
temp._userId = data[1]
temp._yanhuaType = data[2]
temp._userName = data[3]
return temp
end)
function YanhuaReceivePanel:ctor()
self:initEvent()
self:initView()
end
function YanhuaReceivePanel:initEvent()
local closeBtnClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self._controller:hideYanhuReveivePanel()
end
end
local huizengBtnClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
local evt = {}
evt.data = self._userId
self._controller:showSendYanhuaRankPanel(evt)
self._controller:hideYanhuReveivePanel()
end
end
local chatBtnClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
local friend = globalData.friendList:getPlayer(self._userId)
if(friend == nil or friend.online ~= 1)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("MarryApplyPanel.text4"))
else
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab3)
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.friend_select,globalManager.gameDispatcher,self._userId))
self._controller:hideSendYanhuaRankPanel()
self._controller:hideYanhuReveivePanel()
end
end
end
self._closeBtn:addTouchEventListener(closeBtnClickHandler)
self._huizengBtn:addTouchEventListener(huizengBtnClickHandler)
self._chatBtn:addTouchEventListener(chatBtnClickHandler)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_reConnect,self.close,self)
end
function YanhuaReceivePanel:removeEvent()
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.scene_reConnect,self.close,self)
end
function YanhuaReceivePanel:close()
self._controller:hideYanhuReveivePanel()
end
function YanhuaReceivePanel:initView()
globalManager.sourceCacheManager:setImage(self._bg,self._bgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
local itemInfo = globalData.allTemplates.goodsTemplateList:getTemplate(self._yanhuaType)
local userName = "["..globalData.allStaticTypes.colorType.ITEMCOLOR2_STR.."]"..self._userName.."[-]"
local yanhuaName = "["..globalData.allStaticTypes.colorType:getColorStrByQuality(itemInfo.quality).."]"..itemInfo.name.."[-]"
local posX,posY = self._textLabel:getPosition()
local  text = userName..string.format(globalManager.yuyanbaoManager:getYuyanbao("ReceiveFlowerPanel.text3"),yanhuaName)
self._richLabel = globalManager.ccCreator:newRichLabel2(text,300)
self._richLabel:setPosition(globalManager.ccCreator:newPoint(posX,posY - 40))
self:addChild(self._richLabel,7)
end
function YanhuaReceivePanel:dispose()
self:removeEvent()
globalManager.sourceCacheManager:removeQuote(self._bgPath)
self._bgPath = nil
self._controller = nil
self._bg = nil
self._closeBtn = nil
self._chatBtn = nil
self._huizengBtn = nil
self._textLabel = nil
self._userId = nil
self._userName = nil
if(self._richLabel ~= nil) then
self._richLabel:dispose()
self._richLabel = nil
end
globalManager.ccCreator:release(self)
end
YanhuaSendPanel = class("YanhuaSendPanel",function(self,controller,userId)
local temp = globalManager.ccCreator:newJsonWidget("yanhuaSendPanel")
temp._controller = controller
temp._bg = temp:getChildByName("bg")
temp._bgPath = globalManager.pathManager:getUISource("outPic/yanhuaSendBg.png")
temp._closeBtn = temp:getChildByName("closeBtn")
temp._sendBtn = temp:getChildByName("goBtn")
temp._nameLabel = temp:getChildByName("nameLabel")
temp._nameLabel:setColor(globalData.allStaticTypes.colorType.ITEMCOLOR2)
temp._dropDownLabel = temp:getChildByName("dropDownImg")
temp._price1Label = temp:getChildByName("price1")
temp._price2Label = temp:getChildByName("price2")
temp._price3Label = temp:getChildByName("price3")
temp._typeIcon1 = temp:getChildByName("typeIcon1")
temp._typeIcon2 = temp:getChildByName("typeIcon2")
temp._typeIcon3 = temp:getChildByName("typeIcon3")
temp._selectIcon = temp:getChildByName("selectIcon")
temp._discountIcon = temp:getChildByName("discountIcon")
temp._discountIcon:setVisible(false)
temp._sendBtn:getChildByName("LabelBMFont_735316_Copy1"):setText(globalManager.yuyanbaoManager:getYuyanbao("SendFlowerPanel.text1"))
temp._cellList = {}
for i = 1,3,1 do
local cellBg = temp:getChildByName("cell"..i)
local cell = BaseGrid:new()
cell:setPosition(globalManager.ccCreator:newPoint(2,-6))
cellBg:addChild(cell)
table.insert(temp._cellList,cell)
end
temp._onlineFriendsList = {}
temp._userId = userId
temp._flowerType = 0
temp._price = {}
temp._payType = {}
temp._yanhuaList = {160599,160600,160601}
temp.flowerInfo1 = nil
temp.flowerInfo2 = nil
temp.flowerInfo3 = nil
return temp
end)
function YanhuaSendPanel:ctor()
self:initEvent()
self:initView()
end
function YanhuaSendPanel:initEvent()
local closeBtnClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self._controller:hideSendYanhuaRankPanel()
end
end
local payHandler = function (sender,eventType)
self._controller.sceneModule.message:sendYanhua(self._userId,self._flowerType)
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("SendYanhuaPanel.text1"))
end
local sendBtnClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(self._userId == nil)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("OathApplyPanel.text6"))
return
end
local friend = globalData.friendList:getPlayer(self._userId)
if(friend == nil or friend.online ~= 1)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("MarryApplyPanel.text4"))
else
local index = globalManager.commonUtils:getIndexOfTable(self._yanhuaList,self._flowerType)
if(index < 0) then return end
if(self._payType[index] == 1)then  --钻石
-- if(index == 3 and globalData.consumenGiftInfo.flowerIsShow)then
-- 	if(globalData.selfPlayerInfo.moneyInfo.gold >= 999)then
-- 		local content = string.format(globalManager.yuyanbaoManager:getYuyanbao("SendYanhuaPanel.text2"),999)
-- 		Alert:new():show(2,content,globalManager.noAlertUtils.SEND_YANHUA,0,self,payHandler)
-- 	else
-- 		globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel11"))
-- 	end
-- else
if(globalData.selfPlayerInfo.moneyInfo.gold >= self._price[index])then
local content = string.format(globalManager.yuyanbaoManager:getYuyanbao("SendYanhuaPanel.text2"),self._price[index])
Alert:new():show(2,content,globalManager.noAlertUtils.SEND_YANHUA,0,self,payHandler)
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel11"))
end
elseif(self._payType[index] == 2) then  --绑定钻石
if(globalData.selfPlayerInfo.moneyInfo.bindGold >= self._price[index])then
local content = string.format(globalManager.yuyanbaoManager:getYuyanbao("SendYanhuaPanel.text3"),self._price[index])
Alert:new():show(2,content,globalManager.noAlertUtils.SEND_YANHUA,0,self,payHandler)
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel30"))
end
end
end
end
end
local function listItemTouchHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(#self._onlineFriendsList > 0) then
local comboBox = MarryFriendView:new(self,self.comboBoxSelectHandler)
comboBox:setFriendList(self._onlineFriendsList)
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("ChaosPanel.text11"))
end
end
end
self._dropDownLabel:addTouchEventListener(listItemTouchHandler)
self._closeBtn:addTouchEventListener(closeBtnClickHandler)
self._sendBtn:addTouchEventListener(sendBtnClickHandler)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_reConnect,self.close,self)
end
function YanhuaSendPanel:removeEvent()
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.scene_reConnect,self.close,self)
end
function YanhuaSendPanel:close()
self._controller:hideSendYanhuaRankPanel()
end
function YanhuaSendPanel:initView()
globalManager.sourceCacheManager:setImage(self._bg,self._bgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
if(self._userId ~= nil)then
local friend = globalData.friendList:getPlayer(self._userId)
if(friend ~= nil) then
self._nameLabel:setText(friend.info.nick)
else
self._userId = nil
self._nameLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("OathApplyPanel.text6"))
end
-- elseif(globalData.marryInfo.marryId > 0)then
-- 	self._userId = globalData.friendList:getPlayer(globalData.marryInfo.marryId).info.userId
-- 	local marryName = globalData.marryInfo.marryName
-- 	self._nameLabel:setText(marryName)
else
self._nameLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("OathApplyPanel.text6"))
end
self._onlineFriendsList = globalData.friendList:getOnlineList()
self.flowerInfo1 = globalData.allTemplates.shopTemplateList:getTemplateByGoodsTemplateId(1001,self._yanhuaList[1])
self.flowerInfo2 = globalData.allTemplates.shopTemplateList:getTemplateByGoodsTemplateId(1001,self._yanhuaList[2])
self.flowerInfo3 = globalData.allTemplates.shopTemplateList:getTemplateByGoodsTemplateId(1001,self._yanhuaList[3])
self._cellList[1]:setGoodsTempInfo(self.flowerInfo1:getGoodsTemplate())
self._cellList[1]:setClickHandler(self,self.select1Handler)
self._cellList[2]:setGoodsTempInfo(self.flowerInfo2:getGoodsTemplate())
self._cellList[2]:setClickHandler(self,self.select2Handler)
self._cellList[3]:setGoodsTempInfo(self.flowerInfo3:getGoodsTemplate())
self._cellList[3]:setClickHandler(self,self.select3Handler)
self._price[1] = self.flowerInfo1.price
self._price1Label:setText(self._price[1])
self._price[2] = self.flowerInfo2.price
self._price2Label:setText(self._price[2])
self._price[3] = self.flowerInfo3.price
self._price3Label:setText(self._price[3])
self._payType[1] = self.flowerInfo1.payType
if(self.flowerInfo1.payType == 1) then
self._typeIcon1:loadTexture("icon/ui_moneyIcon1.png",1)
else
self._typeIcon1:loadTexture("icon/ui_bindGoldIcon.png",1)
end
self._payType[2] = self.flowerInfo2.payType
if(self.flowerInfo2.payType == 1) then
self._typeIcon2:loadTexture("icon/ui_moneyIcon1.png",1)
else
self._typeIcon2:loadTexture("icon/ui_bindGoldIcon.png",1)
end
self._payType[3] = self.flowerInfo3.payType
if(self.flowerInfo3.payType == 1) then
self._typeIcon3:loadTexture("icon/ui_moneyIcon1.png",1)
else
self._typeIcon3:loadTexture("icon/ui_bindGoldIcon.png",1)
end
-- if(globalData.consumenGiftInfo.flowerIsShow)then
-- 	self._discountIcon:setVisible(true)
-- 	self._price3Label:setText("999")
-- else
-- 	self._discountIcon:setVisible(false)
-- end
self:selectFlower(2)
end
function YanhuaSendPanel:comboBoxSelectHandler(index)
if(self._onlineFriendsList[index] ~= nil)then
local name = self._onlineFriendsList[index].info.nick
self._nameLabel:setText(name)
self._userId = self._onlineFriendsList[index].info.userId
end
end
function YanhuaSendPanel:select1Handler()
self:selectFlower(1)
globalManager.tipsManager:showGoodsTemplate(self.flowerInfo1:getGoodsTemplate())
end
function YanhuaSendPanel:select2Handler()
self:selectFlower(2)
globalManager.tipsManager:showGoodsTemplate(self.flowerInfo2:getGoodsTemplate())
end
function YanhuaSendPanel:select3Handler()
self:selectFlower(3)
globalManager.tipsManager:showGoodsTemplate(self.flowerInfo3:getGoodsTemplate())
end
function YanhuaSendPanel:selectFlower(index)
if(self._flowerType == self._yanhuaList[index]) then return end
self._flowerType = self._yanhuaList[index]
local cellBg = self:getChildByName("cell"..index)
local posX,posY = cellBg:getPosition()
self._selectIcon:setPosition(globalManager.ccCreator:newPoint(posX + 40 ,posY - 40))
end
function YanhuaSendPanel:dispose()
self:removeEvent()
globalManager.sourceCacheManager:removeQuote(self._bgPath)
self._bgPath = nil
self._controller = nil
self._bg = nil
self._closeBtn = nil
self._sendBtn = nil
self._nameLabel = nil
self._dropDownLabel = nil
self._price1Label = nil
self._price2Label = nil
self._price3Label = nil
self._typeIcon1 = nil
self._typeIcon2 = nil
self._typeIcon3 = nil
self._selectIcon = nil
self._discountIcon = nil
for __,cell in pairs(self._cellList) do
cell:dispose()
end
self._cellList = nil
self._onlineFriendsList = nil
self._price = nil
self._payType = nil
self._yanhuaList = nil
self.flowerInfo1 = nil
self.flowerInfo2 = nil
self.flowerInfo3 = nil
globalManager.ccCreator:release(self)
end
RedBagPanel = class("RedBagPanel",function(self,controller)
local sr = globalManager.ccCreator:newJsonWidget("HongBaoSendView")
sr._controller = controller
sr._payList = {200,500,1000}
sr._index = 0
sr.sendWorldBtn  = sr:getChildByName("sendWorldBtn")
sr.sendLeagueBtn  = sr:getChildByName("sendLeagueBtn")
sr.closeBtn  = sr:getChildByName("closeBtn")--原地
sr.hbBg1   = sr:getChildByName("hbBg1")
sr.hbBg2   = sr:getChildByName("hbBg2")
sr.hbBg3   = sr:getChildByName("hbBg3")
sr.priceLabel1 = sr:getChildByName("priceLabel1")
sr.priceLabel2 = sr:getChildByName("priceLabel2")
sr.priceLabel3 = sr:getChildByName("priceLabel3")
sr.hbBtn1 = sr:getChildByName("hbBtn1")
sr.hbBtn2 = sr:getChildByName("hbBtn2")
sr.hbBtn3 = sr:getChildByName("hbBtn3")
sr.selectIcon = globalManager.ccCreator:newImageView("flag/ui_flag.png",1)
sr:addChild(sr.selectIcon,9)
sr:getChildByName("titleLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("OpenView19.text1"))
sr:getChildByName("textLabel1"):setText(globalManager.yuyanbaoManager:getYuyanbao("redBagPanel.text2"))
sr:getChildByName("textLabel2"):setText(globalManager.yuyanbaoManager:getYuyanbao("redBagPanel.text3"))
sr.sendWorldBtn:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("redBagPanel.text4"))
sr.sendLeagueBtn:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("redBagPanel.text5"))
sr.path1 = globalManager.pathManager:getUISource("outPic/hongBao1.png")
sr.path2 = globalManager.pathManager:getUISource("outPic/hongBao2.png")
sr.path3 = globalManager.pathManager:getUISource("outPic/hongBao3.png")
return sr
end)
function RedBagPanel:ctor()
self:initView()
self:initEvent()
end
function RedBagPanel:initView()
globalManager.sourceCacheManager:setImage(self.hbBg1,self.path1,globalData.allStaticTypes.sourceStaticType.clearFiveM)
globalManager.sourceCacheManager:setImage(self.hbBg2,self.path2,globalData.allStaticTypes.sourceStaticType.clearFiveM)
globalManager.sourceCacheManager:setImage(self.hbBg3,self.path3,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self.priceLabel1:setText(self._payList[1]..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel58"))
self.priceLabel2:setText(self._payList[2]..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel58"))
self.priceLabel3:setText(self._payList[3]..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel58"))
self:setIndex(1)
end
function RedBagPanel:initEvent()
local sendWorldHandler = function()
--发送世界
globalData.messageAdder:sendReadPacketInfo(2,self._index)
self:hidePanel()
end
local sendLeagueHandler = function()
--发送帮派
globalData.messageAdder:sendReadPacketInfo(1,self._index)
self:hidePanel()
end
local sendWorldBtnClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(globalData.selfPlayerInfo.moneyInfo.gold >= self._payList[self._index])then
Alert:new():show(2,string.format(globalManager.yuyanbaoManager:getYuyanbao("redBagPanel.text6"),self._payList[self._index],globalManager.yuyanbaoManager:getYuyanbao("redBagPanel.text7"),self._payList[self._index]),globalManager.noAlertUtils.RED_BAG,0,self,sendWorldHandler)
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("CombinedActive2.text3"))
end
end
end
local sendLeagueBtnClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(globalData.selfPlayerInfo.uniteId > 0)then
if(globalData.selfPlayerInfo.moneyInfo.gold >= self._payList[self._index])then
Alert:new():show(2,string.format(globalManager.yuyanbaoManager:getYuyanbao("redBagPanel.text6"),self._payList[self._index],globalManager.yuyanbaoManager:getYuyanbao("redBagPanel.text8"),self._payList[self._index]/2),globalManager.noAlertUtils.RED_BAG,0,self,sendLeagueHandler)
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("CombinedActive2.text3"))
end
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("MatterPanel.text13"))
end
end
end
local hbBtn1ClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
self:setIndex(1)
end
end
local hbBtn2ClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
self:setIndex(2)
end
end
local hbBtn3ClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
self:setIndex(3)
end
end
local closeClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self:hidePanel()
end
end
self.sendWorldBtn:addTouchEventListener(sendWorldBtnClickHandler)
self.sendLeagueBtn:addTouchEventListener(sendLeagueBtnClickHandler)
self.hbBtn1:setTouchEnabled(true)
self.hbBtn2:setTouchEnabled(true)
self.hbBtn3:setTouchEnabled(true)
self.hbBtn1:addTouchEventListener(hbBtn1ClickHandler)
self.hbBtn2:addTouchEventListener(hbBtn2ClickHandler)
self.hbBtn3:addTouchEventListener(hbBtn3ClickHandler)
self.closeBtn:addTouchEventListener(closeClickHandler)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_closeOtherPanel,self.hidePanel,self)
end
function RedBagPanel:removeEvent()
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.scene_closeOtherPanel,self.hidePanel,self)
end
function RedBagPanel:setIndex(index)
if(self._index == index) then return end
self._index = index
self.selectIcon:setPosition(index * 225 - 75,275)
end
function RedBagPanel:hidePanel()
self._controller:hideRedBagPanel()
end
function RedBagPanel:hideFormClickContainer()
end
function RedBagPanel:dispose()
self:removeEvent()
if(self.selectIcon ~= nil) then
globalManager.ccCreator:release(self.selectIcon)
self.selectIcon = nil
end
self._payList = nil
self._controller = nil
self.sendWorldBtn = nil
self.sendLeagueBtn = nil
self.closeBtn = nil
self.hbBg1 = nil
self.hbBg2 = nil
self.hbBg3 = nil
self.priceLabel1 = nil
self.priceLabel2 = nil
self.priceLabel3 = nil
self.hbBtn1 = nil
self.hbBtn2 = nil
self.hbBtn3 = nil
globalManager.sourceCacheManager:removeQuote(self.path1)
self.path1 = nil
globalManager.sourceCacheManager:removeQuote(self.path2)
self.path2 = nil
globalManager.sourceCacheManager:removeQuote(self.path3)
self.path3 = nil
globalManager.ccCreator:release(self)
end
RedRainView = class("RedRainView", function(self,redPakectInfo)
local temp = globalManager.ccCreator:newWidget()
--红包数量
temp.REDCOUNT = 3
temp.redList = {}
temp.redPakectInfo = redPakectInfo
temp.path = globalManager.pathManager:getUISource("outPic/hongBao" .. redPakectInfo["stageType"] .. ".png")
temp.targetPosYList = {}
temp.count = 0
return temp
end)
function RedRainView:ctor()
local redClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
local index = globalManager.commonUtils:getIndexOfTable(self.redList,sender)
if(index <= 0) then return end
local effect = globalManager.effectCreator:create(1105)
effect:move(sender:getPositionX(),globalData.GAME_HEIGHT-sender:getPositionY() + 20)
globalManager.containerManager.tipContainer:addChild(effect,9)
effect:play()
globalManager.ccCreator:release(self.redList[index])
table.remove(self.targetPosYList,index)
table.remove(self.redList,index)
--发送领取红包协议
globalData.messageAdder:sendReadPacketGet(self.redPakectInfo["userId"],self.redPakectInfo["clubId"])
if(#self.redList < 1) then
self:dispose()
end
end
end
for i = 1,self.REDCOUNT,1 do
local red = globalManager.ccCreator:newImageView()
globalManager.sourceCacheManager:setImage(red,self.path,globalData.allStaticTypes.sourceStaticType.clearFiveM)
table.insert(self.redList,red)
table.insert(self.targetPosYList,math.random(100,globalData.GAME_HEIGHT - 100))
red:setPosition(globalManager.ccCreator:newPoint(math.random(100,globalData.GAME_WIDTH - 100),math.random(-100,50)))
self:addChild(red)
red:setTouchEnabled(true)
red:addTouchEventListener(redClickHandler)
end
self.count = 0
globalManager.tickManager:addTick(self.tick,self)
globalManager.containerManager.tipContainer:addChild(self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_reConnect,self.dispose,self)
end
function RedRainView:tick(count,delta)
local len = #self.redList
local count = 0
for i = 1,len,1 do
local posY = self.redList[i]:getPositionY()
if(posY < self.targetPosYList[i]) then
self.redList[i]:setPositionY(posY + 3)
else
count = count + 1
end
end
self.count = self.count + 1
if(self.count > 11000) then
self:dispose()
end
end
function RedRainView:dispose()
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.scene_reConnect,self.dispose,self)
globalManager.tickManager:removeTick(self.tick,self)
globalManager.sourceCacheManager:removeQuote(self.path)
self.path = nil
for __,red in pairs(self.redList) do
globalManager.ccCreator:release(red)
end
self.redList = nil
self.redPakectInfo = nil
self.targetPosYList = nil
globalManager.ccCreator:release(self)
end
VipDesView = class("VipDesView", function(self)
local temp = globalManager.ccCreator:newJsonWidget("VipDesView")
temp.iconImg = temp:getChildByName("iconImg")
temp.iconPath = nil
temp.propertyLabel = temp:getChildByName("propertyLabel")
temp.valueLabel = temp:getChildByName("valueLabel")
temp.upIcon = temp:getChildByName("upIcon")
temp.line = temp:getChildByName("line")
temp.upIcon:setVisible(false)
temp.describeList = {
globalManager.yuyanbaoManager:getYuyanbao("VipDesView.text1"),
globalManager.yuyanbaoManager:getYuyanbao("VipDesView.text2"),
globalManager.yuyanbaoManager:getYuyanbao("VipDesView.text3"),
globalManager.yuyanbaoManager:getYuyanbao("VipDesView.text4"),
globalManager.yuyanbaoManager:getYuyanbao("VipDesView.text5"),
globalManager.yuyanbaoManager:getYuyanbao("VipDesView.text6"),
globalManager.yuyanbaoManager:getYuyanbao("VipDesView.text7"),
globalManager.yuyanbaoManager:getYuyanbao("VipDesView.text8")
}
temp.iconPathList = {
"outPic/vipItemIcon1.png",
"outPic/vipItemIcon2.png",
"outPic/vipItemIcon3.png",
"outPic/vipItemIcon4.png",
"outPic/vipItemIcon5.png",
"outPic/vipItemIcon6.png",
"outPic/vipItemIcon7.png",
"outPic/vipItemIcon8.png",
}
return temp
end)
function VipDesView:ctor()
end
function VipDesView:setInfo(index,value)
self.propertyLabel:setText(self.describeList[index])
self.iconPath = globalManager.pathManager:getUISource(self.iconPathList[index])
globalManager.sourceCacheManager:setImage(self.iconImg,self.iconPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
if(value > 0)then
if(index == 1 or index == 2 or index == 3)then
self.valueLabel:setText("+"..value .."%")
else
self.valueLabel:setText("+"..value)
end
self.valueLabel:setColor(globalData.allStaticTypes.colorType.TRUE_COLOR)
globalManager.commonUtils:setImgColorNormal(self.iconImg)
else
self.valueLabel:setText("+0")
self.valueLabel:setColor(globalData.allStaticTypes.colorType.FALSE_COLOR)
globalManager.commonUtils:setImgColorGrey(self.iconImg)
end
end
function VipDesView:showUpIcon(type)
if(type == true)then
self.upIcon:setVisible(true)
else
self.upIcon:setVisible(false)
end
end
function VipDesView:dispose()
self.iconImg = nil
if(self.iconPath ~= nil)then
globalManager.sourceCacheManager:removeQuote(self.iconPath)
end
self.iconPath = nil
self.describeList = nil
self.iconPathList = nil
self.propertyLabel = nil
self.valueLabel = nil
self.upIcon = nil
self.line = nil
globalManager.ccCreator:release(self)
end
VipIconView = class("VipIconView", function(self,isShow)
local temp = globalManager.ccCreator:newJsonWidget("VipIconView")
temp:setTouchEnabled(true)
temp._vipIconImg = temp:getChildByName("vipIconImg")
temp.clickBtn = temp:getChildByName("clickImg")
temp._vipLevelLabel = temp:getChildByName("vipLevelLabel")
temp._vpIcon = temp:getChildByName("ImageView_125669")
temp._toActivateImg = temp:getChildByName("toActivateImg")
temp._toActivateImg:setVisible(false)
temp._offsetY = 0
temp._flag    = 1
temp.tickCount    = 0
temp.isShow = isShow
return temp
end)
function VipIconView:ctor()
self:initEvent()
end
function VipIconView:initEvent()
globalData.selfPlayerInfo.vipInfo:addEventListener(globalData.globalEventType.vip_infoUpdate,self.updateIcon,self)
end
function VipIconView:removeEvent()
globalData.selfPlayerInfo.vipInfo:removeEventListener(globalData.globalEventType.vip_infoUpdate,self.updateIcon,self)
end
function VipIconView:tick(delta,tickCount)
self.tickCount = self.tickCount + 1
if(self.tickCount > 4)then
self.tickCount = 0
self._offsetY = self._offsetY + self._flag
if(self._offsetY > 5 or self._offsetY < 0) then
self._flag = self._flag * -1
end
self._toActivateImg:setPositionY(self._offsetY)
end
end
function VipIconView:setLevel(level)
self._vipLevelLabel:setStringValue(tostring(level))
self._vipLevelLabel:setVisible(true)
self._vpIcon:setVisible(true)
-- if(level <= 0) then
--    	globalManager.commonUtils:setImgColorGrey(self._vipIconImg)
--    else
--    	globalManager.commonUtils:setImgColorNormal(self._vipIconImg)
--    end
--[[
徽章颜色	VIP等级
灰色	V0-V1
蓝色	V2-V4
紫色	V5-V8
橙色	V9-V12
金色	V13-V16
红色	V17-V20
]]
if(level >= 10)then
self._vipIconImg:loadTexture("icon/ui_vipicon5.png",1)
elseif(level >= 8)then
self._vipIconImg:loadTexture("icon/ui_vipicon4.png",1)
elseif(level >= 6)then
self._vipIconImg:loadTexture("icon/ui_vipicon3.png",1)
elseif(level >= 4)then
self._vipIconImg:loadTexture("icon/ui_vipicon2.png",1)
elseif(level >= 1)then
self._vipIconImg:loadTexture("icon/ui_vipicon1.png",1)
end
self:updateIcon()
end
function VipIconView:updateIcon()
local time = globalData.selfPlayerInfo.vipInfo.time - math.floor(globalData.systemDateInfo:getSystemTime() / 1000)
if(time <= 0) then
if(self.isShow ~= nil and self.isShow == true)then
self._toActivateImg:setVisible(true)
globalManager.tickManager:addTick(self.tick, self)
globalManager.commonUtils:setImgColorGrey(self._vipIconImg)
end
else
self._toActivateImg:setVisible(false)
globalManager.tickManager:removeTick(self.tick, self)
globalManager.commonUtils:setImgColorNormal(self._vipIconImg)
end
end
function VipIconView:dispose()
globalManager.tickManager:removeTick(self.tick,self)
self:removeEvent()
self.clickBtn = nil
self._vpIcon = nil
self._vipIconImg = nil
self._vipLevelLabel = nil
self._toActivateImg = nil
globalManager.ccCreator:release(self)
end
VipLoseView = class("VipLoseView", function(self)
local temp = globalManager.ccCreator:newJsonWidget("VipLosePanel")
temp._textLabel = temp:getChildByName("textLabel")
temp._okBtn = temp:getChildByName("okBtn")
temp._cancelBtn = temp:getChildByName("cancelBtn")
temp._itemView = temp:getChildByName("itemView")
temp._numTipsIcon = temp:getChildByName("numTipsIcon")
temp._numLabel = temp._numTipsIcon:getChildByName("numLabel")
temp._itemList = {}
temp._okBtn:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("VipLoseView.text1"))
temp._cancelBtn:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("VipLoseView.text2"))
temp._textLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("VipPanel.text7"))
return temp
end)
function VipLoseView:ctor()
self:initEvent()
self:initView()
globalData.uiClickContainer:addItem(self,true,true)
end
function VipLoseView:initEvent()
local cancelClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
self:dispose()
end
end
local okClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.vipTab,globalData.allStaticTypes.panelTabType.vip)
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_openVipRechargeView,globalManager.gameDispatcher,nil))
self:dispose()
end
end
self._cancelBtn:addTouchEventListener(cancelClickHandler)
self._okBtn:addTouchEventListener(okClickHandler)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_reConnect,self.dispose,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_closeOtherPanel,self.dispose,self)
end
function VipLoseView:removeEvent()
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.scene_reConnect,self.dispose,self)
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.scene_closeOtherPanel,self.dispose,self)
end
function VipLoseView:initView()
local info = globalData.allTemplates.vipTemplateList:getTemplate(10)--globalData.selfPlayerInfo.vipLevel)
local num = info:getItemCount()
local itemHeight = math.floor(90 * 0.8)
local height = math.max(290,math.floor((num + 1) / 2) * itemHeight )
local i = 1
if(info ~= nil)then
for k = num,1,-1 do
local item = VipDesView:new()
item.line:setVisible(false)
item:setScale(0.8)
item:setInfo(info.itemList[k][1],info.itemList[k][2])
table.insert(self._itemList,item)
item:setPosition(cc.p((i - 1) % 2 * 245 + 2,height - itemHeight * math.floor((i + 1) / 2)))
self._itemView:addChild(item)
i = i + 1
end
end
self._itemView:setInnerContainerSize(globalManager.ccCreator:newSize(495,height))
local num = globalData.goodsInfoList:getGoodsCount(globalData.allStaticTypes.categoryType.VIP_HALF_HOUR_CARD) + globalData.goodsInfoList:getGoodsCount(globalData.allStaticTypes.categoryType.VIP_ONE_DAY_CARD)
self._numLabel:setText(num)
if(num > 0)then
self._numTipsIcon:setVisible(true)
else
self._numTipsIcon:setVisible(false)
end
end
function VipLoseView:dispose()
self:removeEvent()
globalData.uiClickContainer:close(self)
self._textLabel = nil
self._cancelBtn = nil
self._numTipsIcon = nil
self._numLabel = nil
self._okBtn = nil
self._itemView = nil
for __,item in pairs(self._itemList) do
item:dispose()
item = nil
end
self._itemList = nil
globalManager.ccCreator:release(self)
end
VipPanel = class("VipPanel", function(self,controller)
local temp = BasePanel:new()
temp._BasePanelDispose = temp.dispose
temp._controller = controller
temp._widget = globalManager.ccCreator:newJsonWidget("VipPanel")
temp:addChild(temp._widget)
temp._timeIcon = temp._widget:getChildByName("timeIcon")
temp._daysLabel = temp._widget:getChildByName("daysLabel")
temp._txtTime = CountDownLabel:new(temp._widget:getChildByName("timeLabel"),0,nil,nil,0)
temp._expBar = temp._widget:getChildByName("progressBar")
temp._txtPb = temp._widget:getChildByName("txtPb")
temp._rechargeBtn = temp._widget:getChildByName("rechargeBtn")
temp._btnLabel = temp._rechargeBtn:getChildByName("btnLabel")
temp._vipIconLayer = temp._widget:getChildByName("vipIconLayer")
temp._curVipLevelLabel = temp._widget:getChildByName("curVipLevelLabel")
temp._nextVipLevelLabel = temp._widget:getChildByName("nextVipLevelLabel")
temp._pageList = {}
temp._showView = temp._widget:getChildByName("showView")
temp._showView:retain()
temp._vipLevelLeft = temp._showView:getChildByName("vipLevelLeft")
temp._vipLevelRight = temp._showView:getChildByName("vipLevelRight")
temp._rightLine = temp._showView:getChildByName("line3")
temp._infoView = temp._showView:getChildByName("infoView")
temp._pageView = temp._showView:getChildByName("pageList")
temp._tipsLabel = temp._showView:getChildByName("tipsLabel")
temp._rechargeView = temp._widget:getChildByName("rechargeView")
temp._rechargeView:retain()
temp._rechargeView:removeFromParent()
temp._itemListView = temp._rechargeView:getChildByName("itemListView")
temp._boardBg = temp._rechargeView:getChildByName("bg2")
temp._boardBgPath = globalManager.pathManager:getUISource("outPic/vipBoardBg.png")
temp._tempInfoList = {}
temp._maxLavel = 0
temp._currentPage = 0
temp._totalPage = 0
temp._leftItemList = {}
temp._rightItemList = {}
temp._rechargeItemList = {}
temp.buyType = 0
temp._vipIconView = VipIconView:new()
temp._vipIconView:setScale(1.5)
temp._vipIconView:setPosition(cc.p(-15,22))
temp._vipIconLayer:addChild(temp._vipIconView,9)
temp._tipsLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("VipPanel.text3"))
temp._widget:getChildByName("textLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("VipPanel.text4"))
return temp
end)
function VipPanel:ctor()
globalManager.sourceCacheManager:setImage(self._boardBg,self._boardBgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self:initEvent()
self:initView()
self._controller.sceneModule.message:sendGetVipInfo()
end
function VipPanel:initView()
self._tempInfoList = globalData.allTemplates.vipTemplateList.list
self._maxLavel = globalData.allTemplates.vipTemplateList.MAX_LEVEL
self._totalPage = self._maxLavel - 1
self:infoUpdate()
self:setRechargeInfo()
self:resetPageIcon()
local level = globalData.selfPlayerInfo.vipLevel
if(level >= self._maxLavel)then
level = level - 1
end
self:setPage(level)
end
function VipPanel:initEvent()
local function rechargeClickHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(self._showView:getParent() == nil)then
self._widget:addChild(self._showView)
self._rechargeView:removeFromParent()
self._btnLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("VipPanel.text5"))
local level = globalData.selfPlayerInfo.vipLevel
if(level >= self._maxLavel)then
level = level - 1
end
self:setPage(level)
else
self._widget:addChild(self._rechargeView)
self._showView:removeFromParent()
self._currentPage = 0
self._btnLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueBossView2.text2"))
end
end
end
local pageViewHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED or eventType == TOUCH_EVENT_CANCELED) then
local offsetX = sender:getTouchEndPos().x - sender:getTouchStartPos().x
if(offsetX > 50) then
if(self._currentPage > 1)then
self:setPage(self._currentPage - 1)
end
elseif(offsetX < -50) then
if(self._currentPage < self._totalPage)then
self:setPage(self._currentPage + 1)
end
end
end
end
self._rechargeBtn:addTouchEventListener(rechargeClickHandler)
self._infoView:addTouchEventListener(pageViewHandler)
globalData.selfPlayerInfo:addEventListener(globalData.globalEventType.playerInfo_vip,self.viewUpdate,self)
globalData.selfPlayerInfo.vipInfo:addEventListener(globalData.globalEventType.vip_infoUpdate,self.infoUpdate,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_openVipRechargeView,self.showRechargeView,self)
end
function VipPanel:removeEvent()
globalData.selfPlayerInfo:removeEventListener(globalData.globalEventType.playerInfo_vip,self.viewUpdate,self)
globalData.selfPlayerInfo.vipInfo:removeEventListener(globalData.globalEventType.vip_infoUpdate,self.infoUpdate,self)
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.scene_openVipRechargeView,self.showRechargeView,self)
end
function VipPanel:showRechargeView()
if(self._rechargeView:getParent() == nil)then
self._widget:addChild(self._rechargeView)
self._showView:removeFromParent()
self._currentPage = 0
self._btnLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("LeagueBossView2.text2"))
end
end
function VipPanel:viewUpdate()
self:infoUpdate()
local level = globalData.selfPlayerInfo.vipLevel
if(level >= self._maxLavel)then
level = level - 1
end
self:setPage(level)
end
function VipPanel:infoUpdate()
self._vipIconView:setLevel(globalData.selfPlayerInfo.vipLevel)
local info = globalData.selfPlayerInfo.vipInfo
local time = info.time - math.floor(globalData.systemDateInfo:getSystemTime() / 1000)
if(time > 0)then
self._daysLabel:setText(math.floor(time / 86400).."d")
self._daysLabel:setColor(globalData.allStaticTypes.colorType.DEFAULT_COLOR)
local posX,posY = self._daysLabel:getPosition()
local width = self._daysLabel:getContentSize().width + 10
self._txtTime:setPosition(globalManager.ccCreator:newPoint(posX + width,posY))
self._txtTime:start(time % 86400 + 1,self.endTime,self)
globalManager.commonUtils:setImgColorNormal(self._timeIcon)
else
self._daysLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("VipPanel.text6"))
self._daysLabel:setColor(globalData.allStaticTypes.colorType.FALSE_COLOR)
self._txtTime:setText("")
self._txtTime:stop()
globalManager.commonUtils:setImgColorGrey(self._timeIcon)
end
self._curVipLevelLabel:setText("VIP"..globalData.selfPlayerInfo.vipLevel)
if(globalData.selfPlayerInfo.vipLevel < self._maxLavel and globalData.selfPlayerInfo.vipLevel > 0)then
self._nextVipLevelLabel:setText("VIP"..globalData.selfPlayerInfo.vipLevel + 1)
local curExp = info.exp - self._tempInfoList[globalData.selfPlayerInfo.vipLevel].minExp
local needExp = self._tempInfoList[globalData.selfPlayerInfo.vipLevel].maxExp - self._tempInfoList[globalData.selfPlayerInfo.vipLevel].minExp
self._txtPb:setText(curExp .. "/" ..needExp)
local pre = math.floor(curExp / needExp * 100)
self._expBar:setVisible(true)
if(pre > 100)then pre = 100 end
if(pre < 5)then
pre = 5
if(self._tempInfoList[globalData.selfPlayerInfo.vipLevel].maxExp < 2000)then
self._expBar:setVisible(false)
end
end
self._expBar:setPercent(pre)
else
self._nextVipLevelLabel:setText("VIP"..globalData.selfPlayerInfo.vipLevel)
self._expBar:setPercent(100)
self._txtPb:setText("Max")
end
end
function VipPanel:endTime()
self:infoUpdate()
end
function VipPanel:setRechargeInfo()
local list = globalData.allTemplates.vipRechargeTemplateList.list
for i = 1,#list,1 do
local rechargeItem = VipRechargeItem:new(self._controller,list[i].type)
rechargeItem:setInfo(list[i].price)
table.insert(self._rechargeItemList,rechargeItem)
rechargeItem:setPosition(cc.p(7 + 234 * (i - 1),10))
self._itemListView:addChild(rechargeItem)
end
end
function VipPanel:resetPageIcon()
if(#self._pageList ~= 0)then return end
if(self._totalPage == 0)then return end
for i = 1,self._totalPage,1 do
local pageIcon = globalManager.ccCreator:newImageView()
if(self._currentPage == i)then
pageIcon:loadTexture("btn/ui_radioBtn1_2.png", 1)
else
pageIcon:loadTexture("btn/ui_radioBtn1_1.png", 1)
end
pageIcon:setPosition(cc.p(145 - (self._totalPage - 1)*20 + (i - 1)*40,10))
table.insert(self._pageList,pageIcon)
self._pageView:addChild(pageIcon)
end
end
function VipPanel:setPage(page)
if(self._currentPage == page) then return end
if(self._currentPage ~= 0) then
self._pageList[self._currentPage]:loadTexture("btn/ui_radioBtn1_1.png", 1)
end
self._currentPage = page
if(self._pageList[self._currentPage] ~= nil) then
self._pageList[self._currentPage]:loadTexture("btn/ui_radioBtn1_2.png", 1)
end
self:setVipItemInfo(page)
end
function VipPanel:setVipItemInfo(index)
self:clearAllItems()
self._infoView:jumpToTop()
self._vipLevelLeft:setText("VIP "..index)
self._vipLevelRight:setText("VIP "..(index + 1))
local curTemplateInfo = self._tempInfoList[index]
local num = 0
local height = 280
if(index < self._maxLavel)then
self._tipsLabel:setVisible(false)
self._vipLevelRight:setVisible(true)
self._rightLine:setVisible(true)
local nextTemplateInfo = self._tempInfoList[index + 1]
num = nextTemplateInfo:getItemCount()
height = math.max(280,num * 100 + 10)
local i = 1
for k = num,1,-1 do
local leftItem = VipDesView:new()
leftItem:setInfo(curTemplateInfo.itemList[k][1],curTemplateInfo.itemList[k][2])
table.insert(self._leftItemList,leftItem)
leftItem:setPosition(cc.p(10,height - 100*i))
self._infoView:addChild(leftItem,10)
local rightItem = VipDesView:new()
rightItem:setInfo(nextTemplateInfo.itemList[k][1],nextTemplateInfo.itemList[k][2])
table.insert(self._rightItemList,rightItem)
rightItem:setPosition(cc.p(490,height - 100*i))
self._infoView:addChild(rightItem)
if(curTemplateInfo ~= nil and curTemplateInfo.itemList[k][2] < nextTemplateInfo.itemList[k][2])then
rightItem:showUpIcon(true)
end
i = i + 1
end
else
self._tipsLabel:setVisible(true)
self._vipLevelRight:setVisible(false)
self._rightLine:setVisible(false)
num = curTemplateInfo:getItemCount()
height = math.max(280,num * 100 + 10)
local i = 1
for k = num,1,-1 do
local leftItem = VipDesView:new()
leftItem:setInfo(curTemplateInfo.itemList[k][1],curTemplateInfo.itemList[k][2])
table.insert(self._leftItemList,leftItem)
leftItem:setPosition(cc.p(10,height - 100*i))
self._infoView:addChild(leftItem)
i = i + 1
end
end
self._infoView:setInnerContainerSize(globalManager.ccCreator:newSize(870,height))
end
function VipPanel:clearAllItems()
if(#self._leftItemList > 0)then
for i = 1,#self._leftItemList,1 do
self._leftItemList[i]:removeFromParent()
self._leftItemList[i]:dispose()
end
end
self._leftItemList = {}
if(#self._rightItemList > 0)then
for i = 1,#self._rightItemList,1 do
self._rightItemList[i]:removeFromParent()
self._rightItemList[i]:dispose()
end
end
self._rightItemList = {}
end
function VipPanel:dispose()
self:removeEvent()
self._controller = nil
self._rechargeBtn = nil
self._timeIcon = nil
self._daysLabel = nil
self._txtTime:dispose()
self._txtTime = nil
self._expBar = nil
self._txtPb = nil
self._btnLabel = nil
self._vipIconLayer = nil
self._curVipLevelLabel = nil
self._nextVipLevelLabel = nil
for i,info in pairs(self._pageList) do
globalManager.ccCreator:release(info)
info = nil
end
self._pageList = nil
if(self._showView ~= nil)then
globalManager.ccCreator:release(self._showView)
end
self._showView = nil
self._vipLevelLeft = nil
self._vipLevelRight = nil
self._rightLine = nil
self._infoView = nil
self._pageView = nil
self._tipsLabel = nil
if(self._rechargeView ~= nil)then
globalManager.ccCreator:release(self._rechargeView)
end
self._rechargeView = nil
self._itemListView = nil
self._boardBg = nil
globalManager.sourceCacheManager:removeQuote(self._boardBgPath)
self._boardBgPath = nil
self._tempInfoList = nil
self._maxLavel = nil
self._currentPage = nil
self._totalPage = nil
for __,item in pairs(self._leftItemList) do
item:dispose()
item = nil
end
self._leftItemList = nil
for __,item in pairs(self._rightItemList) do
item:dispose()
item = nil
end
self._rightItemList = {}
for __,item in pairs(self._rechargeItemList) do
item:dispose()
item = nil
end
self._rechargeItemList = {}
self.buyType = 0
self._vipIconView:dispose()
self._vipIconView = nil
globalManager.ccCreator:release(self._widget)
self._widget = nil
self:_BasePanelDispose()
self._BasePanelDispose = nil
end
VipRechargeItem = class("VipRechargeItem", function(self,controller,type)
local temp = globalManager.ccCreator:newJsonWidget("VipRechargeItem")
temp._controller = controller
temp.bg = temp:getChildByName("bg")
temp.priceLabel = temp:getChildByName("priceLabel")
temp.useBtn = temp:getChildByName("useBtn")
temp.txtLabel = temp:getChildByName("txtLabel")
temp.countLabel = temp:getChildByName("countLabel")
temp.moneyIcon = temp:getChildByName("moneyIcon")
temp.bgPath = nil
temp.type = type
temp.goodsId = 0
temp.price = 1
temp.txtLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("VipRechargeItem.text1"))
temp.useBtn:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel56"))
return temp
end)
function VipRechargeItem:ctor()
self.bgPath = globalManager.pathManager:getUISource("outPic/vip_rechargeBg"..self.type..".png")
globalManager.sourceCacheManager:setImage(self.bg,self.bgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self:initEvent()
end
function VipRechargeItem:initEvent()
local payHandler = function ()
self._controller.sceneModule.message:sendBuyVip(self.type)
end
local buyClickHandler = function (sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
local info = globalData.allTemplates.vipRechargeTemplateList:getTemplate(self.type)
if(info == nil)then return end
if(info.price <= 0)then return end
if(globalData.selfPlayerInfo.moneyInfo.gold < info.price) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel11"))
else
local days = math.floor(info.time / 86400)
local text = string.format(globalManager.yuyanbaoManager:getYuyanbao("VipPanel.text2"),info.price,days)
Alert:new():show(2,text,nil,0,self,payHandler)
end
end
end
local useClickHandler = function (sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
local goodsList = globalData.goodsInfoList:getGoodsByTempId(self.goodsId,1)
if(#goodsList > 0)then
globalData.messageAdder:sendUseVipCard(goodsList[1].goodsId,1,1)
end
end
end
self.useBtn:addTouchEventListener(useClickHandler)
self:addTouchEventListener(buyClickHandler)
globalData.goodsInfoList:addEventListener(globalData.globalEventType.playerInfo_itemUpdate,self.goodsUpdateHandler,self)
end
function VipRechargeItem:removeEvent()
globalData.goodsInfoList:removeEventListener(globalData.globalEventType.playerInfo_itemUpdate,self.goodsUpdateHandler,self)
end
function VipRechargeItem:goodsUpdateHandler()
if(self.price <= 0)then
local num = globalData.goodsInfoList:getGoodsCount(self.goodsId)
self.countLabel:setText(num)
if(num > 0)then
self.useBtn:setTouchEnabled(true)
self.useBtn:loadTextureNormal("btn/ui_tabBtn1_3.png",1)
else
self.useBtn:setTouchEnabled(false)
self.useBtn:loadTextureNormal("btn/ui_tabBtn1_5.png",1)
end
end
end
function VipRechargeItem:setInfo(price)
self.price = price
if(price <= 0)then
self.priceLabel:setVisible(false)
self.moneyIcon:setVisible(false)
self.useBtn:setEnabled(true)
self.txtLabel:setVisible(true)
self.countLabel:setVisible(true)
if(self.type == 1)then
self.goodsId = globalData.allStaticTypes.categoryType.VIP_HALF_HOUR_CARD  --半小时vip卡
elseif(self.type == 2)then
self.goodsId = globalData.allStaticTypes.categoryType.VIP_ONE_DAY_CARD --一天vip卡
end
local num = globalData.goodsInfoList:getGoodsCount(self.goodsId)
self.countLabel:setText(num)
if(num > 0)then
self.useBtn:setTouchEnabled(true)
self.useBtn:loadTextureNormal("btn/ui_tabBtn1_3.png",1)
else
self.useBtn:setTouchEnabled(false)
self.useBtn:loadTextureNormal("btn/ui_tabBtn1_5.png",1)
end
else
self.priceLabel:setText(price)
self.priceLabel:setVisible(true)
self.moneyIcon:setVisible(true)
self.useBtn:setEnabled(false)
self.txtLabel:setVisible(false)
self.countLabel:setVisible(false)
end
end
function VipRechargeItem:getType()
return self.type
end
function VipRechargeItem:dispose()
self:removeEvent()
self._controller = nil
self.bg = nil
self.priceLabel = nil
globalManager.sourceCacheManager:removeQuote(self.bgPath)
self.bgPath = nil
self.type = nil
self.useBtn = nil
self.txtLabel = nil
self.countLabel = nil
self.moneyIcon = nil
globalManager.ccCreator:release(self)
end
JingyingBossPanel = class("JingyingBossPanel",function(self,controller)
local wb = BasePanel:new()
wb.__basePanelDispose = wb.dispose
wb._widget = globalManager.ccCreator:newJsonWidget("worldBossPanel")
wb._sceneController = controller
wb.itemContainer = wb._widget:getChildByName("item_container")
wb._widget:getChildByName("worldBoss_layer"):setVisible(false)
-- local item = wb.itemContainer:getChildByName("cellList") --设置滚动框滚动
-- wb.itemContainer:setPageBG(item)
wb.itemContainer:setUnlimited()     --设置滚动框不滚动
wb.itemContainer:setLogicTotlePage(1)
wb.itemContainer:setTouchEnabled(false)
wb:addChild(wb._widget)
wb._leftBtn = wb._widget:getChildByName("right_btn")
wb._leftBtn:setVisible(false)
wb._rightBtn = wb._widget:getChildByName("left_btn")
wb._rightBtn:setVisible(false)
wb._widget:getChildByName("jingYing_layer"):getChildByName("Label_280936"):setText(globalManager.yuyanbaoManager:getYuyanbao("JingyingBossPanel.text1"))
wb._widget:getChildByName("jingYing_layer"):getChildByName("Label_280937"):setText(globalManager.yuyanbaoManager:getYuyanbao("JingyingBossPanel.text2"))
wb._widget:getChildByName("jingYing_layer"):getChildByName("Label_280935"):setText(globalManager.yuyanbaoManager:getYuyanbao("JingyingBossPanel.text3"))
wb._widget:getChildByName("jingYing_layer"):getChildByName("Label_280935_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("JingyingBossPanel.text4"))
wb._widget:getChildByName("jingYing_layer"):getChildByName("Label_280935_Copy1"):setText("")
wb._viewList = {}
wb._infoList = {}
wb._page = 1
return wb
end)
function JingyingBossPanel:ctor()
local viewClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
if(sender:getBossInfo() ~= nil) then
self._sceneController:showjingyingBossSelectView(sender:getBossInfo())
end
end
end
self:initEvent()
if(#self._viewList > 0) then
if(self._viewList ~= nil) then
for __,view in pairs(self._viewList) do
view:dispose()
end
self._viewList = {}
end
end
for i = 1,8 do
local view = WorldBossItem:new(2)
local x = (i - 1) % 4
local y = math.floor((i - 1) /4)
view:setPosition(10 + x * 216,240 - y * 236)
--    self.itemContainer:addPageChild(view,5)  --同世界boss
self.itemContainer:addChild(view,5)
view:addTouchEventListener(viewClickHandler)
table.insert(self._viewList,view)
i = i + 1
end
self:worldBossListUpdateHandler()
end
function JingyingBossPanel:initEvent()
-- local pageViewHandler = function(sender,eventType)
--     if(eventType == PAGEVIEW_EVENT_TURNING) then
--         self:setPage(sender:getLogicCurPage() + 1)
--     end
-- end
-- self.itemContainer:addEventListenerPageView(pageViewHandler)
globalData.worldBossList:addEventListener(globalData.globalEventType.sceneInfo_worldBossList,self.worldBossListUpdateHandler,self)
end
function JingyingBossPanel:removeEvent()
globalData.worldBossList:removeEventListener(globalData.globalEventType.sceneInfo_worldBossList,self.worldBossListUpdateHandler,self)
end
function JingyingBossPanel:worldBossListUpdateHandler(evt)
local sortFunc = function(info1,info2)
return info1.id < info2.id
end
self._infoList = globalData.worldBossList.jingyinList
self.itemContainer:setLogicTotlePage(math.floor(#self._infoList / 8) + 1)
table.sort(self._infoList, sortFunc)
local page = self._page
self._page = 0
self:setPage(page)
end
function JingyingBossPanel:setPage(currentPage)
if(self._page == currentPage) then return end
self._page = currentPage
for i = 1,8 do
self._viewList[i]:setData(self._infoList[(self._page - 1) * 8 + i])
end
--if(math.floor((#self._infoList - 1) / 8) + 1 == currentPage) then
--	self._rightBtn:setVisible(false)
--	self._leftBtn:setVisible(true)
--elseif(currentPage == 1) then
--	self._rightBtn:setVisible(true)
--	self._leftBtn:setVisible(false)
--end
end
function JingyingBossPanel:dispose()
self:removeEvent()
self._sceneController = nil
self.itemContainer:removeAllPages()
self.itemContainer = nil
self._leftBtn = nil
self._rightBtn = nil
if(self._viewList ~= nil) then
for __,view in pairs(self._viewList) do
view:dispose()
end
self._viewList = nil
end
self._infoList = nil
if(self._widget ~= nil)then
globalManager.ccCreator:release(self._widget)
self._widget = nil
end
self:__basePanelDispose()
self.__basePanelDispose = nil
end
JingyingBossSelectView = class("JingyingBossSelectView",function(self,sceneController, info)
local self = globalManager.ccCreator:newJsonWidget("worldBossInfoList")
self._info = info
self._template = globalData.allTemplates.worldBossTemplateList:getTemplate(self._info.id)
self._bossNameLabel = self:getChildByName("bossNameLabel")
self._bossLevel = self:getChildByName("bossLevel")
self._itemContainer = self:getChildByName("Panel_283255")
self.closeBtn = self:getChildByName("closeBtn")
self._sceneController = sceneController
self._itemList = {}
self._gridList = {}
for i = 1,8,1 do
table.insert(self._itemList,self._itemContainer:getChildByName("goods"..i))
end
self._go = self:getChildByName("accept_btn_Copy0")
self._itemContainer:getChildByName("titleLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("JingyingBossSelectView.text1"))
self._go:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("JingyingBossSelectView.text2"))
return self
end)
function JingyingBossSelectView:ctor()
self:updateView()
self:initEvent()
end
function JingyingBossSelectView:updateView()
local monsterInfo = globalData.allTemplates.monsterTemplateList:getMonster(self._info.id)
self._bossNameLabel:setText(monsterInfo.name)
self._bossLevel:setText("Lv" ..monsterInfo.level)
local len = #self._template.items
for i = 1,len,1 do
if(self._template.items[i] ~= nil) then
local grid = BaseGrid:new()
grid:setGoodsTempInfo(globalData.allTemplates.goodsTemplateList:getTemplate(self._template.items[i]))
self._itemList[i]:addChild(grid)
table.insert(self._gridList,grid)
end
end
end
function JingyingBossSelectView:initEvent()
local goClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
local pos = globalManager.ccCreator:newPoint(0,0)
if(#self._template.posList > 0) then
pos = self._template.posList[math.ceil(math.random()*#self._template.posList)]
end
self._sceneController.sceneModule.flyTester:doFly(self._template.mapId,pos)
self:dispose()
end
end
local closeClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self:dispose()
end
end
self.closeBtn:addTouchEventListener(closeClickHandler)
self._go:addTouchEventListener(goClickHandler)
end
function JingyingBossSelectView:removeEvent()
end
function JingyingBossSelectView:hideFormClickContainer()
self:dispose()
end
function JingyingBossSelectView:dispose()
self.closeBtn = nil
self:removeEvent()
globalData.uiClickContainer:close(self)
self._info = nil
self._template = nil
self._bossNameLabel = nil
self._bossLevel = nil
self._itemContainer = nil
self._sceneController = nil
self._itemList = nil
if(self._gridList ~= nil) then
for __,grid in pairs(self._gridList) do
grid:dispose()
end
self._gridList = nil
end
self._go = nil
globalManager.ccCreator:release(self)
end
WorldBossItem = class("WorldBossItem",function(self,type)
local wb = globalManager.ccCreator:newJsonWidget("worldBossItem")
wb._monster_icon = wb:getChildByName("monster_icon")
wb._killIcon = wb:getChildByName("kill_icon")
wb._levelLabel = wb:getChildByName("level_label")
wb._nameLabel = wb:getChildByName("name_label_Copy0")
wb._stateLabel = wb:getChildByName("state_label")
wb._bossLevelBg = wb:getChildByName("bossLevelBg")
wb._kuangbaoBtn = wb:getChildByName("kuangbao_btn")
wb._bossInfo = nil
wb._path = nil
wb.type  = type
return wb
end)
function WorldBossItem:ctor()
self:initEvent()
end
function WorldBossItem:initEvent()
local kuangbaoTipClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.tipsManager:showString(globalManager.yuyanbaoManager:getYuyanbao("WorldBossItem.text8"))
end
end
self._kuangbaoBtn:addTouchEventListener(kuangbaoTipClickHandler)
end
function WorldBossItem:removeEvent()
end
function WorldBossItem:getBossInfo()
return self._bossInfo
end
-- WorldBossInfo
function WorldBossItem:setData(wbInfo)
if(self._path ~= nil ) then
globalManager.sourceCacheManager:removeQuote(self._path)
self._path = nil
end
self._bossInfo = wbInfo
if(wbInfo == nil) then
self._levelLabel:setText("？")
self._levelLabel:setColor(globalData.allStaticTypes.colorType.COLORGRAY)
self._nameLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("WorldBossItem.text1"))
self._nameLabel:setColor(globalData.allStaticTypes.colorType.COLORGRAY)
self._stateLabel:setText(nil)
self._killIcon:setEnabled(false)
self._monster_icon:loadTexture("headIcons/MonsterHeadIcon.png",1)
self._monster_icon:setPosition(101,161)
globalManager.commonUtils:setImgColorGrey(self._monster_icon)
self._bossLevelBg:setColor(globalData.allStaticTypes.colorType.COLORBLACK)
self._kuangbaoBtn:setEnabled(false)
return
end
local monsterInfo = globalData.allTemplates.monsterTemplateList:getMonster(wbInfo.id)
self._killIcon:setEnabled(true)
self._path = globalManager.pathManager:getMonsterHead(monsterInfo.headPath)
globalManager.sourceCacheManager:setImage(self._monster_icon,self._path,globalData.allStaticTypes.sourceStaticType.clearFiveM)
if(wbInfo:isKuangbao()) then
self._kuangbaoBtn:setEnabled(true)
self._bossLevelBg:setColor(globalData.allStaticTypes.colorType.FALSE_COLOR)
else
self._kuangbaoBtn:setEnabled(false)
if(monsterInfo.level == 50) then
self._bossLevelBg:setColor(globalData.allStaticTypes.colorType.ITEMCOLOR2)
elseif(monsterInfo.level == 60) then
self._bossLevelBg:setColor(globalData.allStaticTypes.colorType.ITEMCOLOR3)
elseif(monsterInfo.level == 70) then
self._bossLevelBg:setColor(globalData.allStaticTypes.colorType.ITEMCOLOR4)
elseif(monsterInfo.level == 80) then
self._bossLevelBg:setColor(globalData.allStaticTypes.colorType.ITEMCOLOR5)
elseif(monsterInfo.level == 90) then
self._bossLevelBg:setColor(globalData.allStaticTypes.colorType.ITEMCOLOR7)
elseif(monsterInfo.level == 100) then
self._bossLevelBg:setColor(globalData.allStaticTypes.colorType.ITEMCOLOR7)
end
end
self._levelLabel:setText(monsterInfo.level)
self._levelLabel:setColor(globalData.allStaticTypes.colorType.COLORYELLOW)
self._nameLabel:setText(monsterInfo.name)
self._nameLabel:setColor(globalData.allStaticTypes.colorType.COLORYELLOW)
self._nameLabel:setScale(0.8)
local bossState = 0
if(bossState == 0) then
self._stateLabel:setColor(globalData.allStaticTypes.colorType.TIPACT_COLOR)
end
if wbInfo ~= nil then bossState = wbInfo.state end
if(self.type == 1)then
self:isWorldBossTime(bossState)
elseif(self.type == 2)then
self:isJingyingTime(bossState)
end
end
function WorldBossItem:isJingyingTime(bossState)
local systemTime = math.floor(globalData.systemDateInfo:getSystemTime() / 1000)
local flushTime = math.floor(bossState)
local remainTime = flushTime - systemTime
local promptTime = 15 * 60
if(systemTime < flushTime) then
self._stateLabel:setColor(globalData.allStaticTypes.colorType.TIPACT_COLOR)
end
--精英boss,刷新时间,当前时间>刷新时间，表示可击杀.
if(systemTime > flushTime) then
self._killIcon:setEnabled(false)
self._stateLabel:setColor(globalData.allStaticTypes.colorType.TRUE_COLOR)
globalManager.commonUtils:setImgColorNormal(self._monster_icon)
self._stateLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("WorldBossVipItem.text3"))
else
self._stateLabel:setText(globalData.systemDateInfo:secondsToDateString4(remainTime,false) ..globalManager.yuyanbaoManager:getYuyanbao("WorldBossItem.text2"))
globalManager.commonUtils:setImgColorGrey(self._monster_icon)
if(remainTime < promptTime) then
self._stateLabel:setColor(globalData.allStaticTypes.colorType.TIPACT_COLOR)
end
end
end
function WorldBossItem:isWorldBossTime(bossState)
local systemTime =  globalData.systemDateInfo:getZeroPassTime()
local time1 = 10 * 3600
local time2 = 14 * 3600
local time4 = 22 * 3600
if(systemTime < time1) then
if(bossState == 0) then
self._stateLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("WorldBossItem.text3"))
globalManager.commonUtils:setImgColorGrey(self._monster_icon)
elseif(bossState == 1) then
self._killIcon:setEnabled(false)
self._stateLabel:setColor(globalData.allStaticTypes.colorType.TRUE_COLOR)
self._stateLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("WorldBossVipItem.text3"))
globalManager.commonUtils:setImgColorNormal(self._monster_icon)
end
elseif(time1 <= systemTime and systemTime < time2) then
if(bossState == 0) then
self._stateLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("WorldBossItem.text4"))
globalManager.commonUtils:setImgColorGrey(self._monster_icon)
elseif(bossState == 1) then
self._killIcon:setEnabled(false)
self._stateLabel:setColor(globalData.allStaticTypes.colorType.TRUE_COLOR)
self._stateLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("WorldBossVipItem.text3"))
globalManager.commonUtils:setImgColorNormal(self._monster_icon)
end
elseif(time2 <= systemTime and systemTime < time4) then
if(bossState == 0) then
self._stateLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("WorldBossItem.text6"))
globalManager.commonUtils:setImgColorGrey(self._monster_icon)
elseif(bossState == 1) then
self._killIcon:setEnabled(false)
self._stateLabel:setColor(globalData.allStaticTypes.colorType.TRUE_COLOR)
self._stateLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("WorldBossVipItem.text3"))
globalManager.commonUtils:setImgColorNormal(self._monster_icon)
end
elseif(systemTime > time4) then
if(bossState == 0) then
self._stateLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("WorldBossItem.text7"))
globalManager.commonUtils:setImgColorGrey(self._monster_icon)
elseif(bossState == 1) then
self._killIcon:setEnabled(false)
self._stateLabel:setColor(globalData.allStaticTypes.colorType.TRUE_COLOR)
self._stateLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("WorldBossVipItem.text3"))
globalManager.commonUtils:setImgColorNormal(self._monster_icon)
end
end
end
function WorldBossItem:dispose()
self:removeEvent()
if(self._path ~= nil)then
globalManager.sourceCacheManager:removeQuote(self._path)
self._path = nil
end
self._kuangbaoBtn = nil
self._monster_icon = nil
self._killIcon = nil
self._levelLabel = nil
self._nameLabel = nil
self._stateLabel = nil
self._bossInfo = nil
globalManager.ccCreator:release(self)
end
WorldBossPanel = class("WorldBossPanel",function(self,controller)
local wb = BasePanel:new()
wb.__basePanelDispose = wb.dispose
wb._widget = globalManager.ccCreator:newJsonWidget("worldBossPanel")
wb._sceneController = controller
wb.itemContainer = wb._widget:getChildByName("item_container")
wb._widget:getChildByName("jingYing_layer"):setVisible(false)
--local item = wb.itemContainer:getChildByName("cellList")--设置滚动框滚动
-- wb.itemContainer:setPageBG(item)
wb.itemContainer:setUnlimited()     --设置滚动框不滚动
wb.itemContainer:setLogicTotlePage(1)
wb.itemContainer:setTouchEnabled(false)
wb:addChild(wb._widget)
wb._leftBtn = wb._widget:getChildByName("right_btn")
wb._leftBtn:setVisible(false)
wb._rightBtn = wb._widget:getChildByName("left_btn")
wb._rightBtn:setVisible(false)
wb._widget:getChildByName("worldBoss_layer"):getChildByName("Label_280936"):setText(globalManager.yuyanbaoManager:getYuyanbao("WorldBossPanel.text1"))
wb._widget:getChildByName("worldBoss_layer"):getChildByName("Label_280935"):setText(globalManager.yuyanbaoManager:getYuyanbao("WorldBossPanel.text2"))
wb._widget:getChildByName("worldBoss_layer"):getChildByName("Label_280937"):setText("10:00、14:00、22:00")
wb._widget:getChildByName("worldBoss_layer"):getChildByName("Label_280935_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("WorldBossPanel.text3"))
wb._viewList = {}
wb._infoList = {}
wb._page = 1
return wb
end)
function WorldBossPanel:ctor()
local viewClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
if(sender:getBossInfo() ~= nil)then
self._sceneController:showWorldBossSelectView(sender:getBossInfo())
end
end
end
self:initEvent()
globalData.messageAdder:sendBossUpdate()
if(#self._viewList > 0) then
if(self._viewList ~= nil) then
for __,view in pairs(self._viewList) do
view:dispose()
end
self._viewList = {}
end
end
for i = 1,8 do
local view = WorldBossItem:new(1)
local x = (i - 1) % 4
local y = math.floor((i - 1) /4)
view:setPosition(10 + x * 216,240 - y * 236)
--  self.itemContainer:addPageChild(view,5) --设置滚动框滚动
self.itemContainer:addChild(view,5)
view:addTouchEventListener(viewClickHandler)
table.insert(self._viewList,view)
end
self:worldBossListUpdateHandler()
end
function WorldBossPanel:initEvent()
local pageViewHandler = function(sender,eventType)
if(eventType == PAGEVIEW_EVENT_TURNING) then
self:setPage(sender:getLogicCurPage() + 1)
end
end
self.itemContainer:addEventListenerPageView(pageViewHandler)
globalData.worldBossList:addEventListener(globalData.globalEventType.sceneInfo_worldBossList,self.worldBossListUpdateHandler,self)
end
function WorldBossPanel:removeEvent()
globalData.worldBossList:removeEventListener(globalData.globalEventType.sceneInfo_worldBossList,self.worldBossListUpdateHandler,self)
end
function WorldBossPanel:worldBossListUpdateHandler(evt)
local sortFunc = function(info1,info2)
return info1.id < info2.id
end
self._infoList = globalData.worldBossList.bossList
self.itemContainer:setLogicTotlePage(math.floor((#self._infoList-1) / 8) + 1)
table.sort(self._infoList, sortFunc)
local page = self._page
self._page = 0
self:setPage(page)
end
function WorldBossPanel:setPage(currentPage)
if(self._page == currentPage) then return end
self._page = currentPage
for i = 1,8 do
self._viewList[i]:setData(self._infoList[(self._page - 1) * 8 + i])
end
-- if(math.floor((#self._infoList - 1) / 8) + 1 == currentPage) then
-- 	self._rightBtn:setVisible(false)
-- 	self._leftBtn:setVisible(true)
-- elseif(currentPage == 1) then
-- 	self._rightBtn:setVisible(true)
-- 	self._leftBtn:setVisible(false)
--   	end
end
function WorldBossPanel:dispose()
self:removeEvent()
self._sceneController = nil
self.itemContainer:removeAllPages()
self.itemContainer = nil
self._leftBtn = nil
self._rightBtn = nil
if(self._viewList ~= nil) then
for __,view in pairs(self._viewList) do
view:dispose()
end
self._viewList = nil
end
self._infoList = nil
if(self._widget ~= nil)then
globalManager.ccCreator:release(self._widget)
self._widget = nil
end
self:__basePanelDispose()
self.__basePanelDispose = nil
end
WorldBossSelectView = class("WorldBossSelectView",function(self,sceneController, info)
local self = globalManager.ccCreator:newJsonWidget("worldBossInfoList")
self._info = info
self._template = globalData.allTemplates.worldBossTemplateList:getTemplate(self._info.id)
self._bossNameLabel = self:getChildByName("bossNameLabel")
self._bossLevel = self:getChildByName("bossLevel")
self._itemContainer = self:getChildByName("Panel_283255")
self.closeBtn = self:getChildByName("closeBtn")
self._sceneController = sceneController
self._itemList = {}
self._gridList = {}
for i = 1,8,1 do
table.insert(self._itemList,self._itemContainer:getChildByName("goods"..i))
end
self._go = self:getChildByName("accept_btn_Copy0")
self._itemContainer:getChildByName("titleLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("WorldBossSelectView.text1"))
self._go:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("WorldBossSelectView.text2"))
return self
end)
function WorldBossSelectView:ctor()
self:updateView()
self:initEvent()
end
function WorldBossSelectView:updateView()
local monsterInfo = globalData.allTemplates.monsterTemplateList:getMonster(self._info.id)
self._bossNameLabel:setText(monsterInfo.name)
self._bossLevel:setText("Lv" ..monsterInfo.level)
local len = #self._template.items
if(len > 8)then  len = 8 end
for i = 1,len,1 do
if(self._template.items[i] ~= nil) then
local grid = BaseGrid:new()
grid:setGoodsTempInfo(globalData.allTemplates.goodsTemplateList:getTemplate(self._template.items[i]))
self._itemList[i]:addChild(grid)
table.insert(self._gridList,grid)
end
end
end
function WorldBossSelectView:initEvent()
local goClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
local pos = globalManager.ccCreator:newPoint(0,0)
if(#self._template.posList > 0) then
pos = self._template.posList[math.ceil(math.random()*#self._template.posList)]
end
self._sceneController.sceneModule.flyTester:doFly(self._template.mapId,pos)
self:dispose()
end
end
local closeClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self:dispose()
end
end
self.closeBtn:addTouchEventListener(closeClickHandler)
self._go:addTouchEventListener(goClickHandler)
end
function WorldBossSelectView:removeEvent()
end
function WorldBossSelectView:hideFormClickContainer()
self:dispose()
end
function WorldBossSelectView:dispose()
self.closeBtn = nil
self:removeEvent()
globalData.uiClickContainer:close(self)
self._info = nil
self._template = nil
self._bossNameLabel = nil
self._bossLevel = nil
self._itemContainer = nil
self._sceneController = nil
self._itemList = nil
if(self._gridList ~= nil) then
for __,grid in pairs(self._gridList) do
grid:dispose()
end
self._gridList = nil
end
self._go = nil
globalManager.ccCreator:release(self)
end
WorldBossFollowItem = class("WorldBossFollowItem",function(self)
local temp = globalManager.ccCreator:newJsonWidget("worldBossFollowItem")
temp._rankLabel = temp:getChildByName("rank_label")
temp._nameLabel = temp:getChildByName("name_label")
temp._attackLabel = temp:getChildByName("attack_label")
return temp
end)
function WorldBossFollowItem:setInfo(rank,name,attack)
self._rankLabel:setText(tostring(rank))
self._nameLabel:setText(name)
if(attack >= 10000)then
self._attackLabel:setText(tostring(math.floor(attack * 0.001)*0.1)..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel44"))
else
self._attackLabel:setText(tostring(attack))
end
end
function WorldBossFollowItem:setTextColor(color)
self._rankLabel:setColor(color)
self._nameLabel:setColor(color)
self._attackLabel:setColor(color)
end
function WorldBossFollowItem:dispose()
self._rankLabel = nil
self._nameLabel = nil
self._attackLabel = nil
globalManager.ccCreator:release(self)
end
WorldBossFollowPanel = class("WorldBossFollowPanel",function(self,controller)
local temp = globalManager.ccCreator:newJsonWidget("worldBossFollowView")
temp._controller = controller
temp._rankPanel = temp:getChildByName("rank_panel")
temp._info = controller.sceneModule.sceneInfo.sceneWorldBossInfo
temp._selfItem = WorldBossFollowItem:new()
temp._selfItem:setPositionY(10)
temp._selfItem:setTextColor(globalData.allStaticTypes.colorType.COLORYELLOW)
temp:addChild(temp._selfItem)
temp._itemList = {}
temp._flag = 0
temp._count = 0
temp:getChildByName("btnLabel_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("WorldBossFollowPanel.text1"))
return temp
end)
function WorldBossFollowPanel:ctor()
self:initEvent()
globalManager.tickManager:addTick(self.tick,self)
end
function WorldBossFollowPanel:initEvent()
self._info:addEventListener(globalData.globalEventType.sceneInfo_worldBossKiller,self.worldBossKillerUpdateHandler,self)
end
function WorldBossFollowPanel:removeEvent()
self._info:removeEventListener(globalData.globalEventType.sceneInfo_worldBossKiller,self.worldBossKillerUpdateHandler,self)
end
function WorldBossFollowPanel:tick(delta,count)
self._count = self._count + 1
if(self._count >= 120) then
if(self._flag == 2) then
self:setJingYingInfo()
self._flag = 0
end
self._count = 0
end
end
function WorldBossFollowPanel:worldBossKillerUpdateHandler(evt)
if(evt.data == 1) then return end
self._flag = evt.data
end
function WorldBossFollowPanel:setJingYingInfo()
local function compa(a, b)
return a.heartHp >= b.heartHp
end
local list = {}
for __,temp in pairs(self._info.jingYinHearList) do
table.insert(list,temp)
end
if(#list == 0) then return end
list = globalManager.commonUtils:tableSort(list,compa)
self:clearItem()
self._itemList = {}
local isShowSelf = false
local i = 1
for __,info in pairs(list) do
if(i <= 20) then
local item = WorldBossFollowItem:new()
if(i == 1) then
item:setTextColor(globalData.allStaticTypes.colorType.COLORORANGE)
elseif(i == 2) then
item:setTextColor(globalData.allStaticTypes.colorType.COLORGREEN)
end
item:setInfo(i,info.name,info.heartHp)
table.insert(self._itemList,item)
self._rankPanel:pushBackCustomItem(item)
end
if(not isShowSelf)then
if(globalData.selfPlayerInfo.userId == info.id) then
isShowSelf = true
if(i <= 10) then
self._selfItem:setInfo(i,info.name,info.heartHp)
else
self._selfItem:setInfo("10+",info.name,info.heartHp)
return
end
end
end
i = i + 1
end
end
function WorldBossFollowPanel:clearItem()
self._rankPanel:removeAllItems()
for __,item in pairs(self._itemList) do
item:dispose()
end
self._itemList = nil
end
function WorldBossFollowPanel:dispose()
globalManager.tickManager:removeTick(self.tick,self)
self:removeEvent()
self._controller = nil
self._info = nil
if(self._selfItem ~= nil) then
self._selfItem:dispose()
self._selfItem = nil
end
self:clearItem()
self._rankPanel = nil
globalManager.ccCreator:release(self)
end
WorldBossFollowPanel2 = class("WorldBossFollowPanel2",function(self,controller)
local temp = globalManager.ccCreator:newJsonWidget("worldBossFollowView2")
temp._controller = controller
temp._info = controller.sceneModule.sceneInfo.sceneWorldBossInfo
-- temp._lastLabel = temp:getChildByName("last_label")
-- if(temp._info.killerName == "") then
-- 	temp._lastLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel75"))
-- else
-- 	temp._lastLabel:setText(temp._info.killerName)
-- end
temp._rankLabels = {}
temp._nameLabels = {}
temp._fightLabels = {}
temp._userRankLabels = {}
temp._userNameLabels = {}
temp._userFightLabels = {}
for i = 1,3,1 do
table.insert(temp._rankLabels,temp:getChildByName("rank_label"..i))
table.insert(temp._nameLabels,temp:getChildByName("name_label"..i))
table.insert(temp._fightLabels,temp:getChildByName("fight_label"..i))
table.insert(temp._userRankLabels,temp:getChildByName("userRank_label"..i))
table.insert(temp._userNameLabels,temp:getChildByName("userName_label"..i))
table.insert(temp._userFightLabels,temp:getChildByName("userFight_label"..i))
end
temp:getChildByName("Label_292984"):setText(globalManager.yuyanbaoManager:getYuyanbao("WorldBossFollowPanel2.text1"))
temp._flag = 0
temp._count = 0
return temp
end)
function WorldBossFollowPanel2:ctor()
self:initEvent()
globalManager.tickManager:addTick(self.tick,self)
end
function WorldBossFollowPanel2:initEvent()
self._info:addEventListener(globalData.globalEventType.sceneInfo_worldBossKiller,self.worldBossKillerUpdateHandler,self)
end
function WorldBossFollowPanel2:removeEvent()
self._info:removeEventListener(globalData.globalEventType.sceneInfo_worldBossKiller,self.worldBossKillerUpdateHandler,self)
end
function WorldBossFollowPanel2:tick(delta,count)
self._count = self._count + 1
if(self._count >= 120) then
if(self._flag == 1)then
self:setWorldBossInfo()
self._flag = 0
end
self._count = 0
end
end
function WorldBossFollowPanel2:worldBossKillerUpdateHandler(evt)
if(evt.data == 2) then return end
self._flag = evt.data
end
function WorldBossFollowPanel2:setWorldBossInfo()
local function compa(a, b)
return a.heartHp >= b.heartHp
end
local list = {}
for __,temp in pairs(self._info.worldHeartList) do
table.insert(list,temp)
end
local len = #list
if(len == 0) then return end
list = globalManager.commonUtils:tableSort(list,compa)
local i = 1
for __,info in ipairs(list) do
if(i <= len) then
self._rankLabels[i]:setText(tostring(i))
self._nameLabels[i]:setText(info.name)
local pre = math.floor(info.heartHp * 10000 / self._info.bossHp) * 0.01
self._fightLabels[i]:setText(tostring(pre).."%")
end
i = i + 1
if(i > 3) then break end
end
if(globalData.leagueInfo.id > 0)then
local userList = self._info.worldHeartList[globalData.leagueInfo.id]
if(userList ~= nil and userList.leagueList ~= nil)then
if #userList.leagueList > 1 then
userList.leagueList = globalManager.commonUtils:tableSort(userList.leagueList,compa)
end
for i = 1, 3 do
if(userList.leagueList[i] ~= nil)then
self._userRankLabels[i]:setText(tostring(i))
self._userNameLabels[i]:setText(userList.leagueList[i].name)
local pre = math.floor(userList.leagueList[i].heartHp * 10000 / self._info.bossHp) * 0.01
self._userFightLabels[i]:setText(tostring(pre).."%")
else
self._userRankLabels[i]:setText("")
self._userNameLabels[i]:setText("")
self._userFightLabels[i]:setText("")
end
end
end
end
-- if(self._info.killerName == "") then
--    	self._lastLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel75"))
--    else
--    	self._lastLabel:setText(self._info.killerName)
--    end
end
function WorldBossFollowPanel2:dispose()
globalManager.tickManager:removeTick(self.tick,self)
self:removeEvent()
self._controller = nil
-- self._lastLabel = nil
self._rankLabels = nil
self._nameLabels = nil
self._fightLabels = nil
self._userRankLabels = nil
self._userNameLabels = nil
self._userFightLabels = nil
self._info = nil
globalManager.ccCreator:release(self)
end
WorldBossVipItem = class("WorldBossVipItem",function(self,sceneController,copyId,flushTime)
local temp  = globalManager.ccCreator:newJsonWidget("worldBossVipItem")
temp._sceneController = sceneController
temp._path  = globalManager.pathManager:getUISource("outPic/vipBoss.png")
temp._bgImg = temp:getChildByName("ImageView_618641")
temp._startBtn = temp:getChildByName("start_btn")
temp._doubleTip = temp:getChildByName("doubleIcon")
temp._doubleTip:setPositionY(temp._doubleTip:getPositionY() - 5)
temp._doubleTip:setRotation(-35)
temp._doubleTip:setVisible(false)
temp._btnLabel = temp._startBtn:getChildByName("btnLabel")
temp._itemList = {}
for i = 1,3,1 do
table.insert(temp._itemList,temp:getChildByName("itemIcon"..i))
end
temp._spentGold = temp:getChildByName("timeLabel_Copy0")
temp._flushTime = temp:getChildByName("timeLabel")
temp._fightValue = temp:getChildByName("fightValueLabel")
temp:getChildByName("fightValueTxt"):setText(globalManager.yuyanbaoManager:getYuyanbao("WorldBossVipItem.text4"))
temp:getChildByName("timeTxt"):setText(globalManager.yuyanbaoManager:getYuyanbao("WorldBossVipItem.text5"))
temp:getChildByName("changeTxt"):setText(globalManager.yuyanbaoManager:getYuyanbao("WorldBossVipItem.text6")..":")
temp._startBtn:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("WorldBossVipItem.text6"))
temp._character = nil
temp._copyId    = copyId
temp._info      = nil
temp._gridList  = {}
temp._count      = 0
temp._flushTimes = flushTime
temp.spentGolds  = 0
temp.effect      = nil
return temp
end)
function WorldBossVipItem:ctor()
globalManager.sourceCacheManager:setImage(self._bgImg,self._path,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self:initEvent()
globalManager.tickManager:addTick(self.tick,self)
end
function WorldBossVipItem:showDoubleTip(flag)
-- body
if flag then
self._doublePath = globalManager.pathManager:getUISource("outPic/ui_doubleTip.png")
globalManager.sourceCacheManager:setImage(self._doubleTip,self._doublePath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self._doubleTip:setVisible(true)
else
self._doubleTip:setVisible(false)
end
end
function WorldBossVipItem:initEvent()
local function okHandler()
self._sceneController.sceneModule.message:sendEnterCopy(self._copyId,1)
end
local function startTouchHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
local gold =globalData.selfPlayerInfo.moneyInfo.gold
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(self._flushTimes > 0)then
local buyTimes = globalData.worldBossVipInfo.times
if buyTimes ~= 0 then
if(gold >= self.spentGolds)then
Alert:new():show(2,string.format(globalManager.yuyanbaoManager:getYuyanbao("WorldBossVipItem.text7"),self.spentGolds),globalManager.noAlertUtils.WORLDBOSSVIP_UPDATE,0,self,okHandler)
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("WorldBossVipItem.text1"))
end
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("WorldBossVipPanel.text4"))
end
else
self._sceneController.sceneModule.message:sendEnterCopy(self._copyId,1)
end
end
end
self._startBtn:addTouchEventListener(startTouchHandler)
end
function WorldBossVipItem:removeEvent()
end
function WorldBossVipItem:setData(info)
self._info = info
if(self._character ~= nil)then
self._character:dispose()
self._character = nil
end
local characterInfo = CharacterInfo:new(globalData.allStaticTypes.sourceStaticType.monster)
if(self._copyId == 70101)then
characterInfo:setStyleBin(1,102017)
elseif(self._copyId == 70102)then
characterInfo:setStyleBin(1,102021)
elseif(self._copyId == 70103)then
characterInfo:setStyleBin(1,102009)
end
characterInfo:setDefaultAnima(globalData.allStaticTypes.animaInfoList.monsterStand)
self._character = BaseCharacter:new(characterInfo)
self._character:show(globalData.allStaticTypes.directType.bottom)
if(self._copyId == 70101)then
self._character:setScale(1.3)
self._character:setPosition(globalManager.ccCreator:newPoint(160,275))
elseif(self._copyId == 70102)then
self._character:setScale(1.5)
self._character:setPosition(globalManager.ccCreator:newPoint(150,275))
elseif(self._copyId == 70103)then
self._character:setScale(1.5)
self._character:setPosition(globalManager.ccCreator:newPoint(156,275))
end
self:addNode(self._character,9)
local playerLevel = globalData.selfPlayerInfo.level
local index = 0
if(playerLevel >= 40 and playerLevel <= 59)then
index = 1
elseif(playerLevel >= 60 and playerLevel <= 69)then
index = 2
elseif(playerLevel >= 70 and playerLevel <= 79)then
index = 3
elseif(playerLevel >= 80 and playerLevel <= 89)then
index = 4
elseif(playerLevel >= 90)then
index = 5
end
local missionId   = self._info.missions[index]
local missionInfo = globalData.allTemplates.copyMissionTemplateList:getMission(missionId)
local rewardList = missionInfo.rewardItems
if(rewardList ~= nil)then
local len = table.getn(rewardList)
if(len > 3)then len = 3 end
if(len > 0)then
for i = 1,len,1 do
local grid = GoodsInfoGrid:new()
grid:setGoodsTempInfo(globalData.allTemplates.goodsTemplateList:getTemplate(rewardList[i][1]))
self._itemList[i]:addChild(grid)
table.insert(self._gridList,grid)
end
end
end
self._fightValue:setText(missionInfo.fight)
self.spentGolds = math.ceil(self._flushTimes / 240)
self._spentGold:setText(self.spentGolds)
if(self._flushTimes == 0)then
if(self.effect == nil) then
self.effect = globalManager.effectCreator:create(78)
self.effect:move2(self._startBtn,0,0)
self.effect:setScaleX(2.2)
self._startBtn:addNode(self.effect,0)
self.effect:play()
end
else
if(self.effect ~= nil) then
self.effect:dispose()
self.effect = nil
end
end
end
function WorldBossVipItem:tick(delta,count)
self._count = self._count + 1
if(self._count >= 60)then
self._count = 0
self._flushTimes = self._flushTimes - 1
self._flushTime:setText(globalData.systemDateInfo:secondsToDateString(self._flushTimes))
end
if(self._flushTimes == 0)then
self._startBtn:loadTextureNormal("btn/ui_tabBtn1_3.png", 1)
self._btnLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("WorldBossVipItem.text2"))
self._flushTime:setText(globalManager.yuyanbaoManager:getYuyanbao("WorldBossVipItem.text3"))
self._spentGold:setText("0")
globalManager.tickManager:removeTick(self.tick,self)
end
end
function WorldBossVipItem:dispose()
self:removeEvent()
globalManager.tickManager:removeTick(self.tick,self)
if(self._path ~= nil)then
globalManager.sourceCacheManager:removeQuote(self._path)
self._path  = nil
end
self._bgImg     = nil
self._startBtn  = nil
self._itemList  = nil
self._spentGold = nil
self._flushTime = nil
if(self._character ~= nil)then
self._character:dispose()
self._character = nil
end
if(self._countDownView ~= nil)then
self._countDownView:dispose()
self._countDownView = nil
end
self._info = nil
if(self._gridList ~= nil) then
for __,grid in pairs(self._gridList) do
grid:dispose()
end
self._gridList = nil
end
self.spentGolds = nil
if(self.effect ~= nil) then
self.effect:dispose()
self.effect = nil
end
globalManager.ccCreator:release(self)
end
WorldBossVipPanel = class("WorldBossVipPanel",function(self,controller)
local temp = BasePanel:new()
temp.__basePanelDispose = temp.dispose
temp._widget = globalManager.ccCreator:newJsonWidget("worldBossVipPanel")
temp._sceneController = controller
temp.itemContainer = temp._widget:getChildByName("item_container_Copy0")
temp.itemContainer:setUnlimited()     --设置滚动框不滚动
temp.itemContainer:setLogicTotlePage(1)
temp.itemContainer:setTouchEnabled(false)
temp:addChild(temp._widget)
temp._widget:getChildByName("worldBoss_layer_Copy0"):getChildByName("Label_280936"):setText(globalManager.yuyanbaoManager:getYuyanbao("WorldBossVipPanel.text1"))
temp._widget:getChildByName("worldBoss_layer_Copy0"):getChildByName("Label_280935"):setText(globalManager.yuyanbaoManager:getYuyanbao("WorldBossVipPanel.text2"))
temp.buyTimes = temp._widget:getChildByName("worldBoss_layer_Copy0"):getChildByName("buyTimes")
temp._viewList = {}
temp._infoList = {}
return temp
end)
function WorldBossVipPanel:ctor()
globalData.messageAdder:getWorldBossVipInfo()
globalData.messageAdder:getVipBossChargeBattleTimes()
self:initEvent()
end
function WorldBossVipPanel:initEvent()
globalData.worldBossVipInfo:addEventListener(globalData.globalEventType.playerInfo_worldBossVipTime,self.updateWorldBossTimeHandler,self)
globalData.worldBossVipInfo:addEventListener(globalData.globalEventType.playerInfo_worldBossChargeBattleTimes,self.updateWorldBossChargeBattleTimes,self)
end
function WorldBossVipPanel:removeEvent()
globalData.worldBossVipInfo:removeEventListener(globalData.globalEventType.playerInfo_worldBossVipTime,self.updateWorldBossTimeHandler,self)
globalData.worldBossVipInfo:removeEventListener(globalData.globalEventType.playerInfo_worldBossChargeBattleTimes,self.updateWorldBossChargeBattleTimes,self)
end
function WorldBossVipPanel:updateWorldBossTimeHandler()
self:initView()
end
function WorldBossVipPanel:updateWorldBossChargeBattleTimes()
-- body
self.buyTimes:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("WorldBossVipPanel.text3"),globalData.worldBossVipInfo.times))
end
function WorldBossVipPanel:initView()
local copyInfo = nil
for i = 1,3,1 do
copyInfo = globalData.allTemplates.copyTemplateList:getCopy(globalData.allTemplates.copyTemplateList.BOSSVIP[i])
table.insert(self._infoList,copyInfo)
end
if(#self._viewList > 0) then
if(self._viewList ~= nil) then
for __,view in pairs(self._viewList) do
view:dispose()
end
self._viewList = {}
end
end
local flushTime = 0
for i = 1,3,1 do
flushTime  = globalData.worldBossVipInfo:getFlushTime(globalData.allTemplates.copyTemplateList.BOSSVIP[i]) - math.floor(globalData.systemDateInfo:getSystemTime()*0.001)
if(flushTime < 0) then flushTime = 0 end
local view = WorldBossVipItem:new(self._sceneController,globalData.allTemplates.copyTemplateList.BOSSVIP[i],flushTime)
view:setPositionX(10 + (i - 1) * 293)
view:setData(self._infoList[i])
self.itemContainer:addChild(view,5)
table.insert(self._viewList,view)
if globalData.consumenGiftInfo.vipBossIsShow then
view:showDoubleTip(true)
else
view:showDoubleTip(false)
end
end
end
function WorldBossVipPanel:dispose()
self:removeEvent()
self.itemContainer:removeAllPages()
self.itemContainer = nil
self._sceneController = nil
self.buyTimes = nil
if(self._viewList ~= nil) then
for __,view in pairs(self._viewList) do
view:dispose()
end
self._viewList = nil
end
self._infoList = nil
if(self._widget ~= nil)then
globalManager.ccCreator:release(self._widget)
self._widget = nil
end
self:__basePanelDispose()
self.__basePanelDispose = nil
end
WorldBossVipFollowPanel = class("WorldBossVipFollowPanel",function(self,controller)
local temp = globalManager.ccCreator:newJsonWidget("copyFollowView2")
temp._controller = controller
temp._infoPanel = temp:getChildByName("info_panel")
temp._monsterLabel = temp._infoPanel:getChildByName("monster_label")
local timeLayer = temp._infoPanel:getChildByName("time_layer")
temp._timeLabel = CountDownLabel:new(nil,3,nil,globalData.allStaticTypes.colorType.COLORGREEN,0)
timeLayer:addChild(temp._timeLabel)
temp._info = nil
temp.count = 0
temp._infoPanel:getChildByName("Label_31649_Copy3"):setText(globalManager.yuyanbaoManager:getYuyanbao("WorldBossVipFollowPanel.text1"))
temp._infoPanel:getChildByName("Label_31649_Copy1"):setText(globalManager.yuyanbaoManager:getYuyanbao("WorldBossVipFollowPanel.text2"))
return temp
end)
function WorldBossVipFollowPanel:ctor()
self._info = globalData.copyInfo.currentCopyInfo
self:initEvent()
end
function WorldBossVipFollowPanel:initEvent()
self._info:addEventListener(globalData.globalEventType.playerInfo_copyMonster,self.updateMonsterHandler,self)
self._info:addEventListener(globalData.globalEventType.playerInfo_copyTime,self.updateTimeHandler,self)
end
function WorldBossVipFollowPanel:removeEvent()
self._info:removeEventListener(globalData.globalEventType.playerInfo_copyMonster,self.updateMonsterHandler,self)
self._info:removeEventListener(globalData.globalEventType.playerInfo_copyTime,self.updateTimeHandler,self)
end
function WorldBossVipFollowPanel:updateMonsterHandler(evt)
self._monsterLabel:setText((self._info.totalMonster - self._info.leftMonster).."/"..self._info.totalMonster)
if((self._info.totalMonster - self._info.leftMonster) == self._info.totalMonster) then
globalManager.tickManager:addTick(self.tick,self)
end
end
function WorldBossVipFollowPanel:tick(delta, count)
self.count = self.count + 1
if(self.count >= 180)then
self._controller.sceneModule.message:sendQuitCopy()
self.count = 0
globalManager.tickManager:removeTick(self.tick,self)
end
end
function WorldBossVipFollowPanel:updateTimeHandler(evt)
self._timeLabel:start(self._info.leftTime)
end
function WorldBossVipFollowPanel:dispose()
self:removeEvent()
globalManager.tickManager:removeTick(self.tick,self)
self._info = nil
self._controller = nil
self._infoPanel = nil
self._monsterLabel = nil
if(self._timeLabel ~= nil) then
self._timeLabel:dispose()
self._timeLabel = nil
end
globalManager.ccCreator:release(self)
end
WorldBossVipCompletePanel = class("WorldBossVipCompletePanel", function()
local self = globalManager.ccCreator:newJsonWidget("copyOverView5")
self._info 	 	  = globalData.copyInfo.worldBossVipCopyInfo
self.txtV2        = self:getChildByName("txtV2")
self.txtV4        = self:getChildByName("txtV4")
self.quitBtn      = self:getChildByName("quitBtn")
self.timeLabel    = self.quitBtn:getChildByName("btnLabel")
self.copperLabel  = self:getChildByName("honourLabel_Copy0")
self.goldImg      = self:getChildByName("goldImg")
self._itemList    = {}
for i = 1,5,1 do
table.insert(self._itemList,self:getChildByName("item"..i))
end
self._time = 0
self._count = 0
self._goodsInfos = {}
self._gridList = {}
self.totalCopper = 0
self:getChildByName("againBtn"):setEnabled(false)
self:getChildByName("againBtn"):setVisible(false)
self:getChildByName("honourLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("WorldBossVipCompletePanel.text2"))
self:getChildByName("honourLabel_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("WorldBossVipCompletePanel.text3"))
self:getChildByName("honourLabel_Copy1"):setText(globalManager.yuyanbaoManager:getYuyanbao("WorldBossVipCompletePanel.text4"))
self:getChildByName("quitBtn"):getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel1"))
self:getChildByName("tipsLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("WorldBossVipCompletePanel.text5"))
return self
end)
function WorldBossVipCompletePanel:ctor()
self:initEvent()
self:show()
end
function WorldBossVipCompletePanel:initEvent()
local exitClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self:dispose()
end
end
self.quitBtn:addTouchEventListener(exitClickHandler)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_reConnect,self.dispose,self)
end
function WorldBossVipCompletePanel:removeEvent()
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.scene_reConnect,self.dispose,self)
end
function WorldBossVipCompletePanel:show()
self._time = 5
self.timeLabel:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("WorldBossVipCompletePanel.text1"),self._time))
self._count = 0
globalManager.tickManager:addTick(self.tick,self)
self.txtV4:setText(self._info.totalExp)
local index = 1
for __,item in pairs(self._info.itemList) do
local templateInfo = globalData.allTemplates.goodsTemplateList:getTemplate(item[1])
if(templateInfo.categoryId == globalData.allStaticTypes.categoryType.copperType)then
self.totalCopper = templateInfo.property1 * item[2]
elseif(item[3] == nil or item[3] == 0 or item[3] == globalData.allStaticTypes.careerType:getCareer(globalData.selfPlayerInfo.career)) then   --自己的职业，或者不分职业的物品筛选
local grid = GoodsInfoGrid:new()
local goodsinfo = GoodsInfo:new()
goodsinfo:setTemplateId(item[1])
goodsinfo.count = item[2]
if(item[4] ~= nil) then
goodsinfo:updateStrengthLevel(item[4])
end
if(item[5] ~= nil) then
goodsinfo.stage = item[5]
end
table.insert(self._goodsInfos,goodsinfo)
grid:setGoodsInfo(goodsinfo)
self._itemList[index]:addChild(grid)
table.insert(self._gridList,grid)
index = index + 1
if(index >= 6)then
break
end
end
end
self.txtV2:setText(self.totalCopper)
globalData.uiClickContainer:addItem(self,true,true)
end
function WorldBossVipCompletePanel:tick(delta,count)
self._count = self._count + 1
if(self._count >= 60) then
self._count = 0
self._time = self._time - 1
if(self._time <= 0) then
self:dispose()
else
self.timeLabel:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("WorldBossVipCompletePanel.text1"),self._time))
end
end
end
function WorldBossVipCompletePanel:hideFormClickContainer()
end
function WorldBossVipCompletePanel:dispose()
--	globalData.messageAdder:getWorldBossVipInfo()
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.worldBossTab,globalData.allStaticTypes.panelTabType.worldBossVip)
globalData.uiClickContainer:close(self)
globalManager.tickManager:removeTick(self.tick,self)
self:removeEvent()
for __,info in pairs(self._goodsInfos) do
info:dispose()
end
if(self._gridList ~= nil) then
for __,grid in pairs(self._gridList) do
grid:dispose()
end
self._gridList = nil
end
self._itemList = nil
self._goodsInfos = nil
self._info = nil
self.txtV2 = nil
self.txtV4 = nil
self.quitBtn = nil
self.timeLabel = nil
self.copperLabel = nil
self.goldImg = nil
globalManager.ccCreator:release(self)
end
YiChuiReward2View = class("YiChuiReward2View",function(self,id,closeCallback)
local yc = globalManager.ccCreator:newJsonWidget("yiChuiResultPanel")
yc.id = id
yc.title_label = yc:getChildByName("title_label")
yc.grid_bg = yc:getChildByName("grid_bg")
yc.ok_btn = yc:getChildByName("ok_btn")
yc:getChildByName("sign_img_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("YiChuiReward2View.text1"))
yc:getChildByName("Label_129391_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("YiChuiReward2View.text2"))
yc.ok_btn:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel1"))
yc._grid = nil
yc._closeCallback = closeCallback
return yc
end)
function YiChuiReward2View:ctor()
local award = globalData.allTemplates.yichuiTemplate.list[self.id]
self.title_label:setText(globalManager.yuyanbaoManager:getYuyanbao("YiChuiReward2View.text4")..award.name)
self._grid = BaseGrid:new(true)
self._grid:setGoodsTempInfo(globalData.allTemplates.goodsTemplateList:getTemplate(award.awardList[1][1]))
self._grid:setCount(award.awardList[1][2])
self.grid_bg:addChild(self._grid)
local btnClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalData.messageAdder:yichuiGetAward(self.id)
self:dispose()
end
end
self.ok_btn:addTouchEventListener(btnClickHandler)
end
function YiChuiReward2View:hideFormClickContainer()
end
function YiChuiReward2View:dispose()
self.title_label = nil
self.grid_bg = nil
self.ok_btn = nil
if(self._grid ~= nil)then
self._grid:dispose()
self._grid = nil
end
if(self._closeCallback ~= nil)then
self:_closeCallback()
self._closeCallback = nil
end
globalData.uiClickContainer:close(self)
globalManager.ccCreator:release(self)
end
YiChuiReward3View = class("YiChuiReward3View",function(_, data)
local self = globalManager.ccCreator:newJsonWidget("yiChuiCardPanel")
-- ItemId:32, Amount:32
self.itemId    = 0
self.amount    = 0
self.close_btn = self:getChildByName("close_btn")
self.cards     = {}
self.goodsinfo = nil
self.grid 	   = GoodsInfoGrid:new(true)
self.required  = 0
self._time 	   = 0
self.cardBack  = globalManager.pathManager:getUISource("outPic/ui_cardBack.png")
self.cardFront = globalManager.pathManager:getUISource("outPic/ui_cardFront.png")
self:getChildByName("ImageView_8507_Copy1"):getChildByName("LabelBMFont_8508_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("YiChuiRewardView.text9"))
for i = 1, 4 do
table.insert(self.cards, self:getChildByName("card"..i))
end
self.close_btn:setEnabled(false)
return self
end)
function YiChuiReward3View:ctor()
--显示背面
for i = 1, 4 do
globalManager.sourceCacheManager:setImage(self.cards[i],self.cardBack,globalData.allStaticTypes.sourceStaticType.clearFiveM)
end
self:initEvent()
globalData.uiClickContainer:addItem(self,true,true)
end
function YiChuiReward3View:initEvent()
local function btnClickHandler(sender, eventType)
if self.required == 0 and eventType == TOUCH_EVENT_ENDED then
for i = 1, 4 do
if self.cards[i] == sender then
self.required = i
end
end
--请求奖励
globalManager.messageManager:send(globalData.allStaticTypes.messageType.YCDY_CARD_AWARD)
end
end
-- local function btnCloseClickHandler(sender, eventType)
-- 	if eventType == TOUCH_EVENT_ENDED then
-- 		self:dispose()
-- 	end
-- end
for i = 1, 4 do
self.cards[i]:addTouchEventListener(btnClickHandler)
end
-- self.close_btn:addTouchEventListener(btnCloseClickHandler)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.yichui_cardAward,self.yiChuiCardAward,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_closeOtherPanel,self.dispose,self)
end
function YiChuiReward3View:yiChuiCardAward(evt)
if self.required == 0 then return end
globalManager.sourceCacheManager:removeQuote(self.cardBack)
globalManager.sourceCacheManager:setImage(self.cards[self.required],self.cardFront,globalData.allStaticTypes.sourceStaticType.clearFiveM)
--更换背景
local data = evt.data
self.itemId    = data[1]
self.amount    = data[2]
self.goodsinfo = GoodsInfo:new()
self.goodsinfo:setTemplateId(self.itemId)
self.goodsinfo.count = self.amount
self.grid:setGoodsInfo(self.goodsinfo)
self.cards[self.required]:addChild(self.grid)
self.grid:setPosition(-37, 34)
globalManager.tickManager:addTick(self.tick,self)
end
function YiChuiReward3View:tick(delta,count)
self._time = self._time + delta
if(self._time >= 2) then
self._time = 0
globalManager.tickManager:removeTick(self.tick, self)
self:dispose()
end
end
function YiChuiReward3View:removeEvent()
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.yichui_cardAward,self.yiChuiCardAward,self)
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.scene_closeOtherPanel,self.dispose,self)
end
function YiChuiReward3View:hideFormClickContainer()
-- self:dispose()
end
function YiChuiReward3View:dispose()
if self.required == 0 then
globalManager.messageManager:send(globalData.allStaticTypes.messageType.YCDY_CARD_AWARD)
end
globalManager.tickManager:removeTick(self.tick, self)
self:removeEvent()
if self.cards ~= nil then
for i = 1, 4 do
if i == self.required then
globalManager.sourceCacheManager:removeQuote(self.cardFront)
else
globalManager.sourceCacheManager:removeQuote(self.cardBack)
end
self.cards = nil
end
self.cards = nil
end
if self.goodsinfo ~= nil then
self.goodsinfo:dispose()
self.goodsinfo = nil
end
if self.grid ~= nil then
self.grid:dispose()
self.grid = nil
end
self.itemId    = nil
self.amount    = nil
self.close_btn = nil
globalData.uiClickContainer:close(self)
globalManager.ccCreator:release(self)
end
YiChuiRewardView = class("YiChuiRewardView",function(self,monsterIds)
local yc = globalManager.ccCreator:newJsonWidget("yiChuiAwardPanel")
yc._awardLabels = {yc:getChildByName("award_label1"),yc:getChildByName("award_label2"),yc:getChildByName("award_label3")}
yc._numLabel1s = {yc:getChildByName("num_label11"),yc:getChildByName("num_label21"),
yc:getChildByName("num_label31"),yc:getChildByName("num_label41"),yc:getChildByName("num_label51")}
yc._numLabel2s = {yc:getChildByName("num_label12"),yc:getChildByName("num_label22"),
yc:getChildByName("num_label32"),yc:getChildByName("num_label42"),yc:getChildByName("num_label52")}
yc._numLabel3s = {yc:getChildByName("num_label13"),yc:getChildByName("num_label23"),
yc:getChildByName("num_label33"),yc:getChildByName("num_label43"),yc:getChildByName("num_label53")}
yc._numLabels = {yc._numLabel1s,yc._numLabel2s,yc._numLabel3s}
yc._itemNamelabels = {yc:getChildByName("item_name_label1"),
yc:getChildByName("item_name_label2"),yc:getChildByName("item_name_label3")}
yc._hasGetIcons = {yc:getChildByName("hasGot_icon1"),
yc:getChildByName("hasGot_icon2"),yc:getChildByName("hasGot_icon3")}
yc._hasGetIcons1 = yc:getChildByName("hasGot_icon4")
yc.close_btn = yc:getChildByName("close_btn")
yc:getChildByName("Label_129391_Copy1"):setText(globalManager.yuyanbaoManager:getYuyanbao("YiChuiRewardView.text1"))
yc:getChildByName("Label_359755"):setText(globalManager.yuyanbaoManager:getYuyanbao("YiChuiRewardView.text2"))
yc:getChildByName("Label_129391_Copy2"):setText(globalManager.yuyanbaoManager:getYuyanbao("YiChuiRewardView.text3"))
yc:getChildByName("award_label1"):setText(globalManager.yuyanbaoManager:getYuyanbao("YiChuiRewardView.text4"))
yc:getChildByName("award_label2"):setText(globalManager.yuyanbaoManager:getYuyanbao("YiChuiRewardView.text5"))
yc:getChildByName("award_label3"):setText(globalManager.yuyanbaoManager:getYuyanbao("YiChuiRewardView.text6"))
yc:getChildByName("Label_129391_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("YiChuiRewardView.text7"))
yc:getChildByName("labelTip"):setText(globalManager.yuyanbaoManager:getYuyanbao("YiChuiRewardView.text8"))
yc:getChildByName("labelTip2"):setText(globalManager.yuyanbaoManager:getYuyanbao("YiChuiRewardView.text9"))
yc._monsterIds = monsterIds
return yc
end)
function YiChuiRewardView:ctor()
local list = globalData.allTemplates.yichuiTemplate.list
for i = 1,#list,1 do
local monsterList = list[i].monsterList
local awardList = list[i].awardList
for j = 1,#self._monsterIds,1 do
local monsterCount = monsterList[self._monsterIds[j]]
if(monsterCount == nil)then
self._numLabels[i][j]:setText("0")
self._numLabels[i][j]:setColor(globalData.allStaticTypes.colorType.COLORGREEN)
else
self._numLabels[i][j]:setText(tostring(monsterCount))
local hasKillCount = globalData.copyInfo.copyYCInfo.monsterList[self._monsterIds[j]]
if(hasKillCount ~= nil and hasKillCount >= monsterCount)then
self._numLabels[i][j]:setColor(globalData.allStaticTypes.colorType.COLORGREEN)
else
self._numLabels[i][j]:setColor(globalData.allStaticTypes.colorType.COLORRED)
end
end
end
self._awardLabels[i]:setText(list[i].name)
local itemTemplate = globalData.allTemplates.goodsTemplateList:getTemplate(awardList[1][1])
self._itemNamelabels[i]:setText(itemTemplate.name)
if(globalData.copyInfo.copyYCInfo.awardList[list[i].id] == true)then
self._hasGetIcons[i]:setEnabled(true)
else
self._hasGetIcons[i]:setEnabled(false)
end
end
if(globalData.copyInfo.copyYCInfo.currentScore >= 1200 and globalData.copyInfo.copyYCInfo.hadCard == 1)then
self._hasGetIcons1:setVisible(true)
else
self._hasGetIcons1:setVisible(false)
end
local clothClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
self:dispose()
end
end
self.close_btn:addTouchEventListener(clothClickHandler)
end
function YiChuiRewardView:hideFormClickContainer()
self:dispose()
end
function YiChuiRewardView:dispose()
globalData.uiClickContainer:close(self)
self._awardLabels = nil
self._numLabel1s = nil
self._numLabel2s = nil
self._numLabel3s = nil
self._numLabels = nil
self._itemNamelabels = nil
self._hasGetIcons = nil
self._monsterIds = nil
self.close_btn = nil
self._hasGetIcons1 = nil
globalManager.ccCreator:release(self)
end
CopyYiChuiFollowPanel = class("CopyYiChuiFollowPanel",function(self,controller)
local yc = globalManager.ccCreator:newJsonWidget("yiChuiFollowPanel")
yc.score_label = yc:getChildByName("score_label")
yc.exp_label = yc:getChildByName("exp_label")
yc.count_label1 = yc:getChildByName("count_label1")
yc.count_label2 = yc:getChildByName("count_label2")
yc.count_label3 = yc:getChildByName("count_label3")
yc.count_label4 = yc:getChildByName("count_label4")
yc.count_label5 = yc:getChildByName("count_label5")
yc.countLabels = {yc.count_label1,yc.count_label2,yc.count_label3,yc.count_label4,yc.count_label5}
yc._controller = controller
yc.monsterIds = {162005,162004,162003,162002,162001}
yc.name_label = yc:getChildByName("name_label")
yc.state_label = yc:getChildByName("state_label")
yc.award_btn = yc:getChildByName("award_btn")
yc.tip_btn = yc:getChildByName("tip_btn")
yc:getChildByName("Label_359681"):setText(globalManager.yuyanbaoManager:getYuyanbao("CopyYiChuiFollowPanel.text1"))
yc:getChildByName("Label_359689_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("CopyYiChuiFollowPanel.text2"))
yc:getChildByName("Label_359681_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("CopyYiChuiFollowPanel.text3"))
yc:getChildByName("Label_359589_Copy1"):setText(globalManager.yuyanbaoManager:getYuyanbao("CopyYiChuiFollowPanel.text4"))
yc.showingAward = false
yc.refleshTip = globalManager.ccCreator:newJsonWidget("yiChuiTipView")
yc.refleshTip:setPosition(globalData.GAME_WIDTH / 2 - 200,150)
globalManager.containerManager.fixUIContainer:addChild(yc.refleshTip,3)
yc.tip_nameLabel = yc.refleshTip:getChildByName("name_label")
yc._countDown = CountDownLabel:new(yc.refleshTip:getChildByName("time_label"),0,nil,nil,0)
yc.refleshTip:getChildByName("name_label"):setText(globalManager.yuyanbaoManager:getYuyanbao("CopyYiChuiFollowPanel.text5"))
self._isDoudleExp = false
return yc
end)
function CopyYiChuiFollowPanel:ctor()
self._isDoudleExp = globalData.consumenGiftInfo.yiChuiExpIsShow
self._controller:setCopyTime(math.floor((globalData.activityIcons.HUDIE.timeEnd - globalData.systemDateInfo:getZeroPassTime())))
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.yichui_info,self.yiChuiInfoUpdate,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.yichui_monster,self.yiChuiMonTimeUpdate,self)
local function awardClickHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
local view = YiChuiRewardView:new(self.monsterIds)
globalData.uiClickContainer:addItem(view,true,true)
end
end
local function tipClickHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
local content = globalManager.yuyanbaoManager:getYuyanbao("CopyYiChuiFollowPanel.text8")
globalManager.tipsManager:showString(content)
end
end
self:yiChuiMonTimeUpdate(nil)
self.award_btn:addTouchEventListener(awardClickHandler)
self.tip_btn:addTouchEventListener(tipClickHandler)
globalData.messageAdder:yichuiInfo()
end
function CopyYiChuiFollowPanel:removeEvent()
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.yichui_info,self.yiChuiInfoUpdate,self)
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.yichui_monster,self.yiChuiMonTimeUpdate,self)
end
function CopyYiChuiFollowPanel:yiChuiMonTimeUpdate(evt)
local time = math.ceil(globalData.copyInfo.copyYCInfo.monsterTime - globalData.systemDateInfo:getSystemTime() / 1000)
if(time > 0 and time < 1000000)then
self._countDown:start(time)
self.refleshTip:setEnabled(true)
else
self._countDown:start(0)
-- self.refleshTip:setEnabled(false)
end
end
function CopyYiChuiFollowPanel:yiChuiInfoUpdate(evt)
self.score_label:setText(tostring(globalData.copyInfo.copyYCInfo.currentScore).."/"..tostring(globalData.copyInfo.copyYCInfo.totalScore))
if(self._isDoudleExp)then
self.exp_label:setText(tostring(globalData.copyInfo.copyYCInfo.currentScore * globalData.selfPlayerInfo.level * 12 * 2))
else
self.exp_label:setText(tostring(globalData.copyInfo.copyYCInfo.currentScore * globalData.selfPlayerInfo.level * 12))
end
local len = #self.monsterIds
for i = 1,len,1 do
local value = globalData.copyInfo.copyYCInfo.monsterList[self.monsterIds[i]]
if(value == nil)then value = 0 end
self.countLabels[i]:setText("("..tostring(value)..")")
end
local awardList = globalData.allTemplates.yichuiTemplate.list
local awardLen = #awardList
for i = 1,awardLen,1 do
if(i == awardLen and globalData.copyInfo.copyYCInfo.awardList[awardList[i].id] == true)then
self.name_label:setText(awardList[i].name)
self.state_label:setText(globalManager.yuyanbaoManager:getYuyanbao("ActivityAchievementItem.text1"))
self.state_label:setColor(globalData.allStaticTypes.colorType.COLORGREEN)
break
end
if(globalData.copyInfo.copyYCInfo.awardList[awardList[i].id] == nil)then
self.name_label:setText(awardList[i].name)
self.state_label:setText(globalManager.yuyanbaoManager:getYuyanbao("CopyYiChuiFollowPanel.text7"))
self.state_label:setColor(globalData.allStaticTypes.colorType.COLORRED)
break
end
end
local function closeCallback()
self.showingAward = false
end
for i = 1,awardLen,1 do
if(self.showingAward == false)then
if(globalData.copyInfo.copyYCInfo.awardList[awardList[i].id] == nil)then
local monsterList = awardList[i].monsterList
local canGet = true
for k,v in pairs(monsterList) do
local monsterId = k
local templateCount = v
local monsterCount = globalData.copyInfo.copyYCInfo.monsterList[monsterId]
if(monsterCount == nil or monsterCount < templateCount)then
canGet = false
end
end
if(canGet == true)then
--show
local view = YiChuiReward2View:new(awardList[i].id,closeCallback)
globalData.uiClickContainer:addItem(view,true)
self.showingAward = true
end
end
end
end
end
function CopyYiChuiFollowPanel:dispose()
self:removeEvent()
self.score_label = nil
self.exp_label = nil
self.count_label1 = nil
self.count_label2 = nil
self.count_label3 = nil
self.count_label4 = nil
self.count_label5 = nil
self.name_label = nil
self.state_label = nil
self.award_btn = nil
self.tip_btn = nil
self._controller = nil
self.countLabels = nil
self._isDoudleExp = nil
if(self._countDown ~= nil)then
self._countDown:dispose()
self._countDown = nil
end
if(self.refleshTip ~= nil)then
globalManager.ccCreator:release(self.refleshTip)
self.refleshTip = nil
end
self.tip_nameLabel = nil
globalManager.ccCreator:release(self)
end
YuanGuFollowPanel = class("YuanGuFollowPanel",function(self,controller)
local yg = globalManager.ccCreator:newJsonWidget("yuanguFollowView")
--mapEnterController
yg._controller = controller
yg.num_label1 = yg:getChildByName("num_label1")
yg.num_label2 = yg:getChildByName("num_label2")
yg.num_label3 = yg:getChildByName("num_label3")
yg.count_label1 = yg:getChildByName("count_label1")
yg.count_label2 = yg:getChildByName("count_label2")
yg.count_label3 = yg:getChildByName("count_label3")
yg.flag1 = yg:getChildByName("ImageView_313147")
yg.flag2 = yg:getChildByName("ImageView_313148")
yg.flag3 = yg:getChildByName("ImageView_313149")
yg.self_label = yg:getChildByName("self_label")
yg.info_btn = yg:getChildByName("info_btn")
yg.rank_btn = yg:getChildByName("rank_btn")
yg:getChildByName("Label_313160"):setText(globalManager.yuyanbaoManager:getYuyanbao("YuanGuFollowPanel.text1"))
yg.comboKillView = ComboKillView:new()
yg.comboKillView:setPosition(globalManager.ccCreator:newPoint(globalData.GAME_WIDTH - 70,220))
yg:addChild(yg.comboKillView)
yg._frameCount = -1
return yg
end)
function YuanGuFollowPanel:ctor()
self:initEvent()
self.flag1:loadTexture("icon/copyBlueIcon.png",1)
self.flag2:loadTexture("icon/copyRedIcon.png",1)
self.flag3:loadTexture("icon/copyGreenIcon.png",1)
local passTime = globalData.systemDateInfo:getZeroPassTime()
if((globalData.activityIcons.YUANGU.timeEnd - passTime) >= 0)then
self._controller:setCopyTime(math.floor((globalData.activityIcons.YUANGU.timeEnd - passTime)))
else
self._controller:setCopyTime(math.floor((globalData.activityIcons.YUANGU2.timeEnd - passTime)))
end
globalManager.tickManager:addTick(self.tick, self)
end
function YuanGuFollowPanel:initEvent()
local infoClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
globalManager.tipsManager:showString(globalManager.descriptManager:getDescript("10062"))
end
end
local rankClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
self._controller:showRankPanel()
end
end
self.info_btn:addTouchEventListener(infoClickHandler)
self.rank_btn:addTouchEventListener(rankClickHandler)
globalData.copyInfo.copyYGInfo:addEventListener(globalData.globalEventType.yuangu_info,self.infoUpdateHandler,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_comboKill,self.comboKillUpdate,self)
end
function YuanGuFollowPanel:removeEvent()
globalData.copyInfo.copyYGInfo:removeEventListener(globalData.globalEventType.yuangu_info,self.infoUpdateHandler,self)
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.scene_comboKill,self.comboKillUpdate,self)
end
function YuanGuFollowPanel:infoUpdateHandler(evt)
self:updateView()
end
function YuanGuFollowPanel:comboKillUpdate(evt)
self.comboKillView:setNum(evt.data)
end
function YuanGuFollowPanel:updateView()
self.num_label1:setText(tostring(globalData.copyInfo.copyYGInfo.camp1PlayerCount)..globalManager.yuyanbaoManager:getYuyanbao("YuanGuFollowPanel.text2"))
self.num_label2:setText(tostring(globalData.copyInfo.copyYGInfo.camp2PlayerCount)..globalManager.yuyanbaoManager:getYuyanbao("YuanGuFollowPanel.text2"))
self.num_label3:setText(tostring(globalData.copyInfo.copyYGInfo.camp3PlayerCount)..globalManager.yuyanbaoManager:getYuyanbao("YuanGuFollowPanel.text2"))
self.count_label1:setText(tostring(globalData.copyInfo.copyYGInfo.camp1PlayerScore)..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel86"))
self.count_label2:setText(tostring(globalData.copyInfo.copyYGInfo.camp2PlayerScore)..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel86"))
self.count_label3:setText(tostring(globalData.copyInfo.copyYGInfo.camp3PlayerScore)..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel86"))
self.self_label:setText(tostring(string.format(globalManager.yuyanbaoManager:getYuyanbao("YuanGuFollowPanel.text4"),globalData.copyInfo.copyYGInfo.selfScore,globalData.copyInfo.copyYGInfo.selfRank)))
end
function YuanGuFollowPanel:tick(delta, tickCount)
self._frameCount = self._frameCount + 1
if(self._frameCount % 300 == 0)then
self._controller.sceneModule.message.yuanGuSender:sendGetInfo()
end
end
function YuanGuFollowPanel:dispose()
globalManager.tickManager:removeTick(self.tick, self)
self:removeEvent()
self._controller = nil
self.num_label1 = nil
self.num_label2 = nil
self.num_label3 = nil
self.count_label1 = nil
self.count_label2 = nil
self.count_label3 = nil
self.self_label = nil
self.info_btn = nil
self.rank_btn = nil
if(self.comboKillView ~= nil) then
self.comboKillView:dispose()
self.comboKillView = nil
end
globalManager.ccCreator:release(self)
end
YuanGuRankItem = class("YuanGuRankItem",function()
local yg = globalManager.ccCreator:newJsonWidget("yuanguRankItem")
yg.rank_label = yg:getChildByName("rank_label")
yg.name_label = yg:getChildByName("name_label")
yg.level_label = yg:getChildByName("level_label")
yg.fight_label = yg:getChildByName("fight_label")
yg.camp_icon = yg:getChildByName("camp_icon")
yg.num_label = yg:getChildByName("num_label")
yg.campId = 0
return yg
end)
--yuanGuRankPlayerInfo
function YuanGuRankItem:setData(info)
self.rank_label:setText(tostring(info.rank))
self.name_label:setText(info.nick)
self.level_label:setText(tostring(info.level))
self.fight_label:setText(tostring(info.fight))
self.num_label:setText(tostring(info.score))
self.campId = info.camp
if(info.camp == 1)then
self.camp_icon:loadTexture("icon/copyBlueIcon.png",1)
elseif(info.camp == 2)then
self.camp_icon:loadTexture("icon/copyRedIcon.png",1)
else
self.camp_icon:loadTexture("icon/copyGreenIcon.png",1)
end
end
function YuanGuRankItem:getCampId()
return self.campId
end
function YuanGuRankItem:dispose()
self.rank_label = nil
self.name_label = nil
self.level_label = nil
self.fight_label = nil
self.camp_icon = nil
self.num_label = nil
globalManager.ccCreator:release(self)
end
YuanGuRankPanel = class("YuanGuRankPanel",function(self,controller)
local yg = globalManager.ccCreator:newJsonWidget("yuanguRankView")
yg._controller = controller
yg.item_list = yg:getChildByName("item_list")
yg.show_check = yg:getChildByName("show_check")
yg.rank_label = yg:getChildByName("rank_label")
yg.num_label = yg:getChildByName("num_label")
yg:getChildByName("LabelBMFont_8508_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("YuanGuRankPanel.text1"))
yg:getChildByName("self_label_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("YuanGuRankPanel.text2"))
yg:getChildByName("self_label_Copy1"):setText(globalManager.yuyanbaoManager:getYuyanbao("FiveEquipTip.text11"))
yg:getChildByName("self_label_Copy2"):setText(globalManager.yuyanbaoManager:getYuyanbao("YuanGuRankPanel.text4"))
yg:getChildByName("self_label_Copy3"):setText(globalManager.yuyanbaoManager:getYuyanbao("YuanGuRankPanel.text5"))
yg:getChildByName("self_label_Copy4"):setText(globalManager.yuyanbaoManager:getYuyanbao("YuanGuRankPanel.text6"))
yg.show_check:getChildByName("checkLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("YuanGuRankPanel.text7"))
yg.playerItems = {}
return yg
end)
function YuanGuRankPanel:ctor()
self:initEvent()
self._controller.sceneModule.message.yuanGuSender:sendRank()
end
function YuanGuRankPanel:initEvent()
local function selectedEvent(sender,eventType)
self:updateView()
end
self.show_check:addEventListenerCheckBox(selectedEvent)
globalData.copyInfo.copyYGInfo:addEventListener(globalData.globalEventType.yuangu_rank,self.rankInfoUpdate,self)
end
function YuanGuRankPanel:removeEvent()
globalData.copyInfo.copyYGInfo:removeEventListener(globalData.globalEventType.yuangu_rank,self.rankInfoUpdate,self)
end
function YuanGuRankPanel:rankInfoUpdate(evt)
self.rank_label:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("YuanGuFollowPanel.text5"),globalData.copyInfo.copyYGInfo.selfRank))
self.num_label:setText(globalManager.yuyanbaoManager:getYuyanbao("YuanGuRankPanel.text8")..tostring(globalData.copyInfo.copyYGInfo.selfScore)..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel86"))
self:clearItems()
local list = globalData.copyInfo.copyYGInfo.rankPlayerList
local len = table.getn(list)
for i = 1,len,1 do
local item = YuanGuRankItem:new()
item:setData(list[i])
table.insert(self.playerItems,item)
end
self:updateView()
end
function YuanGuRankPanel:updateView()
local isSelect = self.show_check:getSelectedState()
local selfPlayer = self._controller.sceneModule.sceneInfo.scenePlayerList.selfPlayer
if(selfPlayer == nil)then return end
local selfWarState = selfPlayer.warState
self.item_list:removeAllItems()
local len = table.getn(self.playerItems)
for i = 1,len,1 do
if(isSelect)then
if(selfWarState == self.playerItems[i]:getCampId())then
self.item_list:pushBackCustomItem(self.playerItems[i])
end
else
self.item_list:pushBackCustomItem(self.playerItems[i])
end
end
self.item_list:refreshView()
end
function YuanGuRankPanel:clearItems()
local len = table.getn(self.playerItems)
for i = 1,len,1 do
self.playerItems[i]:dispose()
end
self.item_list:removeAllItems()
self.playerItems = {}
end
function YuanGuRankPanel:hideFormClickContainer()
self:dispose()
end
function YuanGuRankPanel:dispose()
self:removeEvent()
self:clearItems()
self._controller = nil
self.item_list = nil
self.show_check = nil
self.rank_label = nil
self.num_label = nil
self.playerItems = nil
globalData.uiClickContainer:close(self)
globalManager.ccCreator:release(self)
end
YuanGuResultPanel = class("YuanGuResultPanel", function(self,controller)
local temp = globalManager.ccCreator:newJsonWidget("redHatOverView")
temp._controller = controller
temp._rankLabel = temp:getChildByName("count_label")
temp:getChildByName("rankLabel_Copy3"):setVisible(false)
temp:getChildByName("rankLabel_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("YuanGuResultPanel.text3"))
temp:getChildByName("rankLabel_Copy3"):setText(globalManager.yuyanbaoManager:getYuyanbao("YuanGuResultPanel.text1"))
temp:getChildByName("rankLabel_Copy1"):setText(globalManager.yuyanbaoManager:getYuyanbao("YuanGuResultPanel.text1"))
temp:getChildByName("rankLabel_Copy2"):setText(globalManager.yuyanbaoManager:getYuyanbao("YuanGuResultPanel.text2"))
temp._signImg = temp:getChildByName("signImg_Copy1")
temp._expLabel = temp:getChildByName("exp_label")
temp._honorLabel = temp:getChildByName("copper_label")
temp._quitBtn = temp:getChildByName("quit_btn")
temp._gridList = {}
temp._cellBgList = {}
for i = 1,4,1 do
local cellBg = temp:getChildByName("item"..i.."_cell")
local cell = BaseGrid:new()
cellBg:addChild(cell)
table.insert(temp._gridList,cell)
table.insert(temp._cellBgList,cellBg)
end
temp._quitBtn:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel1"))
return temp
end)
function YuanGuResultPanel:ctor()
self:initEvent()
end
function YuanGuResultPanel:initEvent()
local quitClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self._controller:hideYuanGuResultPanel()
end
end
self._quitBtn:addTouchEventListener(quitClickHandler)
end
function YuanGuResultPanel:removeEvent()
end
function YuanGuResultPanel:setData(sign,rank,exp,honor,items)
if(sign)then
self._signImg:loadTexture("arena/succ.png",1)
else
self._signImg:loadTexture("arena/fail.png",1)
end
local len = #items
for i = 1,4,1 do
if(i > len) then
self._cellBgList[i]:setVisible(false)
self._gridList[i]:setGoodsTempInfo(nil)
else
self._cellBgList[i]:setVisible(true)
self._gridList[i]:setGoodsTempInfo(globalData.allTemplates.goodsTemplateList:getTemplate(items[i][1]))
self._gridList[i]:setCount(items[i][2])
end
end
self._rankLabel:setText(tostring(rank))
self._expLabel:setText(tostring(exp))
self._honorLabel:setText(tostring(honor))
end
function YuanGuResultPanel:hideFormClickContainer()
end
function YuanGuResultPanel:dispose()
self:removeEvent()
self._controller = nil
self._signImg = nil
self._rankLabel = nil
self._expLabel = nil
self._copperLabel = nil
self._quitBtn = nil
self._cellBgList = nil
if(self._gridList ~= nil) then
for i = 1,4,1 do
self._gridList[i]:dispose()
end
self._gridList = nil
end
globalManager.ccCreator:release(self)
end
--财运亨通
Zhuanpan3ItemView = class("Zhuanpan3ItemView",function(self)
local temp = globalManager.ccCreator:newJsonWidget("zhuanpan3ItemView")
temp.cellBg        = temp:getChildByName("cell")
temp.cell          = BaseGrid:new()
temp.cellBg:addChild(temp.cell)
temp.infoLabel     = temp:getChildByName("infoLabel")
temp.selectLight   = temp:getChildByName("selectLight")
temp._info         = nil
return temp
end)
function Zhuanpan3ItemView:ctor()
self.selectLight:setVisible(false)
self:initEvent()
end
function Zhuanpan3ItemView:initEvent()
end
function Zhuanpan3ItemView:removeEvent()
end
function Zhuanpan3ItemView:setData(info)
self._info = info
local goodsTemplate = globalData.allTemplates.goodsTemplateList:getTemplate(info[1])
self.infoLabel:setText(goodsTemplate.name)
self.cell:setGoodsTempInfo(goodsTemplate)
self.cell:setCount(info[2])
end
function Zhuanpan3ItemView:getRate()
return self._info[3]
end
function Zhuanpan3ItemView:setSelected(value)
if(value)then
self.selectLight:setVisible(true)
else
self.selectLight:setVisible(false)
end
end
function Zhuanpan3ItemView:dispose()
self:removeEvent()
self.cellBg  = nil
if(self.cell ~= nil)then
self.cell:dispose()
self.cell = nil
end
self.infoLabel     = nil
self.selectLight   = nil
self._info         = nil
globalManager.ccCreator:release(self)
end
--财运亨通
Zhuanpan3Panel = class("Zhuanpan3Panel",function(self,controller)
local self = BasePanel:new()
self.__basePanelDispose = self.dispose
self._widget            = globalManager.ccCreator:newJsonWidget("zhuanpan3Panel")
self:addChild(self._widget)
self._controller        = controller
self._remainLabel       = self._widget:getChildByName("content1")
self._rechargeLabel     = self._widget:getChildByName("content2")
self._luckBtn           = self._widget:getChildByName("btn1")
self._rechargeBtn       = self._widget:getChildByName("btn2")
self._luckNum           = self._luckBtn:getChildByName("priceLabel")
self._contentLabel      = self._widget:getChildByName("contentLabel")
self._bg                = self._widget:getChildByName("bg")
self._bgPath            = globalManager.pathManager:getUISource("outPic/zhuanpan3Bg.png")
self._itemList          = {}
self._viewList          = {}
for i = 1,10,1 do
table.insert(self._itemList,self._widget:getChildByName("item"..i))
end
self._luckBtn:getChildByName("btnlabel1"):setText(globalManager.yuyanbaoManager:getYuyanbao("Zhuanpan3Panel.text1"))
self._widget:getChildByName("titleLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("Zhuanpan3Panel.text2"))
self._info              = nil
self.speed              = 0
self.addSpeed           = 1
self.flagAward          = false
self.isEnd              = false
self.targetCount        = 0
self.count              = 0
self.timeCount          = 0
self.richList           = {}
self.index              = 0
return self
end)
function Zhuanpan3Panel:ctor()
globalManager.sourceCacheManager:setImage(self._bg,self._bgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self:initEvent()
self:initView()
end
function Zhuanpan3Panel:initView()
self._luckNum:setStringValue("300")
self._info = globalData.allTemplates.yuanbaoTemplateList:getCurrentTemplate()
if(self._info == nil)then
self._luckBtn:setTouchEnabled(false)
else
self._luckBtn:setTouchEnabled(true)
end
if(self._info == nil)then return end
--显示奖品
local len = #self._info.awardList
if(len > 10)then len = 10 end
if(len > 0)then
for i = 1,len,1 do
local view = Zhuanpan3ItemView:new()
view:setData(self._info.awardList[i])
self._itemList[i]:addChild(view)
table.insert(self._viewList,view)
end
end
--请求信息数据
self._controller.sceneModule.message.zhuanpanSender:sendYuanbaoGetInfo()
self:countReturn()
end
--旋转开始
function Zhuanpan3Panel:startZhuan()
self._luckBtn:setTouchEnabled(false)
self._rechargeBtn:setTouchEnabled(false)
self.flagAward = true
self.isEnd  = false
self.speed  = 2
globalManager.tickManager:addTick(self.tick,self)
end
--抽奖数据返回
function Zhuanpan3Panel:pickReturn()
local index = globalData.zhuanPanInfo.position
if(index == 0 or index > 10) then return end
self.index = index
self.isEnd = true
self.count = 0
end
--旋转结束
function Zhuanpan3Panel:endZhuan()
if(self.flagAward)then
self._controller.sceneModule.message.zhuanpanSender:sendYuanbaoGetAward()
self.flagAward = false
end
globalManager.tickManager:removeTick(self.tick,self)
self._luckBtn:setTouchEnabled(true)
self._rechargeBtn:setTouchEnabled(true)
end
function Zhuanpan3Panel:tick(delta,count)
if(self.isEnd) then
self.count = self.count + 1
if(self.count > self.speed)then
self.targetCount = self.targetCount + 1
self.count = 0
if(self.targetCount % 4 == 0)then
self.speed = self.speed + self.addSpeed
end
if(self.targetCount > 10)then
self.targetCount = 1
end
for i = 1,10,1 do
if(i == self.targetCount)then
self._viewList[i]:setSelected(true)
else
self._viewList[i]:setSelected(false)
end
end
end
if(self.speed >= 8)then
if(self.index == self.targetCount)then
self:endZhuan()
end
end
else
self.timeCount = self.timeCount + 1
if(self.timeCount > self.speed)then
self.timeCount = 0
self.targetCount = self.targetCount + 1
if(self.targetCount > 10)then
self.targetCount = 1
end
for i = 1,10,1 do
if(i == self.targetCount)then
self._viewList[i]:setSelected(true)
else
self._viewList[i]:setSelected(false)
end
end
end
end
end
function Zhuanpan3Panel:initEvent()
local payGoodsHandler = function()
self._controller.sceneModule.message.zhuanpanSender:sendYuanbaoPickAward()
self:startZhuan()
end
local rechargeClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
self._controller:showPayPanel()
end
end
local luckClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
local hasCount =  globalData.zhuanPanInfo.hasCount
local rechargeGold = globalData.zhuanPanInfo.rechargeGold
local canCount = math.floor(rechargeGold / 500)
if(canCount - hasCount > 0)then
if(globalData.selfPlayerInfo.moneyInfo.gold >= 300)then
Alert:new():show(2,globalManager.yuyanbaoManager:getYuyanbao("Zhuanpan3Panel.text3"),globalManager.noAlertUtils.YUANBAO_ZHUANPAN,0,self,payGoodsHandler)
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("Zhuanpan3Panel.text4"))
end
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("Zhuanpan3Panel.text5"))
end
end
end
self._luckBtn:addTouchEventListener(luckClickHandler)
self._rechargeBtn:addTouchEventListener(rechargeClickHandler)
globalData.zhuanPanInfo:addEventListener(globalData.globalEventType.zhuanpan_Yuanbao_info,self.infoRetrun,self)
globalData.zhuanPanInfo:addEventListener(globalData.globalEventType.zhuanpan_Yuanbao_pick,self.countReturn,self)
end
function Zhuanpan3Panel:countReturn()
local hasCount =  globalData.zhuanPanInfo.hasCount
local rechargeGold = globalData.zhuanPanInfo.rechargeGold
local canCount = math.floor(rechargeGold / 500)
local goldNum  = 500 - (rechargeGold % 500)
self._remainLabel:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("Zhuanpan3Panel.text6"),canCount - hasCount))
self._rechargeLabel:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("Zhuanpan3Panel.text7"),goldNum))
self:pickReturn()
end
function Zhuanpan3Panel:infoRetrun()
if(#self.richList > 0)then
for __,richLabel in pairs(self.richList) do
richLabel:dispose()
end
self.richList = {}
end
local infoList = globalData.zhuanPanInfo.infoList
local sortFunc = function(info1,info2)
return  info1[1] > info2[1]
end
table.sort(infoList, sortFunc)
local text     = nil
local len      = #infoList
if(len > 11)then len = 11 end
for i = 1,len,1 do
local template = globalData.allTemplates.goodsTemplateList:getTemplate(infoList[i][2])
text = string.format(globalManager.yuyanbaoManager:getYuyanbao("Zhuanpan3Panel.text8"),globalData.allStaticTypes.colorType.TIPTITLE_COLOR_STR,infoList[i][4],globalData.allStaticTypes.colorType.ITEMCOLOR4_STR,template.name,infoList[i][3])
local richLabel = globalManager.ccCreator:newRichLabel2(text,300)
richLabel:setPosition(globalManager.ccCreator:newPoint(-8,350 - (i - 1)*30))
richLabel:setScale(0.9)
self._contentLabel:addChild(richLabel,9)
table.insert(self.richList,richLabel)
end
end
function Zhuanpan3Panel:removeEvent()
globalData.zhuanPanInfo:removeEventListener(globalData.globalEventType.zhuanpan_Yuanbao_info,self.infoRetrun,self)
globalData.zhuanPanInfo:removeEventListener(globalData.globalEventType.zhuanpan_Yuanbao_pick,self.countReturn,self)
end
function Zhuanpan3Panel:dispose()
globalManager.tickManager:removeTick(self.tick,self)
self:removeEvent()
self:endZhuan()
self._controller        = nil
self._remainLabel       = nil
self._rechargeLabel     = nil
self._timeLabel         = nil
self._luckBtn           = nil
self._rechargeBtn       = nil
self._luckNum           = nil
self._contentLabel      = nil
self._bg                = nil
globalManager.sourceCacheManager:removeQuote(self._bgPath)
self._bgPath = nil
self._itemList          = nil
for __,info in pairs(self._viewList) do
info:dispose()
info = nil
end
self._viewList          = {}
self._info              = nil
if(#self.richList > 0)then
for __,richLabel in pairs(self.richList) do
richLabel:dispose()
end
self.richList = {}
end
globalData.zhuanPanInfo:clearInfo()
globalManager.ccCreator:release(self._widget)
self._widget = nil
self:__basePanelDispose()
self.__basePanelDispose = nil
end
ZhuanpanItem = class("ZhuanpanItem",function(self,controller)
local temp = globalManager.ccCreator:newJsonWidget("zhuanpanItemView")
temp.cellBg      = temp:getChildByName("cell")
temp.cell        = BaseGrid:new()
temp.cellBg:addChild(temp.cell)
temp.priceLabel  = temp:getChildByName("priceLabel")
temp.changeBtn   = temp:getChildByName("changeBtn")
temp.remainLabel = temp:getChildByName("remainLabel")
temp:getChildByName("Label_701598"):setText(globalManager.yuyanbaoManager:getYuyanbao("ZhuanpanItem.text1"))
temp.changeBtn:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel57"))
temp.goodsName   = temp:getChildByName("goodsNameLabel")
temp._controller = controller
temp.templateId  = 0
temp.type        = 0
temp.remainNum   = 0
temp.price       = 0
temp.TotalNum    = 0
return temp
end)
function ZhuanpanItem:ctor()
self:initEvent()
end
function ZhuanpanItem:initEvent()
local clickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
if(self.remainNum <= 0)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("ZhuanpanItem.text3"))
else
if(self.price > globalData.zhuanPanInfo.score)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("FiveEquipTip.text18"))
else
self._controller.sceneModule.message.zhuanpanSender:sendExchange(self.type,self.templateId)
end
end
end
end
self.changeBtn:addTouchEventListener(clickHandler)
end
function ZhuanpanItem:removeEvent()
end
function ZhuanpanItem:setData(info,type)
self.templateId = info[2]
self.type       = type
self.TotalNum   = info[5]
self.price      = info[4]
self.cell:setGoodsTempInfo(globalData.allTemplates.goodsTemplateList:getTemplate(info[2]))
self.cell:setCount(info[3])
local templateInfo = globalData.allTemplates.goodsTemplateList:getTemplate(info[2])
self.goodsName:setText(templateInfo.name)
self.goodsName:setColor(globalData.allStaticTypes.colorType:getColorByQuality(templateInfo.quality))
self.priceLabel:setText(info[4])
self.remainNum = self.TotalNum
self.remainLabel:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("ZhuanpanItem.text5"),info[5]))
end
function ZhuanpanItem:setRemainNum(num)
self.remainNum = self.TotalNum - num
self.remainLabel:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("ZhuanpanItem.text5"),self.remainNum))
if(self.remainNum <= 0)then
self.changeBtn:loadTextureNormal("btn/ui_tabBtn1_5.png",1)
else
self.changeBtn:loadTextureNormal("btn/ui_tabBtn1_4.png",1)
end
end
function ZhuanpanItem:dispose()
self:removeEvent()
self.cellBg  = nil
if(self.cell ~= nil)then
self.cell:dispose()
self.cell = nil
end
self.priceLabel  = nil
self.changeBtn   = nil
self.remainLabel = nil
self._controller = nil
globalManager.ccCreator:release(self)
end
ZhuanpanPanel = class("ZhuanpanPanel",function(self,controller)
local self = BasePanel:new()
self.__basePanelDispose = self.dispose
self._widget = globalManager.ccCreator:newJsonWidget("zhuanpanPanel")
self:addChild(self._widget)
self._controller = controller
self._arrowIcon = self._widget:getChildByName("arrowIcon")
self._countLabel = self._widget:getChildByName("countLabel")
self._priceLabel1 = self._widget:getChildByName("priceLabel1")
self._priceLabel2 = self._widget:getChildByName("priceLabel2")
self._timeLabel = self._widget:getChildByName("timeLabel")
self._numLabel = self._widget:getChildByName("numLabel")
self._itemList = self._widget:getChildByName("itemList")
self._itemList:setItemsMargin(5)
self._btn1 = self._widget:getChildByName("btn1")
self._btn2 = self._widget:getChildByName("btn2")
self._bg = self._widget:getChildByName("bg")
self._bgPath = globalManager.pathManager:getUISource("outPic/zhuanpanBg.png")
self._cellList = {}
for i = 1,8,1 do
local cellBg = self._widget:getChildByName("cell"..i)
local cell = BaseGrid:new()
cellBg:addChild(cell)
table.insert(self._cellList,cell)
end
self._rechargeBtn = self._widget:getChildByName("rechargeBtn_Copy0")
self._widget:getChildByName("Label_698252"):setText(globalManager.yuyanbaoManager:getYuyanbao("ZhuanpanPanel.text1"))
self._widget:getChildByName("Label_698253"):setText(globalManager.yuyanbaoManager:getYuyanbao("ZhuanpanPanel.text2"))
self._widget:getChildByName("Label_698253_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("ZhuanpanPanel.text3"))
self._widget:getChildByName("Label_698253_Copy1"):setText(globalManager.yuyanbaoManager:getYuyanbao("ZhuanpanPanel.text4"))
self._viewList = {}
self._speed = 0
self._count = 0
self._isEnd = false
self._targetRotation = 0
self._targetCount = 0
self._rotation = 0
self._info = nil
self._awardPanel = nil
self._countDownView = CountDownLabel:new(self._timeLabel,0,nil,nil,0)
self._flagAward = false
self._index = 0
return self
end)
function ZhuanpanPanel:ctor()
globalManager.sourceCacheManager:setImage(self._bg,self._bgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self:initEvent()
self:initView()
end
function ZhuanpanPanel:initView()
self._info = globalData.allTemplates.zhuanpanTemplateList:getCurrentTemplate()
--显示奖品和兑换列表
local len = #self._info.itemList
if(len > 8)then len = 8 end
if(len > 0)then
for i = 1,len,1 do
self._cellList[i]:setGoodsTempInfo(globalData.allTemplates.goodsTemplateList:getTemplate(self._info.itemList[i][1]))
self._cellList[i]:setCount(self._info.itemList[i][2])
end
end
--请求兑换、抽奖数据
self._controller.sceneModule.message.zhuanpanSender:sendPick(0)
self._controller.sceneModule.message.zhuanpanSender:sendExchange(0,0)
self._priceLabel1:setStringValue(self._info.money)
self._priceLabel2:setStringValue(self._info.money * 10)
local remainTime = 24*3600 - globalData.systemDateInfo:getZeroPassTime()
self._timeLabel:setText(globalData.systemDateInfo:secondsToDateString4(remainTime,false))
end
--旋转开始
function ZhuanpanPanel:startZhuan()
self._btn1:setTouchEnabled(false)
self._btn2:setTouchEnabled(false)
self._flagAward = true
self._isEnd = false
self._speed = 12
globalManager.tickManager:addTick(self.tick,self)
end
--抽奖数据返回
function ZhuanpanPanel:pickReturn(index)
if(index == 0 or index > 8) then return end
self._targetRotation = math.floor(index * 45 + 6*math.random())
if(self._targetRotation > 360) then self._targetRotation = self._targetRotation - 360 end
self._targetCount = 999999
self._isEnd = true
self._count = 0
end
--旋转结束
function ZhuanpanPanel:endZhuan()
if(self._flagAward)then
self._controller.sceneModule.message.zhuanpanSender:sendGetAward()
self._flagAward = false
end
globalManager.tickManager:removeTick(self.tick,self)
self._btn1:setTouchEnabled(true)
self._btn2:setTouchEnabled(true)
end
function ZhuanpanPanel:tick(delta,count)
if(self._isEnd) then
self._count = self._count + 1
if(self._count == 120) then
local temp = self._targetRotation - self._rotation
if(temp < 0) then temp = temp + 360 end
self._targetCount = 120 + math.floor(temp / 12 + 0.5)
elseif(self._count >= self._targetCount) then
self._speed = 11 -  math.floor((self._count - self._targetCount) / 10)
if(self._speed == 1) then
self:endZhuan()
end
end
end
self._rotation = self._rotation + self._speed
if(self._rotation >= 360) then self._rotation = self._rotation - 360 end
self._arrowIcon:setRotation(self._rotation)
end
function ZhuanpanPanel:initEvent()
local payGoodsHandler = function()
self._controller.sceneModule.message.zhuanpanSender:sendPick(1)
self:startZhuan()
end
local payHandler = function()
self._controller.sceneModule.message.zhuanpanSender:sendPick(10)
self:startZhuan()
end
local clickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
if(240 - globalData.zhuanPanInfo.count <= 0)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("ZhuanpanPanel.text5"))
else
if(globalData.selfPlayerInfo.moneyInfo.gold < self._info.money)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel11"))
else
Alert:new():show(2,string.format(globalManager.yuyanbaoManager:getYuyanbao("ZhuanpanPanel.text6"),self._info.money),globalManager.noAlertUtils.ZHUANPAN_UPDATE,0,self,payGoodsHandler)
end
end
end
end
local clicksHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
if(240 - globalData.zhuanPanInfo.count <= 9)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("ZhuanpanPanel.text5"))
else
if(globalData.selfPlayerInfo.moneyInfo.gold < self._info.money * 10)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel11"))
else
local totalMoney = self._info.money*10
Alert:new():show(2,string.format(globalManager.yuyanbaoManager:getYuyanbao("ZhuanpanPanel.text7"),totalMoney),globalManager.noAlertUtils.ZHUANPAN_UPDATE_TEN,0,self,payHandler)
end
end
end
end
local rechargeClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
self._controller:showPayPanel()
end
end
self._btn1:addTouchEventListener(clickHandler)
self._btn2:addTouchEventListener(clicksHandler)
self._rechargeBtn:addTouchEventListener(rechargeClickHandler)
--侦听兑换、抽奖的返回数据，抽奖数据若evt.data == 0则不播放抽奖动画
globalData.zhuanPanInfo:addEventListener(globalData.globalEventType.zhuanpan_pick,self.infoRetrun,self)
globalData.zhuanPanInfo:addEventListener(globalData.globalEventType.zhuanpan_exchangeUpdate,self.exchangeReturn,self)
globalData.zhuanPanInfo:addEventListener(globalData.globalEventType.zhuanpan_awardUpdate,self.awardReturn,self)
end
function ZhuanpanPanel:awardReturn()
local awardList = globalData.zhuanPanInfo.awardList
if(#awardList > 1)then
self._awardPanel = ZhuanpanAwardPanel:new(self)
self._awardPanel:show(awardList)
end
end
function ZhuanpanPanel:infoRetrun(evt)
self._numLabel:setText(globalData.zhuanPanInfo.score)
self._countLabel:setStringValue(240 - globalData.zhuanPanInfo.count)
if(evt.data ~= 0)then
self:pickReturn(evt.data)
end
end
function ZhuanpanPanel:exchangeReturn()
self._index = self._index + 1
if(self._index == 1)then
for id,info in pairs(globalData.zhuanPanInfo.exchangeList) do
local item = ZhuanpanItem:new(self._controller)
self._itemList:pushBackCustomItem(item)
self._viewList[info[2]] = item
end
end
self._numLabel:setText(globalData.zhuanPanInfo.score)
for id,info in pairs(globalData.zhuanPanInfo.exchangeList) do
self._viewList[info[2]]:setData(info,self._info.id)
end
for id,info in pairs(globalData.zhuanPanInfo.changeCountList) do
self._viewList[id]:setRemainNum(globalData.zhuanPanInfo.changeCountList[id])
end
end
function ZhuanpanPanel:hideAwardPanel()
if(self._awardPanel ~= nil)then
self._awardPanel:dispose()
self._awardPanel = nil
end
end
function ZhuanpanPanel:removeEvent()
globalData.zhuanPanInfo:removeEventListener(globalData.globalEventType.zhuanpan_pick,self.infoRetrun,self)
globalData.zhuanPanInfo:removeEventListener(globalData.globalEventType.zhuanpan_exchangeUpdate,self.exchangeReturn,self)
globalData.zhuanPanInfo:removeEventListener(globalData.globalEventType.zhuanpan_awardUpdate,self.awardReturn,self)
end
function ZhuanpanPanel:dispose()
globalManager.tickManager:removeTick(self.tick,self)
self:removeEvent()
self:endZhuan()
self:hideAwardPanel()
self._controller = nil
self._arrowIcon = nil
self._countLabel = nil
self._priceLabel1 = nil
self._priceLabel2 = nil
self._timeLabel = nil
self._numLabel = nil
self._itemList:removeAllItems()
self._itemList = nil
self._btn1 = nil
self._btn2 = nil
self._bg = nil
globalManager.sourceCacheManager:removeQuote(self._bgPath)
self._bgPath = nil
for __,cell in pairs(self._cellList) do
cell:dispose()
end
if(self._countDownView ~= nil)then
self._countDownView:dispose()
self._countDownView = nil
end
if(self._viewList ~= nil) then
for __,view in pairs(self._viewList) do
view:dispose()
end
self._viewList = nil
end
self._cellList = nil
self._info = nil
if(self._awardPanel ~= nil)then
self._awardPanel:dispose()
self._awardPanel = nil
end
self._rechargeBtn = nil
globalManager.ccCreator:release(self._widget)
self._widget = nil
self:__basePanelDispose()
self.__basePanelDispose = nil
end
ZhuanpanAwardPanel = class("ZhuanpanAwardPanel", function(self,parent)
local self = globalManager.ccCreator:newJsonWidget("zhuanAwardPanel")
self.quitBtn      = self:getChildByName("quitBtn_Copy0")
self._itemList    = {}
for i = 1,10,1 do
table.insert(self._itemList,self:getChildByName("item"..i))
end
self.quitBtn:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("MarryRingTip.text3"))
self._goodsInfos = {}
self._gridList = {}
self._parent   = parent
return self
end)
function ZhuanpanAwardPanel:ctor()
self:initEvent()
end
function ZhuanpanAwardPanel:initEvent()
local exitClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self._parent:hideAwardPanel()
end
end
self.quitBtn:addTouchEventListener(exitClickHandler)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_reConnect,self.dispose,self)
end
function ZhuanpanAwardPanel:removeEvent()
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.scene_reConnect,self.dispose,self)
end
function ZhuanpanAwardPanel:hideFormClickContainer()
--self._parent:hideAwardPanel()
end
function ZhuanpanAwardPanel:show(info)
local index = 1
local len = #info
if(len > 10)then len = 10 end
for i = 1,len,1 do
local templateInfo = globalData.allTemplates.goodsTemplateList:getTemplate(info[i][1])
if(info[i][3] == nil or info[i][3] == 0 or info[i][3] == globalData.allStaticTypes.careerType:getCareer(globalData.selfPlayerInfo.career)) then   --自己的职业，或者不分职业的物品筛选
local grid = GoodsInfoGrid:new()
local goodsinfo = GoodsInfo:new()
goodsinfo:setTemplateId(info[i][1])
goodsinfo.count = info[i][2]
if(info[i][4] ~= nil) then
goodsinfo:updateStrengthLevel(info[i][4])
end
if(info[i][5] ~= nil) then
goodsinfo.stage = info[i][5]
end
table.insert(self._goodsInfos,goodsinfo)
grid:setGoodsInfo(goodsinfo)
self._itemList[index]:addChild(grid)
table.insert(self._gridList,grid)
index = index + 1
end
end
globalData.uiClickContainer:addItem(self,true,true)
end
function ZhuanpanAwardPanel:dispose()
self:removeEvent()
globalData.uiClickContainer:close(self)
for __,info in pairs(self._goodsInfos) do
info:dispose()
info = nil
end
self._goodsInfos = nil
if(self._gridList ~= nil) then
for __,grid in pairs(self._gridList) do
grid:dispose()
grid = nil
end
self._gridList = nil
end
self._parent = nil
self._itemList = nil
self.quitBtn = nil
globalManager.ccCreator:release(self)
end
ZhuanXiangWelfarePanel = class("ZhuanXiangWelfarePanel",function(self,controller)
local temp = globalManager.ccCreator:newJsonWidget("zhuanXiangWelfarePanel")
temp._controller = controller
temp._bg1 = temp:getChildByName("bgImg")
temp._bg1Path = globalManager.pathManager:getUISource("outPic/ui_blackBg.png")
temp._bg2 = temp:getChildByName("bgImg2")
temp._bg2Path = globalManager.pathManager:getUISource("outPic/zhuanxiangWelfareBg.png")
temp._closeBtn = temp:getChildByName("closeBtn")
temp._countDownLabel = CountDownLabel:new(temp:getChildByName("countDownLabel"),0,nil,nil,0)
temp._priceLabel = temp:getChildByName("LabelBMFont_756434")
temp._getBtn = temp:getChildByName("ok_btn_Copy1")
temp._btnLabel = temp._getBtn:getChildByName("btnLabel")
temp.itemList = {}
for i=1,4 do
table.insert(temp.itemList,GoodsInfoGrid:new())
temp:getChildByName("reward"..i):addChild(temp.itemList[i])
end
--temp.cell = temp:getChildByName("reward")
temp:getChildByName("LabelBMFont"):setText(globalManager.yuyanbaoManager:getYuyanbao("ZhuanXiangWelfarePanel.text1"))
temp:getChildByName("LabelBMFont_756434"):setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel58"))
temp:getChildByName("Label_756432"):setText(globalManager.yuyanbaoManager:getYuyanbao("ZhuanXiangWelfarePanel.text3"))
temp:getChildByName("Label_756436"):setText(globalManager.yuyanbaoManager:getYuyanbao("ZhuanXiangWelfarePanel.text4"))
temp._getBtn:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("ZhuanXiangWelfarePanel.text5"))
temp._rechargeToday = 0
temp._countDownTime = 0
temp._info = nil
return temp
end)
function ZhuanXiangWelfarePanel:ctor()
globalManager.sourceCacheManager:setImage(self._bg1,self._bg1Path,globalData.allStaticTypes.sourceStaticType.clearFiveM)
globalManager.sourceCacheManager:setImage(self._bg2,self._bg2Path,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self:initEvent()
self:initView()
end
function ZhuanXiangWelfarePanel:initEvent()
local function closeBtnHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self._controller:hideZhuanXiangWelfarePanel()
end
end
local function getClickHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
local chargeInfo   = globalData.consumenGiftInfo.chargeList
local chargeValue  = globalData.selfPlayerInfo.moneyInfo.chargeValue
if(chargeInfo[2] == nil)then
chargeInfo[2] = 99999999
end
local delta        = chargeValue - chargeInfo[2]
local template     = globalData.allTemplates.consumenGiftTemplateList.chargeList
for __,info in pairs(template) do
-- if(chargeInfo[3] == nil)then
-- 	self._controller:showPayPanel()
-- 	self._controller:hideZhuanXiangWelfarePanel()
-- else
-- 	local index    = globalManager.commonUtils:getIndexOfTable(chargeInfo[3],info.id)
-- 	if(index == -1)then
-- 		if(delta > 0)then
-- 			globalData.messageAdder:sendConsumenGet(self._info[1].type,self._info[1].id)
-- 		else
-- 			self._controller:showPayPanel()
-- 			self._controller:hideZhuanXiangWelfarePanel()
-- 		end
-- 	else
-- 		self._getBtn:setTouchEnabled(false)
-- 	end
-- end
if(delta > 0)then
if(chargeInfo[3] ~= nil)then
if(#chargeInfo[3] <= 0)then
globalData.messageAdder:sendConsumenGet(self._info[1].type,self._info[1].id)
self._controller:hideZhuanXiangWelfarePanel()
end
else
globalData.messageAdder:sendConsumenGet(self._info[1].type,self._info[1].id)
self._controller:hideZhuanXiangWelfarePanel()
end
else
self._controller:showPayPanel()
self._controller:hideZhuanXiangWelfarePanel()
end
end
end
end
self._closeBtn:addTouchEventListener(closeBtnHandler)
self._getBtn:addTouchEventListener(getClickHandler)
-- globalData.consumenGiftInfo:addEventListener(globalData.globalEventType.charge_showUpdate,self.updateShowView,self)
globalData.consumenGiftInfo:addEventListener(globalData.globalEventType.charge_infoUpdate,self.updateView,self)
globalData.selfPlayerInfo.moneyInfo:addEventListener(globalData.globalEventType.playerInfo_money,self.updateView,self)
end
function ZhuanXiangWelfarePanel:removeEvent()
-- globalData.consumenGiftInfo:removeEventListener(globalData.globalEventType.charge_showUpdate,self.updateShowView,self)
globalData.consumenGiftInfo:removeEventListener(globalData.globalEventType.charge_infoUpdate,self.updateView,self)
globalData.selfPlayerInfo.moneyInfo:removeEventListener(globalData.globalEventType.playerInfo_money,self.updateView,self)
end
function ZhuanXiangWelfarePanel:initView()
self._info = globalData.allTemplates.consumenGiftTemplateList.chargeList
local totlecost = 0
for i=1,#self._info[1].itemList do
self.itemList[i]:setGoodsTempInfo(globalData.allTemplates.goodsTemplateList:getTemplate(self._info[1].itemList[i][1]))
self.itemList[i]:setCount(self._info[1].itemList[i][2])
self.itemList[i]:setQualityEffect(6)
totlecost = totlecost + (globalData.allTemplates.goodsTemplateList:getTemplate(self._info[1].itemList[i][1]).property8 * self._info[1].itemList[i][2])
end
self._priceLabel:setText(totlecost..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel58"))
self:updateView()
--    self:updateShowView()
local countTime   = 24 * 3600
local systemTime  = globalData.systemDateInfo:getZeroPassTime()
local remainTime  = math.floor(countTime - systemTime)
if(remainTime <= 0)then
self._countDownLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel77"))
self._countDownLabel:setColor(globalData.allStaticTypes.colorType.FALSE_COLOR)
else
self._countDownLabel:start(remainTime,self.endTime,self)
end
end
-- function ZhuanXiangWelfarePanel:updateShowView()
-- 	local chargeShowInfo  = globalData.consumenGiftInfo.chargeShowList
-- 	if(chargeShowInfo[3] ~= nil)then
-- 		local systemTime  = globalData.systemDateInfo:getSystemTime() * 0.001
-- 		local remainTime  = math.floor(chargeShowInfo[3] - systemTime)
-- 		self._countDownLabel:start(remainTime)
-- 	end
-- end
function ZhuanXiangWelfarePanel:endTime()
self._countDownLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel77"))
self._countDownLabel:setColor(globalData.allStaticTypes.colorType.FALSE_COLOR)
end
function ZhuanXiangWelfarePanel:updateView()
local chargeInfo   = globalData.consumenGiftInfo.chargeList
local chargeValue  = globalData.selfPlayerInfo.moneyInfo.chargeValue
if(chargeInfo[2] == nil)then
chargeInfo[2] = 99999999
end
local delta        = chargeValue - chargeInfo[2]
local template     = globalData.allTemplates.consumenGiftTemplateList.chargeList
for __,info in pairs(template) do
-- if(chargeInfo[3] ~= nil)then
-- 	local index        = globalManager.commonUtils:getIndexOfTable(chargeInfo[3],info.id)
-- 	if(index == -1)then
-- 		if(delta > 0)then
-- 			self._btnLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel36"))
-- 		else
-- 			self._btnLabel:setText("充值")
-- 		end
-- 		self._getBtn:setTouchEnabled(true)
-- 	else
-- 		self._getBtn:setTouchEnabled(false)
-- 		self._btnLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel63"))
-- 	end
-- else
-- 	self._btnLabel:setText("充值")
-- 	self._getBtn:setTouchEnabled(true)
-- end
if(delta > 0)then
if(chargeInfo[3] ~= nil)then
if(#chargeInfo[3] > 0)then
self._btnLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel63"))
self._getBtn:setTouchEnabled(false)
else
self._btnLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel36"))
self._getBtn:setTouchEnabled(true)
end
else
self._btnLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel36"))
self._getBtn:setTouchEnabled(true)
end
else
self._btnLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("ZhuanXiangWelfarePanel.text7"))
self._getBtn:setTouchEnabled(true)
end
end
end
function ZhuanXiangWelfarePanel:dispose()
self:removeEvent()
self._controller = nil
globalManager.sourceCacheManager:removeQuote(self._bg1Path)
globalManager.sourceCacheManager:removeQuote(self._bg2Path)
self._bg1 = nil
self._bg2 = nil
self._closeBtn = nil
self._priceLabel = nil
self._rechargeBtn = nil
self._getBtn = nil
self._btnLabel = nil
self.cell = nil
for k,v in pairs(self.itemList) do
if(v ~= nil)then
v:dispose()
v = nil
end
end
self.itemList = {}
if(self._countDownLabel ~= nil)then
self._countDownLabel:dispose()
self._countDownLabel = nil
end
self._rechargeToday = nil
self._countDownTime = nil
self._info = nil
globalManager.ccCreator:release(self)
end
ControllerList = class("ControllerList",function(self,module)
local cl = {}
cl.sceneModule = module
cl.sceneInfo = module.sceneInfo
cl.sceneController = SceneController:new(module)
cl.mapController = MapController:new(cl.sceneController)
cl.playerController = ScenePlayerController:new(cl.sceneController)
cl.monsterController = SceneMonsterController:new(cl.sceneController)
cl.npcController = SceneNpcController:new(cl.sceneController)
cl.gateController = SceneGateController:new(cl.sceneController)
cl.dropController = SceneDropController:new(cl.sceneController)
cl.collectController = SceneCollectController:new(cl.sceneController)
cl.petController = ScenePetController:new(cl.sceneController)
cl.partnerController = ScenePartnerController:new(cl.sceneController)
return cl
end)
function ControllerList:ctor()
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.trigger_walkToPoint,self.walkToPoint,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.trigger_walkToNpc,self.walkToNpc,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.trigger_walkToMonster,self.walkToMonster,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.trigger_walkToCollect,self.walkToCollect,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.trigger_flyToPoint,self.flyToPoint,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.trigger_flyToNpc,self.flyToNpc,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.trigger_jumpToMap,self.jumpToMap,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.trigger_backCity,self.backCity,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.trigger_hangUp,self.startAFK,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.trigger_stopMoving,self.stopMoving,self)
end
function ControllerList:selectSkill(skill)
local selfPlayer = self.sceneInfo.scenePlayerList.selfPlayer
if(selfPlayer == nil)then
return
end
--    local skill = evt.data
if(skill ~= nil)then
self.sceneInfo:setCurrentSkill(skill)
-- if(skill.template.autoSelectTarget)then
if(not skill.template:isToSelf())then
local role = self.sceneInfo:getCurrentSelectObjInfo()
if(role ~= nil and self.sceneModule.attackTester:targetCanBeAttack(role))then
else
local roleTmp = nil
if(globalData.allTemplates.copyTemplateList:skillAutoSekectPlayer(globalData.copyInfo.currentCopyId))then
roleTmp = self.sceneInfo:getNearlySelectable(selfPlayer:getPosition(),true,false,false,false)
else
roleTmp = self.sceneInfo:getNearlySelectable(selfPlayer:getPosition(),false,true,false,false)
end
if(roleTmp ~= nil and role == nil)then
self.sceneInfo:setCurrentSelectObjInfo(roleTmp)
else
self.sceneInfo:setCurrentSelectObjInfo(nil)
end
end
end
if(skill:getCanUse())then
if(skill.template:isToSelf())then
self.sceneModule.attackTester:doAttack(skill)
else
if(selfPlayer.stateInfo:getAfk() == false)then
self.sceneModule.attackTester:startAttack()
end
end
end
-- if(skill:getCanUse() and selfPlayer.stateInfo:getAfk() == false)then
--     self.sceneModule.attackTester:startAttack()
-- end
end
end
function ControllerList:selectCollect()
local selfPlayer = self.sceneInfo.scenePlayerList.selfPlayer
if(selfPlayer == nil)then
return
end
local role = self.sceneInfo:getCurrentSelectObjInfo()
if(role == nil or role:getObjType() ~= globalData.allStaticTypes.sceneObjType.collect)then
role = self.sceneInfo:getNearlySelectable(selfPlayer:getPosition(),false,false,false,true)
end
if(role ~= nil)then
self.sceneModule.walkTester:walkToCollect(role)
end
end
function ControllerList:flyToPoint(evt)
local data = evt.data
self.sceneModule.flyTester:doFly(data.mapId,data.point,true)
end
function ControllerList:flyToNpc(evt)
self.sceneModule.flyTester:flyToNpc(evt.data)
end
function ControllerList:jumpToMap(evt)
self.sceneModule.flyTester:doJumpMap(evt.data)
end
function ControllerList:backCity(evt)
self.sceneModule.flyTester:doJumpMap(globalData.allTemplates.mapTemplateList.CITY_MAPID,true,nil,true,true)
end
function ControllerList:walkToPoint(evt)
local data = evt.data
self.sceneModule.walkTester:walkToPoint(data.mapId,data.point,data.doubleClickCancel)
end
function ControllerList:walkToNpc(evt)
self.sceneModule.walkTester:walkToNpc(evt.data.id,true,evt.data.doubleClickCancel)
end
function ControllerList:walkToMonster(evt)
self.sceneModule.walkTester:walkToMonsterTemplate(evt.data.id,evt.data.doubleClickCancel)
end
function ControllerList:walkToCollect(evt)
self.sceneModule.walkTester:walkToCollectTemplate(evt.data.id,evt.data.doubleClickCancel)
end
function ControllerList:startAFK(evt)
if(evt.data) then
self.sceneModule.attackTester:startAFK()
else
self.sceneModule.attackTester:stopAFK()
end
end
function ControllerList:resetScene()
self.mapController:resetScene()
end
function ControllerList:getAttackableRole(type,id)
local role = nil
if(globalData.allStaticTypes.sceneObjType:isPlayer(type))then
role = self.playerController:getPlayer(id)
elseif(globalData.allStaticTypes.sceneObjType:isMonster(type))then
role = self.monsterController:getMonster(id)
elseif(globalData.allStaticTypes.sceneObjType:isPet(type))then
role = self.petController:getPet(id)
end
return role
end
function ControllerList:updateAllVisibles()
self.playerController:showOtherChangeHandler(nil)
self.monsterController:updateVisible()
self.npcController:updateVisible()
self.gateController:updateVisible()
self.dropController:updateVisible()
self.collectController:updateVisible()
globalManager.containerManager:updateNpcTalkVisible(not self.sceneInfo.playArenaMovie)
end
function ControllerList:stopMoving()
self.sceneModule.clearPathTester:stopMoving()
end
function ControllerList:clear(forceClearMap)
self.sceneController:clear()
self.mapController:clear(forceClearMap)
self.playerController:clear()
self.monsterController:clear()
self.npcController:clear()
self.gateController:clear()
self.dropController:clear()
self.collectController:clear()
self.petController:clear()
self.partnerController:clear()
end
--controller:SceneController
MapController = class("MapController",function(self,controller)
local mc = {}
mc._sceneController = controller
mc._module = controller.sceneModule
mc._libMapList = nil
mc._viewport = nil
mc._libMapController = nil
mc._libSoController = nil
mc._doRender = false
mc._frameCount = 0
mc._selfComplete = false
mc._mapConfigComplete = false
mc._sceneInfo = controller.sceneInfo
mc._mapEnterController = nil
mc._currentSceneMapInfo = nil
mc._lastPoint = nil
mc._hadInitMap = false
mc._stageClickStartY = 0
return mc
end)
function MapController:ctor()
self:initScene()
end
function MapController:getSoController()
return self._libSoController
end
function MapController:getModule()
return self._module
end
function MapController:initScene()
self._mapEnterController = MapEnterController:new(self._module)
self._libMapList = LibMapList:new(globalManager.containerManager.mapContainer,self)
self._libMapList:init()
self._viewport = LibMapViewport:new(globalManager.ccCreator:newPoint(0,0),globalManager.ccCreator:newPoint(0,0),globalManager.ccCreator:newPoint(100,80),globalManager.ccCreator:newPoint(globalData.GAME_WIDTH,globalData.GAME_HEIGHT))
self._libMapController = LibMapController:new(self._libMapList,self._viewport)
self._libSoController = LibSceneObjController:new(globalManager.containerManager.sceneObjContainer)
self._sceneInfo.sceneMapList:addEventListener(globalData.globalEventType.sceneInfo_mapData,self.mapDataComplete,self)
self._sceneInfo.scenePlayerList:addEventListener(globalData.globalEventType.sceneInfo_selfInfo,self.setSelfComplete,self)
globalManager.tickManager:addTick(self.tick,self)
local touchHandler = function(eventType, x,y)
if eventType == "began" then
self._stageClickStartY = y
return true
elseif eventType == "ended" then
local tmpY = y - self._stageClickStartY
if(tmpY > 100)then
self._sceneInfo.scenePlayerList:doRider(true)
elseif(tmpY < -100)then
self._sceneInfo.scenePlayerList:doRider(false)
else
self:stageClick(eventType,x,y)
end
end
end
-- map touch register
globalManager.containerManager.mapContainer:setTouchEnabled(true)
globalManager.containerManager.mapContainer:registerScriptTouchHandler(touchHandler)
end
function MapController:testUser()
if self.users == nil then
self.users = {}
local selfPlayer = self._module.sceneInfo.scenePlayerList.selfPlayer
for i = 1,100, 1 do
local f = FigurePlayerInfo:new()
f.characterInfo:dispose()
f.characterInfo = selfPlayer.figureInfo.characterInfo
f.nick = selfPlayer.figureInfo.nick
f.level = selfPlayer.figureInfo.level
f:setCareer(selfPlayer.figureInfo.characterInfo.career)
local p1 = ScenePlayerInfo:new(self._module,f)
f.userId = selfPlayer:getObjId() + i
p1:setObjId(f.userId)
p1.speed = selfPlayer.speed
local pos = selfPlayer:getPosition()
p1:setScenePos( globalManager.ccCreator:newPoint(pos.x + i * 2, pos.y + i * 2) )
self._module.sceneInfo.scenePlayerList:addPlayer(p1)
table.insert(self.users, p1)
end
else
local len = #self.users
for i = 1,len, 1 do
self._module.sceneInfo.scenePlayerList:removePlayer(self.users[i]:getObjId())
end
self.users = nil
end
end
function MapController:stageClick(eventType,x,y)
--     self:testUser()
globalData:closeMainMenu()
if(globalData.currentMapId == -1)then return end
if(self._selfComplete == false or self._mapConfigComplete == false)then return end
local p = globalManager.ccCreator:newPoint(x,y)
p.y = globalData.GAME_HEIGHT - p.y
p.x = p.x - globalManager.containerManager.mapContainer:getPositionX()
p.y = p.y + globalManager.containerManager.mapContainer:getPositionY()
-- print("#click", p.x, p.y)  --177 647 5035 1755
local selectObj = self._libSoController:getSelectObj(p)
if(selectObj ~= nil)then
selectObj:doMouseClick()
return
end
local selfPlayer = self._sceneInfo.scenePlayerList.selfPlayer
if(selfPlayer == nil)then return end
if(selfPlayer.isWalking and self._module.walkTester.doubleClickCancel == true and self._module.walkTester.clickCount == 0)then
self._module.walkTester.clickCount = self._module.walkTester.clickCount + 1
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("MapController.text1"))
return
end
self._module.walkTester:walkToPoint(globalData.currentMapId,p,nil)
globalManager.effectCreator:setEffect(globalData.allTemplates.effectTemplateList.clickStage, nil, globalManager.ccCreator:newPoint(p.x, p.y))
end
function MapController:tick(delta,tickCount)
if(globalData.currentMapId == -1)then return end
if(self._selfComplete == false or self._mapConfigComplete == false)then return end
if(self._doRender == true)then
self._libMapController:update()
-- self._libSoController:update()
self._doRender = false
end
self._frameCount = self._frameCount + 1
if(self._frameCount >= 5)then
self._frameCount = 0
if(globalData.allTemplates.mapTemplateList:isAllBrost() == false)then
local selfPlayer = self._sceneInfo.scenePlayerList.selfPlayer
if(selfPlayer ~= nil and selfPlayer.stateInfo ~= nil and selfPlayer.stateInfo.isJumping == false)then
local p = selfPlayer:getPosition()
local nextGridX = math.floor(p.x / globalData.BROST_WIDTH)
local nextGridY = math.floor(p.y / globalData.BROST_HEIGHT)
local maxGridx = self._currentSceneMapInfo.maxServerGridCountX
local maxGridy = self._currentSceneMapInfo.maxServerGridCountY
local startX = math.max(nextGridX - 1,0)
local endX = math.min(nextGridX + 1,maxGridx)
local startY = math.max(nextGridY - 1,0)
local endY = math.min(nextGridY + 1,maxGridy)
--删除怪物、掉落和采集物
self._sceneInfo.sceneMonsterList:removeOutBrostMonster(startX,endX,startY,endY)
self._sceneInfo.sceneCollectList:removeOutBrostCollect(startX,endX,startY,endY)
self._sceneInfo.sceneDropList:removeOutBrostItem(startX,endX,startY,endY)
self._module.controllerList.npcController:updateNpcVisibleByPos(p)
self._module.controllerList.gateController:updateGateVisibleByPos(p)
end
end
end
end
--evt:baseevent
function MapController:mapDataComplete(evt)
local mapPath = evt.data
if(mapPath == globalData.currentMapPath and self._hadInitMap == false)then
self._hadInitMap = true
globalManager.containerManager:addSourceProgress(5)
local mw = self._sceneInfo.sceneMapList:getMapWidth()
local mh = self._sceneInfo.sceneMapList:getMapHeight()
self._viewport:setMaxRect(globalManager.ccCreator:newRect(0,0,mw,mh))
self._mapConfigComplete = true
self._currentSceneMapInfo = self._sceneInfo.sceneMapList:getMap(globalData.currentMapId)
self._libMapList:loadAllMaps(mw,mh)
--初始化寻路
self:setFocus()
self:setFocus()
self:chkMapDataAndSelfComplete()
self._module.message:sendRoundInfo()
globalManager.soundManager:updateAndPlayCurrentMusic()
end
end
--evt:baseEvent
function MapController:setSelfComplete(evt)
globalManager.containerManager:addSourceProgress(5)
local selfPlayer = self._sceneInfo.scenePlayerList.selfPlayer
if(selfPlayer == nil)then return end
self._selfComplete = true
self:setFocus()
self:setFocus()
self:chkMapDataAndSelfComplete()
end
function MapController:setFocus()
local selfPlayer = self._sceneInfo.scenePlayerList.selfPlayer
if(selfPlayer ~= nil)then
local tmp = selfPlayer:getPosition()
self._viewport:setFocusPoint(globalManager.ccCreator:newPoint(tmp.x,tmp.y - 70))
self._doRender = true
end
end
function MapController:chkMapDataAndSelfComplete()
if(self._selfComplete and self._mapConfigComplete)then
end
end
function MapController:mapLoadComplete()
self._mapEnterController:mapInitComplete()
end
function MapController:resetScene()
self:clear()
self._selfComplete = false
self._mapConfigComplete = false
self._hadInitMap = false
self:loadData()
self:chkMapDataAndSelfComplete()
end
--so:BaseSceneObj
function MapController:addSceneObj(so)
end
--effect:CCSprite
function MapController:addEffect(effect)
end
function MapController:loadData()
if(globalData.currentMapId ~= -1)then
self._sceneInfo.sceneMapList:loadData(globalData.currentMapId)
end
end
function MapController:clear(forceClearMap)
if(self._libMapList ~= nil)then
self._libMapList:clear(forceClearMap)
end
self._libSoController:clear()
end
MapEnterController = class("MapEnterController",function(self,module)
local me = {}
me.sceneModule = module
me.sceneInfo = module.sceneInfo
return me
end)
function MapEnterController:ctor()
globalData.copyInfo:addEventListener(globalData.globalEventType.playerInfo_copyShowZhuangPan,self.showZhuangPanHandler,self)
globalData.copyInfo:addEventListener(globalData.globalEventType.playerInfo_copyBossKill,self.showBossKillHandler,self)
end
function MapEnterController:mapInitComplete()
self.sceneModule.sceneInfo.scenePlayerList:updateTotalShowCount()
local playerLevel = globalData.selfPlayerInfo.level
--首次登陆
if(globalData.welcomeState == 2 and playerLevel == 1)then
if(globalData.currentMapId == globalData.allTemplates.mapTemplateList.NEWLY_MAPID) then
self.sceneModule.controllerList.sceneController:showNewlyMovie()
elseif(globalData.currentMapId == globalData.allTemplates.mapTemplateList.CITY_MAPID) then
local welcomePanel = GuideWelcomeView:new(self)
end
end
if(globalData.selfPlayerInfo.changeSceneTrigger ~= nil and table.getn(globalData.selfPlayerInfo.changeSceneTrigger) > 0)then
globalManager.triggerManager:handlerList(globalData.selfPlayerInfo.changeSceneTrigger)
globalData.selfPlayerInfo.changeSceneTrigger = {}
end
--跨图寻路
local scenePath = globalData.selfPlayerInfo.scenePath
if(scenePath ~= nil and table.getn(scenePath) > 0)then
table.remove(scenePath,1)
if(table.getn(scenePath) > 0)then
self.sceneModule.walkTester:walkToGate(scenePath[1],true)
else
local target = globalData.selfPlayerInfo.scenePathTarget
if(target ~= nil)then
self.sceneModule.walkTester:doWalk(globalData.currentMapId,target,globalData.selfPlayerInfo.scenePathStopAtDistance,globalData.selfPlayerInfo.scenePathCallback)
end
end
end
--传送回调
if(globalData.selfPlayerInfo.flyCallback ~= nil)then
local tmp = globalData.selfPlayerInfo.flyCallback
globalData.selfPlayerInfo.flyCallback = nil
tmp()
end
--出副本触发
if(globalData.copyInfo.lastCopyId > 0 and globalData.copyInfo.currentCopyId <= 0)then
print(globalData.selfPlayerInfo.outCopyTrigger)
if(globalData.selfPlayerInfo.outCopyTrigger ~= nil and table.getn(globalData.selfPlayerInfo.outCopyTrigger) > 0)then
globalManager.triggerManager:handlerList(globalData.selfPlayerInfo.outCopyTrigger)
globalData.selfPlayerInfo.outCopyTrigger = {}
end
end
globalData.copyInfo.lastCopyId = globalData.copyInfo.currentCopyId
local copyId = globalData.copyInfo.currentCopyId
if(globalData.allTemplates.copyTemplateList:canHangup(copyId))then
--显示挂机按钮
self.sceneModule.controllerList.sceneController:isShowHangup(true)
else
--隐藏挂机按钮
self.sceneModule.controllerList.sceneController:isShowHangup(false)
end
local isWorldBoss = false
--判断世界boss
local currentMapId = globalData.currentMapId
if(self.sceneModule.worldBossFollowPanel ~= nil) then
self.sceneModule.worldBossFollowPanel:dispose()
self.sceneModule.worldBossFollowPanel = nil
end
if(self.sceneModule.copyFollowPanel ~= nil) then
self.sceneModule.copyFollowPanel:dispose()
self.sceneModule.copyFollowPanel = nil
end
if(globalData.allTemplates.mapTemplateList:isWorldBossMap(currentMapId))then
--创建视图，请求boss数据
self.sceneModule.worldBossFollowPanel = WorldBossFollowPanel2:new(self)
globalManager.containerManager.fixUIContainer:addChild(self.sceneModule.worldBossFollowPanel)
self.sceneModule.worldBossFollowPanel:setPositionY(globalData.GAME_HEIGHT - 300)
isWorldBoss = true
self.sceneModule.taskFollowView:removeFromParent(false)
self.sceneModule.message:sendGetWorldBossData()
elseif(globalData.allTemplates.mapTemplateList:isJingyinBossMap(currentMapId)) then
--创建视图，请求boss数据
self.sceneModule.worldBossFollowPanel = WorldBossFollowPanel:new(self)
globalManager.containerManager.fixUIContainer:addChild(self.sceneModule.worldBossFollowPanel)
self.sceneModule.worldBossFollowPanel:setPositionY(globalData.GAME_HEIGHT - 359)
isWorldBoss = true
self.sceneModule.taskFollowView:removeFromParent(false)
self.sceneModule.message:sendGetJingyinBossData()
else
--清除boss数据
self.sceneModule.sceneInfo.sceneWorldBossInfo:clear()
end
self.sceneModule.sceneInfo.afkInfo:clearAfkPath()
local trigger = nil
local isShowHideBtn = false
if(copyId > -1)then
if(copyId == globalData.allTemplates.copyTemplateList.SKYDREAMLAND) then
globalData.activityIcons:setShowing(true)
else
globalData.activityIcons:setShowing(false)
end
if(self.sceneModule.exitCopyBtn == nil) then
self.sceneModule.exitCopyBtn = ExitCopyBtn:new(self)
self.sceneModule.exitCopyBtn:setPosition(globalManager.ccCreator:newPoint(globalData.GAME_WIDTH - 40,globalData.GAME_HEIGHT - 202))
globalManager.containerManager.fixUIContainer:addChild(self.sceneModule.exitCopyBtn,2)
else
self.sceneModule.exitCopyBtn:setTime(0)
end
self.sceneModule.sceneInfo.afkInfo:initAfkPath()
local panelOffstY = 0
if(copyId == globalData.allTemplates.copyTemplateList.LIANYU)then
panelOffstY = 114
self.sceneModule.copyFollowPanel = CopyLYFollowPanel:new(self)
self.sceneModule.message:sendCopyBallInfo()
-- if(globalData.selfPlayerInfo.level > 50) then
-- 	trigger = TriggerInfo:new()
-- 	trigger.type = globalData.allStaticTypes.triggerEventType.popup
-- 	trigger.actionType = globalData.allStaticTypes.triggerEventType.tryCopyLianYuPanel
-- 	table.insert(globalData.selfPlayerInfo.changeSceneTrigger,trigger)
-- end
self:hangupGuide()
elseif(copyId == globalData.allTemplates.copyTemplateList.MATERIAL)then
panelOffstY = 104
self.sceneModule.copyFollowPanel = CopyMaterialFollowPanel:new(self)
self.sceneModule.message:sendCopyMaterialInfo()
self:hangupGuide()
elseif(copyId == globalData.allTemplates.copyTemplateList.EXPEDITION)then
panelOffstY = 120
self.sceneModule.copyFollowPanel = CopyExpeditionFollowPanel:new(self)
self.sceneModule.message:sendCopyMaterialInfo()
self:hangupGuide()
elseif(copyId == globalData.allTemplates.copyTemplateList.DATI)then
panelOffstY = 261
self.sceneModule.copyFollowPanel = CopyDTFollowPanel:new(self)
self.sceneModule.skillPanel:setDati()
isShowHideBtn = true
elseif(globalData.allTemplates.copyTemplateList:isLeagueCopy(copyId))then
--帮派副本
panelOffstY = 60
self.sceneModule.copyFollowPanel = CopyLeagueBossFollowPanel:new(self)
isShowHideBtn = true
self:hangupGuide()
-- if(globalData.selfPlayerInfo.level > 50) then
-- 	trigger = TriggerInfo:new()
-- 	trigger.type = globalData.allStaticTypes.triggerEventType.popup
-- 	trigger.actionType = globalData.allStaticTypes.triggerEventType.clubBoss
-- 	table.insert(globalData.selfPlayerInfo.changeSceneTrigger,trigger)
-- end
elseif(copyId == globalData.allTemplates.copyTemplateList.YUANGU)then
--远古战场
panelOffstY = 186
self.sceneModule.copyFollowPanel = YuanGuFollowPanel:new(self)
isShowHideBtn = true
elseif(copyId == globalData.allTemplates.copyTemplateList.STARCRAFT)then
--群雄争霸
panelOffstY = 276
self.sceneModule.copyFollowPanel = StarcraftFollowPanel:new(self)
globalData.messageAdder:getStarcraftCopyInfo()
self.sceneModule.controllerList.sceneController:isShowHangup(false)
elseif copyId == globalData.allTemplates.copyTemplateList.TANBAO then
panelOffstY = 315
self.sceneModule.copyFollowPanel = CopyTanBaoFollowPanel:new(self)
self.sceneModule.skillPanel:setTanBao()
elseif(copyId == globalData.allTemplates.copyTemplateList.YICHUI)then
--一锤定音
panelOffstY = 245
self.sceneModule.copyFollowPanel = CopyYiChuiFollowPanel:new(self)
isShowHideBtn = true
self.sceneModule.skillPanel:setYiChui()
elseif(copyId == globalData.allTemplates.copyTemplateList.BANGZHAN)then
panelOffstY = 280
self.sceneModule.copyFollowPanel = BangZhanCopyFollowPanel:new(self)
isShowHideBtn = true
elseif(globalData.newlyGuideCopyConfig:getNewlyCopyType(copyId) > 0) then
panelOffstY = 60
self.sceneModule.copyFollowPanel = CopyNewlyFollowPanel:new(self)
self.sceneModule.message:sendCopyBallInfo()
elseif(copyId == globalData.allTemplates.copyTemplateList.DEFENED) then
panelOffstY = 250
self.sceneModule.copyFollowPanel = CopySHFollowPanel:new(self)
self:hangupGuide()
elseif(globalManager.commonUtils:getIndexOfTable(globalData.allTemplates.copyTemplateList.BOSSVIP,copyId) ~= -1)then
panelOffstY = 60
self.sceneModule.copyFollowPanel = WorldBossVipFollowPanel:new(self)
self.sceneModule.message:sendCopyMaterialInfo()
self:hangupGuide()
elseif(copyId == globalData.allTemplates.copyTemplateList.TREASURE)then
panelOffstY = 60
local mapType = globalData.allTemplates.mapTemplateList:isTreasureMap(currentMapId)
self.sceneModule.copyFollowPanel = FindTreasureFollowPanel:new(self,mapType)
self.sceneModule.message:sendCopyMaterialInfo()
self:hangupGuide()
elseif(copyId == globalData.allTemplates.copyTemplateList.CROSSBOSS)then --跨服boss
panelOffstY = 280
self.sceneModule.copyFollowPanel = CrossBossFollowView:new(self)
self:hangupGuide()
isShowHideBtn = true
elseif(copyId == globalData.allTemplates.copyTemplateList.SKYDREAMLAND)then --天空幻境
globalData.messageAdder:sendSkyDreamLandInfo()
self.sceneModule.copyFollowPanel = SkyDreamLandFollowPanel:new(self)
self:hangupGuide()
isShowHideBtn = true
elseif(copyId == globalData.allTemplates.copyTemplateList.CHAOS)then --混沌战场
panelOffstY = 280
self.sceneModule.copyFollowPanel = ChaosFollowPanel:new(self)
isShowHideBtn = true
elseif(copyId == globalData.allTemplates.copyTemplateList.TAOYUAN)then --桃园副本
panelOffstY = 60
self.sceneModule.copyFollowPanel = CopyTYFollowPanel:new(self)
isShowHideBtn = true
self:hangupGuide()
elseif(copyId == globalData.allTemplates.copyTemplateList.SANDA)then --三打副本
panelOffstY = 250
self.sceneModule.copyFollowPanel = SanDaFollowPanel:new(self)
isShowHideBtn = true
self:hangupGuide()
elseif(copyId == globalData.allTemplates.copyTemplateList.ARENAXH)then --混沌战场
self.sceneModule.copyFollowPanel = ArenaXHFollowPanel:new(self)
isShowHideBtn = true
elseif(copyId == globalData.allTemplates.copyTemplateList.DATICOPY)then --元宵副本
panelOffstY = 60
self.sceneModule.copyFollowPanel = WorldBossVipFollowPanel:new(self)
self:hangupGuide()
end
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_showCopyInfo, self.showCopyFollowPanelHandler,self)
self.sceneModule.taskFollowView:removeFromParent(false)
if(self.sceneModule.copyFollowPanel ~= nil)then
globalManager.containerManager.fixUIContainer:addChild(self.sceneModule.copyFollowPanel)
self.sceneModule.copyFollowPanel:setPositionY(globalData.GAME_HEIGHT - 110 - panelOffstY)
end
if(globalData.allTemplates.copyTemplateList:needGetTimeAndMonsterInfo(globalData.copyInfo.currentCopyId))then
--时间，霸主，怪物数量
globalData.messageAdder:sendCopyKingInfo(copyId,globalData.copyInfo.currentCopyInfo.mission,1)
self.sceneModule.message:sendCopyTimeInfo()
self.sceneModule.message:sendCopyMonsterInfo()
end
elseif(isWorldBoss) then
isShowHideBtn = true
if(self.sceneModule.exitCopyBtn == nil) then
self.sceneModule.exitCopyBtn = ExitCopyBtn:new(self)
self.sceneModule.exitCopyBtn:setPosition(globalManager.ccCreator:newPoint(globalData.GAME_WIDTH - 40,globalData.GAME_HEIGHT - 202))
globalManager.containerManager.fixUIContainer:addChild(self.sceneModule.exitCopyBtn,2)
else
self.sceneModule.exitCopyBtn:setTime(0)
end
globalData.activityIcons:setShowing(true)
self.sceneModule.skillPanel:setSkill();
else
isShowHideBtn = true
if(self.sceneModule.copyFollowPanel ~= nil) then
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.scene_showCopyInfo, self.showCopyFollowPanelHandler,self)
self.sceneModule.copyFollowPanel:dispose()
self.sceneModule.copyFollowPanel = nil
globalManager.tipsManager.guideTip:hide()
end
if(self.sceneModule.taskFollowView:getParent() == nil) then
globalManager.containerManager.fixUIContainer:addChild(self.sceneModule.taskFollowView)
--			self.sceneModule.taskFollowView:updateMain()
end
if(currentMapId == globalData.allTemplates.mapTemplateList.CITY_MAPID) then
if(self.sceneModule.exitCopyBtn ~= nil) then
self.sceneModule.exitCopyBtn:dispose()
self.sceneModule.exitCopyBtn = nil
end
else
if(self.sceneModule.exitCopyBtn == nil) then
self.sceneModule.exitCopyBtn = ExitCopyBtn:new(self)
self.sceneModule.exitCopyBtn:setPosition(globalManager.ccCreator:newPoint(globalData.GAME_WIDTH - 40,globalData.GAME_HEIGHT - 202))
globalManager.containerManager.fixUIContainer:addChild(self.sceneModule.exitCopyBtn,2)
else
self.sceneModule.exitCopyBtn:setTime(0)
end
end
globalData.copyInfo:clearCopy()
globalData.activityIcons:setShowing(true)
self.sceneModule.skillPanel:setSkill()
end
if(isShowHideBtn) then
if(self.sceneModule.showHideBtn == nil) then
self.sceneModule.showHideBtn = ShowHideBtn:new()
self.sceneModule.showHideBtn:setPosition(globalManager.ccCreator:newPoint(globalData.GAME_WIDTH - 40,globalData.GAME_HEIGHT - 121))
globalManager.containerManager.fixUIContainer:addChild(self.sceneModule.showHideBtn,2)
end
else
if(self.sceneModule.showHideBtn ~= nil) then
self.sceneModule.showHideBtn:dispose()
self.sceneModule.showHideBtn = nil
end
end
local isShow = globalData.allTemplates.mapTemplateList.CITY_MAPID ~= currentMapId
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_showSkillBtn,globalManager.gameDispatcher,isShow))
isShow = (globalData.copyInfo.currentCopyId <= 0)
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_showQuickIcon,globalManager.gameDispatcher,not isShow))
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_showRightBtn,globalManager.gameDispatcher,isShow))
end
function MapEnterController:hangupGuide()
--	if(globalData.selfPlayerInfo.level <= 50) then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.trigger_hangUp,globalManager.gameDispatcher,true))
--    elseif(globalData.selfPlayerInfo.level <= 70) then
--		globalManager.tipsManager.guideTip:showByParam({globalData.GAME_WIDTH*0.5 + 220,globalData.GAME_HEIGHT - 47,5})
--	end
end
function MapEnterController:setCopyTime(value)
if(self.sceneModule.exitCopyBtn ~= nil) then
self.sceneModule.exitCopyBtn:setTime(value)
end
end
function MapEnterController:showCopyFollowPanelHandler(evt)
if(self.sceneModule.copyFollowPanel ~= nil)then
if(evt.data) then
if(self.sceneModule.copyFollowPanel:getParent() == nil) then
globalManager.containerManager.fixUIContainer:addChild(self.sceneModule.copyFollowPanel)
end
else
if(self.sceneModule.copyFollowPanel:getParent() ~= nil) then
self.sceneModule.copyFollowPanel:removeFromParent(false)
end
end
end
end
function MapEnterController:showZhuangPanHandler(evt)
CopyZhuangPanPanel:new(self.sceneModule, evt.data)
end
function MapEnterController:showBossKillHandler(evt)
if(self.sceneModule.copyBossKillPanel == nil) then
self.sceneModule.copyBossKillPanel = CopyBossKillPanel:new(self)
end
self.sceneModule.copyBossKillPanel:setData(evt.data)
end
function MapEnterController:hideBossKill()
self.sceneModule.copyBossKillPanel = nil
end
function MapEnterController:showRankPanel()
local view = YuanGuRankPanel:new(self)
globalData.uiClickContainer:addItem(view,true)
end
SceneController = class("SceneController",function(self,module)
local sc = {}
sc.sceneModule = module
sc.sceneInfo = module.sceneInfo
return sc
end)
function SceneController:ctor()
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.playerInfo_hideEnterPanel, self.hideEnterCopyPanel, self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.quickIcon_responsePanel, self.showResponsePanel, self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.playerInfo_enterCopy, self.selectEnterCopyHandler, self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.playerInfo_exitCopy, self.selectExitCopyHandler, self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.playerInfo_showTryCopyPanel,self.showTryCopyPanelHandler,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.playerInfo_showTreasurePanel,self.showTryCopyTreasurePanelHandler,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_showBuffPanel,self.showBuffPanelHandler,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_showPayPanel,self.showPayPanelHandler,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_showSkillBtn, self.showSkillBtn,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_showArena2Panel, self.showArenaPanel2Handler,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_showStarcraftPanel, self.showStarcraftHandler,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_showChaosPanel, self.showChaosHandler,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_stopAfk, self.stopAfkHandler,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.worldboss_showPanel, self.showWorldBossPanelHandler,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.worldboxx_showJingYing, self.showJingYingBossPanelHandler,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.worldbossVip_showVip, self.showWorldBossVipPanelHandler,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.tanbao_overView, self.tanbaoOverView,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.yichui_card, self.yiChuiCardAwardHandler,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_showZhuanpanPanel,self.showZhuanpanPanelHandler,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_showZhuanpan3Panel,self.showZhuanpan3PanelHandler,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_showMapPanel,self.showMapPanelHandler,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_showOnlineRewardsPanel,self.showOnlineRewardsPanelHandler,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_showWashGoldPanel,self.showWashGoldPanel,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_show_doubleEleven,self.showdoubleEleven,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_show_newServerGift,self.showNewServerGift,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_showVipPanel,self.showVipPanel,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_showSendFlowerPanel,self.showSendFlowerPanel,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_showPeiShiPanel,self.showPeiShiPanel,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_showReceiveFlowerPanel,self.showReceiveFlowerPanel,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_showSendMarryPanel,self.showSendMarryPanel,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_showSendOathPanel,self.showSendOathPanel,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_showReceiveMarryPanel,self.showReceiveMarryPanel,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_showReceiveOathPanel,self.showReceiveOathPanel,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_showMarryBreakPanel,self.showMarryBreakPanel,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_showOathBreakPanel,self.showOathBreakPanel,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_flyflower,self.flyflower,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_showConsumeGiftPanel,self.showConsumeGiftPanel,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_showZhuanXiangWelfarePanel,self.showZhuanXiangWelfarePanel,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_showRenamePanel,self.showRenamePanel,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_showChangeProfessionPanl,self.showChangeProfessionPanel,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_showCrossRechargePanel,self.showRankCrossRechargePanel,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_showFlowerRankPanel,self.showFlowerRankPanel,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_showYanhuaRankPanel,self.showYanhuaRankPanel,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_showSendYanhuaPanel,self.showSendYanhuaRankPanel,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_showYanhuaReceivePanel,self.showYanhuReveivePanel,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.open_arenaXHPanel,self.showArenaXHPanel,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_showGuideAlert,self.showGuideAlertView,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_showRedBag,self.showRedBagPanel,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_show_payCountGift,self.showPayCountGift,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_show_privilegePanel,self.showPrivilegePanel,self)
globalData.arena1Info:addEventListener(globalData.globalEventType.arenaInfo_fightReturn,self.arena1FightResultHandler,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_openBangZhanRankPanel,self.showBangzhanRankPanel,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.show_toWestPanel,self.showToWestPanel,self)
end
--显示请求面板
function SceneController:showResponsePanel(evt)
if(self.sceneModule.responsePanel == nil)then
self.sceneModule.responsePanel = ResponsePanel:new()
self.sceneModule.responsePanel.eventDis:addEventListener(globalData.globalEventType.trigger_panelDispose,self.hideResponsePanel,self)
end
if(self.sceneModule.responsePanel:getParent() == nil)then
globalManager.containerManager.tipContainer:addChild(self.sceneModule.responsePanel)
end
self.sceneModule.responsePanel:show(evt.data)
end
function SceneController:hideResponsePanel(evt)
self.sceneModule.responsePanel.eventDis:removeEventListener(globalData.globalEventType.trigger_panelDispose,self.hideResponsePanel,self)
self.sceneModule.responsePanel = nil
end
--玩家点击进入副本
function SceneController:selectEnterCopyHandler(evt)
self.sceneModule.copyTester:enterCopy(evt.data[1],evt.data[2])
end
function SceneController:selectExitCopyHandler(evt)
self.sceneModule.copyTester:exitCopy()
end
--显示副本
function SceneController:showTryCopyPanelHandler(evt)
if(self.sceneModule.tryCopyPanel == nil)then
self.sceneModule.tryCopyPanel = SceneTryCopyPanel:new(self)
self.sceneModule.tryCopyPanel.eventDis:addEventListener(globalData.globalEventType.trigger_panelDispose,self.tryCopyPanelCloseHandler,self)
end
globalData.uiPanelContainer:addPanel(globalData.allStaticTypes.panelTabType.dailyCopy,self.sceneModule.tryCopyPanel)
end
function SceneController:tryCopyPanelCloseHandler(evt)
if(self.sceneModule.tryCopyPanel ~= nil)then
self.sceneModule.tryCopyPanel.eventDis:removeEventListener(globalData.globalEventType.trigger_panelDispose,self.tryCopyPanelCloseHandler,self)
self.sceneModule.tryCopyPanel = nil
end
end
--显示宝藏秘境
function SceneController:showTryCopyTreasurePanelHandler(evt)
if(self.sceneModule.tryCopyTreasurePanel == nil)then
self.sceneModule.tryCopyTreasurePanel = FindTreasurePanel:new(self)
self.sceneModule.tryCopyTreasurePanel.eventDis:addEventListener(globalData.globalEventType.trigger_panelDispose,self.tryCopyTreasurePanelCloseHandler,self)
end
globalData.uiPanelContainer:addPanel(globalData.allStaticTypes.panelTabType.findTreasure,self.sceneModule.tryCopyTreasurePanel)
end
function SceneController:tryCopyTreasurePanelCloseHandler(evt)
if(self.sceneModule.tryCopyTreasurePanel ~= nil)then
self.sceneModule.tryCopyTreasurePanel.eventDis:removeEventListener(globalData.globalEventType.trigger_panelDispose,self.tryCopyPanelCloseHandler,self)
self.sceneModule.tryCopyTreasurePanel = nil
end
end
--buff栏
function SceneController:showBuffPanelHandler(evt)
if(self.sceneModule.buffPanel == nil) then
self.sceneModule.buffPanel = BuffPanel:new(self)
self.sceneModule.buffPanel.eventDis:addEventListener(globalData.globalEventType.trigger_panelDispose,self.buffPanelCloseHandler,self)
end
globalManager.containerManager.fixUIContainer:addChild(self.sceneModule.buffPanel)
self.sceneModule.buffPanel:setPosition(102,globalData.GAME_HEIGHT - 118)
end
--关闭buff栏
function SceneController:buffPanelCloseHandler(evt)
if(self.sceneModule.buffPanel ~= nil)then
self.sceneModule.buffPanel.eventDis:removeEventListener(globalData.globalEventType.trigger_panelDispose,self.buffPanelCloseHandler,self)
self.sceneModule.buffPanel = nil
end
end
--附近玩家面板
function SceneController:showNearPlayerPanelHandler(evt)
if(self.sceneModule.nearPlayerPanel == nil)then
self.sceneModule.nearPlayerPanel = NearPlayerPanel:new(self)
self.sceneModule.nearPlayerPanel.eventDis:addEventListener(globalData.globalEventType.trigger_panelDispose,self.nearPlayerPanelCloseHandler,self)
end
-- globalData.uiClickContainer:addItem(self.sceneModule.nearPlayerPanel,true,true)
globalManager.containerManager.panelContainer:addChild(self.sceneModule.nearPlayerPanel)
end
--关闭附近玩家
function SceneController:nearPlayerPanelCloseHandler(evt)
if(self.sceneModule.nearPlayerPanel ~= nil)then
self.sceneModule.nearPlayerPanel.eventDis:removeEventListener(globalData.globalEventType.trigger_panelDispose,self.nearPlayerPanelCloseHandler,self)
self.sceneModule.nearPlayerPanel = nil
end
end
--打开转盘面板
function SceneController:showZhuanpanPanelHandler(evt)
if(self.sceneModule.zhuanpanPanel == nil)then
self.sceneModule.zhuanpanPanel = ZhuanpanPanel:new(self)
self.sceneModule.zhuanpanPanel.eventDis:addEventListener(globalData.globalEventType.trigger_panelDispose,self.closeZhuanpanPanelHandler,self)
end
globalData.uiPanelContainer:addPanel(globalData.allStaticTypes.panelTabType.zhuanpan,self.sceneModule.zhuanpanPanel)
end
--关闭转盘面板
function SceneController:closeZhuanpanPanelHandler(evt)
if(self.sceneModule.zhuanpanPanel ~= nil)then
self.sceneModule.zhuanpanPanel.eventDis:removeEventListener(globalData.globalEventType.trigger_panelDispose,self.closeZhuanpanPanelHandler,self)
self.sceneModule.zhuanpanPanel = nil
end
end
--打开在线奖励
function SceneController:showOnlineRewardsPanelHandler(evt)
if(self.sceneModule.onlineRewardsPanel == nil)then
self.sceneModule.onlineRewardsPanel = OnlineRewardsPanel:new(self)
end
globalData.uiClickContainer:addItem(self.sceneModule.onlineRewardsPanel,true,false)
end
--关闭在线奖励
function SceneController:closeOnlineRewardsPanelHandler(evt)
if(self.sceneModule.onlineRewardsPanel ~= nil) then
globalData.uiClickContainer:close(self.sceneModule.onlineRewardsPanel)
self.sceneModule.onlineRewardsPanel:dispose()
self.sceneModule.onlineRewardsPanel = nil
end
end
--打开财运亨通面板
function SceneController:showZhuanpan3PanelHandler(evt)
if(self.sceneModule.zhuanpan3Panel == nil)then
self.sceneModule.zhuanpan3Panel = Zhuanpan3Panel:new(self)
self.sceneModule.zhuanpan3Panel.eventDis:addEventListener(globalData.globalEventType.trigger_panelDispose,self.closeZhuanpan3PanelHandler,self)
end
globalData.uiPanelContainer:addPanel(globalData.allStaticTypes.panelTabType.zhuanpan3,self.sceneModule.zhuanpan3Panel)
end
--关闭财运亨通面板
function SceneController:closeZhuanpan3PanelHandler(evt)
if(self.sceneModule.zhuanpan3Panel ~= nil)then
self.sceneModule.zhuanpan3Panel.eventDis:removeEventListener(globalData.globalEventType.trigger_panelDispose,self.closeZhuanpan3PanelHandler,self)
self.sceneModule.zhuanpan3Panel = nil
end
end
--显示跨服充值排行榜
function SceneController:showRankCrossRechargePanel()
if(self.sceneModule.rankCrossRechargePanel == nil)then
self.sceneModule.rankCrossRechargePanel = RankCrossRechargePanel:new(self)
self.sceneModule.rankCrossRechargePanel.eventDis:addEventListener(globalData.globalEventType.trigger_panelDispose,self.hideRankCrossRechargePanel,self)
end
globalData.uiPanelContainer:addPanel(globalData.allStaticTypes.panelTabType.rankCrossRecharge,self.sceneModule.rankCrossRechargePanel)
end
--隐藏跨服充值排行榜
function SceneController:hideRankCrossRechargePanel()
if(self.sceneModule.rankCrossRechargePanel ~= nil)then
self.sceneModule.rankCrossRechargePanel.eventDis:removeEventListener(globalData.globalEventType.trigger_panelDispose,self.hideRankCrossRechargePanel,self)
self.sceneModule.rankCrossRechargePanel = nil
end
end
--打开财消费赠礼
function SceneController:showConsumeGiftPanel(evt)
if(self.sceneModule.consumenGiftPanel == nil)then
self.sceneModule.consumenGiftPanel = ConsumeGiftPanel:new(self)
self.sceneModule.consumenGiftPanel.eventDis:addEventListener(globalData.globalEventType.trigger_panelDispose,self.closeshowConsumeGiftPanel,self)
end
globalData.uiPanelContainer:addPanel(globalData.allStaticTypes.panelTabType.consumenGift,self.sceneModule.consumenGiftPanel)
end
--关闭财消费赠礼
function SceneController:closeshowConsumeGiftPanel(evt)
if(self.sceneModule.consumenGiftPanel ~= nil)then
self.sceneModule.consumenGiftPanel.eventDis:removeEventListener(globalData.globalEventType.trigger_panelDispose,self.closeshowConsumeGiftPanel,self)
self.sceneModule.consumenGiftPanel = nil
end
end
function SceneController:showPayPanelHandler(evt)
self:showPayPanel()
end
function SceneController:updateMap()
end
function SceneController:showSkillBtn(evt)
globalData.isShowSkillBtn = evt.data
if(self.sceneModule.skillPanel == nil) then return end
if(globalData.isShowSkillBtn) then
if(self.sceneModule.skillPanel:getParent() == nil) then
globalManager.containerManager.fixUIContainer:addChild(self.sceneModule.skillPanel,2)
end
else
if(self.sceneModule.skillPanel:getParent() ~= nil) then
self.sceneModule.skillPanel:isShowSkillPlan(false)
self.sceneModule.skillPanel:removeFromParent(false)
end
end
end
function SceneController:showArenaPanel2Handler(evt)
self:showArenaPanel(2)
end
function SceneController:showStarcraftHandler(evt)
self:showArenaPanel(3)
end
function SceneController:showChaosHandler(evt)
self:showArenaPanel(4)
end
--探宝结算界面
function SceneController:tanbaoOverView(evt)
CopyTanBaoCompletePanel:new()
end
function SceneController:yiChuiCardAwardHandler(evt)
YiChuiReward3View:new(evt.data)
end
function SceneController:gotoMap(gateId)
if(gateId == -1)then
globalManager.containerManager:showSourceLoadPanel()
self.sceneModule.message:sendMapEnter(gateId)
return
end
local mapId = globalData.allTemplates.gateTemplateList:getGate(gateId).nextMapId
local map = globalData.allTemplates.mapTemplateList:getMap(mapId)
if(globalData.selfPlayerInfo.level >= map.minLevel and globalData.selfPlayerInfo.level <= map.maxLevel)then
globalManager.containerManager:showSourceLoadPanel()
self.sceneModule.message:sendMapEnter(gateId)
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("SceneController.text1"))
end
end
--快速图标面板[不需关闭]
function SceneController:showQuickIconContainer()
if(self.sceneModule.quickIconContainer == nil)then
self.sceneModule.quickIconContainer = QuickIconContainer:new()
self.sceneModule.quickIconContainer:setPosition(cc.p(globalData.GAME_WIDTH - 118,globalData.GAME_HEIGHT - 121))
end
globalManager.containerManager.fixUIContainer:addChild(self.sceneModule.quickIconContainer,0)
end
--头像、小地图、技能快捷键、任务追踪[不需关闭]
function SceneController:showHeadAndMap()
-- print("#size, size", globalManager.ccCreator.winSize.width, globalManager.ccCreator.winSize.height )
local winWidth = globalManager.ccCreator.winSize.width
local winHeight = globalManager.ccCreator.winSize.height
self.sceneModule.selfHeadView = SceneSelfHeadView:new(self)
self.sceneModule.selfHeadView:setPosition(globalManager.ccCreator:newPoint(0,globalData.GAME_HEIGHT - 114))
globalManager.containerManager.fixUIContainer:addChild(self.sceneModule.selfHeadView,2)
self.sceneModule.skillPanel = SceneSkillPanel:new(self)
local skillWidth = winWidth - 228
self.sceneModule.skillPanel:setPosition(globalManager.ccCreator:newPoint(skillWidth,8))
if(globalData.isShowSkillBtn) then
globalManager.containerManager.fixUIContainer:addChild(self.sceneModule.skillPanel,2)
end
self.sceneModule.targetHeadView = SceneTargetHeadView:new(self)
self.sceneModule.targetHeadView:setPosition(globalManager.ccCreator:newPoint(317,-6))
self.sceneModule.taskFollowView = SceneTaskPanel:new(self)
self.sceneModule.taskFollowView:setPosition(globalManager.ccCreator:newPoint(2,globalData.GAME_HEIGHT - 115))
globalManager.containerManager.fixUIContainer:addChild(self.sceneModule.taskFollowView)
end
function SceneController:showHeadView(value)
if(self.sceneModule.selfHeadView == nil) then return end
if(value and self.sceneModule.selfHeadView:getParent() == nil) then
globalManager.containerManager.fixUIContainer:addChild(self.sceneModule.selfHeadView,2)
elseif(not value and self.sceneModule.selfHeadView:getParent() ~= nil) then
self.sceneModule.selfHeadView:removeFromParent(false)
end
end
--function SceneController:changePKmode()
--    if(self.sceneModule.selfHeadView ~= nil) then
--        self.sceneModule.selfHeadView:updatePKmode()
--    end
--end
function SceneController:addTargetIcon()
if(self.sceneModule.selfHeadView ~= nil)then
self.sceneModule.selfHeadView:addTargetIcon()
end
end
function SceneController:changeTargetInfo()
if(self.sceneModule.targetHeadView ~= nil) then
local info = self.sceneModule.sceneInfo:getCurrentSelectObjInfo()
if(info ~= nil and info:getObjType() == globalData.allStaticTypes.sceneObjType.monster and not info:getTemplate().isBoss) then
self.sceneModule.targetHeadView:setTarget(nil)
else
self.sceneModule.targetHeadView:setTarget(info)
end
self.sceneModule.skillPanel:setTarget(info)
end
if(globalData.copyInfo.currentCopyId == globalData.allTemplates.copyTemplateList.CROSSBOSS)then
if(self.sceneModule.copyFollowPanel ~= nil and self.sceneModule.copyFollowPanel.setTarget) then
local info = self.sceneModule.sceneInfo:getCurrentSelectObjInfo()
self.sceneModule.copyFollowPanel:setTarget(info)
end
end
end
function SceneController:setHangUpBtnState(value)
if(self.sceneModule.skillPanel == nil) then return end
self.sceneModule.skillPanel:clientStateUpdate(value)
end
function SceneController:showRelivePanel()
if(not globalData.allTemplates.copyTemplateList:showRelivePanel(globalData.copyInfo.currentCopyId))then
return
end
if(self.sceneModule.relivePanel == nil)then
self.sceneModule.relivePanel = SceneRelivePanel:new(self)
end
self.sceneModule.relivePanel:show()
end
function SceneController:hideRelivePanel()
if(self.sceneModule.relivePanel ~= nil)then
self.sceneModule.relivePanel:hide()
end
end
--停止挂机
function SceneController:stopAfkHandler()
self.sceneModule.attackTester:stopAFK()
end
--function SceneController:showChangeStatePanel()
--    local panel = SceneChangeStatePanel:new(self)
--    panel:setPosition(globalManager.ccCreator:newPoint(183,192))
--    globalData.uiClickContainer:addItem(panel)
--end
function SceneController:showSweepAwardPanel(sweepInfo)
SceneCopySweepAwardPanel:new(sweepInfo)
end
function SceneController:showYuanGuResultPanel(isWin,rank,exp,honor,items)
if(self.sceneModule.yuanguResultPanel == nil)then
self.sceneModule.yuanguResultPanel = YuanGuResultPanel:new(self)
end
self.sceneModule.yuanguResultPanel:setData(isWin,rank,exp,honor,items)
globalData.uiClickContainer:addItem(self.sceneModule.yuanguResultPanel,true,true)
end
function SceneController:hideYuanGuResultPanel()
globalData.uiClickContainer:close(self.sceneModule.yuanguResultPanel)
self.sceneModule.yuanguResultPanel:dispose()
self.sceneModule.yuanguResultPanel = nil
end
function SceneController:showVipPanel()
if(self.sceneModule.vipPanel == nil)then
self.sceneModule.vipPanel = VipPanel:new(self)
self.sceneModule.vipPanel.eventDis:addEventListener(globalData.globalEventType.trigger_panelDispose,self.hideVipPanel,self)
end
globalData.uiPanelContainer:addPanel(globalData.allStaticTypes.panelTabType.vip,self.sceneModule.vipPanel)
end
function SceneController:hideVipPanel()
if(self.sceneModule.vipPanel ~= nil)then
self.sceneModule.vipPanel.eventDis:removeEventListener(globalData.globalEventType.trigger_panelDispose,self.hideVipPanel,self)
self.sceneModule.vipPanel = nil
end
end
function SceneController:showPayPanel()
if globalData.isPay ~= 1 then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("SceneController.text2"))
return
end
if(self.sceneModule.payPanel == nil)then
self.sceneModule.payPanel = PayPanel:new(self)
self.sceneModule.payPanel.eventDis:addEventListener(globalData.globalEventType.trigger_panelDispose,self.hidePayPanel,self)
end
globalData.uiPanelContainer:addPanel(globalData.allStaticTypes.panelTabType.pay,self.sceneModule.payPanel)
end
function SceneController:hidePayPanel()
if(self.sceneModule.payPanel ~= nil)then
globalData.uiClickContainer:close()
self.sceneModule.payPanel.eventDis:removeEventListener(globalData.globalEventType.trigger_panelDispose,self.hidePayPanel,self)
self.sceneModule.payPanel = nil
end
end
--显示限时充值返利界面
function SceneController:showZhuanXiangWelfarePanel()
if(self.sceneModule.zhuanXiangWelfarePanel == nil)then
self.sceneModule.zhuanXiangWelfarePanel = ZhuanXiangWelfarePanel:new(self)
end
globalData.uiClickContainer:addItem(self.sceneModule.zhuanXiangWelfarePanel,true,true)
end
--隐藏限时充值返利界面
function SceneController:hideZhuanXiangWelfarePanel()
if (self.sceneModule.zhuanXiangWelfarePanel ~= nil) then
globalData.uiClickContainer:close(self.sceneModule.zhuanXiangWelfarePanel)
self.sceneModule.zhuanXiangWelfarePanel:dispose()
self.sceneModule.zhuanXiangWelfarePanel = nil
end
end
function SceneController:showWorldBossPanelHandler(evt)
if(self.sceneModule.worldBossPanel == nil)then
self.sceneModule.worldBossPanel = WorldBossPanel:new(self)
self.sceneModule.worldBossPanel.eventDis:addEventListener(globalData.globalEventType.trigger_panelDispose,self.worldBossPanelCloseHandler,self)
end
globalData.uiPanelContainer:addPanel(globalData.allStaticTypes.panelTabType.worldBoss,self.sceneModule.worldBossPanel)
end
function SceneController:worldBossPanelCloseHandler(evt)
if(self.sceneModule.worldBossPanel ~= nil)then
globalData.uiClickContainer:close(self.sceneModule.worldBossPanel)
self.sceneModule.worldBossPanel.eventDis:removeEventListener(globalData.globalEventType.trigger_panelDispose,self.worldBossPanelCloseHandler,self)
self.sceneModule.worldBossPanel = nil
end
end
function SceneController:showWorldBossSelectView(info)
local view = WorldBossSelectView:new(self, info)
globalData.uiClickContainer:addItem(view,true)
end
function SceneController:hideWorldBoss()
if (self.sceneModule.worldBossPanel ~= nil) then
self.sceneModule.worldBossPanel:dispose()
self.sceneModule.worldBossPanel = nil
end
end
function SceneController:showJingYingBossPanelHandler(evt)
if(self.sceneModule.jingyingBossPanel == nil)then
self.sceneModule.jingyingBossPanel = JingyingBossPanel:new(self)
self.sceneModule.jingyingBossPanel.eventDis:addEventListener(globalData.globalEventType.trigger_panelDispose,self.jingyingBossPanelCloseHandler,self)
end
globalData.uiPanelContainer:addPanel(globalData.allStaticTypes.panelTabType.jingYingBoss,self.sceneModule.jingyingBossPanel)
end
function SceneController:showWorldBossVipPanelHandler(evt)
if(self.sceneModule.worldBossVipPanel == nil)then
self.sceneModule.worldBossVipPanel = WorldBossVipPanel:new(self)
self.sceneModule.worldBossVipPanel.eventDis:addEventListener(globalData.globalEventType.trigger_panelDispose,self.worldBossVipPanelCloseHandler,self)
end
globalData.uiPanelContainer:addPanel(globalData.allStaticTypes.panelTabType.worldBossVip,self.sceneModule.worldBossVipPanel)
end
function SceneController:worldBossVipPanelCloseHandler(evt)
if(self.sceneModule.worldBossVipPanel ~= nil)then
globalData.uiClickContainer:close(self.sceneModule.worldBossVipPanel)
self.sceneModule.worldBossVipPanel.eventDis:removeEventListener(globalData.globalEventType.trigger_panelDispose,self.worldBossVipPanelCloseHandler,self)
self.sceneModule.worldBossVipPanel = nil
end
end
function SceneController:jingyingBossPanelCloseHandler(evt)
if(self.sceneModule.jingyingBossPanel ~= nil)then
globalData.uiClickContainer:close(self.sceneModule.jingyingBossPanel)
self.sceneModule.jingyingBossPanel.eventDis:removeEventListener(globalData.globalEventType.trigger_panelDispose,self.jingyingBossPanelCloseHandler,self)
self.sceneModule.jingyingBossPanel = nil
end
end
function SceneController:showjingyingBossSelectView(info)
local view = JingyingBossSelectView:new(self, info)
globalData.uiClickContainer:addItem(view,true)
end
function SceneController:hidejingyingBoss()
if (self.sceneModule.jingyingBossPanel ~= nil) then
self.sceneModule.jingyingBossPanel:dispose()
self.sceneModule.jingyingBossPanel = nil
end
end
function SceneController:arena1FightResultHandler(evt)
--sign 0:胜利 1：失败 2:排名变化
local fightResult = evt.data
if(self.sceneModule.arenaFightBehavior == nil) then
self.sceneModule.arenaFightBehavior = ArenaFightBehavior:new(self.sceneModule)
end
self.sceneModule.arenaFightBehavior:init(fightResult,1)
end
function SceneController:flyflower(evt)
local type = evt.data
if(type >= 97) then
if(self.sceneModule.fireworkBehavior == nil) then
self.sceneModule.fireworkBehavior = FireworkBehavior:new()
end
if(self.sceneModule.flowerBehavior ~= nil) then
self.sceneModule.flowerBehavior:clear()
end
self.sceneModule.fireworkBehavior:init(type)
else
if(self.sceneModule.flowerBehavior == nil) then
self.sceneModule.flowerBehavior = FlowerBehavior:new()
end
if(self.sceneModule.fireworkBehavior ~= nil) then
self.sceneModule.fireworkBehavior:clear()
end
self.sceneModule.flowerBehavior:init(type)
end
end
--显示竞技场界面
function SceneController:showArenaPanel(type)
if(type == 2)then
if(self.sceneModule.arena2Panel == nil)then
self.sceneModule.arena2Panel = ArenaPanel:new(self,1)
self.sceneModule.arena2Panel.eventDis:addEventListener(globalData.globalEventType.trigger_panelDispose,self.hideArena2Panel,self)
globalData.uiPanelContainer:addPanel(globalData.allStaticTypes.panelTabType.arena2,self.sceneModule.arena2Panel)
end
elseif(type == 3)then
if(self.sceneModule.starcraftPanel == nil)then
self.sceneModule.starcraftPanel = StarcraftPanel:new(self)
self.sceneModule.starcraftPanel.eventDis:addEventListener(globalData.globalEventType.trigger_panelDispose,self.hideStarcraftPanel,self)
globalData.uiPanelContainer:addPanel(globalData.allStaticTypes.panelTabType.starcraft,self.sceneModule.starcraftPanel)
end
elseif(type == 4)then
if(self.sceneModule.chaosPanel == nil)then
self.sceneModule.chaosPanel = ChaosPanel:new(self)
self.sceneModule.chaosPanel.eventDis:addEventListener(globalData.globalEventType.trigger_panelDispose,self.hideChaosPanel,self)
globalData.uiPanelContainer:addPanel(globalData.allStaticTypes.panelTabType.chaos,self.sceneModule.chaosPanel)
end
end
end
function SceneController:hideArenaPanel(evt)
self.sceneModule.arenaPanel.eventDis:removeEventListener(globalData.globalEventType.trigger_panelDispose,self.hideArenaPanel,self)
self.sceneModule.arenaPanel = nil
end
function SceneController:hideArena2Panel(evt)
self.sceneModule.arena2Panel.eventDis:removeEventListener(globalData.globalEventType.trigger_panelDispose,self.hideArena2Panel,self)
self.sceneModule.arena2Panel = nil
end
function SceneController:hideStarcraftPanel(evt)
self.sceneModule.starcraftPanel.eventDis:removeEventListener(globalData.globalEventType.trigger_panelDispose,self.starcraftPanel,self)
self.sceneModule.starcraftPanel = nil
end
function SceneController:hideChaosPanel(evt)
self.sceneModule.chaosPanel.eventDis:removeEventListener(globalData.globalEventType.trigger_panelDispose,self.hideChaosPanel,self)
self.sceneModule.chaosPanel = nil
end
--显示竞技场结果面板
function SceneController:showArenaResultPanel(fightResult,type)
if(self.sceneModule.arenaResultPanel == nil)then
self.sceneModule.arenaResultPanel = ArenaResultPanel:new(self,type)
end
self.sceneModule.arenaResultPanel:show(fightResult)
if(self.sceneModule.arenaResultPanel:getParent() == nil)then
globalData.uiClickContainer:addItem(self.sceneModule.arenaResultPanel,true,true)
end
end
function SceneController:hideArenaResultPanel(type)
globalData.uiClickContainer:close(self.sceneModule.arenaResultPanel)
self.sceneModule.arenaResultPanel:dispose()
self.sceneModule.arenaResultPanel = nil
globalData.messageAdder:sendArenaRank(0,type)
end
--显示匹配界面
function SceneController:showMatchPanel()
if(self.sceneModule.chaosMatchPanel == nil)then
self.sceneModule.chaosMatchPanel = ChaosMatchingPanel:new(self)
globalData.uiClickContainer:addItem(self.sceneModule.chaosMatchPanel,true,true)
end
end
--隐藏匹配界面
function SceneController:hideMatchPanel()
if(self.sceneModule.chaosMatchPanel ~= nil)then
globalData.uiClickContainer:close(self.sceneModule.chaosMatchPanel)
self.sceneModule.chaosMatchPanel:dispose()
self.sceneModule.chaosMatchPanel = nil
end
end
function SceneController:showCopyTeamMatchPanel()
if(self.sceneModule.teamMatchPanel == nil)then
self.sceneModule.teamMatchPanel = SceneTryCopyTeamMatchPanel:new(self)
globalData.uiClickContainer:addItem(self.sceneModule.teamMatchPanel,true,true)
end
end
function SceneController:hideCopyTeamMatchPanel()
if(self.sceneModule.teamMatchPanel ~= nil)then
globalData.uiClickContainer:close(self.sceneModule.teamMatchPanel)
self.sceneModule.teamMatchPanel:dispose()
self.sceneModule.teamMatchPanel = nil
end
end
function SceneController:showSendFlowerPanel(evt)
local userId = evt.data
if(self.sceneModule.sendFlowerPanel == nil)then
self.sceneModule.sendFlowerPanel = SendFlowerPanel:new(self,userId)
globalData.uiClickContainer:addItem(self.sceneModule.sendFlowerPanel,true,true)
end
end
function SceneController:hideSendFlowerPanel()
if(self.sceneModule.sendFlowerPanel ~= nil)then
globalData.uiClickContainer:close(self.sceneModule.sendFlowerPanel)
self.sceneModule.sendFlowerPanel:dispose()
self.sceneModule.sendFlowerPanel = nil
end
end
function SceneController:showPeiShiPanel()
if(self.sceneModule.peiShiPanel == nil)then
self.sceneModule.peiShiPanel = PeiShiPanel:new(self)
globalData.uiClickContainer:addItem(self.sceneModule.peiShiPanel,true,true)
end
end
function SceneController:hidePeiShiPanel()
if(self.sceneModule.peiShiPanel ~= nil)then
globalData.uiClickContainer:close(self.sceneModule.peiShiPanel)
self.sceneModule.peiShiPanel:dispose()
self.sceneModule.peiShiPanel = nil
end
end
function SceneController:showReceiveFlowerPanel(evt)
if(self.sceneModule.receiveFlowerPanel == nil)then
self.sceneModule.receiveFlowerPanel = ReceiveFlowerPanel:new(self,evt.data)
globalData.uiClickContainer:addItem(self.sceneModule.receiveFlowerPanel,true,true)
end
end
function SceneController:hideReceiveFlowerPanel()
if(self.sceneModule.receiveFlowerPanel ~= nil)then
globalData.uiClickContainer:close(self.sceneModule.receiveFlowerPanel)
self.sceneModule.receiveFlowerPanel:dispose()
self.sceneModule.receiveFlowerPanel = nil
end
end
function SceneController:showFlowerRankPanel(evt)
if(self.sceneModule.flowerRankPanel == nil)then
self.sceneModule.flowerRankPanel = FlowerRankPanel:new(self)
globalData.uiClickContainer:addItem(self.sceneModule.flowerRankPanel,true,true)
end
end
function SceneController:showWashGoldPanel(evt)
if(self.sceneModule.washGoldPanel == nil)then
self.sceneModule.washGoldPanel = WashGoldPanel:new(self)
globalData.uiClickContainer:addItem(self.sceneModule.washGoldPanel,true,true)
end
end
function SceneController:hideWashGoldPanel()
if(self.sceneModule.washGoldPanel ~= nil)then
globalData.uiClickContainer:close(self.sceneModule.washGoldPanel)
self.sceneModule.washGoldPanel:dispose()
self.sceneModule.washGoldPanel = nil
end
end
--新服大馈赠
function SceneController:showNewServerGift()
if(self.sceneModule.newServerGiftPanel == nil) then
self.sceneModule.newServerGiftPanel = NewServerGiftView:new(self)
globalData.uiClickContainer:addItem(self.sceneModule.newServerGiftPanel,true,true)
end
end
function SceneController:hideNewServerGift()
if(self.sceneModule.newServerGiftPanel ~= nil) then
globalData.uiClickContainer:close(self.sceneModule.newServerGiftPanel)
self.sceneModule.newServerGiftPanel:dispose()
self.sceneModule.newServerGiftPanel = nil
end
end
--
function SceneController:showPayCountGift()
if(self.sceneModule.payCountGiftPanel == nil) then
self.sceneModule.payCountGiftPanel = PayCountGiftView:new(self)
globalData.uiClickContainer:addItem(self.sceneModule.payCountGiftPanel,true,true)
end
end
function SceneController:hidePayCountGift()
if(self.sceneModule.payCountGiftPanel ~= nil) then
globalData.uiClickContainer:close(self.sceneModule.payCountGiftPanel)
self.sceneModule.payCountGiftPanel:dispose()
self.sceneModule.payCountGiftPanel = nil
end
end
--特权专区
function SceneController:showPrivilegePanel()
if(self.sceneModule.privilegePanel == nil) then
self.sceneModule.privilegePanel = PrivilegePanel:new(self)
end
if(self.sceneModule.privilegePanel:getParent() == nil)then
self.sceneModule.privilegePanel:setPosition(globalManager.ccCreator:newPoint(globalData.GAME_WIDTH / 2 - self.sceneModule.privilegePanel:getSize().width * 0.5,globalData.GAME_HEIGHT / 2 - self.sceneModule.privilegePanel:getSize().height * 0.5))
globalManager.containerManager.tipContainer:addChild(self.sceneModule.privilegePanel)
end
end
function SceneController:hidePrivilegePanel()
if(self.sceneModule.privilegePanel ~= nil) then
self.sceneModule.privilegePanel:dispose()
self.sceneModule.privilegePanel = nil
end
end
function SceneController:showdoubleEleven(evt)
if(self.sceneModule.doubleElevenPanel == nil)then
self.sceneModule.doubleElevenPanel = DoubleElevenPanel:new(self)
globalData.uiClickContainer:addItem(self.sceneModule.doubleElevenPanel,true,true)
end
end
function SceneController:hidedoubleEleven()
if(self.sceneModule.doubleElevenPanel ~= nil)then
globalData.uiClickContainer:close(self.sceneModule.doubleElevenPanel)
self.sceneModule.doubleElevenPanel:dispose()
self.sceneModule.doubleElevenPanel = nil
end
end
function SceneController:hideFlowerRankPanel()
if(self.sceneModule.flowerRankPanel ~= nil)then
globalData.uiClickContainer:close(self.sceneModule.flowerRankPanel)
self.sceneModule.flowerRankPanel:dispose()
self.sceneModule.flowerRankPanel = nil
end
end
function SceneController:showFlowerRankGiftPanel(evt)
if(self.sceneModule.flowerRankGiftPanel == nil)then
self.sceneModule.flowerRankGiftPanel = FlowerRankGiftView:new(self)
globalData.uiClickContainer:addItem(self.sceneModule.flowerRankGiftPanel,true,true)
end
end
function SceneController:hideFlowerRankGiftPanel()
if(self.sceneModule.flowerRankGiftPanel ~= nil)then
globalData.uiClickContainer:close(self.sceneModule.flowerRankGiftPanel)
self.sceneModule.flowerRankGiftPanel:dispose()
self.sceneModule.flowerRankGiftPanel = nil
end
end
--烟花榜
function SceneController:showYanhuaRankPanel(evt)
if(self.sceneModule.yanhuaRankPanel == nil)then
self.sceneModule.yanhuaRankPanel = YanhuaRankPanel:new(self)
globalData.uiClickContainer:addItem(self.sceneModule.yanhuaRankPanel,true,true)
end
end
function SceneController:hideYanhuaRankPanel()
if(self.sceneModule.yanhuaRankPanel ~= nil)then
globalData.uiClickContainer:close(self.sceneModule.yanhuaRankPanel)
self.sceneModule.yanhuaRankPanel:dispose()
self.sceneModule.yanhuaRankPanel = nil
end
end
--烟花榜奖励
function SceneController:showYanhuaTankGiftPanel()
if(self.sceneModule.yanhuaRankGiftPanel == nil)then
self.sceneModule.yanhuaRankGiftPanel = YanhuaRankGiftView:new(self)
globalData.uiClickContainer:addItem(self.sceneModule.yanhuaRankGiftPanel,true,true)
end
end
function SceneController:hideYanhuaRankGiftPanel()
if(self.sceneModule.yanhuaRankGiftPanel ~= nil)then
globalData.uiClickContainer:close(self.sceneModule.yanhuaRankGiftPanel)
self.sceneModule.yanhuaRankGiftPanel:dispose()
self.sceneModule.yanhuaRankGiftPanel = nil
end
end
--烟花榜赠送
function SceneController:showSendYanhuaRankPanel(evt)
local userId = evt.data
if(self.sceneModule.yanhuaSendPanel == nil)then
self.sceneModule.yanhuaSendPanel = YanhuaSendPanel:new(self,userId)
globalData.uiClickContainer:addItem(self.sceneModule.yanhuaSendPanel,true,true)
end
end
function SceneController:hideSendYanhuaRankPanel()
if(self.sceneModule.yanhuaSendPanel ~= nil)then
globalData.uiClickContainer:close(self.sceneModule.yanhuaSendPanel)
self.sceneModule.yanhuaSendPanel:dispose()
self.sceneModule.yanhuaSendPanel = nil
end
end
--烟花回赠
function SceneController:showYanhuReveivePanel(evt)
if(self.sceneModule.yanhuaRecivePanel == nil)then
self.sceneModule.yanhuaRecivePanel = YanhuaReceivePanel:new(self,evt.data)
globalData.uiClickContainer:addItem(self.sceneModule.yanhuaRecivePanel,true,true)
end
end
function SceneController:hideYanhuReveivePanel()
if(self.sceneModule.yanhuaRecivePanel ~= nil)then
globalData.uiClickContainer:close(self.sceneModule.yanhuaRecivePanel)
self.sceneModule.yanhuaRecivePanel:dispose()
self.sceneModule.yanhuaRecivePanel = nil
end
end
function SceneController:showSendMarryPanel(evt)
local userId = evt.data
if(self.sceneModule.marryApplyPanel == nil)then
self.sceneModule.marryApplyPanel = MarryApplyPanel:new(self)
globalData.uiClickContainer:addItem(self.sceneModule.marryApplyPanel,true,true)
end
end
function SceneController:hideSendMarryPanel()
if(self.sceneModule.marryApplyPanel ~= nil)then
globalData.uiClickContainer:close(self.sceneModule.marryApplyPanel)
self.sceneModule.marryApplyPanel:dispose()
self.sceneModule.marryApplyPanel = nil
end
end
function SceneController:showReceiveMarryPanel(evt)
if(self.sceneModule.marryAcceptPanel == nil)then
self.sceneModule.marryAcceptPanel = MarryAcceptPanel:new(self,evt.data)
globalData.uiClickContainer:addItem(self.sceneModule.marryAcceptPanel,true,true)
end
end
function SceneController:hideReceiveMarryPanel()
if(self.sceneModule.marryAcceptPanel ~= nil)then
globalData.uiClickContainer:close(self.sceneModule.marryAcceptPanel)
self.sceneModule.marryAcceptPanel:dispose()
self.sceneModule.marryAcceptPanel = nil
end
end
function SceneController:showMarryBreakPanel(evt)
if(self.sceneModule.marryBreakPanel == nil)then
self.sceneModule.marryBreakPanel = MarryBreakPanel:new(self,evt.data)
globalData.uiClickContainer:addItem(self.sceneModule.marryBreakPanel,true,true)
end
end
function SceneController:hideMarryBreakPanel()
if(self.sceneModule.marryBreakPanel ~= nil)then
globalData.uiClickContainer:close(self.sceneModule.marryBreakPanel)
self.sceneModule.marryBreakPanel:dispose()
self.sceneModule.marryBreakPanel = nil
end
end
function SceneController:showReceiveOathPanel(evt)
if(self.sceneModule.oathAcceptPanel == nil)then
self.sceneModule.oathAcceptPanel = OathAcceptPanel:new(self,evt.data)
globalData.uiClickContainer:addItem(self.sceneModule.oathAcceptPanel,true,true)
end
end
function SceneController:hideReceiveOathPanel()
if(self.sceneModule.oathAcceptPanel ~= nil)then
globalData.uiClickContainer:close(self.sceneModule.oathAcceptPanel)
self.sceneModule.oathAcceptPanel:dispose()
self.sceneModule.oathAcceptPanel = nil
end
end
function SceneController:showOathBreakPanel(evt)
if(self.sceneModule.oathBreakPanel == nil)then
self.sceneModule.oathBreakPanel = OathBreakPanel:new(self,evt.data)
globalData.uiClickContainer:addItem(self.sceneModule.oathBreakPanel,true,true)
end
end
function SceneController:hideOathBreakPanel()
if(self.sceneModule.oathBreakPanel ~= nil)then
globalData.uiClickContainer:close(self.sceneModule.oathBreakPanel)
self.sceneModule.oathBreakPanel:dispose()
self.sceneModule.oathBreakPanel = nil
end
end
function SceneController:showSendOathPanel(evt)
local userId = evt.data
if(self.sceneModule.oathApplyPanel == nil)then
self.sceneModule.oathApplyPanel = OathApplyPanel:new(self)
--globalData.uiClickContainer:addItem(self.sceneModule.oathApplyPanel,true,true)
--globalData.uiPanelContainer:close()
self.sceneModule.oathApplyPanel:setLocalZOrder(99)
self.sceneModule.oathApplyPanel:setPosition((globalData.GAME_WIDTH - 960 )/ 2 + 200,(globalData.GAME_HEIGHT - 640) / 2)
globalManager.containerManager.panelContainer:addChild(self.sceneModule.oathApplyPanel)
end
end
function SceneController:hideSendOathPanel()
if(self.sceneModule.oathApplyPanel ~= nil)then
--globalData.uiClickContainer:close(self.sceneModule.oathApplyPanel)
self.sceneModule.oathApplyPanel:dispose()
self.sceneModule.oathApplyPanel = nil
end
end
function SceneController:updateArenaMovie(value)
self.sceneInfo.playArenaMovie = value
self.sceneModule.controllerList:updateAllVisibles()
end
function SceneController:showMapPanelHandler(evt)
local showIndex = evt.data
if(self.sceneModule.mapPanel == nil)then
self.sceneModule.mapPanel = SceneMapPanel:new(self)
self.sceneModule.mapPanel.eventDis:addEventListener(globalData.globalEventType.trigger_panelDispose,self.hideMapPanelHandler,self)
globalData.uiClickContainer:addItem(self.sceneModule.mapPanel,true,true)
end
self.sceneModule.mapPanel:setIndex(showIndex)
end
function SceneController:hideMapPanelHandler(evt)
globalData.uiClickContainer:close(self.sceneModule.mapPanel)
self.sceneModule.mapPanel.eventDis:removeEventListener(globalData.globalEventType.trigger_panelDispose,self.hideMapPanelHandler,self)
self.sceneModule.mapPanel = nil
end
function SceneController:showSHTeamPanel(type)
if(self.sceneModule.shouHuTeamPanel == nil)then
self.sceneModule.shouHuTeamPanel = SceneTryCopySHTeamPanel:new(self,type)
globalData.uiClickContainer:addItem(self.sceneModule.shouHuTeamPanel,true,true)
end
end
function SceneController:hideSHTeamPanel()
if(self.sceneModule.shouHuTeamPanel ~= nil)then
globalData.uiClickContainer:close(self.sceneModule.shouHuTeamPanel)
self.sceneModule.shouHuTeamPanel:dispose()
self.sceneModule.shouHuTeamPanel = nil
end
end
--显示改名界面
function SceneController:showRenamePanel(evt)
if(self.sceneModule.renamePanel == nil)then
self.sceneModule.renamePanel = RenamePanel:new(self)
end
if(self.sceneModule.renamePanel:getParent() == nil)then
globalManager.containerManager.tipContainer:addChild(self.sceneModule.renamePanel)
self.sceneModule.renamePanel:setPosition(globalManager.ccCreator:newPoint((globalData.GAME_WIDTH - 470) / 2 ,(globalData.GAME_HEIGHT - 359) / 2))
end
end
--隐藏改名界面
function SceneController:hideRenamePanel()
if(self.sceneModule.renamePanel ~= nil)then
self.sceneModule.renamePanel:dispose()
self.sceneModule.renamePanel = nil
end
end
function SceneController:showArenaXHPanel()
if(self.sceneModule.arenaXHPanel == nil)then
self.sceneModule.arenaXHPanel = ArenaXHPanel:new(self)
self.sceneModule.arenaXHPanel.eventDis:addEventListener(globalData.globalEventType.trigger_panelDispose,self.hideArenaXHPanel,self)
end
globalData.uiPanelContainer:addPanel(globalData.allStaticTypes.panelTabType.arenaXH,self.sceneModule.arenaXHPanel)
end
function SceneController:hideArenaXHPanel()
if(self.sceneModule.arenaXHPanel ~= nil)then
self.sceneModule.arenaXHPanel.eventDis:removeEventListener(globalData.globalEventType.trigger_panelDispose,self.hideArenaXHPanel,self)
self.sceneModule.arenaXHPanel = nil
end
end
--显示转职界面
function SceneController:showChangeProfessionPanel(evt)
if(self.sceneModule.changeProfessionPanel == nil)then
if globalData.selfPlayerInfo.level >= 50 then
self.sceneModule.changeProfessionPanel = ChangeProfessionPanel:new(self)
globalManager.containerManager.tipContainer:addChild(self.sceneModule.changeProfessionPanel)
self.sceneModule.changeProfessionPanel:setPosition(globalManager.ccCreator:newPoint((globalData.GAME_WIDTH - 470) / 2 ,(globalData.GAME_HEIGHT - 359) / 2))
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("SceneController.text3"))
end
end
end
--隐藏转职界面
function SceneController:hideChangeProfessionPanel()
if(self.sceneModule.changeProfessionPanel ~= nil)then
self.sceneModule.changeProfessionPanel:dispose()
self.sceneModule.changeProfessionPanel = nil
end
end
--显示送红包界面
function SceneController:showRedBagPanel(evt)
if(self.sceneModule.redBagPanel == nil)then
self.sceneModule.redBagPanel = RedBagPanel:new(self)
globalData.uiClickContainer:addItem(self.sceneModule.redBagPanel,true,false)
end
end
--隐藏送红包界面
function SceneController:hideRedBagPanel()
if(self.sceneModule.redBagPanel ~= nil)then
globalData.uiClickContainer:close(self.sceneModule.redBagPanel)
self.sceneModule.redBagPanel:dispose()
self.sceneModule.redBagPanel = nil
end
end
--一分钟无操作弹框
function SceneController:showGuideAlertView()
if(self.sceneModule.guideAlertView == nil)then
self.sceneModule.guideAlertView = GuideAlertView:new(self)
globalData.uiClickContainer:addItem(self.sceneModule.guideAlertView,true,false)
end
end
function SceneController:hideGuideAlertView()
if(self.sceneModule.guideAlertView ~= nil)then
globalData.uiClickContainer:close(self.sceneModule.guideAlertView)
self.sceneModule.guideAlertView:dispose()
self.sceneModule.guideAlertView = nil
end
end
--打开帮战排行榜
function SceneController:showBangzhanRankPanel(evt)
if(self.sceneModule.bangzhanRankPanel == nil)then
self.sceneModule.bangzhanRankPanel = BangzhanRankPanel:new(self)
self.sceneModule.bangzhanRankPanel.eventDis:addEventListener(globalData.globalEventType.trigger_panelDispose,self.closeBangzhanRankPanel,self)
end
globalData.uiPanelContainer:addPanel(globalData.allStaticTypes.panelTabType.bangZhanRank,self.sceneModule.bangzhanRankPanel)
end
--关闭帮战排行榜
function SceneController:closeBangzhanRankPanel(evt)
if(self.sceneModule.bangzhanRankPanel ~= nil)then
self.sceneModule.bangzhanRankPanel.eventDis:removeEventListener(globalData.globalEventType.trigger_panelDispose,self.closeBangzhanRankPanel,self)
self.sceneModule.bangzhanRankPanel = nil
end
end
--打开一路向西
function SceneController:showToWestPanel(evt)
if(self.sceneModule.toWestPanel == nil)then
self.sceneModule.toWestPanel = ToWestPanel:new(self)
self.sceneModule.toWestPanel.eventDis:addEventListener(globalData.globalEventType.trigger_panelDispose,self.closeToWestPanel,self)
end
globalData.uiPanelContainer:addPanel(globalData.allStaticTypes.panelTabType.toWest,self.sceneModule.toWestPanel)
end
--关闭一路向西
function SceneController:closeToWestPanel(evt)
if(self.sceneModule.toWestPanel ~= nil)then
self.sceneModule.toWestPanel.eventDis:removeEventListener(globalData.globalEventType.trigger_panelDispose,self.closeToWestPanel,self)
self.sceneModule.toWestPanel = nil
end
end
function SceneController:isShowHangup(value)
if(self.sceneModule.skillPanel) then
self.sceneModule.skillPanel:isShowHangup(value)
end
end
function SceneController:showNewlyMovie()
if(self.newlyMovie == nil) then
self.newlyMovie = NewlyMovieManager:new(self)
end
end
function SceneController:hideNewlyMovie()
if(self.newlyMovie == nil) then return end
self.newlyMovie:dispose()
self.newlyMovie = nil
end
function SceneController:clear()
self:hideRelivePanel()
self:setHangUpBtnState(false)
self:showHeadView(true)
end
--世界boss伤害信息
SceneBossHeartInfo = class("SceneBossHeartInfo",function()
local sb = {}
sb.id = 0
sb.heartHp = 0
sb.name = ""
sb.serverId = 0
sb.leagueList = nil
sb.rank = 0
return sb
end)
--世界boss场景信息
SceneWorldBossInfo = class("SceneWorldBossInfo",function()
local sw = EventDispatcher:new()
sw.worldHeartList = {}
sw.jingYinHearList = {}
sw.bossHp = 0
sw.killerName = ""
sw.killId = 0
sw.killServerId = 0
return sw
end)
--0表示不在boss场景，1表示世界boss，2表示精英boss
function SceneWorldBossInfo:inBossType()
if(globalData.allTemplates.mapTemplateList:isWorldBossMap(globalData.currentMapId))then
return 1
elseif(globalData.allTemplates.mapTemplateList:isJingyinBossMap(globalData.currentMapId))then
return 2
end
return 0
end
function SceneWorldBossInfo:initWorldHeartList(data)
self.bossHp = data:readNumber()
self.killerName = data:readString()
self.killServerId = data:readShort()
local len = data:readByte()
for i = 1,len,1 do
local id = data:readNumber()
local item = self.worldHeartList[id]
if(item == nil)then
item = SceneBossHeartInfo:new()
item.id = id
self.worldHeartList[id] = item
end
item.heartHp = data:readNumber()
item.name = data:readString()
item.serverId = data:readShort()
local list = {}
local len2 = data:readByte()
for j = 1, len2 do
local temp = {}
temp.name = data:readString()
temp.heartHp = data:readNumber()
table.insert(list,temp)
end
item.leagueList = list
end
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.sceneInfo_worldBossKiller,self,1))
end
function SceneWorldBossInfo:initJingyinHeart(data)
self.bossHp = data:readNumber()
local len = data:readByte()
for i = 1,len,1 do
local id = data:readNumber()
local item = self.jingYinHearList[id]
if(item == nil)then
item = SceneBossHeartInfo:new()
item.id = id
self.jingYinHearList[id] = item
end
item.heartHp = data:readNumber()
item.name = data:readString()
item.serverId = data:readShort()
end
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.sceneInfo_worldBossKiller,self,2))
end
function SceneWorldBossInfo:clear()
self.worldHeartList = {}
self.jingYinHearList = {}
self.bossHp = 0
self.killerName = ""
self.killId = 0
self.killServerId = 0
end
SHMessageHandler = class("SHMessageHandler",function(self,module)
local temp = {}
temp.sceneModule = module
temp.constroller = temp.sceneModule.controllerList.sceneController
return temp
end)
function SHMessageHandler:ctor()
local function createTeamReturn(mess)
local bytes = tolua.cast(mess,"MessageIn")
local type = bytes:readByte()
if(type == 1)then
else
end
end
local function quitTeamReturn(mess)
local bytes = tolua.cast(mess,"MessageIn")
local pos = bytes:readByte()
if(pos == 1)then --解散队伍
if(self.sceneModule.shouHuTeamPanel ~= nil)then
self.constroller:hideSHTeamPanel()
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("ChaosMessageHandler.text1"))
end
else
if(self.sceneModule.shouHuTeamPanel ~= nil)then
self.sceneModule.shouHuTeamPanel:quitTeam(pos)
end
end
end
local function kickMemberReturn(mess)
local bytes = tolua.cast(mess,"MessageIn")
local pos = bytes:readByte()
if(self.sceneModule.shouHuTeamPanel ~= nil)then
self.sceneModule.shouHuTeamPanel:kickMenber(pos)
end
end
local function BeInvitedReTurn(mess)
local bytes = tolua.cast(mess,"MessageIn")
local inviterId = bytes:readNumber()
local pos = bytes:readByte()
local name = bytes:readString()
local function okClickHandler()
self.sceneModule.message:sendSHInviteRequest(inviterId,1,pos)
end
local function jujueClickHandler()
self.sceneModule.message:sendSHInviteRequest(inviterId,2,pos)
end
local text = string.format(globalManager.yuyanbaoManager:getYuyanbao("ChaosMessageHandler.text13"),globalData.allStaticTypes.colorType.ITEMCOLOR2_STR,name)
Alert:new():show(5,text,nil,5,self,okClickHandler,jujueClickHandler)
end
local function inviteRequestReturn(mess)
local bytes = tolua.cast(mess,"MessageIn")
local type = bytes:readByte() --0为接受，1：拒绝
local pos = bytes:readByte()
if(type == 0)then
if(self.sceneModule.shouHuTeamPanel == nil)then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tabCopy)
if(globalData.uiPanelContainer:getCurrentPanel() ~= nil) then
globalData.uiPanelContainer:getCurrentPanel():jumpToTab(4)
end
self.constroller:showSHTeamPanel(2)
else
self.sceneModule.message:sendGetSHTeamInfo()
end
elseif(type == 9)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("SHMessageHandler.text1"))
if(self.sceneModule.shouHuTeamPanel ~= nil)then
self.sceneModule.shouHuTeamPanel:resetInviteStatus(pos)
end
elseif(type == 15)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("SHMessageHandler.text2"))
elseif(type == 16)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("SHMessageHandler.text3"))
end
end
local function inviteFriendReturn(mess)
local bytes = tolua.cast(mess,"MessageIn")
local type = bytes:readByte() --1为成功
local pos = bytes:readByte() --邀请位置
if(type == 0)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("ChaosMessageHandler.text2"))
elseif(type == 3)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("ChaosMessageHandler.text4"))
elseif(type == 2)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("ChaosMessageHandler.text5"))
elseif(type == 14)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("ChaosMessageHandler.text7"))
elseif(type == 12)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("ChaosMessageHandler.text8"))
elseif(type == 13)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("SHMessageHandler.text4"))
elseif(type == 15)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("SHMessageHandler.text2"))
elseif(type == 16)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("SHMessageHandler.text3"))
end
if(self.sceneModule.shouHuTeamPanel ~= nil and type ~= 0)then
self.sceneModule.shouHuTeamPanel:resetInviteStatus(pos)
end
end
local function selfInfoReturn(mess)
local bytes = tolua.cast(mess,"MessageIn")
local infoList = {}
local len = bytes:readByte()
for i = 1,len,1 do
local playerInfo = FigurePlayerInfo:new()
playerInfo.userId = bytes:readNumber()
playerInfo.pos = bytes:readByte()
playerInfo:setCareer(bytes:readByte())
playerInfo.combat = bytes:readInt()
playerInfo.nick = bytes:readString()
globalManager.messageUtils:setPlayerStyleBin(playerInfo,bytes,false)
table.insert(infoList,playerInfo)
end
if(self.sceneModule.shouHuTeamPanel ~= nil)then
self.sceneModule.shouHuTeamPanel:updatePlayerInfo(infoList)
end
end
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.SH_CREATE_TEAM,createTeamReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.SH_TEAM_INFO,selfInfoReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.SH_QUIT_TEAM,quitTeamReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.SH_INVITE,inviteFriendReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.SH_INVITE_REPLY,inviteRequestReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.SH_INVITE_REQUEST,BeInvitedReTurn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.SH_KICK_TEAM,kickMemberReturn)
end
WorldBossUpdateMessageHandler = class("WorldBossUpdateMessageHandler",function(self,module)
local wb = {}
wb.sceneModule = module
wb.sceneInfo = module.sceneInfo
local messageUpdateReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
if(globalData.worldBossList ~= nil)then
globalData.worldBossList:init(bytes)
end
end
local messageHartReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
if(wb.sceneInfo.sceneWorldBossInfo:inBossType() == 1)then
wb.sceneInfo.sceneWorldBossInfo:initWorldHeartList(bytes)
end
end
local messageEliteReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
if(wb.sceneInfo.sceneWorldBossInfo:inBossType() == 2)then
wb.sceneInfo.sceneWorldBossInfo:initJingyinHeart(bytes)
end
end
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.BOSS_UPDATE,messageUpdateReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.BOSS_HART_INFO,messageHartReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.BOSS_ELITE_HART_INFO,messageEliteReturn)
return wb
end)
YuanGuMessageReceiver = class("YuanGuMessageReceiver",function(self,sceneModule)
local yg = {}
yg.sceneModule = sceneModule
return yg
end)
function YuanGuMessageReceiver:ctor()
local function infoReturn(mess)
local bytes = tolua.cast(mess,"MessageIn")
globalData.copyInfo.copyYGInfo.selfRank = bytes:readShort()
globalData.copyInfo.copyYGInfo.selfScore = bytes:readShort()
local len = bytes:readShort()
for i = 1,len,1 do
local campId = bytes:readByte()
if(campId == 1)then
globalData.copyInfo.copyYGInfo.camp1PlayerCount = bytes:readInt()
globalData.copyInfo.copyYGInfo.camp1PlayerScore = bytes:readInt()
elseif(campId == 2)then
globalData.copyInfo.copyYGInfo.camp2PlayerCount = bytes:readInt()
globalData.copyInfo.copyYGInfo.camp2PlayerScore = bytes:readInt()
else
globalData.copyInfo.copyYGInfo.camp3PlayerCount = bytes:readInt()
globalData.copyInfo.copyYGInfo.camp3PlayerScore = bytes:readInt()
end
end
globalData.copyInfo.copyYGInfo:infoUpdate()
end
local function rankReturn(mess)
local bytes = tolua.cast(mess,"MessageIn")
local players = {}
local len = bytes:readShort()
for i = 1,len,1 do
local playerInfo = YuanGuRankPlayerInfo:new()
playerInfo.camp = bytes:readByte()
playerInfo.rank = bytes:readShort()
playerInfo.userId = bytes:readNumber()
playerInfo.nick = bytes:readString()
playerInfo.level = bytes:readShort()
playerInfo.fight = bytes:readInt()
playerInfo.score = bytes:readShort()
table.insert(players,playerInfo)
end
globalData.copyInfo.copyYGInfo:setRankData(players)
end
local function awardReturn(mess)
local bytes = tolua.cast(mess,"MessageIn")
local sign = bytes:readBoolean()
local exp = bytes:readInt()
local honor = bytes:readInt()
local rank = bytes:readShort()
local len = bytes:readShort()
local items = {}
for i = 1,len,1 do
table.insert(items,{bytes:readInt(),bytes:readShort()})
end
self.sceneModule.controllerList.sceneController:showYuanGuResultPanel(sign,rank,exp,honor,items)
end
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.CAMPWAR_INFO,infoReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.CAMPWAR_RANK,rankReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.CAMPWAR_AWARD,awardReturn)
end
YuanGuMessageSender = class("YuanGuMessageSender",function(self,module)
local yg = {}
yg.sceneModule = module
return yg
end)
--获取信息
function YuanGuMessageSender:sendGetInfo()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.CAMPWAR_INFO)
globalManager.messageManager:send(messOut)
end
--排行版数据
function YuanGuMessageSender:sendRank()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.CAMPWAR_RANK)
globalManager.messageManager:send(messOut)
end
ZhuanpanMessageHandler = class("ZhuanpanMessageHandler",function(self)
local temp = {}
return temp
end)
function ZhuanpanMessageHandler:ctor()
--欢乐转盘
local function pickReturn(mess)
local bytes = tolua.cast(mess,"MessageIn")
local index = bytes:readByte()
globalData.zhuanPanInfo.count = bytes:readShort()
globalData.zhuanPanInfo.score = bytes:readShort()
globalData.zhuanPanInfo:pickReturn(index)
end
local function exchangeReturn(mess)
local bytes = tolua.cast(mess,"MessageIn")
globalData.zhuanPanInfo:exchangeUpdate(bytes)
end
local function infoReturn(mess)
local bytes = tolua.cast(mess,"MessageIn")
local isShow = bytes:readBoolean()
globalData.zhuanPanInfo:infoUpdate(isShow)
end
local function awardReturn(mess)
local bytes = tolua.cast(mess,"MessageIn")
globalData.zhuanPanInfo:awardListUpdate(bytes)
end
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.ZHUANPAN_PICK,pickReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.ZHUANPAN_EXCHANGE,exchangeReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.ZHUANPAN_INFO,infoReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.ZHUANPAN_AWARD,awardReturn)
--充值转盘
local function pickAwardReturn(mess)
local bytes = tolua.cast(mess,"MessageIn")
local rechargeGold = bytes:readInt()
local index = bytes:readByte()
local hasTimes = bytes:readShort()
globalData.zhuanPanInfo:pickAwardReturn(rechargeGold,index,hasTimes)
end
local function yuanbaoInfoReturn(mess)
local bytes = tolua.cast(mess,"MessageIn")
globalData.zhuanPanInfo:getInfoReturnUpdate(bytes)
end
local function isOpenReturn(mess)
local bytes = tolua.cast(mess,"MessageIn")
local isShow = bytes:readBoolean()
globalData.zhuanPanInfo:isOpenUpdate(isShow)
end
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.ZHUANPAN_YUANBAO_PICK,pickAwardReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.ZHUANPAN_YUANBAO_INFO,yuanbaoInfoReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.ZHUANPAN_YUANBAO_ISOPEN,isOpenReturn)
end
ZhuanpanMessageSender = class("ZhuanpanMessageSender",function(self)
local temp = {}
return temp
end)
function ZhuanpanMessageSender:sendPick(time)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.ZHUANPAN_PICK)
messOut:writeByte(time)
globalManager.messageManager:send(messOut)
end
function ZhuanpanMessageSender:sendExchange(type,id)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.ZHUANPAN_EXCHANGE)
messOut:writeShort(type)
messOut:writeInt(id)
globalManager.messageManager:send(messOut)
end
function ZhuanpanMessageSender:sendGetAward()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.ZHUANPAN_AWARD)
globalManager.messageManager:send(messOut)
end
--充值转盘抽奖
function ZhuanpanMessageSender:sendYuanbaoPickAward()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.ZHUANPAN_YUANBAO_PICK)
globalManager.messageManager:send(messOut)
end
--充值转盘领奖
function ZhuanpanMessageSender:sendYuanbaoGetAward()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.ZHUANPAN_YUANBAO_GET)
globalManager.messageManager:send(messOut)
end
--充值转盘信息
function ZhuanpanMessageSender:sendYuanbaoGetInfo()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.ZHUANPAN_YUANBAO_INFO)
globalManager.messageManager:send(messOut)
end
WashGoldMessageReceiver = class("WashGoldMessageReceiver",function(self)
local temp = {}
return temp
end)
function WashGoldMessageReceiver:ctor()
local function indexReturn(mess)
local bytes = tolua.cast(mess,"MessageIn")
local index = bytes:readByte()
globalData.washGoldInfo:dispatchEvent(BaseEvent:new(globalData.globalEventType.washGold_index, globalData.washGoldInfo, index))
end
local function washGoldTimesReturn(mess)
-- body
local bytes = tolua.cast(mess,"MessageIn")
local times = bytes:readInt()
globalData.washGoldInfo:timesUpdate(times)
end
local function infoReturn(mess)
local bytes = tolua.cast(mess,"MessageIn")
local infoList = {}
infoList.maxAward = bytes:readInt()
globalData.washGoldInfo:dispatchEvent(BaseEvent:new(globalData.globalEventType.washGold_infoUpdate, globalData.washGoldInfo, infoList))
end
local function bigAwardReturn(mess)
-- body
local bytes = tolua.cast(mess,"MessageIn")
local len = bytes:readByte()
local infoList = {}
infoList[1] = {}
infoList[2] = {}
if len ~= 0 then
for i = 1, len do
infoList[1][i] ={bytes:readInt(), bytes:readInt(), bytes:readString(),bytes:readShort()}
end
end
local len2 = bytes:readByte()
if len2 ~= 0 then
for i=1, len2 do
infoList[2][i] = {bytes:readInt(), bytes:readShort(), bytes:readString(),bytes:readShort()}
end
end
local function sort(table1,table2)
return table1[2] > table2[2]
end
if infoList[2] and #infoList[2] >= 2 then
table.sort(infoList[2], sort)
end
globalData.washGoldInfo:dispatchEvent(BaseEvent:new(globalData.globalEventType.washGold_bigAwardList, globalData.washGoldInfo, infoList))
end
local function awardReturn(mess)
local bytes = tolua.cast(mess,"MessageIn")
local len = bytes:readByte()
local table = {}
if len ~= 0 then
for i = 1, len do
table[i] = {bytes:readInt(), bytes:readInt()}
end
end
globalData.washGoldInfo:dispatchEvent(BaseEvent:new(globalData.globalEventType.washGold_awardList, globalData.washGoldInfo, table))
end
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.WASH_INDEX,indexReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.WASH_TIMES,washGoldTimesReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.WASH_INFO,infoReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.WASH_REWARD_LIST,awardReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.WASH_BIGAWARDLIST,bigAwardReturn)
end
WashGoldMessageSender = class("WashGoldMessageSender",function(self)
local temp = {}
return temp
end)
--抽奖
function WashGoldMessageSender:sendPick(flag)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.WASH_INDEX)
messOut:writeByte(flag)
globalManager.messageManager:send(messOut)
end
--领奖
function WashGoldMessageSender:sendGetAward()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.WASH_REWARD_LIST)
globalManager.messageManager:send(messOut)
end
--淘金信息
function WashGoldMessageSender:sendForWashGoldInfo()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.WASH_INFO)
globalManager.messageManager:send(messOut)
end
DoubleElevenMessageHandler = class("DoubleElevenMessageHandler",function(self,sceneModule)
local temp = {}
temp.sceneModule = sceneModule
return temp
end)
function DoubleElevenMessageHandler:ctor()
local function doubleElevenFourReturn(mess)
-- body
local info = {}
local bytes = tolua.cast(mess,"MessageIn")
local len = bytes:readByte()
info.restTimes = bytes:readByte()
info.endTimes = bytes:readInt()
info.itemList = {}
if len ~= 0 then
for i = 1,len do
local itemId = bytes:readInt()
local count = bytes:readInt()
local position = bytes:readByte()
info.itemList[i] = {itemId,count,position}
end
else
info.itemList = {}
end
globalData.doubleElevenInfo:updateInfo(info)
end
local function doubleElevenFourTimeReturn(mess)
local info = {}
local bytes = tolua.cast(mess,"MessageIn")
local endTimes = bytes:readInt()
globalData.doubleElevenInfo:updateTimes(endTimes)
end
local function doubleElevenTwoBuyReturn(mess)
local bytes = tolua.cast(mess,"MessageIn")
local errorType = bytes:readShort()
if(errorType == 101)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("DoubleElevenMessageHandler.text1"))
elseif(errorType == 102)then
print("服务器-找不到模板表")
elseif(errorType == 103)then
print("11团购，服务器与客户端的活动时间不一致")
elseif(errorType == 104)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel11"))
elseif(errorType == 105)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("DoubleElevenMessageHandler.text2"))
end
end
local function viewTwoInfoReturn(mess)
local info = {}
local bytes = tolua.cast(mess,"MessageIn")
local len = bytes:readByte()
info.countList = {0,0,0}
info.isBuyList = {0,0,0}
for i=1,len,1 do
local pos = bytes:readByte()
local isBuy = bytes:readByte()
local count = bytes:readInt()
--print("--viewTwoInfoReturn--",pos,count,isBuy)
info.countList[pos] = count
info.isBuyList[pos] = isBuy
end
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.doubleElevenViewTwo_infoUpdate,globalManager.gameDispatcher,info))
end
local function viewOneInfoReturn(mess)
local bytes = tolua.cast(mess,"MessageIn")
local info = {}
local len = bytes:readByte()
for i=1,len,1 do
local id = bytes:readByte()
local len2 = bytes:readByte()
local list = {}
for k=1,len2,1 do
local userId = bytes:readNumber()
local name = bytes:readString()
local serverId = bytes:readShort()
list[k] = {userId,name,serverId}
end
info[id] = list
end
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.doubleElevenViewOne_infoUpdate,globalManager.gameDispatcher,info))
end
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.DOUBLE_ELEVEN_ONE_INFO,viewOneInfoReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.DOUBLE_ELEVEN_FOUR_INFOR,doubleElevenFourReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.DOUBLE_ELEVEN_OPENCARD_TIME,doubleElevenFourTimeReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.DOUBLE_ELEVEN_TWO_INFO,viewTwoInfoReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.DOUBLE_ELEVEN_TWO_BUY,doubleElevenTwoBuyReturn)
end
CopyInfoMessageHandler = class("CopyInfoMessageHandler",function(self,sceneModule)
local temp = {}
temp.sceneModule = sceneModule
return temp
end)
function CopyInfoMessageHandler:ctor()
local messageBossSkillReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
globalData.copyInfo:createBossKillPanel(bytes:readInt(),bytes:readInt())
end
--进入游戏初始化副本数据
local messageEnterCountReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
globalData.copyInfo:initData(bytes)
end
local messageMissionReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
local copyId = bytes:readInt()
local missionId = bytes:readInt()
local todayMissionId = bytes:readInt()
globalData.copyInfo:setMaxMission(copyId,missionId)
globalData.copyInfo:setTodayMaxMission(copyId,todayMissionId)
end
local messageAwardReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
local copyId  = bytes:readInt()
local state   = bytes:readInt()
local remainNum = bytes:readByte()
if(copyId == globalData.allTemplates.copyTemplateList.LIANYU) then
globalData.copyInfo:getCopyInfo(globalData.allTemplates.copyTemplateList.LIANYU):setMission(state,remainNum)
elseif(copyId == globalData.allTemplates.copyTemplateList.EXPEDITION)then
globalData.copyInfo:getCopyInfo(globalData.allTemplates.copyTemplateList.EXPEDITION):setMission(state,remainNum)
end
end
local messageBallReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
local current = bytes:readShort()
local total = bytes:readShort()
local exp = bytes:readInt()
local copper = bytes:readInt()
globalData.copyInfo.currentCopyInfo.totalExp = exp
globalData.copyInfo.currentCopyInfo.totalCopper = copper
globalData.copyInfo.currentCopyInfo:updateBall(current,total)
end
local messageMonsterReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
local leftMonster = bytes:readInt()
local totalMonster = bytes:readInt()
local info = globalData.copyInfo.currentCopyInfo
if info ~= nil then
info:updateMonsterCount( leftMonster, totalMonster )
end
end
local messageQuitReturn = function(mess)
print("退出副本")
local bytes = tolua.cast(mess,"MessageIn")
local copyId = bytes:readInt()
if(copyId == globalData.allTemplates.copyTemplateList.SKYDREAMLAND)then
globalData.copyInfo.currentCopyId = -1
return
end
local copySceneInfo = globalData.copyInfo.currentCopyInfo
local missionId = copySceneInfo.mission
if(copyId == globalData.allTemplates.copyTemplateList.MATERIAL)then
local view = CopyMaterialCompletePanel:new(self.sceneModule.controllerList.sceneController)
view:setView()
elseif(copyId == globalData.allTemplates.copyTemplateList.EXPEDITION)then
if(copySceneInfo.leftMonster <= 0)then
local view = CopyExpeditionCompletePanel:new(self.sceneModule.controllerList.sceneController,missionId)
view:setView()
view:setMoneyInfo()
end
elseif(globalManager.commonUtils:getIndexOfTable(globalData.allTemplates.copyTemplateList.BOSSVIP,copyId) ~= -1)then
if(copySceneInfo.leftMonster <= 0)then
local view = WorldBossVipCompletePanel:new()
end
elseif(copyId == globalData.allTemplates.copyTemplateList.TAOYUAN)then
if(copySceneInfo.leftMonster <= 0)then
local view = CopyTYCompletePanel:new(copyId)
end
end
globalData.copyInfo.lastCopyId = globalData.copyInfo.currentCopyId
globalData.copyInfo.currentCopyId = -1
self.sceneModule.clearPathTester:clearPath()
globalData.copyInfo:clearCopy()
end
local messageTimeReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
local info = globalData.copyInfo.currentCopyInfo
local leftTime = bytes:readInt()
local totalTime = bytes:readInt()
if(info ~= nil)then
info.leftTime = leftTime
info.totalTime = totalTime
info:updateTimeInfo()
end
end
local messageZhuanPanReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
local info = CopyZhuangPanInfo:new()
info.copyId = bytes:readInt()
local sceneInfo = globalData.copyInfo.currentCopyInfo
if(sceneInfo ~= nil)then
info.mission = sceneInfo.mission
end
info.itemId = bytes:readInt()
info.itemCount = bytes:readShort()
info.exp = bytes:readInt()
info.copper = bytes:readInt()
globalData.copyInfo:createCopyZhuangPanInfo(info)
end
local messageComplateReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
local copySceneInfo = globalData.copyInfo.currentCopyInfo
assert(copySceneInfo, "当前副本信息为空")
print("收到副本完成协议")
copySceneInfo:copyComplete()
end
local messageDropInfoReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
local len = bytes:readShort()
local itemList = {}
local itemCount = 0
for i = 1,len,1 do
local itemId = bytes:readInt()
local count  = bytes:readInt()
local categoryId = globalData.allTemplates.goodsTemplateList:getTemplate(itemId).categoryId
table.insert(itemList,{itemId,count})
if(categoryId ~= globalData.allStaticTypes.categoryType.copperType) then
itemCount = itemCount + count
end
end
local exp = bytes:readInt()
if(globalData.copyInfo.currentCopyInfo ~= nil and globalData.copyInfo.currentCopyInfo.itemList ~= nil) then
globalData.copyInfo.currentCopyInfo:setItemList(itemList,itemCount)
globalData.copyInfo.currentCopyInfo:updateExpInfo(exp,exp)
end
end
local messageRestInfoReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
local copyId = bytes:readInt()
local missionId = bytes:readInt()
local todayMissionId = bytes:readInt()
local chapter = bytes:readByte()
globalData.copyInfo:setMaxMission(copyId,missionId)
globalData.copyInfo:setTodayMaxMission(copyId,todayMissionId,chapter)
end
local messageMatchReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
local isSuccess = bytes:readByte()
if(isSuccess == 0) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("MatchFail.text1"))
self.sceneModule.controllerList.sceneController:hideCopyTeamMatchPanel()
elseif(isSuccess == 2) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("CopyInfoMessageHandler.text2"))
end
end
local messageTimeUpdateReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
local copyId = bytes:readInt()
local num = bytes:readInt()
local total = bytes:readInt()
local time = bytes:readInt()
local exp = bytes:readInt()
local copper = bytes:readInt()
local info = globalData.copyInfo.currentCopyInfo
if(info ~= nil) then
info:updateMonsterCount( num, total )
info:updateTimeInfo(time,0)
end
end
local messageNpcHpReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
globalData.copyInfo.currentCopyInfo:updateHp(bytes:readShort())
local len = bytes:readByte()
local list = {}
local selfScore = 0
for i = 1,len,1 do
local career = bytes:readByte()
local level = bytes:readByte()
local score = bytes:readShort()
local nick = bytes:readString()
table.insert(list,{career,level,score,nick})
if(nick == globalData.selfPlayerInfo.nick) then
selfScore = score
end
end
local totalScore = bytes:readInt()
globalData.copyInfo.currentCopyInfo:updateTeamInfo(list,selfScore,totalScore)
end
local messageNpcCallListReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
local len = bytes:readInt()
local list = {0,0}
for i = 1,len,1 do
if(bytes:readByte() == 1) then
list[1] = bytes:readByte()
else
list[2] = bytes:readByte()
end
end
globalData.copyInfo.currentCopyInfo:updateCallList(list)
end
local messageNpcCalledListReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
local list = {}
local len = bytes:readByte()
local num1 = 0
local num2 = 0
for i = 1,len,1 do
local type = bytes:readByte()
table.insert(list,type)
if(type == 1) then
num1 = num1 + 1
else
num2 = num2 + 1
end
end
globalData.copyInfo.currentCopyInfo:updateCalledList(list,num1,num2)
end
local messageAWRADListReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
local copyId = bytes:readInt()
local mission = bytes:readShort()
local copper = bytes:readInt()
local exp    = bytes:readInt()
local len    = bytes:readByte()
local goodsList = {}
for i = 1,len,1 do
local templateId = bytes:readInt()
local number     = bytes:readShort()
table.insert(goodsList,{templateId,number})
end
if(copyId == globalData.allTemplates.copyTemplateList.DEFENED)then
globalData.copyInfo.currentCopyInfo:setAwardInfo(copper,exp,goodsList)
local view = CopyDefenedCompletePanel:new(mission)
elseif(copyId == globalData.allTemplates.copyTemplateList.LIANYU)then
globalData.copyInfo.currentCopyInfo:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_copyComplete, self, {mission,copper,exp,goodsList}))
elseif(copyId == globalData.allTemplates.copyTemplateList.TREASURE)then
globalData.copyInfo.currentCopyInfo:setAwardInfo(copper,exp,goodsList)
local view = FindTreasureComletePanel:new(copyId)
elseif(copyId == globalData.allTemplates.copyTemplateList.STARCRAFT)then
globalData.copyInfo.currentCopyInfo:setAwardInfo(copper,exp,goodsList)
local view = StarcraftCompletePanel:new()
end
end
local messageWORLDBOSSVIPINFOReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
local len   = bytes:readByte()
local flushTimeList = {}
local now = math.floor(globalData.systemDateInfo:getSystemTime()*0.001)
for i = 1,len,1 do
local copyId    = bytes:readInt()
local flushTime = bytes:readInt()
flushTimeList[copyId] = now + flushTime
end
globalData.worldBossVipInfo:setWorldBossVipTime(flushTimeList)
end
local function messageChargeBattleTimesReturn(mess)
-- body
local bytes = tolua.cast(mess,"MessageIn")
local times = bytes:readShort()
globalData.worldBossVipInfo:getTimes(times)
end
local messageFINDTREASURE_INFOReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
local treasureInfoLen  = bytes:readByte()
local treasureInfoList = {}
for i = 1,treasureInfoLen,1 do
local position = bytes:readByte()
local mapType  = bytes:readByte()
local isDone   = bytes:readByte()
local icon     = bytes:readInt()
treasureInfoList[position] = {position = position,mapType = mapType,isDone = isDone,icon = icon}
end
globalData.findTreasureInfo.treasureInfoList = treasureInfoList
globalData.findTreasureInfo:sendTreasureInfoEvent()
end
local messageCOPY_FINDTREASURE_SAODAND = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
local len = bytes:readByte()
local infoList = {}
for i = 1, len do
local info = {}
info.templateId = bytes:readInt()
info.amount = bytes:readInt()
table.insert(infoList,info)
end
globalData.findTreasureInfo:saoDangAward(infoList)
end
local messageOPENCARDReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
local layer = bytes:readByte()
local hard  = bytes:readByte()
local openCardLen   = bytes:readByte()
local openCardList  = {}
for i = 1,openCardLen,1 do
local position = bytes:readByte()
table.insert(openCardList,position)
end
local openCardNum  = bytes:readByte()
globalData.findTreasureInfo.layer = layer
globalData.findTreasureInfo.hard  = hard
globalData.findTreasureInfo.openCardList = openCardList
globalData.findTreasureInfo.openCardNum = openCardNum
globalData.findTreasureInfo:sendTreasureOpenCardEvent()
end
local messageCopySkyDreamLandReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
globalData.copyInfo.copySkyDreamLandInfo:setInfoUpdate(bytes)
end
local messageSkyDreamLandkickReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
local value = bytes:readByte()
if(value == 1)then
local function flushHandler()
local goldNum = globalData.selfPlayerInfo.moneyInfo.gold
if(goldNum >= 100)then
globalData.messageAdder:sendSkyDreamLandBuy()
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel11"))
end
end
Alert:new():show(2,string.format(globalManager.yuyanbaoManager:getYuyanbao("CopyInfoMessageHandler.text3"),globalData.allStaticTypes.colorType.ITEMCOLOR5_STR),nil,0,self,flushHandler)
end
end
local messageResetTimeUpdate = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
local count = bytes:readByte()
local time = bytes:readInt()
globalData.copyInfo:setCountTime(count,time)
end
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.COPY_RESETTIME_UPDATE,messageResetTimeUpdate)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.COPY_BOSSSKILL,messageBossSkillReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.COPY_ENTER_COUNT,messageEnterCountReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.COPY_MAXMISSION,messageMissionReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.COPY_MISSION_RESET_COUNT,messageAwardReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.COPY_BALL_INFO,messageBallReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.COPY_MONSTER_COUNT,messageMonsterReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.QUIT_COPY,messageQuitReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.COPY_TIME_INFO,messageTimeReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.COPY_ZHUANGPAN,messageZhuanPanReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.TRY_COPY_COMPLETE,messageComplateReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.COPY_DROP_INFO,messageDropInfoReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.COPY_MISSION_RESET,messageRestInfoReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.COPY_TEAM_MATCH,messageMatchReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.COPY_TIMEUPDATE,messageTimeUpdateReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.COPY_NPCHPUPDATE,messageNpcHpReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.COPY_NPCCALLLIST,messageNpcCallListReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.COPY_NPCCALLEDLIST,messageNpcCalledListReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.COPY_DEFENCEDAWARD,messageAWRADListReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.COPY_WORLDBOSSVIP,messageWORLDBOSSVIPINFOReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.VIP_BOSS_CHARGE_BATTLE_TIME,messageChargeBattleTimesReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.COPY_FINDTREASURE_INFO,messageFINDTREASURE_INFOReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.COPY_FINDTREASURE_SAODAND,messageCOPY_FINDTREASURE_SAODAND)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.COPY_FINDTREASURE_OPENCARD,messageOPENCARDReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.SKYDREAMLAND_COPYINFO,messageCopySkyDreamLandReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.SKYDREAMLAND_KICK,messageSkyDreamLandkickReturn)
end
EnterCopyMessageHandler = class("EnterCopyMessageHandler",function()
local ec = {}
return ec
end)
function EnterCopyMessageHandler:ctor()
local messageEnterReturn = function(mess)
print("进入副本")
local bytes = tolua.cast(mess,"MessageIn")
local copyId = bytes:readInt()
if(copyId < 1)then
--进副本失败，不处理
return
end
--距离上次退出时间太短
if(copyId == 1) then
bytes:readByte()
globalManager.tipsManager.quickTip:show(string.format(globalManager.yuyanbaoManager:getYuyanbao("EnterCopyMessageHandler.text4"),tonumber(bytes:readInt())))
return
end
local addCount = bytes:readByte()
local missionId = bytes:readInt()
if copyId == globalData.allTemplates.copyTemplateList.DATI then
if addCount == 1 then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("EnterCopyMessageHandler.text1"))
return
end
end
if(copyId == globalData.allTemplates.copyTemplateList.CROSSBOSS)then
if(addCount == 1)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("EnterCopyMessageHandler.text2"))
return
elseif(addCount == 2)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("EnterCopyMessageHandler.text3"))
return
end
end
globalData.copyInfo:copyAddCount(copyId,addCount)
globalData.copyInfo.currentCopyId = copyId
globalData.copyInfo.currentCopyInfo = globalData.copyInfo:getCopyInfo(copyId, missionId)
end
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.ENTER_COPY,messageEnterReturn)
end
FashionMessageHandler = class("FashionMessageHandler",function(self)
local temp = {}
return temp
end)
function FashionMessageHandler:ctor()
--时装
local function fashionInfoReturn(mess)
local bytes = tolua.cast(mess,"MessageIn")
globalData.fashionInfo:updateFashionInfo(bytes)
end
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.FASHION_INFO,fashionInfoReturn)
end
MarryReceiver = class("MarryReceiver",function(self,sceneModule)
local temp = {}
temp.sceneModule = sceneModule
return temp
end)
function MarryReceiver:ctor()
local function flowerReturnHandler(mess)
local bytes = tolua.cast(mess,"MessageIn")
local userId = bytes:readNumber()
local type = bytes:readInt()
local name = bytes:readString()
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_showReceiveFlowerPanel,globalManager.gameDispatcher,{userId,type,name}))
end
local function infoUpdateHandler(mess)
local bytes = tolua.cast(mess,"MessageIn")
local marryId = bytes:readNumber()
local marryname = bytes:readString()
local marryType = bytes:readByte()
local marryLevel = bytes:readShort()
globalData.marryInfo:updateMarryInfo(marryId,marryname,marryType,marryLevel)
end
local function marryRequestHandler(mess)
local bytes = tolua.cast(mess,"MessageIn")
local type = bytes:readByte()
if(type == 0) then
globalData.uiPanelContainer:close()
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("MarryReceiver.text1"))
elseif(type == 1) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("MarryReceiver.text2"))
elseif(type == 2) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("MarryReceiver.text3"))
elseif(type == 3) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("MarryReceiver.text4"))
elseif(type == 4) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("MarryReceiver.text5"))
elseif(type == 5) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("MarryReceiver.text6"))
elseif(type == 6) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel11"))
elseif(type == 7) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("MarryReceiver.text7"))
elseif(type == 8) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("MarryReceiver.text8"))
elseif(type == 9) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("MarryReceiver.text9"))
end
end
local function marryRepleyHandler(mess)
local bytes = tolua.cast(mess,"MessageIn")
local userId = bytes:readNumber()
local type = bytes:readByte()
local name = bytes:readString()
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_showReceiveMarryPanel,globalManager.gameDispatcher,{userId,type,name}))
end
local function marryDivoceHandler(mess)
local bytes = tolua.cast(mess,"MessageIn")
local type = bytes:readByte()
if(type == 1) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("MarryReceiver.text10"))
end
end
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.RECEIVE_FLOWER,flowerReturnHandler)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.MARRY_INFOUPDATE,infoUpdateHandler)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.MARRY_REQUEST,marryRequestHandler)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.MARRY_REPLEY,marryRepleyHandler)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.MARRY_DIVORCE,marryDivoceHandler)
end
OathReceiver = class("OathReceiver",function(self,sceneModule)
local temp = {}
temp.sceneModule = sceneModule
return temp
end)
function OathReceiver:ctor()
local function infoUpdateHandler(mess)
local bytes = tolua.cast(mess,"MessageIn")
local flag = bytes:readByte()
local oathPosition = bytes:readByte()
local oathType = bytes:readByte()
local oathLevel = bytes:readShort()
local oathValue = bytes:readInt()
local oathName = bytes:readString()
globalData.oathInfo:updateOathInfo(oathPosition,oathType,oathLevel,oathValue,oathName)
if flag ==1 then
if oathPosition > 0 then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("OathReceiver.text1"))
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("OathReceiver.text2"))
end
end
--if oathPosition ~= 0 then
--	globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab3,globalData.allStaticTypes.panelTabType.oath)
--end
end
local function oathRequestHandler(mess)
local bytes = tolua.cast(mess,"MessageIn")
local type = bytes:readByte()
if(type == 0) then
globalData.uiPanelContainer:close()
self.sceneModule.controllerList.sceneController:hideSendOathPanel()
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("OathReceiver.text3"))
elseif(type == 1) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("MarryReceiver.text2"))
elseif(type == 2) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("OathReceiver.text5"))
elseif(type == 3) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("OathReceiver.text6"))
elseif(type == 4) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("OathReceiver.text7"))
elseif(type == 5) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("MarryReceiver.text6"))
elseif(type == 6) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel11"))
elseif(type == 7) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("OathReceiver.text9"))
elseif(type == 8) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("OathReceiver.text10"))
elseif(type == 9) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("OathReceiver.text11"))
elseif(type == 10) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("OathReceiver.text12"))
elseif(type == 11) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("OathReceiver.text13"))
elseif(type == 12) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("OathReceiver.text14"))
end
end
local function oathRepleyHandler(mess)
local bytes = tolua.cast(mess,"MessageIn")
local table = {}
table.userId1 = bytes:readNumber()  --老大的userid
table.userId1Name = bytes:readString() --老大的名字
table.career1 = bytes:readByte()	--老大的职业
if(table.career1 == 1) then
table.sex1 = 1
else
table.sex1 = 2
end
table.userId2 = bytes:readNumber()	--另一个人的userid
table.userId2Name = bytes:readString()	--另一个人的名字
table.career2 = bytes:readByte()	--另一个人的职业
if(table.career2 == 1) then
table.sex2 = 1
else
table.sex2 = 2
end
table.type = bytes:readByte()	--结义类型
table.position = bytes:readByte()	--自己的位置（2--老二 3--老三据此判断另外一个人的位置）
table.name = bytes:readString() --称号名称
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_showReceiveOathPanel,globalManager.gameDispatcher,table))
end
local function oathDivoceHandler(mess)
local bytes = tolua.cast(mess,"MessageIn")
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("OathReceiver.text15"))
end
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.OATH_INFO,infoUpdateHandler)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.OATH_REQUEST,oathRequestHandler)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.OATH_REPLAY,oathRepleyHandler)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.OATH_DEVOICE,oathDivoceHandler)
end
OnlineRewardsMessageHandler = class("OnlineRewardsMessageHandler",function(self)
local temp = {}
return temp
end)
function OnlineRewardsMessageHandler:ctor()
local infoReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
local num = bytes:readByte()
local time = bytes:readInt()
local len  = bytes:readByte()
local awardItemList = {}
local awardNumList = {}
for i = 1,len,1 do
awardItemList[i] = bytes:readInt()
awardNumList[i] = bytes:readInt()
end
globalData.onlineRewardsInfo:setInfo(num,time,awardItemList,awardNumList)
end
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.ONLINE_AWARD_INFO,infoReturn)
end
OnlineRewardsMessageSender = class("OnlineRewardsMessageSender",function(self)
local temp = {}
return temp
end)
function OnlineRewardsMessageSender:sendGetAwardInfo()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.ONLINE_AWARD_INFO)
globalManager.messageManager:send(messOut)
end
function OnlineRewardsMessageSender:sendGetAward()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.ONLINE_AWARD_GET)
globalManager.messageManager:send(messOut)
end
SanDaMessageHandler = class("SanDaMessageHandler",function(self,module)
local sd = {}
sd.sceneModule = module
sd.sceneInfo = module.sceneInfo
local messageUpdateReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
if(globalData.copyInfo.copySanDaInfo ~= nil)then
globalData.copyInfo.copySanDaInfo:initSanDaHeartList(bytes)
end
end
local messageAwardReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
local goodsList = {}
local id = bytes:readInt()
local num = bytes:readByte()
table.insert(goodsList,{id,num})
globalData.copyInfo.copySanDaInfo.goodsList = goodsList
local view = SanDaCompletePanel:new()
end
local messageMatchReturn = function (mess)
local bytes = tolua.cast(mess,"MessageIn")
local time = bytes:readShort()
if(time > 0)then
globalManager.tipsManager.quickTip:show(string.format(globalManager.yuyanbaoManager:getYuyanbao("SanDaMessageHandler.text1"),time))
else
local matchingPanel = SanDaMatchingPanel:new(1)
end
end
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.SANDA_COPY_INFO,messageUpdateReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.SANDA_AWARD,messageAwardReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.SANDA_MATCHING,messageMatchReturn)
return sd
end)
ToWestMessageHandler = class("ToWestMessageHandler",function(self,module)
local temp = {}
temp.module = module
return temp
end)
function ToWestMessageHandler:ctor()
local function infoUpdate(mess)
local bytes = tolua.cast(mess,"MessageIn")
local len = bytes:readInt()
local infoList = {}
for i = 1,len,1 do
local type = bytes:readShort()
local condition = bytes:readNumber()
infoList[i] = {type,condition}
end
local hasGetList = {}
local len2 = bytes:readShort()
for i = 1,len2,1 do
local day = bytes:readShort()
table.insert(hasGetList,day)
end
globalData.toWestInfo:infoUpdate(hasGetList,infoList)
end
local function createTimeUpdate(mess)
local bytes = tolua.cast(mess,"MessageIn")
local time = bytes:readNumber()
globalData.toWestInfo:createTimeUpdate(time)
end
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.TOWEST_INFO,infoUpdate)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.TOWEST_CREATE_TIME,createTimeUpdate)
end
AnswerMessageHandler = class("AnswerMessageHandler", function(_, module)
local self = {}
self.sceneModule = module
local function messageInfoReturn(mess)
local bytes = tolua.cast(mess,"MessageIn")
local info  = globalData.copyInfo:getCopyInfo(globalData.allTemplates.copyTemplateList.DATI)
local len   = bytes:readByte()
info:setCopyKingInfo(len, bytes)
local tmpCount = bytes:readInt()
info.amount = tmpCount
info.exp    = bytes:readInt()
info.copper = bytes:readInt()
info:update()       --更新通知
end
local function messageQuitReturn(mess)
local bytes   = tolua.cast(mess,"MessageIn")
local info = {}
info.exp       = bytes:readInt()
info.copper    = bytes:readInt()
CopyDTCompletePanel:new(self.sceneModule, info)
end
local function messageResultReturn(mess)
local bytes   = tolua.cast(mess,"MessageIn")
local info    = globalData.copyInfo:getCopyInfo(globalData.allTemplates.copyTemplateList.DATI)
local result  = bytes:readByte()
info:setRight(result > 0)
end
local function messageTopicReturn(mess)
local bytes   = tolua.cast(mess,"MessageIn")
local info    = globalData.copyInfo:getCopyInfo(globalData.allTemplates.copyTemplateList.DATI)
local count   = 31 - bytes:readByte()
local time    = bytes:readByte()
local content = bytes:readString()
info:timu(count, time, content)
end
local function messageFailReturn(mess)
local bytes   = tolua.cast(mess,"MessageIn")
local failCount = bytes:readShort()
globalManager.tipsManager.quickTip:show(string.format(globalManager.yuyanbaoManager:getYuyanbao("AnswerMessageHandler.text1"),failCount))
end
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.ANSWER_INFO,messageInfoReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.ANSWER_QUIT,messageQuitReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.ANSWER_RESULT,messageResultReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.ANSWER_TOPIC,messageTopicReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.ANSWER_FAILCOUNT,messageFailReturn)
return self
end)
ArenaXHMessageHandler = class("ArenaXHMessageHandler",function(self,module)
local temp = {}
temp.sceneModule = module
temp.constroller = temp.sceneModule.controllerList.sceneController
return temp
end)
function ArenaXHMessageHandler:ctor()
local function beginMatchReturn(mess)
local bytes = tolua.cast(mess,"MessageIn")
local type = bytes:readByte() --1为成功，2等级不够 3不在活动时间  4 在特殊场景3
if(type == 1)then
local matchingPanel = SanDaMatchingPanel:new(2)
elseif(type == 3)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("PopupTriggerHandler.text9"))
elseif(type == 4)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("ArenaXHMessageHandler.text1"))
end
end
local function rankInfoReturn(mess)
local bytes = tolua.cast(mess,"MessageIn")
local rankData = {}
rankData.curPage = bytes:readByte()
rankData.totalPage = bytes:readByte()
local selfInfo = {}
selfInfo.rank = bytes:readInt()
selfInfo.score = bytes:readInt()
local len = bytes:readByte()
local playerInfoList = {}
for i = 1,len,1 do
local rank = bytes:readByte()
local userId = bytes:readNumber()
local serverId = bytes:readShort()
local level = bytes:readShort()
local carrer = bytes:readByte()
local score = bytes:readInt()
local fight = bytes:readInt()
local name = bytes:readString()
table.insert(playerInfoList,{rank,name,fight,score,serverId})
end
rankData.selfInfo = selfInfo
rankData.playerInfoList = playerInfoList
if(self.sceneModule.arenaXHPanel ~= nil)then
self.sceneModule.arenaXHPanel:updateRank(rankData)
end
end
local function resultInfoReturn(mess)
local bytes = tolua.cast(mess,"MessageIn")
local fightResult = {}
fightResult.honor = bytes:readInt()
fightResult.exp = bytes:readInt()
fightResult.score = bytes:readInt()
fightResult.sign = bytes:readByte()
local view = ArenaXHResultPanel:new()
view:show(fightResult)
end
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.ARENA_XH_RANK_INFO,rankInfoReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.ARENA_XH_RESULT,resultInfoReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.ARENA_BEGIN_MATCH,beginMatchReturn)
end
ChaosMessageHandler = class("ChaosMessageHandler",function(self,module)
local temp = {}
temp.sceneModule = module
temp.constroller = temp.sceneModule.controllerList.sceneController
return temp
end)
function ChaosMessageHandler:ctor()
local function quitTeamReturn(mess)
local bytes = tolua.cast(mess,"MessageIn")
local pos = bytes:readByte()
if(pos == 1)then
globalData.uiPanelContainer:close()
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("ChaosMessageHandler.text1"))
else
if(self.sceneModule.chaosPanel ~= nil)then
self.sceneModule.chaosPanel:quitTeam(pos)
end
end
end
local function kickMemberReturn(mess)
local bytes = tolua.cast(mess,"MessageIn")
local pos = bytes:readByte()
if(self.sceneModule.chaosPanel ~= nil)then
self.sceneModule.chaosPanel:kickMenber(pos)
end
end
local function inviteFriendReturn(mess)
local bytes = tolua.cast(mess,"MessageIn")
local inviterId = bytes:readNumber()
local pos = bytes:readByte()
local function okClickHandler()
self.sceneModule.message:sendInviteRequest3V3(inviterId,1,pos)
end
local function jujueClickHandler()
self.sceneModule.message:sendInviteRequest3V3(inviterId,2,pos)
end
local name = bytes:readString()
local text = string.format(globalManager.yuyanbaoManager:getYuyanbao("ChaosMessageHandler.text12"),globalData.allStaticTypes.colorType.ITEMCOLOR2_STR,name)
Alert:new():show(5,text,nil,5,self,okClickHandler,jujueClickHandler)
end
local function inviteRequestReturn(mess)
local bytes = tolua.cast(mess,"MessageIn")
local type = bytes:readByte() --0为接受，1：拒绝
local pos = bytes:readByte()
if(type == 0)then
if(self.sceneModule.chaosPanel == nil)then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.arenaTab,globalData.allStaticTypes.panelTabType.chaos)
else
globalData.messageAdder:sendGetPlayerInfo3V3()
end
elseif(type == 1)then
if(self.sceneModule.chaosPanel ~= nil)then
self.sceneModule.chaosPanel:resetInviteStatus(pos)
end
end
end
local function inviteErrotReturn(mess)
local bytes = tolua.cast(mess,"MessageIn")
local type = bytes:readByte() --1为成功
local pos = bytes:readByte() --邀请位置
if(type == 0)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("ChaosMessageHandler.text2"))
elseif(type == 1)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("ChaosMessageHandler.text3"))
elseif(type == 2)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("ChaosMessageHandler.text4"))
elseif(type == 3)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("ChaosMessageHandler.text5"))
elseif(type == 4)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("ChaosMessageHandler.text6"))
elseif(type == 5)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("ChaosMessageHandler.text7"))
elseif(type == 6)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("ChaosMessageHandler.text8"))
elseif(type == 7)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("ChaosMessageHandler.text9"))
end
if(self.sceneModule.chaosPanel ~= nil and type ~= 0)then
self.sceneModule.chaosPanel:resetInviteStatus(pos)
end
end
local function beginMatchReturn(mess)
local bytes = tolua.cast(mess,"MessageIn")
local type = bytes:readByte() --1为成功，2活动未开启，3不具备参赛资格
if(type == 1)then
self.constroller:showMatchPanel()
elseif(type == 2)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("PopupTriggerHandler.text9"))
self.constroller:hideMatchPanel()
elseif(type == 3)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("ChaosMessageHandler.text11"))
self.constroller:hideMatchPanel()
end
end
local function quitMatchReturn(mess)
local bytes = tolua.cast(mess,"MessageIn")
local type = bytes:readByte() --1为成功退出匹配
if(type == 1)then
self.constroller:hideMatchPanel()
end
end
local function selfInfoReturn(mess)
local bytes = tolua.cast(mess,"MessageIn")
local infoList = {}
local myPos = bytes:readByte()
local todayTimes = bytes:readByte()
local score = bytes:readInt()
local duan = bytes:readByte()
local canGainAward = bytes:readByte()
local len = bytes:readByte()
for i = 1,len,1 do
local playerInfo = FigurePlayerInfo:new()
playerInfo.userId = bytes:readNumber()
playerInfo.pos = bytes:readByte()
playerInfo.nick = bytes:readString()
playerInfo:setCareer(bytes:readByte())
globalManager.messageUtils:setPlayerStyleBin(playerInfo,bytes,false)
playerInfo.score = bytes:readInt()
playerInfo.duan = bytes:readByte()
playerInfo.combat = bytes:readInt()
table.insert(infoList,playerInfo)
end
if(self.sceneModule.chaosPanel ~= nil)then
if(canGainAward > 0)then
self.sceneModule.chaosPanel:isShowEffect(true)
end
self.sceneModule.chaosPanel:updatePlayerInfo(infoList,myPos,todayTimes,score,duan)
end
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.chaosShowPopIcon,globalManager.gameDispatcher,canGainAward))
end
local function rankInfoReturn(mess)
local bytes = tolua.cast(mess,"MessageIn")
local rankData = {}
rankData.totalPage = bytes:readShort()
rankData.curPage = bytes:readShort()
local selfInfo = {}
selfInfo.rank = bytes:readShort()
selfInfo.carrer = bytes:readByte()
selfInfo.name = bytes:readString()
selfInfo.fight = bytes:readInt()
selfInfo.duan = bytes:readByte()
selfInfo.score = bytes:readInt()
local len = bytes:readByte()
local playerInfoList = {}
for i = 1,len,1 do
local rank = bytes:readShort()
local serverId = bytes:readShort()
local carrer = bytes:readByte()
local name = bytes:readString()
local fight = bytes:readInt()
local duan = bytes:readByte()
local score = bytes:readInt()
table.insert(playerInfoList,{rank,carrer,name,fight,duan,score,serverId})
end
rankData.selfInfo = selfInfo
rankData.playerInfoList = playerInfoList
if(self.sceneModule.chaosPanel ~= nil and self.sceneModule.chaosPanel.chaosRankPanel ~= nil)then
self.sceneModule.chaosPanel.chaosRankPanel:updateRank(rankData)
end
end
local function awardReturn(mess)
local bytes = tolua.cast(mess,"MessageIn")
local type = bytes:readByte()
if(type == 1)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel76"))
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.chaosShowPopIcon,globalManager.gameDispatcher,0))
end
end
local function copyInfoReturn(mess)
local bytes = tolua.cast(mess,"MessageIn")
globalData.copyInfo.copyChaosInfo:setInfo(bytes)
end
local function reportReturn(mess)
local bytes = tolua.cast(mess,"MessageIn")
local text = string.format(globalManager.yuyanbaoManager:getYuyanbao("ChaosMessageHandler.text14") ,globalData.allStaticTypes.colorType.FALSE_COLOR_STR)
Alert:new():show(1,text,nil,20)
end
local function resultInfoReturn(mess)
local bytes = tolua.cast(mess,"MessageIn")
local fightResult = {}
fightResult.sign = bytes:readByte() --胜负
fightResult.type = bytes:readByte() --是否升段
fightResult.exp = bytes:readInt()
fightResult.duan = bytes:readByte()
fightResult.score = bytes:readInt()
local view = ChaosResultPanel:new()
view:show(fightResult)
end
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.SELF_INFO_3V3,selfInfoReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.QUIT_TEAM_3V3,quitTeamReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.INVITE_FRIEND_3V3,inviteFriendReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.INVITE_REQUEST_3V3,inviteRequestReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.BEGIN_MATCH_3V3,beginMatchReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.QUIT_MATCH_3V3,quitMatchReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.INVITE_ERROR_3V3,inviteErrotReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.RANK_INFO_3V3,rankInfoReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.KICK_MEMBER_3V3,kickMemberReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.RANK_AWARD_3V3,awardReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.WAR_INFO_3V3,copyInfoReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.REPORT_3V3,reportReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.RESULT_INFO_3V3,resultInfoReturn)
end
CombinedActiveMessageHandler = class("CombinedActiveMessageHandler",function(self)
local temp = {}
return temp
end)
function CombinedActiveMessageHandler:ctor()
--合服活动信息
local function infoReturn(mess)
local bytes = tolua.cast(mess,"MessageIn")
globalData.combinedActiveInfo:infoReturn(bytes)
end
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.COMBINEDACTIVE_INFO,infoReturn)
end
ConsumenGiftMessageHandler = class("ConsumenGiftMessageHandler",function(self)
local temp = {}
return temp
end)
function ConsumenGiftMessageHandler:ctor()
--消费福利
local function infoReturn(mess)
local bytes = tolua.cast(mess,"MessageIn")
globalData.consumenGiftInfo:updateInfo(bytes)
end
local function showReturn(mess)
local bytes = tolua.cast(mess,"MessageIn")
globalData.consumenGiftInfo:updateShow(bytes)
end
--新服大馈赠
local function newServerGiftReturn(mess)
local bytes = tolua.cast(mess,"MessageIn")
globalData.consumenGiftInfo:newServerGiftUpdate(bytes)
end
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.CONSUMENGIFTSHOW,showReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.CONSUMENGIFTINFO,infoReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.CONSUMENEWSERVERGIFT,newServerGiftReturn)
end
CrossRechargeRankMessageHandler = class("CrossRechargeRankMessageHandler",function()
local temp = {}
return temp
end)
function CrossRechargeRankMessageHandler:ctor()
local function infoReturn(mess)
local bytes = tolua.cast(mess,"MessageIn")
globalData.crossRechargeRankInfo:updateInfo(bytes)
end
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.CROSS_RECHARGE_RANK_INFO,infoReturn)
end
BuffUpdateMessageHandler = class("BuffUpdateMessageHandler",function(self,module)
local bu = {}
bu.sceneModule = module
bu.sceneInfo = module.sceneInfo
local messageReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
local type = bytes:readByte()
local id = bytes:readNumber()
local roleInfo = bu.sceneInfo:getAttackableRoleInfo(type,id)
if(roleInfo ~= nil)then
local len = bytes:readShort()
for i = 1,len,1 do
local buffId = bytes:readInt()
if(bytes:readBoolean())then
local buffItem = roleInfo.buffInfo:getBuff(buffId)
local buffAdd = false
if(buffItem == nil)then
buffItem = BuffItemInfo:new()
buffItem:setTemplate(buffId)
buffAdd = true
end
--					if(buffItem.template:isHpBuff())then
--						buffItem.remain = bytes:readInt()
--					else
--						buffItem:setEndTime(bytes:readInt() * 1000)
--					end
--					buffItem.totalValue = bytes:readInt()
if(buffAdd)then
roleInfo.buffInfo:addBuff(buffItem)
end
else
roleInfo.buffInfo:removeBuff(buffId)
end
end
roleInfo.buffInfo:updateBuffState()
end
end
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.BUFF_UPDATE,messageReturn)
return bu
end)
ComboKillUpdateMessageHandler = class("ComboKillUpdateMessageHandler",function(self,sceneModule)
local temp = {}
temp.sceneModule = sceneModule
return temp
end)
function ComboKillUpdateMessageHandler:ctor()
local function messagereturn(mess)
local bytes = tolua.cast(mess,"MessageIn")
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_comboKill,globalManager.gameDispatcher,bytes:readShort()))
end
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.COMBO_KILL,messagereturn)
end
FirstEnterWorldMessageHandler = class("FirstEnterWorldMessageHandler",function(self)
local fe = {}
local updateMessageReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
local state = bytes:readByte()
globalData.welcomeState = state
end
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.WELCOME_AWARD,updateMessageReturn)
return fe
end)
MapInfoUpdateMessageHandler = class("MapInfoUpdateMessageHandler",function(self,module)
local mm = {}
mm.sceneModule = module
mm.sceneInfo = module.sceneInfo
return mm
end)
function MapInfoUpdateMessageHandler:ctor()
local messageInfoReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
local len = bytes:readInt()
for i = 1,len,1 do
local isAdd = false
local id = bytes:readInt()
local monster = self.sceneInfo.sceneMonsterList:getMonster(id)
local templateId = bytes:readInt()
if(monster == nil or monster:getCurrentHp() <= 0)then
monster = SceneMonsterInfo:new(self.sceneModule)
monster:setObjId(id)
isAdd = true
end
monster.warState = bytes:readByte()
monster:setTemplate(templateId)
local monsterX = bytes:readInt()
local monsterY = bytes:readInt()
monster:setTotalHp(bytes:readNumber())
monster:setCurrentHp(bytes:readNumber())
monster.speed = bytes:readByte() / globalData.speedOffset
monster:setServerState(bytes:readInt())
local pathLen = bytes:readShort()
if(pathLen > 0)then
if(isAdd) then
monster:setScenePos(globalManager.ccCreator:newPoint(monsterX,monsterY))
self.sceneInfo.sceneMonsterList:addMonster(monster)
end
local pathList = {}
local lastX = 0
local lastY = 0
for j = 1,pathLen,1 do
lastX = bytes:readShort()
lastY = bytes:readShort()
table.insert(pathList, globalManager.ccCreator:newPoint(lastX,lastY))
end
if(lastX ~= monsterX or lastY ~= monsterY)then monster:setPath(pathList,nil,0)end
else
if(isAdd and monster:getCurrentHp() > 0)then
monster:setScenePos(globalManager.ccCreator:newPoint(monsterX,monsterY))
self.sceneInfo.sceneMonsterList:addMonster(monster)
else
if(pathLen == 0)then
local pathList2 = {}
table.insert(pathList2, monster:getPosition())
table.insert(pathList2, globalManager.ccCreator:newPoint(monsterX,monsterY))
monster:setPath(pathList2,nil,0)
else
monster:setScenePos(globalManager.ccCreator:newPoint(monsterX,monsterY))
end
end
end
end
end
local messageEnterReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
local mapId = bytes:readInt()
local playerX = bytes:readInt()
local playerY = bytes:readInt()
globalData.preMapId = globalData.currentMapId
globalData.preMapPath = globalData.currentMapPath
globalData.currentMapId = mapId
globalData.currentMapPath = globalData.allTemplates.mapTemplateList:getMap(mapId).mapPath
globalData.hadSendChangeMap = false
globalManager.moduleManager:addModule(globalData.allStaticTypes.moduleType.scene,ToSceneData:new(mapId,playerX,playerY),false)
end
local messageCollectStateReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
local len = bytes:readShort()
for i = 1,len,1 do
local userId = bytes:readNumber()
local player = self.sceneInfo.scenePlayerList:getPlayer(userId)
if(player ~= nil)then
local value = bytes:readInt()
if(value == 0)then value = -1 end
player:setCollectTemplateId(value)
if(userId == globalData.selfPlayerInfo.userId and value == -1)then
player:setCollectId(value)
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("MapInfoUpdateMessageHandler.text1"))
end
end
end
end
local messageCollectFailReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
self.sceneInfo.sceneCollectList:setCollectClientFlagFalse(bytes:readInt())
end
local messageCollectUpdateReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
local len = bytes:readShort()
for i = 1,len,1 do
local id = bytes:readInt()
--0消亡，1普通采集，2任务物品
local state = bytes:readByte()
if(state ~= 0)then
local warState = bytes:readInt()
local item = self.sceneInfo.sceneCollectList:getCollect(id)
local templateId = bytes:readInt()
if(item == nil)then
item = SceneCollectInfo:new(self.sceneModule)
item:setObjId(id)
item:setTemplateId(templateId)
end
item.warState = warState
item:setScenePos(globalManager.ccCreator:newPoint(bytes:readShort(),bytes:readShort()))
self.sceneInfo.sceneCollectList:addCollect(item)
else
self.sceneInfo.sceneCollectList:removeCollect(id,true)
end
end
end
local messageMonsterMoveReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
local id = bytes:readInt()
local monster = self.sceneInfo.sceneMonsterList:getMonster(id)
if(monster ~= nil)then
local currentX = bytes:readShort()
local currentY = bytes:readShort()
monster.speed = bytes:readUByte() / globalData.speedOffset
local pathLen = bytes:readShort()
local path = {}
if(pathLen > 0)then
local lastX = 0
local lastY = 0
for i = 1,pathLen,1 do
lastX = bytes:readShort()
lastY = bytes:readShort()
table.insert(path,globalManager.ccCreator:newPoint(lastX,lastY))
end
if(lastX ~= currentX or lastY ~= currentY)then
monster:setPath(path,nil,0)
end
else
if(pathLen == 0)then
table.insert(path,monster:getPosition())
table.insert(path,globalManager.ccCreator:newPoint(currentX,currentY))
monster:setPath(path,nil,0)
else
monster:setScenePos(globalManager.ccCreator:newPoint(currentX,currentX))
end
end
else
self.sceneModule.message:sendMonsterMove(id)
end
end
local messageMonsterRemoveReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
local id = bytes:readInt()
if(id > 0) then
self.sceneInfo.sceneMonsterList:removeMonster(id)
end
end
local messagePetReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
local id = bytes:readNumber()
local templateId = bytes:readShort()
local player = self.sceneInfo.scenePlayerList:getPlayer(id)
if(player ~= nil)then
if(templateId <= 0)then
--妖精收回
self.sceneInfo.scenePetList:removePet(id)
else
--妖精出战
local pet = self.sceneInfo.scenePetList:getPet(id)
local add = false
if(pet == nil)then
if(player:getObjId() == globalData.selfPlayerInfo.userId)then
pet = SelfScenePetInfo:new(self.sceneModule)
else
pet = ScenePetInfo:new(self.sceneModule)
end
add = true
pet.ownerId = player:getObjId()
local p = player:getPosition()
pet:setScenePos(globalManager.ccCreator:newPoint(p.x - 120 + math.random() * 240,p.y - 120 + math.random() * 240))
pet.speed = player.speed
end
pet:setObjId(id)
pet:setTemplate(templateId)--品阶
pet:setFollower(player)
if(add)then
self.sceneInfo.scenePetList:addPet(pet)
end
end
end
end
local messagePartnerReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
local id = bytes:readNumber()
local templateId = bytes:readInt()
local player = self.sceneInfo.scenePlayerList:getPlayer(id)
if(player ~= nil)then
if(templateId <= 0)then
--伙伴收回
self.sceneInfo.scenePartnerList:removePartner(id)
else
--伙伴出战
local partner = self.sceneInfo.scenePartnerList:getPartner(id)
local add = false
if(partner == nil)then
if(player:getObjId() == globalData.selfPlayerInfo.userId)then
partner = SelfScenePartnerInfo:new(self.sceneModule)
else
partner = ScenePartnerInfo:new(self.sceneModule)
end
add = true
partner.ownerId = player:getObjId()
local p = player:getPosition()
partner:setScenePos(globalManager.ccCreator:newPoint(p.x - 120 + math.random() * 240,p.y - 120 + math.random() * 240))
partner.speed = player.speed
end
partner:setObjId(id)
partner:setTemplate(templateId)
partner:setFollower(player)
if(add)then
self.sceneInfo.scenePartnerList:addPartner(partner)
end
end
end
end
--帮派地图成员更新
local messageLeagueReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
local userId = bytes:readNumber()
local leagueId = bytes:readNumber()
local leagueName = bytes:readString()
local job = bytes:readByte()
if(userId == globalData.selfPlayerInfo.userId)then
globalData.selfPlayerInfo.uniteName = leagueName
globalData.selfPlayerInfo:updateUniteId(leagueId,job)
if(leagueId > 0)then
globalData.leagueInfo:dispatchEvent(BaseEvent:new(globalData.globalEventType.league_join,globalData.leagueInfo))
end
end
end
local messageUserAddReturn = function(mess)
if(globalData.currentMapId == globalData.allTemplates.mapTemplateList.NEWLY_MAPID) then
if(self.sceneInfo.scenePlayerList.selfPlayer ~= nil) then
return
end
end
local bytes = tolua.cast(mess,"MessageIn")
local len = bytes:readShort()
for i = 1,len,1 do
local userId = bytes:readNumber()
if(self.sceneInfo.scenePlayerList.selfPlayer == nil and userId ~= globalData.selfPlayerInfo.userId)then return end
local player = self.sceneInfo.scenePlayerList:getPlayer(userId)
local figure = nil
local isAdd = false
if(player == nil) then
if(userId ~= globalData.selfPlayerInfo.userId)then
figure = FigurePlayerInfo:new()
player = ScenePlayerInfo:new(self.sceneModule,figure,self.sceneInfo.scenePlayerList.selfPlayer)
figure.userId = userId
else
player = SelfScenePlayerInfo:new(self.sceneModule,globalData.selfPlayerInfo)
figure = player.figureInfo
end
isAdd = true
else
figure = player.figureInfo
end
player:setObjId(userId)
player.warState = bytes:readInt()
player:setTotalHp(bytes:readInt())
player:setCurrentHp(bytes:readInt())
globalManager.messageUtils:setFigurePlayer(figure,bytes)
player.speed = bytes:readUByte() / globalData.speedOffset
local playerX = bytes:readShort()
local playerY = bytes:readShort()
--称号
globalManager.messageUtils:setPlayerTitle(figure,bytes)
local isMarry = bytes:readBoolean()
if(isMarry) then
player.figureInfo.marryId = bytes:readNumber()
player.figureInfo.marryName = bytes:readString()
else
player.figureInfo.marryId = 0
player.figureInfo.marryName = ""
end
local isJieyi = bytes:readBoolean()
if(isJieyi) then
player.figureInfo.jieyiPos = bytes:readUByte()
player.figureInfo.jieyiName = bytes:readString()
else
player.figureInfo.jieyiPos = 0
player.figureInfo.jieyiName = ""
end
player.figureInfo.titleInfo:setTempTitleId(bytes:readShort())
if(isAdd == true)then
player:setScenePos(globalManager.ccCreator:newPoint(playerX,playerY))
self.sceneInfo.scenePlayerList:addPlayer(player)
end
player.stateInfo:setServerState(bytes:readUInt())
local buffLen = bytes:readByte()
local isSelf = userId == globalData.selfPlayerInfo.userId
if(buffLen > 0) then
for bi = 1,buffLen,1 do
local buffId = bytes:readInt()
if(not isSelf) then
local buffItem = BuffItemInfo:new()
buffItem:setTemplate(buffId)
player.buffInfo:addBuff(buffItem)
end
end
end
player.buffInfo:updateBuffState()
--路径
local pathIndex = bytes:readShort() + 1
local pathLen = bytes:readShort()
if(pathLen > 0) then
local pathList = {}
local lastX = 0
local lastY = 0
for j = 1,pathLen,1 do
lastX = bytes:readShort()
lastY = bytes:readShort()
if(j > pathIndex) then
table.insert(pathList,globalManager.ccCreator:newPoint(lastX,lastY))
end
end
if((lastX ~= playerX or lastY ~= playerY) and (userId ~= globalData.selfPlayerInfo.userId))then
player:setPath(pathList,nil,0)
end
end
--妖精
local petId = userId
local templateId = bytes:readShort()--品阶
local add = false
if(templateId > 0)then
local pet = self.sceneInfo.scenePetList:getPet(petId)
if(pet == nil)then
if(player:getObjId() == globalData.selfPlayerInfo.userId)then
pet = SelfScenePetInfo:new(self.sceneModule)
else
pet = ScenePetInfo:new(self.sceneModule)
end
add = true
pet.ownerId = player:getObjId()
local p = player:getPosition()
pet:setScenePos(globalManager.ccCreator:newPoint(p.x - 120 + math.random() * 240,p.y - 120 + math.random() * 240))
pet.speed = player.speed
end
pet:setObjId(petId)
pet:setTemplate(templateId)
pet:setFollower(player)
if(add)then
self.sceneInfo.scenePetList:addPet(pet)
end
end
--伙伴
local partnerId = userId
local partnerTempId = bytes:readInt() --模板ID
add = false
if(partnerTempId > 0)then
local partner = self.sceneInfo.scenePartnerList:getPartner(partnerId)
if(partner == nil)then
if(player:getObjId() == globalData.selfPlayerInfo.userId)then
partner = SelfScenePartnerInfo:new(self.sceneModule)
else
partner = ScenePartnerInfo:new(self.sceneModule)
end
add = true
partner.ownerId = player:getObjId()
local p = player:getPosition()
partner:setScenePos(globalManager.ccCreator:newPoint(p.x - 120 + math.random() * 240,p.y - 120 + math.random() * 240))
partner.speed = player.speed
end
partner:setObjId(petId)
partner:setTemplate(partnerTempId)
partner:setFollower(player)
if(add)then
self.sceneInfo.scenePartnerList:addPartner(partner)
end
end
end
end
local messageUserRemoveReturn = function(mess)
if(globalData.currentMapId == globalData.allTemplates.mapTemplateList.NEWLY_MAPID) then
return
end
local bytes = tolua.cast(mess,"MessageIn")
local len = bytes:readShort()
for i = 1,len,1 do
local userId = bytes:readNumber()
if(userId ~= globalData.selfPlayerInfo.userId)then
self.sceneInfo.scenePlayerList:removePlayer(userId)
local petId = userId
if(petId > 0)then
--删除妖精
self.sceneInfo.scenePetList:removePet(petId)
end
local partnerId = userId
if(partnerId > 0)then
--删除伙伴
self.sceneInfo.scenePartnerList:removePartner(partnerId)
end
end
end
end
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.MAP_MONSTER_INFO_UPDATE,messageInfoReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.MAP_ENTER,messageEnterReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.MAP_COLLECT_STATE,messageCollectStateReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.MAP_COLLECT_FAIL,messageCollectFailReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.MAP_COLLECT_UPDATE,messageCollectUpdateReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.MAP_MONSTER_MOVE,messageMonsterMoveReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.MAP_REMOVE_MONSTER,messageMonsterRemoveReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.MAP_PET_UPDATE,messagePetReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.PARTNER_UPDATE,messagePartnerReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.LEAGUE_MAP_MEMBER,messageLeagueReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.MAP_USER_ADD,messageUserAddReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.MAP_USER_REMOVE,messageUserRemoveReturn)
end
PlayerUpdateMessageHandler = class("PlayerUpdateMessageHandler",function(self,module)
local ps = {}
ps.module = module
ps.sceneInfo = module.sceneInfo
return ps
end)
function PlayerUpdateMessageHandler:ctor()
local messageStyleReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
local id = bytes:readNumber()
local reName =  bytes:readString()
local player = self.sceneInfo.scenePlayerList:getPlayer(id)
if(player ~= nil)then
player.figureInfo:setNick(reName)
player.warState = bytes:readInt()
globalManager.messageUtils:setPlayerStyleBin(player.figureInfo,bytes)
globalManager.messageUtils:setPlayerTitle(player.figureInfo,bytes)
local isMarry = bytes:readBoolean()
local isMarryUpdate = false
if(isMarry) then
local marryId = bytes:readNumber()
local marryName = bytes:readString()
isMarryUpdate = (player.figureInfo.marryId ~= marryId or player.figureInfo.marryName ~= marryName)
player.figureInfo.marryId = marryId
player.figureInfo.marryName = marryName
else
isMarryUpdate = (player.figureInfo.marryId ~= 0)
player.figureInfo.marryId = 0
player.figureInfo.marryName = ""
end
if(isMarryUpdate) then
player:updateMarry()
end
local isJieYi = bytes:readBoolean()
--print("是否结义",isJieYi)
local isJieYiUpdate = false
if(isJieYi) then
local jieyiPos = bytes:readUByte()
local jieyiName = bytes:readString()
--print("结义位置",jieyiPos)
--print("结义名称",jieyiName)
isJieYiUpdate = (player.figureInfo.jieyiPos ~= jieyiPos or player.figureInfo.jieyiName ~= jieyiName)
player.figureInfo.jieyiPos = jieyiPos
player.figureInfo.jieyiName = jieyiName
else
isJieYiUpdate = (player.figureInfo.jieyiPos ~= 0)
player.figureInfo.jieyiPos = 0
player.figureInfo.jieyiName = ""
end
if(isJieYiUpdate) then
player:updateJieYi()
end
local tmp = bytes:readUByte()
player.speed = tmp / globalData.speedOffset
local currentHp = bytes:readInt()
player:setTotalHp(bytes:readInt())
player:setCurrentHp(currentHp)
local pet = self.sceneInfo.scenePetList:getPet(id)
if(pet ~= nil)then
pet.speed = player.speed
end
local partner = self.sceneInfo.scenePartnerList:getPartner(id)
if(partner ~= nil)then
partner.speed = player.speed
end
end
end
local messagePKmodeReturn = function(data)
local bytes = tolua.cast(data,"MessageIn")
local playerId = bytes:readNumber()
local mode = bytes:readByte()
local player = self.sceneInfo.scenePlayerList:getPlayer(playerId)
if(player ~= nil) then
player.figureInfo:setPKmode(mode)
end
end
local messageFightStateReturn = function(data)
local bytes = tolua.cast(data,"MessageIn")
local id = bytes:readNumber()
local type = bytes:readByte()
local state = bytes:readUInt()
local attackRole = self.sceneInfo:getAttackableRoleInfo(type,id)
if(attackRole ~= nil)then
attackRole.stateInfo:setServerState(state)
end
end
local messageJumpReturn = function(data)
local bytes = tolua.cast(data,"MessageIn")
local id = bytes:readNumber()
local roleType = bytes:readByte()
local jumptype = bytes:readByte()
local jumpX = bytes:readShort()
local jumpY = bytes:readShort()
self.module.jumpTester:otherDoJump(id,roleType,globalManager.ccCreator:newPoint(jumpX, jumpY),jumptype)
end
local messageMoveReturn = function(data)
local bytes = tolua.cast(data,"MessageIn")
local userId = bytes:readNumber();
if(userId == globalData.selfPlayerInfo.userId)then return end
local player = self.sceneInfo.scenePlayerList:getPlayer(userId)
if(player ~= nil)then
local pathIndex = bytes:readShort() + 1
local len = bytes:readShort()
local path = {}
for i = 1,len,1 do
local tmpx = bytes:readShort()
local tmpy = bytes:readShort()
if(i > pathIndex)then
table.insert(path, globalManager.ccCreator:newPoint(tmpx,tmpy))
end
end
player:setPath(path)
end
end
local memberReplyReturn = function(data)
local bytes = tolua.cast(data,"MessageIn")
local tmpx = bytes:readInt()
local tmpy = bytes:readInt()
local player = self.sceneInfo.scenePlayerList.selfPlayer
if(player ~= nil) then
player:setScenePos(globalManager.ccCreator:newPoint(tmpx,tmpy))
end
end
local messageReliveReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
local userId = bytes:readNumber()
local currentX = bytes:readInt()
local currentY = bytes:readInt()
local currentHp = bytes:readInt()
local player = self.sceneInfo.scenePlayerList:getPlayer(userId)
if(player ~= nil)then
player:setCurrentHp(currentHp)
player:setPath(nil)
player:setScenePos(globalManager.ccCreator:newPoint(currentX, currentY),true)
--设置服务器状态
player.stateInfo:setServerCommon()
if(globalData.selfPlayerInfo.userId == userId)then
--关闭窗口
self.module.controllerList.sceneController:hideRelivePanel()
end
end
end
local messageTitleReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
local userId = bytes:readNumber()
local titleId = bytes:readShort()
local player = self.sceneInfo.scenePlayerList:getPlayer(userId)
if(player ~= nil)then
player.figureInfo.titleInfo:setTempTitleId(titleId)
end
end
local messageRiderReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
local id = bytes:readNumber()
local player = self.sceneInfo.scenePlayerList:getPlayer(id)
if(player ~= nil)then
local isHorse = player.figureInfo:getIsHorse()
local tmp = bytes:readBoolean()
if(isHorse ~= tmp)then
player.figureInfo:setIsHorse(tmp)
player.figureInfo.characterInfo:updateStyleBin()
end
local playerView = self.module.controllerList.playerController:getPlayer(id)
if(playerView ~= nil)then
playerView:cancelAnima()
end
player.speed = bytes:readByte() / globalData.speedOffset
local pet = self.sceneInfo.scenePetList:getPet(id)
if(pet ~= nil) then
pet.speed = player.speed
end
local partner = self.sceneInfo.scenePartnerList:getPartner(id)
if(partner ~= nil)then
partner.speed = player.speed
end
end
end
local messageLevelReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
local id = bytes:readNumber()
local level = bytes:readShort()
local totalHp = bytes:readInt()
local currentHp = bytes:readInt()
local player = self.sceneInfo.scenePlayerList:getPlayer(id)
if(id == globalData.selfPlayerInfo.userId)then
if(player == nil) then
globalData.selfPlayerInfo:setLevel(level)
end
end
if(player ~= nil)then
player:playerUpgrade(level,totalHp,currentHp)
end
end
local messageWarStateReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
local id = bytes:readNumber()
local type = bytes:readByte()
local player = self.sceneInfo:getAttackableRoleInfo(type,id)
if(player ~= nil)then
player.warState = bytes:readInt()
end
end
--改名
local infoReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
local type = bytes:readByte()
local msg = bytes:readString()
globalManager.tipsManager.quickTip:show(msg)
end
local function changeProfessionReturn(mess)
-- body
local bytes = tolua.cast(mess,"MessageIn")
local isOk = bytes:readByte()
if isOk then
--globalManager.tipsManager.quickTip:show("转职成功,请重新登录")
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("AccountLostConnectMessageHandler.text10"))
end
end
local function homeInfoReturn(mess)
local bytes = tolua.cast(mess,"MessageIn")
local info = {}
info.userId = bytes:readNumber()
info.hallLevel = bytes:readShort()
info.waterCount = bytes:readShort()
info.hasWaterCount = bytes:readShort()
info.helpWaterCount = bytes:readShort()
info.waterTime = bytes:readInt()
info.canGetStar		= bytes:readByte()
info.starAmount = bytes:readShort()
info.todaysGot = bytes:readShort()
info.wishAwardList = {}
for i = 1, 3 do
local len = bytes:readByte()
if len ~= 0 then
info.wishAwardList[i] = {}
for j =1, len do
info.wishAwardList[i][bytes:readByte()] = {bytes:readByte(),bytes:readInt(),bytes:readShort()}
end
end
end
info.startTime = bytes:readInt()
info.helpOthersCount = bytes:readShort()
--农场信息
local landList = {}
local plantInfoList = {}
local len4 = bytes:readByte()
for i = 1,len4,1 do
landList[i] = bytes:readByte()
end
local len5 = bytes:readByte()
for i = 1,len5,1 do
local landId = bytes:readByte()
local seedId = bytes:readInt()
local plantTime = bytes:readInt()
local waterTime = bytes:readInt()
plantInfoList[i] = {landId,seedId,plantTime,waterTime}
end
--print("-====+++===-",info.userId,info.hallLevel,info.waterCount,info.hasWaterCount,info.helpWaterCount,info.starAmount)
if(globalData.homeInfo.isOther)then
globalData.uiPanelContainer:initTabs({globalData.allStaticTypes.panelTabType.home},globalData.allStaticTypes.panelTabType.home)
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.friendHome_infoUpdate,globalManager.gameDispatcher,info))
globalData.homeInfo.isOther = false
else
globalData.homeInfo:homeInfoUpdate(info)
globalData.farmInfo:landUpdate(landList)
globalData.farmInfo:plantUpdate(plantInfoList)
end
end
local function helpWaterCountRetrun(mess)
local bytes = tolua.cast(mess,"MessageIn")
local count = bytes:readShort()
globalData.homeInfo:updateWaterCount(count)
end
local function treeInfoReturn(mess)
local bytes = tolua.cast(mess,"MessageIn")
local userId = bytes:readNumber()
globalData.homeInfo:treeInfoUpdate(bytes)
end
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.HOME_TREE_INFO,treeInfoReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.HOME_COUNT_OF_HELP,helpWaterCountRetrun)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.HOME_INFO,homeInfoReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.PLAYER_STYLE_UPDATE,messageStyleReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.PLAYER_PKMODE_CHANGE,messagePKmodeReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.CHANGE_FIGHT_STATE,messageFightStateReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.PLAYER_JUMP,messageJumpReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.PLAYER_MOVE,messageMoveReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.CLUB_WAR_MEMBERS_REPLY,memberReplyReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.PLAYER_RELIVE,messageReliveReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.PLAYER_TEMP_TITLE,messageTitleReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.RIDER_UPDOWN,messageRiderReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.UPDATE_PLAYER_LEVEL,messageLevelReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.WARSTATE_UPDATE,messageWarStateReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.CHANGE_NAME,infoReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.CHANGE_PROFESSION,changeProfessionReturn)
end
SceneMessageSender = class("SceneMessageSender",function(self,module)
local sm = {}
sm.sceneModule = module
sm._lastWalkStep = {}
sm._dropList = {}
return sm
end)
function SceneMessageSender:add()
self.yuanGuReceiver            = YuanGuMessageReceiver:new(self.sceneModule)
self.yuanGuSender              = YuanGuMessageSender:new(self.sceneModule)
self.zhuanpanReceiver          = ZhuanpanMessageHandler:new()
self.zhuanpanSender            = ZhuanpanMessageSender:new()
self.comboKill                 = ComboKillUpdateMessageHandler:new(self.sceneModule)
self.copyInfo                  = CopyInfoMessageHandler:new(self.sceneModule)
self.enterCopy                 = EnterCopyMessageHandler:new(self.sceneModule)
self.answerInfo                = AnswerMessageHandler:new(self.sceneModule)
self.buffUpdate                = BuffUpdateMessageHandler:new(self.sceneModule)
self.mapInfoUpdate             = MapInfoUpdateMessageHandler:new(self.sceneModule)
self.playerUpdate              = PlayerUpdateMessageHandler:new(self.sceneModule)
self.TargetUpdate              = TargetUpdateMessageHandler:new(self.sceneModule)
self.worldBossUpdate           = WorldBossUpdateMessageHandler:new(self.sceneModule)
self.firstAwardUpdate          = FirstEnterWorldMessageHandler:new()
self.starcraftUpdate           = StarcraftMessageHandler:new()
self.marryReceiver             = MarryReceiver:new()
self.oathReceiver             = OathReceiver:new(self.sceneModule)
self.welfareSender           = WelfareMessageSender:new()
self.onlineRewardsReceiver     = OnlineRewardsMessageHandler:new()
self.onlineRewardsSender       = OnlineRewardsMessageSender:new()
self.washGoldSender            = WashGoldMessageSender:new()
self.washGoldReceiver            = WashGoldMessageReceiver:new()
self.doubleElevenMessageHandler  = DoubleElevenMessageHandler:new()
self.consumenGiftHandler       = ConsumenGiftMessageHandler:new()
self.corssBossInfoHandler      = CorssBossInfoMessageHandler:new()
self.crossRechargeRankHandler  = CrossRechargeRankMessageHandler:new()
self.fashionMessageHandler     = FashionMessageHandler:new()
self.chaosMessageHandler       = ChaosMessageHandler:new(self.sceneModule)
self.combinedActiveMessageHandler = CombinedActiveMessageHandler:new()
self.sHMessageHandler          = SHMessageHandler:new(self.sceneModule)
self.taoYuanMessageHander = TaoYuanMessageHandler:new(self.sceneModule)
self.sanDaMessageHander = SanDaMessageHandler:new(self.sceneModule)
self.arenaXHMessageHandler = ArenaXHMessageHandler:new(self.sceneModule)
self.toWestMessageHandler = ToWestMessageHandler:new(self.sceneModule)
globalManager.tickManager:addTick(self.tick, self)
end
function SceneMessageSender:sendRoundInfo()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.MAP_ROUND_INFO)
globalManager.messageManager:send(messOut)
end
--进入地图
function SceneMessageSender:sendMapEnter(gateId)
if(globalData.hadSendChangeMap == true)then return end
globalData.hadSendChangeMap = true
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.MAP_ENTER)
messOut:writeInt(gateId)
globalManager.messageManager:send(messOut)
end
--走路
--pathList:vector<CCPoint>
function SceneMessageSender:sendWalk(pathList)
local len = table.getn(pathList)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.PLAYER_MOVE)
messOut:writeNumber(globalData.selfPlayerInfo.userId)
messOut:writeShort(len)
for i = 1,len,1 do
local p = pathList[i]
messOut:writeShort(p.x)
messOut:writeShort(p.y)
end
globalManager.messageManager:send(messOut)
end
--单步走路同步
function SceneMessageSender:sendWalkStep(x,y,index)
if(self._lastWalkStep.x == x and self._lastWalkStep.y == y)then return end
self._lastWalkStep.x = x
self._lastWalkStep.y = y
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.PLAYER_MOVE_STEP)
messOut:writeShort(x)
messOut:writeShort(y)
messOut:writeShort(index)
globalManager.messageManager:send(messOut)
end
--自己攻击
function SceneMessageSender:sendPlayerAttack(targetId,targetType,skillId,x,y)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.PLAYER_ATTACK)
messOut:writeNumber(targetId)
messOut:writeByte(targetType)
messOut:writeInt(skillId)
messOut:writeInt(x)
messOut:writeInt(y)
globalManager.messageManager:send(messOut)
end
--答题攻击
function SceneMessageSender:sendDatiPlayerAttack(targetId,targetType,skillId,x,y)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.DATISKILL)
messOut:writeNumber(targetId)
messOut:writeByte(targetType)
messOut:writeInt(skillId)
messOut:writeInt(x)
messOut:writeInt(y)
globalManager.messageManager:send(messOut)
end
--妖精攻击
function SceneMessageSender:sendPetAttack(targetId,targetType,skillId,x,y)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.PET_ATTACK)
messOut:writeNumber(targetId)
messOut:writeByte(targetType)
messOut:writeInt(skillId)
messOut:writeInt(x)
messOut:writeInt(y)
globalManager.messageManager:send(messOut)
end
--伙伴攻击
function SceneMessageSender:sendPartnerAttack(targetId,targetType,skillId,x,y)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.PARTNER_ATTACK)
messOut:writeNumber(targetId)
messOut:writeByte(targetType)
messOut:writeInt(skillId)
messOut:writeInt(x)
messOut:writeInt(y)
globalManager.messageManager:send(messOut)
end
--玩家开始采集
function SceneMessageSender:sendCollectStart(id,templateId)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.MAP_COLLECT_START)
messOut:writeInt(id)
messOut:writeInt(templateId)
globalManager.messageManager:send(messOut)
end
--玩家采集
function SceneMessageSender:sendPlayerCollect()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.PLAYER_COLLECT)
globalManager.messageManager:send(messOut)
end
--玩家拾取
function SceneMessageSender:sendGetDrop(itemId)
self._dropList[itemId] = 0
-- local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.PLAYER_GET_DROPITEM)
-- messOut:writeInt(itemId)
-- globalManager.messageManager:send(messOut)
end
function SceneMessageSender:tick(delta,count)
local delList = {}
for k,v in pairs(self._dropList) do
self._dropList[k] =  self._dropList[k] + 1
if(self._dropList[k] > 60)then
table.insert(delList,k)
end
end
for i = 1,#delList,1 do
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.PLAYER_GET_DROPITEM)
messOut:writeInt(delList[i])
globalManager.messageManager:send(messOut)
self._dropList[delList[i]] = nil
end
end
--怪物走路协议，找不到怪时发送服务器再更新
function SceneMessageSender:sendMonsterMove(monsterId)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.MAP_MONSTER_MOVE)
messOut:writeInt(monsterId)
globalManager.messageManager:send(messOut)
end
--复活(1:回城复活，2：原地计时复活，3：原地健康复活)
function SceneMessageSender:sendRelive(type)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.PLAYER_RELIVE)
messOut:writeByte(type)
globalManager.messageManager:send(messOut)
globalData.killSelfType = type
end
--发送进入副本
function SceneMessageSender:sendEnterCopy(copyId,mission)
globalData.messageAdder:sendEnterCopyCommon(copyId,mission)
end
--发送退出副本
function SceneMessageSender:sendQuitCopy()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.QUIT_COPY)
globalManager.messageManager:send(messOut)
end
--清除进入副本信息
function SceneMessageSender:sendEnterCopyClear()
globalManager.messageManager:send(globalData.allStaticTypes.messageType.COPY_ENTER_CLEAR)
end
--炼狱副本奖励领取, index:16, 关卡
function SceneMessageSender:sendCopyAwardGet(id,index)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.COPY_MISSION_AWARD_GET)
messOut:writeInt(id)
messOut:writeShort(index)
globalManager.messageManager:send(messOut)
end
--炼狱副本奖励重置
function SceneMessageSender:sendCopyAwardReset(id)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.COPY_MISSION_RESET)
messOut:writeInt(id)
globalManager.messageManager:send(messOut)
end
--副本转盘领取
function SceneMessageSender:sendZhuangPan()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.COPY_ZHUANGPAN)
globalManager.messageManager:send(messOut)
end
--请求副本时间更新
function SceneMessageSender:sendCopyTimeInfo()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.COPY_TIME_INFO)
globalManager.messageManager:send(messOut)
end
--请求副本怪物更新
function SceneMessageSender:sendCopyMonsterInfo()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.COPY_MONSTER_COUNT)
globalManager.messageManager:send(messOut)
end
--副本扫荡立即完成
function SceneMessageSender:sendCopySweepFast(copyId)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.COPY_SD_FAST)
messOut:writeInt(copyId)
globalManager.messageManager:send(messOut)
end
--副本获取秘镜信息
function SceneMessageSender:sendCopyBallInfo()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.COPY_BALL_INFO)
globalManager.messageManager:send(messOut)
end
--副本获取材料信息
function SceneMessageSender:sendCopyMaterialInfo()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.COPY_DROP_INFO)
globalManager.messageManager:send(messOut)
end
--使用飞鞋
function SceneMessageSender:sendFly(mapId,sceneX,sceneY)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.USER_FLY)
messOut:writeInt(mapId)
messOut:writeInt(sceneX)
messOut:writeInt(sceneY)
globalManager.messageManager:send(messOut)
end
--无飞鞋固定点传送
function SceneMessageSender:sendJumpMap(mapId)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.JUMP_MAP)
messOut:writeInt(mapId)
globalManager.messageManager:send(messOut)
end
--上下坐骑
function SceneMessageSender:sendRiderUpDown(value)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.RIDER_UPDOWN)
messOut:writeBoolean(value)
globalManager.messageManager:send(messOut)
end
--获取答题信息
function SceneMessageSender:sendAnswerInfo()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.ANSWER_INFO)
globalManager.messageManager:send(messOut)
end
--请求探宝信息
function SceneMessageSender:sendTanbaoInfo()
globalManager.messageManager:send(globalData.allStaticTypes.messageType.TB_INFO)
end
--请求探宝排行信息
function SceneMessageSender:sendTanbaoRank()
globalManager.messageManager:send(globalData.allStaticTypes.messageType.TB_RANK)
end
function SceneMessageSender:sendGetWorldBossData()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.BOSS_HART_INFO)
globalManager.messageManager:send(messOut)
end
function SceneMessageSender:sendGetJingyinBossData()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.BOSS_ELITE_HART_INFO)
globalManager.messageManager:send(messOut)
end
function SceneMessageSender:sendGetFirstLoginAward()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.WELCOME_AWARD)
globalManager.messageManager:send(messOut)
end
--匹配组队副本
function SceneMessageSender:sendTeamMatch(copyId)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.COPY_TEAM_MATCH)
messOut:writeInt(copyId)
globalManager.messageManager:send(messOut)
end
--取消组队匹配
function SceneMessageSender:sendTeamQuit()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.COPY_TEAM_QUIT)
globalManager.messageManager:send(messOut)
end
--守护副本获取NPC血量百分比
function SceneMessageSender:sendCopyNpcHp()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.COPY_NPCHPUPDATE)
globalManager.messageManager:send(messOut)
end
--特殊副本更新开启（守护副本）
function SceneMessageSender:sendCopyTimeUpdate()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.COPY_TIMEUPDATE)
globalManager.messageManager:send(messOut)
end
--副本召唤守卫
function SceneMessageSender:sendCopyNpcCall(type)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.COPY_NPCCALL)
messOut:writeByte(type)
globalManager.messageManager:send(messOut)
end
--副本升级守卫
function SceneMessageSender:sendCopyNpcUpdate(type)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.COPY_NPCUPDATE)
messOut:writeByte(type)
globalManager.messageManager:send(messOut)
end
--送花
function SceneMessageSender:sendFlower(userId,type)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.SEND_FLOWER)
messOut:writeNumber(userId)
messOut:writeInt(type)
globalManager.messageManager:send(messOut)
end
--送烟花
function SceneMessageSender:sendYanhua(userId,type)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.SEND_YANHUA)
messOut:writeNumber(userId)
messOut:writeInt(type)
globalManager.messageManager:send(messOut)
end
--请求结婚
function SceneMessageSender:sendMarry(userId,type)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.MARRY_REQUEST)
messOut:writeNumber(userId)
messOut:writeByte(type)
globalManager.messageManager:send(messOut)
end
--请求结义
function SceneMessageSender:sendOath(userId2,userId3,Type,name)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.OATH_REQUEST)
messOut:writeNumber(userId2)
messOut:writeNumber(userId3)
messOut:writeByte(Type)
messOut:writeString(name)
globalManager.messageManager:send(messOut)
end
--结婚请求反馈
function SceneMessageSender:repleyMarry(isSure,userId,type)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.MARRY_REPLEY)
messOut:writeBoolean(isSure)
messOut:writeByte(type)
messOut:writeNumber(userId)
globalManager.messageManager:send(messOut)
end
--结义请求反馈
function SceneMessageSender:repleyOath(isSure,userId,position)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.OATH_REPLAY)
messOut:writeNumber(userId)
messOut:writeBoolean(isSure)
messOut:writeByte(position)
globalManager.messageManager:send(messOut)
end
--离婚
function SceneMessageSender:divorceMarry()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.MARRY_DIVORCE)
globalManager.messageManager:send(messOut)
end
--解义
function SceneMessageSender:divorceOath()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.OATH_DEVOICE)
globalManager.messageManager:send(messOut)
end
--获取 跨服充值榜/鲜花榜 数据
function SceneMessageSender:sendGetRankInfo(type,page,count)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.CROSS_RECHARGE_RANK_INFO)
messOut:writeByte(type)
messOut:writeByte(page)
messOut:writeByte(count)
globalManager.messageManager:send(messOut)
end
--改名
function SceneMessageSender:sendChangeName(name)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.CHANGE_NAME)
messOut:writeString(name)
globalManager.messageManager:send(messOut)
end
--转职
function SceneMessageSender:sendChangeProfession(career)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.CHANGE_PROFESSION)
messOut:writeByte(career)
globalManager.messageManager:send(messOut)
end
--------------混沌战场-----------
--踢出队伍
function SceneMessageSender:sendKickMember3V3(pos)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.KICK_MEMBER_3V3)
messOut:writeByte(pos)
globalManager.messageManager:send(messOut)
end
--退出队伍
function SceneMessageSender:sendQuitTeam3V3()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.QUIT_TEAM_3V3)
globalManager.messageManager:send(messOut)
end
--邀请好友
function SceneMessageSender:sendInviteFriend3V3(friendId,posIndex)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.INVITE_FRIEND_3V3)
messOut:writeNumber(friendId)
messOut:writeByte(posIndex)
globalManager.messageManager:send(messOut)
end
--回应邀请
function SceneMessageSender:sendInviteRequest3V3(inviterId,type,pos)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.INVITE_REQUEST_3V3)
messOut:writeNumber(inviterId)
messOut:writeByte(type)
messOut:writeByte(pos)
globalManager.messageManager:send(messOut)
end
--开始匹配
function SceneMessageSender:sendBeginMatch3V3()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.BEGIN_MATCH_3V3)
globalManager.messageManager:send(messOut)
end
--放弃匹配
function SceneMessageSender:sendQuitMatch3V3()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.QUIT_MATCH_3V3)
globalManager.messageManager:send(messOut)
end
--发送举报
function SceneMessageSender:sendReport3v3(userId)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.REPORT_3V3)
messOut:writeNumber(userId)
globalManager.messageManager:send(messOut)
end
--3v3排行榜信息
function SceneMessageSender:sendGet3V3RankInfo(page,count)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.RANK_INFO_3V3)
messOut:writeByte(page)
messOut:writeShort(count)
globalManager.messageManager:send(messOut)
end
--获取每日奖励
function SceneMessageSender:sendGetAward3V3()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.RANK_AWARD_3V3)
globalManager.messageManager:send(messOut)
end
--获取3v3副本数据
function SceneMessageSender:sendGetCopyInfo3V3()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.WAR_INFO_3V3)
globalManager.messageManager:send(messOut)
end
------------------------------守护副本----------------------------------
--踢出队伍
function SceneMessageSender:sendSHKickMember(pos)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.SH_KICK_TEAM)
messOut:writeByte(pos)
globalManager.messageManager:send(messOut)
end
--退出队伍
function SceneMessageSender:sendSHQuitTeam()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.SH_QUIT_TEAM)
globalManager.messageManager:send(messOut)
end
--邀请好友
function SceneMessageSender:sendSHInviteFriend(friendId,posIndex)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.SH_INVITE)
messOut:writeNumber(friendId)
messOut:writeByte(posIndex)
globalManager.messageManager:send(messOut)
end
--回应邀请
function SceneMessageSender:sendSHInviteRequest(inviterId,type,pos)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.SH_INVITE_REPLY)
messOut:writeNumber(inviterId)
messOut:writeByte(type)
messOut:writeByte(pos)
globalManager.messageManager:send(messOut)
end
--获取队伍信息
function SceneMessageSender:sendGetSHTeamInfo()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.SH_TEAM_INFO)
globalManager.messageManager:send(messOut)
end
--进入副本
function SceneMessageSender:sendSHEnterCopy()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.SH_ENTER_COPY)
globalManager.messageManager:send(messOut)
end
--创建队伍
function SceneMessageSender:sendSHCreateTeam()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.SH_CREATE_TEAM)
globalManager.messageManager:send(messOut)
end
-------------------------------------------------------------------
--Vip购买天数
function SceneMessageSender:sendBuyVip(type)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.VIP_BUY)
messOut:writeShort(type)
globalManager.messageManager:send(messOut)
end
function SceneMessageSender:sendGetVipInfo()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.VIP_INFO)
globalManager.messageManager:send(messOut)
end
--仙皇争霸 排行信息
function SceneMessageSender:sendArenaXHInfo(page,count)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.ARENA_XH_RANK_INFO)
messOut:writeByte(page)
messOut:writeByte(count)
globalManager.messageManager:send(messOut)
end
--仙皇争霸 开始匹配
function SceneMessageSender:sendBeginMatch1v1()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.ARENA_BEGIN_MATCH)
globalManager.messageManager:send(messOut)
end
--一路向西领取奖励
function SceneMessageSender:toWestGetAward(day)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.TOWEST_GET_AWARD)
messOut:writeByte(day)
globalManager.messageManager:send(messOut)
end
TargetUpdateMessageHandler = class("TargetUpdateMessageHandler",function(self,module)
local ta = {}
ta.module = module
ta.sceneInfo = module.sceneInfo
return ta
end)
function TargetUpdateMessageHandler:ctor()
local doAtt = function(id,type)
if(globalData.allStaticTypes.sceneObjType:isPlayer(type))then
return id ~= globalData.selfPlayerInfo.userId
elseif(globalData.allStaticTypes.sceneObjType:isPet(type))then
return true
end
return true
end
local messageAttackReturn = function(data)
local bytes = tolua.cast(data,"MessageIn")
if(self.sceneInfo.scenePlayerList.selfPlayer == nil)then return end
local attackType = bytes:readByte()
local attackId = bytes:readNumber()
local skillId = bytes:readInt()
local skillLevel = bytes:readByte()
local skillX = bytes:readInt()
local skillY = bytes:readInt()
local attackState = bytes:readUInt()--攻击者serverState
local actionInfoLen = bytes:readInt()
local selfAttack = true--是否自己攻击自己受击
local attackRoleInfo = self.sceneInfo:getAttackableRoleInfo(attackType,attackId)
for i = 1,actionInfoLen,1 do
local behaviorInfo = BehaviorInfo:new()
behaviorInfo.type = globalData.allStaticTypes.behaviorType.behit
behaviorInfo.attackId = attackId
behaviorInfo.skillX = skillX
behaviorInfo.skillY = skillY
behaviorInfo.attackType = attackType
behaviorInfo.skillTemplateId = skillId
behaviorInfo.skillLevel = skillLevel
behaviorInfo.behitId = bytes:readNumber()
behaviorInfo.behitType = bytes:readByte()
if(attackRoleInfo ~= nil)then
behaviorInfo.attackName = attackRoleInfo:getName()
end
if(behaviorInfo.behitId == behaviorInfo.attackId and behaviorInfo.behitType == behaviorInfo.attackType)then
selfAttack = false
end
--受击者
local roleInfo = self.sceneInfo:getAttackableRoleInfo(behaviorInfo.behitType,behaviorInfo.behitId)
local bloodLen = bytes:readShort()
local tmpHp = nil
if(roleInfo ~= nil) then
tmpHp = roleInfo:getCurrentHp()
behaviorInfo.behitName = roleInfo:getName()
end
for j = 1,bloodLen,1 do
behaviorInfo.currentHp = bytes:readNumber()
if(roleInfo ~= nil)then
table.insert(behaviorInfo.dHps, behaviorInfo.currentHp - tmpHp)
tmpHp = behaviorInfo.currentHp
end
table.insert(behaviorInfo.attackResultTypes, bytes:readShort())
end
--击退
behaviorInfo.isHitBack = bytes:readByte()
if(behaviorInfo.isHitBack > 0)then
behaviorInfo.hitBackPos = globalManager.ccCreator:newPoint(bytes:readShort(),bytes:readShort())
if(roleInfo ~= nil and globalData.allStaticTypes.sceneObjType:isPlayer(roleInfo:getObjType()) and roleInfo:getObjId() == globalData.selfPlayerInfo.userId)then
self.module.clearPathTester:stopMoving()
end
end
local targetState = bytes:readUInt()
if(roleInfo ~= nil)then
--记录最后攻击自己的名字（显示在复活框上）
if(behaviorInfo:behitIsSelf() and bloodLen > 0)then
if(attackRoleInfo ~= nil)then
if(globalData.allStaticTypes.sceneObjType:isPet(attackType))then
local player = self.sceneInfo:getAttackableRoleInfo(globalData.allStaticTypes.sceneObjType.player,attackId)
if(player ~= nil) then
globalData:setKillSelfData(attackId,globalData.allStaticTypes.sceneObjType.player,player:getName(),player:getServerId())
end
else
globalData:setKillSelfData(attackId,attackType,attackRoleInfo:getName(),attackRoleInfo:getServerId())
end
end
end
roleInfo:setServerState(targetState)
local sceneObj = self.module.controllerList:getAttackableRole(behaviorInfo.behitType,behaviorInfo.behitId)
if(sceneObj ~= nil)then
sceneObj:doBehavior(behaviorInfo)
end
if(roleInfo.stateInfo:getIsDead() and self.sceneInfo:getCurrentSelectObjInfo() == roleInfo)then
self.sceneInfo:setCurrentSelectObjInfo(nil)
end
--血量最后写入，防止怪物死了。
roleInfo:setCurrentHp(behaviorInfo.currentHp)
end
end
local attackBehavior = BehaviorInfo:new()
attackBehavior.type = globalData.allStaticTypes.behaviorType.attack
attackBehavior.attackId = attackId
attackBehavior.attackType = attackType
attackBehavior.skillX = skillX
attackBehavior.skillY = skillY
attackBehavior.skillTemplateId = skillId
attackBehavior.skillLevel = skillLevel
if(attackRoleInfo ~= nil)then
attackRoleInfo:setServerState(attackState)
--自己攻击自己，或者别人攻击，则播动画，自己攻击别人不需要播动画
if(selfAttack and doAtt(attackRoleInfo:getObjId(),attackType))then
local attackSceneRole = self.module.controllerList:getAttackableRole(attackBehavior.attackType,attackBehavior.attackId)
if(attackSceneRole ~= nil)then
attackSceneRole:doBehavior(attackBehavior)
end
end
end
end
local messageWaitingReturn = function(data)
local bytes = tolua.cast(data,"MessageIn")
local type = bytes:readByte()
local id = bytes:readNumber()
local state = bytes:readUInt()
local skill = bytes:readInt()
local level = bytes:readByte()
local time = bytes:readInt()
local role = self.sceneInfo:getAttackableRoleInfo(type,id)
if(role ~= nil)then
role:setServerState(state)
local selfPlayer = self.module.controllerList.playerController.selfPlayer
if(selfPlayer ~= nil)then
selfPlayer:doRoleReady(time,role,skill)
end
end
end
local messageDropAddReturn = function(data)
local bytes = tolua.cast(data,"MessageIn")
local len = bytes:readInt()
for i = 1,len,1 do
local item = SceneDropInfo:new(self.module)
item:setObjId(bytes:readInt())
--掉落类型：0普通掉落，1特殊掉落物，进入副本背包,2只能本人看见
item.type = bytes:readByte()
item:setTemplateId(bytes:readInt())
item.ownerId = bytes:readNumber()
item:setScenePos(globalManager.ccCreator:newPoint(bytes:readInt(),bytes:readInt()))
item.stateType = bytes:readByte()
--个人掉落情况，不属于自己的不显示
self.sceneInfo.sceneDropList:addDrop(item)
end
end
local messageDropRemoveReturn = function(data)
local bytes = tolua.cast(data,"MessageIn")
local len = bytes:readInt()
for i = 1,len,1 do
local id = bytes:readInt()
self.sceneInfo.sceneDropList:removeDrop(id)
end
end
local messageDropUpdateReturn = function(data)
local bytes = tolua.cast(data,"MessageIn")
local id = bytes:readInt()
local item = self.sceneInfo.sceneDropList:getItem(id)
if(item ~= nil)then
item.stateType = bytes:readByte()
end
end
local messageBloodReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
local type = bytes:readByte()
local id = bytes:readNumber()
local roleInfo = self.sceneInfo:getAttackableRoleInfo(type,id)
local playAction = bytes:readBoolean()
local currentHp = bytes:readNumber()
if(roleInfo ~= nil)then
if(id == globalData.selfPlayerInfo.userId)then
if(playAction)then
local role = self.module.controllerList:getAttackableRole(type,id)
if(role ~= nil)then
local behaviorInfo = BehaviorInfo:new()
behaviorInfo.type = globalData.allStaticTypes.behaviorType.updateBlood
behaviorInfo.currentHp = currentHp
table.insert(behaviorInfo.dHps,currentHp - roleInfo:getCurrentHp())
table.insert(behaviorInfo.attackResultTypes,globalData.allStaticTypes.behaviorType.addBlood)
role:doBehavior(behaviorInfo)
end
end
end
roleInfo:setCurrentHp(currentHp)
end
end
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.TARGET_ATTACK,messageAttackReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.TARGET_ATTACKED_WAITING,messageWaitingReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.TARGET_DROPITEM_ADD,messageDropAddReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.TARGET_DROPITEM_REMOVE,messageDropRemoveReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.TARGET_DROPITEM_UPDATE,messageDropUpdateReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.TARGET_UPDATE_BLOOD,messageBloodReturn)
end
SceneModule = class("SceneModule",function()
local sm = BaseModule:new()
sm.sceneInfo = nil
sm.controllerList = nil
sm.message = nil
sm.walkTester = nil
sm.attackTester = nil
sm.clearPathTester = nil
sm.pickupTester = nil
sm.copyTester = nil
sm.flyTester = nil
sm.roleVisibleTester = nil
sm.jumpTester = nil
sm.quickIconContainer = nil
sm.relivePanel = nil
sm.selfHeadView = nil
sm.targetHeadView = nil
sm.taskFollowView = nil
sm.skillPanel = nil
sm.tryCopyPanel = nil     --试炼面板
sm.tryCopyTreasurePanel = nil --藏宝秘境
sm.copyFollowPanel = nil  --副本信息面板
sm.copyBossKillPanel = nil  --副本击杀BOSS面板
sm.worldBossFollowPanel = nil --世界BOSS信息面板
sm.mapPanel = nil--地图面板
sm.arenaPanel = nil --竞技场面板
sm.arena2Panel = nil --尊武殿面板
sm.starcraftPanel = nil --群雄争霸面板
sm.arenaResultPanel = nil --竞技场结果面板
sm.arenaFightBehavior = nil --自动战斗面板
sm.flowerBehavior = nil --飘花
sm.fireworkBehavior = nil --烟花
sm.sendFlowerPanel = nil--送花面板
sm.receiveFlowerPanel = nil--收花面板
sm.marryApplyPanel = nil--送婚面板
sm.marryAcceptPanel = nil--收婚界面
sm.marryBreakPanel = nil--离婚界面
sm.rankCrossRechargePanel = nil--跨服充值排行榜界面
sm.flowerRankPanel = nil--鲜花榜界面
sm.peiShiPanel = nil --佩饰界面
sm.flowerRankGiftPanel = nil
sm.yanhuaRankPanel = nil --烟花榜界面
sm.yanhuaRankGiftPanel = nil --烟花榜奖励界面
sm.yanhuaSendPanel = nil --赠送烟花
sm.yanhuaRecivePanel = nil --烟花回赠
sm.renamePanel = nil--改名界面
sm.exitCopyBtn = nil
sm.showHideBtn = nil
sm.shouHuTeamPanel = nil--守护邀请队伍界面
--混沌战场
sm.chaosPanel = nil --混沌战场面板
sm.chaosMatchPanel = nil --混沌战场匹配面板
--yuangu
sm.yuanguResultPanel = nil
--vip
sm.vipPanel = nil
sm.payPanel = nil
--commonBehaviors
sm.shakeBehavior = nil
--common view
sm.responsePanel = nil
--世界boss
sm.worldBossPanel = nil
--精英boss
sm.jingyingBossPanel = nil
--猎魂
sm.worldBossVip  = nil
--buff栏
sm.buffPanel   =  nil
--组队副本匹配面板
sm.teamMatchPanel = nil
--转盘面板
sm.zhuanpanPanel  = nil
--在线奖励
sm.onlineRewardsPanel = nil
--财运亨通
sm.zhuanpan3Panel = nil
--消费赠礼
sm.consumenGiftPanel = nil
--专享福利
sm.zhuanXiangWelfarePanel = nil
--新服大馈赠
sm.newServerGiftPanel = nil
--仙皇争霸1v1
sm.arenaXHPanel = nil
--一路向西
sm.toWestPanel = nil
--战力提升
sm.fightUpPanel = nil
--新手剧情
sm.newlyMovie = nil
--长时间不动提示面板
sm.guideAlertView = nil
--送红包面板
sm.redBagPanel = nil
--充值好礼
sm.payCountGiftPanel = nil
--特权界面
sm.privilegePanel = nil
--帮战排行榜
sm.bangzhanRankPanel = nil
return sm
end)
--override
function SceneModule:getModuleType()
return globalData.allStaticTypes.moduleType.scene
end
--override
function SceneModule:setup(data)
self.sceneInfo = SceneInfo:new(self)
self.controllerList = ControllerList:new(self)
--message
self.message = SceneMessageSender:new(self)
self.message:add()
self.walkTester = WalkTester:new(self.controllerList.sceneController)
self.attackTester = AttackTester:new(self)
self.attackTester:steup()
self.copyTester = CopyTester:new(self)
self.clearPathTester = ClearPathTester:new(self.controllerList.sceneController)
self.pickupTester = PickupTester:new(self.controllerList.sceneController)
self.flyTester = FlyTester:new(self)
self.roleVisibleTester = RoleVisibleTester:new(self)
self.jumpTester = JumpTester:new(self)
self.shakeBehavior = ShakeBehavior:new()
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.global_clearAllData,self.clearAllDataHandler,self)
self:configure(data)
self:sendGetData()
self.controllerList.sceneController:showHeadAndMap()
globalManager.moduleManager:addModule(globalData.allStaticTypes.moduleType.main_menu,nil,false)
self.controllerList.sceneController:showQuickIconContainer()
--buffList
self.controllerList.sceneController:showBuffPanelHandler()
self.controllerList.sceneController:gotoMap(-1)
end
--override
function SceneModule:configure(data)
if(data.mapId ~= -1)then
globalManager.containerManager:changeScene()
globalManager.containerManager:hideLoginPanel()
globalManager.containerManager:showSourceLoadPanel()
globalManager.containerManager:addSourceProgress(10)
self.controllerList:clear()
self.sceneInfo:clear()
globalManager.sourceCacheManager:changeScene()
globalManager.commonUtils:GC()
if(data.isRelogin == true)then
--发送请求数据
self:sendGetData()
self.controllerList.sceneController:gotoMap(-1)
else
self.controllerList:resetScene()
end
end
end
function SceneModule:clearAllDataHandler(evt)
--关闭所有面板
if(globalData.uiPanelContainer ~= nil)then
globalData.uiPanelContainer:close()
end
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_closeOtherPanel,globalManager.gameDispatcher))
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_reConnect,globalManager.gameDispatcher))
--清除所有数据
globalData:clearAllData()
--清除地图数据
self.controllerList:clear(true)
self.sceneInfo:clear()
end
function SceneModule:sendGetData()
globalData.messageAdder:sendUpdateInfo()
globalData.messageAdder:sendCopySweepInfo()
globalData.messageAdder:getLeagueInfo()
end
BaseSettingView = class("BaseSettingView", function(self)
local temp = globalManager.ccCreator:newWidget()
temp._itemList = {}
temp._sliderList = {}
temp._currentHeight = 0
return temp
end)
function BaseSettingView:addToggles(keys)
local len = table.getn(keys)
self._currentHeight = 4
for i=1,len do
local item = SettingItemToggle:new(2)
local pos = cc.p(0,self._currentHeight)
self._currentHeight = self._currentHeight + 66
item:setPosition(pos)
self:addChild(item)
item:setValueKey(keys[i])
table.insert(self._sliderList, item)
end
end
function BaseSettingView:getHeight()
return self._currentHeight
end
function BaseSettingView:dispose()
for __,item in pairs(self._itemList) do
item:dispose()
end
for __,item in pairs(self._sliderList) do
item:dispose()
end
self._itemList = nil
self._sliderList = nil
globalManager.ccCreator:release(self)
end
--基本设置
SettingBasicView = class("SettingBasicView", function(self)
local temp = BaseSettingView:new()
temp._toggleKeys = {
"tuiLeagueWar",
"tuiArena",
"tuiOnline",
"tuiWest",
"tuiBOSS",
"tuiStarUp",
}
temp._BaseSettingViewDispose = temp.dispose
return temp
end)
function SettingBasicView:ctor()
self:addToggles(self._toggleKeys)
end
function SettingBasicView:dispose()
self._toggleKeys = nil
self._BaseSettingViewDispose(self)
self._BaseSettingViewDispose = nil
end
--设置界面开关小滑块
--数据值key，来源自globalData.gameSetting
SettingItemToggle = class("SettingItemToggle", function(self,type)
local temp = globalManager.ccCreator:newWidget()
if(type == nil or type == 1)then
temp._widget = globalManager.ccCreator:newJsonWidget("SettingItemToggle")
elseif(type == 2)then
temp._widget = globalManager.ccCreator:newJsonWidget("SettingItemToggle2")
end
temp._type = type or 1
temp:addChild(temp._widget)
temp.nameLabel = temp._widget:getChildByName("nameLabel")
temp.slider = temp._widget:getChildByName("slider")
temp.hitArea = temp._widget:getChildByName("hitArea")
temp.hitArea:setOpacity(0)
temp.boardBg = temp._widget:getChildByName("boardBg")
temp.boardBg2  =temp._widget:getChildByName("boardBg_Copy0")
temp._propController1 = PropController:new()
temp._propController2 = PropController:new()
if(temp._type == 1)then
temp._propController1:addInfo(PropInfo:new(temp.slider,1,0,218,247,5,0))
temp._propController2:addInfo(PropInfo:new(temp.slider,1,0,247,203,-5,0))
elseif(temp._type == 2)then
temp._propController1:addInfo(PropInfo:new(temp.slider,1,0,542,571,5,0))
temp._propController2:addInfo(PropInfo:new(temp.slider,1,0,571,527,-5,0))
end
temp._widget:getChildByName("nameLabel_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("ChaosItemView.text15"))
temp._widget:getChildByName("nameLabel_Copy1"):setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel83"))
--data
temp._key = nil
return temp
end)
function SettingItemToggle:ctor()
self:initEvent()
end
function SettingItemToggle:setValueKey(key)
self._key = key
self.nameLabel:setText(globalData.gameSetting:getDescribe(key))
self:updateView(true)
end
function SettingItemToggle:initEvent()
local function toggleTouchHandler(sender,eventType)
if(eventType == TOUCH_EVENT_BEGAN)then
if(self._key ~= nil)then
local value = globalData.gameSetting:getValue(self._key)
globalData.gameSetting:setValue(self._key,not value)
self:updateView()
end
end
end
self.hitArea:addTouchEventListener(toggleTouchHandler)
end
function SettingItemToggle:updateView(immediately)
immediately = immediately or false
local value = globalData.gameSetting:getValue(self._key)
self.boardBg:setVisible(not value)
self.boardBg2:setVisible(value)
if(immediately)then
if(value)then
if(self._type == 1)then
self.slider:setPosition(cc.p(247,32))
elseif(self._type == 2)then
self.slider:setPosition(cc.p(571,32))
end
else
if(self._type == 1)then
self.slider:setPosition(cc.p(203,32))
elseif(self._type == 2)then
self.slider:setPosition(cc.p(527,32))
end
end
else
if(value)then
if(self._type == 1)then
if(self.slider:getPositionX() ~= 247) then
self._propController1:pStart()
end
elseif(self._type == 2)then
if(self.slider:getPositionX() ~= 571) then
self._propController1:pStart()
end
end
else
if(self._type == 1)then
if(self.slider:getPositionX() ~= 203) then
self._propController2:pStart()
end
elseif(self._type == 2)then
if(self.slider:getPositionX() ~= 527) then
self._propController2:pStart()
end
end
end
end
end
function SettingItemToggle:dispose()
self._key = nil
if(self._propController1 ~= nil) then
self._propController1:dispose()
self._propController1 = nil
end
if(self._propController2 ~= nil) then
self._propController2:dispose()
self._propController2 = nil
end
self.nameLabel = nil
self.slider = nil
self.hitArea = nil
self.boardBg = nil
globalManager.ccCreator:release(self._widget)
self._widget = nil
globalManager.ccCreator:release(self)
end
SettingPanel = class("SettingPanel", function(self,controller)
--view
local temp = globalManager.ccCreator:newJsonWidget("SettingPanel")
temp.closeBtn = temp:getChildByName("closeBtn")
temp.changeIdBtn = temp:getChildByName("changeIdBtn")
temp.contactGMBtn = temp:getChildByName("contactGMBtn")
temp.hungupBtn = temp:getChildByName("hungupBtn")
temp.scrollView = temp:getChildByName("scrollView")
temp.resetBtn  = temp:getChildByName("resetBtn")
temp.userCenterBtn = temp:getChildByName("userCenterBtn")
temp.nameLabel = temp:getChildByName("nameLabel")
temp.itemPanel = temp:getChildByName("itemPanel")
local showUserCenter, showLoginOut = false, true
if(globalData.config:inSDK())then
showUserCenter = globalManager.kyPlatformSDK:luaCall({globalManager.kyPlatformSDK.hasUserCenter}) == "true"
showLoginOut = globalManager.kyPlatformSDK:luaCall({globalManager.kyPlatformSDK.hasLoginOut}) == "true"
end
if(globalData.sources == "tx") then
showUserCenter = false
showLoginOut = false
end
temp.userCenterBtn:setEnabled(false)
temp.resetBtn:setPosition(362,44)
temp.changeIdBtn:setEnabled(showLoginOut)
temp.basicView = nil  --基本设置面板
temp.musicBtnItem = nil
temp.playerBtnItem = nil
-- --data
temp.controller = controller
temp._showIndex = -1
temp.changeIdBtn:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("SettingPanel.text3"))
temp.contactGMBtn:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("SettingPanel.text4"))
temp.resetBtn:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("SettingPanel.text5"))
temp.userCenterBtn:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("SettingPanel.text6"))
return temp
end)
function SettingPanel:ctor()
self:setIndex(1)
self:initEvent()
self.nameLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("SettingPanel.text1")..globalData.selfPlayerInfo.shortAccount)
end
function SettingPanel:initEvent()
--按钮点击操作
local function buttonTouchHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
if(sender == self.closeBtn)then
self:hide()
elseif(sender == self.changeIdBtn)then
if(self:isShowSignOutTips())then
self.controller:showSignOutTipsView()
else
if(not globalData.isWin())then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.global_closeChatPanel,globalManager.gameDispatcher,nil))
globalManager.kyPlatformSDK:luaCall({globalManager.kyPlatformSDK.loginOut})
else
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.global_closeChatPanel,globalManager.gameDispatcher,nil))
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.global_clearAllData,globalManager.gameDispatcher,nil))
globalManager.containerManager:setCheckDisconnect(false)
globalManager.messageManager:close()
globalManager.moduleManager:addModule(globalData.allStaticTypes.moduleType.startLib,ToCommonModuleData:new(1),false)
end
end
end
end
end
local function contactGMTouchHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.moduleManager:addModule(globalData.allStaticTypes.moduleType.gm)
self.controller:hideSettingPanel()
end
end
local function restBtnTouchHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
if(globalData.copyInfo.currentCopyId < 1)then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.trigger_backCity,globalManager.gameDispatcher,nil))
globalData.uiPanelContainer:close()
else
return
end
end
end
local function userCenterBtnTouchHandler(sender, eventType)
if eventType == TOUCH_EVENT_ENDED then
if(globalData.config:inSDK())then
globalManager.kyPlatformSDK:luaCall({globalManager.kyPlatformSDK.enterSNSCenter})
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("SettingPanel.text2"))
end
end
end
self.changeIdBtn:addTouchEventListener(buttonTouchHandler)
self.contactGMBtn:addTouchEventListener(contactGMTouchHandler)
self.closeBtn:addTouchEventListener(buttonTouchHandler)
self.resetBtn:addTouchEventListener(restBtnTouchHandler)
self.userCenterBtn:addTouchEventListener(userCenterBtnTouchHandler)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_closeOtherPanel,self.hide,self)
end
function SettingPanel:isShowSignOutTips()
local list = globalData.taskItemList:getTaskNotSubmit()
if(#list["canSubmit"] > 0 or #list["cantSubmit"] > 0) then
return true
end
list = globalData.taskItemList:getCanAcceptList()
if(#list > 0) then
for i,info in pairs(list) do
if(info.minLv <= globalData.selfPlayerInfo.level) then
return true
end
end
end
local num = 0
if(globalData.selfPlayerInfo.level >= globalData.newModuleLevelConfig.materialLevel)then
num = globalManager.playerInfoTester._copyNum1
if(num > 0) then
return true
end
end
if(globalData.selfPlayerInfo.level >= globalData.newModuleLevelConfig.arena1Level)then
if(globalData.arena1Info.times >= 5) then
return true
end
end
if(globalData.selfPlayerInfo.level >= globalData.newModuleLevelConfig.worldBossVipLevel)then
if(globalManager.playerInfoTester._vipBossNum > 0) then
return true
end
end
if(globalData.selfPlayerInfo.level >= globalData.newModuleLevelConfig.expeditionLevel)then
num = globalManager.playerInfoTester._copyNum3
if(num > 0) then
return true
end
end
if(globalData.selfPlayerInfo.level >= globalData.newModuleLevelConfig.lianyuLevel)then
local copyTemp = globalData.allTemplates.copyTemplateList:getCopy(globalData.allTemplates.copyTemplateList.LIANYU)
local current = globalData.copyInfo:getTodayMaxMission(globalData.allTemplates.copyTemplateList.LIANYU)
current = copyTemp:missionIdToIndex(current)
current = math.max(1,current - 1)
local maxMission = globalData.copyInfo:getMaxMission(globalData.allTemplates.copyTemplateList.LIANYU)
maxMission = copyTemp:missionIdToIndex(maxMission)
maxMission = math.max(1,maxMission - 1)
if(maxMission > current or maxMission == 1) then
return true
end
end
if(globalData.selfPlayerInfo.level >= globalData.newModuleLevelConfig.findTreasureLevel)then
if(globalManager.playerInfoTester._findTreasureNum > 0) then
return true
end
end
if(globalData.selfPlayerInfo.level >= globalData.newModuleLevelConfig.defenedLevel)then
num = globalManager.playerInfoTester._copyNum5
if(num > 0) then
return true
end
end
if(globalData.leagueInfo.id > 0)then
local copyList = globalData.allTemplates.copyTemplateList:getLeagueBossCopyList()
local count    = 0
for __,copy in pairs(copyList) do
if(globalManager.playerInfoTester._copyLeagueBossPre[copy.copyId] < 100)then
if(globalData.leagueInfo.level >= copy.leagueLevel)then
count = globalData.copyInfo:getCopyLeftCount(copy.copyId)
if(count > 0)then
break
end
end
end
end
if(count > 0)then
return true
end
end
return false
end
function SettingPanel:removeEvent()
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.scene_closeOtherPanel,self.hide,self)
end
function SettingPanel:hide()
self.controller:hideSettingPanel()
end
function SettingPanel:setIndex(index)
if(self._showIndex == index)then
return
end
self._showIndex = index
self:updateView()
end
function SettingPanel:updateView()
local view = nil
if(self._showIndex == 1)then
if(self.basicView == nil)then
self.basicView = SettingBasicView:new()
end
self.scrollView:addChild(self.basicView)
view = self.basicView
if(self.musicBtnItem == nil)then
self.musicBtnItem = SettingItemToggle:new(1)
local pos = cc.p(0,0)
self.musicBtnItem:setPosition(pos)
self.itemPanel:addChild(self.musicBtnItem)
self.musicBtnItem:setValueKey("musicToggle")
end
if(self.playerBtnItem == nil)then
self.playerBtnItem = SettingItemToggle:new(1)
local pos = cc.p(324,0)
self.playerBtnItem:setPosition(pos)
self.itemPanel:addChild(self.playerBtnItem)
self.playerBtnItem:setValueKey("showOtherPlayer")
end
end
if(view:getHeight() < 384)then
view:setPositionY(384 - view:getHeight())
end
self.scrollView:setInnerContainerSize(cc.size(630,view:getHeight()))
end
function SettingPanel:hideFormClickContainer()
end
function SettingPanel:dispose()
self:removeEvent()
self.controller = nil
self.closeBtn = nil
self.changeIdBtn = nil
self.scrollView = nil
self.resetBtn = nil
self.userCenterBtn = nil
self.nameLabel = nil
if(self.basicView ~= nil)then
self.basicView:dispose()
self.basicView = nil
end
if(self.musicBtnItem ~= nil)then
self.musicBtnItem:dispose()
self.musicBtnItem = nil
end
if(self.playerBtnItem ~= nil)then
self.playerBtnItem:dispose()
self.playerBtnItem = nil
end
globalManager.ccCreator:release(self)
end
SignOutTipsView = class("SignOutTipsView",function(self,controller)
local temp = globalManager.ccCreator:newJsonWidget("signOutTipsView")
temp.scrollView = temp:getChildByName("scrollView")
temp.continueBtn = temp:getChildByName("nomalBtn1")
temp.quitBtn = temp:getChildByName("nomalBtn2")
temp.controller = controller
temp.index = 1
temp.text = ""
temp.taskItemInfo = nil
temp.taskTemplateInfo = nil
temp.label = nil
temp.quitBtn:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("SignOutTipsView.text15"))
temp.continueBtn:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("SignOutTipsView.text16"))
temp:getChildByName("Label_813164_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("SignOutTipsView.text17"))
return temp
end)
function SignOutTipsView:ctor()
self:initEvent()
self:initView()
end
function SignOutTipsView:initEvent()
local function continueBtnClickHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self.controller:hideSignOutTipsView()
end
end
local function quitBtnClickHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self.controller:hideSignOutTipsView()
if(not globalData.isWin())then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.global_closeChatPanel,globalManager.gameDispatcher,nil))
globalManager.kyPlatformSDK:luaCall({globalManager.kyPlatformSDK.loginOut})
else
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.global_closeChatPanel,globalManager.gameDispatcher,nil))
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.global_clearAllData,globalManager.gameDispatcher,nil))
globalManager.containerManager:setCheckDisconnect(false)
globalManager.messageManager:close()
globalManager.moduleManager:addModule(globalData.allStaticTypes.moduleType.startLib,ToCommonModuleData:new(1),false)
end
end
end
self.continueBtn:addTouchEventListener(continueBtnClickHandler)
self.quitBtn:addTouchEventListener(quitBtnClickHandler)
end
function SignOutTipsView:initView()
local item,num,max
local list = globalData.taskItemList:getTaskNotSubmit()
local count1 = 0
local count2 = 0
if(#list["canSubmit"] > 0) then
for i,info in pairs(list["canSubmit"]) do
self:setTaskLabel1(info)
end
end
if(#list["cantSubmit"] > 0) then
for i,info in pairs(list["cantSubmit"]) do
self:setTaskLabel1(info)
end
end
list = globalData.taskItemList:getCanAcceptList()
if(#list > 0) then
for i,info in pairs(list) do
self:setTaskLabel2(info)
end
end
if(globalData.selfPlayerInfo.level >= globalData.newModuleLevelConfig.materialLevel)then
num = globalManager.playerInfoTester._copyNum1
--max = globalManager.playerInfoTester._copyMax1
if(num > 0 and self.index <= 4) then
self.text = string.format(globalManager.yuyanbaoManager:getYuyanbao("SignOutTipsView.text1"),self.text,num)
self.index = self.index + 1
end
end
if(globalData.selfPlayerInfo.level >= globalData.newModuleLevelConfig.arena1Level)then
if(globalData.arena1Info.times >= 5 and self.index <= 4) then
self.text = string.format(globalManager.yuyanbaoManager:getYuyanbao("SignOutTipsView.text4"),self.text,tostring(globalData.arena1Info.times))
self.index = self.index + 1
end
end
if(globalData.selfPlayerInfo.level >= globalData.newModuleLevelConfig.worldBossVipLevel)then
if(globalManager.playerInfoTester._vipBossNum > 0 and self.index <= 4) then
self.text = string.format(globalManager.yuyanbaoManager:getYuyanbao("SignOutTipsView.text5"),self.text)
self.index = self.index + 1
end
end
if(globalData.selfPlayerInfo.level >= globalData.newModuleLevelConfig.expeditionLevel)then
max = globalData.allTemplates.copyTemplateList:getCopy(globalData.allTemplates.copyTemplateList.EXPEDITION).dayTimes
num = max - globalManager.playerInfoTester._copyNum3
if(num < max and self.index <= 4) then
self.text = string.format(globalManager.yuyanbaoManager:getYuyanbao("SignOutTipsView.text6"),self.text,max - num)
self.index = self.index + 1
end
end
if(globalData.selfPlayerInfo.level >= globalData.newModuleLevelConfig.lianyuLevel)then
local copyTemp = globalData.allTemplates.copyTemplateList:getCopy(globalData.allTemplates.copyTemplateList.LIANYU)
local current = globalData.copyInfo:getTodayMaxMission(globalData.allTemplates.copyTemplateList.LIANYU)
current = copyTemp:missionIdToIndex(current)
current = math.max(1,current - 1)
local maxMission = globalData.copyInfo:getMaxMission(globalData.allTemplates.copyTemplateList.LIANYU)
maxMission = copyTemp:missionIdToIndex(maxMission)
maxMission = math.max(1,maxMission - 1)
if((maxMission > current  or maxMission == 1) and self.index <= 4) then
self.text = string.format(globalManager.yuyanbaoManager:getYuyanbao("SignOutTipsView.text7"),self.text)
self.index = self.index + 1
end
end
-- if(globalData.selfPlayerInfo.level >= globalData.newModuleLevelConfig.findTreasureLevel)then
-- 	if(globalManager.playerInfoTester._findTreasureNum > 0 and self.index <= 4) then
-- 		self.text = string.format(globalManager.yuyanbaoManager:getYuyanbao("SignOutTipsView.text8"),self.text)
--         self.index = self.index + 1
-- 	end
--    end
if(globalData.selfPlayerInfo.level >= globalData.newModuleLevelConfig.defenedLevel)then
num = globalManager.playerInfoTester._copyNum5
max = globalManager.playerInfoTester._copyMax5
if(num > 0 and self.index <= 4 ) then
self.text = string.format(globalManager.yuyanbaoManager:getYuyanbao("SignOutTipsView.text9"),self.text,num)
self.index = self.index + 1
end
end
-- if(globalData.leagueInfo.id > 0)then
--     local copyList = globalData.allTemplates.copyTemplateList:getLeagueBossCopyList()
--     local count    = 0
--     for __,copy in pairs(copyList) do
--         if(globalManager.playerInfoTester._copyLeagueBossPre[copy.copyId] < 100)then
--             if(globalData.leagueInfo.level >= copy.leagueLevel)then
--                 count = globalData.copyInfo:getCopyLeftCount(copy.copyId)
--                 if(count > 0)then
--                     break
--                 end
--             end
--         end
--     end
--     if(count > 0 and self.index <= 4)then
--         self.text = string.format(globalManager.yuyanbaoManager:getYuyanbao("SignOutTipsView.text10"),self.text)
--         self.index = self.index + 1
--     end
-- end
self:setRichLabel()
end
function SignOutTipsView:setTaskLabel1(info)
self.taskItemInfo = info
self.taskTemplateInfo = info:getTemplate()
local text = ""
if(self.index <= 4)then
text = "["..self.taskTemplateInfo:getTypeString().."]"..self.taskTemplateInfo.title
end
if(self.taskItemInfo == nil) then return end
if(globalData.allStaticTypes.taskStaticInfo.finishNotSubmit == self.taskItemInfo.state)then
if(self.index <= 4)then
text = string.format(globalManager.yuyanbaoManager:getYuyanbao("SignOutTipsView.text11"),text)
self.index = self.index + 1
end
else
if(self.taskItemInfo.state == globalData.allStaticTypes.taskStaticInfo.acceptNotFinish)then
local mission = self.taskItemInfo:getCurrentMission()
if(globalData.allStaticTypes.taskStaticInfo:getShowRequireCount(mission.condition) and self.index <= 4) then
text = text.."("..(mission.data[1].y - self.taskItemInfo._needCounts[1]) .. "/" .. mission.data[1].y .. ")\n"
self.index = self.index + 1
end
else
if(self.index <= 4)then
text = string.format(globalManager.yuyanbaoManager:getYuyanbao("SignOutTipsView.text12"),text)
self.index = self.index + 1
end
end
end
if(info:getTemplate().taskType == 1) then
self.text = text..self.text
else
self.text = self.text..text
end
end
function SignOutTipsView:setTaskLabel2(info)
self.taskTemplateInfo = info
if(info.minLv > globalData.selfPlayerInfo.level) then
else
if(self.index <= 4)then
if(info.taskType == 1) then
self.text = string.format(globalManager.yuyanbaoManager:getYuyanbao("SignOutTipsView.text13"),self.taskTemplateInfo:getTypeString(),self.taskTemplateInfo.title,self.text)
self.index = self.index + 1
else
self.text = string.format(globalManager.yuyanbaoManager:getYuyanbao("SignOutTipsView.text14"),self.text,self.taskTemplateInfo:getTypeString(),self.taskTemplateInfo.title)
self.index = self.index + 1
end
end
end
end
function SignOutTipsView:setRichLabel()
self.label = globalManager.ccCreator:newRichLabel2(nil,300,globalData.allStaticTypes.colorType.TIPTITLE_COLOR)
self.label:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[7])
self.label:setText(self.text)
self.scrollView:addChild(self.label)
self.label:setPosition(cc.p(30,100))
local height = self.label:getHeight()
if(height < 130) then
self.label:setPosition(cc.p(30,100))
else
self.label:setPosition(cc.p(30,height - 20))
end
self.scrollView:setInnerContainerSize(globalManager.ccCreator:newSize(410,height+10))
end
function SignOutTipsView:dispose()
self.scrollView = nil
self.continueBtn = nil
self.quitBtn = nil
self.controller = nil
self.taskItemInfo = nil
self.taskTemplateInfo = nil
if(self.label ~= nil) then
self.label:dispose()
self.label = nil
end
globalManager.ccCreator:release(self)
end
SettingController = class("SettingController", function(self,module)
local temp = {}
temp.module = module
return temp
end)
function SettingController:showSettingPanel()
if(self.module.settingPanel == nil)then
self.module.settingPanel = SettingPanel:new(self)
end
if(self.module.settingPanel:getParent() == nil)then
globalData.uiClickContainer:addItem(self.module.settingPanel,true,true)
--		globalManager.containerManager.fixUIContainer:addChild(self.module.settingPanel)
end
end
function SettingController:hideSettingPanel()
globalData.uiClickContainer:close(self.module.settingPanel)
self.module.settingPanel:dispose()
self.module.settingPanel = nil
end
function SettingController:showSignOutTipsView()
if(self.module.signOutTipsView == nil)then
self.module.signOutTipsView = SignOutTipsView:new(self)
end
if(self.module.signOutTipsView:getParent() == nil)then
globalData.uiClickContainer:addItem(self.module.signOutTipsView,true,true)
end
end
function SettingController:hideSignOutTipsView()
globalData.uiClickContainer:close(self.module.signOutTipsView)
self.module.signOutTipsView:dispose()
self.module.signOutTipsView = nil
end
SettingModule = class("SettingModule", function(self)
local temp = BaseModule:new()
temp.controller = nil
temp.settingPanel = nil
temp.signOutTipsView = nil
return temp
end)
--override
function SettingModule:getModuleType()
return globalData.allStaticTypes.moduleType.setting
end
--override
function SettingModule:setup(data)
self.controller = SettingController:new(self)
self:configure(data)
end
--override
function SettingModule:configure(data)
self.controller:showSettingPanel()
end
GMPanel = class("GMPanel", function(_,controller)
local self       = globalManager.ccCreator:newNode()
self.controller	 = controller
self.config      = globalData.config
self._backGround = globalManager.ccCreator:newImageView("board/ui_board5.png",1)
self._backGround:setSize(globalManager.ccCreator:newSize(globalData.GAME_WIDTH,globalData.GAME_HEIGHT))
self._backGround:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[7])
self._backGround:setScale9Enabled(true)
self._backGround:setCapInsets(cc.rect(5,4,1,1))
self._backGround:setTouchEnabled(true)
self:addChild(self._backGround)
self._widget     = globalManager.ccCreator:newJsonWidget("GMpanel")
local size 		 = self._widget:getSize()
local offsetX 	 = globalData.GAME_WIDTH * 0.5 - size.width / 2
local offsetY 	 = globalData.GAME_HEIGHT * 0.5 - size.height / 2
self._widget:setPosition(globalManager.ccCreator:newPoint(offsetX,offsetY))
self:addChild(self._widget)
self._widget:getChildByName("titleLabel_Copy1"):setText(globalManager.yuyanbaoManager:getYuyanbao("GMPanel.text1"))
self._widget:getChildByName("titleLabel_Copy0"):setText("GM")
self._widget:getChildByName("Label_243190_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("FiveEquipTip.text12").."：")
self._widget:getChildByName("Label_243190_Copy1"):setText(globalManager.yuyanbaoManager:getYuyanbao("GMPanel.text3").."：")
self._widget:getChildByName("check1"):getChildByName("Label_243217"):setText(globalManager.yuyanbaoManager:getYuyanbao("GMPanel.text4").."BUG")
self._widget:getChildByName("check2"):getChildByName("Label_243217"):setText(globalManager.yuyanbaoManager:getYuyanbao("GMPanel.text5"))
self._widget:getChildByName("check3"):getChildByName("Label_243217"):setText(globalManager.yuyanbaoManager:getYuyanbao("GMPanel.text6"))
self._widget:getChildByName("check4"):getChildByName("Label_243217"):setText(globalManager.yuyanbaoManager:getYuyanbao("GMPanel.text7"))
self._widget:getChildByName("send_btn"):getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("GMPanel.text8"))
self.nameLayer   = self._widget:getChildByName("editbox_layer")
self.infoLabel   = self._widget:getChildByName("info_label")
self.editbox     = globalManager.ccCreator:newEditBox(self.nameLayer:getSize(),200,nil,nil,nil,nil,"")
--    self.editbox:setOpacity(0)
self.currentY = self.nameLayer:getPositionY() + offsetY
self.editbox:setPosition(globalManager.ccCreator:newPoint(self.nameLayer:getPositionX() + offsetX,self.currentY))
self:addChild(self.editbox)
self.tips_label  = self._widget:getChildByName("tips_label")
self.send_btn  	 = self._widget:getChildByName("send_btn")
self.close_btn   = self._widget:getChildByName("close_btn")
self.boxes 		 = {}
for i=1,4 do
local chkbox = self._widget:getChildByName("check"..i)
chkbox.idx 	 = i
table.insert(self.boxes, chkbox)
end
return self
end)
function GMPanel:ctor()
local function btnClickHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if sender == self.send_btn then
-- send a message
local con = self.infoLabel:getStringValue()
if(con == "") then con = globalManager.ccCreator:getTextString(self.editbox) end
local idx = self:getSelected()
globalData.messageAdder:sendGMBug(idx, con)
if self.infoLabel ~= nil then
self.infoLabel:setText("")
end
elseif sender == self.close_btn then
self.controller:hideGmpanel()
else
self:setChk(sender.idx)
end
end
end
local function changeHandler1(eventType)
if(eventType == "began") then
globalManager.ccCreator:setTextString(self.editbox,self.infoLabel:getStringValue())
elseif(eventType == "changed")then
local str =  globalManager.ccCreator:getTextString(self.editbox)
self.infoLabel:setText(str)
elseif(eventType == "return")then
local str =  globalManager.ccCreator:getTextString(self.editbox)
globalManager.ccCreator:setTextString(self.editbox,"")
self.infoLabel:setText(str)
self.editbox:setPositionY(self.currentY)
end
end
local function changeHandler2(eventType)
if(eventType == 0) then
globalManager.ccCreator:setTextString(self.editbox,self.infoLabel:getStringValue())
elseif(eventType == 1)then
local str = globalManager.ccCreator:getTextString(self.editbox)
self.infoLabel:setText(str)
elseif(eventType == 2)then
local str = globalManager.ccCreator:getTextString(self.editbox)
globalManager.ccCreator:setTextString(self.editbox,"")
self.infoLabel:setText(str)
self.editbox:setPositionY(self.currentY)
elseif(eventType == 3)then
end
end
self.send_btn:addTouchEventListener(btnClickHandler)
self.close_btn:addTouchEventListener(btnClickHandler)
for i=1,#self.boxes do
self.boxes[i]:addTouchEventListener(btnClickHandler)
end
self:setChk(1)
self.boxes[1]:setSelectedState(true)
self.tips_label:setText(self.config.gmpanelTip)
local type = tolua.type(self._inputEditBox)
if(type == "ccui.TextField") then
self._inputEditBox:addTouchEventListener(changeHandler2)
elseif(type == "cc.EditBox") then
self._inputEditBox:registerScriptEditBoxHandler(changeHandler1)
end
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.global_gm,self.sendComplete,self)
end
function GMPanel:sendComplete(evt)
if self.infoLabel ~= nil and evt.data == 1 then
self.infoLabel:setText("")
end
end
function GMPanel:getSelected()
for i=1,#self.boxes do
if self.boxes[i]:getSelectedState() == true then
return i
end
end
return 1
end
function GMPanel:setChk(idx)
for i=1,#self.boxes do
-- if idx == i then
-- 	self.boxes[i]:setSelectedState(true)
-- else
self.boxes[i]:setSelectedState(false)
-- end
end
end
function GMPanel:dispose()
-- self.editbox:unregisterScriptEditBoxHandler()
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.global_gm,self.sendComplete,self)
self.controller	 = nil
self.config      = nil
self.nameLayer   = nil
if self.editbox ~= nil then
globalManager.ccCreator:release(self.editbox)
self.editbox = nil
end
self.infoLabel = nil
globalManager.ccCreator:release(self._backGround)
self._backGround = nil
self.tips_label  = nil
self.send_btn  	 = nil
self.close_btn   = nil
self.boxes 		 = nil
globalManager.ccCreator:release(self._widget)
globalManager.ccCreator:release(self)
self._widget = nil
end
GMController = class("GMController", function(_,module)
local self = {}
self.module = module
return self
end)
function GMController:showGMPanel()
if(self.module.gmpanel == nil)then
self.module.gmpanel = GMPanel:new(self)
end
if(self.module.gmpanel:getParent() == nil)then
self.module.gmpanel:setPosition(0,0)
globalManager.containerManager.panelContainer:addChild(self.module.gmpanel)
end
end
function GMController:hideGmpanel()
self.module.gmpanel:dispose()
self.module.gmpanel = nil
end
GMModule = class("GMModule", function(self)
local temp = BaseModule:new()
temp.controller = nil
temp.gmPanel = nil
return temp
end)
--override
function GMModule:getModuleType()
return globalData.allStaticTypes.moduleType.gm
end
--override
function GMModule:setup(data)
self.controller = GMController:new(self)
self:configure(data)
end
--override
function GMModule:configure(data)
self.controller:showGMPanel()
end
MysticalShopPanel = class("MysticalShopPanel", function(self,controller,index)
local temp         = globalManager.ccCreator:newJsonWidget("mysticalShopPanel")
temp._controller   = controller
temp._closeBtn     = temp:getChildByName("close_btn")
temp._flushBtn     = temp:getChildByName("flushBtn")
temp._flushLabel   = temp._flushBtn:getChildByName("btnLabel")
temp._timeLabel    = temp:getChildByName("timeLabel")
temp._scrollView   = temp:getChildByName("scrollView")
temp._viewList     = {}
temp._currentType  = index
temp._timeLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("MysticalShopPanel.text4"))
temp._bg1 = temp:getChildByName("bg1")
temp._bg2 = temp:getChildByName("bg2")
self._bg1Path = globalManager.pathManager:getUISource("outPic/mysticalShopBg1.png")
self._bg2Path = globalManager.pathManager:getUISource("outPic/mysticalShopBg2.png")
return temp
end)
function MysticalShopPanel:ctor()
globalManager.sourceCacheManager:setImage(self._bg1,self._bg1Path,globalData.allStaticTypes.sourceStaticType.clearFiveM)
globalManager.sourceCacheManager:setImage(self._bg2,self._bg2Path,globalData.allStaticTypes.sourceStaticType.clearFiveM)
globalData.uiClickContainer:addItem(self,true,true)
self:initEvent()
self:initView()
end
function MysticalShopPanel:initView()
local viewClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
if(sender:getInfo() ~= nil)then
globalManager.tipsManager:showShenMiGoods(sender:getInfo(),sender:getIndex(),self._currentType)
end
end
end
if(self._viewList ~= nil)then
for __,view in pairs(self._viewList) do
view:dispose()
view = nil
end
self._viewList = {}
end
local height = 180 * 2
for i = 1,6,1 do
local view = MysticalShopItem:new(i)
self._scrollView:addChild(view)
view:setPosition(cc.p(236 * ((i - 1) % 3),height - 163 - 195 * math.floor((i - 1) / 3)))
view:setTouchEnabled(true)
view:addTouchEventListener(viewClickHandler)
table.insert(self._viewList,view)
end
if self._currentType == 1 then
self._flushLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("WorldBossItem.text2"))
self:updateView()
end
end
function MysticalShopPanel:updateView()
local itemList = globalData.shenmiShopInfo.itemList
if(#itemList <= 0 or itemList == nil)then
globalData.messageAdder:sendShenmiUpdateInfo()
return
end
for i = 1,6,1 do
self._viewList[i]:setData(itemList[i],self._currentType)
end
end
function MysticalShopPanel:setViewData(evt)
local data = evt.data
local itemList = globalData.shenmiShopInfo.itemList
self._viewList[data]:setData(itemList[data],self._currentType)
end
-- function MysticalShopPanel:setVipScoreViewData(evt)
-- 	local data = evt.data
-- 	local itemList = globalData.vipMallInfo.itemList
-- 	self._viewList[data]:setData(itemList[data],self._currentType)
-- end
function MysticalShopPanel:initEvent()
local function flushHandler()
if(self._currentType == 1)then
globalData.messageAdder:sendShenmiUpdate()
end
globalManager.tipsManager:hide()
end
local function closeTouchHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self._controller:hideShenMiShopPanel()
end
end
local function flushTouchHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(self._currentType == 1)then
local playerGold = globalData.selfPlayerInfo.moneyInfo.gold
if(playerGold >= 1)then
Alert:new():show(2,string.format(globalManager.yuyanbaoManager:getYuyanbao("MysticalShopPanel.text2"),globalData.allStaticTypes.colorType.ITEMCOLOR5_STR),globalManager.noAlertUtils.SHENMI_FLUSH,0,self,flushHandler)
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel11"))
end
end
end
end
local function shenMiTouchHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self._currentType = 1
self._flushLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("WorldBossItem.text2"))
self:updateView()
end
end
self._flushBtn:addTouchEventListener(flushTouchHandler)
self._closeBtn:addTouchEventListener(closeTouchHandler)
globalData.shenmiShopInfo:addEventListener(globalData.globalEventType.update_ShenmiShopInfo,self.updateView,self)
globalData.shenmiShopInfo:addEventListener(globalData.globalEventType.update_ShenmiShopBuy,self.setViewData,self)
--globalData.vipMallInfo:addEventListener(globalData.globalEventType.update_VipMallShopBuy,self.setVipScoreViewData,self)
end
function MysticalShopPanel:removeEvent()
globalData.shenmiShopInfo:removeEventListener(globalData.globalEventType.update_ShenmiShopInfo,self.updateView,self)
globalData.shenmiShopInfo:removeEventListener(globalData.globalEventType.update_ShenmiShopBuy,self.setViewData,self)
--globalData.vipMallInfo:removeEventListener(globalData.globalEventType.update_VipMallShopBuy,self.setVipScoreViewData,self)
end
function MysticalShopPanel:dispose()
self:removeEvent()
globalManager.sourceCacheManager:removeQuote(self._bg1Path)
self._bg1Path = nil
self._bg1 = nil
globalManager.sourceCacheManager:removeQuote(self._bg2Path)
self._bg2Path = nil
self._bg2 = nil
self._controller   = nil
self._closeBtn     = nil
self._flushBtn     = nil
self._timeLabel    = nil
self._scrollView   = nil
if(self._viewList ~= nil)then
for __,info in pairs(self._viewList) do
info:dispose()
info = nil
end
self._viewList     = nil
end
self._flushLabel   = nil
globalManager.ccCreator:release(self)
globalData.uiClickContainer:close(self)
end
MysticalShopItem = class("MysticalShopItem", function(self,index)
local temp         = globalManager.ccCreator:newJsonWidget("mysticalShopItem")
temp._discountImg  = temp:getChildByName("discountImg")
--功能屏蔽：神秘商店打折角标
temp._discountImg:setVisible(false)
--屏蔽完成
temp._nameLabel    = temp:getChildByName("nameLabel")
temp._countLabel   = temp:getChildByName("countLabel")
temp._cell         = temp:getChildByName("cell")
temp._hasIcon      = temp:getChildByName("hasIcon")
temp._typeIcon     = temp:getChildByName("typeIcon")
temp._overImg      = temp:getChildByName("overImg")
temp._goodsInfos   = {}
temp._info         = nil
temp.index         = index
temp.gridList      = {}
temp.path          = globalManager.pathManager:getUISource("outPic/vipScoreIcon.png")
temp.shopType      = 0
return temp
end)
function MysticalShopItem:ctor()
self:initEvent()
end
function MysticalShopItem:initEvent()
end
function MysticalShopItem:removeEvent()
end
function MysticalShopItem:setData(info,type)
if(info == nil)then return end
self.shopType = type
local templateInfo = nil
if(self.shopType == 1)then
templateInfo  = globalData.allTemplates.mysticalShopTemplateList:getTemplate(info[1])
elseif(self.shopType == 2)then
templateInfo  = info
end
self._info = templateInfo
local goodsTemplate = globalData.allTemplates.goodsTemplateList:getTemplate(templateInfo.itemList[1][1])
if(goodsTemplate == nil)then return end
self._nameLabel:setText(goodsTemplate.name)
self._nameLabel:setColor(globalData.allStaticTypes.colorType:getColorByQuality(goodsTemplate.quality))
if(templateInfo.flag == 5)then
self._discountImg:loadTexture("flag/ui_discountIco0.png", 1)
self._discountImg:setVisible(true)
elseif(templateInfo.flag == 6)then
self._discountImg:loadTexture("flag/ui_discountIcon1.png", 1)
self._discountImg:setVisible(true)
elseif(templateInfo.flag == 7)then
self._discountImg:loadTexture("flag/ui_discountIcon2.png", 1)
self._discountImg:setVisible(true)
elseif(templateInfo.flag == 8)then
self._discountImg:loadTexture("flag/ui_discountIcon3.png", 1)
self._discountImg:setVisible(true)
elseif(templateInfo.flag == 9)then
self._discountImg:loadTexture("flag/ui_discountIcon4.png", 1)
self._discountImg:setVisible(true)
elseif(templateInfo.flag == 10)then
self._discountImg:setVisible(false)
end
--功能屏蔽：神秘商店打折角标
self._discountImg:setVisible(false)
--屏蔽完成
if(templateInfo.payType == 1)then
self._typeIcon:loadTexture("icon/ui_moneyIcon1.png", 1)
local goldNum = globalData.selfPlayerInfo.moneyInfo.gold
if(goldNum < templateInfo.price)then
self._countLabel:setColor(globalData.allStaticTypes.colorType.COLORYELLOW)
else
self._countLabel:setColor(globalData.allStaticTypes.colorType.TIPACT_COLOR)
end
elseif(templateInfo.payType == 2)then
self._typeIcon:loadTexture("icon/ui_bindGoldIcon.png", 1)
local bindGoldNum = globalData.selfPlayerInfo.moneyInfo.bindGold
if(bindGoldNum < templateInfo.price)then
self._countLabel:setColor(globalData.allStaticTypes.colorType.COLORYELLOW)
else
self._countLabel:setColor(globalData.allStaticTypes.colorType.TIPACT_COLOR)
end
elseif(templateInfo.payType == 3)then
self._typeIcon:loadTexture("icon/ui_moneyIcon2.png", 1)
self._typeIcon:setScale(1.2)
local copperNum = globalData.selfPlayerInfo.moneyInfo.copper
if(copperNum < templateInfo.price)then
self._countLabel:setColor(globalData.allStaticTypes.colorType.COLORYELLOW)
else
self._countLabel:setColor(globalData.allStaticTypes.colorType.TIPACT_COLOR)
end
elseif(templateInfo.payType == 9)then
self._typeIcon:setScale(1)
globalManager.sourceCacheManager:setImage(self._typeIcon,self.path,globalData.allStaticTypes.sourceStaticType.clearFiveM)
local vipScore = globalData.vipMallInfo.vipScore
if(vipScore < templateInfo.price)then
self._countLabel:setColor(globalData.allStaticTypes.colorType.COLORYELLOW)
else
self._countLabel:setColor(globalData.allStaticTypes.colorType.TIPACT_COLOR)
end
end
if(templateInfo.price < 10000)then
self._countLabel:setText(templateInfo.price)
else
local str = templateInfo.price * 0.0001 .. globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel44")
self._countLabel:setText(str)
end
if(info[2])then
self._hasIcon:setVisible(true)
self._overImg:setVisible(true)
self._overImg:setTouchEnabled(true)
else
self._hasIcon:setVisible(false)
self._overImg:setVisible(false)
self._overImg:setTouchEnabled(false)
end
for __,item in pairs(templateInfo.itemList) do
if(item[3] == nil or item[3] == 0 or item[3] == globalData.allStaticTypes.careerType:getCareer(globalData.selfPlayerInfo.career)) then   --自己的职业，或者不分职业的物品筛选
local grid = GoodsInfoGrid:new()
local goodsinfo = GoodsInfo:new()
goodsinfo:setTemplateId(item[1])
goodsinfo.count = item[2]
if(item[4] ~= nil) then
goodsinfo:updateStrengthLevel(item[4])
end
if(item[5] ~= nil) then
goodsinfo.stage = item[5]
end
grid:setPicTouchEnabled(false)
table.insert(self._goodsInfos,goodsinfo)
grid:setGoodsInfo(goodsinfo)
self._cell:addChild(grid)
table.insert(self.gridList,grid)
end
end
if(self.shopType == 2)then
local vipLevel = globalData.selfPlayerInfo.vipLevel
if(vipLevel < templateInfo.vipLow)then
self._countLabel:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("MysticalShopItem.text1"),templateInfo.vipLow))
self._countLabel:setColor(globalData.allStaticTypes.colorType.COLORRED)
end
end
end
function MysticalShopItem:getInfo()
return self._info
end
function MysticalShopItem:getIndex()
if(self.shopType == 1)then
return self.index
elseif(self.shopType == 2)then
return self._info.templateId
end
end
function MysticalShopItem:dispose()
self:removeEvent()
self._discountImg  = nil
self._nameLabel    = nil
self._countLabel   = nil
self._cell         = nil
if(self._goodsInfos ~= nil) then
for __,grid in pairs(self._goodsInfos) do
grid:dispose()
end
self._goodsInfos = nil
end
if(self.gridList ~= nil) then
for __,grid in pairs(self.gridList) do
grid:dispose()
end
self.gridList = nil
end
self._typeIcon     = nil
self._overImg      = nil
self.index         = nil
self._hasIcon      = nil
self._info         = nil
self.shopType      = nil
globalManager.sourceCacheManager:removeQuote(self.path)
self.path = nil
globalManager.ccCreator:release(self)
end
--
-- 商城限购item
-- Date: 2014-07-03 17:07:50
--
ShopDiscountItemView = class("ShopDiscountItemView", function(self)
local temp = ShopSaleItemView:new()
temp._discountInfo = nil
temp._BaseDispose = temp.dispose
temp._BaseRemoveEvent = temp.removeEvent
return temp
end)
function ShopDiscountItemView:setDiscountInfo(info)
if(self._discountInfo ~= nil)then
self._discountInfo:removeEventListener(globalData.globalEventType.shop_discountCount, self.countUpdateHandler, self)
end
if(info ~= nil)then
self._discountInfo = info
self:setShopTemplate(info.shopGoodsTemplate)
self._limitLabel:setVisible(true)
if(self._discountInfo.needLevel > globalData.selfPlayerInfo.level)then
self._buyBtn:setEnabled(false)
self._conditionLabel:setText("")
self._conditionLabel:setText(self._discountInfo.needLevel .. globalManager.yuyanbaoManager:getYuyanbao("ShopDiscountItemView.text1"))
elseif(self._discountInfo.needLeagueLevel > globalData.leagueInfo.level)then
self._buyBtn:setEnabled(false)
self._conditionLabel:setText(self._discountInfo.needLeagueLevel .. globalManager.yuyanbaoManager:getYuyanbao("ShopDiscountItemView.text2"))
else
self._buyBtn:setEnabled(true)
self._conditionLabel:setText("")
end
self._discountInfo:addEventListener(globalData.globalEventType.shop_discountCount, self.countUpdateHandler, self)
self:countUpdateHandler()
else
self:setShopTemplate(nil)
self._discountInfo = nil
end
end
function ShopDiscountItemView:countUpdateHandler(evt)
if(self._discountInfo == nil)then return end
if(self._discountInfo.myTotalCount >= 10000)then
self._limitLabel:setVisible(false)
else
self._limitLabel:setVisible(true)
end
self._limitLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("ShopDiscountItemView.text3") .. self._discountInfo.canBuy)
end
function ShopDiscountItemView:buyHandler()
local numCallBack = function(shopGoodsTemplate,count)
if(count <= 0)then
return globalManager.yuyanbaoManager:getYuyanbao("QuickBuyPanel.text1")
elseif(count > self._discountInfo.canBuy)then
return globalManager.yuyanbaoManager:getYuyanbao("ShopDiscountItemView.text5")
elseif(not globalManager.goodsInfoTester:shopGoodsMoneyCheck(shopGoodsTemplate, count, true))then
--这里，在金钱检测里面输出了信息，因此返回nil，在NumberPanel里面不输出错误信息
return nil
end
globalData.messageAdder:sendShopDiscountBuy(self._discountInfo.type,shopGoodsTemplate.shopId,count)
return nil
end
if(self._discountInfo ~= nil)then
local maxCount = 999
if(self._discountInfo.myTotalCount < 10000)then
if(self._discountInfo.canBuy <= 0)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("ShopDiscountItemView.text6"))
return
end
maxCount = self._discountInfo.canBuy
end
if(globalData.selfPlayerInfo.level < self._discountInfo.needLevel)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel50"))
return
end
globalManager.containerManager:getNumberPanel():showShopGoodsTemplate(self._discountInfo.shopGoodsTemplate,numCallBack,false,maxCount)
end
end
function ShopDiscountItemView:removeEvent()
self._BaseRemoveEvent(self)
if(self._discountInfo ~= nil)then
self._discountInfo:removeEventListener(globalData.globalEventType.shop_discountCount, self.countUpdateHandler, self)
end
end
function ShopDiscountItemView:dispose()
self._BaseDispose(self)
self._BaseDispose = nil
self._discountInfo = nil
self._BaseRemoveEvent = nil
end
ShopPanel = class("ShopPanel", function(self,controller)
--view
local temp = globalManager.ccCreator:newWidget()
temp._background = globalManager.ccCreator:newImageView("board/ui_board5.png",1)
temp:addChild(temp._background)
temp._background:setScale9Enabled(true)
temp._background:setCapInsets(cc.rect(5,4,2,2))
temp._background:setSize(globalManager.ccCreator:newSize(globalData.GAME_WIDTH,globalData.GAME_HEIGHT))
temp._background:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[1])
temp._background:setPosition(globalManager.ccCreator:newPoint(480,320))
temp._background:setTouchEnabled(true)
temp._widget = globalManager.ccCreator:newJsonWidget("ShopPanelII")
temp:addChild(temp._widget)
temp._bgPath = globalManager.pathManager:getUISource("outPic/ui_shopBg.png")
temp._background2 = temp._widget:getChildByName("bg_img")
globalManager.sourceCacheManager:setImage(temp._background2,temp._bgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
temp._listView = temp._widget:getChildByName("listView")
temp._listView:setItemsMargin(10)
-- temp._scrollBarWrapper = ScrollBarWrapper:new(temp._listView,temp._widget)
temp._rechargeBtn = temp._widget:getChildByName("rechargeBtn")
temp._closeBtn = temp._widget:getChildByName("closeBtn")
temp._info_btn = temp._widget:getChildByName("info_btn")
temp._moneyLabel = temp._widget:getChildByName("moneyLabel")
temp._moneyLabels = {}
for i=1,4 do
if(i ~= 2)then
table.insert(temp._moneyLabels,temp._widget:getChildByName("money" .. i):getChildByName("label"))
end
end
temp._tabGroup = nil
--data
temp._shopItemCache = {}
temp._discountItemCache = {}
temp.shopListTemplate = globalData.allTemplates.shopTemplateList:getShopList(globalData.allStaticTypes.shopType.SHOP_STORE)
temp._currentIndex = -1
temp._controller = controller
temp.eventDis = EventDispatcher:new()
temp._widget:getChildByName("getLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("ShopPanel.text5"))
temp.list  = nil
temp.count = 0
return temp
end)
function ShopPanel:ctor()
self._tabGroup = TabGroup:new(0)
self._tabGroup:setData({globalManager.yuyanbaoManager:getYuyanbao("ShopPanel.text1"),
globalManager.yuyanbaoManager:getYuyanbao("ShopPanel.text2"),
globalManager.yuyanbaoManager:getYuyanbao("ShopPanel.text3"),
globalManager.yuyanbaoManager:getYuyanbao("ShopPanel.text4")},
self._setTabIndex,self)
self._tabGroup:setPosition(cc.p(286,604))
self._tabGroup:setTabEnable(2,false)
self:addChild(self._tabGroup)
self:updateMoney()
self:initEvent()
end
function ShopPanel:initEvent()
local function rechargeTouchHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(globalData.isPay ~= 1) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel13"))
return
end
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.payTab,globalData.allStaticTypes.panelTabType.pay)
end
end
local function closeTouchHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self:dispose()
end
end
local infoClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
globalManager.tipsManager:showString(globalManager.descriptManager:getDescript("10061"))
end
end
self._rechargeBtn:addTouchEventListener(rechargeTouchHandler)
self._closeBtn:addTouchEventListener(closeTouchHandler)
self._info_btn:addTouchEventListener(infoClickHandler)
--global
globalData.selfPlayerInfo.moneyInfo:addEventListener(globalData.globalEventType.playerInfo_money,self.moneyUpdateHandler,self)
globalData.selfPlayerInfo:addEventListener(globalData.globalEventType.playerInfo_honour, self.moneyUpdateHandler, self)
globalData.leagueInfo:addEventListener(globalData.globalEventType.league_myInfo, self.moneyUpdateHandler, self)
globalData.discountGoodsList:addEventListener(globalData.globalEventType.shop_discount, self.discountUpdateHandler, self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_closeOtherPanel,self.dispose,self)
end
function ShopPanel:removeEvent()
globalData.selfPlayerInfo.moneyInfo:removeEventListener(globalData.globalEventType.playerInfo_money,self.moneyUpdateHandler,self)
globalData.selfPlayerInfo:removeEventListener(globalData.globalEventType.playerInfo_honour, self.moneyUpdateHandler, self)
globalData.leagueInfo:removeEventListener(globalData.globalEventType.league_myInfo, self.moneyUpdateHandler, self)
globalData.discountGoodsList:removeEventListener(globalData.globalEventType.shop_discount, self.discountUpdateHandler, self)
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.scene_closeOtherPanel,self.dispose,self)
end
function ShopPanel:moneyUpdateHandler(evt)
self:updateMoney()
end
function ShopPanel:discountUpdateHandler(evt)
self:updateView()
end
function ShopPanel:hide()
end
function ShopPanel:updateMoney()
self._moneyLabels[1]:setText(globalData.selfPlayerInfo.moneyInfo.gold)
-- if(globalData.selfPlayerInfo.moneyInfo.copper > 9999) then
-- 	self._moneyLabels[2]:setText(tostring(math.floor(globalData.selfPlayerInfo.moneyInfo.copper * 0.001)*0.1)..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel44"))
-- else
-- 	self._moneyLabels[2]:setText(tostring(globalData.selfPlayerInfo.moneyInfo.copper))
-- end
--self._moneyLabels[2]:setText(globalData.selfPlayerInfo.moneyInfo.bindGold)
self._moneyLabels[2]:setText(globalData.selfPlayerInfo.honour)
self._moneyLabels[3]:setText(globalData.leagueInfo.myGongxian)
end
function ShopPanel:setIndex(index)
self._tabGroup:setIndex(index)
end
function ShopPanel:_setTabIndex(index)
if(self._currentIndex == index)then
return
end
self._currentIndex = index
globalManager.tickManager:removeTick(self.addItemTick,self)
self.count = 0
self._listView:removeAllItems()
self:updateMoney()
local desContent = ""
if(self._currentIndex == 1)then
globalData.messageAdder:sendShopDiscount(1)
--		self:updateView()
elseif(self._currentIndex == 2)then
globalData.messageAdder:sendShopDiscount(2)
--		self:updateView()
elseif(self._currentIndex == 3)then
globalData.messageAdder:sendShopDiscount(3)
elseif(self._currentIndex == 4)then
globalData.messageAdder:sendShopDiscount(5)
end
end
function ShopPanel:updateView()
if(self._currentIndex == 1)then
self.list = globalData.discountGoodsList:getListByType(1)
--		self.list = self.shopListTemplate.shopList[1]
elseif(self._currentIndex == 2)then
self.list = globalData.discountGoodsList:getListByType(2)
--		self.list = self.shopListTemplate.shopList[2]
elseif(self._currentIndex == 3)then
self.list = globalData.discountGoodsList:getListByType(3)
elseif(self._currentIndex == 4)then
self.list = globalData.discountGoodsList:getListByType(5)
end
if(self.list ~= nil)then
globalManager.tickManager:addTick(self.addItemTick,self)
self._listView:refreshView()
self._listView:jumpToTop()
end
end
function ShopPanel:addItemTick(delta,count)
--for i=1,#self.list do
self.count = self.count + 1
if(self.count <= #self.list or self.count <= 4)then
local i = self.count
local item = nil
--		if(self._currentIndex == 1 or self._currentIndex == 2)then
--			local needCarrer = self.list[i]:getGoodsTemplate().needCareer
--			if ((needCarrer == 0) or (needCarrer == globalData.allStaticTypes.careerType:getCareer(globalData.selfPlayerInfo.career))) then
--				item = self._shopItemCache[i]
--				if(item == nil)then
--					item = ShopSaleItemView:new(self._controller)
--					self._shopItemCache[i] = item
--				end
--				item:setShopTemplate(self.list[i])
--			end
--		else
--			--过滤掉不符合条件的
--			local needCarrer = self.list[i].shopGoodsTemplate:getGoodsTemplate().needCareer
--			if((self.list[i].needLevel <= globalData.selfPlayerInfo.level) and ((needCarrer == 0) or (needCarrer == globalData.allStaticTypes.careerType:getCareer(globalData.selfPlayerInfo.career))))then
--				item = self._discountItemCache[i]
--				if(item == nil)then
--					item = ShopDiscountItemView:new(self._controller)
--					self._discountItemCache[i] = item
--				end
--				item:setDiscountInfo(self.list[i])
--			end
--		end
if(i <= #self.list)then
local needCarrer = self.list[i].shopGoodsTemplate:getGoodsTemplate().needCareer
if((self.list[i].needLevel <= globalData.selfPlayerInfo.level) and ((needCarrer == 0) or (needCarrer == globalData.allStaticTypes.careerType:getCareer(globalData.selfPlayerInfo.career))))then
item = self._discountItemCache[i]
if(item == nil)then
item = ShopDiscountItemView:new(self._controller)
self._discountItemCache[i] = item
end
item:setDiscountInfo(self.list[i])
end
else
item = self._discountItemCache[i]
if(item == nil)then
item = ShopDiscountItemView:new(self._controller)
self._discountItemCache[i] = item
end
item:setDiscountInfo(nil)
end
if(item ~= nil)then
self._listView:pushBackCustomItem(item)
end
else
self.count = 0
globalManager.tickManager:removeTick(self.addItemTick,self)
end
end
function ShopPanel:dispose()
globalManager.tickManager:removeTick(self.addItemTick,self)
globalManager.sourceCacheManager:removeQuote(self._bgPath)
self._bgPath = nil
self.list    = nil
self:removeEvent()
self._controller = nil
globalManager.ccCreator:release(self._background)
self._background = nil
globalManager.ccCreator:release(self._widget)
self._widget = nil
self._listView = nil
self._moneyLabel = nil
self._rechargeBtn = nil
self._closeBtn = nil
self._info_btn  = nil
self._moneyLabels = nil
if(self.tipView ~= nil) then
self.tipView:dispose()
self.tipView = nil
end
if(self._scrollBarWrapper ~= nil)then
self._scrollBarWrapper:dispose()
self._scrollBarWrapper = nil
end
if(self._tabGroup ~= nil)then
self._tabGroup:dispose()
self._tabGroup = nil
end
self._background2 = nil
for __,item in pairs(self._shopItemCache) do
item:dispose()
end
self._shopItemCache = nil
for __,item in pairs(self._discountItemCache) do
item:dispose()
end
self._discountItemCache = nil
self.shopListTemplate = nil
self.eventDis:dispatchEvent(BaseEvent:new(globalData.globalEventType.trigger_panelDispose,self.eventDis,nil))
self.eventDis:dispose()
self.eventDis = nil
globalManager.ccCreator:release(self)
end
--
-- Date: 2014-07-02 16:30:22
--
ShopSaleItemView = class("ShopSaleItemView", function(self)
local temp = globalManager.ccCreator:newJsonWidget("ShopSaleItemView")
temp._shopTemplate = nil
temp._infoPanel = temp:getChildByName("infoPanel")
temp._buyBtn = temp._infoPanel:getChildByName("buyBtn")
temp._nameLabel = temp._infoPanel:getChildByName("nameLabel")
temp._limitLabel = temp._infoPanel:getChildByName("limitCountLabel")
temp._limitLabel:setVisible(false)
temp._priceLabel = temp._infoPanel:getChildByName("priceLabel")
temp._conditionLabel = temp._infoPanel:getChildByName("conditionLabel")
temp._moneyIcon = temp._infoPanel:getChildByName("moneyIcon")
temp._typeIcon = temp._infoPanel:getChildByName("typeIcon")
temp._nothingLabel = temp:getChildByName("nothingLabel")
temp._grid = BaseGrid:new()
temp._grid:setPosition(cc.p(18,90))
temp:addChild(temp._grid,3)
temp._desLabel = nil
temp._infoPanel:getChildByName("priceLabel0"):setText(globalManager.yuyanbaoManager:getYuyanbao("ShopSaleItemView.text2"))
temp._limitLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("ShopSaleItemView.text3").."99")
temp._buyBtn:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel10"))
return temp
end)
function ShopSaleItemView:ctor()
self:initEvent()
end
function ShopSaleItemView:initEvent()
local function touchHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self:buyHandler()
end
end
self._buyBtn:addTouchEventListener(touchHandler)
end
function ShopSaleItemView:removeEvent()
end
function ShopSaleItemView:buyHandler()
local function numCallBack(shopGoodsTemplate,count)
if(count <= 0)then
return globalManager.yuyanbaoManager:getYuyanbao("QuickBuyPanel.text1")
end
return globalManager.goodsInfoTester:goodsBuy(shopGoodsTemplate, count, false)
end
globalManager.containerManager:getNumberPanel():showShopGoodsTemplate(self._shopTemplate,numCallBack,false,999,1)
end
function ShopSaleItemView:setShopTemplate(shopTemplate)
if(shopTemplate ~= nil)then
self._infoPanel:setVisible(true)
self._nothingLabel:setText("")
self._shopTemplate = shopTemplate
self._nameLabel:setColor(globalData.allStaticTypes.colorType:getColorByQuality(shopTemplate:getGoodsTemplate():getQuality()))
self._nameLabel:setText(shopTemplate:getGoodsTemplate().name)
self._priceLabel:setText(shopTemplate.price)
if(shopTemplate.tagType > 0)then
self._typeIcon:setVisible(true)
if(shopTemplate.tagType == 1)then
self._typeIcon:loadTexture("ui_newFlag.png",1)
elseif(shopTemplate.tagType == 2)then
self._typeIcon:loadTexture("ui_hotFlag.png",1)
elseif(shopTemplate.tagType == 3)then
self._typeIcon:loadTexture("ui_robFlag.png",1)
end
else
self._typeIcon:setVisible(false)
end
self._moneyIcon:loadTexture(globalManager.commonUtils:getMoneyFrameName(shopTemplate.payType),1)
if(shopTemplate.payType == globalData.allStaticTypes.payType.HONOUR or shopTemplate.payType == globalData.allStaticTypes.payType.GONGXIAN) then
self._moneyIcon:setScale(0.5)
else
self._moneyIcon:setScale(0.7)
end
self._grid:setGoodsTempInfo(shopTemplate:getGoodsTemplate())
if(self._desLabel ~= nil)then
self._desLabel:dispose()
self._desLabel = nil
end
self._desLabel = globalManager.ccCreator:newRichLabel2(nil,352,globalData.allStaticTypes.colorType.COLORORANGE)
self._desLabel:setPositionX(258)
self:addChild(self._desLabel,9)
self._desLabel:setText(shopTemplate.descript)
self._desLabel:setPositionY(74)
else
self._infoPanel:setVisible(false)
self._nothingLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("ShopSaleItemView.text4"))
self._shopTemplate = nil
self._grid:setGoodsTempInfo(nil)
if(self._desLabel ~= nil)then
self._desLabel:dispose()
self._desLabel = nil
end
end
end
function ShopSaleItemView:dispose()
self:removeEvent()
self._shopTemplate = nil
self._buyBtn = nil
self._nameLabel = nil
self._limitLabel = nil
self._priceLabel = nil
self._conditionLabel = nil
self._moneyIcon = nil
self._typeIcon = nil
if(self._grid ~= nil)then
self._grid:dispose()
self._grid = nil
end
if(self._desLabel ~= nil)then
self._desLabel:dispose()
self._desLabel = nil
end
globalManager.ccCreator:release(self)
end
ShopController = class("ShopController", function(self,_module)
local temp = {}
temp.module = _module
temp.eventDis = EventDispatcher:new()
return temp
end)
--商城界面
function  ShopController:showShopPanel(index)
globalData.uiPanelContainer:close()
if(index == 9)then
if(self.module.shopPanel == nil)then
self.module.shopPanel = MysticalShopPanel:new(self,1)
end
elseif(index == 10)then
self.module.shopPanel = MysticalShopPanel:new(self,2)
--self.module.shopPanel:setTouch()
else
if(self.module.shopPanel == nil)then
self.module.shopPanel = ShopPanel:new(self)
self.module.shopPanel.eventDis:addEventListener(globalData.globalEventType.trigger_panelDispose,self.hideShopPanel,self)
end
self.module.shopPanel:setIndex(index)
end
if(self.module.shopPanel:getParent() == nil)then
globalManager.containerManager.panelContainer:addChild(self.module.shopPanel)
self.module.shopPanel:setPositionX((globalData.GAME_WIDTH - 960) / 2)
self.module.shopPanel:setPositionY((globalData.GAME_HEIGHT - 640) / 2)
end
end
function ShopController:hideShopPanel(evt)
self.module.shopPanel.eventDis:removeEventListener(globalData.globalEventType.trigger_panelDispose,self.hideShopPanel,self)
self.module.shopPanel = nil
end
function ShopController:hideShenMiShopPanel(evt)
if(self.module.shopPanel ~= nil)then
self.module.shopPanel:dispose()
self.module.shopPanel = nil
end
end
ShopModule = class("ShopModule",function(self)
local temp = BaseModule:new()
temp.shopController = nil
--components
temp.shopPanel = nil
temp.shopNpcPanel = nil
temp.shopExchangePanel = nil
temp.shopDressBuyPanel = nil
--events
temp.shopGridTouch = 101
return temp
end)
--override
function ShopModule:getModuleType()
return globalData.allStaticTypes.moduleType.shop
end
--override
function ShopModule:setup(data)
self.shopController = ShopController:new(self)
self:configure(data)
end
--override
function ShopModule:configure(data)
self.shopController:showShopPanel(data)
end
SkillItemView = class("SkillItemView",function(self,panel,posX,posY)
local temp = globalManager.ccCreator:newJsonWidget("SkillItemView")
temp.pic = temp:getChildByName("skill_icon")
temp.upIcon = temp:getChildByName("up_icon")
temp.levelLabel = temp:getChildByName("level_label")
temp.nameLabel = temp:getChildByName("name_label")
temp.typeLabel = temp:getChildByName("type_label")
temp.selectIcon = temp:getChildByName("select_icon")
temp.selectIcon:setVisible(false)
temp.skillInfo = nil
temp.skillTemplateInfo = nil
temp._isCanUpgrade = nil
temp._isGray = false
return temp
end)
function SkillItemView:setSkillTemplate(info)
self.skillTemplateInfo = info
self.nameLabel:setText(info.name)
self.typeLabel:setText(self.skillTemplateInfo:getDes2())
globalManager.sourceCacheManager:setImage(self.pic,globalManager.pathManager:getDisplayItemPath(info.iconPath,globalData.allStaticTypes.goodsIconPathType.SKILL_ICON),globalData.allStaticTypes.sourceStaticType.neverClear)
self:updateInfo()
end
function SkillItemView:updateInfo()
self.skillInfo = globalData.skillList:getSkillByGroupId(self.skillTemplateInfo.templateId)
self._isCanUpgrade = nil
if(self.skillInfo == nil) then
self.levelLabel:setText(nil)
self:setGray(true)
else
self:setGray(false)
if(self.skillTemplateInfo.isDefault) then
self.upIcon:setEnabled(false)
self.levelLabel:setText(nil)
else
self.levelLabel:setText("Lv."..self.skillInfo.level)
if(self.skillInfo:isMaxLevel()) then
self.upIcon:setEnabled(false)
return
end
end
end
if(self:canUpgrade()) then
self.upIcon:setEnabled(true)
else
self.upIcon:setEnabled(false)
end
end
function SkillItemView:setGray(value)
if(self._isGray == value) then return end
self._isGray = value
if(value) then
globalManager.commonUtils:setImgColorGrey(self.pic)
else
globalManager.commonUtils:setImgColorNormal(self.pic)
end
end
function SkillItemView:hideUpIcon()
self.upIcon:setEnabled(false)
end
function SkillItemView:canUpgrade(isShowTip)
if(self._isCanUpgrade == nil) then self._isCanUpgrade = globalManager.skillUtils:checkCanUpgrade(self.skillTemplateInfo,isShowTip) end
return self._isCanUpgrade
end
function SkillItemView:setSelect(value)
self.selectIcon:setVisible(value)
end
function SkillItemView:dispose()
self.pic = nil
self.upIcon = nil
self.levelLabel = nil
self.nameLabel = nil
self.typeLabel = nil
self.selectIcon = nil
self.skillInfo = nil
self.skillTemplateInfo = nil
self._isCanUpgrade = nil
globalManager.ccCreator:release(self)
end
SkillPanel = class("SkillPanel",function(self,controller)
local temp = BasePanel:new()
temp.BasePanelDispose = temp.dispose
temp._controller = controller
temp._widget = globalManager.ccCreator:newJsonWidget("SkillPanel")
temp:addChild(temp._widget)
temp.item_panel = temp._widget:getChildByName("item_panel")
temp.gridList = {}
local skillList = globalData.allTemplates.skillTemplateList:getCareerSkill(globalData.allStaticTypes.careerType:getCareer(globalData.selfPlayerInfo.career))
for i,skill in pairs(skillList) do
local grid = SkillItemView:new()
grid:setSkillTemplate(skill)
grid:setPosition(globalManager.ccCreator:newPoint(0,540-103*i))
temp.item_panel:addChild(grid)
table.insert(temp.gridList,grid)
end
temp._currentGrid = nil
temp.name_label = temp._widget:getChildByName("name_label")
temp.cd_label = temp._widget:getChildByName("cd_label")
temp.type_label = temp._widget:getChildByName("type_label")
temp.effect_label = temp._widget:getChildByName("effect_label")
temp.nextEffect_label = temp._widget:getChildByName("nextEffect_label")
temp.level_label = temp._widget:getChildByName("level_label")
temp._isCanUpdate = false
temp.numCount = 0
temp._isGray = false
temp._widget:getChildByName("limitCountLabel_Copy3"):setText(globalManager.yuyanbaoManager:getYuyanbao("SkillPanel.text5"))
temp._widget:getChildByName("limitCountLabel_Copy1"):setText(globalManager.yuyanbaoManager:getYuyanbao("SkillPanel.text6"))
temp._widget:getChildByName("limitCountLabel_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("SkillPanel.text7"))
temp._widget:getChildByName("limitCountLabel_Copy5"):setText(globalManager.yuyanbaoManager:getYuyanbao("SkillPanel.text8"))
temp._widget:getChildByName("limitCountLabel_Copy2"):setText(globalManager.yuyanbaoManager:getYuyanbao("SkillPanel.text13"))
return temp
end)
function SkillPanel:ctor()
self:initEvent()
self:selectASkill()
end
function SkillPanel:initEvent()
local girdClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self:selectSkill(sender)
end
end
-- local updateClickHandler = function(sender,eventType)
--    	if(eventType == TOUCH_EVENT_ENDED) then
--            globalManager.soundManager:playSound(globalManager.soundManager.BTN)
--            if(self._currentGrid:canUpgrade(true)) then
--                globalData.messageAdder:sendSkillLearn(self._currentGrid.skillTemplateInfo.templateId)
--            else
--                globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("SkillPanel.text1"))
--            end
--    	end
-- end
for __,grid in pairs(self.gridList) do
grid:addTouchEventListener(girdClickHandler)
end
globalData.skillList:addEventListener(globalData.globalEventType.playerInfo_addSkill,self.updateSkill,self)
globalData.skillList:addEventListener(globalData.globalEventType.playerInfo_askillUpdate,self.updateASkill,self)
end
function SkillPanel:removeEvent()
globalData.skillList:removeEventListener(globalData.globalEventType.playerInfo_addSkill,self.updateSkill,self)
globalData.skillList:removeEventListener(globalData.globalEventType.playerInfo_askillUpdate,self.updateASkill,self)
end
function SkillPanel:selectSkill(grid)
if(self._currentGrid == grid) then return end
if(self._currentGrid ~= nil) then
self._currentGrid:setSelect(false)
end
self._currentGrid = grid
self._currentGrid:setSelect(true)
local info = self._currentGrid.skillTemplateInfo
local level,tempLv
if(self._currentGrid.skillInfo ~= nil) then
level = self._currentGrid.skillInfo.level
tempLv = level
else
level = 0
tempLv = 1
end
self.name_label:setText(info.name.."  Lv."..level)
self.type_label:setText(info:getDes())
self.cd_label:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("SkillPanel.text2"),info.coldDownTime[tempLv]*0.001))
self.effect_label:setText(info.descriptText[tempLv])
if(info.descriptText[tempLv + 1] ~= nil)then
self.nextEffect_label:setText(info.descriptText[tempLv + 1])
else
self.nextEffect_label:setText(globalManager.yuyanbaoManager:getYuyanbao("SkillPanel.text3"))
end
if(self._currentGrid.skillInfo ~= nil and self._currentGrid.skillInfo:isMaxLevel()) then
self.level_label:setText(globalManager.yuyanbaoManager:getYuyanbao("SkillPanel.text4"))
self.level_label:setColor(globalData.allStaticTypes.colorType.FALSE_COLOR)
else
level = level + 1
local needLevel = info.upgradeNeedLevel[level]
if(needLevel > globalData.selfPlayerInfo.level) then
self.level_label:setColor(globalData.allStaticTypes.colorType.FALSE_COLOR)
else
self.level_label:setColor(globalData.allStaticTypes.colorType.TIPACT_COLOR)
end
self.level_label:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("SkillPanel.text14"),needLevel,level))
end
end
function SkillPanel:selectASkill()
for i,grid in pairs(self.gridList) do
if(grid:canUpgrade()) then
self:selectSkill(grid)
return
end
end
self:selectSkill(self.gridList[1])
end
function SkillPanel:updateSkill(evt)
for i,grid in pairs(self.gridList) do
grid:updateInfo()
end
end
function SkillPanel:updateASkill(evt)
for i,grid in pairs(self.gridList) do
if(grid.skillTemplateInfo.templateId == evt.data:getTemplate().templateId) then
grid:updateInfo()
if(self._currentGrid == grid) then
self._currentGrid = nil
self:selectSkill(grid)
end
end
end
end
function SkillPanel:getGridById(id)
for i,grid in pairs(self.gridList) do
if(grid.skillTemplateInfo.templateId == id) then
return grid
end
end
return nil
end
function SkillPanel:dispose()
self:removeEvent()
self._controller = nil
globalManager.ccCreator:release(self._widget)
self._widget = nil
for i,grid in pairs(self.gridList) do
grid:dispose()
grid = nil
end
self.item_panel = nil
self._currentGrid = nil
self.gridList = nil
self.name_label = nil
self.cd_label = nil
self.type_label = nil
self.effect_label = nil
self.nextEffect_label = nil
self.level_label = nil
self:BasePanelDispose()
self.BasePanelDispose = nil
end
AwakenSkillPanel = class("AwakenSkillPanel",function(self,controller)
local temp = BasePanel:new()
temp.BasePanelDispose = temp.dispose
temp._controller = controller
temp._widget = globalManager.ccCreator:newJsonWidget("SkillPanel2")
temp:addChild(temp._widget)
temp.item_panel = temp._widget:getChildByName("item_panel")
temp.gridList = {}
temp.skillInfoList = globalData.allTemplates.skillTemplateList:getCareerSkill(globalData.allStaticTypes.careerType:getCareer(globalData.selfPlayerInfo.career))
for i = 1,4,1 do
local grid = SkillItemView:new()
grid:setScale(0.8)
grid:setPosition(globalManager.ccCreator:newPoint(math.floor((i - 1) % 2) * 270,345 - 90 * math.floor((i-1) / 2)))
temp.item_panel:addChild(grid)
table.insert(temp.gridList,grid)
end
temp._currentGrid = nil
temp.chooseBtn = temp._widget:getChildByName("chooseBtn")
temp.chooseBtnLabel = temp.chooseBtn:getChildByName("btnLabel")
temp.careerSkillBtn = temp._widget:getChildByName("careerSkillBtn")
temp.commonSkillBtn = temp._widget:getChildByName("commonSkillBtn")
temp.planBtnList = {}
for i = 1,3,1 do
local planBtn = temp._widget:getChildByName("planBtn"..i)
table.insert(temp.planBtnList,planBtn)
end
-- temp.plan1Btn = temp._widget:getChildByName("planBtn1")
-- temp.plan2Btn = temp._widget:getChildByName("planBtn2")
-- temp.plan3Btn = temp._widget:getChildByName("planBtn3")
temp.skillBtnList = {}
temp.skillBtnIconList = {}
for i = 1,5,1 do
local skillBtn = temp._widget:getChildByName("skillBtnList"):getChildByName("skillBtn"..i)
table.insert(temp.skillBtnList,skillBtn)
local skillIcon = temp._widget:getChildByName("skillBtnList"):getChildByName("skillIcon"..i)
table.insert(temp.skillBtnIconList,skillIcon)
end
temp.name_label = temp._widget:getChildByName("name_label")
temp.cd_label = temp._widget:getChildByName("cd_label")
temp.type_label = temp._widget:getChildByName("type_label")
temp.effect_label = temp._widget:getChildByName("effect_label")
temp.nextEffect_label = temp._widget:getChildByName("nextEffect_label")
temp.level_label = temp._widget:getChildByName("level_label")
temp._updateBtn = temp._widget:getChildByName("promte_btn")
temp._countLabel = temp._widget:getChildByName("count_label")
temp._cellBg = temp._widget:getChildByName("goodsItem")
temp._itemGrid = BaseGrid:new()
temp._itemGrid:setPosition(-38,34)
temp._cellBg:addChild(temp._itemGrid)
temp._isCanUpdate = false
temp.numCount = 0
temp._isGray = false
temp._pageList = {}
temp.currentPage = 0
temp.totalPage = math.floor((#temp.skillInfoList - 1) / 4 + 1)
temp.skillChoosePanel = nil
temp.planType = 1
temp._attackPath = "30000"..globalData.allStaticTypes.careerType:getCareer(globalData.selfPlayerInfo.career)
temp._iconPath = globalManager.pathManager:getDisplayItemPath(temp._attackPath,globalData.allStaticTypes.goodsIconPathType.SKILL_ICON)
temp._widget:getChildByName("explainLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("AwakenSkillPanel.text1"))
temp.careerSkillBtn:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("AwakenSkillPanel.text2"))
temp.commonSkillBtn:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("AwakenSkillPanel.text3"))
for i = 1,3,1 do
temp.planBtnList[i]:getChildByName("btnLabel1"):setText(globalManager.yuyanbaoManager:getYuyanbao("AwakenSkillPanel.text4"))
temp.planBtnList[i]:getChildByName("btnLabel2"):setText(globalManager.yuyanbaoManager:getYuyanbao("AwakenSkillPanel.text5"))
end
temp.planBtnList[1]:getChildByName("btnLabel3"):setText(globalManager.yuyanbaoManager:getYuyanbao("AwakenSkillPanel.text6"))
temp.planBtnList[2]:getChildByName("btnLabel3"):setText(globalManager.yuyanbaoManager:getYuyanbao("AwakenSkillPanel.text7"))
temp.planBtnList[3]:getChildByName("btnLabel3"):setText(globalManager.yuyanbaoManager:getYuyanbao("AwakenSkillPanel.text8"))
temp._widget:getChildByName("limitCountLabel_Copy3"):setText(globalManager.yuyanbaoManager:getYuyanbao("SkillPanel.text5"))
temp._widget:getChildByName("limitCountLabel_Copy1"):setText(globalManager.yuyanbaoManager:getYuyanbao("SkillPanel.text6"))
temp._widget:getChildByName("limitCountLabel_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("SkillPanel.text7"))
temp._widget:getChildByName("limitCountLabel_Copy5"):setText(globalManager.yuyanbaoManager:getYuyanbao("SkillPanel.text8"))
temp._widget:getChildByName("limitCountLabel_Copy2"):setText(globalManager.yuyanbaoManager:getYuyanbao("LingMaiPanel.text9"))
temp._widget:getChildByName("limitCountLabel_Copy4"):setText(globalManager.yuyanbaoManager:getYuyanbao("SkillPanel.text11"))
temp._updateBtn:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("SkillPanel.text12"))
return temp
end)
function AwakenSkillPanel:ctor()
globalManager.sourceCacheManager:setImage(self.skillBtnIconList[1],self._iconPath,globalData.allStaticTypes.sourceStaticType.neverClear)
self:resetPageIcon()
self:setPage(1)
self:initEvent()
self:selectASkill()
-- self:goodsUpdate()
self:updateSkillIcon()
self:updateChooseBtn()
self.careerSkillBtn:loadTextureNormal("btn/ui_tabBtn1_2.png",1)
self.commonSkillBtn:loadTextureNormal("btn/ui_tabBtn1_1.png",1)
end
function AwakenSkillPanel:initEvent()
local girdClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED or eventType == TOUCH_EVENT_CANCELED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(eventType == TOUCH_EVENT_ENDED or eventType == TOUCH_EVENT_CANCELED) then
local offsetX = sender:getTouchEndPos().x - sender:getTouchStartPos().x
if(offsetX > 50) then
if(self.currentPage > 1)then
self:setPage(self.currentPage - 1)
self:selectASkill()
end
elseif(offsetX < -50) then
if(self.currentPage < self.totalPage)then
self:setPage(self.currentPage + 1)
self:selectASkill()
end
else
self:selectSkill(sender)
end
end
end
end
local updateClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(self._currentGrid:canUpgrade(true)) then
globalData.messageAdder:sendSkillLearn(self._currentGrid.skillTemplateInfo.templateId)
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("SkillPanel.text1"))
end
end
end
local updateItemViewTouchHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED or eventType == TOUCH_EVENT_CANCELED) then
local offsetX = sender:getTouchEndPos().x - sender:getTouchStartPos().x
if(offsetX > 50) then
if(self.currentPage > 1)then
self:setPage(self.currentPage - 1)
self:selectASkill()
end
elseif(offsetX < -50) then
if(self.currentPage < self.totalPage)then
self:setPage(self.currentPage + 1)
self:selectASkill()
end
end
end
end
local skillBtnClickHandler = function (sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(sender == self.careerSkillBtn)then
self.skillInfoList = globalData.allTemplates.skillTemplateList:getCareerSkill(globalData.allStaticTypes.careerType:getCareer(globalData.selfPlayerInfo.career))
self.currentPage = 0
self.totalPage = math.floor((#self.skillInfoList - 1) / 4 + 1)
self:resetPageIcon()
self:setPage(1,true)
self:selectASkill()
self.careerSkillBtn:loadTextureNormal("btn/ui_tabBtn1_2.png",1)
self.commonSkillBtn:loadTextureNormal("btn/ui_tabBtn1_1.png",1)
else
self.skillInfoList = globalData.allTemplates.skillTemplateList:getCommontSkill()
self.currentPage = 0
self.totalPage = math.floor((#self.skillInfoList - 1) / 4 + 1)
self:resetPageIcon()
self:setPage(1,true)
self:selectASkill()
self.careerSkillBtn:loadTextureNormal("btn/ui_tabBtn1_1.png",1)
self.commonSkillBtn:loadTextureNormal("btn/ui_tabBtn1_2.png",1)
end
end
end
local skillChooseHandler = function (sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
local pos = globalManager.commonUtils:getIndexOfTable(self.skillBtnList,sender)
if(self.planType == globalData.skillList.skillChoice)then
if(self:isSkillInCD())then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("AwakenSkillPanel.text9"))
return
end
end
if(self.skillChoosePanel == nil) then
self.skillChoosePanel = SkillChoosePanel:new(self._controller,self,self.planType,pos)
end
end
end
local planBtnClick = function (sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
for i = 1,3,1 do
if(sender == self.planBtnList[i])then
self.planBtnList[self.planType]:loadTextureNormal("btn/ui_tabBtn3_1.png",1)
self.planBtnList[i]:loadTextureNormal("btn/ui_tabBtn3_2.png",1)
self.planType = i
self:skillPlanInit()
self:updateSkillIcon()
self:updateChooseBtn()
end
end
end
end
local chooseBtnClickHandler = function (sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(self:isSkillInCD())then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("AwakenSkillPanel.text9"))
return
end
local oldPlanChoice = globalData.skillList.skillChoice
globalData.skillList:setSkillPlanChoice(self.planType)
self:updateChooseBtn()
globalData.messageAdder:sendChooseSkillPlan(oldPlanChoice,self.planType)
--globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.changeSkill,globalManager.gameDispatcher,self.planType))
end
end
for i=2,5,1 do
self.skillBtnList[i]:addTouchEventListener(skillChooseHandler)
end
for __,grid in pairs(self.gridList) do
grid:addTouchEventListener(girdClickHandler)
end
for i = 1,3,1 do
self.planBtnList[i]:addTouchEventListener(planBtnClick)
end
-- self.plan1Btn:addTouchEventListener(planBtnClick)
-- self.plan2Btn:addTouchEventListener(planBtnClick)
-- self.plan3Btn:addTouchEventListener(planBtnClick)
self.chooseBtn:addTouchEventListener(chooseBtnClickHandler)
self.careerSkillBtn:addTouchEventListener(skillBtnClickHandler)
self.commonSkillBtn:addTouchEventListener(skillBtnClickHandler)
self.item_panel:addTouchEventListener(updateItemViewTouchHandler)
self._updateBtn:addTouchEventListener(updateClickHandler)
globalData.skillList:addEventListener(globalData.globalEventType.playerInfo_addSkill,self.updateSkill,self)
globalData.skillList:addEventListener(globalData.globalEventType.playerInfo_askillUpdate,self.updateASkill,self)
globalData.goodsInfoList:addEventListener(globalData.globalEventType.playerInfo_itemUpdate,self.goodsUpdate,self)
end
function AwakenSkillPanel:removeEvent()
globalData.skillList:removeEventListener(globalData.globalEventType.playerInfo_addSkill,self.updateSkill,self)
globalData.skillList:removeEventListener(globalData.globalEventType.playerInfo_askillUpdate,self.updateASkill,self)
globalData.goodsInfoList:removeEventListener(globalData.globalEventType.playerInfo_itemUpdate,self.goodsUpdate,self)
end
function AwakenSkillPanel:updateChooseBtn()
local skillPlanChoice = globalData.skillList.skillChoice
if(skillPlanChoice == self.planType)then
self.chooseBtn:loadTextureNormal("btn/ui_tabBtn1_5.png",1)
self.chooseBtn:setTouchEnabled(false)
self.chooseBtnLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("AwakenSkillPanel.text10"))
else
self.chooseBtn:loadTextureNormal("btn/ui_tabBtn1_3.png",1)
self.chooseBtn:setTouchEnabled(true)
self.chooseBtnLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel56"))
end
end
function AwakenSkillPanel:updateSkillIcon()
local skillPlanList = globalData.skillList:getSkillByPlanType(self.planType)
for i = 2,5,1 do
if(skillPlanList ~= nil and skillPlanList[i] ~= nil)then
local iconPath = globalData.allTemplates.skillTemplateList:getSkillTemplate(skillPlanList[i]).iconPath
globalManager.sourceCacheManager:setImage(self.skillBtnIconList[i],globalManager.pathManager:getDisplayItemPath(iconPath,globalData.allStaticTypes.goodsIconPathType.SKILL_ICON),globalData.allStaticTypes.sourceStaticType.neverClear)
else
self.skillBtnIconList[i]:loadTexture("cell/ui_cell3.png",1)
end
end
end
function AwakenSkillPanel:selectSkill(grid)
--if(self._currentGrid == grid) then return end
if(self._currentGrid ~= nil) then
self._currentGrid:setSelect(false)
end
self._currentGrid = grid
self._currentGrid:setSelect(true)
local info = self._currentGrid.skillTemplateInfo
local level,tempLv
if(self._currentGrid.skillInfo ~= nil) then
level = self._currentGrid.skillInfo.level
tempLv = level
else
level = 0
tempLv = 1
end
self:setItemGrid()
self.name_label:setText(info.name.."  Lv."..level)
self.type_label:setText(info:getDes())
self.cd_label:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("SkillPanel.text2"),info.coldDownTime[tempLv]*0.001))
self.effect_label:setText(info.descriptText[tempLv])
if(info.descriptText[tempLv + 1] ~= nil)then
self.nextEffect_label:setText(info.descriptText[tempLv + 1])
else
self.nextEffect_label:setText(globalManager.yuyanbaoManager:getYuyanbao("SkillPanel.text3"))
end
if(self._currentGrid.skillInfo ~= nil and self._currentGrid.skillInfo:isMaxLevel()) then
self.level_label:setText(globalManager.yuyanbaoManager:getYuyanbao("AwakenSkillPanel.text12"))
self.level_label:setColor(globalData.allStaticTypes.colorType.FALSE_COLOR)
self._countLabel:setText("")
if(not self._isGray) then
self._itemGrid:setGray(true)
self._updateBtn:loadTextureNormal("btn/ui_tabBtn1_5.png",1)
self._updateBtn:setTouchEnabled(false)
self._isGray = true
end
else
level = level + 1
local needLevel = info.upgradeNeedLevel[level]
if(needLevel > globalData.selfPlayerInfo.level) then
self.level_label:setColor(globalData.allStaticTypes.colorType.FALSE_COLOR)
else
self.level_label:setColor(globalData.allStaticTypes.colorType.TIPACT_COLOR)
end
self.level_label:setText(needLevel..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel48"))
local needCount = 0
if(self._currentGrid.skillTemplateInfo.upgradeNeedCon[1] == 1 and self._currentGrid.skillInfo == nil)then
needCount = self._currentGrid.skillTemplateInfo.wakeUpItem[1][2]
else
needCount = info.needItem[level]
end
if(needCount > self.numCount) then
self._countLabel:setColor(globalData.allStaticTypes.colorType.COLORRED)
else
self._countLabel:setColor(globalData.allStaticTypes.colorType.COLORWHITE)
end
self._countLabel:setText(tostring(self.numCount).."/"..needCount)
if(self._isGray) then
self._itemGrid:setGray(false)
self._updateBtn:loadTextureNormal("btn/ui_tabBtn1_3.png",1)
self._updateBtn:setTouchEnabled(true)
self._isGray = false
end
end
end
function AwakenSkillPanel:selectASkill()
for i,grid in pairs(self.gridList) do
if(grid:canUpgrade()) then
self:selectSkill(grid)
return
end
end
self:selectSkill(self.gridList[1])
end
function AwakenSkillPanel:setItemGrid()
local level = 0
if(self._currentGrid.skillInfo ~= nil) then
level = self._currentGrid.skillInfo.level
end
if(self._currentGrid.skillTemplateInfo.upgradeNeedCon[1] == 1)then
if(level == 0) then
if(self._currentGrid.skillTemplateInfo.wakeUpItem ~= nil)then
self._cellBg:setEnabled(true)
self._countLabel:setEnabled(true)
self._itemGrid:setGoodsTempInfo(globalData.allTemplates.goodsTemplateList:getTemplate(self._currentGrid.skillTemplateInfo.wakeUpItem[1][1]))
self.numCount = globalData.goodsInfoList:getGoodsCount(self._currentGrid.skillTemplateInfo.wakeUpItem[1][1],1)
else
self._cellBg:setEnabled(false)
self._countLabel:setEnabled(false)
end
else
self._itemGrid:setGoodsTempInfo(globalData.allTemplates.goodsTemplateList:getTemplate(self._currentGrid.skillTemplateInfo.needItemBooks[1]))
self.numCount = globalData.goodsInfoList:getGoodsCount(self._currentGrid.skillTemplateInfo.needItemBooks[1],1)
end
else
self._itemGrid:setGoodsTempInfo(globalData.allTemplates.goodsTemplateList:getTemplate(globalData.allStaticTypes.categoryType.SKILL_BOOK))
self.numCount = globalData.goodsInfoList:getGoodsCount(globalData.allStaticTypes.categoryType.SKILL_BOOK,1)
end
end
function AwakenSkillPanel:skillPlanInit()
local careerSkillList = globalData.allTemplates.skillTemplateList:getCareerSkill(globalData.allStaticTypes.careerType:getCareer(globalData.selfPlayerInfo.career))
local skillList = globalData.skillList:getSkillByPlanType(self.planType)
if(skillList[2] == 0)then
for i = 2,5,1 do
globalData.skillList:setSkillPlan(self.planType,i,careerSkillList[i].templateId)
globalData.messageAdder:sendChangeSkillPlan(1,careerSkillList[i].templateId,-1,i,self.planType)
end
end
end
function AwakenSkillPanel:isSkillInCD()
local planIndex = globalData.skillList.skillChoice
local skillList = globalData.skillList:getSkillByPlanType(planIndex)
for k,tempID in pairs(skillList) do
local skillInfo = globalData.skillList:getSkillByGroupId(tempID)
if skillInfo ~= nil and skillInfo:getLeftCoolingTime() > 0 then
return true
end
end
return false
end
function AwakenSkillPanel:setPage(page,type)
if(self.currentPage == page and type == nil ) then return end
if(self.currentPage ~= 0) then
self._pageList[self.currentPage]:loadTexture("btn/ui_radioBtn1_1.png", 1)
end
self.currentPage = page
if(self._pageList[self.currentPage] ~= nil) then
self._pageList[self.currentPage]:loadTexture("btn/ui_radioBtn1_2.png", 1)
end
local index = (page - 1) * 4
for i =1,4,1 do
if(self.skillInfoList[index + i] ~= nil)then
self.gridList[i]:setEnabled(true)
self.gridList[i]:setSkillTemplate(self.skillInfoList[index + i])
else
self.gridList[i]:setEnabled(false)
end
end
end
function AwakenSkillPanel:resetPageIcon()
if(#self._pageList ~= 0) then
self:clearPageIcon()
end
if(self.totalPage == nil) then self.totalPage = 0 end
if(self.totalPage == 0) then return end
for i = 1,self.totalPage,1 do
local pageIcon = globalManager.ccCreator:newImageView()
if(self.currentPage == i) then
pageIcon:loadTexture("btn/ui_radioBtn1_2.png", 1)
else
pageIcon:loadTexture("btn/ui_radioBtn1_1.png", 1)
end
pageIcon:setPosition(280 - (self.totalPage - 1)*20 + (i - 1)*40,230)
table.insert(self._pageList,pageIcon)
self.item_panel:addChild(pageIcon)
end
end
function AwakenSkillPanel:clearPageIcon()
for i,pageIcon in pairs(self._pageList) do
globalManager.ccCreator:release(pageIcon)
pageIcon = nil
end
self._pageList = {}
end
function AwakenSkillPanel:goodsUpdate()
self:setItemGrid()
self:updateSkill()
if(self._currentGrid == nil) then return end
local level = 0
if(self._currentGrid.skillInfo ~= nil) then
level = self._currentGrid.skillInfo.level
end
local info = self._currentGrid.skillTemplateInfo
level = level + 1
if(info.needItem[level] == nil) then
self._countLabel:setText("")
return
end
if(info.needItem[level] > self.numCount) then
self._countLabel:setColor(globalData.allStaticTypes.colorType.FALSE_COLOR)
else
self._countLabel:setColor(globalData.allStaticTypes.colorType.TIPACT_COLOR)
end
self._countLabel:setText(tostring(self.numCount).."/"..info.needItem[level])
end
function AwakenSkillPanel:updateSkill(evt)
for i,grid in pairs(self.gridList) do
grid:updateInfo()
end
end
function AwakenSkillPanel:updateASkill(evt)
for i,grid in pairs(self.gridList) do
if(grid.skillTemplateInfo.templateId == evt.data:getTemplate().templateId) then
grid:updateInfo()
if(self._currentGrid == grid) then
self._currentGrid = nil
self:selectSkill(grid)
end
end
end
end
function AwakenSkillPanel:getGridById(id)
for i,grid in pairs(self.gridList) do
if(grid.skillTemplateInfo.templateId == id) then
return grid
end
end
return nil
end
function AwakenSkillPanel:hideSkillChoosePanel()
if(self.skillChoosePanel ~= nil)then
self.skillChoosePanel:dispose()
self.skillChoosePanel = nil
end
end
function AwakenSkillPanel:dispose()
self:removeEvent()
self:hideSkillChoosePanel()
self._controller = nil
globalManager.ccCreator:release(self._widget)
self._widget = nil
for i,grid in pairs(self.gridList) do
grid:dispose()
grid = nil
end
if(self._itemGrid ~= nil) then
self._itemGrid:dispose()
self._itemGrid = nil
end
self.skillInfoList = nil
self.chooseBtn = nil
self.careerSkillBtn = nil
self.commonSkillBtn = nil
-- self.plan1Btn = nil
-- self.plan2Btn = nil
-- self.plan3Btn = nil
self.planBtnList = nil
for i,pageIcon in pairs(self._pageList) do
globalManager.ccCreator:release(pageIcon)
pageIcon = nil
end
self._pageList = nil
self.currentPage = nil
self.totalPage = nil
self._cellBg = nil
self._attackPath = nil
self._iconPath = nil
self.skillBtnList = nil
self.skillBtnIconList = nil
self.item_panel = nil
self._currentGrid = nil
self.gridList = nil
self.name_label = nil
self.cd_label = nil
self.type_label = nil
self.effect_label = nil
self.nextEffect_label = nil
self.level_label = nil
self._countLabel = nil
self._updateBtn = nil
self:BasePanelDispose()
self.BasePanelDispose = nil
end
SkillChoosePanel = class("SkillChoosePanel",function (self,controller,parent,planType,pos)
local temp = globalManager.ccCreator:newJsonWidget("SkillChoosePanel")
temp.scrollView = temp:getChildByName("ScrollView")
temp.closeBtn = temp:getChildByName("closeBtn")
temp._controller = controller
temp.parent = parent
temp.place = pos
temp.planType = planType
temp.gridList = {}
temp._skillList = {}
temp._currentGrid = nil
temp:getChildByName("label1"):setText(globalManager.yuyanbaoManager:getYuyanbao("SkillChoosePanel.text1"))
temp:getChildByName("titleLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("SkillChoosePanel.text2"))
return temp
end)
function SkillChoosePanel:ctor()
self:initView()
self:initEvent()
globalData.uiClickContainer:addItem(self,true,true)
end
function SkillChoosePanel:initEvent()
local girdClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self:selectSkill(sender)
globalData.skillList:setSkillPlan(self.planType,self.place,sender.skillTemplateInfo.templateId)
globalData.messageAdder:sendChangeSkillPlan(1,sender.skillTemplateInfo.templateId,-1,self.place,self.planType)
self.parent:updateSkillIcon()
self.parent:hideSkillChoosePanel()
if(self.planType == globalData.skillList.skillChoice) then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.changeSkill,globalManager.gameDispatcher,self.planType))
end
end
end
local closeClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self.parent:hideSkillChoosePanel()
end
end
self.closeBtn:addTouchEventListener(closeClickHandler)
for __,grid in pairs(self.gridList) do
grid:addTouchEventListener(girdClickHandler)
end
end
function SkillChoosePanel:hide()
self.parent:hideSkillChoosePanel()
end
function SkillChoosePanel:initView()
self._skillList = globalData.allTemplates.skillTemplateList:getAllCanUseSkill()
local len = table.getn(self._skillList)
local height = 450
if(len > 8)then
height = 110 * math.floor(1 + (len - 1)/ 2)
end
for i,skill in pairs(self._skillList) do
local item = SkillItemView:new()
item:setSkillTemplate(skill)
item:hideUpIcon()
table.insert(self.gridList,item)
self.scrollView:addChild(item)
item:setPosition(cc.p(360 * ((i - 1) % 2) + 5,height - 110 - 110 * math.floor((i - 1) / 2)))
end
self.scrollView:setInnerContainerSize(globalManager.ccCreator:newSize(720,height))
--self:selectSkill(self.gridList[1])
end
function SkillChoosePanel:selectSkill(grid)
if(self._currentGrid == grid) then return end
if(self._currentGrid ~= nil) then
self._currentGrid:setSelect(false)
end
self._currentGrid = grid
self._currentGrid:setSelect(true)
end
function SkillChoosePanel:dispose()
globalData.uiClickContainer:close(self)
self.scrollView = nil
self.closeBtn = nil
self._controller = nil
self.parent = nil
for i,itemGrid in pairs(self.gridList) do
itemGrid:dispose()
itemGrid = nil
end
self.gridList = nil
self._skillList = nil
self._currentGrid = nil
globalManager.ccCreator:release(self)
end
SkillController = class("SkillController",function(self,skillModule)
local sc = {}
sc.skillModule = skillModule
return sc
end)
function SkillController:showSkillPanel()
if(self.skillModule.skillPanel == nil)then
if(globalData.selfPlayerInfo.career > 10)then --已觉醒
self.skillModule.skillPanel = AwakenSkillPanel:new(self)
else
self.skillModule.skillPanel = SkillPanel:new(self)
end
self.skillModule.skillPanel.eventDis:addEventListener(globalData.globalEventType.trigger_panelDispose,self.skillPanelCloseHandler,self)
end
globalData.uiPanelContainer:addPanel(globalData.allStaticTypes.panelTabType.skill,self.skillModule.skillPanel)
end
function SkillController:skillPanelCloseHandler(evt)
self.skillModule.skillPanel.eventDis:removeEventListener(globalData.globalEventType.trigger_panelDispose,self.skillPanelCloseHandler,self)
self.skillModule.skillPanel = nil
end
SkillModule = class("SkillModule",function()
local sm = BaseModule:new()
sm.skillPanel = nil
sm.skillController = nil
return sm
end)
--override
function SkillModule:getModuleType()
return globalData.allStaticTypes.moduleType.skill
end
--override
function SkillModule:setup(data)
self.skillController = SkillController:new(self)
self:configure(data)
end
--override
function SkillModule:configure(data)
self.skillController:showSkillPanel()
end
ServerItemName = class("ServerItemName", function(_, txtName, txtState)
local self = {}
self._txtName  = txtName
self._txtState = txtState
return self
end)
function ServerItemName:ctor()
self._txtState:setText("")
end
function ServerItemName:setServer(server)
local text = globalManager.commonUtils:unescape(server.title)
server.state = tonumber(server.state)
if server.state == 5 then
-- text = text.."(维护)"
self._txtState:setText(globalManager.yuyanbaoManager:getYuyanbao("ServerItemName.text1"))
self._txtName:setColor(globalData.allStaticTypes.colorType.COLORGRAY)
self._txtState:setColor(globalData.allStaticTypes.colorType.COLORGRAY)
else
if server.state == 1 then
-- text = text.."(新服)"
self._txtState:setText(globalManager.yuyanbaoManager:getYuyanbao("ServerItemName.text2"))
self._txtState:setColor(globalData.allStaticTypes.colorType.FALSE_COLOR)
else
self._txtState:setText("")
end
self._txtName:setColor(cc.c3b(50,50,50))
end
self._txtName:setText( text )
end
function ServerItemName:dispose()
self._txtName  = nil
self._txtState = nil
end
StartSelectRoleItem = class("StartSelectRoleItem",function(self,parent)
local temp = globalManager.ccCreator:newJsonWidget("chooseRoleItem")
temp._parent = parent
temp._startRoleInfo = nil
temp.headIcon = temp:getChildByName("headIcon")
temp.levelLabel = temp:getChildByName("levelLabel")
temp.nameLabel = temp:getChildByName("nameLabel")
temp.deletBtn = temp:getChildByName("deleteBtn")
temp.deletIcon = temp:getChildByName("ImageView_1118437")
temp.index = 0
return temp
end)
function StartSelectRoleItem:ctor()
self:initEvent()
end
function StartSelectRoleItem:initEvent()
local closeClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self._parent:showDeleteAlert(self._startRoleInfo.userId)
end
end
self.deletBtn:addTouchEventListener(closeClickHandler)
end
function StartSelectRoleItem:removeEvent()
end
function StartSelectRoleItem:setRoleInfo(info)
self._startRoleInfo = info
self.levelLabel:setText(tostring(info.level))
self.nameLabel:setText(tostring(info.nickName))
self.headIcon:loadTexture(globalData.allStaticTypes.careerType:getHeadPath(info.career),1)
if(info.level >= 50) then
self.deletBtn:removeFromParent(false)
self.deletIcon:removeFromParent(false)
end
end
function StartSelectRoleItem:getRoleInfo()
return self._startRoleInfo
end
function StartSelectRoleItem:dispose()
self._startRoleInfo = nil
self.headIcon = nil
self.levelLabel = nil
self.nameLabel = nil
self.deletBtn = nil
self.deletIcon = nil
self._parent = nil
globalManager.ccCreator:release(self)
end
SeverViewListItem = class("SeverViewListItem", function(_, target)
local self = {}
local item = target
if item == nil then
self = globalManager.ccCreator:newJsonWidget("chooseServerList")
item = self:getChildByName("nomalBtn_Copy4")
else
end
self.btnName     = item:getChildByName("btnName")
self.imgSelect   = item:getChildByName("imgSelect")
self._selected	 = nil
self.item 		 = item
self.serverInfo = nil
return self
end)
function SeverViewListItem:ctor()
if self.btnName ~= nil then
self.btnName:setText("")
end
self:setSelect(false)
end
function SeverViewListItem:setData(serverInfo)
self.btnName:setText(serverInfo.area_info.name)
self.serverInfo = serverInfo
end
function SeverViewListItem:getServerListInfo()
if(self.serverInfo ~= nil)then
return self.serverInfo.sl
else
return {}
end
end
function SeverViewListItem:setSelect(val)
if val ~= self._selected then
self._selected = val
self.imgSelect:setVisible(val)
end
end
function SeverViewListItem:dispose()
self.btnName = nil
self.imgSelect = nil
self.serverInfo = nil
if self.getParent ~= nil and self:getParent() ~= nil then
self:release()
end
end
ServerViewItem = class("ServerViewItem", function()
local self     = globalManager.ccCreator:newJsonWidget("chooseServerItem")
self.flag1     = self:getChildByName("flat1")
self.flag2     = self:getChildByName("flag2")
self.txtName   = self:getChildByName("board3_Copy2"):getChildByName("txtName")
self.maintain1 = self:getChildByName("maintain1")
self.maintain2 = self:getChildByName("maintain2")
self.maintain1:setScale(0.9)
self.maintain2:setScale(0.9)
self.server    = nil
return self
end)
function ServerViewItem:ctor()
self.txtName:setText("")
self:cleanState()
end
function ServerViewItem:cleanState()
self.flag1:setVisible(false)
self.flag2:setVisible(false)
self.maintain1:setVisible(false)
self.maintain2:setVisible(false)
end
function ServerViewItem:setInfo(server)
--{"server_id":"1","title":"%E5%8F%8C%E7%BA%BF1%E5%8C%BA","state":"1","url":"http%3A%2F%2Fs1.smjt.geiniwan.com%2Fgame%2Fapi%2Fget_port.php"}
--"["..server.server_id.."服]"..
-- local text = globalManager.commonUtils:unescape(server.title)
-- server.state = tonumber(server.state)
-- if server.state == 0 then
-- 	text = text.."(维护)"
-- 	self.txtName:setColor(globalData.allStaticTypes.colorType.COLORGRAY)
-- else
--        if server.state == 4 then
--            text = text.."(新服)"
--        end
-- 	self.txtName:setColor(globalData.allStaticTypes.colorType.TIPACT_COLOR)
-- end
self.txtName:setText( globalManager.commonUtils:unescape(server.title) )
self:cleanState()
self.server = server
server.state = tonumber(server.state)
if(server.state == 3)then
self.flag1:setVisible(true)
elseif(server.state == 2)then
self.flag2:setVisible(true)
end
if server.state == 5 then
self.maintain2:setVisible(true)
else
self.maintain1:setVisible(true)
end
end
function ServerViewItem:dispose()
self.flag1   = nil
self.flag2   = nil
self.txtName = nil
self.server  = nil
self:release()
end
DeleteRoleAlert = class("DeleteRoleAlert", function(self,parent,userId)
local temp = globalManager.ccCreator:newLayer()
temp._widget = globalManager.ccCreator:newJsonWidget("alertPanel")
temp:addChild(temp._widget)
temp._parent = parent
temp._userId = userId
temp._bg = globalManager.ccCreator:newImageView("board/ui_board5.png",1)
temp._bg:setScale9Enabled(true)
temp._bg:setCapInsets(cc.rect(5,4,2,2))
temp._bg:setOpacity(100)
temp._bg:setSize(globalManager.ccCreator:newSize(globalData.GAME_WIDTH,globalData.GAME_HEIGHT))
temp._bg:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[7])
temp._bg:setPosition(globalManager.ccCreator:newPoint((470 - globalData.GAME_WIDTH) * 0.5,(300 - globalData.GAME_HEIGHT) * 0.5))
temp._bg:setTouchEnabled(true)
temp:addChild(temp._bg,-1)
temp._background = temp._widget:getChildByName("background")
temp._background:setSize(globalManager.ccCreator:newSize(470,300))
temp._btn1 = temp._widget:getChildByName("nomalBtn1")
temp._btn2 = temp._widget:getChildByName("nomalBtn2")
temp._btn1:setPositionY(111)
temp._btn2:setPositionY(111)
temp._btnLabel1 = temp._btn1:getChildByName("btnLabel")
temp._btnLabel2 = temp._btn2:getChildByName("btnLabel")
temp._checkBox = temp._widget:getChildByName("checkBox")
temp._checkBox:setEnabled(false)
temp._checkLabel = temp._checkBox:getChildByName("checkLabel")
temp._checkLabel:setEnabled(false)
temp._label = globalManager.ccCreator:newLabel()
temp._label:setPosition(globalManager.ccCreator:newPoint(197,255))
temp._label:setColor(globalData.allStaticTypes.colorType.DEFAULT_COLOR)
temp._label:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("deleteAlertPanel.text1"),globalManager.yuyanbaoManager:getYuyanbao("deleteAlertPanel.text2")))
temp:addChild(temp._label,9)
temp.inputBg = globalManager.ccCreator:newImageView("board/ui_board8.png",1)
temp.inputBg:setScale9Enabled(true)
temp.inputBg:setCapInsets(cc.rect(16,16,1,1))
temp.inputBg:setSize(globalManager.ccCreator:newSize(209,36))
temp.inputBg:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[7])
temp.inputBg:setPosition(cc.p(41,187))
temp:addChild(temp.inputBg,98)
temp._inputEditBox = globalManager.ccCreator:newEditBox(cc.size(209,36), 12)
temp._inputEditBox:setPosition(cc.p(41,187))
temp:addChild(temp._inputEditBox,99)
temp._btnLabel1:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel1"))
temp._btnLabel2:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel2"))
temp._widget:getChildByName("titleLabel_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("ArenaAlertPanel.text1"))
return temp
end)
function DeleteRoleAlert:ctor()
self:initEvent()
end
function DeleteRoleAlert:initEvent()
local btnClickHandler1 = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
local content = globalManager.ccCreator:getTextString(self._inputEditBox)
if(content == globalManager.yuyanbaoManager:getYuyanbao("deleteAlertPanel.text2")) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("deleteAlertPanel.text3"))
self._parent:deleteRole(self._userId)
else
globalManager.tipsManager.quickTip:show(string.format(globalManager.yuyanbaoManager:getYuyanbao("deleteAlertPanel.text4"),globalManager.yuyanbaoManager:getYuyanbao("deleteAlertPanel.text2")))
end
end
end
local btnClickHandler2 = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self._parent:removeAlertPanel()
end
end
self._btn1:addTouchEventListener(btnClickHandler1)
self._btn2:addTouchEventListener(btnClickHandler2)
end
function DeleteRoleAlert:removeEvent()
end
function DeleteRoleAlert:dispose()
self:removeEvent()
self._parent = nil
if(self._bg ~= nil)then
globalManager.ccCreator:release(self._bg)
self._bg = nil
end
if(self._label ~= nil)then
globalManager.ccCreator:release(self._label)
self._label = nil
end
globalManager.ccCreator:release(self.inputBg)
self.inputBg = nil
globalManager.ccCreator:release(self._inputEditBox)
self._inputEditBox = nil
self._background = nil
self._btn1 = nil
self._btn2 = nil
self._btnLabel1 = nil
self._btnLabel2 = nil
self._checkBox = nil
self._checkLabel = nil
globalManager.ccCreator:release(self._widget)
self._widget = nil
globalManager.ccCreator:release(self)
end
StartCreateRoleView = class("StartCreateRoleView",function(self,controller)
local temp = globalManager.ccCreator:newLayer()
temp._backGround = globalManager.ccCreator:newLayout()
temp._backGround:setSize(globalManager.ccCreator:newSize(globalData.GAME_WIDTH,globalData.GAME_HEIGHT))
temp._backGround:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[7])
temp._backGround:setTouchEnabled(true)
temp._backGround:setBackGroundColorType(ccui.LayoutBackGroundColorType.solid)
temp._backGround:setBackGroundColor(globalData.allStaticTypes.colorType.COLORBLACK)
temp:addChild(temp._backGround)
local offsetX = globalData.GAME_WIDTH * 0.5 - 600
local offsetY = globalData.GAME_HEIGHT * 0.5 - 320
temp._widget = globalManager.ccCreator:newJsonWidget("creatRoleView")
temp._widget:setPosition(globalManager.ccCreator:newPoint(offsetX,offsetY))
temp:addChild(temp._widget)
temp._controller = controller
temp.headList = {}
temp.textImgList = {}
temp.textImgPathList = {}
for i = 1, 2 do
table.insert(temp.headList, temp._widget:getChildByName("career"..i.."btn"))
table.insert(temp.textImgList,temp._widget:getChildByName("textImg"..i))
table.insert(temp.textImgPathList,globalManager.pathManager:getUIPath().."outPic/login_text"..i..".png")
end
temp.selectedIcon = temp._widget:getChildByName("selectedIcon")
temp.selectedIconPath = globalManager.pathManager:getUIPath().."outPic/login_selectIcon.png"
local nickLayer = temp._widget:getChildByName("nickLayer")
temp.nickLabel = globalManager.ccCreator:newEditBox(globalManager.ccCreator:newSize(180,50),36,26,false,globalData.allStaticTypes.colorType.ITEMCOLOR1,false)
temp.nickLabel:setPosition(globalManager.ccCreator:newPoint(780 + offsetX,175 + offsetY))
temp:addChild(temp.nickLabel,1)
temp.randomBtn = temp._widget:getChildByName("randomBtn")
temp.randomBtnPath = globalManager.pathManager:getUIPath().."outPic/login_randomBtn.png"
temp.paths = {}
for i = 1,2 do
table.insert(temp.paths,globalManager.pathManager:getUISource("outPic/login_career"..i..".png"))
end
temp.character1 = globalManager.ccCreator:newImageView()
temp.character2 = globalManager.ccCreator:newImageView()
temp.showPanel = temp._widget:getChildByName("show_panel")
temp.createBtn = temp._widget:getChildByName("createBtn")
temp.createBtnPath = globalManager.pathManager:getUIPath().."outPic/login_createBtn.png"
temp.backBtn = temp._widget:getChildByName("backBtn")
temp.bg = temp._widget:getChildByName("backgroundBg")
temp._bgPath = globalManager.pathManager:getUIPath().."outPic/login_creatRoleBg.png"
temp.wrongIcon = temp._widget:getChildByName("wrongIcon")
temp.tipsLabel = temp._widget:getChildByName("tipsLabel")
temp.tipsLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("StartCreateRoleView.text12"))
temp.wrongIcon:setVisible(false)
temp.tipsLabel:setVisible(false)
temp._count = 0
temp._speed = 0
temp._scale = 0
temp._currentCareer = 0
temp._currentSex = 0
temp._randomName = nil
return temp
end)
function StartCreateRoleView:ctor()
globalManager.sourceCacheManager:setImage(self.bg,self._bgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
globalManager.sourceCacheManager:setImage(self.createBtn,self.createBtnPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
globalManager.sourceCacheManager:setImage(self.selectedIcon,self.selectedIconPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
globalManager.sourceCacheManager:setImage(self.randomBtn,self.randomBtnPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
for i = 1,2,1 do
globalManager.sourceCacheManager:setImage(self.textImgList[i],self.textImgPathList[i],globalData.allStaticTypes.sourceStaticType.clearFiveM)
end
self:initEvent()
self:setCareer(math.random(2))
end
function StartCreateRoleView:initEvent()
local function createClickHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
local name = globalManager.ccCreator:getTextString(self.nickLabel)
local len = globalManager.utf8:utf8len(name)
if(len < 2) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("StartCreateRoleView.text1"))
self.tipsLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("StartCreateRoleView.text1"))
self.tipsLabel:setVisible(true)
self.wrongIcon:setVisible(true)
return
elseif(len > 6) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("StartCreateRoleView.text2"))
self.tipsLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("StartCreateRoleView.text2"))
self.tipsLabel:setVisible(true)
self.wrongIcon:setVisible(true)
return
end
if(globalData.wordFiltersInfo:checkName(name)) then
globalManager.containerManager:showLoginPanel()
self._controller.startModule.messageAdder:sendAccountRoleCreate(self._currentCareer,1,globalManager.ccCreator:getTextString(self.nickLabel))
sender:setTouchEnabled(false)
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("StartCreateRoleView.text3"))
self.tipsLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("StartCreateRoleView.text3"))
self.tipsLabel:setVisible(true)
self.wrongIcon:setVisible(true)
end
end
end
local function backClickHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self._controller:showSelectRoleView()
self._controller:hideCreateRoleView()
end
end
local function randomClickHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self.tipsLabel:setVisible(false)
self.wrongIcon:setVisible(false)
self:setRandomName()
end
end
local function headClickHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
for k,node in pairs(self.headList) do
if sender == node then
self:setCareer(k)
end
end
end
end
local function showPanelClickHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED or eventType == TOUCH_EVENT_CANCELED) then
local offsetX = sender:getTouchEndPos().x - sender:getTouchStartPos().x
if(math.abs(offsetX) <= 50) then return end
local career = 1
if(self._currentCareer == 1) then
career = 2
end
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self:setCareer(career,offsetX > 0)
end
end
self.createBtn:addTouchEventListener(createClickHandler)
self.backBtn:addTouchEventListener(backClickHandler)
self.randomBtn:addTouchEventListener(randomClickHandler)
for k, node in pairs(self.headList) do
node:addTouchEventListener(headClickHandler)
end
self.showPanel:addTouchEventListener(showPanelClickHandler)
end
function StartCreateRoleView:removeEvent()
end
function StartCreateRoleView:creatCharacter(career,oldCareer,isRight)
if(oldCareer == 0) then
globalManager.sourceCacheManager:setImage(self.character1,self.paths[career],globalData.allStaticTypes.sourceStaticType.clearFiveM)
self.character1:setPosition(275,368)
self.character2:setPosition(0,400)
self.showPanel:addChild(self.character1)
self.showPanel:addChild(self.character2)
else
if(isRight) then
self._speed = 9
else
self._speed = -9
end
globalManager.sourceCacheManager:setImage(self.character2,self.paths[oldCareer],globalData.allStaticTypes.sourceStaticType.clearFiveM)
globalManager.sourceCacheManager:setImage(self.character1,self.paths[career],globalData.allStaticTypes.sourceStaticType.clearFiveM)
if(self._speed < 0) then
self.character1:setPositionX(545)
else
self.character1:setPositionX(5)
end
self.character1:setScale(0)
self.character1:setOpacity(0)
self.character2:setPositionX(275)
self.character2:setScale(1)
self.character2:setOpacity(255)
self._count = 0
globalManager.tickManager:addTick(self.tick,self)
end
end
function StartCreateRoleView:tick(delta,count)
self._count = self._count + 1
if(self._count < 30) then
self.character1:setPositionX(self.character1:getPositionX() + self._speed)
self.character1:setScale(self._count / 30)
self.character1:setOpacity(self._count / 30 * 255)
self.character2:setPositionX(self.character2:getPositionX() + self._speed)
self.character2:setScale((30 - self._count) / 30)
self.character2:setOpacity((30 - self._count) / 30 * 255)
else
self.character1:setPositionX(275)
self.character1:setScale(1)
self.character1:setOpacity(255)
self.character2:setPositionX(0)
self.character2:setScale(0)
self.character2:setOpacity(0)
globalManager.tickManager:removeTick(self.tick,self)
end
end
function StartCreateRoleView:setCareer(career,isRight)
if(career == self._currentCareer) then return end
local oldCareer = self._currentCareer
self._currentCareer = career
if(career == 1) then
self._currentSex = 1
else
self._currentSex = 2
end
if(self._randomName == nil or self._randomName == globalManager.ccCreator:getTextString(self.nickLabel)) then
if(self._controller.startModule.randomNameInfo ~= nil) then
self:setRandomName()
else
self._controller:loadNameData()
end
end
if(career == 1) then
self.selectedIcon:setPosition(globalManager.ccCreator:newPoint(826,478))
self.textImgList[1]:setVisible(true)
self.textImgList[2]:setVisible(false)
elseif(career == 2) then
self.selectedIcon:setPosition(globalManager.ccCreator:newPoint(961,478))
self.textImgList[1]:setVisible(false)
self.textImgList[2]:setVisible(true)
end
self:creatCharacter(career,oldCareer,isRight)
end
function StartCreateRoleView:setRandomName()
if(self._controller.startModule.randomNameInfo) then
self._randomName = self._controller.startModule.randomNameInfo:getRandomName(self._currentSex)
globalManager.ccCreator:setTextString(self.nickLabel,self._randomName)
end
end
function StartCreateRoleView:resetBtn(resultStr)
globalManager.containerManager:hideLoginPanel()
self.createBtn:setTouchEnabled(true)
self.tipsLabel:setText(resultStr)
self.tipsLabel:setVisible(true)
self.wrongIcon:setVisible(true)
end
function StartCreateRoleView:dispose()
globalManager.tickManager:removeTick(self.tick,self)
self:removeEvent()
self._controller = nil
for i = 1,3,1 do
globalManager.sourceCacheManager:removeQuote(self.paths[i])
end
self.paths = nil
self.showPanel = nil
globalManager.ccCreator:release(self._widget)
self._widget = nil
if(self.nickLabel ~= nil) then
globalManager.ccCreator:release(self.nickLabel)
self.nickLabel = nil
end
if(self.character1 ~= nil) then
globalManager.ccCreator:release(self.character1)
self.character1 = nil
end
if(self.character2 ~= nil) then
globalManager.ccCreator:release(self.character2)
self.character2 = nil
end
self.selectedIcon = nil
globalManager.sourceCacheManager:removeQuote(self.selectedIconPath)
self.selectedIconPath = nil
globalManager.sourceCacheManager:removeQuote(self.createBtnPath)
self.createBtnPath = nil
globalManager.sourceCacheManager:removeQuote(self._bgPath)
self._bgPath = nil
globalManager.sourceCacheManager:removeQuote(self.randomBtnPath)
self.randomBtnPath = nil
self.randomBtn = nil
self.createBtn = nil
self.backBtn = nil
self.bg = nil
self._randomName = nil
self.textImgList = nil
for i = 1,2,1 do
globalManager.sourceCacheManager:removeQuote(self.textImgPathList[i])
end
self.textImgPathList = nil
self.wrongIcon = nil
self.tipsLabel = nil
globalManager.ccCreator:release(self)
end
StartLoginView = class("StartLoginView",function(self,controller)
local temp = globalManager.ccCreator:newLayer()
temp.config = globalData.config
temp._backGround = globalManager.ccCreator:newLayout()
temp._backGround:setSize(globalManager.ccCreator:newSize(globalData.GAME_WIDTH,globalData.GAME_HEIGHT))
temp._backGround:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[7])
temp._backGround:setTouchEnabled(true)
temp._backGround:setBackGroundColorType(ccui.LayoutBackGroundColorType.solid)
temp._backGround:setBackGroundColor(globalData.allStaticTypes.colorType.COLORBLACK)
temp:addChild(temp._backGround)
local offsetX         = globalData.GAME_WIDTH * 0.5 - 600
local offsetY         = globalData.GAME_HEIGHT * 0.5 - 320
temp._widget          = globalManager.ccCreator:newJsonWidget2("loginView")
temp._widget:setPosition(globalManager.ccCreator:newPoint(offsetX,offsetY))
temp:addChild(temp._widget)
temp._controller      = controller
temp.nameLayer        = temp._widget:getChildByName("nameLayer")
temp.nameLabel        = globalManager.ccCreator:newEditBox(temp.nameLayer:getSize(),20,nil,nil,cc.c3b(50,50,50),2,globalManager.yuyanbaoManager:getYuyanbao("scene.startTips2"))
temp.nameLabel:setPosition(globalManager.ccCreator:newPoint(temp.nameLayer:getPositionX() + offsetX,temp.nameLayer:getPositionY() + offsetY))
temp:addChild(temp.nameLabel,9)
temp.passwordLayer    = temp._widget:getChildByName("passwordLayer")
-- temp.memberCheck      = temp._widget:getChildByName("memberCheck")
temp.quickBtn         = temp._widget:getChildByName("quickBtn")
-- temp.loginBtn      = temp._widget:getChildByName("loginBtn")
-- temp.registerBtn   = temp._widget:getChildByName("registerBtn")
temp.versionLabel     = temp._widget:getChildByName("versionLabel")
temp.versionLabel:setSize(globalManager.ccCreator:newSize(400,30))
temp.bg               = temp._widget:getChildByName("backgroundBg")
temp.logo             = temp._widget:getChildByName("logoIcon")
--第一张图加载经常失败，用一张透明图来做为第一次加载的图
temp.tmpImage         = globalManager.ccCreator:newImageView()
temp.tmpImagePath     = globalManager.pathManager:getUISource("outPic/baggage_cd_mask.png")
temp._bgPath = globalManager.pathManager:getUISource("outPic/login_loginBg.png")
temp._logoPath = globalManager.pathManager:getPlatFromPath(globalData.sources,"logo.png")
temp.phoneNameLabel   = temp._widget:getChildByName("name_label")
temp.phoneServerLabel = temp._widget:getChildByName("server_label")
temp.txtState         = temp._widget:getChildByName("txtState")
temp.txtServer        = ServerItemName:new(temp.phoneServerLabel, temp.txtState)
temp.phoneStateLabel  = temp._widget:getChildByName("state_label")
temp.changeBtn        = nil--显示账号按钮
temp.showType       = 0--0显示版本 1显示大版本 2显示账号
temp.bigVersion       = ""
temp.server           = nil
temp.lskey = "LOCAL_SERVER_KEY"
temp.queuingPanel     = nil
temp.timeCount = 0
temp.tickLoginCount = 0
temp.adImage = nil
temp.adPath = nil
temp.subLoginView = nil
return temp
end)
function StartLoginView:ctor()
globalData.uiPanelContainer:close()
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_closeOtherPanel,globalManager.gameDispatcher))
self:addChild(self.tmpImage,0)
self.tmpImage:setOpacity(0)
globalManager.sourceCacheManager:setImage(self.tmpImage,self.tmpImagePath,globalData.allStaticTypes.sourceStaticType.clearImmediately)
globalManager.sourceCacheManager:setImage(self.bg,self._bgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
globalManager.sourceCacheManager:setImage(self.logo,self._logoPath,globalData.allStaticTypes.sourceStaticType.neverClear)
self.changeBtn = globalManager.ccCreator:newImageView()
self.changeBtn:loadTexture("board/ui_board5.png",1)
self.changeBtn:setOpacity(0)
self.changeBtn:setTouchEnabled(true)
self.changeBtn:ignoreContentAdaptWithSize(false)
self.changeBtn:setSize(globalManager.ccCreator:newSize(200,40))
self.changeBtn:setPosition(globalManager.ccCreator:newPoint(976,22))
self._widget:addChild(self.changeBtn,99)
self:initEvent()
-- self:loadData()
self.phoneServerLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("scene.startTips3"))
self.phoneStateLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("scene.startTips4"))
-- self.bigVersion = globalManager.kyPlatformSDK:luaCall({globalManager.kyPlatformSDK.getBigVersion})
-- if self.bigVersion == "" or self.bigVersion == nil then
--     self.bigVersion = "0.1"
-- end
self.bigVersion = string.format(globalManager.yuyanbaoManager:getYuyanbao("scene.startTips5"),globalData.bigVersion)
self.versionLabel:setText(self.bigVersion)
globalData.childChannel = globalManager.kyPlatformSDK:luaCall({globalManager.kyPlatformSDK.getChildChannel}) or ""
print("#childChannel", globalData.childChannel)
--    self.versionLabel:setPositionX( globalData.GAME_WIDTH - 10 - math.abs(640 - globalData.GAME_WIDTH)  )
if(globalData.config:inSDK())then
self.nameLabel:setEnabled(false)
self.phoneNameLabel:setEnabled(true)
self.nameLabel:setVisible(false)
self.phoneNameLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("scene.startTips6"))
-- local data = self._controller.startModule.startInfo.loginData
if self._controller.startInfo.dataComplete == true then
self:setLoginData(true)
else
self:setLoginData(false)
-- globalManager.kyPlatformSDK:luaCall({globalManager.kyPlatformSDK.showSDKLoginPage})
self:startLogin()
end
else
self.nameLabel:setEnabled(true)
local data = globalData.config
-- local data = globalManager.commonUtils:jsonDecode('{"rs":1,"msg":"成功","data":{"time":1454051591,"sign":"cf5fa9fa40520a8172d8bbc2cfa88233","un":"37_585753690","ls":[],"aid":201,"im":"0","asl":{"7":{"sl":[{"sid":"1","tt":"1"},{"sid":"2","tt":"2"}],"ai":{"name":"火眼金眼","st":"5","p":"1","pre":"http://s","suf":".sdbgj.m.37.com/game/api/get_port.php","msg":"你在要工"}},"1":{"sl":[{"sid":"101","tt":"101","st":"5"},{"sid":"102","tt":"102"},{"sid":"103","tt":"103"},{"sid":"104","tt":"104"},{"sid":"105","tt":"105"},{"sid":"106","tt":"106"},{"sid":"107","tt":"107"},{"sid":"108","tt":"108"},{"sid":"109","tt":"109"},{"sid":"110","tt":"110"},{"sid":"111","tt":"111"},{"sid":"112","tt":"112"},{"sid":"113","tt":"113","st":"1"},{"sid":"114","tt":"114"},{"sid":"115","tt":"115"},{"sid":"116","tt":"116"},{"sid":"117","tt":"117"},{"sid":"118","tt":"118"},{"sid":"119","tt":"119"},{"sid":"120","tt":"120"},{"sid":"121","tt":"121"},{"sid":"122","tt":"122"},{"sid":"123","tt":"123"},{"sid":"124","tt":"124"},{"sid":"125","tt":"125"},{"sid":"126","tt":"126"},{"sid":"127","tt":"127"},{"sid":"128","tt":"128"},{"sid":"130","tt":"130"},{"sid":"131","tt":"131"},{"sid":"132","tt":"132"},{"sid":"133","tt":"133"},{"sid":"134","tt":"134"},{"sid":"135","tt":"135"},{"sid":"136","tt":"136"},{"sid":"137","tt":"137"},{"sid":"138","tt":"138"},{"sid":"139","tt":"139"},{"sid":"140","tt":"140"},{"sid":"141","tt":"141"},{"sid":"142","tt":"142"},{"sid":"143","tt":"143"},{"sid":"144","tt":"144"},{"sid":"145","tt":"145"},{"sid":"146","tt":"146"},{"sid":"147","tt":"147"},{"sid":"148","tt":"148"},{"sid":"149","tt":"149"},{"sid":"150","tt":"150"},{"sid":"151","tt":"151"},{"sid":"152","tt":"152"},{"sid":"153","tt":"153"},{"sid":"154","tt":"154"},{"sid":"155","tt":"155"},{"sid":"156","tt":"156"},{"sid":"157","tt":"157"},{"sid":"158","tt":"158"},{"sid":"159","tt":"159"},{"sid":"160","tt":"160"},{"sid":"161","tt":"161"},{"sid":"162","tt":"162"},{"sid":"163","tt":"163"},{"sid":"164","tt":"164"},{"sid":"165","tt":"165"},{"sid":"166","tt":"166"},{"sid":"167","tt":"167"},{"sid":"168","tt":"168"},{"sid":"169","tt":"169"},{"sid":"170","tt":"170"},{"sid":"180","tt":"180"},{"sid":"181","tt":"181"},{"sid":"182","tt":"182"},{"sid":"183","tt":"183"},{"sid":"184","tt":"184"},{"sid":"185","tt":"185"},{"sid":"186","tt":"186"},{"sid":"187","tt":"187"},{"sid":"188","tt":"188"},{"sid":"189","tt":"189"},{"sid":"190","tt":"190"},{"sid":"191","tt":"191"},{"sid":"192","tt":"192"},{"sid":"193","tt":"193"},{"sid":"194","tt":"194"},{"sid":"195","tt":"195"},{"sid":"196","tt":"196"},{"sid":"197","tt":"197"},{"sid":"198","tt":"198"},{"sid":"199","tt":"199"},{"sid":"200","tt":"200"}],"ai":{"name":"大闹天宫","st":"5","p":"1","pre":"http://s","suf":".sdbgj.m.37.com/game/api/get_port.php","msg":"你好"}},"8":{"sl":[{"sid":"201","tt":"201"},{"sid":"202","tt":"202"}],"ai":{"name":"天雷地火","st":"5","p":"1","pre":"http://s","suf":".sdbgj.m.37.com/game/api/get_port.php","msg":"你在要工工工工工"}}}}}')
-- data = data.data
self._controller.startModule.startInfo:setServerInfo(data)
self._controller.startModule.startInfo.dataComplete = true
local key = globalManager.commonUtils:readStringKey(self.lskey)
local id = 0
if key ~= "" then
self._controller.startModule.startInfo.lastServer = globalManager.commonUtils:jsonDecode(key)
local lserver = self._controller.startModule.startInfo.lastServer
if lserver ~= nil and #lserver > 0 then
id = tonumber(lserver[#lserver])
end
end
self:setCurrentServer(self._controller.startModule.startInfo:getServer(id))
end
globalManager.kyPlatformSDK:luaCall({globalManager.kyPlatformSDK.showTip,globalManager.yuyanbaoManager:getYuyanbao("scene.startTips7")})
globalManager.soundManager:playMusic(9001)
globalManager.tickManager:addTick(self.tick,self)
local function adClickHandler(sender, eventType)
if (eventType == TOUCH_EVENT_ENDED) then
--   	self.nameLabel:setVisible(true)
-- self.nameLabel:setEnabled(true)
self:clearAd()
end
end
--	if(globalData:isShenHe()) then
--		self.nameLabel:setVisible(false)
--		self.nameLabel:setEnabled(false)
--    	self.adImage = globalManager.ccCreator:newImageView()
--    	self.adImage:setTouchEnabled(true)
--    	self.adImage:addTouchEventListener(adClickHandler)
--    	self.adImage:setPosition(globalManager.ccCreator:newPoint(600,320))
--    	self._widget:addChild(self.adImage,999)
--    	self.adPath = globalManager.pathManager:getUISource("outPic/ad.png")
--    	globalManager.sourceCacheManager:setImage(self.adImage,self.adPath,globalData.allStaticTypes.sourceStaticType.clearImmediately)
--    end
if(globalData.config.sdkId == 29 or globalData.config.sdkId == "29") then
self.subLoginView = StartSubLoginView:new()
self:addChild(self.subLoginView,100)
end
end
function StartLoginView:removeSubLoginView()
if(self.subLoginView ~= nil)then
self.subLoginView:dispose()
self.subLoginView = nil
end
end
function StartLoginView:clearAd()
if(self.addPath ~= nil) then
globalManager.sourceCacheManager:removeQuote(self.addPath)
self.addPath = nil
end
if(self.adImage ~= nil) then
globalManager.ccCreator:release(self.adImage)
self.adImage = nil
end
end
function StartLoginView:startLogin()
self.tickLoginCount = 40
globalManager.tickManager:addTick(self.tickLogin, self)
end
function StartLoginView:tickLogin(delta, count)
self.tickLoginCount = self.tickLoginCount - 1
if self.tickLoginCount > 0 then
return
end
globalManager.tickManager:removeTick(self.tickLogin, self)
-- globalManager.kyPlatformSDK:luaCall({globalManager.kyPlatformSDK.showSDKLoginPage})
self._controller:getLoginData()
end
function StartLoginView:tick(delta,count)
self.timeCount = self.timeCount + 1
if(self.timeCount > 60) then
local str = self.phoneNameLabel:getStringValue()
self.phoneNameLabel:setText("")
self.phoneNameLabel:setText(str)
str = self.phoneServerLabel:getStringValue()
self.phoneServerLabel:setText("")
self.phoneServerLabel:setText(str)
str = self.phoneStateLabel:getStringValue()
self.phoneStateLabel:setText("")
self.phoneStateLabel:setText(str)
str = self.versionLabel:getStringValue()
self.versionLabel:setText("")
self.versionLabel:setText(str)
self.quickBtn:setTitleText("")
self.timeCount = 0
self.quickBtn:loadTextureNormal("btn/ui_startBtn.png", 1)
end
end
function StartLoginView:loadData()
globalManager.ccCreator:setTextString(self.nameLabel,globalManager.commonUtils:readStringKey("userName"))
end
function StartLoginView:saveData()
if(globalData:inSDK())then
return
end
end
function StartLoginView:initEvent()
local function noneCallback(datas)
print("#上报最近登录完成")
end
local function startLogin(host,userName,port)
self._controller:login(host, userName, port)
end
local function requestHostCallback(datas)
local data = tolua.cast(datas, "LoaderResult")
local vals = data:getStrData()
local jData = globalManager.commonUtils:jsonDecode(vals)
if jData ~= nil and jData.rs == 1 then
local host = jData.data.ip
local port = jData.data.port
local userName = self._controller.startModule.startInfo.name
globalManager.kyPlatformSDK:luaCall( { globalManager.kyPlatformSDK.sendData, "setIsPay", globalData.isPay } )
local url = globalData.config.recordUrl.."?user_name="..userName.."&server_id="..self.server.server_id
print("#record", url)
globalManager.loaderManager:getRemote(url, noneCallback)
-- self._controller:login(host, userName, jData.data.port)
globalData.selfRankPos = jData.data.position or 0
globalData.totalRank = jData.data.num or 0
globalData.lowValue = jData.data.low or 0
if(globalData.selfRankPos == 0)then
startLogin(host,userName,port)
else
--排队
if(self.queuingPanel == nil)then
self.queuingPanel = StartLoginQueuingPanel:new(self,startLogin,host,userName,port)
end
end
end
end
local quickClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
--获取上次登录服务器进入快速登录界面
--暂时不进行任何操作直接登录202
local server = self.server
if(globalData:inSDK())then
if self._controller.startInfo.dataComplete == true then
local serverList = self._controller.startModule.startInfo.serverList  -- [ server_id, title, state, url ]
if #serverList > 0 then
server.state = tonumber(server.state)
if server.state == 5 then
--服务器维护提示修改
--globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("scene.startTips8"))
Alert:new():show(1,globalManager.commonUtils:unescape(server.msg))
else
local host = globalManager.commonUtils:unescape(server.url) .. "?" .. math.random() * 99999
self._controller.startInfo.time     = self._controller.startModule.startInfo.time
self._controller.startInfo.sign     = self._controller.startModule.startInfo.sign
-- self._controller.startInfo.cm       = 0
self._controller.startInfo.serverId = server.server_id
globalData.serverName = globalManager.commonUtils:unescape(server.title)
globalData.isPay = tonumber(server.is_pay or 0)
globalManager.loaderManager:getRemote(host, requestHostCallback)
end
end
else
self._controller:getLoginData()
end
else
if server ~= nil then
server.state = tonumber(server.state)
if server.state == 5 then
Alert:new():show(1,globalManager.yuyanbaoManager:getYuyanbao("scene.startTips8"),nil,0,self,nil)
else
local ls = globalData.config.lastServerId or {}
-- 过滤
for i = #ls, 1, -1 do
if self._controller.startModule.startInfo:getServer(ls[i], true) == nil or ls[i] == tonumber(server.server_id) then
table.remove(ls, i)
end
end
table.insert(ls, tonumber(server.server_id))
if #ls > 4 then
table.remove(ls, 1, #ls - 4)
end
local json = globalManager.commonUtils:jsonEncode(ls)
globalManager.commonUtils:writeStringKey(self.lskey, json)
globalData.isPay = 1
local ip = server.ip or "192.168.10.106"
self._controller:login(ip, globalManager.ccCreator:getTextString(self.nameLabel), server.port or 6510)
end
end
end
-- sender:setTouchEnabled(false)
end
end
local nameLayerClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(self._controller.startInfo.dataComplete)then
self._controller:gotoSNSCenter()
else
self._controller:getLoginData()
end
end
end
local passwordClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(self._controller.startInfo.dataComplete)then
self._controller:showServerView()
else
self._controller:getLoginData()
end
end
end
local changeClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(self.showType == 0) then
self.versionLabel:setText(self.bigVersion)
self.showType = 1
elseif(self.showType == 1) then
self.versionLabel:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("scene.startTips9"),globalData.config.resVersion))
self.showType = 2
elseif(self.showType == 2) then
if(self._controller.startModule.startInfo ~= nil) then
self.versionLabel:setText(self._controller.startModule.startInfo.name)
end
self.showType = 3
elseif(self.showType == 3) then
if(globalData.sources == nil) then
self.versionLabel:setText(globalData.config.sdkId)
else
self.versionLabel:setText(globalData.config.sdkId..","..globalData.sources)
end
self.showType = 0
end
end
end
self.quickBtn:addTouchEventListener(quickClickHandler)
self.changeBtn:addTouchEventListener(changeClickHandler)
self.nameLayer:addTouchEventListener(nameLayerClickHandler)
self.passwordLayer:addTouchEventListener(passwordClickHandler)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.global_sdkLoginSuccess,self.sdkLoginHandler,self)
end
function StartLoginView:hideQueuingPanel()
if(self.queuingPanel ~= nil)then
globalData.uiClickContainer:close(self.queuingPanel)
self.queuingPanel:dispose()
self.queuingPanel = nil
end
end
function StartLoginView:sdkLoginHandler(evt)
local val = evt.data
if val ~= nil then
local rs = val.rs --状态码
local msg = globalManager.commonUtils:unescape(val.msg)
print("#login result", rs, msg)
if rs == 1 then
local data = val.data
-- local access_token = data.access_token or ""
self._controller.startModule.startInfo:setServerInfo(data)
self:setLoginData(true)
self:removeSubLoginView()
-- globalManager.kyPlatformSDK:luaCall( { globalManager.kyPlatformSDK.sendData, "setAccessToken", access_token } )
else
self._controller.startModule.startInfo:setServerInfo({})
self:setLoginData(false)
self._controller:getLoginData() --服务器传来错误的消息就直接重登
end
else
self._controller.startModule.startInfo:setServerInfo({})
self:setLoginData(false)
self._controller:getLoginData() --服务器传来错误的消息就直接重登
end
end
function StartLoginView:setLoginData(data)
if data == false then
self.phoneNameLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("scene.startTips6"))
self.phoneServerLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("scene.startTips3"))
self._controller.startInfo.dataComplete = false
else
local info = self._controller.startModule.startInfo
local time = info.time
local sign = info.sign
local username = info.name
-- local serverList = info.serverList  -- [ server_id, title, state, url ]
print("#sdk login username:", username)
print("#sdk login serverList count:", #info.serverList)
if username ~= nil then
local name, pf = globalManager.commonUtils:splitToken(tostring(username), "_")
local showName = globalManager.kyPlatformSDK:luaCall({globalManager.kyPlatformSDK.confirmUserName, name})
if showName == "" or showName == nil then
showName = name
end
self.phoneNameLabel:setText(showName)
local id = 0
if #info.lastServer > 0 then
id = tonumber(info.lastServer[#info.lastServer])
end
self:setCurrentServer(info:getServer(id))
end
self._controller.startInfo.dataComplete = true
end
end
function StartLoginView:setCurrentServer(server)
-- "["..server.server_id.."服]"..
self.txtServer:setServer(server)
-- local text = globalManager.commonUtils:unescape(server.title)
-- server.state = tonumber(server.state)
-- if server.state == 5 then
--     text = text.."(维护)"
--     self.phoneServerLabel:setColor(globalData.allStaticTypes.colorType.COLORGRAY)
-- else
--     if server.state == 1 then
--         text = text.."(新服)"
--     end
--     self.phoneServerLabel:setColor(globalData.allStaticTypes.colorType.TIPACT_COLOR)
-- end
-- self.phoneServerLabel:setText( text )
self.server = server
end
function StartLoginView:rememberName()
self:saveData()
end
function StartLoginView:removeEvent()
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.global_sdkLoginSuccess,self.sdkLoginHandler,self)
end
function StartLoginView:dispose()
self:removeEvent()
self:removeSubLoginView()
globalManager.tickManager:removeTick(self.tick,self)
if self.txtServer ~= nil then
self.txtServer:dispose()
self.txtServer = nil
end
self.txtState = nil
self._controller = nil
globalManager.ccCreator:release(self._widget)
self._widget = nil
if(self.nameLabel ~= nil) then
globalManager.ccCreator:release(self.nameLabel)
self.nameLabel = nil
end
-- self.memberCheck = nil
self.quickBtn = nil
self.config = nil
-- self.loginBtn = nil
-- self.registerBtn = nil
self.versionLabel = nil
self.phoneNameLabel = nil
self.phoneServerLabel = nil
self.phoneStateLabel = nil
self.nameLayer = nil
self.bigVersion = nil
self.passwordLayer = nil
if(self.queuingPanel ~= nil)then
self.queuingPanel:dispose()
self.queuingPanel  = nil
end
if(self.changeBtn ~= nil) then
globalManager.ccCreator:release(self.changeBtn)
self.changeBtn = nil
end
globalManager.sourceCacheManager:removeQuote(self._bgPath)
self._bgPath = nil
globalManager.sourceCacheManager:removeQuote(self._logoPath)
self._logoPath = nil
self.logo = nil
self.bg = nil
globalManager.sourceCacheManager:removeQuote(self.tmpImagePath)
if(self.tmpImage ~= nil)then
globalManager.ccCreator:release(self.tmpImage)
self.tmpImage = nil
end
self:clearAd()
globalManager.ccCreator:release(self)
end
StartLoginQueuingPanel = class("StartLoginQueuingPanel",function(self,parent,callBack,host,userName,port)
local temp = globalManager.ccCreator:newJsonWidget("loginQueuingPanel")
temp.waitingPanel      = temp:getChildByName("waitingPanel")
temp._numLabel         = temp.waitingPanel:getChildByName("numLabel")
temp._queuingNumLabel  = temp.waitingPanel:getChildByName("queuingNumLabel")
temp._queuingTimeLabel = temp.waitingPanel:getChildByName("queuingTimeLabel")
temp._CancelBtn        = temp:getChildByName("CancelBtn")
temp.overContent1      = temp:getChildByName("overContent1")
temp.overContent2      = temp:getChildByName("overContent2")
temp:getChildByName("name_label_Copy1"):setText(globalManager.yuyanbaoManager:getYuyanbao("StartLoginQueuingPanel.text1"))
temp:getChildByName("overContent1"):setText(globalManager.yuyanbaoManager:getYuyanbao("StartLoginQueuingPanel.text2"))
temp:getChildByName("overContent2"):setText(globalManager.yuyanbaoManager:getYuyanbao("StartLoginQueuingPanel.text3"))
temp._CancelBtn:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("StartLoginQueuingPanel.text4"))
temp.waitingPanel:getChildByName("content1"):setText(globalManager.yuyanbaoManager:getYuyanbao("StartLoginQueuingPanel.text5"))
temp.waitingPanel:getChildByName("content2"):setText(globalManager.yuyanbaoManager:getYuyanbao("StartLoginQueuingPanel.text6"))
temp.waitingPanel:getChildByName("content3"):setText(globalManager.yuyanbaoManager:getYuyanbao("StartLoginQueuingPanel.text7"))
temp.waitingPanel:getChildByName("content4"):setText(globalManager.yuyanbaoManager:getYuyanbao("YuanGuFollowPanel.text2"))
temp.waitingPanel:getChildByName("content5"):setText(globalManager.yuyanbaoManager:getYuyanbao("StartLoginQueuingPanel.text9"))
temp.waitingPanel:getChildByName("content2_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("StartLoginQueuingPanel.text10"))
temp.waitingPanel:getChildByName("content2_Copy1"):setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel64"))
temp.waitingPanel:getChildByName("content1_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("StartLoginQueuingPanel.text12"))
temp._parent           = parent
temp.count             = 0
temp.count1            = 0
temp.num               = 0
temp.queuingNum        = 0
temp.lowNum            = globalData.lowValue
temp.remainTime        = 0
temp._callBack = callBack
temp._host = host
temp._userName = userName
temp._port = port
return temp
end)
function StartLoginQueuingPanel:ctor()
self:initEvent()
self:initView()
globalData.uiClickContainer:addItem(self,true,true)
end
function StartLoginQueuingPanel:initEvent()
local disClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self._parent:hideQueuingPanel()
end
end
self._CancelBtn:addTouchEventListener(disClickHandler)
end
function StartLoginQueuingPanel:removeEvent()
end
function StartLoginQueuingPanel:initView()
self.num = math.ceil(globalData.selfRankPos * (math.random()*0.4 + 0.8))
if(self.num >= 99999)then
self.waitingPanel:setVisible(false)
self.overContent1:setVisible(true)
self.overContent2:setVisible(true)
else
self.waitingPanel:setVisible(true)
self.overContent1:setVisible(false)
self.overContent2:setVisible(false)
end
self.remainTime  = math.floor(self.num / self.lowNum)
self.queuingNum  = math.ceil(globalData.totalRank * (math.random()*0.4 + 0.8)) + self.num
self._numLabel:setText(self.num)
self._queuingNumLabel:setText(self.queuingNum)
self._queuingTimeLabel:setText(self.remainTime)
globalManager.tickManager:addTick(self.tick,self)
end
function StartLoginQueuingPanel:tick(delta,count)
self.count   = self.count + 1
if(self.count1 >= 60)then
self.count1 = 0
self.remainTime = self.remainTime - 1
self._queuingTimeLabel:setText(self.remainTime)
end
if(self.count >= 120)then
self.count = 0
self.num = self.num - math.ceil(self.lowNum * (math.random()*0.4 + 0.8))
self.queuingNum = self.queuingNum + math.ceil(self.lowNum / 3 * (math.random()*0.4 + 0.8))
if(self.num <= 0)then
globalManager.kyPlatformSDK:luaCall({globalManager.kyPlatformSDK.showTip,globalManager.yuyanbaoManager:getYuyanbao("StartLoginQueuingPanel.text13")})
self._callBack(self._host,self._userName,self._port)
globalManager.tickManager:removeTick(self.tick,self)
self._parent:hideQueuingPanel()
else
self._numLabel:setText(self.num)
self._queuingNumLabel:setText(self.queuingNum)
end
end
end
function StartLoginQueuingPanel:dispose()
self:removeEvent()
globalManager.tickManager:removeTick(self.tick,self)
globalData.uiClickContainer:close(self)
self.waitingPanel      = nil
self._numLabel         = nil
self._queuingNumLabel  = nil
self._queuingTimeLabel = nil
self._CancelBtn        = nil
self.overContent1      = nil
self.overContent2      = nil
self._parent           = nil
self.count             = nil
self.num               = nil
self.queuingNum        = nil
self.lowNum            = nil
self._callBack = nil
self._host = nil
self._userName = nil
self._port = nil
globalManager.ccCreator:release(self)
end
StartQuickEnterView = class("StartQuickEnterView",function(self,controller)
local temp = globalManager.ccCreator:newLayer()
temp._backGround = globalManager.ccCreator:newLayout()
temp._backGround:setSize(globalManager.ccCreator:newSize(globalData.GAME_WIDTH,globalData.GAME_HEIGHT))
temp._backGround:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[7])
temp._backGround:setTouchEnabled(true)
temp._backGround:setBackGroundColorType(ccui.LayoutBackGroundColorType.solid)
temp._backGround:setBackGroundColor(globalData.allStaticTypes.colorType.COLORBLACK)
temp:addChild(temp._backGround)
local offsetX = globalData.GAME_WIDTH * 0.5 - 480
local offsetY = globalData.GAME_HEIGHT * 0.5 - 320
temp._widget = globalManager.ccCreator:newJsonWidget("startGameView")
temp._widget:setPosition(globalManager.ccCreator:newPoint(offsetX,offsetY))
temp:addChild(temp._widget)
temp._controller = controller
temp.tipLabel = temp._widget:getChildByName("tipLabel")
temp.tipBg = temp._widget:getChildByName("tipBg")
temp.serverLabel = temp._widget:getChildByName("serverLabel")
temp.versionLabel = temp._widget:getChildByName("versionLabel")
temp.chooseBtn = temp._widget:getChildByName("chooseBtn")
temp.startBtn = temp._widget:getChildByName("startBtn")
temp.changeBtn = temp._widget:getChildByName("changeBtn")
temp.bg = temp._widget:getChildByName("backgroundBg")
temp._bgPath = globalManager.pathManager:getUISource("outPic/login_startGameBg.png")
return temp
end)
function StartQuickEnterView:ctor()
globalManager.sourceCacheManager:setImage(self.bg,self._bgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self:initEvent()
end
function StartQuickEnterView:initEvent()
local startClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
--进入选角
sender:setTouchEnabled(false)
end
end
local chooseClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self._controller:showServerView()
self._controller:hideQuickEnterView()
end
end
local changeClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self._controller:showLoginView()
self._controller:hideQuickEnterView()
end
end
self.startBtn:addTouchEventListener(startClickHandler)
self.chooseBtn:addTouchEventListener(chooseClickHandler)
self.changeBtn:addTouchEventListener(changeClickHandler)
end
function StartQuickEnterView:removeEvent()
end
function StartQuickEnterView:dispose()
self:removeEvent()
self._controller = nil
globalManager.ccCreator:release(self._widget)
self._widget = nil
self.tipLabel = nil
self.tipBg = nil
self.serverLabel = nil
self.versionLabel = nil
self.chooseBtn = nil
self.startBtn = nil
self.changeBtn = nil
globalManager.sourceCacheManager:removeQuote(self._bgPath)
self.bg = nil
globalManager.ccCreator:release(self)
end
StartRegisterView = class("StartRegisterView",function(self,controller)
local temp = globalManager.ccCreator:newLayer()
temp._backGround = globalManager.ccCreator:newLayout()
temp._backGround:setSize(globalManager.ccCreator:newSize(globalData.GAME_WIDTH,globalData.GAME_HEIGHT))
temp._backGround:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[7])
temp._backGround:setTouchEnabled(true)
temp._backGround:setBackGroundColorType(ccui.LayoutBackGroundColorType.solid)
temp._backGround:setBackGroundColor(globalData.allStaticTypes.colorType.COLORBLACK)
temp:addChild(temp._backGround)
local offsetX = globalData.GAME_WIDTH * 0.5 - 480
local offsetY = globalData.GAME_HEIGHT * 0.5 - 320
temp._widget = globalManager.ccCreator:newJsonWidget("registerView")
temp._widget:setPosition(globalManager.ccCreator:newPoint(offsetX,offsetY))
temp:addChild(temp._widget)
temp._controller = controller
local nameLayer = temp._widget:getChildByName("nameLayer")
temp.nameLabel = globalManager.ccCreator:newEditBox(nameLayer:getSize(),12)
temp.nameLabel:setPosition(globalManager.ccCreator:newPoint(nameLayer:getPositionX() + offsetX,nameLayer:getPositionY() + offsetY))
temp:addChild(temp.nameLabel)
local passwordLayer = temp._widget:getChildByName("passwordLayer")
temp.passwordLabel = globalManager.ccCreator:newEditBox(passwordLayer:getSize(),12,nil,true)
temp.passwordLabel:setPosition(globalManager.ccCreator:newPoint(passwordLayer:getPositionX() + offsetX,passwordLayer:getPositionY() + offsetY))
temp:addChild(temp.passwordLabel)
temp.registerBtn = temp._widget:getChildByName("registerBtn")
temp.backBtn = temp._widget:getChildByName("backBtn")
temp.bg = temp._widget:getChildByName("backgroundBg")
temp._bgPath = globalManager.pathManager:getUISource("outPic/login_registerBg.png")
return temp
end)
function StartRegisterView:ctor()
globalManager.sourceCacheManager:setImage(self.bg,self._bgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self:initEvent()
end
function StartRegisterView:initEvent()
local registerClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
--注册并登录
sender:setTouchEnabled(false)
end
end
local backClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
self._controller:showLoginView()
self._controller:hideRegisterView()
end
end
self.registerBtn:addTouchEventListener(registerClickHandler)
self.backBtn:addTouchEventListener(backClickHandler)
end
function StartRegisterView:removeEvent()
end
function StartRegisterView:dispose()
self:removeEvent()
self._controller = nil
globalManager.ccCreator:release(self._widget)
self._widget = nil
if(self.nameLabel ~= nil) then
globalManager.ccCreator:release(self.nameLabel)
self.nameLabel = nil
end
if(self.passwordLabel ~= nil) then
globalManager.ccCreator:release(self.passwordLabel)
self.passwordLabel = nil
end
self.registerBtn = nil
self.backBtn = nil
globalManager.sourceCacheManager:removeQuote(self._bgPath)
self.bg = nil
globalManager.ccCreator:release(self)
end
StartSelectRoleView = class("StartSelectRoleView",function(self,controller)
local temp = globalManager.ccCreator:newLayer()
temp._backGround = globalManager.ccCreator:newLayout()
temp._backGround:setSize(globalManager.ccCreator:newSize(globalData.GAME_WIDTH,globalData.GAME_HEIGHT))
temp._backGround:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[7])
temp._backGround:setTouchEnabled(true)
temp._backGround:setBackGroundColorType(ccui.LayoutBackGroundColorType.solid)
temp._backGround:setBackGroundColor(globalData.allStaticTypes.colorType.COLORBLACK)
temp:addChild(temp._backGround)
local offsetX = globalData.GAME_WIDTH * 0.5 - 600
local offsetY = globalData.GAME_HEIGHT * 0.5 - 320
temp._widget = globalManager.ccCreator:newJsonWidget("chooseRoleView")
temp._widget:setPosition(globalManager.ccCreator:newPoint(offsetX,offsetY))
temp:addChild(temp._widget)
temp._controller = controller
temp.createBtn = temp._widget:getChildByName("creatBtn")
temp.selectedBg = temp._widget:getChildByName("selectedBg")
globalManager.sourceCacheManager:setImage(temp.selectedBg,globalManager.pathManager:getUISource("outPic/ui_chooseRoleLight.png"),globalData.allStaticTypes.sourceStaticType.clearFiveM)
temp.character = temp._widget:getChildByName("show_panel")
temp.paths = {}
for i = 1,6,1 do
table.insert(temp.paths,globalManager.pathManager:getUISource("outPic/login_career"..i..".png"))
end
temp.enterBtn = temp._widget:getChildByName("enterBtn")
temp.backBtn = temp._widget:getChildByName("backBtn")
temp.bg = temp._widget:getChildByName("backgroundBg")
temp._bgPath = globalManager.pathManager:getUISource("outPic/login_roleBg.png")
temp.currentItem = nil
temp.itemList = {}
temp.deletePanel = nil
temp.createBtn:getChildByName("Label_133573"):setText(globalManager.yuyanbaoManager:getYuyanbao("scene.startTips10"))
return temp
end)
function StartSelectRoleView:ctor()
self:initEvent()
end
function StartSelectRoleView:setData()
local itemClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self:setSelected(sender)
end
end
for __,item in pairs(self.itemList) do
item:dispose()
item = nil
end
self.currentItem = nil
self.itemList = {}
local i = 0
local maxLevel = 0
local selectIndex = 0
for __,info in pairs(self._controller.startInfo.roleList) do
i = i + 1
local item = StartSelectRoleItem:new(self)
item.index = i
item:setRoleInfo(info)
if(maxLevel < info.level) then
maxLevel = info.level
selectIndex = i
end
item:setPosition(globalManager.ccCreator:newPoint(143,635 - 124 * i))
self._widget:addChild(item,2)
table.insert(self.itemList,item)
item:addTouchEventListener(itemClickHandler)
end
if(i < 4) then
self.createBtn:setEnabled(true)
self.createBtn:setVisible(true)
self.createBtn:setPosition(globalManager.ccCreator:newPoint(382,564 - 124 * i))
else
self.createBtn:setEnabled(false)
self.createBtn:setVisible(false)
end
globalManager.sourceCacheManager:setImage(self.bg,self._bgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
if(selectIndex > 0) then
self:setSelected(self.itemList[selectIndex])
else
self.selectedBg:setEnabled(false)
end
end
function StartSelectRoleView:initEvent()
local createClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self._controller:showCreateRoleView()
self._controller:hideSelectRoleView()
end
end
local enterBtnClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(self.currentItem ~= nil) then
globalManager.containerManager:showLoginPanel()
self._controller.startModule.messageAdder:sendAccountSelectMessage(self.currentItem:getRoleInfo().userId)
sender:setTouchEnabled(false)
end
end
end
local backClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
-- globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.global_clearAllData,globalManager.gameDispatcher,nil))
if(globalData.uiPanelContainer ~= nil)then
globalData.uiPanelContainer:close()
end
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_closeOtherPanel,globalManager.gameDispatcher))
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_reConnect,globalManager.gameDispatcher))
--清除所有数据
globalData:clearAllData()
globalManager.containerManager:setCheckDisconnect(false)
globalManager.messageManager:close()
globalManager.moduleManager:addModule(globalData.allStaticTypes.moduleType.startLib,ToCommonModuleData:new(1),false)
end
end
self.createBtn:addTouchEventListener(createClickHandler)
self.enterBtn:addTouchEventListener(enterBtnClickHandler)
self.backBtn:addTouchEventListener(backClickHandler)
end
function StartSelectRoleView:removeEvent()
end
function StartSelectRoleView:showDeleteAlert(userId)
if(self.deletePanel == nil) then
self.deletePanel = DeleteRoleAlert:new(self,userId)
self.deletePanel:setPosition(globalManager.ccCreator:newPoint((globalData.GAME_WIDTH - 470) * 0.5,(globalData.GAME_HEIGHT - 300) * 0.5))
self:addChild(self.deletePanel)
end
end
function StartSelectRoleView:deleteRole(userId)
self._controller.startModule.messageAdder:sendDeleteRole(userId)
for i,item in pairs(self.itemList) do
if(item:getRoleInfo().userId == userId) then
item:dispose()
table.remove(self.itemList,i)
table.remove(self._controller.startInfo.roleList,i)
break
end
end
local maxLevel = 0
local selectIndex = 0
local i = 0
for _,item in pairs(self.itemList) do
i = i + 1
item:setPosition(globalManager.ccCreator:newPoint(143,635 - 124 * i))
local level = item:getRoleInfo().level
if(maxLevel < level) then
maxLevel = level
selectIndex = i
end
end
if(selectIndex > 0) then
self:setSelected(self.itemList[selectIndex])
else
self.selectedBg:setEnabled(false)
end
if(i < 4) then
self.createBtn:setEnabled(true)
self.createBtn:setVisible(true)
self.createBtn:setPosition(globalManager.ccCreator:newPoint(382,564 - 124 * i))
else
self.createBtn:setEnabled(false)
self.createBtn:setVisible(false)
end
self:removeAlertPanel()
end
function StartSelectRoleView:removeAlertPanel()
if(self.deletePanel ~= nil) then
self.deletePanel:dispose()
self.deletePanel = nil
end
end
function StartSelectRoleView:setSelected(item)
if(self.currentItem == item) then return end
self.currentItem = item
self.selectedBg:setEnabled(true)
self.selectedBg:setPosition(globalManager.ccCreator:newPoint(item:getPositionX() + 230,item:getPositionY() + 53))
globalManager.sourceCacheManager:setImage(self.character,self.paths[globalData.allStaticTypes.careerType:getCareer(item:getRoleInfo().career)],globalData.allStaticTypes.sourceStaticType.clearFiveM)
end
function StartSelectRoleView:dispose()
self:removeAlertPanel()
self:removeEvent()
globalManager.sourceCacheManager:removeQuote(globalManager.pathManager:getUISource("outPic/ui_chooseRoleLight.png"))
for __,item in pairs(self.itemList) do
item:dispose()
item = nil
end
self.itemList = nil
self._controller = nil
globalManager.ccCreator:release(self._widget)
self._widget = nil
self.currentItem = nil
self.createBtn = nil
self.selectedBg = nil
self.character = nil
self.enterBtn = nil
self.backBtn = nil
for i = 1,3,1 do
globalManager.sourceCacheManager:removeQuote(self.paths[i])
end
self.paths = nil
globalManager.sourceCacheManager:removeQuote(self._bgPath)
self.bg = nil
globalManager.ccCreator:release(self)
end
StartServerView = class("StartServerView",function(_,controller)
local self = globalManager.ccCreator:newJsonWidget("chooseServerView")
self._controller = controller
self.serverList1 = self:getChildByName("serverList1")
self.serverLabel = self:getChildByName("serverLabel")
self.txtState    = self:getChildByName("txtState")
self.txtServer   = ServerItemName:new(self.serverLabel, self.txtState)
self.enterBtn    = self:getChildByName("btnEnter")
self.backBtn     = self:getChildByName("backBtn")
self.btnSuggest  = self:getChildByName("btnSuggest")
self.serverTip   = self:getChildByName("serverTip")
self.scrollView  = self:getChildByName("scrollView")
self._container = globalManager.ccCreator:newWidget()
self.scrollView:addChild(self._container)
self.listItem    = {}
self.viewList    = {}
self.viewList2   = {}
self.lastSelect  = 0
self.serverList  = nil
self.areaTab    = nil
self.lastServer  = nil
self.server      = nil
self.areaList = {}
self._tickCount  = 0
self._containerHeight = 0
self:getChildByName("btnLabel_Copy1"):setText(globalManager.yuyanbaoManager:getYuyanbao("scene.startTips11"))
self.btnSuggest:getChildByName("Label_217076"):setText(globalManager.yuyanbaoManager:getYuyanbao("scene.startTips12"))
self.serverTip:getChildByName("Label_425929"):setText(globalManager.yuyanbaoManager:getYuyanbao("scene.startTips13"))
self:getChildByName("btnLabel_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("scene.startTips14"))
return self
end)
function StartServerView:ctor()
-- globalManager.sourceCacheManager:setImage(self.bg,self._bgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
--local str = '{"time":1410513600,"sign":"1e716ac7baaf3fdafc7f11aa76b6c129","user_name":"yychen1","server_list":[{"server_id":"1","title":"%E5%8F%8C%E7%BA%BF1%E5%8C%BA","state":"2","url":"http%3A%2F%2Fs1.smjt.geiniwan.com%2Fgame%2Fapi%2Fget_port.php"},{"server_id":"2","title":"%E5%8F%8C%E7%BA%BF1%E5%8C%BA","state":"1","url":"http%3A%2F%2Fs1.smjt.geiniwan.com%2Fgame%2Fapi%2Fget_port.php"},{"server_id":"3","title":"%E5%8F%8C%E7%BA%BF1%E5%8C%BA","state":"1","url":"http%3A%2F%2Fs1.smjt.geiniwan.com%2Fgame%2Fapi%2Fget_port.php"},{"server_id":"4","title":"%E5%8F%8C%E7%BA%BF1%E5%8C%BA","state":"1","url":"http%3A%2F%2Fs1.smjt.geiniwan.com%2Fgame%2Fapi%2Fget_port.php"},{"server_id":"5","title":"%E5%8F%8C%E7%BA%BF1%E5%8C%BA","state":"1","url":"http%3A%2F%2Fs1.smjt.geiniwan.com%2Fgame%2Fapi%2Fget_port.php"},{"server_id":"6","title":"%E5%8F%8C%E7%BA%BF1%E5%8C%BA","state":"1","url":"http%3A%2F%2Fs1.smjt.geiniwan.com%2Fgame%2Fapi%2Fget_port.php"},{"server_id":"7","title":"%E5%8F%8C%E7%BA%BF1%E5%8C%BA","state":"1","url":"http%3A%2F%2Fs1.smjt.geiniwan.com%2Fgame%2Fapi%2Fget_port.php"},{"server_id":"8","title":"%E5%8F%8C%E7%BA%BF1%E5%8C%BA","state":"1","url":"http%3A%2F%2Fs1.smjt.geiniwan.com%2Fgame%2Fapi%2Fget_port.php"},{"server_id":"9","title":"%E5%8F%8C%E7%BA%BF1%E5%8C%BA","state":"1","url":"http%3A%2F%2Fs1.smjt.geiniwan.com%2Fgame%2Fapi%2Fget_port.php"}],"last_server":[1,3,2]}'
--self._controller.startModule.startInfo.loginData = globalManager.commonUtils:jsonDecode(str)
if self._controller.startModule.startInfo.dataComplete == true then
self.areaTab = self._controller.startModule.startInfo.areaTabList
self.lastServer = self._controller.startModule.startInfo.lastServer
self.serverList = self._controller.startModule.startInfo.serverList
local sugget  = SeverViewListItem:new(self.btnSuggest)
table.insert(self.listItem, sugget)
-- lists
if self.areaTab ~= nil and #self.areaTab > 0 then
for i = 1, #self.areaTab do
local item = SeverViewListItem:new()
item:setData(self.areaTab[i])
self.serverList1:insertCustomItem(item, 0)
table.insert(self.listItem, item)
end
end
local lastServerId = nil
if #self.lastServer > 0 then
lastServerId = self.lastServer[#self.lastServer]
print("lastServerId",lastServerId)
end
local server = self._controller.startModule.startInfo:getServer(lastServerId)
self.server = server
self.txtServer:setServer(server)
end
self:initEvent()
self:selectList(1)
end
function StartServerView:selectList(idx)
if self.lastSelect == idx then return end
if self.lastSelect > 0 and #self.listItem >= self.lastSelect then
self.listItem[self.lastSelect]:setSelect(false)
end
globalManager.tickManager:removeTick(self.tick,self)
for i = 1, #self.viewList do
if self.viewList[i]:getParent() ~= nil then
self.viewList[i]:removeFromParent(false)
end
self.viewList[i]:setPosition(cc.p(-100,-100))
end
for i = 1, #self.viewList2 do
if self.viewList2[i]:getParent() ~= nil then
self.viewList2[i]:removeFromParent(false)
end
self.viewList2[i]:dispose()
end
self.viewList2 = {}
if #self.listItem >= self.lastSelect then
local item = self.listItem[idx]
self.lastSelect = idx
item:setSelect(true)
if idx == 1 then
self.serverTip:setVisible(true)
self.scrollView:setSize(cc.size(660,255))
self._tickCount  = 0
self.areaList = {}
for i = #self.lastServer, 1, -1 do
local severId = self.lastServer[i]
local server = self._controller.startModule.startInfo:getServer(severId,true)
if(server ~= nil)then
table.insert(self.areaList,server)
end
end
self._containerHeight = math.max(255, math.ceil(#self.areaList / 3) * 72)
self.scrollView:setInnerContainerSize(cc.size(660,self._containerHeight))
globalManager.tickManager:addTick(self.tick,self)
local recommandList = self._controller.startModule.startInfo:getNewServerList(3)
for i = 1, #recommandList do
local item = self:creatItem()
item:setInfo( recommandList[i] )
item:setPosition(cc.p(240 + (i-1) * 220,434))
self:addChild(item,9)
table.insert(self.viewList2,item)
end
-- local itemCount = 0
-- for i = 1, #self.serverList do
--     if tonumber(self.serverList[i].state) == 3 then
--         local item = self:creatItem()
--         item:setInfo( self.serverList[i] )
--         item:setPosition(cc.p(240 + itemCount * 220,434))
--         self:addChild(item,9)
--         table.insert(self.viewList2,item)
--         itemCount = itemCount + 1
--         if(itemCount >= 3)then
--             break
--         end
--     end
-- end
-- if itemCount < 3 then
--     for i = 1, #self.serverList do
--         if tonumber(self.serverList[i].state) ~= 3 and tonumber(self.serverList[i].state) ~= 5 then
--             local item = self:creatItem()
--             item:setInfo( self.serverList[i] )
--             item:setPosition(cc.p(240 + itemCount * 220,434))
--             self:addChild(item,9)
--             table.insert(self.viewList2,item)
--             itemCount = itemCount + 1
--             if(itemCount >= 3)then
--                 break
--             end
--         end
--     end
-- end
else
self.serverTip:setVisible(false)
self.scrollView:setSize(cc.size(660,388))
self._tickCount  = 0
self.areaList = item:getServerListInfo()
self._containerHeight = math.max(388, math.ceil(#self.areaList / 3) * 72)
self.scrollView:setInnerContainerSize(cc.size(660,self._containerHeight))
globalManager.tickManager:addTick(self.tick,self)
end
end
end
function StartServerView:tick()
for i = 1, 20 do
self._tickCount = self._tickCount + 1
if(self.areaList[self._tickCount] ~= nil)then
local item = self.viewList[self._tickCount]
if(item == nil)then
item = self:creatItem()
self.viewList[self._tickCount] = item
end
item:setPosition(cc.p(((self._tickCount - 1) % 3) * 220, self._containerHeight - (math.floor((self._tickCount-1) / 3) + 1) * 72))
item:setInfo( self.areaList[self._tickCount] )
self._container:addChild(item,9)
else
globalManager.tickManager:removeTick(self.tick,self)
end
end
end
function StartServerView:creatItem()
local function serverClickHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(sender.server.state == 5) then
Alert:new():show(1,globalManager.commonUtils:unescape(sender.server.msg))
return
end
self._controller:chooseServer(sender.server)
self._controller:hideServerView()
end
end
local item = ServerViewItem:new()
item:addTouchEventListener(serverClickHandler)
return item
end
function StartServerView:initEvent()
local enterBtnClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
--进入选角
-- sender:setTouchEnabled(false)
self._controller:chooseServer(self.server)
self._controller:hideServerView()
end
end
local backClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self._controller:hideServerView()
end
end
local listItemClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self:selectList(sender.index)
end
end
-- self.btnSuggest:addTouchEventListener(listItemClickHandler)
-- self.btnSuggest.index = 1
for i=1,#self.listItem do
self.listItem[i].item:addTouchEventListener(listItemClickHandler)
self.listItem[i].item.index = i
end
self.enterBtn:addTouchEventListener(enterBtnClickHandler)
self.backBtn:addTouchEventListener(backClickHandler)
end
function StartServerView:removeEvent()
end
function StartServerView:dispose()
globalManager.tickManager:removeTick(self.tick,self)
self:removeEvent()
for i=1,#self.listItem do
self.listItem[i]:dispose()
end
self.listItem = nil
for i=1,#self.viewList do
self.viewList[i]:dispose()
end
for i=1,#self.viewList2 do
self.viewList2[i]:dispose()
end
if self.txtServer ~= nil then
self.txtServer:dispose()
self.txtServer = nil
end
self.txtState = nil
self._controller = nil
self.serverList1:removeAllItems()
self.serverList1 = nil
self.serverLabel = nil
self.enterBtn    = nil
self.backBtn     = nil
self.btnSuggest  = nil
self.serverTip   = nil
self.listItem    = nil
self.viewList    = nil
self.viewList2   = nil
self.lastSelect  = 0
self.serverList  = nil
self.lastServer  = nil
self.server      = nil
globalManager.ccCreator:release(self._container)
self._container = nil
self.scrollView = nil
self.areaTab    = nil
self.areaList = nil
self._tickCount  = 0
self._containerHeight = 0
globalManager.sourceCacheManager:removeQuote(self._bgPath)
globalData.uiClickContainer:close(self)
globalManager.ccCreator:release(self)
end
StartSubLoginView = class("StartSubLoginView",function()
local temp = globalManager.ccCreator:newJsonWidget("loginSubView")
temp._qqLoginBtn       = temp:getChildByName("qqLoginBtn")
temp._wechatLoginBtn   = temp:getChildByName("weChatLoginBtn")
temp._backgroundBg     = temp:getChildByName("backgroundBg")
temp._logoImg          = temp:getChildByName("logoImg")
temp._logoPath         = globalManager.pathManager:getPlatFromPath(globalData.sources,"logo.png")
temp._qqPath           = globalManager.pathManager:getPlatFromPath(globalData.sources,"qqBtnImg.png")
temp._wechatPath       = globalManager.pathManager:getPlatFromPath(globalData.sources,"wechatImg.png")
temp._bgPath           = globalManager.pathManager:getPlatFromPath(globalData.sources,"txLoginView.png")
return temp
end)
function StartSubLoginView:ctor()
self:initEvent()
self:initView()
end
function StartSubLoginView:initEvent()
local qqLoginClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
globalManager.kyPlatformSDK:luaCall({globalManager.kyPlatformSDK.showSDKLoginPage,1})
end
end
local wechatClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
globalManager.kyPlatformSDK:luaCall({globalManager.kyPlatformSDK.showSDKLoginPage,2})
end
end
self._qqLoginBtn:addTouchEventListener(qqLoginClickHandler)
self._wechatLoginBtn:addTouchEventListener(wechatClickHandler)
end
function StartSubLoginView:removeEvent()
end
function StartSubLoginView:initView()
globalManager.sourceCacheManager:setImage(self._qqLoginBtn,self._qqPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
globalManager.sourceCacheManager:setImage(self._wechatLoginBtn,self._wechatPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
globalManager.sourceCacheManager:setImage(self._backgroundBg,self._bgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
globalManager.sourceCacheManager:setImage(self._logoImg,self._logoPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
end
function StartSubLoginView:dispose()
self:removeEvent()
globalManager.sourceCacheManager:removeQuote(self._qqPath)
self._qqPath = nil
globalManager.sourceCacheManager:removeQuote(self._wechatPath)
self._wechatPath = nil
globalManager.sourceCacheManager:removeQuote(self._bgPath)
self._bgPath = nil
globalManager.sourceCacheManager:removeQuote(self._logoPath)
self._logoPath = nil
self._qqLoginBtn = nil
self._wechatLoginBtn = nil
self._backgroundBg = nil
self._logoImg = nil
globalManager.ccCreator:release(self)
end
StartController = class("StartController",function(self,module)
local sc = {}
sc.startModule = module
sc.startInfo = module.startInfo
-- -1未返回,0连接失败,1连接成功
sc.loginResult = -1
sc._showSelectRole = true
sc._templateDatas = {}
sc._lastTemplate = nil
--模版解析状态，0：未返回，1，正在解析，2解析完成
sc._templateState = 0
sc.loadUIComplete = false
sc.firstShowLogin = true
sc.startInfo:addEventListener(globalData.globalEventType.start_roleList,self.roleListComplete,sc)
return sc
end)
function StartController:ctor()
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.global_reconnect,self.sendReconnectHandler,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.global_sdkLoginSuccess,self.sdkLoginHandler,self)
globalManager.tickManager:addTick(self.tick,self)
globalManager.containerManager:setCheckDisconnect(false)
globalManager.kyPlatformSDK:luaCall({globalManager.kyPlatformSDK.regNotify})
end
function StartController:sdkLoginHandler(evt)
local val = evt.data
if val == nil then
self.startModule.startInfo:setServerInfo({})
self.startModule.startInfo.dataComplete = false
elseif val ~= nil then
if self.startModule.loginView == nil then
local rs = val.rs --状态码
local msg = globalManager.commonUtils:unescape(val.msg)
print("#login result", rs, msg)
if rs == 1 then
local data = val.data
self.startModule.startInfo:setServerInfo(data)
self.startModule.startInfo.dataComplete = true
else
self.startModule.startInfo:setServerInfo({})
self.startModule.startInfo.dataComplete = false
end
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.global_clearAllData,globalManager.gameDispatcher,nil))
globalManager.containerManager:setCheckDisconnect(false)
globalManager.messageManager:close()
globalManager.moduleManager:addModule(globalData.allStaticTypes.moduleType.startLib,ToCommonModuleData:new(1),false)
end
end
end
function StartController:loadUIData()
local loadUIDataComplete = function()
self.loadUIComplete = true
print("load ui dataComplete")
self:showLoginView()
print("showLoginView")
end
print("start load uidata")
globalManager.loaderManager:loadUIData(globalManager.pathManager:getUIPath(),globalManager.pathManager:getUIDataPath(),loadUIDataComplete)
-- local loadComplete = function(datas)
--     self.loadUIComplete = true
--     local tmpData = tolua.cast(datas,"LoaderResult")
--     local data = tmpData:getData()
--     local bytes = tolua.cast(data, "ByteArray")
--     globalManager.loaderManager:setUIData(globalManager.pathManager:getUIPath(),globalManager.pathManager:getUIDataPath(), bytes)
--     -- globalManager.ccCreator:newJsonWidget("test")
--     -- globalManager.containerManager:initBg()
--     -- --隐藏游戏加载页
--     -- if globalData.updateView ~= nil then
--     --     globalData.updateView:hideProgress()
--     -- end
--     --显示登录页
--     self:showLoginView()
-- end
-- globalManager.loaderManager:getBinary(globalManager.pathManager:getUIDataPath(), loadComplete, nil , true)
end
function StartController:sendReconnectHandler(evt)
local socketCreateCallback = function(value)
if(value)then
self.loginResult = 1
else
self.loginResult = 0
end
end
globalManager.messageManager:create(self.startInfo.ip,self.startInfo.port,socketCreateCallback)
end
--evt:BaseEvent
function StartController:roleListComplete(evt)
globalManager.containerManager:hideLoginPanel()
self:hideLoginView(true)
self:hideRegisterView()
self:hideServerView()
self:hideQuickEnterView()
local len = table.getn(self.startInfo.roleList)
if(len == 0)then
self:showCreateRoleView()
else
self:showSelectRoleView()
end
end
function StartController:showLoginView()
--清除加载页，热更的话方法可能不被取到，需要直接写内容
if(globalManager.containerManager._con.clearUpdateView ~= nil)then
globalManager.containerManager._con:clearUpdateView()
else
if(globalManager.containerManager._con.updateView ~= nil)then
globalManager.containerManager._con.updateView:dispose()
globalManager.containerManager._con.updateView = nil
end
end
if(self.startModule.loginView == nil) then
self.startModule.loginView = StartLoginView:new(self)
end
if(self.startModule.loginView:getParent() == nil) then
globalManager.containerManager.fixUIContainer:addChild(self.startModule.loginView,5)
end
end
function StartController:hideLoginView(isRemember)
if(self.startModule.loginView ~= nil) then
if(isRemember) then
self.startModule.loginView:rememberName()
end
self.startModule.loginView:dispose()
self.startModule.loginView = nil
end
self._showSelectRole = false
end
function StartController:showRegisterView()
if(self.startModule.registerView == nil) then
self.startModule.registerView = StartRegisterView:new(self)
end
if(self.startModule.registerView:getParent() == nil) then
globalManager.containerManager.fixUIContainer:addChild(self.startModule.registerView,5)
end
end
function StartController:hideRegisterView()
if(self.startModule.registerView ~= nil) then
self.startModule.registerView:dispose()
self.startModule.registerView = nil
end
end
function StartController:showServerView()
if(self.startModule.serverView == nil) then
self.startModule.serverView = StartServerView:new(self)
end
if(self.startModule.serverView:getParent() == nil) then
globalData.uiClickContainer:addItem(self.startModule.serverView, true, true)
end
end
function StartController:hideServerView()
if(self.startModule.serverView ~= nil) then
self.startModule.serverView:dispose()
self.startModule.serverView = nil
end
end
function StartController:chooseServer(server)
if self.startModule.loginView ~= nil then
self.startModule.loginView:setCurrentServer(server)
end
end
function StartController:showQuickEnterView()
if(self.startModule.quickEnterView == nil) then
self.startModule.quickEnterView = StartQuickEnterView:new(self)
end
if(self.startModule.quickEnterView:getParent() == nil) then
globalManager.containerManager.fixUIContainer:addChild(self.startModule.quickEnterView,5)
end
end
function StartController:hideQuickEnterView()
if(self.startModule.quickEnterView ~= nil) then
self.startModule.quickEnterView:dispose()
self.startModule.quickEnterView = nil
end
end
function StartController:showSelectRoleView()
if(self.startModule.selectRoleView == nil) then
self.startModule.selectRoleView = StartSelectRoleView:new(self)
end
self.startModule.selectRoleView:setData()
if(self.startModule.selectRoleView:getParent() == nil) then
globalManager.containerManager.fixUIContainer:addChild(self.startModule.selectRoleView,5)
end
end
function StartController:hideSelectRoleView()
if(self.startModule.selectRoleView ~= nil) then
self.startModule.selectRoleView:dispose()
self.startModule.selectRoleView = nil
end
end
function StartController:showCreateRoleView()
if(self.startModule.createRoleView == nil) then
self.startModule.createRoleView = StartCreateRoleView:new(self)
end
if(self.startModule.createRoleView:getParent() == nil) then
globalManager.containerManager.fixUIContainer:addChild(self.startModule.createRoleView,5)
end
end
function StartController:resetCreatePanel(resultStr)
if(self.startModule.createRoleView ~= nil) then
self.startModule.createRoleView:resetBtn(resultStr)
end
end
function StartController:hideCreateRoleView()
if(self.startModule.createRoleView ~= nil) then
self.startModule.createRoleView:dispose()
self.startModule.createRoleView = nil
end
end
function StartController:clearAllView()
self:hideLoginView()
self:hideRegisterView()
self:hideServerView()
self:hideQuickEnterView()
self:hideCreateRoleView()
self:hideSelectRoleView()
self.startInfo:clearRoleList()
end
function StartController:initLastTemplate(type,f)
if(type == 1) then
if(globalData.wordFiltersInfo == nil) then
globalData.wordFiltersInfo = WordFiltersInfo:new()
globalData.wordFiltersInfo:initData(f)
end
elseif(type == 2)then
self._lastTemplate = globalData.allTemplates.gateTemplateList:init(f)
elseif(type == 3) then
self._lastTemplate = globalData.allTemplates.mapTemplateList:init(f)
elseif(type == 4) then
self._lastTemplate = globalData.allTemplates.npcTemplateList:init(f)
elseif(type == 5)then
self._lastTemplate = globalData.allTemplates.monsterTemplateList:init(f)
elseif(type == 6)then
self._lastTemplate = globalData.allTemplates.collectTemplateList:init(f)
elseif(type == 7)then
self._lastTemplate = globalData.allTemplates.taskTemplateList:init(f)
elseif(type == 8)then
self._lastTemplate = globalData.allTemplates.buffTemplateList:init(f)
elseif(type == 9)then
self._lastTemplate = globalData.allTemplates.buffStateTemplateList:init(f)
elseif(type == 10)then
self._lastTemplate = globalData.allTemplates.petTemplateList:init(f)
elseif(type == 11)then
self._lastTemplate = globalData.allTemplates.petExpTemplateList:init(f)
elseif(type == 12)then
self._lastTemplate = globalData.allTemplates.experienceTemplateList:init(f)
elseif(type == 13)then
self._lastTemplate = globalData.allTemplates.xiXingStarTemplateList:init(f)
elseif(type == 14)then
self._lastTemplate = globalData.allTemplates.goodsTemplateList:init(f)
elseif(type == 15)then
self._lastTemplate = globalData.allTemplates.exchangeTemplateList:init(f)
elseif(type == 20)then
self._lastTemplate = globalData.allTemplates.shopTemplateList:init(f)
elseif(type == 21)then
self._lastTemplate = globalData.allTemplates.partnerUpTemplateList:init(f)
elseif(type == 22)then
self._lastTemplate = globalData.allTemplates.popupWindowTemplateList:init(f)
elseif(type == 23)then
self._lastTemplate = globalData.allTemplates.copyTemplateList:init(f)
elseif(type == 24)then
self._lastTemplate = globalData.allTemplates.copyMissionTemplateList:init(f)
elseif(type == 25)then
self._lastTemplate = globalData.allTemplates.copyPlateTemplateList:init(f)
elseif(type == 26)then
self._lastTemplate = globalData.allTemplates.titleTemplateList:init(f)
elseif(type == 27)then
self._lastTemplate = globalData.allTemplates.strengthPropertyTemplateList:init(f)
elseif(type == 28)then
self._lastTemplate = globalData.allTemplates.strengthCostTemplateList:init(f)
elseif(type == 36)then
self._lastTemplate = globalData.allTemplates.skillTemplateList:init(f)
elseif(type == 37)then
self._lastTemplate = globalData.allTemplates.taskZhenyaoTemplateList:init(f)
elseif(type == 50)then
self._lastTemplate = globalData.allTemplates.equipStrengthTemplateList:init(f)
elseif(type == 51)then
self._lastTemplate = globalData.allTemplates.newlyGuildTemplateList:init(f)
elseif(type == 52)then
self._lastTemplate = globalData.allTemplates.leagueTemplateList:init(f)
elseif(type == 53)then
self._lastTemplate = globalData.allTemplates.taskClubTemplateList:init(f)
elseif(type == 54)then
self._lastTemplate = globalData.allTemplates.matterTemplateList:init(f)
elseif(type == 56)then
self._lastTemplate = globalData.allTemplates.shopLimitTemplateList:init(f)
elseif(type == 57)then
self._lastTemplate = globalData.allTemplates.payCountGiftTemplateList:init(f)
elseif(type == 58)then
self._lastTemplate = globalData.allTemplates.vipTemplateList:init(f)
elseif(type == 59)then
self._lastTemplate = globalData.allTemplates.dayAwardTemplateList:init(f)
elseif(type == 60)then
self._lastTemplate = globalData.allTemplates.monthAwardTemplateList:init(f)
elseif(type == 61)then
self._lastTemplate = globalData.allTemplates.activityTemplateList:init(f)
elseif(type == 64)then
self._lastTemplate = globalData.allTemplates.wuhunTemplateList:init(f)
elseif(type == 67)then
self._lastTemplate = globalData.allTemplates.payTemplateList:init(f)
elseif(type == 68)then
self._lastTemplate = globalData.allTemplates.onlineRewardsTemplateList:init(f)
elseif(type == 69)then
self._lastTemplate = globalData.allTemplates.fiveEquipTemplateList:init(f)
elseif(type == 70)then
self._lastTemplate = globalData.allTemplates.worldBossTemplateList:init(f)
elseif(type == 71)then
self._lastTemplate = globalData.allTemplates.furnaceAdvanceTemplateList:init(f)
elseif(type == 73)then
self._lastTemplate = globalData.allTemplates.fiveEquipStrengthTemplateList:init(f)
elseif(type == 76)then
self._lastTemplate = globalData.allTemplates.fiveEquipSuitTemplateList:init(f)
elseif(type == 77)then
self._lastTemplate = globalData.allTemplates.welfareLevelTemplateList:init(f)
elseif(type == 78)then
self._lastTemplate = globalData.allTemplates.fightValueUpTemplateList:init(f)
elseif(type == 83)then
self._lastTemplate = globalData.allTemplates.yichuiTemplate:init(f)
elseif(type == 84)then
self._lastTemplate = globalData.allTemplates.smelterTemplateList:init(f)
elseif(type == 86) then
self._lastTemplate = globalData.allTemplates.openTemplateList:init(f)
elseif(type == 87) then
self._lastTemplate = globalData.allTemplates.leagueWareHouseTemplateList:init(f)
elseif(type == 88) then
self._lastTemplate = globalData.allTemplates.copyCompleteAwardTemplateList:init(f)
elseif(type == 89) then
self._lastTemplate = globalData.allTemplates.defCopyMonsterTemplateList:init(f)
elseif(type == 90) then
self._lastTemplate = globalData.allTemplates.equipStrengthLevelTemplateList:init(f)
elseif(type == 92) then
self._lastTemplate = globalData.allTemplates.arenaRankTemplateList:init(f)
elseif(type == 93) then
self._lastTemplate = globalData.allTemplates.starcraftTemplateList:init(f)
elseif(type == 94) then
self._lastTemplate = globalData.allTemplates.zhuanpanTemplateList:init(f)
elseif(type == 95)then
self._lastTemplate = globalData.allTemplates.huaxingTemplateList:init(f)
elseif(type == 96)then
self._lastTemplate = globalData.allTemplates.yuanbaoTemplateList:init(f)
elseif(type == 97)then
self._lastTemplate = globalData.allTemplates.activityAchievementTemplateList:init(f)
elseif(type == 98)then
self._lastTemplate = globalData.allTemplates.marryTemplateList:init(f)
elseif(type == 99)then
self._lastTemplate = globalData.allTemplates.welfareRankAwardTemplateList:init(f)
elseif(type == 100)then
self._lastTemplate = globalData.allTemplates.consumenGiftTemplateList:init(f)
elseif(type == 101)then
self._lastTemplate = globalData.allTemplates.fashionTemplateList:init(f)
elseif(type == 102)then
self._lastTemplate = globalData.allTemplates.crossRechargeGiftTemplateList:init(f)
elseif(type == 103)then
self._lastTemplate = globalData.allTemplates.mysticalShopTemplateList:init(f)
elseif(type == 104)then
self._lastTemplate = globalData.allTemplates.chaosTemplateList:init(f)
elseif(type == 105)then
self._lastTemplate = globalData.allTemplates.operateActiveTemplateList:init(f)
elseif(type == 106)then
self._lastTemplate = globalData.allTemplates.growUpProjectTemplateList:init(f)
elseif(type == 107)then
self._lastTemplate = globalData.allTemplates.skyDreamLandTemplateList:init(f)
elseif(type == 108)then
self._lastTemplate = globalData.allTemplates.combinedActiveTemplateList:init(f)
elseif(type == 109)then
self._lastTemplate = globalData.allTemplates.oathTemplateList:init(f)
elseif(type == 110)then
self._lastTemplate = globalData.allTemplates.taoYuanTemplateList:init(f)
elseif(type == 111)then
self._lastTemplate = globalData.allTemplates.vipMallTemplateList:init(f)
elseif(type == 112)then
self._lastTemplate = globalData.allTemplates.washGoldTemplateList:init(f)
elseif(type == 113)then
self._lastTemplate = globalData.allTemplates.fashionStarTemplateList:init(f)
elseif(type == 114)then
self._lastTemplate = globalData.allTemplates.huaXingStarTemplateList:init(f)
elseif(type == 115)then
self._lastTemplate = globalData.allTemplates.wakeUpTemplateList:init(f)
elseif(type == 116)then
self._lastTemplate = globalData.allTemplates.taskWakeUpTemplateList:init(f)
elseif(type == 118)then
self._lastTemplate = globalData.allTemplates.doubleElevenViewOneTemplateList:init(f)
elseif(type == 119)then
self._lastTemplate = globalData.allTemplates.doubleElevenViewThreeTemplateList:init(f)
elseif(type == 120)then
self._lastTemplate = globalData.allTemplates.doubleElevenViewTwoTemplateList:init(f)
elseif(type == 121)then
self._lastTemplate = globalData.allTemplates.homeTemplateList:init(f)
elseif(type == 124)then
self._lastTemplate = globalData.allTemplates.landTemplateList:init(f)
elseif(type == 125)then
self._lastTemplate = globalData.allTemplates.seedTemplateList:init(f)
elseif(type == 127)then
self._lastTemplate = globalData.allTemplates.peiShiTemplateList:init(f)
elseif(type == 130)then
self._lastTemplate = globalData.allTemplates.partnerTemplateList:init(f)
elseif(type == 131)then
self._lastTemplate = globalData.allTemplates.partnerEquipTemplateList:init(f)
elseif(type == 132)then
self._lastTemplate = globalData.allTemplates.partnerSkillTemplateList:init(f)
elseif(type == 133)then
self._lastTemplate = globalData.allTemplates.partnerRatioTemplateList:init(f)
elseif(type == 135)then
self._lastTemplate = globalData.allTemplates.vipRechargeTemplateList:init(f)
elseif(type == 136)then
self._lastTemplate = globalData.allTemplates.shamTemplateList:init(f)
elseif(type == 137) then
self._lastTemplate = globalData.allTemplates.xiaofeiTemplateList:init(f)
elseif(type == 138) then
self._lastTemplate = globalData.allTemplates.arenaXHAwardTemplateList:init(f)
elseif(type == 139) then
self._lastTemplate = globalData.allTemplates.arenaAwardTemplateList:init(f)
elseif(type == 140) then
self._lastTemplate = globalData.allTemplates.zhiZunTemplateList:init(f)
elseif(type == 141)then
self._lastTemplate = globalData.allTemplates.newYearTemplateList:init(f)
elseif(type == 142)then
self._lastTemplate = globalData.allTemplates.jiFuTemplateList:init(f)
elseif(type == 143)then
self._lastTemplate = globalData.allTemplates.toWestTemplateList:init(f)
elseif(type == 144)then
self._lastTemplate = globalData.allTemplates.privilegeTemplateList:init(f)
else
print("未解析模板表："..type)
end
end
function StartController:getLoginData()
if self.firstShowLogin == true then
self.firstShowLogin = false
if globalData.childChannel == "110000" or globalData.childChannel == "000007" then
globalManager.kyPlatformSDK:luaCall({globalManager.kyPlatformSDK.getAnnouncementInfo})
else
globalManager.kyPlatformSDK:luaCall({globalManager.kyPlatformSDK.showSDKLoginPage})
globalManager.sdkHandler:startCheckLogin()
end
else
globalManager.kyPlatformSDK:luaCall({globalManager.kyPlatformSDK.showSDKLoginPage})
globalManager.sdkHandler:startCheckLogin()
end
end
function StartController:gotoSNSCenter()
globalManager.kyPlatformSDK:luaCall({globalManager.kyPlatformSDK.enterSNSCenter})
end
function StartController:login(ip,name, port)
self.startInfo.port = port
self.startInfo.name = name
self.startInfo.ip = ip
if(globalData.config:inSDK())then
self.startInfo.ip = globalManager.kyPlatformSDK:luaCall({globalManager.kyPlatformSDK.chgHostToIP,ip})
end
self._showSelectRole = true
if(globalManager.containerManager.isRelogin == false)then
self:loadConfig()
else
self:doLogin()
end
end
function StartController:loadConfig()
--datas:LoaderResult
local loadComplete = function(datas)
self:loadConfigComplete(datas)
end
local descriptComplete = function(datas)
globalManager.descriptManager:init(datas)
globalManager.loaderManager:removeAQuote(globalManager.pathManager:getDescriptPath())
end
globalManager.loaderManager:getBinary(globalManager.pathManager:getConfigPath(), loadComplete,nil,true)
globalManager.loaderManager:getBinary(globalManager.pathManager:getDescriptPath(), descriptComplete,nil,true)
end
--datas:LoaderResult
function StartController:loadConfigComplete(datas)
local tmpData = tolua.cast(datas,"LoaderResult")
local data = tmpData:getData()
local bytes = tolua.cast(data, "ByteArray")
bytes:setPosition(0)
local fileCount = bytes:readUByte()
for i = 1,fileCount,1 do
local type = bytes:readUByte()
local fileLen = bytes:readUInt()
local f = ByteArray:create(fileLen)
bytes:readBytes(f,0,fileLen)
f:setPosition(0)
if(type == 19)then
globalData.allTemplates.effectTemplateList:init(f)
else
local t = {}
table.insert(t,type)
table.insert(t,f)
table.insert(self._templateDatas,t)
end
end
globalManager.containerManager:showLoginPanel()
self._templateState = 1
globalManager.containerManager.isRelogin = true
end
function StartController:doLogin()
globalManager.containerManager:showLoginPanel()
globalData:checkExtLoaded()
--value 0:false,1:success
local socketCreateCallback = function(value)
if(value)then
self.loginResult = 1
else
self.loginResult = 0
end
globalManager.containerManager:setDebugText("connectReturn")
end
globalManager.containerManager:setDebugText("startConnect" .. self.startInfo.ip..":"..self.startInfo.port)
globalManager.messageManager:create(self.startInfo.ip,self.startInfo.port,socketCreateCallback)
end
function StartController:loadNameData()
local nameComplete = function(datas)
self.startModule.randomNameInfo = RandomNameInfo:new()
self.startModule.randomNameInfo:initData(datas)
if(self.startModule.createRoleView ~= nil) then
self.startModule.createRoleView:setRandomName()
end
end
globalManager.loaderManager:getBinary(globalManager.pathManager:getRandomNamePath(), nameComplete,nil,true)
end
function StartController:tick(delta,tickCount)
-- globalManager.tickManager:removeTick(self.tick,self)
if(self.loginResult > -1)then
if(self.loginResult == 0)then
globalManager.containerManager:setDebugText("connect fail")
--重新连接
globalManager.containerManager:showDisconnectPanel(globalManager.yuyanbaoManager:getYuyanbao("StartController.text1"))
else
globalManager.containerManager:setDebugText("connect success" .. self.startInfo.ip)
if(self._showSelectRole == true)then
self:hideLoginView(true)
globalData.messageAdder:start()
self.startModule.messageAdder:sendAccountLogin()
else
if globalData.selfPlayerInfo == nil then
self.startModule.messageAdder:sendAccountLogin()
else
self.startModule.messageAdder:sendAccountLogin(globalData.selfPlayerInfo.userId)
end
end
globalManager.containerManager:setCheckDisconnect(true)
end
self.loginResult = -1
end
if(self._templateState == 1)then
if(self._lastTemplate == nil or self._lastTemplate.parseComplete)then
if(table.getn(self._templateDatas) > 0)then
local d = table.remove(self._templateDatas,1)
self:initLastTemplate(d[1],d[2])
else
self._templateState = 2
globalManager.loaderManager:removeAQuote(globalManager.pathManager:getConfigPath())
self:doLogin()
end
else
self._lastTemplate:parse()
end
end
end
RandomNameInfo = class("RandomNameInfo",function()
local temp = {}
temp._middleArr = {}
temp._xing1Arr = {}
temp._xing2Arr = {}
temp._ming1Arr = {}
temp._ming2Arr = {}
return temp
end)
function RandomNameInfo:initData(datas)
local tmpData = tolua.cast(datas,"LoaderResult")
local bytes = tolua.cast(tmpData:getData(),"ByteArray")
bytes:setPosition(0)
local arr = globalManager.messageUtils:splitString(bytes:readString(),"#")
self._middleArr = globalManager.messageUtils:splitString(arr[1],",")
self._xing2Arr = globalManager.messageUtils:splitString(arr[2],",")
self._ming2Arr = globalManager.messageUtils:splitString(arr[3],",")
self._xing1Arr = globalManager.messageUtils:splitString(arr[4],",")
self._ming1Arr = globalManager.messageUtils:splitString(arr[5],",")
ByteArray:release(bytes)
end
function RandomNameInfo:getRandomName(isMan)
local name = ""
if(isMan == 2) then
name = name..self._xing2Arr[math.random(#self._xing2Arr)]
--        if(math.random() < 0.5) then
--            name = name..self._middleArr[math.random(#self._middleArr)]
--        end
name = name..self._ming2Arr[math.random(#self._ming2Arr)]
elseif(isMan == 1)then
name = name..self._xing1Arr[math.random(#self._xing1Arr)]
--        if(math.random() < 0.5) then
--            name = name..self._middleArr[math.random(#self._middleArr)]
--        end
name = name..self._ming1Arr[math.random(#self._ming1Arr)]
end
return name
end
StartInfo = class("StartInfo",function()
local si = EventDispatcher:new()
si.name = ""
si.ip = ""
si.port = 0
si.webPath = ""
si.time = 0
si.sign = ""
si.cm = 0
si.serverId = 0
si.channel = ""
si.roleList = nil
-- si.loginData = nil
si.agentId = 0
si.accessToken = ""
si.is_imei = 0
si.lastServer = nil
si.areaTabList = nil
si.serverList = nil
si.dataComplete = false
return si
end)
function StartInfo:setServerInfo(data)
-- local json = require("json")
-- print("##json", json.encode(data))
self.lastServer = data.ls or {}
self.areaTabList = {}
self.serverList = {}
local list = data.asl or {}
local function sortServer(a, b)
return tonumber(a.idx) < tonumber(b.idx)
end
local function sortServer2(a, b)
return tonumber(a.sid) > tonumber(b.sid)
end
for k, v in pairs(list) do
v.idx = k
v.area_info = v.ai
if #v.sl >= 2 then
table.sort(v.sl, sortServer2)
end
table.insert(self.areaTabList,v)
end
if #self.areaTabList >= 2 then
table.sort(self.areaTabList, sortServer)
end
for k,v in ipairs(self.areaTabList) do
for i = 1, #v.sl do
v.sl[i].areaIdx = k
v.sl[i].server_id = v.sl[i].sid
v.sl[i].title = v.area_info.name .. v.sl[i].tt
v.sl[i].state = v.sl[i].st
if v.sl[i].state == nil then
v.sl[i].state = v.ai.st
end
v.sl[i].is_pay = v.sl[i].p
if v.sl[i].is_pay == nil then
v.sl[i].is_pay = v.ai.p
end
v.sl[i].url = v.sl[i].url
if v.sl[i].url == nil then
v.sl[i].url = v.ai.pre .. v.sl[i].server_id .. v.ai.suf
end
if v.sl[i].msg == nil then
v.sl[i].msg = v.ai.msg
end
table.insert(self.serverList,v.sl[i])
end
end
if #self.serverList >= 2 then
table.sort(self.serverList, sortServer2)
end
-- for i = 1, #self.serverList do
--   local title = self.serverList[i].title
--   local start = (string.find(title, "S") or 0) + 1
--   local endPos = (string.find(title, "-") or 2) - 1
--   self.serverList[i].idx = tonumber(string.sub(title, start, endPos) or 0) or 0
--   -- print("#self.serverList[i].idx", self.serverList[i].idx, title)
-- end
self.name = data.un or ""
self.time = data.time or 0
self.sign = data.sign or ""
self.agentId = data.aid or 0
self.accessToken = data.access_token or ""
local tmpMei = data.im or "0"
if(tmpMei == "0")then
self.is_imei = 0
else
self.is_imei = 1
end
globalData.agentId = self.agentId
end
function StartInfo:getServer(id,force)
for i = 1, #self.serverList do
if tonumber(self.serverList[i].server_id) == tonumber(id) then
return self.serverList[i]
end
end
if force ~= nil then return nil end
-- local len = #self.serverList
-- for i = 1, len do
--     if tonumber(self.serverList[i].state) == 1 then
--         return self.serverList[i]
--     end
-- end
-- return self.serverList[1]
local res = self:getNewServerList(1)
if(#res > 0)then
return res[1]
end
return self.serverList[1]
end
function StartInfo:getNewServerList(count)
local result = {}
local infoCount = 0
for i = 1, #self.serverList do
if tonumber(self.serverList[i].state) == 3 then
table.insert(result,self.serverList[i])
infoCount = infoCount + 1
if(infoCount >= count)then
return result
end
end
end
if(infoCount < count)then
for i = 1, #self.serverList do
if tonumber(self.serverList[i].state) == 1 then
table.insert(result,self.serverList[i])
infoCount = infoCount + 1
if(infoCount >= count)then
return result
end
end
end
end
if(infoCount < count)then
for i = 1, #self.serverList do
if tonumber(self.serverList[i].state) ~= 5 and tonumber(self.serverList[i].state) ~= 1 and tonumber(self.serverList[i].state) ~= 3 then
table.insert(result,self.serverList[i])
infoCount = infoCount + 1
if(infoCount >= count)then
return result
end
end
end
end
return result
end
--roleList:vector<StartRoleInfo>
function StartInfo:setRoleList(roleList)
self.roleList = roleList
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.start_roleList,self,nil))
end
function StartInfo:clearRoleList()
--不清角色，重选角色时不用重新请求
-- if(self.roleList ~= nil)then
--     for i,info in pairs(self.roleList) do
--         info:dispose()
--         info = nil
--     end
--     self.roleList = nil
-- end
-- self.loginData = nil
end
StartRoleInfo = class("StartRoleInfo",function()
local sr = {}
sr.userId = 0
sr.sex = 0
sr.level = 0
sr.userName = ""
sr.nickName = ""
sr.serverId = 0
sr.career = 0
sr.sex = 0
return sr
end)
AccountCreateMessageHandler = class("AccountCreateMessageHandler",function(self,module)
local ac = {}
ac.module = module
local messageReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
local result = bytes:readBoolean()
local resultStr = bytes:readString()
local id = bytes:readNumber()
if(result)then
globalData.createRole = true
ac.module.messageAdder:sendAccountSelectMessage(id)
else
globalManager.tipsManager.quickTip:show(resultStr)
ac.module.startController:resetCreatePanel(resultStr)
end
end
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.ACCOUNT_CREATE,messageReturn)
return ac
end)
AccountUserReturnMessageHandler = class("AccountUserReturnMessageHandler",function(self,module)
local au = {}
au.startModule = module
--mess:MessageIn
local messageReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
local weekVersion = bytes:readShort()
local endHandler = function()
globalManager.messageManager:gameExit(0)
end
if weekVersion ~= globalData.weekVersion then
-- 重启游戏进行更新
Alert:new():show(1,globalManager.yuyanbaoManager:getYuyanbao("AccountUserReturnMessageHandler.text1"),nil,0,self,endHandler)
else
local len = bytes:readShort()
local list = {}
for i = 1,len,1 do
local role = StartRoleInfo:new()
role.userId = bytes:readNumber()
role.sex = bytes:readByte()
role.level = bytes:readInt()
role.userName = bytes:readString()
role.nickName = bytes:readString()
role.serverId = bytes:readShort()
role.career = bytes:readByte()
if(role.career == 1) then
role.sex = 1
else
role.sex = 2
end
table.insert(list, role)
end
au.startModule.startInfo:setRoleList(list)
end
end
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.ACCOUNT_USRE_RETURN,messageReturn)
return au
end)
LoginGameMessageHandler = class("LoginGameMessageHandler",function(self,module)
local lg = {}
lg.startModule = module
--mess:MessageIn
local messageReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
local endHandler = function()
globalManager.messageManager:gameExit(0)
end
local weekVersion = bytes:readShort()
if weekVersion ~= globalData.weekVersion then
-- 重启游戏进行更新
Alert:new():show(1,globalManager.yuyanbaoManager:getYuyanbao("AccountUserReturnMessageHandler.text1"),nil,0,self,endHandler)
return
end
local serverList = {}
globalData.openTime = bytes:readInt()
globalData.systemDateInfo:setTimeZone(bytes:readUByte())
local len = bytes:readShort()
for i = 1,len,1 do
table.insert(serverList, bytes:readShort())
end
globalData.serverList = serverList
local userId = bytes:readNumber()
local newLogin = false
if(globalData.selfPlayerInfo == nil)then
newLogin = true
globalData.selfPlayerInfo = SelfPlayerInfo:new()
else
globalData.selfPlayerInfo:resetCharacter()
end
globalData.selfPlayerInfo.userId = userId
globalManager.messageUtils:setSelfPlayer(globalData.selfPlayerInfo,bytes)
globalManager:selfPlayerInit()
globalData.selfPlayerInfo:changeInfo()
local map = bytes:readInt()
local toSceneData = nil
lg.startModule.startController:clearAllView()
if(newLogin)then
toSceneData = ToSceneData:new(-1,-1,-1,false)
else
toSceneData = ToSceneData:new(map,-1,-1,true)
end
--服务器发送的秒单位，转换为毫秒
--创号时间
globalData.registerDate = bytes:readInt() * 1000
--合服日期
globalData.combinedTime = bytes:readInt()
--合服时间更新
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.quickIcon_combinedActiveTimeUpdate,globalManager.gameDispatcher,nil))
--开服时间
--globalData.openServerDate = bytes:readInt() * 1000
if(globalData.selfPlayerInfo.level == 1) then
globalManager.sourceCacheManager:addQuote(globalManager.pathManager:getUISource("outPic/welcome.png"),false,nil,globalData.allStaticTypes.sourceStaticType.clearFiveM)
end
globalManager.kyPlatformSDK:luaCall( { globalManager.kyPlatformSDK.sendData, "setPlayerInfo",
userId, globalData.selfPlayerInfo.nick, globalData.selfPlayerInfo.level, globalData.selfPlayerInfo.moneyInfo.gold,
globalData.selfPlayerInfo.serverId, globalData.serverName, globalData.selfPlayerInfo.uniteName, globalData.selfPlayerInfo.vipLevel, globalData.selfPlayerInfo.shortAccount } )
globalManager.kyPlatformSDK:luaCall( { globalManager.kyPlatformSDK.sendData, "setAccessToken", lg.startModule.startInfo.accessToken } )
if globalData.createRole == true then
globalData.createRole = false
globalManager.kyPlatformSDK:luaCall( { globalManager.kyPlatformSDK.sendData, "createRole", globalData.selfPlayerInfo.nick } )
end
globalManager.kyPlatformSDK:luaCall( { globalManager.kyPlatformSDK.sendData, "enterGameServer", globalData.selfPlayerInfo.serverId, userId, globalData.selfPlayerInfo.nick } )
local appStorePayData = globalManager.commonUtils:readStringKey( "appStorePayData" )
if appStorePayData ~= nil and appStorePayData ~= "" then
-- 正版重发订单信息
local function paySuccessCallback(mess)
local loaderResult = tolua.cast(mess, "LoaderResult")
local vals = loaderResult:getStrData()
print("#paySuccess Callback", vals)
vals = string.gsub(vals,"\\/","/")
if vals == "success" then
globalManager.commonUtils:writeStringKey( "appStorePayData", "" )
end
end
local url = appStorePayData
print("#enter server repost payData")
globalManager.loaderManager:getRemote(url, paySuccessCallback)
end
globalManager.moduleManager:addModule(globalData.allStaticTypes.moduleType.scene,toSceneData,false)
if(globalData.config.sdkId == globalManager.kyPlatformSDK.ARUC)then
globalManager.kyPlatformSDK:callCustomFunc("uc1~!@#"..tostring(userId).."~!@#"..globalData.selfPlayerInfo.nick.."~!@#"..tostring(globalData.selfPlayerInfo.level).."~!@#"..tostring(globalData.selfPlayerInfo.serverId).."~!@#"..globalData.serverName)
elseif(globalData.config.sdkId == globalManager.kyPlatformSDK.ARKUGOU)then
globalManager.kyPlatformSDK:callCustomFunc("kugou1~!@#"..globalData.selfPlayerInfo.nick.."~!@#"..tostring(globalData.selfPlayerInfo.level))
elseif(globalData.config.sdkId == globalManager.kyPlatformSDK.ARKUGOU)then
globalManager.kyPlatformSDK:callCustomFunc("{t:1,sid:"..tostring(globalData.selfPlayerInfo.serverId).."}")
end
end
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.LOGIN,messageReturn)
return lg
end)
StartLibMessageSender = class("StartLibMessageSender",function()
local ss = {}
ss.startModule = nil
ss.startInfo = nil
ss.accountUserReturnMessageHandler = nil
ss.loginGameMessageHandler = nil
return ss
end)
function StartLibMessageSender:add(module)
self.startModule = module
self.startInfo = self.startModule.startInfo
self.accountCreate = AccountCreateMessageHandler:new(module)
self.accountUserReturnMessageHandler = AccountUserReturnMessageHandler:new(module)
self.loginGameMessageHandler = LoginGameMessageHandler:new(module)
end
function StartLibMessageSender:sendAccountLogin(userId)
if(userId == nil)then
userId = 0
end
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.ACCOUNT_LOGIN)
messOut:writeShort(self.startInfo.serverId)
messOut:writeInt(self.startInfo.time)
messOut:writeByte(self.startInfo.cm)
messOut:writeNumber(userId)
messOut:writeByte(self.startInfo.is_imei)
messOut:writeString(self.startInfo.name)
messOut:writeString(self.startInfo.sign)
messOut:writeShort(self.startInfo.agentId)
globalManager.messageManager:send(messOut)
end
--career:int,serverId:int,nickName:string
function StartLibMessageSender:sendAccountRoleCreate(career,serverId,nickName)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.ACCOUNT_CREATE)
messOut:writeByte(career)
messOut:writeInt(serverId)
messOut:writeString(nickName)
globalManager.messageManager:send(messOut)
end
--id:Number
function StartLibMessageSender:sendAccountSelectMessage(id)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.ACCOUNT_SELECT)
messOut:writeNumber(id)
globalManager.messageManager:send(messOut)
end
function StartLibMessageSender:sendDeleteRole(id)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.ACCOUNT_DELETE)
messOut:writeNumber(id)
globalManager.messageManager:send(messOut)
end
StartModule = class("StartModule",function(self)
local sm = BaseModule:new()
sm.startInfo = nil
sm.startController = nil
sm.messageAdder = nil
sm.loginView = nil
sm.registerView = nil
sm.serverView = nil
sm.quickEnterView = nil
sm.createRoleView = nil
sm.selectRoleView = nil
sm.randomNameInfo = nil
return sm
end)
--override
function StartModule:getModuleType()
return globalData.allStaticTypes.moduleType.startLib
end
--override
function StartModule:setup(data)
self.startInfo = StartInfo:new()
self.startController = StartController:new(self)
self.messageAdder = StartLibMessageSender:new()
self.messageAdder:add(self)
self:configure(data)
end
--override
function StartModule:configure(data)
if(self.startController.loadUIComplete)then
if(data.showIndex == 1)then
self.startController:showLoginView()
elseif(data.showIndex == 2)then
self.startController:showSelectRoleView()
end
else
self.startController:loadUIData()
end
end
SevenDaysPanel = class("SevenDaysPanel",function(self,controller)
local temp = globalManager.ccCreator:newJsonWidget("sevenDaysPanel")
temp.awardList = {}
for i=1, 5 do
local cellBG = temp:getChildByName("award"..i)
local cell = GoodsInfoGrid:new()
--cell:setPosition(cell:getPositionX()-37,cell:getPositionY() + 34)
cellBG:addChild(cell)
table.insert(temp.awardList,cell)
end
temp.showItem = {}
temp.hasGotItem = {}
for i = 1, 7 do
table.insert(temp.showItem,temp:getChildByName("bg"):getChildByName("showItem"..i))
table.insert(temp.hasGotItem,temp:getChildByName("bg"):getChildByName("showItem"..i):getChildByName("hasGotItem"..i))
temp.hasGotItem[i]:setVisible(false)
end
temp.bg = temp:getChildByName("bg")
temp._bgPath = globalManager.pathManager:getUISource("outPic/sevenDays.png")
temp._bgPath2 = globalManager.pathManager:getUISource("outPic/select_icon.png")
temp.selectCycle = temp:getChildByName("bg"):getChildByName("ImageView_893503")
--temp.showItemIcon = temp:getChildByName("bg"):getChildByName("showItems")
--temp.showItemIcon:setPositionY(temp.showItemIcon:getPositionY() - 15)
temp.getBtn = temp:getChildByName("getBtn")
temp:getChildByName("getBtn"):getChildByName("btn_label"):setText(globalManager.yuyanbaoManager:getYuyanbao("WelfareVipItemView.text2"))
temp.totalloginDays = temp:getChildByName("totalloginDays")
--temp.loginDays = temp:getChildByName("loginDays")
temp.selectedDay = 1
temp._controller = controller
temp.effect = nil
temp.goodsinfoList = {}
--temp.showPaht = nil
return temp
end)
function SevenDaysPanel:ctor()
globalManager.sourceCacheManager:setImage(self.bg,self._bgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
globalManager.sourceCacheManager:setImage(self.selectCycle,self._bgPath2,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self:initView()
self:initEvent()
globalData.messageAdder:getDayAwardInfo()
end
function SevenDaysPanel:initView()
local day
if globalManager.commonUtils:getIndexOfTable(globalData.welfareInfo.loginDays,i) ~= -1 then
day = globalData.welfareInfo.loginDays + 1
else
day = globalData.welfareInfo.loginDays
end
self:selectDays(globalData.welfareInfo.loginDays)--(day == 7 and 7 or day))
self.totalloginDays:setStringValue(globalData.welfareInfo.loginDays)
-- if globalData.welfareInfo.loginDays <= 2 then
-- 	self.showPaht = globalManager.pathManager:getUISource("outPic/item_3.png")
-- 	self.loginDays:setStringValue("2")
-- elseif globalData.welfareInfo.loginDays > 2 and globalData.welfareInfo.loginDays <= 7 then
-- 	self.showPaht = globalManager.pathManager:getUISource("outPic/item_7.png")
-- 	self.loginDays:setStringValue("7")
-- end
--globalManager.sourceCacheManager:setImage(self.showItemIcon,self.showPaht,globalData.allStaticTypes.sourceStaticType.clearFiveM)
for i =1, 7 do
if globalManager.commonUtils:getIndexOfTable(globalData.welfareInfo.loginAwardDays,i) ~= -1 then
self.hasGotItem[i]:setVisible(true)
end
end
end
function SevenDaysPanel:initEvent()
local function itemClick(sender,eventType)
-- body
if(eventType == TOUCH_EVENT_ENDED) then
local index = globalManager.commonUtils:getIndexOfTable(self.showItem,sender)
self:selectDays(index)
end
end
local function getClick(sender,eventType)
-- body
if eventType == TOUCH_EVENT_ENDED then
self._controller.module.message:gainDayAward(self.selectedDay)
if(self.effect ~= nil) then
self.effect:dispose()
self.effect = nil
end
self.hasGotItem[self.selectedDay]:setVisible(true)
self.getBtn:getChildByName("btn_label"):setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel36"))
self.getBtn:loadTextureNormal("btn/ui_tabBtn1_5.png", 1)
self.getBtn:setTouchEnabled(false)
for i=1,7 do
if i ~= self.selectedDay then
if globalManager.commonUtils:getIndexOfTable(globalData.welfareInfo.loginAwardDays,i) == -1 then
self:selectDays(i)
break
end
end
end
end
end
for i=1, 7 do
self.showItem[i]:addTouchEventListener(itemClick)
end
self.getBtn:addTouchEventListener(getClick)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.newly_welfareLoginAccept,self.guideGetFristDayAward,self)
end
function SevenDaysPanel:guideGetFristDayAward()
-- body
self._controller.module.message:gainDayAward(self.selectedDay)
self.hasGotItem[self.selectedDay]:setVisible(true)
self.getBtn:setEnabled(false)
end
function SevenDaysPanel:selectDays(index)
-- body
self.selectCycle:setPositionX(self.showItem[index]:getPositionX())
local list = globalData.allTemplates.dayAwardTemplateList.list
self.selectedDay = list[index].day
for k,v in pairs(list[index].awardList) do
if k <= 5 then
local goodsinfo = GoodsInfo:new()
goodsinfo:setTemplateId(v[1])
goodsinfo.count = v[2]
if(v[3] ~= nil) then
goodsinfo:updateStrengthLevel(v[3])
end
if(v[4] ~= nil) then
goodsinfo.stage = v[4]
end
self.awardList[k]:setGoodsInfo(goodsinfo)
table.insert(self.goodsinfoList,goodsinfo)
end
end
if(list[index].day > globalData.welfareInfo.loginDays)then
self.getBtn:setEnabled(true)
self.getBtn:loadTextureNormal("btn/ui_tabBtn1_5.png",1)
self.getBtn:getChildByName("btn_label"):setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel37"))
self.getBtn:setTouchEnabled(false)
if(self.effect ~= nil) then
self.effect:dispose()
self.effect = nil
end
else
self.getBtn:loadTextureNormal("btn/ui_tabBtn1_4.png",1)
self.getBtn:setTouchEnabled(true)
if(self.effect == nil) then
self.effect = globalManager.effectCreator:create(79)
self.effect:move2(self.getBtn,0,0)
self.getBtn:addNode(self.effect,0)
self.effect:play()
end
local index1 = globalManager.commonUtils:getIndexOfTable(globalData.welfareInfo.loginAwardDays,list[index].day)
if(index1 == -1)then
self.getBtn:setEnabled(true)
self.getBtn:getChildByName("btn_label"):setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel37"))
else
if(self.effect ~= nil) then
self.effect:dispose()
self.effect = nil
end
self.getBtn:getChildByName("btn_label"):setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel63"))
self.getBtn:loadTextureNormal("btn/ui_tabBtn1_5.png", 1)
self.getBtn:setTouchEnabled(false)
end
end
end
function SevenDaysPanel:removeEvent()
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.newly_welfareLoginAccept,self.guideGetFristDayAward,self)
end
function SevenDaysPanel:dispose()
self:removeEvent()
for k ,v in pairs(self.awardList) do
if(v ~= nil)then
v:dispose()
v = nil
end
end
self.awardList = nil
self.showItem = nil
globalManager.sourceCacheManager:removeQuote(self._bgPath)
globalManager.sourceCacheManager:removeQuote(self._bgPath2)
--globalManager.sourceCacheManager:removeQuote(self.showPaht)
--self.showPaht = nil
self._bgPath2 = nil
self._bgPath = nil
self.bg = nil
for k, v in pairs(self.goodsinfoList) do
if(v ~= nil)then
v:dispose()
v = nil
end
end
self.goodsinfoList = nil
self.selectCycle = nil
--self.showItemIcon = nil
self.getBtn = nil
self.totalloginDays = nil
self.hasGotItem = nil
--self.loginDays = nil
self.selectedDay = nil
self._controller = nil
if(self.effect ~= nil)then
self.effect:dispose()
self.effect = nil
end
globalManager.ccCreator:release(self)
end
WelfareLoginItemView = class("WelfareLoginItemView", function(self,controller)
local temp = globalManager.ccCreator:newJsonWidget("WelfareLoginItemView")
temp._controller = controller
temp._awardTemp = nil
temp._dayLabel = temp:getChildByName("dayLabel")
temp._getBtn = temp:getChildByName("getBtn")
temp._grids = {}
temp._infos = {}
for i=1,3 do
local gridBg = temp:getChildByName("bagCell" .. i)
local grid = GoodsInfoGrid:new(true)
grid:setPosition(cc.p(3,-5))
gridBg:addChild(grid)
table.insert(temp._grids,grid)
end
temp:getChildByName("dayLabel_xx"):setText(globalManager.yuyanbaoManager:getYuyanbao("WelfareLoginItemView.text1"))
temp:getChildByName("dayLabel_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel6"))
temp._getBtn:getChildByName("btn_label"):setText(globalManager.yuyanbaoManager:getYuyanbao("WelfareLoginItemView.text3"))
temp.effect = nil
return temp
end)
function WelfareLoginItemView:ctor()
self:initEvent()
end
function WelfareLoginItemView:initEvent()
local function buttonTouchHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self._controller.module.message:gainDayAward(self._awardTemp.day)
end
end
self._getBtn:addTouchEventListener(buttonTouchHandler)
end
function WelfareLoginItemView:setData(data)
self._awardTemp = data
self:initView()
end
function WelfareLoginItemView:initView()
if(self._awardTemp == nil)then return end
self._dayLabel:setText(self._awardTemp.day)
for i=1,3 do
if(self._awardTemp.awardList[i] ~= nil)then
local info = GoodsInfo:new()
info:setTemplateId(self._awardTemp.awardList[i][1])
info.count = self._awardTemp.awardList[i][2]
info.strengthLevel = self._awardTemp.awardList[i][3]
info.stage = self._awardTemp.awardList[i][4]
self._grids[i]:setGoodsInfo(info)
table.insert(self._infos,info)
end
end
end
function WelfareLoginItemView:updateView()
if(self._awardTemp.day > globalData.welfareInfo.loginDays)then
self._getBtn:loadTextureNormal("btn/ui_tabBtn1_5.png",1)
self._getBtn:setTouchEnabled(false)
if(self.effect ~= nil) then
self.effect:dispose()
self.effect = nil
end
else
self._getBtn:loadTextureNormal("btn/ui_tabBtn1_4.png",1)
self._getBtn:setTouchEnabled(true)
if(self.effect == nil) then
self.effect = globalManager.effectCreator:create(79)
self.effect:move2(self._getBtn,0,0)
self._getBtn:addNode(self.effect,0)
self.effect:play()
end
local index = globalManager.commonUtils:getIndexOfTable(globalData.welfareInfo.loginAwardDays,self._awardTemp.day)
if(index == -1)then
self._getBtn:setEnabled(true)
else
self._getBtn:setEnabled(false)
end
end
end
function WelfareLoginItemView:accept()
if(self._getBtn:isEnabled()) then
self._controller.module.message:gainDayAward(self._awardTemp.day)
end
end
function WelfareLoginItemView:dispose()
self._controller = nil
self._awardTemp = nil
self._dayLabel = nil
self._getBtn = nil
if(self.effect ~= nil) then
self.effect:dispose()
self.effect = nil
end
for __,grid in pairs(self._grids) do
grid:dispose()
grid = nil
end
self._grids = nil
for __,info in pairs(self._infos) do
info:dispose()
info = nil
end
self._infos = nil
globalManager.ccCreator:release(self)
end
WelfareLoginView = class("WelfareLoginView", function(self,controller)
local temp = globalManager.ccCreator:newJsonWidget("WelfareLoginView")
temp._controller = controller
temp._listView = temp:getChildByName("listView")
temp._listView:setItemsMargin(10)
temp._itemList = {}
return temp
end)
function WelfareLoginView:ctor()
self:initData()
self:initView()
self:initEvent()
end
function WelfareLoginView:initData()
globalData.messageAdder:getDayAwardInfo()
end
function WelfareLoginView:initView()
for __,data in pairs(globalData.allTemplates.dayAwardTemplateList.list) do
local item = WelfareLoginItemView:new(self._controller)
item:setData(data)
self._listView:pushBackCustomItem(item)
table.insert(self._itemList,item)
end
self:updateView()
end
function WelfareLoginView:initEvent()
globalData.welfareInfo:addEventListener(globalData.globalEventType.playerInfo_loginUpdate,self.loginUpdateHander,self)
--globalManager.gameDispatcher:addEventListener(globalData.globalEventType.newly_welfareLoginAccept,self.welfareLoginAccept,self)
end
function WelfareLoginView:removeEvent()
globalData.welfareInfo:removeEventListener(globalData.globalEventType.playerInfo_loginUpdate,self.loginUpdateHander,self)
--globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.newly_welfareLoginAccept,self.welfareLoginAccept,self)
end
function WelfareLoginView:loginUpdateHander(evt)
self:updateView()
end
function WelfareLoginView:welfareLoginAccept(evt)
if(self._itemList[1] ~= nil) then
self._itemList[1]:accept()
end
end
function WelfareLoginView:updateView()
for __,item in pairs(self._itemList) do
item:updateView()
end
--第一、二天领取后列表会往上滚，以看到下方的奖励
local dayIndex1 = globalManager.commonUtils:getIndexOfTable(globalData.welfareInfo.loginAwardDays,1)
local dayIndex2 = globalManager.commonUtils:getIndexOfTable(globalData.welfareInfo.loginAwardDays,2)
if(dayIndex1 ~= -1)then
if(dayIndex2 ~= -1)then
self._listView:scrollToPercentVertical(100, 1, true)
else
self._listView:scrollToPercentVertical(50, 1, true)
end
end
end
function WelfareLoginView:dispose()
self:removeEvent()
self._controller = nil
self._listView = nil
for __,item in pairs(self._itemList) do
item:dispose()
item = nil
end
self._itemList = nil
globalManager.ccCreator:release(self)
end
WelfareNoticeView = class("WelfareNoticeView", function(self,controller)
local temp = globalManager.ccCreator:newJsonWidget("WelfareNoticeView")
temp._controller = controller
temp._scrollView = temp:getChildByName("scroll_View")
temp._titleBg = temp:getChildByName("titleBg")
temp._titleBg:setPosition(394,508)
temp._path   = globalManager.pathManager:getUISource("outPic/welfareSign_bg.png")
temp._infoLabel = globalManager.ccCreator:newRichLabel2(nil,700)
temp:getChildByName("btnLabel_Copy1"):setText(globalManager.yuyanbaoManager:getYuyanbao("WelfarePanel.text8"))
return temp
end)
function WelfareNoticeView:ctor()
globalManager.sourceCacheManager:setImage(self._titleBg,self._path,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self._infoLabel:setText(self._controller:getNotice())
local height = self._infoLabel:getHeight()
self._scrollView:addChild(self._infoLabel,3)
if(height < 440) then
self._infoLabel:setPosition(25,410)
else
self._infoLabel:setPosition(25,height - 30)
end
self._scrollView:setInnerContainerSize(globalManager.ccCreator:newSize(720,height+30))
end
function WelfareNoticeView:dispose()
globalManager.sourceCacheManager:removeQuote(self._path)
self._path = nil
self._titleBg = nil
self._scrollView = nil
if(self._infoLabel ~= nil) then
self._infoLabel:dispose()
self._infoLabel = nil
end
self._controller = nil
globalManager.ccCreator:release(self)
end
WelfarePanel = class("WelfarePanel", function(self,controller)
local temp = BasePanel:new()
temp._controller = controller
temp._BasePanelDispose = temp.dispose
-- temp._backgroud = globalManager.ccCreator:newImageView("ui_board2.png",1)
-- temp._backgroud:ignoreContentAdaptWithSize(false)
-- temp._backgroud:setAnchorPoint(cc.p(0,0))
-- temp._backgroud:setScale9Enabled(true)
-- temp._backgroud:setCapInsets(cc.rect(15,280,10,280))
-- temp._backgroud:setSize(cc.size(788,560))
-- temp._backgroud:setPosition(cc.p(168,4))
-- temp:addChild(temp._backgroud)
temp._tabGroup = nil
temp._subViews = {}
return temp
end)
function WelfarePanel:ctor()
self:initView()
self:initEvent()
self:popDataUpdate(nil)
self:loginUpdateHander()
end
function WelfarePanel:initView()
self._tabGroup = TabGroup:new(2)
self._tabGroup:setData({
globalManager.yuyanbaoManager:getYuyanbao("WelfarePanel.text1"),
globalManager.yuyanbaoManager:getYuyanbao("WelfarePanel.text9"),
globalManager.yuyanbaoManager:getYuyanbao("WelfarePanel.text2"),
globalManager.yuyanbaoManager:getYuyanbao("WelfarePanel.text5"),
globalManager.yuyanbaoManager:getYuyanbao("WelfarePanel.text6"),
globalManager.yuyanbaoManager:getYuyanbao("WelfarePanel.text8")},self.setTabIndex,self,1)
self._tabGroup:setPosition(cc.p(86,530))
self:addChild(self._tabGroup)
if(globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.welfareSignLevel) then
self._tabGroup:setTabEnable(1,false)
end
if(globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.welfareZhiZunLevel)then
self._tabGroup:setTabEnable(2,false)
end
if(globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.welfareLoginLevel or #globalData.welfareInfo.loginAwardDays >= 7) then
self._tabGroup:setTabEnable(3,false)
end
if(globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.welfareExpExchangeLevel)then
self._tabGroup:setTabEnable(5,false)
end
local openTime = globalData.openTime
local systemTime = math.floor(globalData.systemDateInfo:getSystemTime() / 1000)
local openDay = math.ceil((systemTime - openTime) / (3600 * 24))
if(globalData.selfPlayerInfo.level < globalData.newModuleLevelConfig.welfareSignLevel or self._controller:getNotice() == "")then
self._tabGroup:setTabEnable(6,false)
end
if(globalData:isShenHe()) then
self._tabGroup:setTabEnable(2,false)
self._tabGroup:setTabEnable(4,false)
end
end
function WelfarePanel:initEvent()
globalData.welfareInfo:addEventListener(globalData.globalEventType.playerInfo_loginUpdate,self.loginUpdateHander,self)
globalManager.playerInfoTester:addEventListener(globalData.globalEventType.quickIcon_popData,self.popDataUpdate,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.newly_welfareChangeTab,self.welfareChangeTabHandler,self)
end
function WelfarePanel:removeEvent()
globalData.welfareInfo:removeEventListener(globalData.globalEventType.playerInfo_loginUpdate,self.loginUpdateHander,self)
globalManager.playerInfoTester:removeEventListener(globalData.globalEventType.quickIcon_popData,self.popDataUpdate,self)
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.newly_welfareChangeTab,self.welfareChangeTabHandler,self)
end
function WelfarePanel:welfareChangeTabHandler(evt)
self._tabGroup:setIndex(evt.data)
end
function WelfarePanel:jumpToTab(index)
self._tabGroup:setIndex(index)
end
function WelfarePanel:loginUpdateHander(evt)
--判断是否领完7日登陆，领完则不显示按钮
if(#globalData.welfareInfo.loginAwardDays < 7 and globalData.selfPlayerInfo.level >= globalData.newModuleLevelConfig.welfareLoginLevel)then
self._tabGroup:setTabEnable(3,true)
end
end
function WelfarePanel:setTabIndex(index)
if(self._subViews[index] == nil)then
if(index == 1)then
self._subViews[index] = WelfareSignView:new(self._controller)
self._subViews[index]:setPosition(cc.p(167,5))
elseif(index == 3)then
self._subViews[index] = SevenDaysPanel:new(self._controller)
self._subViews[index]:setPosition(cc.p(171,15))
elseif(index == 4)then
self._subViews[index] = WelfareGiftView:new(self._controller)
self._subViews[index]:setPosition(cc.p(168,5))
elseif(index == 6) then
self._subViews[index] = WelfareNoticeView:new(self._controller)
self._subViews[index]:setPosition(cc.p(167,5))
elseif(index == 5)then
self._subViews[index] = WelfareExpView:new(self._controller)
self._subViews[index]:setPosition(cc.p(168,5))
elseif(index == 2)then
self._subViews[index] = WelfareZhiZunView:new(self._controller)
self._subViews[index]:setPosition(cc.p(168,6))
end
end
for k,view in pairs(self._subViews) do
if(k == index)then
if(view:getParent() == nil)then
self:addChild(view)
end
else
if(view:getParent() ~= nil)then
view:removeFromParent()
end
end
end
end
function WelfarePanel:popDataUpdate(evt)
if(evt == nil or evt.data == globalManager.playerInfoTester.signPopType or evt.data == globalManager.playerInfoTester.loginPopType
or evt.data == globalManager.playerInfoTester.giftPopType ) then
if(globalManager.playerInfoTester._signNum > 0) then
self._tabGroup:getTabBtns()[1]:setShowPop(true)
else
self._tabGroup:getTabBtns()[1]:setShowPop(false)
end
if(globalManager.playerInfoTester._loginNum > 0) then
self._tabGroup:getTabBtns()[3]:setShowPop(true)
else
self._tabGroup:getTabBtns()[3]:setShowPop(false)
end
if(globalManager.playerInfoTester._giftNum > 0) then
self._tabGroup:getTabBtns()[2]:setShowPop(true)
else
self._tabGroup:getTabBtns()[2]:setShowPop(false)
end
end
end
function WelfarePanel:dispose()
self:removeEvent()
self._controller = nil
-- globalManager.ccCreator:release(self._backgroud)
-- self._backgroud = nil
if(self._tabGroup ~= nil)then
self._tabGroup:dispose()
self._tabGroup = nil
end
if(self._subViews) then
for __,view in pairs(self._subViews) do
view:dispose()
view = nil
end
self._subViews = nil
end
self._BasePanelDispose(self)
self._BasePanelDispose = nil
end
WelfareNewAwardItem = class("WelfareNewAwardItem", function(self,index)
local temp = globalManager.ccCreator:newJsonWidget("commonRankItem")
temp.index = index
temp.flagIcon    = temp:getChildByName("flagIcon")
temp.flagNumber  = temp:getChildByName("flagNumber")
temp.flagIcon:setVisible(false)
temp.flagNumber:setVisible(false)
temp.cellBg      = temp:getChildByName("cell")
temp.cell        = BaseGrid:new()
temp.cellBg:addChild(temp.cell)
temp.nameLabel   = temp:getChildByName("nameLabel")
temp.playerName  = temp:getChildByName("playerName")
temp.fightLabel  = temp:getChildByName("fightLabel")
temp.playerNameLabel = temp:getChildByName("playerNameLabel")
temp.fightValue  = temp:getChildByName("fightValue")
temp.rankIcon = temp:getChildByName("rankIcon")
temp.playerNameLabel:setText("")
temp.fightValue:setText("")
return temp
end)
function WelfareNewAwardItem:ctor()
self:initEvent()
self.rankIcon:loadTexture("icon/ui_copyNo"..self.index..".png",1)
end
function WelfareNewAwardItem:initEvent()
end
function WelfareNewAwardItem:removeEvent()
end
function WelfareNewAwardItem:setData(type,info,index)
if(type == 1)then
self.playerName:setText(globalManager.yuyanbaoManager:getYuyanbao("OpenView6sItem.text1"))
self.fightLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("OpenView6sItem.text3"))
elseif(type == 12)then
self.playerName:setText(globalManager.yuyanbaoManager:getYuyanbao("OpenView6sItem.text1"))
self.fightLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("MarryApplyPanel.text2"))
elseif(type == 13)then
self.playerName:setText(globalManager.yuyanbaoManager:getYuyanbao("OpenView6sItem.text5"))
self.fightLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("OpenView6sItem.text4"))
end
self.cell:setGoodsTempInfo(globalData.allTemplates.goodsTemplateList:getTemplate(info[1]))
self.cell:setCount(1)
self.nameLabel:setText(globalData.allTemplates.goodsTemplateList:getTemplate(info[1]).name .."x"..info[2] )
end
function WelfareNewAwardItem:setUpdata(info,type)
if(type == 1)then
if(info == nil or info == "")then
self.playerNameLabel:setText("")
self.fightValue:setText("")
else
self.playerNameLabel:setText(info.userName)
self.fightValue:setText(info.level)
end
elseif(type == 12)then
if(info == nil or info == "")then
self.playerNameLabel:setText("")
self.fightValue:setText("")
else
self.playerNameLabel:setText(info.userName)
self.fightValue:setText(info.personFight)
end
elseif(type == 13)then
if(info == nil or info == "")then
self.playerNameLabel:setText("")
self.fightValue:setText("")
else
self.playerNameLabel:setText(info.clubName)
self.fightValue:setText(info.othersFight)
end
end
end
function WelfareNewAwardItem:dispose()
self:removeEvent()
self.cellBg  = nil
if(self.cell ~= nil)then
self.cell:dispose()
self.cell = nil
end
self.rankLabel   = nil
self.flagIcon    = nil
self.flagNumber  = nil
self.nameLabel   = nil
self.playerName  = nil
self.fightLabel  = nil
self.playerNameLabel = nil
self.fightValue  = nil
self.rankIcon = nil
globalManager.ccCreator:release(self)
end
WelfareSignGetAward = class("WelfareSignGetAward",function(self,parent,controller)
local temp = globalManager.ccCreator:newJsonWidget("getBoxAwardPanel")
temp._controller = controller
temp:getChildByName("Label_367228"):setText("")
temp:getChildByName("ok_btn_Copy0"):getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("MarryRingTip.text3"))
temp._goodsGrid = {temp:getChildByName("grid_bg_Copy0")}
temp._goodsName = {temp:getChildByName("Label_367228")}
temp._okBtn = temp:getChildByName("ok_btn_Copy0")
temp._parent = parent
temp._goodsInfos = {}
temp._gridList = {}
temp.info = nil
return temp
end)
function WelfareSignGetAward:ctor()
self:initEvent()
end
function WelfareSignGetAward:initEvent()
local okBtnHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
--self._controller.module.message:monthAwardSign()
if self.info.day == 7 and #globalData.welfareInfo.signAwardDays == 6 then
self._controller.module.message:getSevenDay()
else
self._controller.module.message:gainMonthAward()--self.info.day)
end
self._parent:closeGetAwardPanel()
end
end
self._okBtn:addTouchEventListener(okBtnHandler)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.newly_welfareSignAward,self.welfareSignHandler,self)
end
function WelfareSignGetAward:removeEvent()
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.newly_welfareSignAward,self.welfareSignHandler,self)
end
function WelfareSignGetAward:welfareSignHandler(evt)
--self._controller.module.message:monthAwardSign()
self._controller.module.message:gainMonthAward()
self._parent:closeGetAwardPanel()
end
function WelfareSignGetAward:setData(info)
local index = 1
self.info = info
if(info ~= nil) then
local grid = GoodsInfoGrid:new()
local goodsinfo = GoodsInfo:new()
goodsinfo:setTemplateId(info.awardList[1])
goodsinfo.count = info.awardList[2]
if(info.awardList[3] ~= nil) then
goodsinfo:updateStrengthLevel(info.awardList[3])
end
if(info.awardList[4] ~= nil) then
goodsinfo.stage = info.awardList[4]
end
table.insert(self._goodsInfos,goodsinfo)
grid:setGoodsInfo(goodsinfo)
self._goodsGrid[index]:addChild(grid)
table.insert(self._gridList,grid)
index = index + 1
local templateInfo = globalData.allTemplates.goodsTemplateList:getTemplate(info.awardList[1])
self._goodsName[1]:setText(templateInfo.name .. "X" .. info.awardList[2])
end
end
function WelfareSignGetAward:dispose()
self:removeEvent()
self._goodsGrid = nil
self._goodsName = nil
self._controller = nil
if(self._goodsInfos ~= nil) then
for __,info in pairs(self._goodsInfos) do
info:dispose()
end
self._goodsInfos = nil
end
self._okBtn = nil
if(self._gridList ~= nil) then
for __,grid in pairs(self._gridList) do
grid:dispose()
end
self._gridList = nil
end
self._parent = nil
globalManager.ccCreator:release(self)
end
WelfareSignItem = class("WelfareSignItem", function(self,date,index,maxday,times)
local temp = globalManager.ccCreator:newJsonWidget("WelfareSignItem")
temp._flag = temp:getChildByName("flag")
if(globalData.isPay ~= 1) then
temp._flag:setVisible(false)
end
temp._gird = temp:getChildByName("signItem")
temp._vipLevel = temp:getChildByName("vipLabel_Copy0")
if(globalData.isPay ~= 1) then
temp._vipLevel:setVisible(false)
end
temp._hasFlag = temp:getChildByName("ImageView_424527")
temp._hasReward = temp:getChildByName("ImageView_427386")
temp._isCurrentMonth = false
temp.info = nil
temp.date = date
temp.index = index
temp.grid  = nil
temp.canAccept = false
temp.maxday = maxday
temp.times = times
return temp
end)
function WelfareSignItem:setData(info)
if(info == nil) then return end
self.info = info
if(globalData.isPay == 1) then
if(info.vipDouble == 0)then
self._flag:setVisible(false)
self._vipLevel:setVisible(false)
elseif(info.vipDouble >= 1 and info.vipDouble <= 3)then
self._flag:setVisible(true)
self._vipLevel:setVisible(true)
self._vipLevel:setStringValue(info.vipDouble)
elseif(info.vipDouble >= 4 and info.vipDouble <= 6)then
self._flag:setVisible(true)
self._flag:loadTexture("flag/ui_doubleFlag2.png",1)
self._vipLevel:setVisible(true)
self._vipLevel:setStringValue(info.vipDouble)
elseif(info.vipDouble >= 7 and info.vipDouble <= 9)then
self._flag:setVisible(true)
self._flag:loadTexture("flag/ui_doubleFlag3.png",1)
self._vipLevel:setVisible(true)
self._vipLevel:setStringValue(info.vipDouble)
elseif(info.vipDouble >= 10 and info.vipDouble <= 12)then
self._flag:setVisible(true)
self._flag:loadTexture("flag/ui_doubleFlag4.png",1)
self._vipLevel:setVisible(true)
self._vipLevel:setStringValue(info.vipDouble)
elseif(info.vipDouble >= 13)then
self._flag:setVisible(true)
self._flag:loadTexture("flag/ui_doubleFlag5.png",1)
self._vipLevel:setVisible(true)
self._vipLevel:setStringValue(info.vipDouble)
end
end
local signDay = globalData.welfareInfo.signAwardDays
if(globalManager.commonUtils:getIndexOfTable(signDay,info.day) == -1)then
self._hasReward:setVisible(false)
self._hasFlag:setVisible(false)
else
self._hasReward:setVisible(true)
self._hasFlag:setVisible(true)
end
self.grid = GoodsInfoGrid:new()
self.grid:setGoodsTempInfo(globalData.allTemplates.goodsTemplateList:getTemplate(info.awardList[1]))
self.grid:setCount(info.awardList[2])
if(self.date > self.maxday and self.times == info.day  and self.index == -1)then
self.grid:setPicTouchEnabled(false)
self.grid:setQualityEffect(3)
self.canAccept = true
end
self._gird:addChild(self.grid)
end
function WelfareSignItem:getInfo()
return self.info
end
function WelfareSignItem:dispose()
self._flag = nil
if(self.grid ~= nil)then
self.grid:dispose()
self.grid = nil
end
self._gird = nil
self._vipLevel = nil
self._hasFlag = nil
self._hasReward = nil
self.info = nil
self.times = nil
self.index = nil
globalManager.ccCreator:release(self)
end
WelfareSignView = class("WelfareSignView", function(self,controller)
local temp = globalManager.ccCreator:newJsonWidget("WelfareSignView")
temp._controller = controller
temp._titleBg = temp:getChildByName("titleBg")
temp._path   = globalManager.pathManager:getUISource("outPic/welfareSign_bg2.png")
temp._cellList = {}
temp.canGetGoodsInfo = nil
temp._signAwardPanel = nil
for i=1,7 do
local cellBG = temp:getChildByName("subview"):getChildByName("itemBg_"..i):getChildByName("goods_"..i)
local cell = GoodsInfoGrid:new()
cellBG:addChild(cell)
table.insert(temp._cellList,{cell,temp:getChildByName("subview"):getChildByName("itemBg_"..i):getChildByName("hasGotItem"..i)})
temp._cellList[i][2]:setVisible(false)
temp:getChildByName("subview"):getChildByName("itemBg_"..i):getChildByName("ImageView_929191"):getChildByName("Label_929192"):setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("WelfareSignView.text4"),i))
end
temp._itemBg = temp:getChildByName("subview"):getChildByName("itemBg_7"):getChildByName("itemBg")
temp._itemBgPath = globalManager.pathManager:getUISource("outPic/welfareSignItemBg.png")
temp:getChildByName("subview"):getChildByName("Label_1"):setText(globalManager.yuyanbaoManager:getYuyanbao("WelfareSignView.text5"))
temp:getChildByName("subview"):getChildByName("Label_2"):setText(globalManager.yuyanbaoManager:getYuyanbao("WelfareSignView.text6"))
temp.valueImage = temp:getChildByName("subview"):getChildByName("itemBg_7"):getChildByName("valueImage")
temp.valueImagePath = globalManager.pathManager:getUISource("outPic/value.png")
temp.buyValue = temp:getChildByName("subview"):getChildByName("itemBg_7"):getChildByName("getBTN"):getChildByName("valueLabel")
temp.buyBtn = temp:getChildByName("subview"):getChildByName("itemBg_7"):getChildByName("getBTN")
temp.buyBtn:setVisible(false)
temp.buyBtn:setEnabled(false)
temp.realValue = temp:getChildByName("subview"):getChildByName("itemBg_7"):getChildByName("valueImage"):getChildByName("valueNum")
return temp
end)
function WelfareSignView:ctor()
globalManager.sourceCacheManager:setImage(self._titleBg,self._path,globalData.allStaticTypes.sourceStaticType.clearFiveM)
globalManager.sourceCacheManager:setImage(self._itemBg,self._itemBgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
globalManager.sourceCacheManager:setImage(self.valueImage,self.valueImagePath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self:initEvent()
globalData.messageAdder:getMonthAwardInfo()
end
function WelfareSignView:initView()
-- body
local goodsInfoList = globalData.allTemplates.monthAwardTemplateList.list
local signAwardList = globalData.welfareInfo.signAwardDays
local len = #signAwardList
for i=1,7 do
self._cellList[i][1]:setGoodsTempInfo(globalData.allTemplates.goodsTemplateList:getTemplate(goodsInfoList[i].awardList[1]))
self._cellList[i][1]:setCount(goodsInfoList[i].awardList[2])
if self._cellList[i][1]._effect ~= nil then
self._cellList[i][1]:setQualityEffect(-1)
end
if i <= len then
self._cellList[i][2]:setVisible(true)
self._cellList[i][1]:setGray(true)
self._cellList[i][1]:setClickHandler(nil,nil)
elseif i ~= 7 and i == len + 1 then
if globalData.welfareInfo:isDayInList() then  --次判断仅用于判断今天是否已经领取过奖励，true表示已领，false表示未领
else
self._cellList[i][1]:setQualityEffect(3)
self._cellList[i][1]:setClickHandler(self,self.canGetClick)
self.canGetGoodsInfo = goodsInfoList[i]
end
end
---第七个物品的领取单独做判断
if i == 7 then
print("globalData.welfareInfo:isSevenCanGet()",globalData.welfareInfo:isSevenCanGet())
self.buyValue:setText(goodsInfoList[i].fee)
if globalData.welfareInfo:isSevenCanGet() == 1 then --可领取但未领取
self.buyBtn:setVisible(false)
self.buyBtn:setEnabled(false)
self._cellList[i][1]:setQualityEffect(3)
self._cellList[i][1]:setClickHandler(self,self.canGetClick)
self.canGetGoodsInfo = goodsInfoList[i]
elseif globalData.welfareInfo:isSevenCanGet() == 2 then --可领取而且已领取
self.buyBtn:setVisible(false)
self.buyBtn:setEnabled(false)
self._cellList[i][2]:setVisible(true)
self._cellList[i][1]:setGray(true)
self._cellList[i][1]:setClickHandler(nil,nil)
elseif globalData.welfareInfo:isSevenCanGet() == 3 then --周日并且第七个物品不可领取时
print("按钮出现")
local function getSevenDayGift()
-- body
self._controller.module.message:getSevenDay()
end
local function buyClick(sender,eventType)
-- body
if(eventType == TOUCH_EVENT_ENDED) then
if(goodsInfoList[i].fee > globalData.selfPlayerInfo.moneyInfo.gold) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel11"))
return
end
local content = string.format(globalManager.yuyanbaoManager:getYuyanbao("WelfareSignView.text3"),goodsInfoList[i].fee)
Alert:new():show(2,content,nil,0,self,getSevenDayGift)
end
end
self.buyBtn:setVisible(true)
self.buyBtn:setEnabled(true)
self.buyBtn:addTouchEventListener(buyClick)
end
self.realValue:setStringValue(goodsInfoList[i].realValue)
end
end
end
function WelfareSignView:canGetClick(sender)
-- body
if(self._signAwardPanel == nil) then
self._signAwardPanel = WelfareSignGetAward:new(self,self._controller)
self._signAwardPanel:setData(self.canGetGoodsInfo)
self._signAwardPanel:setPositionX(-170)
self:addChild(self._signAwardPanel,10)
end
end
function WelfareSignView:closeGetAwardPanel()
if(self._signAwardPanel ~= nil) then
self._signAwardPanel:dispose()
self._signAwardPanel = nil
end
end
function WelfareSignView:initEvent()
globalData.welfareInfo:addEventListener(globalData.globalEventType.playerInfo_signUpdate,self.initView,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.newly_welfareSign,self.welfareSignHandler,self)
end
function WelfareSignView:removeEvent()
globalData.welfareInfo:removeEventListener(globalData.globalEventType.playerInfo_signUpdate,self.initView,self)
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.newly_welfareSign,self.welfareSignHandler,self)
end
function WelfareSignView:welfareSignHandler(evt)
self:canGetClick(nil)
end
function WelfareSignView:dispose()
self:removeEvent()
self:closeGetAwardPanel()
self._controller = nil
self.canGetGoodsInfo = nil
globalManager.sourceCacheManager:removeQuote(self._path)
globalManager.sourceCacheManager:removeQuote(self.valueImagePath)
globalManager.sourceCacheManager:removeQuote(self._itemBgPath)
self._itemBgPath = nil
self._itemBg = nil
self._path = nil
self.valueImagePath = nil
self.valueImage = nil
self._titleBg = nil
self.buyValue = nil
self.buyBtn = nil
self.realValue = nil
for i=1,7 do
self._cellList[i][1]:dispose()
end
self._cellList = nil
globalManager.ccCreator:release(self)
end
WelfareGiftView = class("WelfareGiftView", function(_, controller)
local self = globalManager.ccCreator:newNode()
self._widget = globalManager.ccCreator:newJsonWidget("WelfareGiftView")
self:addChild(self._widget)
self._controller = controller
local size          = self._widget:getSize()
local offsetX       = 0 --globalData.GAME_WIDTH * 0.5 - size.width / 2
local offsetY    	= 0 --globalData.GAME_HEIGHT * 0.5 - size.height / 2
self._widget:setPosition(globalManager.ccCreator:newPoint(offsetX,offsetY))
self._bgImg         = self._widget:getChildByName("bgImg")
self._accept_btn    = self._widget:getChildByName("accept_btn")
self._accept_btn:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("WelfareGiftView.text10"))
self._editbox_layer = self._widget:getChildByName("editbox_layer")
self.inputBg = globalManager.ccCreator:newImageView("board/ui_board8.png",1)
self.inputBg:setScale9Enabled(true)
self.inputBg:setCapInsets(cc.rect(16,16,1,1))
self.inputBg:setSize(self._editbox_layer:getSize())
self.inputBg:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[7])
self.inputBg:setPosition(cc.p(self._editbox_layer:getPositionX() + offsetX,self._editbox_layer:getPositionY() + offsetY))
self:addChild(self.inputBg,8)
self.editLabel      = globalManager.ccCreator:newEditBox(self._editbox_layer:getSize(),18,nil,nil,nil,2)
self.editLabel:setPosition(globalManager.ccCreator:newPoint(self._editbox_layer:getPositionX() + offsetX,self._editbox_layer:getPositionY() + offsetY))
self:addChild(self.editLabel,9)
self._bgImg = self._widget:getChildByName("bgImg")
self._backpath = globalManager.pathManager:getUISource("outPic/welfare_giftBg.png")
self._widget:getChildByName("Label_243202"):setText(globalManager.yuyanbaoManager:getYuyanbao("WelfareGiftView.text5"))
self._widget:getChildByName("contentLabel1"):setText(globalManager.yuyanbaoManager:getYuyanbao("WelfareGiftView.text13"))
self._widget:getChildByName("contentLabel2"):setText(globalManager.yuyanbaoManager:getYuyanbao("WelfareGiftView.text14"))
self.filmBtn = self._widget:getChildByName("filmBtn")
self.hasFilmNum = self._widget:getChildByName("hasFilmNum")
self.lineLabel = self._widget:getChildByName("lineLabel")
self.effect = nil
self.ticketStrList = {}
return self
end)
function WelfareGiftView:ctor()
if(globalData.consumenGiftInfo.filmTetickIsShow == false)then
self.filmBtn:setEnabled(false)
self.hasFilmNum:setVisible(false)
self.lineLabel:setVisible(false)
else
globalData.messageAdder:sendFilmTicketInfo()
end
globalManager.sourceCacheManager:setImage(self._bgImg,self._backpath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self.hasFilmNum:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("WelfareGiftView.text11"),0))
self:initEvent()
end
function WelfareGiftView:initEvent()
local function btnClickHandler(sender, eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
local code = self.editLabel:getText()
if code == nil or code == "" then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("WelfareGiftView.text1"))
else
globalData.messageAdder:sendActiveCode(code)
self.editLabel:setText("")
end
end
end
local function filmClickHandler(sender, eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(#self.ticketStrList <= 0)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("WelfareGiftView.text12"))
else
local str = ""
for i = 1,#self.ticketStrList,1 do
str = str .. self.ticketStrList[i] .. "\n"
end
globalManager.tipsManager:showString(str)
end
end
end
self._accept_btn:addTouchEventListener(btnClickHandler)
self.filmBtn:addTouchEventListener(filmClickHandler)
globalData.welfareInfo:addEventListener(globalData.globalEventType.playerInfo_filmTicketUpdate,self.showFilmTicket,self)
end
function WelfareGiftView:showFilmTicket(evt)
local infoStr = evt.data
local infoList = {}
infoList = globalManager.messageUtils:splitString(infoStr,",")
self.ticketStrList = infoList
local num = #infoList
self.hasFilmNum:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("WelfareGiftView.text11"),num))
end
function WelfareGiftView:removeEvent()
globalData.welfareInfo:removeEventListener(globalData.globalEventType.playerInfo_filmTicketUpdate,self.showFilmTicket,self)
end
function WelfareGiftView:dispose()
self:removeEvent()
if(self.editLabel ~= nil) then
globalManager.ccCreator:release(self.inputBg)
self.inputBg = nil
globalManager.ccCreator:release(self.editLabel)
self.editLabel = nil
end
self._controller = nil
self._accept_btn = nil
self._editbox_layer = nil
globalManager.sourceCacheManager:removeQuote(self._backpath)
self._backpath = nil
self._bgImg = nil
if(self.effect ~= nil) then
self.effect:dispose()
self.effect = nil
end
self.filmBtn = nil
self.hasFilmNum = nil
self.lineLabel = nil
globalManager.ccCreator:release(self._widget)
globalManager.ccCreator:release(self)
end
WelfareExpView = class("WelfareExpView", function(_, controller)
local self = globalManager.ccCreator:newNode()
self._widget = globalManager.ccCreator:newJsonWidget("WelfareExpView")
self:addChild(self._widget)
self._controller = controller
local size          = self._widget:getSize()
local offsetX       = 0 --globalData.GAME_WIDTH * 0.5 - size.width / 2
local offsetY    	= 0 --globalData.GAME_HEIGHT * 0.5 - size.height / 2
self._widget:setPosition(globalManager.ccCreator:newPoint(offsetX,offsetY))
self._bgImg         = self._widget:getChildByName("bgImg")
self._bgPath        = globalManager.pathManager:getUISource("outPic/welfare_ExpBg.png")
self._levelLabel    = self._widget:getChildByName("levelLabel")
self._expLabel      = self._widget:getChildByName("expLabel")
self._gridLabel     = self._widget:getChildByName("content5")
self._exchangeBtn   = self._widget:getChildByName("exchangeBtn")
self._exchangeLabel = self._exchangeBtn:getChildByName("numLabel")
self._doubleIcon = self._exchangeBtn:getChildByName("doubleExp")
self._doublePath = nil
if globalData.consumenGiftInfo.exchangeExpIsShow then
self._doublePath = globalManager.pathManager:getUISource("outPic/ui_doubleExp.png")
globalManager.sourceCacheManager:setImage(self._doubleIcon,self._doublePath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self._doubleIcon:setRotation(-45)
else
self._doubleIcon:setVisible(false)
end
self._widget:getChildByName("content1"):setText(globalManager.yuyanbaoManager:getYuyanbao("WelfareExpView.text3"))
self._widget:getChildByName("content2"):setText(globalManager.yuyanbaoManager:getYuyanbao("WelfareExpView.text4"))
self._widget:getChildByName("content3"):setText(globalManager.yuyanbaoManager:getYuyanbao("WelfareExpView.text5"))
self._widget:getChildByName("content4"):setText(globalManager.yuyanbaoManager:getYuyanbao("WelfareExpView.text6"))
self._exchangeBtn:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel57"))
self.isCan          = 0
self.numGold        = 0
return self
end)
function WelfareExpView:ctor()
globalManager.sourceCacheManager:setImage(self._bgImg,self._bgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self:initEvent()
self:initView()
end
function WelfareExpView:initEvent()
local payGoodsHandler = function()
globalData.messageAdder:sendExpBuy()
end
local function exchangeClickHandler(sender, eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(globalData.selfPlayerInfo.moneyInfo.gold >= self.numGold)then
Alert:new():show(2,string.format(globalManager.yuyanbaoManager:getYuyanbao("WelfareExpView.text8"),self.numGold),globalManager.noAlertUtils.EXP_BUY,0,self,payGoodsHandler)
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel11"))
end
end
end
self._exchangeBtn:addTouchEventListener(exchangeClickHandler)
globalData.welfareInfo:addEventListener(globalData.globalEventType.playerInfo_expBuyUpdate,self.expUpdate,self)
end
function WelfareExpView:removeEvent()
globalData.welfareInfo:removeEventListener(globalData.globalEventType.playerInfo_expBuyUpdate,self.expUpdate,self)
end
function WelfareExpView:expUpdate()
local worldLevel = globalData.welfareInfo.worldLevel
self.isCan       = globalData.welfareInfo.isCan
local addExp     = globalData.welfareInfo.addExp
self._levelLabel:setText(worldLevel..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel48"))
self._expLabel:setText(addExp)
if(self.isCan == 0)then
self._exchangeBtn:loadTextureNormal("btn/ui_tabBtn1_4.png",1)
self._exchangeBtn:setTouchEnabled(true)
elseif(self.isCan == 1)then
self._exchangeBtn:loadTextureNormal("btn/ui_tabBtn1_5.png",1)
self._exchangeBtn:setTouchEnabled(false)
end
local level = globalData.selfPlayerInfo.level
local maxLevel = globalData.allTemplates.experienceTemplateList.maxLevel
if(level + 1 > maxLevel)then
self._gridLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("WelfareExpView.text2"))
else
local nextExp = globalData.allTemplates.experienceTemplateList.list[level + 1].exp
self._gridLabel:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("WelfareExpView.text9"),math.floor(addExp / (nextExp / 10))))
local girdNum
local gridGold
if globalData.consumenGiftInfo.exchangeExpIsShow then
addExp = addExp / 2
end
girdNum = math.floor(addExp / (nextExp / 10))
gridGold = math.min(math.ceil(addExp / girdNum / 50000),100)
self.numGold = gridGold * girdNum
self._exchangeLabel:setText(self.numGold)
end
end
function WelfareExpView:initView()
globalData.messageAdder:sendExpInfo()
end
function WelfareExpView:dispose()
self:removeEvent()
globalManager.sourceCacheManager:removeQuote(self._bgPath)
globalManager.sourceCacheManager:removeQuote(self._doublePath)
self._doublePath = nil
self._bgPath        = nil
self._bgImg         = nil
self._doubleIcon    = nil
self._levelLabel    = nil
self._gridLabel     = nil
self._exchangeBtn   = nil
self._exchangeLabel = nil
globalManager.ccCreator:release(self._widget)
globalManager.ccCreator:release(self)
end
WelfareZhiZunView = class("WelfareZhiZunView",function (self,controller)
local temp = globalManager.ccCreator:newJsonWidget("WelfareZhiZunView")
temp._controller = controller
temp.bg = temp:getChildByName("Bg")
temp.bgPath = globalManager.pathManager:getUISource("outPic/welfareZhiZunBg.png")
temp.buyBtn = temp:getChildByName("buyBtn")
temp.buyBtn:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("WelfareZhiZunView.text3"))
--temp.priceLabel = temp.buyBtn:getChildByName("priceLabel")
temp.dayLabel = temp:getChildByName("dayLabel")
temp.getBtn = temp:getChildByName("getBtn")
temp.btnLabel = temp.getBtn:getChildByName("btnLabel")
temp.effect = nil
temp.tempInfo = globalData.allTemplates.zhiZunTemplateList.list[1]
return temp
end)
function WelfareZhiZunView:ctor()
globalManager.sourceCacheManager:setImage(self.bg,self.bgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self:initEvent()
self:initView()
end
function WelfareZhiZunView:initEvent()
local onClickHandler = function(sender,eventType)
-- local rechange = function (sender,eventType)
-- 	self._controller.module.message:sendBuyMonthCard(2)
-- end
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(sender == self.buyBtn)then
--    		if(globalData.selfPlayerInfo.moneyInfo.gold < self.tempInfo.price)then
--    			globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("WelfareZhiZunView.text6"))
--    			return
--    		end
--    		local text = string.format(globalManager.yuyanbaoManager:getYuyanbao("WelfareZhiZunView.text3"),self.tempInfo.price)
-- Alert:new():show(2,text,nil,0,self,rechange)
if(globalData.isPay ~= 1) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel13"))
return
end
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.payTab,globalData.allStaticTypes.panelTabType.pay)
elseif(sender == self.getBtn)then
if(globalData.welfareInfo.monthCardInfo[1][3] == 1)then
self._controller.module.message:getMonthCardAward(2)
globalManager.tipsManager.quickTip:show(string.format(globalManager.yuyanbaoManager:getYuyanbao("WelfareZhiZunView.text2"),self.tempInfo.getMoney))
if(self.effect ~= nil) then
self.effect:dispose()
self.effect = nil
end
elseif(globalData.welfareInfo.monthCardInfo[1][3] == 2)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("WelfareZhiZunView.text1"))
end
end
end
end
self.buyBtn:addTouchEventListener(onClickHandler)
self.getBtn:addTouchEventListener(onClickHandler)
globalData.welfareInfo:addEventListener(globalData.globalEventType.playerInfo_monthInfo,self.initView,self)
end
function WelfareZhiZunView:removeEvent()
globalData.welfareInfo:removeEventListener(globalData.globalEventType.playerInfo_monthInfo,self.initView,self)
end
function WelfareZhiZunView:initView()
--self.priceLabel:setText(self.tempInfo.price)
local monthCardInfo = globalData.welfareInfo.monthCardInfo
local day = 0
if(monthCardInfo[1] ~= nil)then
day = math.max(monthCardInfo[1][2],0)
end
self.dayLabel:setText(day)
if(#monthCardInfo == 0 or monthCardInfo[1][3] == 0 or monthCardInfo[1][2] <= 0)then --未充值
self.buyBtn:setEnabled(true)
self.getBtn:setEnabled(false)
else
self.buyBtn:setEnabled(false)
self.getBtn:setEnabled(true)
if(globalData.welfareInfo.monthCardInfo[1][3] == 1) then
self.getBtn:setTouchEnabled(true)
self.getBtn:loadTextureNormal("btn/ui_tabBtn1_3.png", 1)
self.btnLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("WelfareZhiZunView.text5"))
else
self.getBtn:setTouchEnabled(false)
self.getBtn:loadTextureNormal("btn/ui_tabBtn1_5.png", 1)
self.btnLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel63"))
end
self:setEffect()
end
end
function WelfareZhiZunView:setEffect()
if(globalData.welfareInfo.monthCardInfo[1][3] == 1) then
if(self.effect == nil) then
self.effect = globalManager.effectCreator:create(78)
self.effect:setScaleX(2.2)
self.effect:move2(self._exchangeBTN,0,0)
self.getBtn:addNode(self.effect,0)
self.effect:play()
end
else
if(self.effect ~= nil) then
self.effect:dispose()
self.effect = nil
end
end
end
function WelfareZhiZunView:dispose()
self:removeEvent()
if(self.effect ~= nil) then
self.effect:dispose()
self.effect = nil
end
self.bg = nil
self.tempInfo = nil
globalManager.sourceCacheManager:removeQuote(self.bgPath)
self.bgPath = nil
self.buyBtn = nil
self.getBtn = nil
self.btnLabel = nil
self.dayLabel = nil
--self.priceLabel = nil
globalManager.ccCreator:release(self)
end
WelfareController = class("WelfareController", function(self,module)
local temp = {}
temp.module = module
temp.content = nil
return temp
end)
function WelfareController:showWelfarePanel()
if(self.module.welfarePanel == nil) then
self.module.welfarePanel = WelfarePanel:new(self)
self.module.welfarePanel.eventDis:addEventListener(globalData.globalEventType.trigger_panelDispose,self.welfarePanelCloseHandler,self)
end
globalData.uiPanelContainer:addPanel(globalData.allStaticTypes.panelTabType.welfare,self.module.welfarePanel)
end
function WelfareController:welfarePanelCloseHandler(evt)
self.module.welfarePanel.eventDis:removeEventListener(globalData.globalEventType.trigger_panelDispose,self.welfarePanelCloseHandler,self)
self.module.welfarePanel = nil
end
function WelfareController:getNotice()
if(self.content == nil) then
self.content = globalManager.descriptManager:getDescript("10060")
if(self.content == nil) then self.content = "" end
end
return self.content
end
WelfareMessageSender = class("WelfareMessageSender", function(self)
local temp = {}
return temp
end)
function WelfareMessageSender:gainDayAward(day)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.DAY_AWARD_FETCH)
messOut:writeByte(day)
globalManager.messageManager:send(messOut)
end
function WelfareMessageSender:gainMonthAward()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.MONTH_AWARD_FETCH)
globalManager.messageManager:send(messOut)
end
function WelfareMessageSender:getSevenDay()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.SEVEN_DAY_GET)
globalManager.messageManager:send(messOut)
end
--签到
function WelfareMessageSender:monthAwardSign()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.MONTH_AWARD_SIGN)
globalManager.messageManager:send(messOut)
end
--补签
function WelfareMessageSender:monthAwardResign()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.MONTH_AWARD_SIGN_ALL)
globalManager.messageManager:send(messOut)
end
--获取昨天未领取经验信息
function WelfareMessageSender:getLossInfo()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.LOSS_INFO)
globalManager.messageManager:send(messOut)
end
--领取经验补偿
function WelfareMessageSender:getLossExp(type)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.LOSS_FETCH)
messOut:writeByte(type)
globalManager.messageManager:send(messOut)
end
--领取月卡奖励
function WelfareMessageSender:getMonthCardAward(type)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.MONTH_CARD_FETCH)
messOut:writeByte(type)
globalManager.messageManager:send(messOut)
end
--购买月卡
function WelfareMessageSender:sendBuyMonthCard(type)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.MONTH_CARD_BUY)
messOut:writeByte(type)
globalManager.messageManager:send(messOut)
end
WelfareModule = class("WelfareModule", function(self)
local temp = BaseModule:new()
temp.controller = nil
temp.welfarePanel = nil
temp.message = nil
return temp
end)
--override
function WelfareModule:getModuleType()
return globalData.allStaticTypes.moduleType.welfare
end
--override
function WelfareModule:setup(data)
self.message = WelfareMessageSender:new(self)
self.controller = WelfareController:new(self)
self:configure(data)
end
--override
function WelfareModule:configure(data)
self.controller:showWelfarePanel()
end
XianYuanItem = class("XianYuanItem",function(self)
local temp = globalManager.ccCreator:newJsonWidget("xianYuanItem")
temp.heartIcon  = temp:getChildByName("heartIcon")
temp.heartIcon:setVisible(false)
temp.selectIcon = temp:getChildByName("selectIcon")
temp.selectIcon:setVisible(false)
return temp
end)
function XianYuanItem:setSelect(value)
self.selectIcon:setVisible(value)
end
function XianYuanItem:setActivity(value)
self.heartIcon:setVisible(value)
end
function XianYuanItem:dispose()
self.heartIcon = nil
self.selectIcon = nil
globalManager.ccCreator:release(self)
end
XianYuanPanel = class("XianYuanPanel",function(self,controller)
local temp = BasePanel:new()
temp.BasePanelDispose = temp.dispose
temp._controller = controller
temp._widget     = globalManager.ccCreator:newJsonWidget("xianYuanPanel")
temp:addChild(temp._widget)
temp._bg         = temp._widget:getChildByName("bg")
temp.oathImage   = temp._widget:getChildByName("bg"):getChildByName("oathImage")
temp.oathImage:setVisible(false)
temp._bgPath     = globalManager.pathManager:getUISource("outPic/xianYuanBg.png")
temp._peishiPath = globalManager.pathManager:getUISource("outPic/ui_peishiIcon.png")
temp._peishiBtn = temp._widget:getChildByName("peishi_btn")
--未激活
temp._desLayer   = temp._widget:getChildByName("desLayer")
temp._getBtn     = temp._desLayer:getChildByName("getBtn")
temp._contentLabel = temp._desLayer:getChildByName("contentLabel")
--已激活
temp._atrrLayer  = temp._widget:getChildByName("atrrLayer")
temp._fightValue = temp._atrrLayer:getChildByName("fightValue")
temp._upBtn      = temp._atrrLayer:getChildByName("getBtn")
--    temp._upBtn:setVisible(false)
temp.attributeName = {globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel31"),globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel33"),globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel39"),globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel32"),globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel38"),globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel53"),globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel52"),globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel43"),globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel40"),globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel51")}
temp.attributeFight = {0.5,2.5,2.5,2.5,2.5,2.5,5,10,10,5}
temp.cells = {}
temp.items = {}
temp.icons = {}
temp.infos = {}
temp.cells2 = {}
temp.items2 = {}
temp.plus  = {}
for i = 1,10,1 do
table.insert( temp.cells, temp._atrrLayer:getChildByName("love"..i) )
temp._atrrLayer:getChildByName("proName_label"..i):setText(temp.attributeName[i])
table.insert(temp.icons, temp._atrrLayer:getChildByName("up_icon"..i))
temp.icons[i]:setVisible(false)
table.insert(temp.infos, temp._atrrLayer:getChildByName("info_label"..i))
temp.infos[i]:setText("0")
table.insert( temp.plus, temp._atrrLayer:getChildByName("plus_label"..i))
end
for i = 1,3,1 do
table.insert(temp.cells2, temp._atrrLayer:getChildByName("loveSub"..i))
end
for i = 1,3,1 do
local item = globalManager.ccCreator:newImageView("icon/ui_HeartIcon.png", 1)
item:setScale(0.6)
item:setPosition(globalManager.ccCreator:newPoint(23,5))
temp.cells2[i]:addChild(item)
table.insert(temp.items2,item)
end
temp.marryNameLabel = temp._atrrLayer:getChildByName("otherLabel")
local posX,posY = temp.marryNameLabel:getPosition()
temp.marryNameLabel:setPosition(globalManager.ccCreator:newPoint(posX - 10,posY + 20))
temp.stageLabel = temp._atrrLayer:getChildByName("stage_label")
temp.giveUpBtn  = temp._atrrLayer:getChildByName("giveUpBtn")
temp.giveUpBtnLabel = temp.giveUpBtn:getChildByName("btnLabel")
temp.flowerBtn  = temp._widget:getChildByName("flowerBtn")
--	temp.flowerBtn:setVisible(false)
temp.closeLabel = temp._atrrLayer:getChildByName("closeLabel")
--	temp.charmLabel = temp._atrrLayer:getChildByName("charmLabel")
temp.tipsLabel = temp._atrrLayer:getChildByName("tipsLabel")
temp.stageNameLabel = temp._atrrLayer:getChildByName("stageName")
temp.stageName = {globalManager.yuyanbaoManager:getYuyanbao("XianYuanPanel.text1"),globalManager.yuyanbaoManager:getYuyanbao("XianYuanPanel.text2"),globalManager.yuyanbaoManager:getYuyanbao("XianYuanPanel.text3"),globalManager.yuyanbaoManager:getYuyanbao("XianYuanPanel.text4"),globalManager.yuyanbaoManager:getYuyanbao("XianYuanPanel.text5"),globalManager.yuyanbaoManager:getYuyanbao("XianYuanPanel.text6"),globalManager.yuyanbaoManager:getYuyanbao("XianYuanPanel.text7"),globalManager.yuyanbaoManager:getYuyanbao("XianYuanPanel.text8"),globalManager.yuyanbaoManager:getYuyanbao("XianYuanPanel.text9"),globalManager.yuyanbaoManager:getYuyanbao("XianYuanPanel.text10")}
temp._atrrLayer:getChildByName("tipsLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("XianYuanPanel.text11"))
temp.flowerBtn:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("XianYuanPanel.text12"))
temp._getBtn:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("XianYuanPanel.text20"))
temp._upBtn:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("XianYuanPanel.text13"))
temp.isMarry = nil
temp._currentTotle = globalData.marryInfo.marryLevel
temp._maxLevel = 300
return temp
end)
function XianYuanPanel:ctor()
self:updateQinmi()
self:initEvent()
self:initView()
self:setData()
end
function XianYuanPanel:initView()
self:marryUpdateHandler()
globalManager.sourceCacheManager:setImage(self._bg,self._bgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
globalManager.sourceCacheManager:setImage(self._peishiBtn,self._peishiPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
for i = 1,10,1 do
local item = XianYuanItem:new()
self.cells[i]:addChild(item)
item:setPosition(globalManager.ccCreator:newPoint(-19,-19))
table.insert(self.items,item)
end
self._contentLabel:setText(globalManager.descriptManager:getDescript("10023"))
end
function XianYuanPanel:initEvent()
local getBtnClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_showSendMarryPanel,globalManager.gameDispatcher))
end
end
local giveBtnClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(globalData.marryInfo.marryId > 0)then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_showMarryBreakPanel,globalManager.gameDispatcher))
elseif(globalData.marryInfo.marryId == 0 and globalData.marryInfo.marryType > 0)then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_showSendMarryPanel,globalManager.gameDispatcher))
end
end
end
local upBtnClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
local costQinmi = 0
if(self._currentTotle < 250)then
costQinmi = (self._currentTotle + 1) * 10
elseif(self._currentTotle >= 250 and self._currentTotle < 270)then
costQinmi = math.floor((self._currentTotle + 1) * 10 * 1.5)
elseif(self._currentTotle >= 270 and self._currentTotle < 300)then
costQinmi = math.floor((self._currentTotle + 1) * 10 * 2)
end
local curQinmi = globalData.selfPlayerInfo.qinmidu
if(self._currentTotle >= self._maxLevel)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("XianYuanPanel.text14"))
elseif(costQinmi > curQinmi)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("XianYuanPanel.text15"))
else
self._controller.module.message:sendXYUpLevel()
end
end
end
local flowerBtnClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_showSendFlowerPanel,globalManager.gameDispatcher))
end
end
local peishiBtnClickHandler = function(sender, eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_showPeiShiPanel,globalManager.gameDispatcher,nil))
end
end
self._peishiBtn:addTouchEventListener(peishiBtnClickHandler)
self._getBtn:addTouchEventListener(getBtnClickHandler)
self.giveUpBtn:addTouchEventListener(giveBtnClickHandler)
self._upBtn:addTouchEventListener(upBtnClickHandler)
self.flowerBtn:addTouchEventListener(flowerBtnClickHandler)
globalData.marryInfo:addEventListener(globalData.globalEventType.playerInfo_marryUpdate,self.marryUpdateHandler,self)
globalData.selfPlayerInfo:addEventListener(globalData.globalEventType.playerInfo_qinmiduUpdate,self.updateQinmi,self)
end
function XianYuanPanel:removeEvent()
globalData.marryInfo:removeEventListener(globalData.globalEventType.playerInfo_marryUpdate,self.marryUpdateHandler,self)
globalData.selfPlayerInfo:removeEventListener(globalData.globalEventType.playerInfo_qinmiduUpdate,self.updateQinmi,self)
end
function XianYuanPanel:setData()
if(self._atrrLayer:isEnabled())then
self._currentTotle = globalData.marryInfo.marryLevel
local maxPage = math.floor((self._maxLevel - 1) / 10 + 1)
local currentPage = math.floor((self._currentTotle - 1) / 10 + 1)
local prePage = math.floor((self._currentTotle - 1) / 10)
local selectIndex = self._currentTotle % 10 + 1
local attribute = 0
local fight = 0
for i = 1,10,1 do
if(self._currentTotle <= self._maxLevel)then
if(selectIndex == 1)then
attribute = 0
for j = 0,currentPage - 1,1 do
attribute = attribute + math.floor((j * 10 + i) * 10 * 2.5 / self.attributeFight[i] + 0.5)
end
self.infos[i]:setText(tostring(attribute))
fight = fight + math.floor(attribute * self.attributeFight[i]  + 0.5)
elseif(i >= selectIndex)then
if(prePage > 0)then
attribute = 0
for j = 0,prePage - 1,1 do
attribute = attribute + math.floor((j * 10 + i) * 10 * 2.5 / self.attributeFight[i] + 0.5)
end
self.infos[i]:setText(tostring(attribute))
fight = fight + math.floor(attribute * self.attributeFight[i]  + 0.5)
else
self.infos[i]:setText("0")
end
else
attribute = 0
for j = 0,currentPage - 1,1 do
attribute = attribute + math.floor((j * 10 + i) * 10 * 2.5 / self.attributeFight[i] + 0.5)
end
self.infos[i]:setText(tostring(attribute))
fight = fight + math.floor(attribute * self.attributeFight[i]  + 0.5)
end
else
self.infos[i]:setText("0")
end
self.icons[i]:setVisible(false)
self.plus[i]:setText("")
end
self._fightValue:setStringValue(math.floor(fight + 0.5))
if(self._currentTotle < self._maxLevel)then
local  index = math.floor(self._currentTotle / 10) + 1
local plusValue = 0
for i = 1,10,1 do
if( i == selectIndex)then
if(i == 1)then
plusValue = math.floor(((index - 1) * 10 + i) * 10 * 2.5 / self.attributeFight[i] + 0.5)
else
plusValue = math.floor(((currentPage - 1) * 10 + i) * 10 * 2.5 / self.attributeFight[i] + 0.5)
end
self.plus[i]:setText(tostring(math.floor(plusValue)))
self.icons[i]:setVisible(true)
break
end
end
end
local costQinmi = 0
if(self._currentTotle < 250)then
costQinmi = (self._currentTotle + 1) * 10
elseif(self._currentTotle >= 250 and self._currentTotle < 270)then
costQinmi = math.floor((self._currentTotle + 1) * 10 * 1.5)
elseif(self._currentTotle >= 270 and self._currentTotle < 300)then
costQinmi = math.floor((self._currentTotle + 1) * 10 * 2)
end
if(self._currentTotle >= self._maxLevel)then
self.tipsLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("XianYuanPanel.text22"))
else
self.tipsLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("XianYuanPanel.text23")..globalData.selfPlayerInfo.qinmidu.."/"..costQinmi)
end
self:updateView()
end
end
function XianYuanPanel:updateView()
local selectIndex = self._currentTotle % 10 + 1
if(self._currentTotle >= self._maxLevel)then
for i,item in pairs(self.items) do
item:setActivity(true)
item:setSelect(false)
end
for i,item in pairs(self.items2) do
globalManager.commonUtils:setImgColorNormal(item)
end
self.stageLabel:setStringValue(9)
self.stageNameLabel:setText(self.stageName[10])
self._peishiBtn:setEnabled(true)
else
for i,item in pairs(self.items) do
if(i == selectIndex)then
item:setActivity(false)
item:setSelect(true)
elseif(i > selectIndex)then
item:setActivity(false)
item:setSelect(false)
else
item:setActivity(true)
item:setSelect(false)
end
end
local stageNum = math.floor(self._currentTotle / 30 + 1)
local maxstage = math.floor(self._maxLevel / 30 + 1)
local heartNum = math.floor(self._currentTotle / 10 % 3)
for i,item in pairs(self.items2) do
if(heartNum == 0)then
if(stageNum == 1)then
globalManager.commonUtils:setImgColorGrey(item)
else
globalManager.commonUtils:setImgColorNormal(item)
end
elseif(i > heartNum)then
globalManager.commonUtils:setImgColorGrey(item)
else
globalManager.commonUtils:setImgColorNormal(item)
end
end
for i = 1,maxstage,1 do
if(stageNum == 1)then
self.stageLabel:setStringValue(i - 1)
self._peishiBtn:setEnabled(i - 1 > 0)
self.stageNameLabel:setText(self.stageName[i])
break
end
if(i == stageNum)then
if(heartNum == 0)then
self.stageLabel:setStringValue(i - 2)
self._peishiBtn:setEnabled(i - 2 > 0)
self.stageNameLabel:setText(self.stageName[i - 1])
else
self.stageLabel:setStringValue(i - 1)
self._peishiBtn:setEnabled(i - 1 > 0)
self.stageNameLabel:setText(self.stageName[i])
end
break
end
end
end
end
function XianYuanPanel:updateQinmi(evt)
self.closeLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("XianYuanPanel.text17")..globalData.selfPlayerInfo.qinmidu)
--	self.charmLabel:setText("魅力值："..globalData.selfPlayerInfo.charm)
local costQinmi = 0
if(self._currentTotle < 250)then
costQinmi = (self._currentTotle + 1) * 10
elseif(self._currentTotle >= 250 and self._currentTotle < 270)then
costQinmi = math.floor((self._currentTotle + 1) * 10 * 1.5)
elseif(self._currentTotle >= 270 and self._currentTotle < 300)then
costQinmi = math.floor((self._currentTotle + 1) * 10 * 2)
end
if(self._currentTotle >= self._maxLevel)then
self.tipsLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("XianYuanPanel.text22"))
else
self.tipsLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("XianYuanPanel.text23")..globalData.selfPlayerInfo.qinmidu.."/"..costQinmi)
end
end
function XianYuanPanel:marryUpdateHandler(evt)
self:setData()
if(self.isMarry == (globalData.marryInfo.marryId > 0)) then return end
self.isMarry = (globalData.marryInfo.marryId > 0)
if(globalData.marryInfo.marryType > 0)then
self._atrrLayer:setEnabled(true)
self._desLayer:setEnabled(false)
if(self.isMarry)then
self.giveUpBtnLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("XianYuanPanel.text18"))
self.marryNameLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("RoleComparePanel.text4")..globalData.marryInfo.marryName)
else
self.giveUpBtnLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("XianYuanPanel.text20"))
self.marryNameLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("XianYuanPanel.text21"))
end
else
self._atrrLayer:setEnabled(false)
self._desLayer:setEnabled(true)
end
end
function XianYuanPanel:dispose()
self:removeEvent()
globalManager.ccCreator:release(self._widget)
self._widget = nil
for __,item in pairs(self.items) do
item:dispose()
end
self.items = nil
self._controller = nil
self._bg         = nil
globalManager.sourceCacheManager:removeQuote(self._bgPath)
self._bgPath     = nil
globalManager.sourceCacheManager:removeQuote(self._peishiPath)
self._peishiPath = nil
self._peishiBtn = nil
self._desLayer   = nil
self._getBtn     = nil
self._upBtn      = nil
self._contentLabel = nil
self._atrrLayer  = nil
self._fightValue = nil
self.attributeName = nil
self.attributeFight = nil
self.cells = nil
self.icons = nil
self.infos = nil
self.plus  = nil
self.cells2 = nil
for __,item in pairs(self.items2) do
globalManager.ccCreator:release(item)
end
self.items2 = nil
self.marryNameLabel = nil
self.stageLabel = nil
self.giveUpBtn  = nil
self.giveUpBtnLabel = nil
self.flowerBtn  = nil
self.closeLabel = nil
--	self.charmLabel = nil
self.tipsLabel = nil
self.stageName = nil
self.stageNameLabel = nil
self._currentTotle = nil
self._maxLevel = nil
self:BasePanelDispose()
self.BasePanelDispose = nil
end
XianYuanPanel1 = class("XianYuanPanel1",function(self,controller)
local temp = globalManager.ccCreator:newJsonWidget("XianYuanPanel1")
temp.controller = controller
temp.closeBtn = temp:getChildByName("closeBtn")
temp.marryBtn = temp:getChildByName("marryBtn")
temp.breakBtn = temp:getChildByName("breakBtn")
temp.marryNameLabel = temp:getChildByName("marryNameLabel")
temp.ringImg = temp:getChildByName("ringImg")
temp.ringNameImg = temp:getChildByName("ringNameImg")
temp.ringImgPath = nil
temp.ringNameImgPath = nil
temp.bg1 = temp:getChildByName("bg1")
temp.bg2 = temp:getChildByName("bg2")
temp.bg1Path = globalManager.pathManager:getUISource("outPic/marryBg1.png")
temp.bg2Path = globalManager.pathManager:getUISource("outPic/marryBg2.png")
return temp
end)
function XianYuanPanel1:ctor()
globalManager.sourceCacheManager:setImage(self.bg1,self.bg1Path,globalData.allStaticTypes.sourceStaticType.clearFiveM)
globalManager.sourceCacheManager:setImage(self.bg2,self.bg2Path,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self:initEvent()
self:initView()
end
function XianYuanPanel1:initEvent()
local marryBtnClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(globalData.marryInfo.marryId > 0)then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_showMarryBreakPanel,globalManager.gameDispatcher))
else
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_showSendMarryPanel,globalManager.gameDispatcher))
end
end
end
local ringClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
info = globalData.allTemplates.marryTemplateList:getTemplate(globalData.marryInfo.marryType)
if(info ~= nil) then
globalManager.tipsManager:showMarryInfo(info)
end
end
end
local closeClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
self.controller:panelCloseHandler()
end
end
self.closeBtn:addTouchEventListener(closeClickHandler)
self.ringImg:addTouchEventListener(ringClickHandler)
self.marryBtn:addTouchEventListener(marryBtnClickHandler)
self.breakBtn:addTouchEventListener(marryBtnClickHandler)
globalData.marryInfo:addEventListener(globalData.globalEventType.playerInfo_marryUpdate,self.initView,self)
end
function XianYuanPanel1:removeEvent()
globalData.marryInfo:removeEventListener(globalData.globalEventType.playerInfo_marryUpdate,self.initView,self)
end
function XianYuanPanel1:initView()
local isMarry = (globalData.marryInfo.marryId > 0)
if(isMarry)then
self.breakBtn:setVisible(true)
self.breakBtn:setTouchEnabled(true)
self.marryBtn:setVisible(false)
self.marryBtn:setTouchEnabled(false)
self.marryNameLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("RoleComparePanel.text4")..globalData.marryInfo.marryName)
else
self.breakBtn:setVisible(false)
self.breakBtn:setTouchEnabled(false)
self.marryBtn:setVisible(true)
self.marryBtn:setTouchEnabled(true)
self.marryNameLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("XianYuanPanel.text21"))
end
if(globalData.marryInfo.marryType > 0)then
self.ringImgPath = globalManager.pathManager:getUISource("outPic/marry_ring"..globalData.marryInfo.marryType..".png")
self.ringNameImgPath = globalManager.pathManager:getUISource("outPic/marry_ringName"..globalData.marryInfo.marryType..".png")
globalManager.sourceCacheManager:setImage(self.ringImg,self.ringImgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
globalManager.sourceCacheManager:setImage(self.ringNameImg,self.ringNameImgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self.ringImg:setVisible(true)
self.ringNameImg:setVisible(true)
self.ringImg:setTouchEnabled(true)
else
self.ringImg:setTouchEnabled(false)
self.ringImg:setVisible(false)
self.ringNameImg:setVisible(false)
end
end
function XianYuanPanel1:dispose()
self:removeEvent()
self.controller = nil
self.marryBtn = nil
self.closeBtn = nil
self.marryNameLabel = nil
self.ringImg = nil
self.ringNameImg = nil
if(self.ringImgPath ~= nil)then
globalManager.sourceCacheManager:removeQuote(self.ringImgPath)
self.ringImgPath = nil
end
if(self.ringNameImgPath ~= nil)then
globalManager.sourceCacheManager:removeQuote(self.ringNameImgPath)
self.ringNameImgPath = nil
end
self.bg1 = nil
globalManager.sourceCacheManager:removeQuote(self.bg1Path)
self.bg1Path = nil
self.bg2 = nil
globalManager.sourceCacheManager:removeQuote(self.bg2Path)
self.bg2Path = nil
globalManager.ccCreator:release(self)
end
XianYuanController = class("XianYuanController",function(self,module)
local temp = {}
temp.module = module
return temp
end)
function XianYuanController:ctor()
end
-- function XianYuanController:showPanel()
--     if(self.module.xianYuanPanel == nil) then
-- 		self.module.xianYuanPanel = XianYuanPanel:new(self)
--         self.module.xianYuanPanel.eventDis:addEventListener(globalData.globalEventType.trigger_panelDispose,self.panelCloseHandler,self)
--     end
--     globalData.uiPanelContainer:addPanel(globalData.allStaticTypes.panelTabType.xianYuan,self.module.xianYuanPanel)
-- end
-- function XianYuanController:panelCloseHandler(evt)
--     self.module.xianYuanPanel.eventDis:removeEventListener(globalData.globalEventType.trigger_panelDispose,self.panelCloseHandler,self)
--     self.module.xianYuanPanel = nil
-- end
function XianYuanController:showPanel()
if(self.module.xianYuanPanel == nil) then
self.module.xianYuanPanel = XianYuanPanel1:new(self)
globalData.uiClickContainer:addItem(self.module.xianYuanPanel,true,true)
end
end
function XianYuanController:panelCloseHandler(evt)
if(self.module.xianYuanPanel ~= nil)then
globalData.uiClickContainer:close(self.module.xianYuanPanel)
self.module.xianYuanPanel:dispose()
self.module.xianYuanPanel = nil
end
end
XianYuanMessageSender = class("XianYuanMessageSender",function(self,module)
local temp = {}
temp.activityModule = module
return temp
end)
function XianYuanMessageSender:add()
end
--升级仙缘
function XianYuanMessageSender:sendXYUpLevel()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.XY_UP_LEVEL)
globalManager.messageManager:send(messOut)
end
XianYuanModule = class("XianYuanModule",function(self)
local temp = BaseModule:new()
temp.xianYuanController = nil
temp.xianYuanPanel = nil
return temp
end)
--override
function XianYuanModule:getModuleType()
return globalData.allStaticTypes.moduleType.xianYuan
end
--override
function XianYuanModule:setup(data)
self.message = XianYuanMessageSender:new(self)
self.message:add()
self.xianYuanController = XianYuanController:new(self)
self.xianYuanController:showPanel()
end
--override
function XianYuanModule:configure(data)
self.xianYuanController:showPanel()
end
OathPanel = class("OathPanel",function(self,controller)
local temp = BasePanel:new()
temp.BasePanelDispose = temp.dispose
temp._controller = controller
temp._widget     = globalManager.ccCreator:newJsonWidget("xianYuanPanel")
temp._widget:getChildByName("peishi_btn"):setEnabled(false)
temp:addChild(temp._widget)
temp._bg         = temp._widget:getChildByName("bg")
temp.oathImage   = temp._widget:getChildByName("bg"):getChildByName("oathImage")
temp._bgPath     = globalManager.pathManager:getUISource("outPic/oathBg.png")
--未激活
temp._desLayer   = temp._widget:getChildByName("desLayer")
temp._getBtn     = temp._desLayer:getChildByName("getBtn")
temp._contentLabel = temp._desLayer:getChildByName("contentLabel")
--已激活
temp._atrrLayer  = temp._widget:getChildByName("atrrLayer")
temp._fightValue = temp._atrrLayer:getChildByName("fightValue")
temp._upBtn      = temp._atrrLayer:getChildByName("getBtn")
--    temp._upBtn:setVisible(false)
temp.attributeName = {
globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel31"),
globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel33"),
globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel39"),
globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel32"),
globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel38"),
globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel53"),
globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel52"),
globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel43"),
globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel40"),
globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel51")
}
temp.attributeFight = {0.5,2.5,2.5,2.5,2.5,2.5,5,10,10,5}
temp.cells = {}
temp.items = {}
temp.icons = {}
temp.infos = {}
temp.cells2 = {}
temp.items2 = {}
temp.plus  = {}
for i = 1,10,1 do
table.insert( temp.cells, temp._atrrLayer:getChildByName("oath"..i) )
temp._atrrLayer:getChildByName("proName_label"..i):setText(temp.attributeName[i])
table.insert(temp.icons, temp._atrrLayer:getChildByName("up_icon"..i))
temp.icons[i]:setVisible(false)
table.insert(temp.infos, temp._atrrLayer:getChildByName("info_label"..i))
temp.infos[i]:setText("0")
table.insert( temp.plus, temp._atrrLayer:getChildByName("plus_label"..i))
end
for i = 1,3,1 do
table.insert(temp.cells2, temp._atrrLayer:getChildByName("loveSub"..i))
end
for i = 1,3,1 do
local item = globalManager.ccCreator:newImageView("icon/ui_oath.png", 1)
item:setScale(0.6)
item:setPosition(globalManager.ccCreator:newPoint(23,5))
temp.cells2[i]:addChild(item)
table.insert(temp.items2,item)
end
temp.stageLabel = temp._atrrLayer:getChildByName("stage_label")
temp.giveUpBtn  = temp._atrrLayer:getChildByName("giveUpBtn")
temp.giveUpBtnLabel = temp.giveUpBtn:getChildByName("btnLabel")
temp.flowerBtn  = temp._widget:getChildByName("flowerBtn")
--	temp.flowerBtn:setVisible(false)
temp.closeLabel = temp._atrrLayer:getChildByName("closeLabel")
--temp.closeLabel:setVisible(false)
--	temp.charmLabel = temp._atrrLayer:getChildByName("charmLabel")
temp.tipsLabel = temp._atrrLayer:getChildByName("tipsLabel")
temp.stageNameLabel = temp._atrrLayer:getChildByName("stageName")
temp.stageNameLabel:setColor(globalData.allStaticTypes.colorType.ITEMCOLOR3)
temp.stageName = {
globalManager.yuyanbaoManager:getYuyanbao("OathPanel.text1"),
globalManager.yuyanbaoManager:getYuyanbao("OathPanel.text2"),
globalManager.yuyanbaoManager:getYuyanbao("OathPanel.text3"),
globalManager.yuyanbaoManager:getYuyanbao("OathPanel.text4"),
globalManager.yuyanbaoManager:getYuyanbao("OathPanel.text5"),
globalManager.yuyanbaoManager:getYuyanbao("OathPanel.text6"),
globalManager.yuyanbaoManager:getYuyanbao("OathPanel.text7"),
globalManager.yuyanbaoManager:getYuyanbao("OathPanel.text8"),
globalManager.yuyanbaoManager:getYuyanbao("OathPanel.text9"),
globalManager.yuyanbaoManager:getYuyanbao("OathPanel.text10")
}
temp._atrrLayer:getChildByName("tipsLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("OathPanel.text11"))
temp.flowerBtn:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("OathPanel.text12"))
temp._getBtn:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("OathPanel.text13"))
temp._upBtn:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("XianYuanPanel.text13"))
temp.isOath = nil
temp._currentTotle = globalData.oathInfo.oathLevel
temp._maxLevel = 300
return temp
end)
function OathPanel:ctor()
self:updateQingyi()
self:initEvent()
self:initView()
self:setData()
end
function OathPanel:initView()
self:oathUpdateHandler()
globalData.messageAdder:sendTaoYuanInfo()
globalManager.sourceCacheManager:setImage(self._bg,self._bgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
globalManager.sourceCacheManager:setImage(self.oathImage,globalManager.pathManager:getUISource("outPic/oath_Image.png"),globalData.allStaticTypes.sourceStaticType.clearFiveM)
for i = 1,10,1 do
local item = OathItem:new()
self.cells[i]:addChild(item)
item:setPosition(globalManager.ccCreator:newPoint(-17,-18))
table.insert(self.items,item)
end
self._contentLabel:setText(globalManager.descriptManager:getDescript("10030"))
end
function OathPanel:initEvent()
local getBtnClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_showSendOathPanel,globalManager.gameDispatcher))
end
end
local giveBtnClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(globalData.oathInfo.oathPosition > 0)then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_showOathBreakPanel,globalManager.gameDispatcher))
elseif(globalData.oathInfo.oathType > 0)then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_showSendOathPanel,globalManager.gameDispatcher))
end
end
end
local upBtnClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
local costQingYi = 0
if(self._currentTotle < 250)then
costQingYi = (self._currentTotle + 1) * 10
elseif(self._currentTotle >= 250 and self._currentTotle < 270)then
costQingYi = math.floor((self._currentTotle + 1) * 10 * 1.5)
elseif(self._currentTotle >= 270 and self._currentTotle < 300)then
costQingYi = math.floor((self._currentTotle + 1) * 10 * 2)
end
local curQinmi = globalData.oathInfo.oathValue
if(self._currentTotle >= self._maxLevel)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("OathPanel.text14"))
elseif(costQingYi > curQinmi)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("OathPanel.text15"))
else
self._controller.module.message:sendOathUpLevel()
end
end
end
local flowerBtnClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
--桃园入口
if(globalData.oathInfo.oathPosition > 0) then
self._controller:showTaoYuanPanel()
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("OathPanel.text16"))
end
end
end
local function imageClickHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
local info = globalData.allTemplates.oathTemplateList:getTemplate(globalData.oathInfo.oathType)
if(info == nil) then
print("未找到结义信物信息")
return
end
globalManager.tipsManager:showMarryInfo(info,2)
end
end
self._getBtn:addTouchEventListener(getBtnClickHandler)
self.giveUpBtn:addTouchEventListener(giveBtnClickHandler)
self._upBtn:addTouchEventListener(upBtnClickHandler)
self.flowerBtn:addTouchEventListener(flowerBtnClickHandler)
self.oathImage:addTouchEventListener(imageClickHandler)
globalData.oathInfo:addEventListener(globalData.globalEventType.playerInfo_oathUpdate,self.oathUpdateHandler,self)
globalData.selfPlayerInfo:addEventListener(globalData.globalEventType.playerInfo_qinmiduUpdate,self.updateQingyi,self)
end
function OathPanel:removeEvent()
globalData.oathInfo:removeEventListener(globalData.globalEventType.playerInfo_oathUpdate,self.oathUpdateHandler,self)
globalData.selfPlayerInfo:removeEventListener(globalData.globalEventType.playerInfo_qinmiduUpdate,self.updateQingyi,self)
end
function OathPanel:setData()
if(self._atrrLayer:isEnabled())then
self._currentTotle = globalData.oathInfo.oathLevel
local maxPage = math.floor((self._maxLevel - 1) / 10 + 1)
local currentPage = math.floor((self._currentTotle - 1) / 10 + 1)
local prePage = math.floor((self._currentTotle - 1) / 10)
local selectIndex = self._currentTotle % 10 + 1
local attribute = 0
local fight = 0
for i = 1,10,1 do
if(self._currentTotle <= self._maxLevel)then
if(selectIndex == 1)then
attribute = 0
for j = 0,currentPage - 1,1 do
attribute = attribute + math.floor((j * 10 + i) * 10 * 2.5 / self.attributeFight[i] + 0.5)
end
self.infos[i]:setText(tostring(attribute))
fight = fight + math.floor(attribute * self.attributeFight[i]  + 0.5)
elseif(i >= selectIndex)then
if(prePage > 0)then
attribute = 0
for j = 0,prePage - 1,1 do
attribute = attribute + math.floor((j * 10 + i) * 10 * 2.5 / self.attributeFight[i] + 0.5)
end
self.infos[i]:setText(tostring(attribute))
fight = fight + math.floor(attribute * self.attributeFight[i]  + 0.5)
else
self.infos[i]:setText("0")
end
else
attribute = 0
for j = 0,currentPage - 1,1 do
attribute = attribute + math.floor((j * 10 + i) * 10 * 2.5 / self.attributeFight[i] + 0.5)
end
self.infos[i]:setText(tostring(attribute))
fight = fight + math.floor(attribute * self.attributeFight[i]  + 0.5)
end
else
self.infos[i]:setText("0")
end
self.icons[i]:setVisible(false)
self.plus[i]:setText("")
end
self._fightValue:setStringValue(math.floor(fight + 0.5))
if(self._currentTotle < self._maxLevel)then
local  index = math.floor(self._currentTotle / 10) + 1
local plusValue = 0
for i = 1,10,1 do
if( i == selectIndex)then
if(i == 1)then
plusValue = math.floor(((index - 1) * 10 + i) * 10 * 2.5 / self.attributeFight[i] + 0.5)
else
plusValue = math.floor(((currentPage - 1) * 10 + i) * 10 * 2.5 / self.attributeFight[i] + 0.5)
end
self.plus[i]:setText(tostring(math.floor(plusValue)))
self.icons[i]:setVisible(true)
break
end
end
end
local costQingYi = 0
if(self._currentTotle < 250)then
costQingYi = (self._currentTotle + 1) * 10
elseif(self._currentTotle >= 250 and self._currentTotle < 270)then
costQingYi = math.floor((self._currentTotle + 1) * 10 * 1.5)
elseif(self._currentTotle >= 270 and self._currentTotle < 300)then
costQingYi = math.floor((self._currentTotle + 1) * 10 * 2)
end
if(self._currentTotle >= self._maxLevel)then
self.tipsLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("XianYuanPanel.text22"))
else
self.tipsLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("OathPanel.text17")..globalData.oathInfo.oathValue.."/"..costQingYi)
end
self.closeLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("OathPanel.text18")..globalData.oathInfo.oathValue)
self:updateView()
end
end
function OathPanel:updateView()
local selectIndex = self._currentTotle % 10 + 1
if(self._currentTotle >= self._maxLevel)then
for i,item in pairs(self.items) do
item:setActivity(true)
item:setSelect(false)
end
for i,item in pairs(self.items2) do
globalManager.commonUtils:setImgColorNormal(item)
end
self.stageLabel:setStringValue(9)
self.stageNameLabel:setText(self.stageName[10])
else
for i,item in pairs(self.items) do
if(i == selectIndex)then
item:setActivity(false)
item:setSelect(true)
elseif(i > selectIndex)then
item:setActivity(false)
item:setSelect(false)
else
item:setActivity(true)
item:setSelect(false)
end
end
local stageNum = math.floor(self._currentTotle / 30 + 1)
local maxstage = math.floor(self._maxLevel / 30 + 1)
local heartNum = math.floor(self._currentTotle / 10 % 3)
for i,item in pairs(self.items2) do
if(heartNum == 0)then
if(stageNum == 1)then
globalManager.commonUtils:setImgColorGrey(item)
else
globalManager.commonUtils:setImgColorNormal(item)
end
elseif(i > heartNum)then
globalManager.commonUtils:setImgColorGrey(item)
else
globalManager.commonUtils:setImgColorNormal(item)
end
end
for i = 1,maxstage,1 do
if(stageNum == 1)then
self.stageLabel:setStringValue(i - 1)
self.stageNameLabel:setText(self.stageName[i])
break
end
if(i == stageNum)then
if(heartNum == 0)then
self.stageLabel:setStringValue(i - 2)
self.stageNameLabel:setText(self.stageName[i - 1])
else
self.stageLabel:setStringValue(i - 1)
self.stageNameLabel:setText(self.stageName[i])
end
break
end
end
end
end
function OathPanel:updateQingyi(evt)
print("侠义值",globalData.oathInfo.oathValue)
self.closeLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("OathPanel.text18")..globalData.oathInfo.oathValue)
--	self.charmLabel:setText("魅力值："..globalData.selfPlayerInfo.charm)
local costQingYi = 0
if(self._currentTotle < 250)then
costQingYi = (self._currentTotle + 1) * 10
elseif(self._currentTotle >= 250 and self._currentTotle < 270)then
costQingYi = math.floor((self._currentTotle + 1) * 10 * 1.5)
elseif(self._currentTotle >= 270 and self._currentTotle < 300)then
costQingYi = math.floor((self._currentTotle + 1) * 10 * 2)
end
if(self._currentTotle >= self._maxLevel)then
self.tipsLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("XianYuanPanel.text22"))
else
self.tipsLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("OathPanel.text17")..globalData.oathInfo.oathValue.."/"..costQingYi)
end
end
function OathPanel:oathUpdateHandler(evt)
self:setData()
if(self.isOath == (globalData.oathInfo.oathPosition > 0)) then return end
self.isOath = (globalData.oathInfo.oathPosition > 0)
print(globalData.oathInfo.oathType)
if(globalData.oathInfo.oathType > 0)then
self._atrrLayer:setEnabled(true)
self._desLayer:setEnabled(false)
self.oathImage:setVisible(true)
if(self.isOath)then
self.giveUpBtnLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("OathPanel.text19"))
else
self.giveUpBtnLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("OathPanel.text20"))
end
else
self._atrrLayer:setEnabled(false)
self._desLayer:setEnabled(true)
self.oathImage:setVisible(false)
end
end
function OathPanel:dispose()
self:removeEvent()
globalManager.ccCreator:release(self._widget)
self._widget = nil
for __,item in pairs(self.items) do
item:dispose()
end
self.items = nil
self._controller = nil
self._bg         = nil
self.oathImage         = nil
globalManager.sourceCacheManager:removeQuote(self._bgPath)
self._bgPath     = nil
self._desLayer   = nil
self._getBtn     = nil
self._upBtn      = nil
self._contentLabel = nil
self._atrrLayer  = nil
self._fightValue = nil
self.attributeName = nil
self.attributeFight = nil
self.cells = nil
self.icons = nil
self.infos = nil
self.plus  = nil
self.cells2 = nil
for __,item in pairs(self.items2) do
globalManager.ccCreator:release(item)
end
self.items2 = nil
self.stageLabel = nil
self.giveUpBtn  = nil
self.giveUpBtnLabel = nil
self.flowerBtn  = nil
self.closeLabel = nil
--	self.charmLabel = nil
self.tipsLabel = nil
self.stageName = nil
self.stageNameLabel = nil
self._currentTotle = nil
self._maxLevel = nil
self:BasePanelDispose()
self.BasePanelDispose = nil
end
OathItem = class("OathItem",function(self)
local temp = globalManager.ccCreator:newJsonWidget("oathItem")
temp.heartIcon  = temp:getChildByName("heartIcon")
temp.heartIcon:setVisible(false)
temp.selectIcon = temp:getChildByName("selectIcon")
temp.selectIcon:setVisible(false)
return temp
end)
function OathItem:setSelect(value)
self.selectIcon:setVisible(value)
end
function OathItem:setActivity(value)
self.heartIcon:setVisible(value)
end
function OathItem:dispose()
self.heartIcon = nil
self.selectIcon = nil
globalManager.ccCreator:release(self)
end
OathAcceptPanel = class("OathAcceptPanel",function(self,controller,data)
local temp = globalManager.ccCreator:newJsonWidget("OathAcceptPanel")
temp._controller = controller
temp._bg = temp:getChildByName("bg")
temp._bgPath = globalManager.pathManager:getUISource("outPic/oathBy.png")
temp._closeBtn = temp:getChildByName("closeBtn")
temp._whoApplyLabel = temp:getChildByName("whoApplyLabel")
temp.costLabel = temp:getChildByName("costLabel")
temp.fightLabel = temp:getChildByName("fightLabel")
temp.firstNameLabel = temp:getChildByName("firstName")
temp.middleNameLabel = temp:getChildByName("midleName")
temp.thridNameLabel = temp:getChildByName("thridName")
temp.person_1 = temp:getChildByName("titleLabel_Copy0")
temp.person_2 = temp:getChildByName("titleLabel_Copy2")
temp.person_3 = temp:getChildByName("titleLabel_Copy3")
temp._ringImg = temp:getChildByName("ringImg")
temp._ringImg:setTouchEnabled(true)
temp._yesBtn = temp:getChildByName("acceptBtn")
temp._noBtn = temp:getChildByName("juJueBtn")
temp.fristIcon = temp:getChildByName("fristIcon")
temp.middleIcon = temp:getChildByName("middleIcon")
temp.thridIcon = temp:getChildByName("thridIcon")
temp._noBtn:getChildByName("LabelBMFont_735316"):setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("OathAcceptPanel.text1"),15))
temp._yesBtn:getChildByName("LabelBMFont_735316"):setText(globalManager.yuyanbaoManager:getYuyanbao("OathAcceptPanel.text2"))
temp._iconPath = nil
temp._userId1 = data.userId1
temp._userId1Carrer = data.career1
temp._userSex1 = data.sex1
temp._userId2 = data.userId2
temp._userId2Carrer = data.career2
temp._userSex2 = data.sex2
temp._type = data.type
temp._userName1 = data.userId1Name
temp._userName2 = data.userId2Name
temp.position = data.position
temp.name = data.name
temp._time = 0
temp._count = 0
temp:getChildByName("Label_698252_Copy2"):setText(globalManager.yuyanbaoManager:getYuyanbao("OathApplyPanel.text2"))
return temp
end)
function OathAcceptPanel:ctor()
self:initEvent()
self:initView()
end
function OathAcceptPanel:tick(delta,count)
-- body
self._count = self._count + 1
if(self._count >= 60) then
self._count = 0
self._time = self._time - 1
if(self._time <= 0) then
self._controller.sceneModule.message:repleyOath(false,self._userId1,self.position)
self._controller:hideReceiveOathPanel()
else
self._noBtn:getChildByName("LabelBMFont_735316"):setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("OathAcceptPanel.text1"),self._time))
end
end
end
function OathAcceptPanel:initEvent()
local closeBtnClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self._controller.sceneModule.message:repleyOath(false,self._userId1,self.position)
self._controller:hideReceiveOathPanel()
end
end
local yesBtnClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self._controller.sceneModule.message:repleyOath(true,self._userId1,self.position)
self._controller:hideReceiveOathPanel()
globalData.uiPanelContainer:close()
end
end
local noBtnClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self._controller.sceneModule.message:repleyOath(false,self._userId1,self.position)
self._controller:hideReceiveOathPanel()
end
end
local function imageClickHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
local info = globalData.allTemplates.oathTemplateList:getTemplate(self._type)
if(info == nil) then return end
globalManager.tipsManager:showMarryInfo(info,2)
end
end
self._closeBtn:addTouchEventListener(closeBtnClickHandler)
self._yesBtn:addTouchEventListener(yesBtnClickHandler)
self._noBtn:addTouchEventListener(noBtnClickHandler)
self._ringImg:addTouchEventListener(imageClickHandler)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_reConnect,self.close,self)
end
function OathAcceptPanel:removeEvent()
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.scene_reConnect,self.close,self)
end
function OathAcceptPanel:close()
self._controller:hideReceiveOathPanel()
end
function OathAcceptPanel:initView()
self._time = 15
self._count = 0
globalManager.tickManager:addTick(self.tick,self)
globalManager.sourceCacheManager:setImage(self._bg,self._bgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self._whoApplyLabel:setText(self._userName1..string.format(globalManager.yuyanbaoManager:getYuyanbao("OathAcceptPanel.text13"),self.name))
self.firstNameLabel:setText(self._userName1)
self.fristIcon:loadTexture(globalData.allStaticTypes.careerType:getHeadPath(self._userId1Carrer),1)
if(self._userSex1 == 2)then
self.person_1:setText(globalManager.yuyanbaoManager:getYuyanbao("OathAcceptPanel.text4"))
else
self.person_1:setText(globalManager.yuyanbaoManager:getYuyanbao("OathAcceptPanel.text5"))
end
if self.position == 3 then
self.middleNameLabel:setText(self._userName2)
self.middleIcon:loadTexture(globalData.allStaticTypes.careerType:getHeadPath(self._userId2Carrer),1)
self.thridNameLabel:setText(globalData.selfPlayerInfo.nick)
self.thridIcon:loadTexture(globalData.allStaticTypes.careerType:getHeadPath(globalData.selfPlayerInfo.career),1)
if(self._userSex2 == 2)then
self.person_2:setText(globalManager.yuyanbaoManager:getYuyanbao("OathAcceptPanel.text6"))
else
self.person_2:setText(globalManager.yuyanbaoManager:getYuyanbao("OathAcceptPanel.text7"))
end
if(globalData.selfPlayerInfo.sex == 2) then
self.person_3:setText(globalManager.yuyanbaoManager:getYuyanbao("OathAcceptPanel.text8"))
else
self.person_3:setText(globalManager.yuyanbaoManager:getYuyanbao("OathAcceptPanel.text9"))
end
elseif self.position == 2 then
self.middleNameLabel:setText(globalData.selfPlayerInfo.nick)
self.middleIcon:loadTexture(globalData.allStaticTypes.careerType:getHeadPath(globalData.selfPlayerInfo.career),1)
self.thridNameLabel:setText(self._userName2)
self.thridIcon:loadTexture(globalData.allStaticTypes.careerType:getHeadPath(self._userId2Carrer),1)
if(self._userSex2 == 2)then
self.person_3:setText(globalManager.yuyanbaoManager:getYuyanbao("OathAcceptPanel.text8"))
else
self.person_3:setText(globalManager.yuyanbaoManager:getYuyanbao("OathAcceptPanel.text9"))
end
if(globalData.selfPlayerInfo.sex == 2) then
self.person_2:setText(globalManager.yuyanbaoManager:getYuyanbao("OathAcceptPanel.text6"))
else
self.person_2:setText(globalManager.yuyanbaoManager:getYuyanbao("OathAcceptPanel.text7"))
end
end
--local friend = globalData.friendList:getPlayer(self._userId1)
--local info = globalData.allTemplates.marryTemplateList:getTemplate(self._type)
local path
if self._type == 3 then
self:getChildByName("titleLabel_Copy1"):setText(globalManager.yuyanbaoManager:getYuyanbao("OathAcceptPanel.text10"))
path ="oath_1.png"
self.costLabel:setText("9999")
self.fightLabel:setText("199999")
elseif self._type == 2 then
self:getChildByName("titleLabel_Copy1"):setText(globalManager.yuyanbaoManager:getYuyanbao("OathAcceptPanel.text11"))
path = "oath_2.png"
self.costLabel:setText("1999")
self.fightLabel:setText("39999")
elseif self._type == 1 then
self:getChildByName("titleLabel_Copy1"):setText(globalManager.yuyanbaoManager:getYuyanbao("OathAcceptPanel.text12"))
path = "oath_3.png"
self.costLabel:setText("999")
self.fightLabel:setText("19999")
end
self._iconPath = globalManager.pathManager:getUISource("outPic/"..path)
globalManager.sourceCacheManager:setImage(self._ringImg,self._iconPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
end
function OathAcceptPanel:dispose()
globalManager.tickManager:removeTick(self.tick,self)
self:removeEvent()
globalManager.sourceCacheManager:removeQuote(self._bgPath)
self._bgPath = nil
globalManager.sourceCacheManager:removeQuote(self._iconPath)
self._iconPath = nil
self._controller = nil
self._bg = nil
self._whoApplyLabel = nil
self.thridNameLabel = nil
self.middleNameLabel = nil
self.firstNameLabel = nil
self.person_1 = nil
self.person_2 = nil
self.person_3 = nil
self._ringImg = nil
self._yesBtn = nil
self._noBtn = nil
self.fristIcon = nil
self.middleIcon = nil
self.thridIcon = nil
self._closeBtn = nil
self._userName1 = nil
globalManager.ccCreator:release(self)
end
OathApplyPanel = class("OathApplyPanel",function(self,controller,userId)
local self   = globalManager.ccCreator:newNode()
self._backGround = globalManager.ccCreator:newImageView("board/ui_board5.png",1)
self._backGround:setSize(globalManager.ccCreator:newSize(globalData.GAME_WIDTH,globalData.GAME_HEIGHT))
self._backGround:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[7])
self._backGround:setScale9Enabled(true)
self._backGround:setPosition(globalManager.ccCreator:newPoint(-(globalData.GAME_WIDTH - 560)/2,-(globalData.GAME_HEIGHT - 640)/2))
self._backGround:setCapInsets(cc.rect(5,4,1,1))
self._backGround:setTouchEnabled(true)
self:addChild(self._backGround)
self._widget = globalManager.ccCreator:newJsonWidget("OathPanl")
self._controller = controller
self:addChild(self._widget)
self._bg = self._widget:getChildByName("bg")
self._select_title = self._widget:getChildByName("bg"):getChildByName("select_title")
self._select_title:setPositionX(self._select_title:getPositionX() + 40)
self._bgPath = globalManager.pathManager:getUISource("outPic/oathBy.png")
self._closeBtn = self._widget:getChildByName("closeBtn")
self._sendBtn = self._widget:getChildByName("okBtn")
self.person_1 = self._widget:getChildByName("titleLabel_Copy0")
self.person_2 = self._widget:getChildByName("titleLabel_Copy1")
self.person_3 = self._widget:getChildByName("titleLabel_Copy2")
self._nameLabel = self._widget:getChildByName("rightName")
self._nameLabel2 = self._widget:getChildByName("rightName_Copy0")
self._dropDownLabel = self._widget:getChildByName("dropDownImg")
self._dropDownLabel_2 = self._widget:getChildByName("dropDownImg_2")
self._selfNameLabel = self._widget:getChildByName("leftName")
self._priceLabel1 = self._widget:getChildByName("costLabel3")
self._priceLabel2 = self._widget:getChildByName("costLabel2")
self._priceLabel3 = self._widget:getChildByName("costLabel1")
self._ringImgs = {self._widget:getChildByName("ringImg3"),self._widget:getChildByName("ringImg2"),self._widget:getChildByName("ringImg1")}
self._selectIcon = self._widget:getChildByName("selectIcon")
self._fightLabel1 = self._widget:getChildByName("fightLabel3")
self._fightLabel2 = self._widget:getChildByName("fightLabel2")
self._fightLabel3 = self._widget:getChildByName("LabelAtlas_756246")
self._leftHeadIcon = self._widget:getChildByName("leftHeadIcon")
self._rightHeadIcon = self._widget:getChildByName("rightHeadIcon")
self._rightHeadIcon2 = self._widget:getChildByName("rightHeadIcon_Copy0")
self._sendBtn:getChildByName("LabelBMFont_735316"):setText(globalManager.yuyanbaoManager:getYuyanbao("OathApplyPanel.text1"))
self._widget:getChildByName("Label_698252_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("OathApplyPanel.text2"))
self._widget:getChildByName("Label_698252_Copy1"):setText(globalManager.yuyanbaoManager:getYuyanbao("OathApplyPanel.text2"))
self.nameLayer =self._widget:getChildByName("rightHeadIcon_Copy0")
self.board = self._widget:getChildByName("board3_Copy2")
--self.board:setVisible(false)
self.layer = self._widget:getChildByName("editbox_layer_Copy0")
self.layer:setVisible(false)
self.inputBg = globalManager.ccCreator:newImageView("board/ui_board8.png",1)
self.inputBg:setScale9Enabled(true)
self.inputBg:setCapInsets(cc.rect(16,16,1,1))
self.inputBg:setSize(globalManager.ccCreator:newSize(209,36))
self.inputBg:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[7])
self.inputBg:setPosition(cc.p(455,287))
self:addChild(self.inputBg,8)
self.editbox = globalManager.ccCreator:newEditBox(globalManager.ccCreator:newSize(160,27),36,18,nil,nil,false,globalManager.yuyanbaoManager:getYuyanbao("OathApplyPanel.text3"))
self.editbox:setPosition(globalManager.ccCreator:newPoint(self.nameLayer:getPositionX()-50,self.nameLayer:getPositionY()-410))
self:addChild(self.editbox,9)
self._infoList = {}
self._onlineFriendsList = {}
self._userId3 = 0
self._userId3Name = nil
self._userId3Level = 0
self._userId2 = 0
self._userId2Name = nil
self._userId2Level = 0
self._name = nil
self._oathType = 0
self._iconPath1 = nil
self._iconPath2 = nil
self._iconPath3 = nil
self._nameLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("MarryApplyPanel.text3"))
self._nameLabel2:setText(globalManager.yuyanbaoManager:getYuyanbao("MarryApplyPanel.text3"))
self._widget:getChildByName("ImageView_735299"):getChildByName("Label_818301"):setText(globalManager.yuyanbaoManager:getYuyanbao("OathApplyPanel.text17"))
self._widget:getChildByName("ImageView_735299"):getChildByName("Label_818302"):setText(globalManager.yuyanbaoManager:getYuyanbao("OathApplyPanel.text18"))
self._widget:getChildByName("titleLabel_Copy3"):setText(globalManager.yuyanbaoManager:getYuyanbao("OathAcceptPanel.text10"))
self._widget:getChildByName("titleLabel_Copy4"):setText(globalManager.yuyanbaoManager:getYuyanbao("OathAcceptPanel.text11"))
self._widget:getChildByName("titleLabel_Copy5"):setText(globalManager.yuyanbaoManager:getYuyanbao("OathAcceptPanel.text12"))
return self
end)
function OathApplyPanel:ctor()
self:initEvent()
self:initView()
end
function OathApplyPanel:initEvent()
local closeBtnClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self._controller:hideSendOathPanel()
end
end
local payHandler = function (sender,eventType)
self._controller.sceneModule.message:sendOath(self._userId2,self._userId3,self._oathType,self._name)
--self._controller:hideSendOathPanel()
end
local sendBtnClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self._name = globalManager.ccCreator:getTextString(self.editbox)
if not globalData.wordFiltersInfo:checkName(self._name) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("StartCreateRoleView.text3"))
return
end
if self._name == ""  then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("OathApplyPanel.text5"))
return
end
if self._userId3 == 0 or self._userId2 == 0 then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("OathApplyPanel.text6"))
return
end
if self._userId3 == self._userId2 then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("OathApplyPanel.text7"))
return
end
if self._userId2Level < 50 then
globalManager.tipsManager.quickTip:show(self._userId2Name..globalManager.yuyanbaoManager:getYuyanbao("OathApplyPanel.text8"))
return
end
if self._userId3Level < 50 then
globalManager.tipsManager.quickTip:show(self._userId3Name..globalManager.yuyanbaoManager:getYuyanbao("OathApplyPanel.text8"))
return
end
if(globalData.selfPlayerInfo.moneyInfo.gold >= self._infoList[self._oathType].price)then
Alert:new():show(2,string.format(globalManager.yuyanbaoManager:getYuyanbao("OathApplyPanel.text19"),self._infoList[self._oathType].price),nil,0,self,payHandler)
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel11"))
end
end
end
local function listItemTouchHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
self._onlineFriendsList = globalData.friendList:getOnlineList()
print(globalManager.yuyanbaoManager:getYuyanbao("OathApplyPanel.text20"),#self._onlineFriendsList)
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(#self._onlineFriendsList > 0) then
local comboBox
if sender == self._dropDownLabel then
comboBox = MarryFriendView:new(self,self.comboBoxSelectHandler)
elseif sender == self._dropDownLabel_2 then
comboBox = MarryFriendView:new(self,self.comboBoxSelectHandler2)
end
comboBox:setFriendList(self._onlineFriendsList)
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("OathApplyPanel.text9"))
end
end
end
local function ringBtnClickHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
local index = globalManager.commonUtils:getIndexOfTable(self._ringImgs,sender)
self:selectType(index)
end
end
self._dropDownLabel:addTouchEventListener(listItemTouchHandler)
self._dropDownLabel_2:addTouchEventListener(listItemTouchHandler)
self._closeBtn:addTouchEventListener(closeBtnClickHandler)
self._sendBtn:addTouchEventListener(sendBtnClickHandler)
for i = 1,3,1 do
self._ringImgs[i]:setTouchEnabled(true)
self._ringImgs[i]:addTouchEventListener(ringBtnClickHandler)
end
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_reConnect,self.close,self)
end
function OathApplyPanel:removeEvent()
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.scene_reConnect,self.close,self)
end
function OathApplyPanel:close()
self._controller:hideSendMarryPanel()
end
function OathApplyPanel:initView()
globalManager.sourceCacheManager:setImage(self._bg,self._bgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
globalManager.sourceCacheManager:setImage(self._select_title,globalManager.pathManager:getUISource("outPic/select_Title.png"),globalData.allStaticTypes.sourceStaticType.clearFiveM)
self._selfNameLabel:setText(globalData.selfPlayerInfo.nick)
self._nameLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("OathApplyPanel.text10"))
if(globalData.selfPlayerInfo.sex == 2) then
self.person_1:setText(globalManager.yuyanbaoManager:getYuyanbao("OathAcceptPanel.text4"))
else
self.person_1:setText(globalManager.yuyanbaoManager:getYuyanbao("OathAcceptPanel.text5"))
end
self._leftHeadIcon:loadTexture(globalData.allStaticTypes.careerType:getHeadPath(globalData.selfPlayerInfo.career),1)
self._rightHeadIcon:setVisible(false)
self._rightHeadIcon2:setVisible(false)
for i = 1,3,1 do
table.insert(self._infoList,globalData.allTemplates.oathTemplateList:getTemplate(i))
end
self._fightLabel1:setText("19999")
self._fightLabel2:setText("39999")
self._fightLabel3:setStringValue("199999")
self._priceLabel1:setText(self._infoList[1].price)
self._priceLabel2:setText(self._infoList[2].price)
self._priceLabel3:setText(self._infoList[3].price)
self._iconPath1 = globalManager.pathManager:getUISource("outPic/oath_3.png")
globalManager.sourceCacheManager:setImage(self._ringImgs[1],self._iconPath1,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self._iconPath2 = globalManager.pathManager:getUISource("outPic/oath_2.png")
globalManager.sourceCacheManager:setImage(self._ringImgs[2],self._iconPath2,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self._iconPath3 = globalManager.pathManager:getUISource("outPic/oath_1.png")
globalManager.sourceCacheManager:setImage(self._ringImgs[3],self._iconPath3,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self:selectType(3)
--self._onlineFriendsList = globalData.friendList:getOnlineList()
end
function OathApplyPanel:comboBoxSelectHandler(index)
if(self._onlineFriendsList[index] ~= nil)then
local name = self._onlineFriendsList[index].info.nick
self._nameLabel:setText(name)
self._userId3 = self._onlineFriendsList[index].info.userId
self._userId3Name = self._onlineFriendsList[index].info.nick
self._userId3Level = self._onlineFriendsList[index].info.level
self._rightHeadIcon:setVisible(true)
if(self._onlineFriendsList[index].info.sex == 2) then
self.person_3:setText(globalManager.yuyanbaoManager:getYuyanbao("OathAcceptPanel.text6"))
else
self.person_3:setText(globalManager.yuyanbaoManager:getYuyanbao("OathAcceptPanel.text7"))
end
self._rightHeadIcon:loadTexture(globalData.allStaticTypes.careerType:getHeadPath(self._onlineFriendsList[index].info.career),1)
end
end
function OathApplyPanel:comboBoxSelectHandler2(index)
if(self._onlineFriendsList[index] ~= nil)then
local name = self._onlineFriendsList[index].info.nick
self._nameLabel2:setText(name)
self._userId2 = self._onlineFriendsList[index].info.userId
self._userId2Name = self._onlineFriendsList[index].info.nick
self._userId2Level = self._onlineFriendsList[index].info.level
self._rightHeadIcon2:setVisible(true)
if(self._onlineFriendsList[index].info.sex == 2) then
self.person_2:setText(globalManager.yuyanbaoManager:getYuyanbao("OathAcceptPanel.text8"))
else
self.person_2:setText(globalManager.yuyanbaoManager:getYuyanbao("OathAcceptPanel.text9"))
end
self._rightHeadIcon2:loadTexture(globalData.allStaticTypes.careerType:getHeadPath(self._onlineFriendsList[index].info.career),1)
end
end
function OathApplyPanel:selectType(index)
if(self._oathType == index) then return end
self._oathType = index
self._selectIcon:setPosition(globalManager.ccCreator:newPoint(self._ringImgs[index]:getPositionX(),self._ringImgs[index]:getPositionY()))
end
function OathApplyPanel:dispose()
self:removeEvent()
globalManager.sourceCacheManager:removeQuote(self._bgPath)
self._bgPath = nil
globalManager.sourceCacheManager:removeQuote(self._iconPath1)
self._iconPath1 = nil
globalManager.sourceCacheManager:removeQuote(self._iconPath2)
self._iconPath2 = nil
globalManager.sourceCacheManager:removeQuote(self._iconPath3)
self._iconPath3 = nil
globalManager.sourceCacheManager:removeQuote(self._iconPath)
self._iconPath = nil
self._controller = nil
self._bg = nil
self._select_title = nil
self._closeBtn = nil
self._sendBtn = nil
self._nameLabel = nil
self._nameLabel2 = nil
self._dropDownLabel = nil
self._dropDownLabel_2 = nil
self._selfNameLabel = nil
self._priceLabel1 = nil
self._priceLabel2 = nil
self._priceLabel3 = nil
self._ringImgs = nil
self.person_1 = nil
self.person_2 = nil
self.person_3 = nil
self._fightLabel1 = nil
self._fightLabel2 = nil
self._fightLabel3 = nil
self.nameLayer = nil
self.layer = nil
self._selectIcon = nil
self._leftHeadIcon = nil
self._rightHeadIcon = nil
self._rightHeadIcon2 = nil
globalManager.ccCreator:release(self.inputBg)
self.inputBg = nil
if(self.editbox ~= nil) then
globalManager.ccCreator:release(self.editbox)
self.editbox = nil
end
if(self._backGround ~= nil) then
globalManager.ccCreator:release(self._backGround)
self._backGround = nil
end
self.board = nil
self._infoList = nil
self._onlineFriendsList = nil
self._userId3 = 0
self._userId3Name = nil
self._userId3Level = 0
self._userId2 = 0
self._userId2Name = nil
self._userId2Level = 0
self._name = nil
self._oathType = 0
globalManager.ccCreator:release(self._widget)
globalManager.ccCreator:release(self)
end
OathBreakPanel = class("OathBreakPanel",function(self,controller)
local temp = globalManager.ccCreator:newJsonWidget("MarryBreakPanel")
temp._controller = controller
temp._nameLabel = temp:getChildByName("Label_1")
temp._label = temp:getChildByName("Label_3")
temp._label:setText("")
temp._tipLabel = temp:getChildByName("Label_4")
temp._acceptBtn = temp:getChildByName("acceptBtn")
temp._juJueBtn = temp:getChildByName("juJueBtn")
temp:getChildByName("titleLabel_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("OathBreakPanel.text1"))
temp:getChildByName("Label_2"):setText(globalManager.yuyanbaoManager:getYuyanbao("OathBreakPanel.text2"))
temp:getChildByName("Label_3"):setVisible(false)
temp:getChildByName("Label_4"):setText(globalManager.yuyanbaoManager:getYuyanbao("OathBreakPanel.text3"))
temp:getChildByName("Label_5"):setText("500")
temp:getChildByName("Label_6"):setText(globalManager.yuyanbaoManager:getYuyanbao("OathBreakPanel.text4"))
temp._acceptBtn:getChildByName("LabelBMFont_735316"):setText(globalManager.yuyanbaoManager:getYuyanbao("OathBreakPanel.text5"))
temp._juJueBtn:getChildByName("LabelBMFont_735316_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("OathBreakPanel.text6"))
return temp
end)
function OathBreakPanel:ctor()
self:initEvent()
self:initView()
end
function OathBreakPanel:initEvent()
local yesBtnClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if globalData.selfPlayerInfo.moneyInfo.copper >= 5000000 then
self._controller.sceneModule.message:divorceOath()
self._controller:hideOathBreakPanel()
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel12"))
end
end
end
local noBtnClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self._controller:hideOathBreakPanel()
end
end
self._acceptBtn:addTouchEventListener(yesBtnClickHandler)
self._juJueBtn:addTouchEventListener(noBtnClickHandler)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_reConnect,self.close,self)
end
function OathBreakPanel:removeEvent()
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.scene_reConnect,self.close,self)
end
function OathBreakPanel:close()
self._controller:hideOathBreakPanel()
end
function OathBreakPanel:initView()
local name = ""
local nameList = globalData.oathInfo:getOtherTwoName()
if #nameList == 1 then
name = nameList[1]
else
name = nameList[1].."、"..nameList[2]
end
if name == nil then
return
end
self._nameLabel:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("OathBreakPanel.text8"),name))
--	self._tipLabel:setText("解缘需要花费555钻石（对方离线超过7天则免费）")
end
function OathBreakPanel:dispose()
self:removeEvent()
self._controller = nil
self._nameLabel = nil
self._tipLabel = nil
self._acceptBtn = nil
self._juJueBtn = nil
globalManager.ccCreator:release(self)
end
CopyTYCompletePanel = class("CopyTYCompletePanel", function(self,copyId)
local self = globalManager.ccCreator:newJsonWidget("copyOverView5")
self._info 	 	  = globalData.copyInfo.copyTaoYuanInfo
self._copyId 	  = copyId
self.txtV2        = self:getChildByName("txtV2")
self.txtV4        = self:getChildByName("txtV4")
self.quitBtn      = self:getChildByName("quitBtn")
self.timeLabel    = self.quitBtn:getChildByName("btnLabel")
self.copperLabel  = self:getChildByName("honourLabel_Copy0")
self.goldImg      = self:getChildByName("goldImg")
self:getChildByName("againBtn"):setEnabled(false)
self:getChildByName("againBtn"):setVisible(false)
self._itemList    = {}
for i = 1,5,1 do
table.insert(self._itemList,self:getChildByName("item"..i))
end
self._time = 0
self._count = 0
self._goodsInfos = {}
self._gridList = {}
self.totalCopper = 0
self:getChildByName("honourLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("CopyTYCompletePanel.text1"))
self:getChildByName("honourLabel_Copy0"):setText(globalManager.yuyanbaoManager:getYuyanbao("CopyTYCompletePanel.text2"))
self:getChildByName("honourLabel_Copy1"):setText(globalManager.yuyanbaoManager:getYuyanbao("CopyTYCompletePanel.text3"))
self:getChildByName("quitBtn"):getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel1"))
self:getChildByName("tipsLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("WorldBossVipCompletePanel.text5"))
return self
end)
function CopyTYCompletePanel:ctor()
self:initEvent()
self:show()
end
function CopyTYCompletePanel:initEvent()
local exitClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self:dispose()
end
end
self.quitBtn:addTouchEventListener(exitClickHandler)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_reConnect,self.dispose,self)
end
function CopyTYCompletePanel:removeEvent()
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.scene_reConnect,self.dispose,self)
end
function CopyTYCompletePanel:show()
self._time = 5
self.timeLabel:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("WorldBossVipCompletePanel.text1"),self._time))
self._count = 0
globalManager.tickManager:addTick(self.tick,self)
self.txtV4:setText(self._info.exp)
local index = 1
for __,item in pairs(self._info.itemList) do
local templateInfo = globalData.allTemplates.goodsTemplateList:getTemplate(item[1])
if(templateInfo.categoryId == globalData.allStaticTypes.categoryType.copperType)then
self.totalCopper = templateInfo.property1 * item[2]
elseif(item[3] == nil or item[3] == 0 or item[3] == globalData.allStaticTypes.careerType:getCareer(globalData.selfPlayerInfo.career)) then   --自己的职业，或者不分职业的物品筛选
local grid = GoodsInfoGrid:new()
local goodsinfo = GoodsInfo:new()
goodsinfo:setTemplateId(item[1])
goodsinfo.count = item[2]
if(item[4] ~= nil) then
goodsinfo:updateStrengthLevel(item[4])
end
if(item[5] ~= nil) then
goodsinfo.stage = item[5]
end
table.insert(self._goodsInfos,goodsinfo)
grid:setGoodsInfo(goodsinfo)
self._itemList[index]:addChild(grid)
table.insert(self._gridList,grid)
index = index + 1
if(index >= 6)then
break
end
end
end
self.txtV2:setText(self.totalCopper)
globalData.uiClickContainer:addItem(self,true,true)
end
function CopyTYCompletePanel:tick(delta,count)
self._count = self._count + 1
if(self._count >= 60) then
self._time = self._time - 1
if(self._time <= 0) then
self:dispose()
else
self.timeLabel:setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("WorldBossVipCompletePanel.text1"),self._time))
self._count = 0
end
end
end
function CopyTYCompletePanel:hideFormClickContainer()
end
function CopyTYCompletePanel:dispose()
globalData.uiClickContainer:close(self)
globalManager.tickManager:removeTick(self.tick,self)
self:removeEvent()
self._copyId = nil
for __,info in pairs(self._goodsInfos) do
info:dispose()
end
self._goodsInfos = nil
if(self._gridList ~= nil) then
for __,grid in pairs(self._gridList) do
grid:dispose()
end
self._gridList = nil
end
self._itemList = nil
self._info = nil
self.txtV2 = nil
self.txtV4 = nil
self.quitBtn = nil
self.timeLabel = nil
self.copperLabel = nil
self.goldImg = nil
globalManager.ccCreator:release(self)
if(globalData.selfPlayerInfo.level >= globalData.newModuleLevelConfig.oathLevel) then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab3,globalData.allStaticTypes.panelTabType.oath)
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.showTaoYuanPanel,globalManager.gameDispatcher))
end
end
CopyTYFollowPanel = class("CopyTYFollowPanel",function(self,controller)
local temp = globalManager.ccCreator:newJsonWidget("copyFollowView2")
temp._controller = controller
temp._infoPanel = temp:getChildByName("info_panel")
temp._monsterLabel = temp._infoPanel:getChildByName("monster_label")
local timeLayer = temp._infoPanel:getChildByName("time_layer")
temp._timeLabel = CountDownLabel:new(nil,3,nil,globalData.allStaticTypes.colorType.COLORGREEN,0)
timeLayer:addChild(temp._timeLabel)
temp._info = nil
temp.count = 0
temp._infoPanel:getChildByName("Label_31649_Copy3"):setText(globalManager.yuyanbaoManager:getYuyanbao("CopyTYFollowPanel.text1"))
temp._infoPanel:getChildByName("Label_31649_Copy1"):setText(globalManager.yuyanbaoManager:getYuyanbao("CopyTYFollowPanel.text2"))
return temp
end)
function CopyTYFollowPanel:ctor()
self._info = globalData.copyInfo.currentCopyInfo
self:initEvent()
end
function CopyTYFollowPanel:initEvent()
self._info:addEventListener(globalData.globalEventType.playerInfo_copyMonster,self.updateMonsterHandler,self)
self._info:addEventListener(globalData.globalEventType.playerInfo_copyTime,self.updateTimeHandler,self)
end
function CopyTYFollowPanel:tick(delta, count)
self.count = self.count + 1
if(self.count >= 180)then
self._controller.sceneModule.message:sendQuitCopy()
self.count = 0
globalManager.tickManager:removeTick(self.tick,self)
end
end
function CopyTYFollowPanel:removeEvent()
self._info:removeEventListener(globalData.globalEventType.playerInfo_copyMonster,self.updateMonsterHandler,self)
self._info:removeEventListener(globalData.globalEventType.playerInfo_copyTime,self.updateTimeHandler,self)
end
function CopyTYFollowPanel:updateMonsterHandler(evt)
self._monsterLabel:setText((self._info.totalMonster - self._info.leftMonster).."/"..self._info.totalMonster)
if(self._info.leftMonster <= 0) then
globalManager.tickManager:addTick(self.tick,self)
end
end
function CopyTYFollowPanel:updateTimeHandler(evt)
self._timeLabel:start(self._info.leftTime)
end
function CopyTYFollowPanel:dispose()
self:removeEvent()
globalManager.tickManager:removeTick(self.tick,self)
self._info = nil
self._controller = nil
self._infoPanel = nil
self._monsterLabel = nil
if(self._timeLabel ~= nil) then
self._timeLabel:dispose()
self._timeLabel = nil
end
globalManager.ccCreator:release(self)
end
OathController = class("OathController",function(self,module)
local temp = {}
temp.module = module
return temp
end)
function OathController:ctor()
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.showTaoYuanPanel,self.showTaoYuanPanel,self)
end
function OathController:showPanel()
if(self.module.oathPanel == nil) then
self.module.oathPanel = OathPanel:new(self)
self.module.oathPanel.eventDis:addEventListener(globalData.globalEventType.trigger_panelDispose,self.panelCloseHandler,self)
end
globalData.uiPanelContainer:addPanel(globalData.allStaticTypes.panelTabType.oath,self.module.oathPanel)
end
function OathController:panelCloseHandler(evt)
self.module.oathPanel.eventDis:removeEventListener(globalData.globalEventType.trigger_panelDispose,self.panelCloseHandler,self)
self.module.oathPanel = nil
end
function OathController:showTaoYuanPanel()
if(self.module.taoYuanPanel == nil)then
self.module.taoYuanPanel = TaoYuanPanel:new(self)
end
globalData.uiClickContainer:addItem(self.module.taoYuanPanel,true,true)
end
function OathController:hideTaoYuanPanel()
if(self.module.taoYuanPanel ~= nil)then
globalData.uiClickContainer:close(self.module.taoYuanPanel)
self.module.taoYuanPanel:dispose()
self.module.taoYuanPanel = nil
end
end
OathMessageSender = class("OathMessageSender",function(self,module)
local temp = {}
temp.activityModule = module
return temp
end)
function OathMessageSender:add()
end
--升级结义
function OathMessageSender:sendOathUpLevel()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.OATH_UPDATE)
globalManager.messageManager:send(messOut)
end
--升级桃子成熟度
function OathMessageSender:sendTaoYuanUpdate()
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.TAOYUAN_UPDATE)
globalManager.messageManager:send(messOut)
end
--摘桃子
function OathMessageSender:sendTaoYuanPick(id)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.TAOYUAN_PICK)
messOut:writeShort(id)
globalManager.messageManager:send(messOut)
end
--发送进入副本
function OathMessageSender:sendEnterCopy(copyId,mission)
if(mission == nil)then
mission = 1
end
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.ENTER_COPY)
messOut:writeInt(copyId)
messOut:writeByte(mission)
globalManager.messageManager:send(messOut)
end
TaoYuanMessageHandler = class("TaoYuanMessageHandler",function(self,module)
local temp = {}
temp.module = module
return temp
end)
function TaoYuanMessageHandler:ctor()
--桃园面板信息返回
local function taoYuanInfo(mess)
local bytes = tolua.cast(mess,"MessageIn")
local len = bytes:readByte()
local playerInfoList = {}
for i = 1,len,1 do
local pos = bytes:readByte()
local career = bytes:readByte()
local sex = 1
if(career == 2) then
sex = 2
end
local value = bytes:readInt()
local userId = bytes:readNumber()
local online = bytes:readByte()
local Nick = bytes:readString()
table.insert(playerInfoList,{pos,career,value,Nick,userId,online,sex})
end
local len2 = bytes:readByte()
local valueList = {}
for i = 1,len2,1 do
valueList[i] = bytes:readShort()
end
globalData.oathInfo:updateTheOtherPersonInfo(playerInfoList,valueList)
end
--使用甘露返回
local function taoYuanUpdate(mess)
local bytes = tolua.cast(mess,"MessageIn")
local index = 1--bytes:readByte()
if(index == 1)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("TaoYuanMessageHandler.text1"))
elseif(index == 2)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("TaoYuanMessageHandler.text2"))
elseif(index == 3)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("TaoYuanMessageHandler.text3"))
end
end
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.TAOYUAN_INFO,taoYuanInfo)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.TAOYUAN_UPDATE,taoYuanUpdate)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.TAOYUAN_PICK,taoYuanInfo)
end
OathModule = class("OathModule",function(self)
local temp = BaseModule:new()
temp.oathController = nil
temp.oathPanel = nil
temp.taoYuanPanel = nil
return temp
end)
--override
function OathModule:getModuleType()
return globalData.allStaticTypes.moduleType.oath
end
--override
function OathModule:setup(data)
self.message = OathMessageSender:new(self)
self.message:add()
self.oathController = OathController:new(self)
self.oathController:showPanel()
end
--override
function OathModule:configure(data)
self.oathController:showPanel()
end
TaoYuanPanel = class("TaoYuanPanel",function(self,controller)
local temp = globalManager.ccCreator:newJsonWidget("TaoYuanPanel")
temp._controller = controller
temp._bg = temp:getChildByName("bg")
temp._bgPath = globalManager.pathManager:getUISource("outPic/taoYuanBg.png")
temp._growLabelList = {}
temp._itemList = {}
for i = 1,5,1 do
local label = temp:getChildByName("growLabel"..i)
table.insert(temp._growLabelList,label)
local itemBg = temp:getChildByName("item"..i)
local item = TaoYuanItem:new(temp._controller,i)
itemBg:addChild(item)
table.insert(temp._itemList,item)
end
temp._nameLabelList = {}
temp._gongXianLabelList = {}
temp._brotherLabelList = {}
for i = 1,3,1 do
local nameLabel = temp:getChildByName("nameLabel"..i)
table.insert(temp._nameLabelList,nameLabel)
local gongXianLabel = temp:getChildByName("gongXianLabel"..i)
table.insert(temp._gongXianLabelList,gongXianLabel)
local label = temp:getChildByName("brotherLabel"..i)
table.insert(temp._brotherLabelList,label)
end
temp._freeCountLabel = temp:getChildByName("freeCountLabel")
temp._payCountLabel = temp:getChildByName("payCountLabel")
temp._totalGrowValueLabel = temp:getChildByName("growLabel")
temp._countLabel = temp:getChildByName("countLabel")
temp._cellBg = temp:getChildByName("cell")
temp._cell = BaseGrid:new()
temp._cellBg:addChild(temp._cell)
temp._growBtn = temp:getChildByName("growBtn")
temp._enterBtn = temp:getChildByName("enterBtn")
temp._tipsBtn = temp:getChildByName("tipsBtn")
temp._closeBtn = temp:getChildByName("closeBtn")
temp._growValue = 0
temp._payCount = 0
temp._freeCount = 0
temp._cost = 0
temp._goodsTemplateId = 160416
temp.isUpdate = true
temp.timeCount = 0
temp.time = 0
temp:getChildByName("content1"):setText(globalManager.yuyanbaoManager:getYuyanbao("TaoYuanPanel.text1"))
temp:getChildByName("content2"):setText(globalManager.yuyanbaoManager:getYuyanbao("TaoYuanPanel.text2"))
temp:getChildByName("content3"):setText(globalManager.yuyanbaoManager:getYuyanbao("TaoYuanPanel.text3"))
temp:getChildByName("content4"):setText(globalManager.yuyanbaoManager:getYuyanbao("TaoYuanPanel.text4"))
temp:getChildByName("content5"):setText(globalManager.yuyanbaoManager:getYuyanbao("TaoYuanPanel.text5"))
temp:getChildByName("content6"):setText(globalManager.yuyanbaoManager:getYuyanbao("TaoYuanPanel.text6"))
temp:getChildByName("tipsLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("TaoYuanPanel.text7"))
return temp
end)
function TaoYuanPanel:ctor()
globalManager.sourceCacheManager:setImage(self._bg,self._bgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self:initEvent()
self:initView()
end
function TaoYuanPanel:initEvent()
local function growBtnClickHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
local count = globalData.goodsInfoList:getGoodsCount(self._goodsTemplateId,1)
if(self._growValue >= globalData.allTemplates.taoYuanTemplateList.list[5].condition)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("TaoYuanPanel.text8"))
elseif(count == 0)then
self:checkUpdate()
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("TaoYuanPanel.text9"))
elseif(count > 0 and count < 10)then
self:checkUpdate()
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("TaoYuanPanel.text10"))
else
self._controller.module.message:sendTaoYuanUpdate()
end
end
end
local function senderEnterCopy()
if(globalData.selfPlayerInfo.moneyInfo.gold >= self._cost)then
self._controller.module.message:sendEnterCopy(globalData.allTemplates.copyTemplateList.TAOYUAN)
self._controller:hideTaoYuanPanel()
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel11"))
end
end
local function enterBtnClickHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(self._payCount <= 0)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("TaoYuanPanel.text12"))
elseif(self._freeCount > 0)then
self._controller.module.message:sendEnterCopy(globalData.allTemplates.copyTemplateList.TAOYUAN)
self._controller:hideTaoYuanPanel()
elseif(self._freeCount <= 0 and self._payCount > 0)then
local text = string.format(globalManager.yuyanbaoManager:getYuyanbao("TaoYuanPanel.text21"),self._cost)
Alert:new():show(2,text,nil,0,self,senderEnterCopy)
end
end
end
local function tipsBtnClickHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
globalManager.tipsManager:showString(globalManager.descriptManager:getDescript("10031"))
end
end
local function closeBtnClickHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
self._controller:hideTaoYuanPanel()
end
end
self._growBtn:addTouchEventListener(growBtnClickHandler)
self._enterBtn:addTouchEventListener(enterBtnClickHandler)
self._tipsBtn:addTouchEventListener(tipsBtnClickHandler)
self._closeBtn:addTouchEventListener(closeBtnClickHandler)
globalData.oathInfo:addEventListener(globalData.globalEventType.taoYuanInfoUpdate,self.updateView,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_reConnect,self.close,self)
end
function TaoYuanPanel:removeEvent()
globalData.oathInfo:removeEventListener(globalData.globalEventType.taoYuanInfoUpdate,self.updateView,self)
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.scene_reConnect,self.close,self)
end
function TaoYuanPanel:close()
self._controller:hideTaoYuanPanel()
end
function TaoYuanPanel:initView()
local goodsTempInfo = globalData.allTemplates.goodsTemplateList:getTemplate(self._goodsTemplateId)
local count = globalData.goodsInfoList:getGoodsCount(self._goodsTemplateId,1)
self._cell:setGoodsTempInfo(goodsTempInfo)
self._countLabel:setText(count)
for i = 1,5,1 do
self._growLabelList[i]:setText(globalData.allTemplates.taoYuanTemplateList.list[i].condition)
end
local count = globalData.copyInfo:getCopyLeftCount(globalData.allTemplates.copyTemplateList.TAOYUAN)
if(count == 4)then
self._freeCount = 1
self._payCount = 3
else
self._freeCount = 0
self._payCount = count
end
if(count == 3)then
self._cost = 100
elseif(count == 2)then
self._cost = 200
elseif(count == 1)then
self._cost = 300
end
self._freeCountLabel:setText(self._freeCount)
self._payCountLabel:setText(self._payCount)
self:updateView()
end
function TaoYuanPanel:updateView()
local playerList = globalData.oathInfo.playerInfoList
local valueList = globalData.oathInfo.valueList
self._growValue = 0
local index = 0
for i=1,#playerList,1 do
if(playerList[i][1] == 1)then
if(playerList[i][7] == 2)then
self._brotherLabelList[1]:setText(globalManager.yuyanbaoManager:getYuyanbao("OathAcceptPanel.text4"))
else
self._brotherLabelList[1]:setText(globalManager.yuyanbaoManager:getYuyanbao("OathAcceptPanel.text5"))
end
elseif(playerList[i][1] == 2)then
if(playerList[i][7] == 2)then
self._brotherLabelList[2]:setText(globalManager.yuyanbaoManager:getYuyanbao("OathAcceptPanel.text6"))
else
self._brotherLabelList[2]:setText(globalManager.yuyanbaoManager:getYuyanbao("OathAcceptPanel.text7"))
end
elseif(playerList[i][1] == 3)then
if(playerList[i][7] == 2)then
self._brotherLabelList[3]:setText(globalManager.yuyanbaoManager:getYuyanbao("OathAcceptPanel.text8"))
else
self._brotherLabelList[3]:setText(globalManager.yuyanbaoManager:getYuyanbao("OathAcceptPanel.text9"))
end
end
self._nameLabelList[playerList[i][1]]:setText(playerList[i][4].."：")
self._gongXianLabelList[playerList[i][1]]:setText(playerList[i][3])
self._growValue = self._growValue + playerList[i][3]
index = index + playerList[i][1]
end
if(index == 3)then -- 1 + 2 ,三弟位置没人
self._brotherLabelList[3]:setText(globalManager.yuyanbaoManager:getYuyanbao("TaoYuanPanel.text18"))
self._nameLabelList[3]:setText(globalManager.yuyanbaoManager:getYuyanbao("TaoYuanPanel.text19"))
elseif(index == 4)then
self._brotherLabelList[2]:setText(globalManager.yuyanbaoManager:getYuyanbao("TaoYuanPanel.text16"))
self._nameLabelList[2]:setText(globalManager.yuyanbaoManager:getYuyanbao("TaoYuanPanel.text19"))
elseif(index == 5)then
self._brotherLabelList[1]:setText(globalManager.yuyanbaoManager:getYuyanbao("TaoYuanPanel.text14"))
self._nameLabelList[1]:setText(globalManager.yuyanbaoManager:getYuyanbao("TaoYuanPanel.text19"))
end
self._totalGrowValueLabel:setText(self._growValue.."/"..globalData.allTemplates.taoYuanTemplateList.list[5].condition)
for i=1,5,1 do
if(self._growValue >= globalData.allTemplates.taoYuanTemplateList.list[i].condition)then
globalManager.commonUtils:setImgColorNormal(self._itemList[i].peachIcon)
else
globalManager.commonUtils:setImgColorGrey(self._itemList[i].peachIcon)
end
end
for i = 1,3,1 do
local posX,posY = self._nameLabelList[i]:getPosition()
local width = self._nameLabelList[i]:getContentSize().width
self._gongXianLabelList[i]:setPosition(cc.p(posX + width,posY))
end
for i=1,5,1 do
if(globalData.oathInfo:isCanGetAward(i))then
self._itemList[i]:setCanGainAward(true)
end
end
local count = globalData.goodsInfoList:getGoodsCount(self._goodsTemplateId,1)
self._countLabel:setText(count)
for i =1,5,1 do
local index2 = globalManager.commonUtils:getIndexOfTable(valueList,i)
if(index2 ~= -1)then
self._growLabelList[i]:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel63"))
self._growLabelList[i]:setColor(globalData.allStaticTypes.colorType.COLORYELLOW)
end
end
end
function TaoYuanPanel:checkUpdate()
if(self.isUpdate)then
globalData.messageAdder:sendTaoYuanInfo()
self.isUpdate = false
self.timeCount = 0
self.time = 600
globalManager.tickManager:addTick(self.tick,self)
end
end
function TaoYuanPanel:tick(delta, tickCount)
self.timeCount = self.timeCount + 1
if(self.timeCount >= self.time)then
self.isUpdate = true
globalManager.tickManager:removeTick(self.tick,self)
end
end
function TaoYuanPanel:dispose()
globalManager.tickManager:removeTick(self.tick,self)
self:removeEvent()
self._bg = nil
self._controller = nil
globalManager.sourceCacheManager:removeQuote(self._bgPath)
self._bgPath = nil
self._growLabelList = nil
for i = 1,5,1 do
self._itemList[i]:dispose()
end
self._itemList = nil
self._nameLabelList = nil
self._gongXianLabelList = nil
self._freeCountLabel = nil
self._payCountLabel = nil
self._totalGrowValueLabel = nil
self._cellBg = nil
self._cell:dispose()
self._cell = nil
self._growBtn = nil
self._enterBtn = nil
self._tipsBtn = nil
self._brotherLabelList = nil
self.isUpdate = nil
self.timeCount = nil
self.time = nil
globalManager.ccCreator:release(self)
end
TaoYuanItem = class("TaoYuanItem",function (self,controller,index)
local temp = globalManager.ccCreator:newJsonWidget("TaoYuanItem")
temp.peachIcon  = temp:getChildByName("peachIcon")
temp.selectIcon = temp:getChildByName("selectIcon")
temp.selectIcon:setVisible(false)
temp._controller = controller
temp._index = index
return temp
end)
function TaoYuanItem:ctor()
self:initEvent()
end
function TaoYuanItem:initEvent()
local function peachTouchHandler(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(globalData.oathInfo:isCanGetAward(self._index))then
local id = globalData.allTemplates.taoYuanTemplateList.list[self._index].id
self._controller.module.message:sendTaoYuanPick(id)
self.selectIcon:setVisible(false)
else
local describeId = globalData.allTemplates.taoYuanTemplateList.list[self._index].describeId
local goodsTempInfo = globalData.allTemplates.goodsTemplateList:getTemplate(describeId)
globalManager.tipsManager:showGoodsTemplate(goodsTempInfo)
end
end
end
self.peachIcon:addTouchEventListener(peachTouchHandler)
end
function TaoYuanItem:setCanGainAward(value)
self.selectIcon:setVisible(value)
end
-- function TaoYuanItem:isCanGetAward(index)
-- 	local playerList = globalData.oathInfo.playerInfoList
-- 	local valueList = globalData.oathInfo.valueList
-- 	local growValue = 0
-- 	for i = 1,#playerList,1 do
-- 		growValue = growValue + playerList[i][3]
-- 	end
-- 	for i=1,5,1 do
-- 		if(growValue >= globalData.allTemplates.taoYuanTemplateList.list[i].condition)then
-- 			count = count + 1
-- 		end
-- 	end
-- 	for i=1,count,1 do
-- 		if(valueList[i] == index)then
-- 			return false
-- 		end
-- 	end
-- 	return true
-- end
function TaoYuanItem:dispose()
self._controller = nil
self.peachIcon = nil
self.selectIcon = nil
globalManager.ccCreator:release(self)
end
FazhenPanel = class("FazhenPanel",function(self,controller)
local temp = XiaofeiPanel:new(6,controller)
temp.xiaofeiDispose = temp.dispose
temp.xiaofeiInitEvent = temp.initEvent
temp.xiaofeiRemoveEvent = temp.removeEvent
temp.xiaofeiStageUpdate = temp.stageUpdate
temp._bgPath = globalManager.pathManager:getUISource("outPic/xiaofei_bg.png")
temp._equipValueList = {0,0,0,0,0}
temp._character = nil
temp._isShow = true
temp._oldShow = true
temp._character1 = nil
temp.count = 21
temp.opacityValue = 255
temp.scaleValue = 1.5
temp.count1 = 0
temp.scaleValue1 = 1.5
return temp
end)
function FazhenPanel:ctor()
globalManager.sourceCacheManager:setImage(self._bgImage,self._bgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self:setInfo(globalData.fazhenItemInfo)
self._nameLabels[1]:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel31"))
self._nameLabels[2]:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel32"))
self._nameLabels[3]:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel33"))
self._nameLabels[4]:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel38"))
self._nameLabels[5]:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel39"))
self._nameLabels[6]:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel53"))
self:getJingLianInfo()
if(globalData.fazhenItemInfo.stage > 0 and not globalData.fazhenItemInfo.isShow) then
self._showHideBtn:loadTextureNormal("icon/ui_copyHideIcon.png",1)
self._isShow = false
self._oldShow = false
end
end
function FazhenPanel:initEvent()
local showHideClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(globalData.fazhenItemInfo.stage <= 0) then return end
if(self._isShow) then
self._showHideBtn:loadTextureNormal("icon/ui_copyHideIcon.png",1)
self._isShow = false
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("FazhenPanel.text1"))
else
self._showHideBtn:loadTextureNormal("icon/ui_copyShowIcon.png",1)
self._isShow = true
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("FazhenPanel.text2"))
end
end
end
self:xiaofeiInitEvent()
self._showHideBtn:addTouchEventListener(showHideClickHandler)
self._info:addEventListener(globalData.globalEventType.playerInfo_fazhenTemplate,self.stageUpdate,self)
self._info:addEventListener(globalData.globalEventType.playerInfo_fazhenInfo,self.update,self)
self._info:addEventListener(globalData.globalEventType.playerInfo_fazhenHuanhua,self.huanhuaUpdate,self)
end
function FazhenPanel:update(evt)
self:infoUpdate(evt.data)
self:autoCheckUpAndJump()
end
function FazhenPanel:removeEvent()
self:xiaofeiRemoveEvent()
self._info:removeEventListener(globalData.globalEventType.playerInfo_fazhenTemplate,self.stageUpdate,self)
self._info:removeEventListener(globalData.globalEventType.playerInfo_fazhenInfo,self.update,self)
self._info:removeEventListener(globalData.globalEventType.playerInfo_fazhenHuanhua,self.huanhuaUpdate,self)
end
function FazhenPanel:stageUpdate()
self:xiaofeiStageUpdate()
end
function FazhenPanel:showCharacter(stage,info)
if(self._character ~= nil)then
self._character:dispose()
end
self._character = globalManager.effectCreator:create(tonumber(info:getShowPath()),nil,nil,false,1.5)
if(self._character ~= nil) then
local color = globalData.allStaticTypes.colorType:getFazhenEffectColor(stage)
self._character:setColor(color)
local posX, posY = info:getEffPosition()
self._character:move2(self._showPanel,posX,posY)
self._showPanel:addNode(self._character)
self._character:play()
end
globalManager.tickManager:addTick(self.fadeOutTick,self)
end
function FazhenPanel:fadeOutTick(delta,count)
self.count1 = self.count1 + 1
if(self.count1 > 0 and self.count1 <= 20)then
self.scaleValue1 = self.scaleValue1 + 0.03
self._character:setScale(self.scaleValue1)
elseif(self.count1 >= 21 and self.count1 <= 41)then
self.scaleValue1 = self.scaleValue1 - 0.03
self._character:setScale(self.scaleValue1)
else
self.count1 = 0
self.scaleValue1 = 1.5
globalManager.tickManager:removeTick(self.fadeOutTick,self)
end
end
function FazhenPanel:fadeOut(stage,info)
if(self._character1 ~= nil)then
self._character1:dispose()
end
self._character1 = globalManager.effectCreator:create(tonumber(info:getShowPath()),nil,nil,false,1.5)
if(self._character1 ~= nil) then
local color = globalData.allStaticTypes.colorType:getFazhenEffectColor(stage)
self._character1:setColor(color)
local posX, posY = info:getEffPosition()
self._character1:move2(self._showPanel,posX,posY)
self._showPanel:addNode(self._character1)
self._character1:setLocalZOrder(5)
self._character1:play()
end
globalManager.tickManager:addTick(self.tick,self)
end
function FazhenPanel:tick(delta,count)
self.count = self.count - 1
self.scaleValue = self.scaleValue + 0.03
self.opacityValue = self.opacityValue - 12
if(self.count > 0)then
self._character1:setScale(self.scaleValue)
self._character1:setAlpha(self.opacityValue)
else
self.opacityValue = 255
self.count = 21
self.scaleValue = 1.5
if(self._character1 ~= nil)then
self._character1:dispose()
self._character1 = nil
end
globalManager.tickManager:removeTick(self.tick,self)
end
end
function FazhenPanel:dispose()
globalManager.tickManager:removeTick(self.fadeOutTick,self)
globalManager.sourceCacheManager:removeQuote(self._bgPath)
if(self._oldShow ~= self._isShow and globalData.fazhenItemInfo.stage > 0) then
self._controller.module.message:sendShow(globalData.allStaticTypes.petXiaofeiType.FAZHEN,self._isShow)
end
self._bgPath = nil
if(self._character ~= nil)then
self._character:dispose()
self._character = nil
end
self:xiaofeiDispose()
self.xiaofeiDispose = nil
self.xiaofeiInitEvent = nil
self.xiaofeiRemoveEvent = nil
self.xiaofeiStageUpdate = nil
end
GodPanel = class("GodPanel",function(self,controller)
local temp = XiaofeiPanel:new(4,controller)
temp.xiaofeiDispose = temp.dispose
temp.xiaofeiInitEvent = temp.initEvent
temp.xiaofeiRemoveEvent = temp.removeEvent
temp.xiaofeiStageUpdate = temp.stageUpdate
temp._bgPath = globalManager.pathManager:getUISource("outPic/xiaofei_bg.png")
temp._equipValueList = {0,0,0,0,0}
temp._character = nil
return temp
end)
function GodPanel:ctor()
globalManager.sourceCacheManager:setImage(self._bgImage,self._bgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self:setInfo(globalData.godItemInfo)
self._nameLabels[1]:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel31"))
self._nameLabels[2]:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel32"))
self._nameLabels[3]:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel33"))
self._nameLabels[4]:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel38"))
self._nameLabels[5]:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel39"))
self._nameLabels[6]:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel42"))
self:getJingLianInfo()
end
function GodPanel:initEvent()
self:xiaofeiInitEvent()
self._info:addEventListener(globalData.globalEventType.playerInfo_godTemplate,self.stageUpdate,self)
self._info:addEventListener(globalData.globalEventType.playerInfo_godInfo,self.update,self)
self._info:addEventListener(globalData.globalEventType.playerInfo_godHuanhua,self.huanhuaUpdate,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.newly_godAutoUpdate,self.autoUpdateStage,self)
end
function GodPanel:removeEvent()
self:xiaofeiRemoveEvent()
self._info:removeEventListener(globalData.globalEventType.playerInfo_godTemplate,self.stageUpdate,self)
self._info:removeEventListener(globalData.globalEventType.playerInfo_godInfo,self.update,self)
self._info:removeEventListener(globalData.globalEventType.playerInfo_godHuanhua,self.huanhuaUpdate,self)
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.newly_godAutoUpdate,self.autoUpdateStage,self)
end
function GodPanel:stageUpdate()
self:xiaofeiStageUpdate()
end
function GodPanel:update(evt)
self:infoUpdate(evt.data)
self:autoCheckUpAndJump()
end
function GodPanel:showCharacter(stage,info)
if(self._character ~= nil)then
self._character:dispose()
end
self._character = FootShowEffect:new(info.templateId)
local posX, posY = info:getEffPosition()
self._character:setPosition(globalManager.ccCreator:newPoint(posX,posY))
self._showPanel:addChild(self._character,10)
end
function GodPanel:dispose()
globalManager.sourceCacheManager:removeQuote(self._bgPath)
self._bgPath = nil
if(self._character ~= nil)then
self._character:dispose()
self._character = nil
end
self:xiaofeiDispose()
self.xiaofeiDispose = nil
self.xiaofeiInitEvent = nil
self.xiaofeiRemoveEvent = nil
self.xiaofeiStageUpdate = nil
end
HuaXingItemView = class("HuaXingItemView",function(self,type)
local temp = globalManager.ccCreator:newJsonWidget("huaxingItem")
temp._matrialImg   = temp:getChildByName("matrialImg")
temp._selectedIcon = temp:getChildByName("selectedIcon")
temp._titleLabel   = temp:getChildByName("titleLabel")
temp._matrialIcon  = temp:getChildByName("matrialIcon")
temp._matrialsPath  = globalManager.pathManager:getUISource("outPic/ui_hunStone.png")
temp._barBg        = temp:getChildByName("barBg")
temp._loadingBar   = temp:getChildByName("timeBar")
temp._needGoodsNum = temp:getChildByName("timeLabel")
temp._tipPop       = temp:getChildByName("tipPop")
temp._tipPop:setVisible(false)
temp._selectedIcon:setVisible(false)
temp._matrialPath  = nil
temp._info = nil
temp.type  = type
temp.templateInfo  = nil
temp.starList      = {}
for i = 1,5,1 do
table.insert(temp.starList,temp:getChildByName("star"..i))
end
temp.selectId      = 0
return temp
end)
function HuaXingItemView:ctor()
self:initEvent()
globalManager.sourceCacheManager:setImage(self._matrialIcon,self._matrialsPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
end
function HuaXingItemView:initEvent()
--globalData.goodsInfoList:addEventListener(globalData.globalEventType.playerInfo_itemUpdate,self.goodsUpdateHandler,self)
if(self.type == globalData.allStaticTypes.petXiaofeiType.FAZHEN)then
globalData.fazhenItemInfo:addEventListener(globalData.globalEventType.playerInfo_fazhenHuaXing,self.updateView,self)
globalData.fazhenItemInfo:addEventListener(globalData.globalEventType.playerInfo_fazhenJinHua,self.updateView,self)
elseif(self.type == globalData.allStaticTypes.petXiaofeiType.CHIBANG)then
globalData.wingItemInfo:addEventListener(globalData.globalEventType.playerInfo_wingJinHua,self.updateView,self)
globalData.wingItemInfo:addEventListener(globalData.globalEventType.playerInfo_wingHuaXing,self.updateView,self)
elseif(self.type == globalData.allStaticTypes.petXiaofeiType.CHONGWU)then
globalData.petItemInfo:addEventListener(globalData.globalEventType.playerInfo_petJinHua,self.updateView,self)
globalData.petItemInfo:addEventListener(globalData.globalEventType.playerInfo_petHuaXing,self.updateView,self)
elseif(self.type == globalData.allStaticTypes.petXiaofeiType.ZUOQI)then
globalData.riderItemInfo:addEventListener(globalData.globalEventType.playerInfo_riderJinHua,self.updateView,self)
globalData.riderItemInfo:addEventListener(globalData.globalEventType.playerInfo_riderHuaXing,self.updateView,self)
end
end
function HuaXingItemView:removeEvent()
--globalData.goodsInfoList:removeEventListener(globalData.globalEventType.playerInfo_itemUpdate,self.goodsUpdateHandler,self)
if(self.type == globalData.allStaticTypes.petXiaofeiType.FAZHEN)then
globalData.fazhenItemInfo:removeEventListener(globalData.globalEventType.playerInfo_fazhenHuaXing,self.updateView,self)
globalData.fazhenItemInfo:removeEventListener(globalData.globalEventType.playerInfo_fazhenJinHua,self.updateView,self)
elseif(self.type == globalData.allStaticTypes.petXiaofeiType.CHIBANG)then
globalData.wingItemInfo:removeEventListener(globalData.globalEventType.playerInfo_wingJinHua,self.updateView,self)
globalData.wingItemInfo:removeEventListener(globalData.globalEventType.playerInfo_wingHuaXing,self.updateView,self)
elseif(self.type == globalData.allStaticTypes.petXiaofeiType.CHONGWU)then
globalData.petItemInfo:removeEventListener(globalData.globalEventType.playerInfo_petJinHua,self.updateView,self)
globalData.petItemInfo:removeEventListener(globalData.globalEventType.playerInfo_petHuaXing,self.updateView,self)
elseif(self.type == globalData.allStaticTypes.petXiaofeiType.ZUOQI)then
globalData.riderItemInfo:removeEventListener(globalData.globalEventType.playerInfo_riderJinHua,self.updateView,self)
globalData.riderItemInfo:removeEventListener(globalData.globalEventType.playerInfo_riderHuaXing,self.updateView,self)
end
end
-- function HuaXingItemView:goodsUpdateHandler()
--     local goodsNum = globalData.goodsInfoList:getGoodsCount(self._info.itemList[1][1],1)
--     local pre = math.floor(goodsNum / self._info.itemList[1][2] * 100)
--     if(pre > 100)then pre = 100 end
--     if(pre < 1)then pre = 1 end
--     self._needGoodsNum:setText(goodsNum .. "/" .. self._info.itemList[1][2])
--     self._loadingBar:setPercent(pre)
-- end
function HuaXingItemView:huaxingUpdateHandler()
if(self.type == globalData.allStaticTypes.petXiaofeiType.ZUOQI)then
local index = globalManager.commonUtils:getIndexOfTable(globalData.riderItemInfo.huaXing,self._info.id)
if(index ~= -1)then
self:setHuaXingColor(true)
else
self:setHuaXingColor(false)
end
elseif(self.type == globalData.allStaticTypes.petXiaofeiType.CHONGWU)then
local index = globalManager.commonUtils:getIndexOfTable(globalData.petItemInfo.huaXing,self._info.id)
if(index ~= -1)then
self:setHuaXingColor(true)
else
self:setHuaXingColor(false)
end
elseif(self.type == globalData.allStaticTypes.petXiaofeiType.CHIBANG)then
local index = globalManager.commonUtils:getIndexOfTable(globalData.wingItemInfo.huaXing,self._info.id)
if(index ~= -1)then
self:setHuaXingColor(true)
else
self:setHuaXingColor(false)
end
elseif(self.type == globalData.allStaticTypes.petXiaofeiType.FAZHEN)then
local index = globalManager.commonUtils:getIndexOfTable(globalData.fazhenItemInfo.huaXing,self._info.id)
if(index ~= -1)then
self:setHuaXingColor(true)
else
self:setHuaXingColor(false)
end
end
end
function HuaXingItemView:setData(info)
if(info == nil)then return end
self._info            = info
if(self.type == globalData.allStaticTypes.petXiaofeiType.ZUOQI)then
self.templateInfo = globalData.allTemplates.xiaofeiTemplateList:getTemplate(globalData.allStaticTypes.petXiaofeiType.ZUOQI,info.id)
elseif(self.type == globalData.allStaticTypes.petXiaofeiType.CHONGWU)then
self.templateInfo = globalData.allTemplates.petTemplateList:getTemplate(info.id)
elseif(self.type == globalData.allStaticTypes.petXiaofeiType.CHIBANG)then
self.templateInfo = globalData.allTemplates.xiaofeiTemplateList:getTemplate(globalData.allStaticTypes.petXiaofeiType.CHIBANG,info.id)
elseif(self.type == globalData.allStaticTypes.petXiaofeiType.FAZHEN)then
self.templateInfo = globalData.allTemplates.xiaofeiTemplateList:getTemplate(globalData.allStaticTypes.petXiaofeiType.FAZHEN,info.id)
end
self._titleLabel:setText(self.templateInfo.name)
self._matrialPath = globalManager.pathManager:getUISource("outPic/"..info.itemList[1][1]..".png")
globalManager.sourceCacheManager:setImage(self._matrialImg,self._matrialPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self:huaxingUpdateHandler()
self:updateView()
end
function HuaXingItemView:updateView(evt)
local info = self._info
local jinHuaList = {}
local huaXingList= {}
local type = 0
if(evt == nil or evt.data == nil)then
type = self.type
else
type = evt.data
end
if(type == globalData.allStaticTypes.petXiaofeiType.CHONGWU)then
jinHuaList  = globalData.petItemInfo.jinHuaList
huaXingList = globalData.petItemInfo.huaXing
elseif(type == globalData.allStaticTypes.petXiaofeiType.ZUOQI)then
jinHuaList  = globalData.riderItemInfo.jinHuaList
huaXingList = globalData.riderItemInfo.huaXing
elseif(type == globalData.allStaticTypes.petXiaofeiType.CHIBANG)then
jinHuaList  = globalData.wingItemInfo.jinHuaList
huaXingList = globalData.wingItemInfo.huaXing
elseif(type == 4)then
elseif(type == 5)then
elseif(type == globalData.allStaticTypes.petXiaofeiType.FAZHEN)then
jinHuaList  = globalData.fazhenItemInfo.jinHuaList
huaXingList = globalData.fazhenItemInfo.huaXing
elseif(type == 7)then
end
local index = globalManager.commonUtils:getIndexOfTable(huaXingList,info.id)
local currentStar = -1
if(index == -1)then
for i = 1,5,1 do
self.starList[i]:setVisible(false)
end
local goodsNum     = globalData.goodsInfoList:getGoodsCount(info.itemList[1][1],1)
local templateInfo = globalData.allTemplates.huaxingTemplateList:getInfoByTypeAndId(type,info.id)
local pre = math.floor(goodsNum / info.itemList[1][2] * 100)
if(goodsNum >= info.itemList[1][2])then
self._tipPop:setVisible(true)
else
self._tipPop:setVisible(false)
end
if(pre > 100)then pre = 100 end
if(pre < 1)then pre = 1 end
self._needGoodsNum:setText(goodsNum .. "/" .. info.itemList[1][2])
self._loadingBar:setPercent(pre)
self._barBg:setVisible(true)
self._needGoodsNum:setVisible(true)
self._loadingBar:setVisible(true)
self._matrialIcon:setVisible(true)
currentStar = 0
else
local tempList = globalData.allTemplates.huaXingStarTemplateList:getTemplateByidAndType(info.id,type)
local tempInfo = nil
if(jinHuaList[info.id] == nil or jinHuaList[info.id] == 0)then
for __,info in pairs(tempList) do
if(info.level == 1)then
tempInfo = info
end
end
for i = 1,5,1 do
self.starList[i]:setVisible(true)
end
local goodsNum     = globalData.goodsInfoList:getGoodsCount(tempInfo.amountList[1][1],1)
local templateInfo = globalData.allTemplates.huaxingTemplateList:getInfoByTypeAndId(type,info.id)
local pre = math.floor(goodsNum / tempInfo.amountList[1][2] * 100)
if(goodsNum >= tempInfo.amountList[1][2])then
self._tipPop:setVisible(true)
else
self._tipPop:setVisible(false)
end
if(pre > 100)then pre = 100 end
if(pre < 1)then pre = 1 end
self._needGoodsNum:setText(goodsNum .. "/" .. tempInfo.amountList[1][2])
self._loadingBar:setPercent(pre)
self._barBg:setVisible(true)
self._needGoodsNum:setVisible(true)
self._loadingBar:setVisible(true)
self._matrialIcon:setVisible(true)
currentStar = 0
else
for __,info in pairs(tempList) do
if(info.level == jinHuaList[info.templateId] + 1)then
tempInfo = info
end
end
if(jinHuaList[info.id] < 5)then
local goodsNum = globalData.goodsInfoList:getGoodsCount(tempInfo.amountList[1][1],1)
local pre = math.floor(goodsNum / tempInfo.amountList[1][2] * 100)
if(goodsNum >= tempInfo.amountList[1][2])then
self._tipPop:setVisible(true)
else
self._tipPop:setVisible(false)
end
if(pre > 100)then pre = 100 end
if(pre < 1)then pre = 1 end
self._needGoodsNum:setText(goodsNum .. "/" .. tempInfo.amountList[1][2])
self._loadingBar:setPercent(pre)
self._barBg:setVisible(true)
self._needGoodsNum:setVisible(true)
self._loadingBar:setVisible(true)
self._matrialIcon:setVisible(true)
else
self._tipPop:setVisible(false)
self._barBg:setVisible(false)
self._needGoodsNum:setVisible(false)
self._loadingBar:setVisible(false)
self._matrialIcon:setVisible(false)
end
for i = 1,5,1 do
self.starList[i]:setVisible(true)
if(i <= jinHuaList[info.id])then
self.starList[i]:loadTexture("icon/star7.png", 1)
end
end
currentStar = jinHuaList[info.id]
end
end
end
function HuaXingItemView:setHuaXingColor(value)
if(value)then
globalManager.commonUtils:setImgColorNormal(self._matrialImg)
else
globalManager.commonUtils:setImgColorGrey(self._matrialImg)
end
end
function HuaXingItemView:setSelected(isOk)
self._selectedIcon:setVisible(isOk)
end
function HuaXingItemView:getItemInfo()
return self._info
end
function HuaXingItemView:dispose()
self:removeEvent()
self._titleLabel    = nil
self._selectedIcon  = nil
self._matrialImg    = nil
self._matrialIcon   = nil
self._barBg         = nil
self._loadingBar    = nil
self._needGoodsNum  = nil
self._tipPop        = nil
globalManager.sourceCacheManager:removeQuote(self._matrialPath)
globalManager.sourceCacheManager:removeQuote(self._matrialsPath)
self._matrialsPath  = nil
self._matrialPath   = nil
self.type           = nil
self._info          = nil
self.templateInfo   = nil
self.starList       = nil
globalManager.ccCreator:release(self)
end
HuaXingPanel = class("HuaXingPanel",function(self,parent,type)
local temp = BasePanel:new()
temp.BasePanelDispose = temp.dispose
temp._widget = globalManager.ccCreator:newJsonWidget("huaxingPanel")
temp:addChild(temp._widget)
temp._bg            = temp._widget:getChildByName("bgImg")
temp._bgPath        = globalManager.pathManager:getUISource("outPic/huaxingBg.png")
temp._titleLabel    = temp._widget:getChildByName("titleLabel")
temp._fightLabel    = temp._widget:getChildByName("countLabel_Copy0")
temp._viewList      = {}
temp._itemList      = temp._widget:getChildByName("itemList")
temp._itemList:setItemsMargin(10)
temp._shopBtn       = temp._widget:getChildByName("shopBtn")
temp._huaxingBtn    = temp._widget:getChildByName("huaxingBtn")
temp._characterPanel= temp._widget:getChildByName("charterPanel")
temp._character     = nil
temp._characterInfo = nil
temp._infoList      = {}
temp._currentCharacter = 0
temp.type           = type - 10
temp.attrList       = {}
temp.parent         = parent
temp.totalLen       = 0
temp.needGoodsNum   = 0
temp.needGoodsId    = 0
temp.activeFlag     = -1
temp._huanhuaBtn    = temp._widget:getChildByName("huanHuaBtn")
temp._huanhuaBtn:setTouchEnabled(false)
temp._huanhuaBtn:setVisible(false)
temp._upStarBtn     = temp._widget:getChildByName("upStarBtn")
temp._upStarBtn:setEnabled(false)
temp.nameLabelList  = {}
temp.infoLabelList  = {}
temp.upIconList     = {}
temp.plusList       = {}
temp.starList       = {}
for i = 1,6,1 do
table.insert(temp.nameLabelList,temp._widget:getChildByName("name_label" .. i))
table.insert(temp.infoLabelList,temp._widget:getChildByName("info_label" .. i))
table.insert(temp.upIconList,temp._widget:getChildByName("up_icon" .. i))
table.insert(temp.plusList,temp._widget:getChildByName("plus_label" .. i))
end
for i = 1,5,1 do
table.insert(temp.starList,temp._widget:getChildByName("level_label" .. i))
end
temp._barBg         = temp._widget:getChildByName("barBg")
temp._needGoodsNum  = temp._widget:getChildByName("timeLabel")
temp._loadingBar    = temp._widget:getChildByName("timeBar")
temp._matrialIcon   = temp._widget:getChildByName("matrialIcon")
temp._matrialPath   = globalManager.pathManager:getUISource("outPic/ui_hunStone.png")
temp.templateInfo   = nil
temp.selectId       = 0
return temp
end)
function HuaXingPanel:ctor()
globalManager.sourceCacheManager:setImage(self._bg,self._bgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
globalManager.sourceCacheManager:setImage(self._matrialIcon,self._matrialPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self:initView()
self:initEvent()
end
function HuaXingPanel:initEvent()
local buyClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(#self.templateInfo.delpoy > 0)then
local delpoy = self.templateInfo.delpoy
globalManager.triggerManager:handlerList(delpoy)
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("HuaXingPanel.text2"))
end
end
end
local huanhuaClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
globalData.messageAdder:changeHuanhua(self.type,self._currentCharacter)
end
end
local huaxingClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(globalData.goodsInfoList:getGoodsCount(self.needGoodsId,1) >= self.needGoodsNum)then
if(self.type == globalData.allStaticTypes.petXiaofeiType.CHONGWU)then
globalData.messageAdder:sendPetHuaXing(self._currentCharacter)
else
globalData.messageAdder:changeHuaXing(self.type,self._currentCharacter)
end
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("HuaXingPanel.text3"))
end
end
end
local upStarClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
local starLevelList = nil
if(self.type == globalData.allStaticTypes.petXiaofeiType.CHONGWU)then
starLevelList = globalData.petItemInfo.jinHuaList
elseif(self.type == globalData.allStaticTypes.petXiaofeiType.ZUOQI)then
starLevelList = globalData.riderItemInfo.jinHuaList
elseif(self.type == globalData.allStaticTypes.petXiaofeiType.CHIBANG)then
starLevelList = globalData.wingItemInfo.jinHuaList
elseif(self.type == globalData.allStaticTypes.petXiaofeiType.FAZHEN)then
starLevelList = globalData.fazhenItemInfo.jinHuaList
end
local tempInfoList = globalData.allTemplates.huaXingStarTemplateList:getTemplateByidAndType(self._currentCharacter,self.type)
local tempInfo     = nil
if(starLevelList[self._currentCharacter] == nil or starLevelList[self._currentCharacter] == 0)then
for __,info in pairs(tempInfoList) do
if(info.level == 1)then
tempInfo = info
end
end
else
for __,info in pairs(tempInfoList) do
if(info.level == starLevelList[self._currentCharacter] + 1)then
tempInfo = info
end
end
end
if(globalData.goodsInfoList:getGoodsCount(tempInfo.amountList[1][1],1) >= tempInfo.amountList[1][2])then
if(self.type == globalData.allStaticTypes.petXiaofeiType.CHONGWU)then
globalData.messageAdder:sendPetJinHua(self._currentCharacter)
else
globalData.messageAdder:sendEvolutionInfo(self._currentCharacter,self.type)
end
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("HuaXingPanel.text3"))
end
end
end
self._shopBtn:addTouchEventListener(buyClickHandler)
self._huanhuaBtn:addTouchEventListener(huanhuaClickHandler)
self._huaxingBtn:addTouchEventListener(huaxingClickHandler)
self._upStarBtn:addTouchEventListener(upStarClickHandler)
--globalData.goodsInfoList:addEventListener(globalData.globalEventType.playerInfo_itemUpdate,self.goodsUpdateHandler,self)
if(self.type == globalData.allStaticTypes.petXiaofeiType.ZUOQI)then
globalData.riderItemInfo:addEventListener(globalData.globalEventType.playerInfo_riderHuaXing,self.huaxingUpdateHandler,self)
globalData.riderItemInfo:addEventListener(globalData.globalEventType.playerInfo_riderHuanhua,self.huanhuaUpdateHandler,self)
globalData.riderItemInfo:addEventListener(globalData.globalEventType.playerInfo_riderInfo,self.huanhuaUpdateHandler,self)
globalData.riderItemInfo:addEventListener(globalData.globalEventType.playerInfo_riderJinHua,self.jinhuaUpdateHandler,self)
elseif(self.type == globalData.allStaticTypes.petXiaofeiType.CHONGWU)then
globalData.petItemInfo:addEventListener(globalData.globalEventType.playerInfo_petHuaXing,self.petHuaxingUpdateHandler,self)
globalData.petItemInfo:addEventListener(globalData.globalEventType.playerInfo_petInfo,self.petHuanhuaUpdate,self)
globalData.petItemInfo:addEventListener(globalData.globalEventType.playerInfo_petHuanhua,self.petHuanhuaUpdate,self)
globalData.petItemInfo:addEventListener(globalData.globalEventType.playerInfo_petJinHua,self.jinhuaUpdateHandler,self)
elseif(self.type == globalData.allStaticTypes.petXiaofeiType.CHIBANG)then
globalData.wingItemInfo:addEventListener(globalData.globalEventType.playerInfo_wingHuaXing,self.wingHuaxingUpdateHandler,self)
globalData.wingItemInfo:addEventListener(globalData.globalEventType.playerInfo_wingHuanhua,self.wingHuanhuaUpdateHandler,self)
globalData.wingItemInfo:addEventListener(globalData.globalEventType.playerInfo_wingInfo,self.wingHuanhuaUpdateHandler,self)
globalData.wingItemInfo:addEventListener(globalData.globalEventType.playerInfo_wingJinHua,self.jinhuaUpdateHandler,self)
elseif(self.type == globalData.allStaticTypes.petXiaofeiType.FAZHEN)then
globalData.fazhenItemInfo:addEventListener(globalData.globalEventType.playerInfo_fazhenHuaXing,self.fazhenHuaxingUpdateHandler,self)
globalData.fazhenItemInfo:addEventListener(globalData.globalEventType.playerInfo_fazhenHuanhua,self.fazhenHuanhuaUpdateHandler,self)
globalData.fazhenItemInfo:addEventListener(globalData.globalEventType.playerInfo_fazhenInfo,self.fazhenHuanhuaUpdateHandler,self)
globalData.fazhenItemInfo:addEventListener(globalData.globalEventType.playerInfo_fazhenJinHua,self.jinhuaUpdateHandler,self)
end
end
function HuaXingPanel:fazhenHuanhuaUpdateHandler()
if(self.activeFlag == 1)then
if(globalData.fazhenItemInfo.huanhua ~= self._currentCharacter)then
self._huanhuaBtn:setTouchEnabled(true)
self._huanhuaBtn:setVisible(true)
else
self._huanhuaBtn:setTouchEnabled(false)
self._huanhuaBtn:setVisible(false)
end
end
end
function HuaXingPanel:fazhenHuaxingUpdateHandler()
local index = globalManager.commonUtils:getIndexOfTable(globalData.fazhenItemInfo.huaXing,self._currentCharacter)
if(index ~= -1)then
self._huaxingBtn:setTouchEnabled(false)
self._huaxingBtn:setVisible(false)
self._huanhuaBtn:setTouchEnabled(false)
self._huanhuaBtn:setVisible(false)
self._upStarBtn:setEnabled(true)
self._viewList[self._currentCharacter]:setHuaXingColor(true)
self:showAttrInfo(self._currentCharacter,self.type)
self.activeFlag = 1
else
self._huaxingBtn:setTouchEnabled(true)
self._huaxingBtn:setVisible(true)
self._huanhuaBtn:setTouchEnabled(false)
self._huanhuaBtn:setVisible(false)
self._shopBtn:setEnabled(true)
self._upStarBtn:setEnabled(false)
end
end
function HuaXingPanel:jinhuaUpdateHandler(evt)
local type = evt.data
local currentId  = 0
local jinHuaList = nil
self:masterSelect()
if(type == globalData.allStaticTypes.petXiaofeiType.CHONGWU)then
currentId = globalData.petItemInfo.jinHuaId
jinHuaList= globalData.petItemInfo.jinHuaList
elseif(type == globalData.allStaticTypes.petXiaofeiType.ZUOQI)then
currentId = globalData.riderItemInfo.jinHuaId
jinHuaList= globalData.riderItemInfo.jinHuaList
elseif(type == globalData.allStaticTypes.petXiaofeiType.CHIBANG)then
currentId = globalData.wingItemInfo.jinHuaId
jinHuaList= globalData.wingItemInfo.jinHuaList
elseif(type == globalData.allStaticTypes.petXiaofeiType.FAZHEN)then
currentId = globalData.fazhenItemInfo.jinHuaId
jinHuaList= globalData.fazhenItemInfo.jinHuaList
end
self:showAttrInfo(currentId,type)
if(jinHuaList[currentId] >= 5)then
self._upStarBtn:loadTextureNormal("btn/ui_tabBtn1_5.png",1)
self._upStarBtn:setTouchEnabled(false)
else
self._upStarBtn:setEnabled(true)
end
end
function HuaXingPanel:wingHuaxingUpdateHandler()
local index = globalManager.commonUtils:getIndexOfTable(globalData.wingItemInfo.huaXing,self._currentCharacter)
if(index ~= -1)then
self._huaxingBtn:setTouchEnabled(false)
self._huaxingBtn:setVisible(false)
self._huanhuaBtn:setTouchEnabled(false)
self._huanhuaBtn:setVisible(false)
self._upStarBtn:setEnabled(true)
self._viewList[self._currentCharacter]:setHuaXingColor(true)
self:showAttrInfo(self._currentCharacter,self.type)
self.activeFlag = 1
else
self._huaxingBtn:setTouchEnabled(true)
self._huaxingBtn:setVisible(true)
self._huanhuaBtn:setTouchEnabled(false)
self._huanhuaBtn:setVisible(false)
self._shopBtn:setEnabled(true)
self._upStarBtn:setEnabled(false)
end
end
function HuaXingPanel:wingHuanhuaUpdateHandler()
if(self.activeFlag == 1)then
if(globalData.wingItemInfo.huanhua ~= self._currentCharacter)then
self._huanhuaBtn:setTouchEnabled(true)
self._huanhuaBtn:setVisible(true)
else
self._huanhuaBtn:setTouchEnabled(false)
self._huanhuaBtn:setVisible(false)
end
end
end
function HuaXingPanel:petHuaxingUpdateHandler()
local index = globalManager.commonUtils:getIndexOfTable(globalData.petItemInfo.huaXing,self._currentCharacter)
if(index ~= -1)then
self._huaxingBtn:setTouchEnabled(false)
self._huaxingBtn:setVisible(false)
self._huanhuaBtn:setTouchEnabled(false)
self._huanhuaBtn:setVisible(false)
self._upStarBtn:setEnabled(true)
self._viewList[self._currentCharacter]:setHuaXingColor(true)
self:showAttrInfo(self._currentCharacter,self.type)
self.activeFlag = 1
else
self._huaxingBtn:setTouchEnabled(true)
self._huaxingBtn:setVisible(true)
self._huanhuaBtn:setTouchEnabled(false)
self._huanhuaBtn:setVisible(false)
self._shopBtn:setEnabled(true)
self._upStarBtn:setEnabled(false)
end
end
function HuaXingPanel:petHuanhuaUpdate()
if(self.activeFlag == 1)then
if(globalData.petItemInfo.huanhua ~= self._currentCharacter)then
self._huanhuaBtn:setTouchEnabled(true)
self._huanhuaBtn:setVisible(true)
else
self._huanhuaBtn:setTouchEnabled(false)
self._huanhuaBtn:setVisible(false)
end
end
end
function HuaXingPanel:huanhuaUpdateHandler()
if(self.activeFlag == 1)then
if(globalData.riderItemInfo.huanhua ~= self._currentCharacter)then
self._huanhuaBtn:setTouchEnabled(true)
self._huanhuaBtn:setVisible(true)
else
self._huanhuaBtn:setTouchEnabled(false)
self._huanhuaBtn:setVisible(false)
end
end
end
function HuaXingPanel:huaxingUpdateHandler()
local index = globalManager.commonUtils:getIndexOfTable(globalData.riderItemInfo.huaXing,self._currentCharacter)
if(index ~= -1)then
self._huaxingBtn:setTouchEnabled(false)
self._huaxingBtn:setVisible(false)
self._huanhuaBtn:setTouchEnabled(false)
self._huanhuaBtn:setVisible(false)
self._upStarBtn:setEnabled(true)
self._viewList[self._currentCharacter]:setHuaXingColor(true)
self:showAttrInfo(self._currentCharacter,self.type)
self.activeFlag = 1
else
self._huaxingBtn:setTouchEnabled(true)
self._huaxingBtn:setVisible(true)
self._huanhuaBtn:setTouchEnabled(false)
self._huanhuaBtn:setVisible(false)
self._shopBtn:setEnabled(true)
self._upStarBtn:setEnabled(false)
end
end
function HuaXingPanel:initView()
local roleClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
if(sender:getItemInfo() ~= nil) then
self:setCharacter(sender:getItemInfo().id,self.type)
end
end
end
if(self.type == globalData.allStaticTypes.petXiaofeiType.CHONGWU)then
self._infoList = globalData.allTemplates.huaxingTemplateList.petList
elseif(self.type == globalData.allStaticTypes.petXiaofeiType.ZUOQI)then
self._infoList = globalData.allTemplates.huaxingTemplateList.riderList
elseif(self.type == globalData.allStaticTypes.petXiaofeiType.CHIBANG)then
self._infoList = globalData.allTemplates.huaxingTemplateList.wingList
elseif(self.type == globalData.allStaticTypes.petXiaofeiType.SHENBING)then
self._infoList = globalData.allTemplates.huaxingTemplateList.godList
elseif(self.type == globalData.allStaticTypes.petXiaofeiType.JINGLING)then
self._infoList = globalData.allTemplates.huaxingTemplateList.spriteList
elseif(self.type == globalData.allStaticTypes.petXiaofeiType.FAZHEN)then
self._infoList = globalData.allTemplates.huaxingTemplateList.fazhenList
elseif(self.type == globalData.allStaticTypes.petXiaofeiType.LONGHUN)then
self._infoList = globalData.allTemplates.huaxingTemplateList.longhunList
end
self.totalLen = #self._infoList
for id,info in pairs(self._infoList) do
local view = HuaXingItemView:new(self.type)
view:setData(info)
view:setTouchEnabled(true)
view:addTouchEventListener(roleClickHandler)
self._itemList:pushBackCustomItem(view)
self._viewList[info.id] = view
end
self:masterSelect()
end
function HuaXingPanel:masterSelect()
for id,info in pairs(self._infoList) do
if(self:selectItem(info,self.type))then
break
end
end
if(self.selectId == 0)then
self:setCharacter(self._infoList[1].id,self.type)
else
self:setCharacter(self.selectId,self.type)
end
end
function HuaXingPanel:selectItem(info,type)
local jinHuaList = {}
local huaXingList= {}
if(type == globalData.allStaticTypes.petXiaofeiType.CHONGWU)then
jinHuaList  = globalData.petItemInfo.jinHuaList
huaXingList = globalData.petItemInfo.huaXing
elseif(type == globalData.allStaticTypes.petXiaofeiType.ZUOQI)then
jinHuaList  = globalData.riderItemInfo.jinHuaList
huaXingList = globalData.riderItemInfo.huaXing
elseif(type == globalData.allStaticTypes.petXiaofeiType.CHIBANG)then
jinHuaList  = globalData.wingItemInfo.jinHuaList
huaXingList = globalData.wingItemInfo.huaXing
elseif(type == 4)then
elseif(type == 5)then
elseif(type == globalData.allStaticTypes.petXiaofeiType.FAZHEN)then
jinHuaList  = globalData.fazhenItemInfo.jinHuaList
huaXingList = globalData.fazhenItemInfo.huaXing
elseif(type == 7)then
end
local index = globalManager.commonUtils:getIndexOfTable(huaXingList,info.id)
if(index == -1)then
local goodsNum     = globalData.goodsInfoList:getGoodsCount(info.itemList[1][1],1)
local templateInfo = globalData.allTemplates.huaxingTemplateList:getInfoByTypeAndId(globalData.allStaticTypes.petXiaofeiType.CHONGWU,info.id)
if(goodsNum >= info.itemList[1][2])then
self.selectId = info.id
return true
end
else
local tempList = globalData.allTemplates.huaXingStarTemplateList:getTemplateByidAndType(info.id,type)
local tempInfo = nil
if(jinHuaList[info.id] == nil or jinHuaList[info.id] == 0)then
for __,info in pairs(tempList) do
if(info.level == 1)then
tempInfo = info
end
end
local goodsNum     = globalData.goodsInfoList:getGoodsCount(tempInfo.amountList[1][1],1)
local templateInfo = globalData.allTemplates.huaxingTemplateList:getInfoByTypeAndId(type,info.id)
if(goodsNum >= tempInfo.amountList[1][2])then
self.selectId = info.id
return true
end
else
for __,info in pairs(tempList) do
if(info.level == jinHuaList[info.templateId] + 1)then
tempInfo = info
end
end
if(jinHuaList[info.id] < 5)then
local goodsNum = globalData.goodsInfoList:getGoodsCount(tempInfo.amountList[1][1],1)
if(goodsNum >= tempInfo.amountList[1][2])then
self.selectId = info.id
return true
end
end
end
end
self.selectId = 0
return false
end
function HuaXingPanel:setCharacter(character,type)
if(character == self._currentCharacter) then return end
self.activeFlag = -1
self._currentCharacter = character
for __,info in pairs(self._infoList) do
if(character == info.id)then
self.templateInfo = info
self.needGoodsId  = info.itemList[1][1]
self.needGoodsNum = info.itemList[1][2]
self.attrList     = info.atrrList
end
end
for id,item in pairs(self._viewList) do
if(id ~= character)then
item:setSelected(false)
else
item:setSelected(true)
end
end
self:getCharacter(character,type)
self:showAttrInfo(character,type)
if(type == globalData.allStaticTypes.petXiaofeiType.ZUOQI)then
self:huaxingUpdateHandler()
self:huanhuaUpdateHandler()
elseif(type == globalData.allStaticTypes.petXiaofeiType.CHONGWU)then
self:petHuaxingUpdateHandler()
self:petHuanhuaUpdate()
elseif(type == globalData.allStaticTypes.petXiaofeiType.CHIBANG)then
self:wingHuaxingUpdateHandler()
self:wingHuanhuaUpdateHandler()
elseif(type == globalData.allStaticTypes.petXiaofeiType.FAZHEN)then
self:fazhenHuaxingUpdateHandler()
self:fazhenHuanhuaUpdateHandler()
end
end
function HuaXingPanel:getCharacter(character,type)
if(self._character ~= nil)then
self._character:dispose()
end
if(self._characterInfo ~= nil) then
self._characterInfo:dispose()
end
if(type == globalData.allStaticTypes.petXiaofeiType.CHONGWU)then
self._characterInfo = CharacterInfo:new(globalData.allStaticTypes.sourceStaticType.pet)
self._characterInfo:setStyleBin(1,globalData.allTemplates.petTemplateList:getTemplate(character):getShowPath())
self._characterInfo:setDefaultAnima(globalData.allStaticTypes.animaInfoList.petStand)
self._character = BaseCharacter:new(self._characterInfo)
self._character:setScale(1.5)
self._character:show(globalData.allStaticTypes.directType.bottom)
self._character:setPosition(globalManager.ccCreator:newPoint(self.templateInfo.posX,self.templateInfo.posY))
self._characterPanel:addNode(self._character)
elseif(type == globalData.allStaticTypes.petXiaofeiType.ZUOQI)then
self._characterInfo = CharacterInfo:new(globalData.allStaticTypes.sourceStaticType.player)
self._characterInfo.showDefaultCloth = false
self._characterInfo:setStyleBin(3,character)
self._characterInfo:setDefaultAnima(globalData.allStaticTypes.animaInfoList.stand2)
self._character = BaseCharacter:new(self._characterInfo)
self._character:show(globalData.allStaticTypes.directType.bottom)
self._character:setPosition(globalManager.ccCreator:newPoint(self.templateInfo.posX,self.templateInfo.posY))
self._characterPanel:addNode(self._character)
elseif(type == globalData.allStaticTypes.petXiaofeiType.CHIBANG)then
local tempInfo = globalData.allTemplates.xiaofeiTemplateList:getTemplate(globalData.allStaticTypes.petXiaofeiType.CHIBANG,character)
self._character = globalManager.effectCreator:create(tonumber(tempInfo:getShowPath()),nil,nil,false)
if(self._character ~= nil) then
self._character:move2(self._characterPanel,self.templateInfo.posX,self.templateInfo.posY)
self._characterPanel:addNode(self._character)
self._character:play()
end
elseif(type == globalData.allStaticTypes.petXiaofeiType.FAZHEN)then
local tempInfo = globalData.allTemplates.xiaofeiTemplateList:getTemplate(globalData.allStaticTypes.petXiaofeiType.FAZHEN,character)
self._character = globalManager.effectCreator:create(tonumber(tempInfo:getShowPath()),nil,nil,false,1.5)
if(self._character ~= nil) then
self._character:move2(self._characterPanel,self.templateInfo.posX,self.templateInfo.posY)
self._characterPanel:addNode(self._character)
self._character:play()
end
end
end
function HuaXingPanel:showAttrInfo(character,type)
local jinHuaList = {}
local huaXingList= {}
if(type == globalData.allStaticTypes.petXiaofeiType.CHONGWU)then
jinHuaList  = globalData.petItemInfo.jinHuaList
huaXingList = globalData.petItemInfo.huaXing
elseif(type == globalData.allStaticTypes.petXiaofeiType.ZUOQI)then
jinHuaList  = globalData.riderItemInfo.jinHuaList
huaXingList = globalData.riderItemInfo.huaXing
elseif(type == globalData.allStaticTypes.petXiaofeiType.CHIBANG)then
jinHuaList  = globalData.wingItemInfo.jinHuaList
huaXingList = globalData.wingItemInfo.huaXing
elseif(type == globalData.allStaticTypes.petXiaofeiType.SHENBING)then
elseif(type == globalData.allStaticTypes.petXiaofeiType.JINGLING)then
elseif(type == globalData.allStaticTypes.petXiaofeiType.FAZHEN)then
jinHuaList  = globalData.fazhenItemInfo.jinHuaList
huaXingList = globalData.fazhenItemInfo.huaXing
elseif(type == globalData.allStaticTypes.petXiaofeiType.LONGHUN)then
end
local index = globalManager.commonUtils:getIndexOfTable(huaXingList,character)
local currentStar = -1
if(index == -1)then
for i = 1,6,1 do
self.nameLabelList[i]:setText(globalData.allStaticTypes.propertyType:getNameByType(self.attrList[i].propertyId))
self.infoLabelList[i]:setText("0")
self.plusList[i]:setText(self.attrList[i].propertyValue)
self.upIconList[i]:setVisible(true)
self.plusList[i]:setVisible(true)
end
for i = 1,5,1 do
self.starList[i]:setVisible(false)
end
local templateInfo = globalData.allTemplates.huaxingTemplateList:getInfoByTypeAndId(type,character)
self._fightLabel:setStringValue(templateInfo.fight)
local goodsNum = globalData.goodsInfoList:getGoodsCount(self.needGoodsId,1)
local pre = math.floor(goodsNum / self.needGoodsNum * 100)
if(pre > 100)then pre = 100 end
if(pre < 1)then pre = 1 end
self._needGoodsNum:setText(goodsNum .. "/" .. self.needGoodsNum)
self._loadingBar:setPercent(pre)
self._barBg:setVisible(true)
self._needGoodsNum:setVisible(true)
self._loadingBar:setVisible(true)
self._matrialIcon:setVisible(true)
self._shopBtn:setEnabled(true)
currentStar = 0
else
local tempList = globalData.allTemplates.huaXingStarTemplateList:getTemplateByidAndType(character,type)
local tempInfo = nil
local nextInfo = nil
if(jinHuaList[character] == nil or jinHuaList[character] == 0)then
for __,info in pairs(tempList) do
if(info.level == 1)then
tempInfo = info
end
end
for i = 1,6,1 do
self.nameLabelList[i]:setText(globalData.allStaticTypes.propertyType:getNameByType(self.attrList[i].propertyId))
self.infoLabelList[i]:setText(self.attrList[i].propertyValue)
if(self.attrList[i].propertyId == tempInfo.attrList[i].propertyId)then
self.plusList[i]:setText(tempInfo.attrList[i].propertyValue - self.attrList[i].propertyValue)
end
self.upIconList[i]:setVisible(true)
self.plusList[i]:setVisible(true)
end
for i = 1,5,1 do
self.starList[i]:setVisible(true)
self.starList[i]:loadTexture("icon/star2.png", 1)
end
local templateInfo = globalData.allTemplates.huaxingTemplateList:getInfoByTypeAndId(type,character)
self._fightLabel:setStringValue(templateInfo.fight)
local goodsNum = globalData.goodsInfoList:getGoodsCount(tempInfo.amountList[1][1],1)
local pre = math.floor(goodsNum / tempInfo.amountList[1][2] * 100)
if(pre > 100)then pre = 100 end
if(pre < 1)then pre = 1 end
self._needGoodsNum:setText(goodsNum .. "/" .. tempInfo.amountList[1][2])
self._loadingBar:setPercent(pre)
self._barBg:setVisible(true)
self._needGoodsNum:setVisible(true)
self._loadingBar:setVisible(true)
self._matrialIcon:setVisible(true)
self._shopBtn:setEnabled(true)
self._upStarBtn:setEnabled(true)
self._upStarBtn:loadTextureNormal("btn/ui_tabBtn1_3.png",1)
self._upStarBtn:setTouchEnabled(true)
currentStar = 0
else
for __,info in pairs(tempList) do
if(info.level == jinHuaList[character])then
tempInfo = info
end
if(info.level == jinHuaList[character] + 1)then
nextInfo = info
end
end
if(jinHuaList[character] < 5)then
for i = 1,6,1 do
self.nameLabelList[i]:setText(globalData.allStaticTypes.propertyType:getNameByType(tempInfo.attrList[i].propertyId))
self.infoLabelList[i]:setText(tempInfo.attrList[i].propertyValue)
if(tempInfo.attrList[i].propertyId == nextInfo.attrList[i].propertyId)then
self.plusList[i]:setText(nextInfo.attrList[i].propertyValue - tempInfo.attrList[i].propertyValue)
end
self.upIconList[i]:setVisible(true)
self.plusList[i]:setVisible(true)
end
self._fightLabel:setStringValue(tempInfo.fightValue)
local goodsNum = globalData.goodsInfoList:getGoodsCount(nextInfo.amountList[1][1],1)
local pre = math.floor(goodsNum / nextInfo.amountList[1][2] * 100)
if(pre > 100)then pre = 100 end
if(pre < 1)then pre = 1 end
self._needGoodsNum:setText(goodsNum .. "/" .. nextInfo.amountList[1][2])
self._loadingBar:setPercent(pre)
self._barBg:setVisible(true)
self._needGoodsNum:setVisible(true)
self._loadingBar:setVisible(true)
self._matrialIcon:setVisible(true)
self._shopBtn:setEnabled(true)
self._upStarBtn:setEnabled(true)
self._upStarBtn:loadTextureNormal("btn/ui_tabBtn1_3.png",1)
self._upStarBtn:setTouchEnabled(true)
else
for i = 1,6,1 do
self.nameLabelList[i]:setText(globalData.allStaticTypes.propertyType:getNameByType(tempInfo.attrList[i].propertyId))
self.infoLabelList[i]:setText(tempInfo.attrList[i].propertyValue)
self.upIconList[i]:setVisible(false)
self.plusList[i]:setVisible(false)
end
self._fightLabel:setStringValue(tempInfo.fightValue)
self._barBg:setVisible(false)
self._needGoodsNum:setVisible(false)
self._loadingBar:setVisible(false)
self._matrialIcon:setVisible(false)
self._shopBtn:setEnabled(false)
self._upStarBtn:setEnabled(true)
self._upStarBtn:loadTextureNormal("btn/ui_tabBtn1_5.png",1)
self._upStarBtn:setTouchEnabled(false)
end
for i = 1,5,1 do
self.starList[i]:setVisible(true)
if(i <= jinHuaList[character])then
self.starList[i]:loadTexture("icon/star7.png", 1)
else
self.starList[i]:loadTexture("icon/star2.png", 1)
end
end
currentStar = jinHuaList[character]
end
end
local templateInfo  = nil
if(type == globalData.allStaticTypes.petXiaofeiType.ZUOQI)then
templateInfo = globalData.allTemplates.xiaofeiTemplateList:getTemplate(globalData.allStaticTypes.petXiaofeiType.ZUOQI,character)
elseif(type == globalData.allStaticTypes.petXiaofeiType.CHONGWU)then
templateInfo = globalData.allTemplates.petTemplateList:getTemplate(character)
elseif(type == globalData.allStaticTypes.petXiaofeiType.CHIBANG)then
templateInfo = globalData.allTemplates.xiaofeiTemplateList:getTemplate(globalData.allStaticTypes.petXiaofeiType.CHIBANG,character)
elseif(type == globalData.allStaticTypes.petXiaofeiType.FAZHEN)then
templateInfo = globalData.allTemplates.xiaofeiTemplateList:getTemplate(globalData.allStaticTypes.petXiaofeiType.FAZHEN,character)
end
self._titleLabel:setText(templateInfo.name)
end
function HuaXingPanel:removeEvent()
--globalData.goodsInfoList:removeEventListener(globalData.globalEventType.playerInfo_itemUpdate,self.goodsUpdateHandler,self)
if(self.type == globalData.allStaticTypes.petXiaofeiType.ZUOQI)then
globalData.riderItemInfo:removeEventListener(globalData.globalEventType.playerInfo_riderHuaXing,self.huaxingUpdateHandler,self)
globalData.riderItemInfo:removeEventListener(globalData.globalEventType.playerInfo_riderHuanhua,self.huanhuaUpdateHandler,self)
globalData.riderItemInfo:removeEventListener(globalData.globalEventType.playerInfo_riderInfo,self.huanhuaUpdateHandler,self)
globalData.riderItemInfo:removeEventListener(globalData.globalEventType.playerInfo_riderJinHua,self.jinhuaUpdateHandler,self)
elseif(self.type == globalData.allStaticTypes.petXiaofeiType.CHONGWU)then
globalData.petItemInfo:removeEventListener(globalData.globalEventType.playerInfo_petHuaXing,self.petHuaxingUpdateHandler,self)
globalData.petItemInfo:removeEventListener(globalData.globalEventType.playerInfo_petInfo,self.petHuanhuaUpdate,self)
globalData.petItemInfo:removeEventListener(globalData.globalEventType.playerInfo_petHuanhua,self.petHuanhuaUpdate,self)
globalData.petItemInfo:removeEventListener(globalData.globalEventType.playerInfo_petJinHua,self.jinhuaUpdateHandler,self)
elseif(self.type == globalData.allStaticTypes.petXiaofeiType.CHIBANG)then
globalData.wingItemInfo:removeEventListener(globalData.globalEventType.playerInfo_wingHuaXing,self.wingHuaxingUpdateHandler,self)
globalData.wingItemInfo:removeEventListener(globalData.globalEventType.playerInfo_wingHuanhua,self.wingHuanhuaUpdateHandler,self)
globalData.wingItemInfo:removeEventListener(globalData.globalEventType.playerInfo_wingInfo,self.wingHuanhuaUpdateHandler,self)
globalData.wingItemInfo:removeEventListener(globalData.globalEventType.playerInfo_wingJinHua,self.jinhuaUpdateHandler,self)
elseif(self.type == globalData.allStaticTypes.petXiaofeiType.FAZHEN)then
globalData.fazhenItemInfo:removeEventListener(globalData.globalEventType.playerInfo_fazhenHuaXing,self.fazhenHuaxingUpdateHandler,self)
globalData.fazhenItemInfo:removeEventListener(globalData.globalEventType.playerInfo_fazhenHuanhua,self.fazhenHuanhuaUpdateHandler,self)
globalData.fazhenItemInfo:removeEventListener(globalData.globalEventType.playerInfo_fazhenInfo,self.fazhenHuanhuaUpdateHandler,self)
globalData.fazhenItemInfo:removeEventListener(globalData.globalEventType.playerInfo_fazhenJinHua,self.jinhuaUpdateHandler,self)
end
end
-- function HuaXingPanel:goodsUpdateHandler()
-- 	local pre = math.floor(globalData.goodsInfoList:getGoodsCount(self.needGoodsId,1) / self.needGoodsNum * 100)
-- 	if(pre > 100)then pre = 100 end
-- 	if(pre < 1)then pre = 1 end
-- 	self._needGoodsNum:setText(globalData.goodsInfoList:getGoodsCount(self.needGoodsId,1) .. "/" .. self.needGoodsNum)
-- 	self._loadingBar:setPercent(pre)
-- end
function HuaXingPanel:dispose()
self:removeEvent()
self._bg = nil
globalManager.sourceCacheManager:removeQuote(self._bgPath)
self._bgPath = nil
self._closeBtn = nil
self._titleLabel = nil
self._atrrBtn    = nil
self._itemList = nil
if(self._viewList ~= nil)then
for __,item in pairs(self._viewList) do
item:dispose()
item = nil
end
end
self._viewList = nil
self._needCardLabel = nil
self._cardNumLabel = nil
self._shopBtn  = nil
self._huanhuaBtn = nil
self._huanhuaBtn1 = nil
self._huaxingBtn = nil
self._upStarBtn  = nil
self._characterPanel = nil
if(self._character ~= nil)then
self._character:dispose()
self._character = nil
end
if(self._characterInfo ~= nil) then
self._characterInfo:dispose()
self._characterInfo = nil
end
self.nameLabelList = nil
self.infoLabelList = nil
self.upIconList    = nil
self.plusList      = nil
self.starList      = nil
self._infoList = nil
self.attrList  = nil
self.parent    = nil
self._fightLabel  = nil
self._barBg       = nil
self._needGoodsNum = nil
self._loadingBar  = nil
self._matrialIcon = nil
globalManager.sourceCacheManager:removeQuote(self._matrialPath)
self._matrialPath = nil
self.templateInfo = nil
globalManager.ccCreator:release(self._widget)
self._widget = nil
self:BasePanelDispose()
self.BasePanelDispose = nil
end
LonghunPanel = class("LonghunPanel",function(self,controller)
local temp = XiaofeiPanel:new(7,controller)
temp.xiaofeiDispose = temp.dispose
temp.xiaofeiInitEvent = temp.initEvent
temp.xiaofeiRemoveEvent = temp.removeEvent
temp.xiaofeiStageUpdate = temp.stageUpdate
temp._bgPath = globalManager.pathManager:getUISource("outPic/xiaofei_bg.png")
temp._equipValueList = {0,0,0,0,0}
temp._character = nil
temp._isShow = true
temp._oldShow = true
temp._character1 = nil
temp.count = 21
temp.opacityValue = 255
temp.scaleValue = 1.5
temp.count1 = 0
temp.scaleValue1 = 1.5
return temp
end)
function LonghunPanel:ctor()
globalManager.sourceCacheManager:setImage(self._bgImage,self._bgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self:setInfo(globalData.longhunItemInfo)
self._nameLabels[1]:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel31"))
self._nameLabels[2]:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel32"))
self._nameLabels[3]:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel33"))
self._nameLabels[4]:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel38"))
self._nameLabels[5]:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel39"))
self._nameLabels[6]:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel40"))
self:getJingLianInfo()
if(globalData.longhunItemInfo.stage > 0 and not globalData.longhunItemInfo.isShow) then
self._showHideBtn:loadTextureNormal("icon/ui_copyHideIcon.png",1)
self._isShow = false
self._oldShow = false
end
end
function LonghunPanel:initEvent()
local showHideClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(globalData.longhunItemInfo.stage <= 0) then return end
if(self._isShow) then
self._showHideBtn:loadTextureNormal("icon/ui_copyHideIcon.png",1)
self._isShow = false
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("LonghunPanel.text1"))
else
self._showHideBtn:loadTextureNormal("icon/ui_copyShowIcon.png",1)
self._isShow = true
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("LonghunPanel.text2"))
end
end
end
self:xiaofeiInitEvent()
self._showHideBtn:addTouchEventListener(showHideClickHandler)
self._info:addEventListener(globalData.globalEventType.playerInfo_longhunTemplate,self.stageUpdate,self)
self._info:addEventListener(globalData.globalEventType.playerInfo_longhunInfo,self.update,self)
self._info:addEventListener(globalData.globalEventType.playerInfo_longhunHuanhua,self.huanhuaUpdate,self)
end
function LonghunPanel:removeEvent()
self:xiaofeiRemoveEvent()
self._info:removeEventListener(globalData.globalEventType.playerInfo_longhunTemplate,self.stageUpdate,self)
self._info:removeEventListener(globalData.globalEventType.playerInfo_longhunInfo,self.update,self)
self._info:removeEventListener(globalData.globalEventType.playerInfo_longhunHuanhua,self.huanhuaUpdate,self)
end
function LonghunPanel:stageUpdate()
self:xiaofeiStageUpdate()
end
function LonghunPanel:update(evt)
self:infoUpdate(evt.data)
self:autoCheckUpAndJump()
end
function LonghunPanel:showCharacter(stage,info)
if(self._character ~= nil)then
self._character:dispose()
end
self._character = globalManager.effectCreator:create(tonumber(info:getShowPath()),nil,nil,false,1.5)
if(self._character ~= nil) then
local color = globalData.allStaticTypes.colorType:getBodyEffectColor(stage)
self._character:setColor(color)
local posX, posY = info:getEffPosition()
self._character:move2(self._showPanel,posX,posY)
self._showPanel:addNode(self._character)
self._character:play()
end
globalManager.tickManager:addTick(self.fadeOutTick,self)
end
function LonghunPanel:fadeOutTick(delta,count)
self.count1 = self.count1 + 1
if(self.count1 > 0 and self.count1 <= 20)then
self.scaleValue1 = self.scaleValue1 + 0.03
self._character:setScale(self.scaleValue1)
elseif(self.count1 >= 21 and self.count1 <= 41)then
self.scaleValue1 = self.scaleValue1 - 0.03
self._character:setScale(self.scaleValue1)
else
self.count1 = 0
self.scaleValue1 = 1.5
globalManager.tickManager:removeTick(self.fadeOutTick,self)
end
end
function LonghunPanel:fadeOut(stage,info)
if(self._character1 ~= nil)then
self._character1:dispose()
end
self._character1 = globalManager.effectCreator:create(tonumber(info:getShowPath()),nil,nil,false,1.5)
if(self._character1 ~= nil) then
local color = globalData.allStaticTypes.colorType:getBodyEffectColor(stage)
self._character1:setColor(color)
local posX, posY = info:getEffPosition()
self._character1:move2(self._showPanel,posX,posY)
self._showPanel:addNode(self._character1)
self._character1:play()
end
globalManager.tickManager:addTick(self.tick,self)
end
function LonghunPanel:tick(delta,count)
self.count = self.count - 1
self.scaleValue = self.scaleValue + 0.03
self.opacityValue = self.opacityValue - 12
if(self.count > 0)then
self._character1:setScale(self.scaleValue)
self._character1:setAlpha(self.opacityValue)
else
self.opacityValue = 255
self.count = 21
self.scaleValue = 1.5
if(self._character1 ~= nil)then
self._character1:dispose()
self._character1 = nil
end
globalManager.tickManager:removeTick(self.tick,self)
end
end
function LonghunPanel:dispose()
globalManager.tickManager:removeTick(self.fadeOutTick,self)
globalManager.sourceCacheManager:removeQuote(self._bgPath)
if(self._oldShow ~= self._isShow and globalData.longhunItemInfo.stage > 0) then
self._controller.module.message:sendShow(globalData.allStaticTypes.petXiaofeiType.LONGHUN,self._isShow)
end
self._bgPath = nil
if(self._character ~= nil)then
self._character:dispose()
self._character = nil
end
self:xiaofeiDispose()
self.xiaofeiDispose = nil
self.xiaofeiInitEvent = nil
self.xiaofeiRemoveEvent = nil
self.xiaofeiStageUpdate = nil
end
PetPanel = class("PetPanel",function(self,controller)
local temp = XiaofeiPanel:new(1,controller)
temp.xiaofeiDispose = temp.dispose
temp.xiaofeiInitEvent = temp.initEvent
temp.xiaofeiRemoveEvent = temp.removeEvent
temp.xiaofeiStageUpdate = temp.stageUpdate
temp._bgPath = globalManager.pathManager:getUISource("outPic/xiaofei_bg.png")
temp._equipValueList = {0,0,0,0}
temp._character = nil
temp._character1 = nil
temp.count = 21
temp.opacityValue = 255
temp.scaleValue = 1.5
temp.count1 = 0
temp.scaleValue1 = 1.5
return temp
end)
function PetPanel:ctor()
globalManager.sourceCacheManager:setImage(self._bgImage,self._bgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self:setInfo(globalData.petItemInfo)
self._nameLabels[1]:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel32"))
self._nameLabels[2]:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel38"))
self._nameLabels[3]:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel52"))
self._nameLabels[4]:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel51"))
self._nameLabels[5]:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel40"))
self._nameLabels[6]:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel42"))
self:getJingLianInfo()
end
function PetPanel:initEvent()
self:xiaofeiInitEvent()
self._info:addEventListener(globalData.globalEventType.playerInfo_petTemplate,self.stageUpdate,self)
self._info:addEventListener(globalData.globalEventType.playerInfo_petInfo,self.update,self)
self._info:addEventListener(globalData.globalEventType.playerInfo_petHuanhua,self.huanhuaUpdate,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.newly_petAutoUpdate,self.autoUpdateStage,self)
end
function PetPanel:removeEvent()
self:xiaofeiRemoveEvent()
self._info:removeEventListener(globalData.globalEventType.playerInfo_petTemplate,self.stageUpdate,self)
self._info:removeEventListener(globalData.globalEventType.playerInfo_petInfo,self.update,self)
self._info:removeEventListener(globalData.globalEventType.playerInfo_petHuanhua,self.huanhuaUpdate,self)
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.newly_petAutoUpdate,self.autoUpdateStage,self)
end
function PetPanel:levelUpdate()
self.expInfo = globalData.allTemplates.petExpTemplateList:getTemplate(globalData.selfPlayerInfo.level)
self:setProperty()
end
function PetPanel:update(evt)
self:infoUpdate(evt.data)
self:autoCheckUpAndJump()
end
function PetPanel:stageUpdate()
self.expInfo = globalData.allTemplates.petExpTemplateList:getTemplate(globalData.selfPlayerInfo.level)
self:xiaofeiStageUpdate()
end
function PetPanel:showCharacter(stage,info)
if(self._character ~= nil)then
self._character:dispose()
end
local characterInfo = CharacterInfo:new(globalData.allStaticTypes.sourceStaticType.pet)
characterInfo:setStyleBin(1,info:getShowPath())
characterInfo:setDefaultAnima(globalData.allStaticTypes.animaInfoList.petStand)
self._character = BaseCharacter:new(characterInfo)
self._character:setScale(1.5)
self._character:show(globalData.allStaticTypes.directType.bottom)
local posX, posY = info:getEffPosition()
self._character:setPosition(globalManager.ccCreator:newPoint(posX,posY))
self._showPanel:addNode(self._character,61)
globalManager.tickManager:addTick(self.fadeOutTick,self)
end
function PetPanel:fadeOutTick(delta,count)
self.count1 = self.count1 + 1
if(self.count1 > 0 and self.count1 <= 20)then
self.scaleValue1 = self.scaleValue1 + 0.03
self._character:setScale(self.scaleValue1)
elseif(self.count1 >= 21 and self.count1 <= 41)then
self.scaleValue1 = self.scaleValue1 - 0.03
self._character:setScale(self.scaleValue1)
else
self.count1 = 0
self.scaleValue1 = 1.5
globalManager.tickManager:removeTick(self.fadeOutTick,self)
end
end
function PetPanel:fadeOut(stage,info)
if(self._character1 ~= nil)then
self._character1:dispose()
end
local characterInfo1 = CharacterInfo:new(globalData.allStaticTypes.sourceStaticType.pet)
characterInfo1:setStyleBin(1,info:getShowPath())
characterInfo1:setDefaultAnima(globalData.allStaticTypes.animaInfoList.petStand)
self._character1 = BaseCharacter:new(characterInfo1)
self._character1:setScale(1.5)
self._character1:show(globalData.allStaticTypes.directType.bottom)
local posX, posY = info:getEffPosition()
self._character1:setPosition(globalManager.ccCreator:newPoint(posX,posY))
self._showPanel:addNode(self._character1,10)
self._character1:setLocalZOrder(5)
globalManager.tickManager:addTick(self.tick,self)
end
function PetPanel:tick(delta,count)
self.count = self.count - 1
self.scaleValue = self.scaleValue + 0.04
self.opacityValue = self.opacityValue - 12
if(self.count > 0)then
self._character1:setScale(self.scaleValue)
self._character1:setAlpha(self.opacityValue)
else
self.opacityValue = 255
self.count = 21
self.scaleValue = 1.5
if(self._character1 ~= nil)then
self._character1:dispose()
self._character1 = nil
end
globalManager.tickManager:removeTick(self.tick,self)
end
end
function PetPanel:dispose()
globalManager.tickManager:removeTick(self.fadeOutTick,self)
globalManager.sourceCacheManager:removeQuote(self._bgPath)
self._bgPath = nil
self._equipValueList = nil
if(self._character ~= nil)then
self._character:dispose()
self._character = nil
end
if(self._character1 ~= nil)then
self._character1:dispose()
self._character1 = nil
end
self:xiaofeiDispose()
self.xiaofeiDispose = nil
self.xiaofeiInitEvent = nil
self.xiaofeiRemoveEvent = nil
self.xiaofeiStageUpdate = nil
end
PetTalentPanel = class("PetTalentPanel", function(self,controller)
local self = BasePanel:new()
self.BasePanelDispose = self.dispose
self._controller = controller
self._widget     = globalManager.ccCreator:newJsonWidget("petTanlentPanel")
self:addChild(self._widget)
self.cells       = {}   --中间的格子
self.icons       = {}   --提升的图标
self.infos       = {}	--属性值
self.plus        = {}   --附加属性值
self.items       = {}
self.txtFight    = self._widget:getChildByName("fight_label")
self.btnAuto     = self._widget:getChildByName("start_btn")
self.btnAutotxt  = self.btnAuto:getChildByName("btnLabel")
self.advanceBtn  = self._widget:getChildByName("talentBtn")      --进阶Btn
self.atrrTips    = self._widget:getChildByName("atrrTips")       --属性Tips面板
self.itemNum     = self._widget:getChildByName("itemNum_label")  --所需物品数
self.itemBg      = self._widget:getChildByName("item_panel")     --所需物品形象
self.textLabel   = self._widget:getChildByName("info_label66")
self.nameList    = {globalManager.yuyanbaoManager:getYuyanbao("PetTalentPanel.text1"),globalManager.yuyanbaoManager:getYuyanbao("PetTalentPanel.text2"),globalManager.yuyanbaoManager:getYuyanbao("PetTalentPanel.text3"),globalManager.yuyanbaoManager:getYuyanbao("PetTalentPanel.text4"),globalManager.yuyanbaoManager:getYuyanbao("PetTalentPanel.text5"),globalManager.yuyanbaoManager:getYuyanbao("PetTalentPanel.text6"),globalManager.yuyanbaoManager:getYuyanbao("PetTalentPanel.text7")}
self.attributeName    = {globalManager.yuyanbaoManager:getYuyanbao("FabaoPanel.text7"),globalManager.yuyanbaoManager:getYuyanbao("PetTalentPanel.text9"),globalManager.yuyanbaoManager:getYuyanbao("PetTalentPanel.text10"),globalManager.yuyanbaoManager:getYuyanbao("FabaoPanel.text9"),globalManager.yuyanbaoManager:getYuyanbao("PetTalentPanel.text12"),globalManager.yuyanbaoManager:getYuyanbao("PetTalentPanel.text13")}
for i = 1,7,1 do
table.insert( self.cells, self._widget:getChildByName("cell_view"..i) )
end
for i = 1,6,1 do
self._widget:getChildByName("proName_label"..i):setText(self.attributeName[i])
table.insert(self.icons, self._widget:getChildByName("up_icon"..i))
self.icons[i]:setVisible(false)
table.insert(self.infos, self._widget:getChildByName("info_label"..i))
self.infos[i]:setText("0")
table.insert( self.plus, self._widget:getChildByName("plus_label"..i))
end
self._bgImg      = self._widget:getChildByName("bg_image")
self._bgPath1    = globalManager.pathManager:getUISource("outPic/ui_petTanlentBg.png")
self._info       = nil
self._currentIndex = -1
self.atrrValueList = {0,0,0,0,0,0}
self.preList       = {2.5,2.5,5,5,10,10}
self.materialIdList = {160143,160144,160145,160146,160147,160148,160149}
self.labelIdList   = {"260143","260144","260145","260146","260147","260148","260149"}
self.grid = nil
self._widget:getChildByName("titleLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("PetTalentPanel.text16"))
self._widget:getChildByName("tipsLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("FabaoPanel.text10"))
self._widget:getChildByName("info_label66"):setText(globalManager.yuyanbaoManager:getYuyanbao("PetTalentPanel.text18"))
self.advanceBtn:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("PetTalentPanel.text19"))
self.btnAuto:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("PetTalentPanel.text20"))
return self
end)
function PetTalentPanel:ctor()
self._info = globalData.petItemInfo.talentList
local viewClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
self:setIndex(sender:getIndex())
end
end
for i = 1,7,1 do
local item = PetTanlentItem:new(i,self.nameList[i])
item:addTouchEventListener(viewClickHandler)
self.cells[i]:addChild(item)
table.insert(self.items,item)
end
self.grid = GoodsInfoGrid:new()
self.itemBg:addChild(self.grid)
globalManager.sourceCacheManager:setImage(self._bgImg,self._bgPath1,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self:initEvent()
self:setIndex(2)
self:infoUpdate()
end
function PetTalentPanel:infoUpdate()
local totalFight = 0
self.atrrValueList = {0,0,0,0,0,0}
for index,value in pairs(self._info) do
self.items[index]:setData(value)
for i = 1,value,1 do
totalFight = totalFight + self:fightCalculate(i)
end
if(index == 1)then
for i = 1,value,1 do
self.atrrValueList[2] = self.atrrValueList[2] + self:attrCalculate(i,2)
self.atrrValueList[5] = self.atrrValueList[5] + self:attrCalculate(i,5)
end
elseif(index == 2)then
for i = 1,value,1 do
self.atrrValueList[1] = self.atrrValueList[1] + self:attrCalculate(i,1)
self.atrrValueList[6] = self.atrrValueList[6] + self:attrCalculate(i,6)
end
elseif(index == 3)then
for i = 1,value,1 do
self.atrrValueList[1] = self.atrrValueList[1] + self:attrCalculate(i,1)
self.atrrValueList[4] = self.atrrValueList[4] + self:attrCalculate(i,4)
end
elseif(index == 4)then
for i = 1,value,1 do
self.atrrValueList[4] = self.atrrValueList[4] + self:attrCalculate(i,4)
self.atrrValueList[3] = self.atrrValueList[3] + self:attrCalculate(i,3)
end
elseif(index == 5)then
for i = 1,value,1 do
self.atrrValueList[2] = self.atrrValueList[2] + self:attrCalculate(i,2)
self.atrrValueList[6] = self.atrrValueList[6] + self:attrCalculate(i,6)
end
elseif(index == 6)then
for i = 1,value,1 do
self.atrrValueList[1] = self.atrrValueList[1] + self:attrCalculate(i,1)
self.atrrValueList[5] = self.atrrValueList[5] + self:attrCalculate(i,5)
end
elseif(index == 7)then
for i = 1,value,1 do
self.atrrValueList[2] = self.atrrValueList[2] + self:attrCalculate(i,2)
self.atrrValueList[3] = self.atrrValueList[3] + self:attrCalculate(i,3)
end
end
end
for i = 1,6,1 do
self.infos[i]:setText(self.atrrValueList[i])
end
totalFight = totalFight + self:getSuitFight(self:getAdvanceStage())
self.txtFight:setStringValue(totalFight)
local currentLevel = self._info[self._currentIndex]
local nextLevel    = currentLevel + 1
local needMatrial  = self:getNeedCounts(nextLevel)
if(needMatrial > 50)then
self.itemNum:setText("")
else
self.itemNum:setText(globalData.goodsInfoList:getGoodsCount(self.materialIdList[self._currentIndex],1) .. "/" ..needMatrial)
end
local selectIndex = 0
for index,value in pairs(self._info) do
if(globalData.goodsInfoList:getGoodsCount(self.materialIdList[index],1) >= self:getNeedCounts(value + 1))then
selectIndex = index
break
else
selectIndex = 1
end
end
self:setIndex(selectIndex)
end
function PetTalentPanel:getSuitFight(stage)
local totalFight = 0
if(stage >= 1 and stage <= 5)then
totalFight = 10000 * stage
elseif(stage >= 6 and stage <= 10)then
totalFight = 55000 + (stage - 5)*20000
end
return totalFight
end
function PetTalentPanel:setIndex(index)
if(index == self._currentIndex)then return end
self._currentIndex = index
for i = 1,7,1 do
if(i == index)then
self.items[i]:setOverImg(true)
else
self.items[i]:setOverImg(false)
end
end
local currentLevel = self._info[index]
local nextLevel    = currentLevel + 1
local needMatrial  = self:getNeedCounts(nextLevel)
self.itemNum:setText(globalData.goodsInfoList:getGoodsCount(self.materialIdList[index],1) .. "/" ..needMatrial)
self:getAttrByIndex(index)
self.grid:setGoodsTempInfo(globalData.allTemplates.goodsTemplateList:getTemplate(self.materialIdList[index]))
self.grid:setCount(1)
self.textLabel:setText(globalManager.descriptManager:getDescript(self.labelIdList[index]))
end
function PetTalentPanel:getNeedCounts(nextLevel)
local needMatrial = 0
if(nextLevel > 0 and nextLevel % 2 == 1)then
needMatrial = (nextLevel + 1) / 2
else
needMatrial = nextLevel / 2
end
return needMatrial
end
function PetTalentPanel:getAttrByIndex(index)
if(index == 1)then
for i = 1,6,1 do
if(i == 2 or i == 5)then
local attrValue = self:attrCalculate(self._info[index] + 1,i)
self.icons[i]:setVisible(true)
self.plus[i]:setVisible(true)
self.plus[i]:setText(attrValue)
else
self.icons[i]:setVisible(false)
self.plus[i]:setVisible(false)
end
end
elseif(index == 7)then
for i = 1,6,1 do
if(i == 2 or i == 3)then
local attrValue = self:attrCalculate(self._info[index] + 1,i)
self.icons[i]:setVisible(true)
self.plus[i]:setVisible(true)
self.plus[i]:setText(attrValue)
else
self.icons[i]:setVisible(false)
self.plus[i]:setVisible(false)
end
end
elseif(index == 2)then
for i = 1,6,1 do
if(i == 1 or i == 6)then
local attrValue = self:attrCalculate(self._info[index] + 1,i)
self.icons[i]:setVisible(true)
self.plus[i]:setVisible(true)
self.plus[i]:setText(attrValue)
else
self.icons[i]:setVisible(false)
self.plus[i]:setVisible(false)
end
end
elseif(index == 3)then
for i = 1,6,1 do
if(i == 1 or i == 4)then
local attrValue = self:attrCalculate(self._info[index] + 1,i)
self.icons[i]:setVisible(true)
self.plus[i]:setVisible(true)
self.plus[i]:setText(attrValue)
else
self.icons[i]:setVisible(false)
self.plus[i]:setVisible(false)
end
end
elseif(index == 4)then
for i = 1,6,1 do
if(i == 4 or i == 3)then
local attrValue = self:attrCalculate(self._info[index] + 1,i)
self.icons[i]:setVisible(true)
self.plus[i]:setVisible(true)
self.plus[i]:setText(attrValue)
else
self.icons[i]:setVisible(false)
self.plus[i]:setVisible(false)
end
end
elseif(index == 5)then
for i = 1,6,1 do
if(i == 2 or i == 6)then
local attrValue = self:attrCalculate(self._info[index] + 1,i)
self.icons[i]:setVisible(true)
self.plus[i]:setVisible(true)
self.plus[i]:setText(attrValue)
else
self.icons[i]:setVisible(false)
self.plus[i]:setVisible(false)
end
end
elseif(index == 6)then
for i = 1,6,1 do
if(i == 1 or i == 5)then
local attrValue = self:attrCalculate(self._info[index] + 1,i)
self.icons[i]:setVisible(true)
self.plus[i]:setVisible(true)
self.plus[i]:setText(attrValue)
else
self.icons[i]:setVisible(false)
self.plus[i]:setVisible(false)
end
end
end
end
function PetTalentPanel:fightCalculate(nextLevel)
local fight
if(nextLevel == 0)then
fight = 0
elseif(0 < nextLevel and nextLevel <= 20)then
fight     = 40 * nextLevel
elseif(20 < nextLevel and nextLevel <= 40)then
fight     = 800 + (nextLevel - 20) * 20
elseif(40 < nextLevel and nextLevel <= 60)then
fight     = 1200 + (nextLevel - 40) * 10
elseif(60 < nextLevel and nextLevel <= 100)then
fight     = 1400 + (nextLevel - 60) * 20
end
return fight
end
function PetTalentPanel:attrCalculate(nextLevel,index)
local atrrValue
if(nextLevel == 0)then
atrrValue = 0
elseif(0 < nextLevel and nextLevel <= 20)then
atrrValue = (40 * nextLevel) / self.preList[index]
elseif(20 < nextLevel and nextLevel <= 40)then
atrrValue = (800 + (nextLevel - 20) * 20) / self.preList[index]
elseif(40 < nextLevel and nextLevel <= 60)then
atrrValue = (1200 + (nextLevel - 40) * 10) / self.preList[index]
elseif(60 < nextLevel and nextLevel <= 100)then
atrrValue = (1400 + (nextLevel - 60) * 20) / self.preList[index]
end
return atrrValue
end
function PetTalentPanel:initEvent()
local function btnClickHandler(sender, eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
local haveNum = globalData.goodsInfoList:getGoodsCount(self.materialIdList[self._currentIndex],1)
local needNum = self:getNeedCounts(self._info[self._currentIndex] + 1)
if(haveNum < needNum)then
if(self:getNeedCounts(self._info[self._currentIndex] + 1) > 50)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("PetTalentPanel.text14"))
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("HuaXingPanel.text3"))
end
else
local totalNeedNum = 0
local promtLevel   = 0
for i = 1,100,1 do
totalNeedNum = totalNeedNum + self:getNeedCounts(self._info[self._currentIndex] + i)
if(haveNum - totalNeedNum < 0 or self:getNeedCounts(self._info[self._currentIndex] + i) > 50)then break end
promtLevel = promtLevel + 1
end
if(promtLevel == 0)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("PetTalentPanel.text14"))
end
globalData.messageAdder:promtTalentLevel(1,self._currentIndex,promtLevel)
end
end
end
local function advanceClickHandler(sender, eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab4,globalData.allStaticTypes.panelTabType.pet)
end
end
local function tipsClickHandler(sender, eventType)
if(eventType == TOUCH_EVENT_ENDED) then
local stage = self:getAdvanceStage()
local flag = false
if(stage >= 1)then
flag = true
else
flag = false
stage = 1
end
globalManager.tipsManager:showTalentTemplate(stage,flag,1)
end
end
self.btnAuto:addTouchEventListener(btnClickHandler)
self.advanceBtn:addTouchEventListener(advanceClickHandler)
self.atrrTips:addTouchEventListener(tipsClickHandler)
globalData.petItemInfo:addEventListener(globalData.globalEventType.playerInfo_petTalentUpdate,self.infoUpdate,self)
end
function PetTalentPanel:removeEvent()
globalData.petItemInfo:removeEventListener(globalData.globalEventType.playerInfo_petTalentUpdate,self.infoUpdate,self)
end
function PetTalentPanel:getAdvanceStage()
local minLevel = 999
for i = 1,7,1 do
if(minLevel >= self._info[i])then
minLevel = self._info[i]
end
end
local stage = math.floor(minLevel / 10)
return stage
end
function PetTalentPanel:dispose()
self:removeEvent()
self._controller = nil
if self.items ~= nil then
for i = 1, #self.items do
self.items[i]:dispose()
self.items[i] = nil
end
self.items = nil
end
if self._bgPath1 ~= nil then
globalManager.sourceCacheManager:removeQuote(self._bgPath1)
self._bgPath1 = nil
end
self._bgImg      = nil
self.cells       = nil  --中间的格子
self.icons       = nil  --提升的图标
self.infos       = nil	--属性值
self.plus        = nil  --附加属性值
self.txtFight    = nil
self.txtGold     = nil
self.btnAuto     = nil
self.btnAutotxt  = nil
self.nameList    = nil
self.advanceBtn  = nil
self.atrrTips    = nil
self.itemNum     = nil
self.itemBg      = nil
self.attributeName = nil
self._info       = nil
self.textLabel   = nil
self.atrrValueList = nil
self.preList     = nil
self.materialIdList = nil
self.labelIdList = nil
if(self.grid ~= nil)then
self.grid:dispose()
self.grid = nil
end
globalManager.ccCreator:release(self._widget)
self._widget = nil
self:BasePanelDispose()
self.BasePanelDispose = nil
end
PetTanlentItem = class("PetTanlentItem", function(self,place,name)
local self  = globalManager.ccCreator:newJsonWidget("petTanlentItem")
self._name  = name
self._place = place
self._selectLight = self:getChildByName("select_light")
self._txtLabel    = self:getChildByName("names")
self._overImg     = self:getChildByName("overImg")
self._overImgPath = globalManager.pathManager:getUISource("outPic/skill_cd_mask.png")
return self
end)
function PetTanlentItem:ctor()
self:initEvent()
globalManager.sourceCacheManager:setImage(self._overImg,self._overImgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self._selectLight:setVisible(false)
end
function PetTanlentItem:initEvent()
end
function PetTanlentItem:removeEvent()
end
function PetTanlentItem:setData(value)
if(value > 0)then
self._overImg:setVisible(false)
else
self._overImg:setVisible(true)
end
self._txtLabel:setText(self._name .. " Lv." .. value)
end
function PetTanlentItem:setOverImg(value)
self._selectLight:setVisible(value)
end
function PetTanlentItem:getIndex()
return self._place
end
function PetTanlentItem:dispose()
self:removeEvent()
self._name  = nil
self._place = nil
self._selectLight = nil
self._txtLabel    = nil
self._overImg     = nil
globalManager.sourceCacheManager:removeQuote(self._overImgPath)
self._overImgPath = nil
globalManager.ccCreator:release(self)
end
RiderPanel = class("RiderPanel",function(self,controller)
local temp = XiaofeiPanel:new(2,controller)
temp.xiaofeiDispose = temp.dispose
temp.xiaofeiInitEvent = temp.initEvent
temp.xiaofeiRemoveEvent = temp.removeEvent
temp.xiaofeiStageUpdate = temp.stageUpdate
temp._bgPath = globalManager.pathManager:getUISource("outPic/xiaofei_bg.png")
temp._equipValueList = {0,0,0,0,0}
temp._character = nil
temp._characterInfo = nil
temp._character1 = nil
temp._characterInfo1 = nil
temp.count = 21
temp.opacityValue = 130
temp.scaleValue = 1
temp.layerValue = 21
temp.count1 = 0
temp.scaleValue1 = 1
return temp
end)
function RiderPanel:ctor()
globalManager.sourceCacheManager:setImage(self._bgImage,self._bgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self:setInfo(globalData.riderItemInfo)
self._nameLabels[1]:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel31"))
self._nameLabels[2]:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel32"))
self._nameLabels[3]:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel33"))
self._nameLabels[4]:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel38"))
self._nameLabels[5]:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel39"))
self._nameLabels[6]:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel43"))
self:getJingLianInfo()
end
function RiderPanel:initEvent()
self:xiaofeiInitEvent()
self._info:addEventListener(globalData.globalEventType.playerInfo_riderTemplate,self.stageUpdate,self)
self._info:addEventListener(globalData.globalEventType.playerInfo_riderInfo,self.update,self)
self._info:addEventListener(globalData.globalEventType.playerInfo_riderHuanhua,self.huanhuaUpdate,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.newly_riderAutoUpdate,self.autoUpdateStage,self)
end
function RiderPanel:update(evt)
self:infoUpdate(evt.data)
self:autoCheckUpAndJump()
end
function RiderPanel:removeEvent()
self:xiaofeiRemoveEvent()
self._info:removeEventListener(globalData.globalEventType.playerInfo_riderTemplate,self.stageUpdate,self)
self._info:removeEventListener(globalData.globalEventType.playerInfo_riderInfo,self.update,self)
self._info:removeEventListener(globalData.globalEventType.playerInfo_riderHuanhua,self.huanhuaUpdate,self)
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.newly_riderAutoUpdate,self.autoUpdateStage,self)
end
function RiderPanel:stageUpdate()
self:xiaofeiStageUpdate()
end
function RiderPanel:showCharacter(stage,info)
if(self._character ~= nil)then
self._character:dispose()
end
if(self._characterInfo ~= nil) then
self._characterInfo:dispose()
end
self._characterInfo = CharacterInfo:new(globalData.allStaticTypes.sourceStaticType.player)
self._characterInfo.showDefaultCloth = false
self._characterInfo:setStyleBin(3,stage)
self._characterInfo:setDefaultAnima(globalData.allStaticTypes.animaInfoList.stand2)
self._character = BaseCharacter:new(self._characterInfo)
self._character:show(globalData.allStaticTypes.directType.bottom)
local posX, posY = info:getEffPosition()
self._character:setPosition(globalManager.ccCreator:newPoint(posX, posY + info:getYoffset()*0.8))
self._showPanel:addNode(self._character,61)
--self._character:setScale(2)
globalManager.tickManager:addTick(self.fadeOutTick,self)
end
function RiderPanel:fadeOutTick(delta,count)
self.count1 = self.count1 + 1
if(self.count1 > 0 and self.count1 <= 20)then
self.scaleValue1 = self.scaleValue1 + 0.03
self._character:setScale(self.scaleValue1)
elseif(self.count1 >= 21 and self.count1 <= 41)then
self.scaleValue1 = self.scaleValue1 - 0.03
self._character:setScale(self.scaleValue1)
else
self.count1 = 0
self.scaleValue1 = 1
globalManager.tickManager:removeTick(self.fadeOutTick,self)
end
end
function RiderPanel:fadeOut(stage,info)
if(self._character1 ~= nil)then
self._character1:dispose()
end
if(self._characterInfo1 ~= nil) then
self._characterInfo1:dispose()
end
self._characterInfo1 = CharacterInfo:new(globalData.allStaticTypes.sourceStaticType.player)
self._characterInfo1.showDefaultCloth = false
self._characterInfo1:setStyleBin(3,stage)
self._characterInfo1:setDefaultAnima(globalData.allStaticTypes.animaInfoList.stand2)
self._character1 = BaseCharacter:new(self._characterInfo1)
self._character1:show(globalData.allStaticTypes.directType.bottom)
local posX, posY = info:getEffPosition()
self._character1:setPosition(globalManager.ccCreator:newPoint(posX, posY + info:getYoffset()*0.8))
self._showPanel:addNode(self._character1,61)
globalManager.tickManager:addTick(self.tick,self)
end
function RiderPanel:tick(delta,count)
self.count = self.count - 1
if(self.count % 5 == 0)then
self.scaleValue = self.scaleValue + 0.35
self.opacityValue = self.opacityValue - 20
self.layerValue = self.layerValue - 4
end
if(self.count > 0)then
self._character1:setScale(self.scaleValue)
self._character1:setAlpha(self.opacityValue)
self._character1:setLocalZOrder(self.layerValue)
else
self.opacityValue = 130
self.count = 21
self.scaleValue = 1
self.layerValue = 21
if(self._character1 ~= nil)then
self._character1:dispose()
self._character1 = nil
end
if(self._characterInfo1 ~= nil) then
self._characterInfo1:dispose()
self._characterInfo1 = nil
end
globalManager.tickManager:removeTick(self.tick,self)
end
end
function RiderPanel:dispose()
globalManager.sourceCacheManager:removeQuote(self._bgPath)
globalManager.tickManager:removeTick(self.fadeOutTick,self)
self._bgPath = nil
self._equipValueList = nil
if(self._character ~= nil)then
self._character:dispose()
self._character = nil
end
if(self._characterInfo ~= nil) then
self._characterInfo:dispose()
self._characterInfo = nil
end
if(self._character1 ~= nil)then
self._character1:dispose()
self._character1 = nil
end
if(self._characterInfo1 ~= nil) then
self._characterInfo1:dispose()
self._characterInfo1 = nil
end
self:xiaofeiDispose()
self.xiaofeiDispose = nil
self.xiaofeiInitEvent = nil
self.xiaofeiRemoveEvent = nil
self.xiaofeiStageUpdate = nil
end
RiderTalentPanel = class("RiderTalentPanel", function(self,controller)
local self = BasePanel:new()
self.BasePanelDispose = self.dispose
self._controller = controller
self._widget     = globalManager.ccCreator:newJsonWidget("riderTalentPanel")
self:addChild(self._widget)
self.cells       = {}   --中间的格子
self.icons       = {}   --提升的图标
self.infos       = {}	--属性值
self.plus        = {}   --附加属性值
self.items       = {}
self.txtFight    = self._widget:getChildByName("fight_label")
self.btnAuto     = self._widget:getChildByName("start_btn")
self.btnAutotxt  = self.btnAuto:getChildByName("btnLabel")
self.advanceBtn  = self._widget:getChildByName("talentBtn")      --进阶Btn
self.atrrTips    = self._widget:getChildByName("atrrTips")       --属性Tips面板
self.itemNum     = self._widget:getChildByName("itemNum_label")  --所需物品数
self.itemBg      = self._widget:getChildByName("item_panel")     --所需物品形象
self.textLabel   = self._widget:getChildByName("info_label6_Copy0")
self.nameList    = {globalManager.yuyanbaoManager:getYuyanbao("RiderTalentPanel.text1"),globalManager.yuyanbaoManager:getYuyanbao("RiderTalentPanel.text2"),globalManager.yuyanbaoManager:getYuyanbao("RiderTalentPanel.text3"),globalManager.yuyanbaoManager:getYuyanbao("RiderTalentPanel.text4"),globalManager.yuyanbaoManager:getYuyanbao("RiderTalentPanel.text5"),globalManager.yuyanbaoManager:getYuyanbao("RiderTalentPanel.text6"),globalManager.yuyanbaoManager:getYuyanbao("RiderTalentPanel.text7")}
self.attributeName    = {globalManager.yuyanbaoManager:getYuyanbao("FabaoPanel.text6"),globalManager.yuyanbaoManager:getYuyanbao("FabaoPanel.text7"),globalManager.yuyanbaoManager:getYuyanbao("FabaoPanel.text8"),globalManager.yuyanbaoManager:getYuyanbao("RiderTalentPanel.text11"),globalManager.yuyanbaoManager:getYuyanbao("RiderTalentPanel.text12"),globalManager.yuyanbaoManager:getYuyanbao("RiderTalentPanel.text13")}
for i = 1,7,1 do
table.insert( self.cells, self._widget:getChildByName("cell_view"..i) )
end
for i = 1,6,1 do
self._widget:getChildByName("proName_label"..i):setText(self.attributeName[i])
table.insert(self.icons, self._widget:getChildByName("up_icon"..i))
self.icons[i]:setVisible(false)
table.insert(self.infos, self._widget:getChildByName("info_label"..i))
self.infos[i]:setText("0")
table.insert( self.plus, self._widget:getChildByName("plus_label"..i))
end
self._bgImg      = self._widget:getChildByName("bg_image")
self._bgPath1    = globalManager.pathManager:getUISource("outPic/ui_tianFu_Bg.png")
self._widget:getChildByName("titleLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("RiderTalentPanel.text16"))
self._widget:getChildByName("tipsLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("FabaoPanel.text10"))
self.advanceBtn:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("RiderTalentPanel.text18"))
self.btnAuto:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("RiderTalentPanel.text19"))
self._info       = nil
self._currentIndex = -1
self.atrrValueList = {0,0,0,0,0,0}
self.preList       = {0.5,2.5,2.5,2.5,2.5,10}
self.materialIdList = {160130,160131,160132,160133,160134,160135,160129}
self.labelIdList   = {"260130","260131","260132","260133","260134","260135","260129"}
self.grid = nil
return self
end)
function RiderTalentPanel:ctor()
self._info = globalData.riderItemInfo.talentList
local viewClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
self:setIndex(sender:getIndex())
end
end
for i = 1,7,1 do
local item = RiderTalentItem:new(i,self.nameList[i])
item:addTouchEventListener(viewClickHandler)
self.cells[i]:addChild(item)
table.insert(self.items,item)
end
self.grid = GoodsInfoGrid:new()
self.itemBg:addChild(self.grid)
globalManager.sourceCacheManager:setImage(self._bgImg,self._bgPath1,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self:initEvent()
self:setIndex(2)
self:infoUpdate()
end
function RiderTalentPanel:infoUpdate()
local totalFight = 0
self.atrrValueList = {0,0,0,0,0,0}
for index,value in pairs(self._info) do
self.items[index]:setData(value)
for i = 1,value,1 do
totalFight = totalFight + self:fightCalculate(i)
end
if(index == 1)then
for i = 1,value,1 do
self.atrrValueList[2] = self.atrrValueList[2] + self:attrCalculate(i,2)
self.atrrValueList[3] = self.atrrValueList[3] + self:attrCalculate(i,3)
end
elseif(index == 2)then
for i = 1,value,1 do
self.atrrValueList[3] = self.atrrValueList[3] + self:attrCalculate(i,3)
self.atrrValueList[4] = self.atrrValueList[4] + self:attrCalculate(i,4)
end
elseif(index == 3)then
for i = 1,value,1 do
self.atrrValueList[5] = self.atrrValueList[5] + self:attrCalculate(i,5)
self.atrrValueList[4] = self.atrrValueList[4] + self:attrCalculate(i,4)
end
elseif(index == 4)then
for i = 1,value,1 do
self.atrrValueList[1] = self.atrrValueList[1] + self:attrCalculate(i,1)
self.atrrValueList[3] = self.atrrValueList[3] + self:attrCalculate(i,3)
end
elseif(index == 5)then
for i = 1,value,1 do
self.atrrValueList[1] = self.atrrValueList[1] + self:attrCalculate(i,1)
self.atrrValueList[5] = self.atrrValueList[5] + self:attrCalculate(i,5)
end
elseif(index == 6)then
for i = 1,value,1 do
self.atrrValueList[1] = self.atrrValueList[1] + self:attrCalculate(i,1)
self.atrrValueList[6] = self.atrrValueList[6] + self:attrCalculate(i,6)
end
elseif(index == 7)then
for i = 1,value,1 do
self.atrrValueList[2] = self.atrrValueList[2] + self:attrCalculate(i,2)
self.atrrValueList[5] = self.atrrValueList[5] + self:attrCalculate(i,5)
end
end
end
for i = 1,6,1 do
self.infos[i]:setText(self.atrrValueList[i])
end
totalFight = totalFight + self:getSuitFight(self:getAdvanceStage())
self.txtFight:setStringValue(totalFight)
local currentLevel = self._info[self._currentIndex]
local nextLevel    = currentLevel + 1
local needMatrial  = self:getNeedCounts(nextLevel)
if(needMatrial > 50)then
self.itemNum:setText("")
else
self.itemNum:setText(globalData.goodsInfoList:getGoodsCount(self.materialIdList[self._currentIndex],1) .. "/" ..needMatrial)
end
local selectIndex = 0
for index,value in pairs(self._info) do
if(globalData.goodsInfoList:getGoodsCount(self.materialIdList[index],1) >= self:getNeedCounts(value + 1))then
selectIndex = index
break
else
selectIndex = 2
end
end
self:setIndex(selectIndex)
end
function RiderTalentPanel:getSuitFight(stage)
local totalFight = 0
if(stage >= 1 and stage <= 5)then
totalFight = 10000 * stage
elseif(stage >= 6 and stage <= 10)then
totalFight = 55000 + (stage - 5)*20000
end
return totalFight
end
function RiderTalentPanel:setIndex(index)
if(index == self._currentIndex)then return end
self._currentIndex = index
for i = 1,7,1 do
if(i == index)then
self.items[i]:setOverImg(true)
else
self.items[i]:setOverImg(false)
end
end
local currentLevel = self._info[index]
local nextLevel    = currentLevel + 1
local needMatrial  = self:getNeedCounts(nextLevel)
self.itemNum:setText(globalData.goodsInfoList:getGoodsCount(self.materialIdList[index],1) .. "/" ..needMatrial)
self:getAttrByIndex(index)
self.grid:setGoodsTempInfo(globalData.allTemplates.goodsTemplateList:getTemplate(self.materialIdList[index]))
self.grid:setCount(1)
self.textLabel:setText(globalManager.descriptManager:getDescript(self.labelIdList[index]))
end
function RiderTalentPanel:getNeedCounts(nextLevel)
local needMatrial = 0
if(nextLevel > 0 and nextLevel % 2 == 1)then
needMatrial = (nextLevel + 1) / 2
else
needMatrial = nextLevel / 2
end
return needMatrial
end
function RiderTalentPanel:getAttrByIndex(index)
if(index == 1)then
for i = 1,6,1 do
if(i == 2 or i == 3)then
local attrValue = self:attrCalculate(self._info[index] + 1,i)
self.icons[i]:setVisible(true)
self.plus[i]:setVisible(true)
self.plus[i]:setText(attrValue)
else
self.icons[i]:setVisible(false)
self.plus[i]:setVisible(false)
end
end
elseif(index == 7)then
for i = 1,6,1 do
if(i == 2 or i == 5)then
local attrValue = self:attrCalculate(self._info[index] + 1,i)
self.icons[i]:setVisible(true)
self.plus[i]:setVisible(true)
self.plus[i]:setText(attrValue)
else
self.icons[i]:setVisible(false)
self.plus[i]:setVisible(false)
end
end
elseif(index == 2)then
for i = 1,6,1 do
if(i == 3 or i == 4)then
local attrValue = self:attrCalculate(self._info[index] + 1,i)
self.icons[i]:setVisible(true)
self.plus[i]:setVisible(true)
self.plus[i]:setText(attrValue)
else
self.icons[i]:setVisible(false)
self.plus[i]:setVisible(false)
end
end
elseif(index == 3)then
for i = 1,6,1 do
if(i == 4 or i == 5)then
local attrValue = self:attrCalculate(self._info[index] + 1,i)
self.icons[i]:setVisible(true)
self.plus[i]:setVisible(true)
self.plus[i]:setText(attrValue)
else
self.icons[i]:setVisible(false)
self.plus[i]:setVisible(false)
end
end
elseif(index == 4)then
for i = 1,6,1 do
if(i == 1 or i == 3)then
local attrValue = self:attrCalculate(self._info[index] + 1,i)
self.icons[i]:setVisible(true)
self.plus[i]:setVisible(true)
self.plus[i]:setText(attrValue)
else
self.icons[i]:setVisible(false)
self.plus[i]:setVisible(false)
end
end
elseif(index == 5)then
for i = 1,6,1 do
if(i == 1 or i == 5)then
local attrValue = self:attrCalculate(self._info[index] + 1,i)
self.icons[i]:setVisible(true)
self.plus[i]:setVisible(true)
self.plus[i]:setText(attrValue)
else
self.icons[i]:setVisible(false)
self.plus[i]:setVisible(false)
end
end
elseif(index == 6)then
for i = 1,6,1 do
if(i == 1 or i == 6)then
local attrValue = self:attrCalculate(self._info[index] + 1,i)
self.icons[i]:setVisible(true)
self.plus[i]:setVisible(true)
self.plus[i]:setText(attrValue)
else
self.icons[i]:setVisible(false)
self.plus[i]:setVisible(false)
end
end
end
end
function RiderTalentPanel:fightCalculate(nextLevel)
local fight
if(nextLevel == 0)then
fight = 0
elseif(0 < nextLevel and nextLevel <= 20)then
fight     = 40 * nextLevel
elseif(20 < nextLevel and nextLevel <= 40)then
fight     = 800 + (nextLevel - 20) * 20
elseif(40 < nextLevel and nextLevel <= 60)then
fight     = 1200 + (nextLevel - 40) * 10
elseif(60 < nextLevel and nextLevel <= 100)then
fight     = 1400 + (nextLevel - 60) * 20
end
return fight
end
function RiderTalentPanel:attrCalculate(nextLevel,index)
local atrrValue
if(nextLevel == 0)then
atrrValue = 0
elseif(0 < nextLevel and nextLevel <= 20)then
atrrValue = (40 * nextLevel) * 0.5 / self.preList[index]
elseif(20 < nextLevel and nextLevel <= 40)then
atrrValue = (800 + (nextLevel - 20) * 20)* 0.5 / self.preList[index]
elseif(40 < nextLevel and nextLevel <= 60)then
atrrValue = (1200 + (nextLevel - 40) * 10)* 0.5 / self.preList[index]
elseif(60 < nextLevel and nextLevel <= 100)then
atrrValue = (1400 + (nextLevel - 60) * 20)* 0.5 / self.preList[index]
end
return atrrValue
end
function RiderTalentPanel:initEvent()
local function btnClickHandler(sender, eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
local haveNum = globalData.goodsInfoList:getGoodsCount(self.materialIdList[self._currentIndex],1)
local needNum = self:getNeedCounts(self._info[self._currentIndex] + 1)
if(haveNum < needNum)then
if(self:getNeedCounts(self._info[self._currentIndex] + 1) > 50)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("RiderTalentPanel.text14"))
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("HuaXingPanel.text3"))
end
else
local totalNeedNum = 0
local promtLevel   = 0
for i = 1,100,1 do
totalNeedNum = totalNeedNum + self:getNeedCounts(self._info[self._currentIndex] + i)
if(haveNum - totalNeedNum < 0 or self:getNeedCounts(self._info[self._currentIndex] + i) > 50)then break end
promtLevel = promtLevel + 1
end
if(promtLevel == 0)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("RiderTalentPanel.text14"))
end
globalData.messageAdder:promtTalentLevel(2,self._currentIndex,promtLevel)
end
end
end
local function advanceClickHandler(sender, eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab4)
end
end
local function tipsClickHandler(sender, eventType)
if(eventType == TOUCH_EVENT_ENDED) then
local stage = self:getAdvanceStage()
local flag = false
if(stage >= 1)then
flag = true
else
flag = false
stage = 1
end
globalManager.tipsManager:showTalentTemplate(stage,flag,2)
end
end
self.btnAuto:addTouchEventListener(btnClickHandler)
self.advanceBtn:addTouchEventListener(advanceClickHandler)
self.atrrTips:addTouchEventListener(tipsClickHandler)
globalData.riderItemInfo:addEventListener(globalData.globalEventType.playerInfo_riderTalentUpdate,self.infoUpdate,self)
end
function RiderTalentPanel:removeEvent()
globalData.riderItemInfo:removeEventListener(globalData.globalEventType.playerInfo_riderTalentUpdate,self.infoUpdate,self)
end
function RiderTalentPanel:getAdvanceStage()
local minLevel = 999
for i = 1,7,1 do
if(minLevel >= self._info[i])then
minLevel = self._info[i]
end
end
local stage = math.floor(minLevel / 10)
return stage
end
function RiderTalentPanel:dispose()
self:removeEvent()
self._controller = nil
if self.items ~= nil then
for i = 1, #self.items do
self.items[i]:dispose()
self.items[i] = nil
end
self.items = nil
end
if self._bgPath1 ~= nil then
globalManager.sourceCacheManager:removeQuote(self._bgPath1)
self._bgPath1 = nil
end
self._bgImg      = nil
self.cells       = nil  --中间的格子
self.icons       = nil   --提升的图标
self.infos       = nil	  --属性值
self.plus        = nil   --附加属性值
self.txtFight    = nil
self.txtGold     = nil
self.btnAuto     = nil
self.btnAutotxt  = nil
self.nameList    = nil
self.advanceBtn  = nil
self.atrrTips    = nil
self.itemNum     = nil
self.itemBg      = nil
self.attributeName = nil
self._info       = nil
self.textLabel   = nil
self.atrrValueList = nil
self.preList     = nil
self.materialIdList = nil
self.labelIdList = nil
if(self.grid ~= nil)then
self.grid:dispose()
self.grid = nil
end
globalManager.ccCreator:release(self._widget)
self._widget = nil
self:BasePanelDispose()
self.BasePanelDispose = nil
end
RiderTalentItem = class("RiderTalentItem", function(self,place,name)
local self  = globalManager.ccCreator:newJsonWidget("riderTalentItem")
self._name  = name
self._place = place
self._selectLight = self:getChildByName("select_light_Copy1")
self._txtLabel    = self:getChildByName("names")
self._overImg     = self:getChildByName("overImg")
self._overImgPath = globalManager.pathManager:getUISource("outPic/skill_cd_mask.png")
return self
end)
function RiderTalentItem:ctor()
self:initEvent()
globalManager.sourceCacheManager:setImage(self._overImg,self._overImgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self._selectLight:setVisible(false)
end
function RiderTalentItem:initEvent()
end
function RiderTalentItem:removeEvent()
end
function RiderTalentItem:setData(value)
if(value > 0)then
self._overImg:setVisible(false)
else
self._overImg:setVisible(true)
end
self._txtLabel:setText(self._name .. " Lv." .. value)
end
function RiderTalentItem:setOverImg(value)
self._selectLight:setVisible(value)
end
function RiderTalentItem:getIndex()
return self._place
end
function RiderTalentItem:dispose()
self:removeEvent()
self._name  = nil
self._place = nil
self._selectLight = nil
self._txtLabel    = nil
self._overImg     = nil
globalManager.sourceCacheManager:removeQuote(self._overImgPath)
self._overImgPath = nil
globalManager.ccCreator:release(self)
end
SpritePanel = class("SpritePanel",function(self,controller)
local temp = XiaofeiPanel:new(5,controller)
temp.xiaofeiDispose = temp.dispose
temp.xiaofeiInitEvent = temp.initEvent
temp.xiaofeiRemoveEvent = temp.removeEvent
temp.xiaofeiStageUpdate = temp.stageUpdate
temp._bgPath = globalManager.pathManager:getUISource("outPic/xiaofei_bg.png")
temp._equipValueList = {0,0,0,0,0}
temp._character = nil
temp._character1 = nil
temp.count = 21
temp.opacityValue = 255
temp.scaleValue = 1.5
temp.count1 = 0
temp.scaleValue1 = 1.5
return temp
end)
function SpritePanel:ctor()
globalManager.sourceCacheManager:setImage(self._bgImage,self._bgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self:setInfo(globalData.spriteItemInfo)
self._nameLabels[1]:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel31"))
self._nameLabels[2]:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel32"))
self._nameLabels[3]:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel33"))
self._nameLabels[4]:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel38"))
self._nameLabels[5]:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel39"))
self._nameLabels[6]:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel41"))
self:getJingLianInfo()
end
function SpritePanel:initEvent()
self:xiaofeiInitEvent()
self._info:addEventListener(globalData.globalEventType.playerInfo_spriteTemplate,self.stageUpdate,self)
self._info:addEventListener(globalData.globalEventType.playerInfo_spriteInfo,self.update,self)
self._info:addEventListener(globalData.globalEventType.playerInfo_spriteHuanhua,self.huanhuaUpdate,self)
end
function SpritePanel:removeEvent()
self:xiaofeiRemoveEvent()
self._info:removeEventListener(globalData.globalEventType.playerInfo_spriteTemplate,self.stageUpdate,self)
self._info:removeEventListener(globalData.globalEventType.playerInfo_spriteInfo,self.update,self)
self._info:removeEventListener(globalData.globalEventType.playerInfo_spriteHuanhua,self.huanhuaUpdate,self)
end
function SpritePanel:stageUpdate()
self:xiaofeiStageUpdate()
end
function SpritePanel:update(evt)
self:infoUpdate(evt.data)
self:autoCheckUpAndJump()
end
function SpritePanel:showCharacter(stage,info)
if(self._character ~= nil)then
self._character:dispose()
end
self._character = globalManager.effectCreator:create(tonumber(info:getShowPath()),nil,nil,false,1.5)
if(self._character ~= nil) then
local posX, posY = info:getEffPosition()
self._character:move2(self._showPanel,posX,posY)
self._showPanel:addNode(self._character)
self._character:play()
end
globalManager.tickManager:addTick(self.fadeOutTick,self)
end
function SpritePanel:fadeOutTick(delta,count)
self.count1 = self.count1 + 1
if(self.count1 > 0 and self.count1 <= 20)then
self.scaleValue1 = self.scaleValue1 + 0.03
self._character:setScale(self.scaleValue1)
elseif(self.count1 >= 21 and self.count1 <= 41)then
self.scaleValue1 = self.scaleValue1 - 0.03
self._character:setScale(self.scaleValue1)
else
self.count1 = 0
self.scaleValue1 = 1.5
globalManager.tickManager:removeTick(self.fadeOutTick,self)
end
end
function SpritePanel:fadeOut(stage,info)
if(self._character1 ~= nil)then
self._character1:dispose()
end
self._character1 = globalManager.effectCreator:create(tonumber(info:getShowPath()),nil,nil,false,1.5)
if(self._character1 ~= nil) then
local posX, posY = info:getEffPosition()
self._character1:move2(self._showPanel,posX,posY)
self._character1:setLocalZOrder(5)
self._showPanel:addNode(self._character1)
self._character1:play()
end
globalManager.tickManager:addTick(self.tick,self)
end
function SpritePanel:tick(delta,count)
self.count = self.count - 1
self.scaleValue = self.scaleValue + 0.03
self.opacityValue = self.opacityValue - 12
if(self.count > 0)then
self._character1:setScale(self.scaleValue)
self._character1:setAlpha(self.opacityValue)
else
self.opacityValue = 255
self.count = 21
self.scaleValue = 1.5
if(self._character1 ~= nil)then
self._character1:dispose()
self._character1 = nil
end
globalManager.tickManager:removeTick(self.tick,self)
end
end
function SpritePanel:dispose()
globalManager.sourceCacheManager:removeQuote(self._bgPath)
globalManager.tickManager:removeTick(self.fadeOutTick,self)
self._bgPath = nil
if(self._character ~= nil)then
self._character:dispose()
self._character = nil
end
self:xiaofeiDispose()
self.xiaofeiDispose = nil
self.xiaofeiInitEvent = nil
self.xiaofeiRemoveEvent = nil
self.xiaofeiStageUpdate = nil
end
TalentTip = class("TalentTip", function(self,type)
local self = BaseTip:new()
self._BaseTipDispose = self.dispose
self._stage = nil
self._isAct = false
self._type  = type
self._attrNames = {}
self._attrPre   = {}
if(self._type == 2)then
self._attrNames = {globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel31"),globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel53"),globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel52"),globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel51")}
self._attrPre   = {0.5,2.5,5,5}
elseif(self._type == 1)then
self._attrNames = {globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel32"),globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel38"),globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel52"),globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel51")}
self._attrPre   = {2.5,2.5,5,5}
end
return self
end)
function TalentTip:setTemplate(stage,isAct)
self._stage = stage
self._isAct = isAct
self:setWidth(400)
self:initView()
end
function TalentTip:initView()
self._currentHeight = self._currentHeight + 10
local color = nil
if(self._isAct) then
color = globalData.allStaticTypes.colorType.TIPTITLE_COLOR
self:addRichLabel(color,self:getLevelName(self._stage)..globalManager.yuyanbaoManager:getYuyanbao("WuhunTip.text1"))
color = globalData.allStaticTypes.colorType.TIPTITLE_COLOR
self:handleTalentTemp(self._stage,color,true)
else
color = globalData.allStaticTypes.colorType.TIPUNACT_COLOR
self:addRichLabel(color,self:getLevelName(self._stage).."-"..globalManager.yuyanbaoManager:getYuyanbao("GoodsTipII.text10"))
self:handleTalentTemp(self._stage,color)
end
if(self._isAct and self._stage < 10) then
self:addLine()
self._currentHeight = self._currentHeight + 20
color = globalData.allStaticTypes.colorType.TIPUNACT_COLOR
self:addRichLabel(color,self:getLevelName(self._stage + 1))
self:handleTalentTemp(self._stage + 1,color)
end
self:addLine()
self:setFightTotle()
self._currentHeight = self._currentHeight + 10
self:drawLayout()
self:setPosition(cc.p((globalData.GAME_WIDTH - 400) / 2,(globalData.GAME_HEIGHT - self._currentHeight)/2))
end
function TalentTip:getNumByLevel(stage)
local num = 0
if(self._type == 2)then
for index,value in pairs(globalData.riderItemInfo.talentList) do
if(value >= stage * 10)then
num = num + 1
end
end
elseif(self._type == 1)then
for index,value in pairs(globalData.petItemInfo.talentList) do
if(value >= stage * 10)then
num = num + 1
end
end
end
return num
end
function TalentTip:getLevelName(stage)
if(self._type == 2)then
return globalManager.yuyanbaoManager:getYuyanbao("TalentTip.text1").. stage * 10 ..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel48") .. " (" .. self:getNumByLevel(stage) .. "/7) "
elseif(self._type == 1)then
return globalManager.yuyanbaoManager:getYuyanbao("TalentTip.text2").. stage * 10 ..globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel48") .. " (" .. self:getNumByLevel(stage) .. "/7) "
end
end
function TalentTip:handleTalentTemp(stage,color,isAdd)
if(stage < 1) then return end
local fight = 0
for i = 1,4,1 do
self:addRichLabel(color,self._attrNames[i] .."：+".. self:getAttrValue(stage,i))
end
if(isAdd) then
self.fightTotle = self:getFight(stage)
else
self:addRichLabel(globalData.allStaticTypes.colorType.TIPTITLE_COLOR,globalManager.yuyanbaoManager:getYuyanbao("WuhunTip.text13") .. self:getFight(stage),150,-self._currentHeight + 16,false)
end
end
function TalentTip:getAttrValue(stage,index)
local attrValue = 0
if(stage >= 1 and stage <= 5)then
if(self._type == 2)then
attrValue = 10000 * stage * 0.25 / self._attrPre[index]
elseif(self._type == 1)then
attrValue = (10000 * stage * 0.25 / self._attrPre[index]) * 2
end
elseif(stage >= 6 and stage <= 10)then
if(self._type == 2)then
attrValue = (55000 + ( stage - 5 ) * 20000 ) * 0.25  / self._attrPre[index]
elseif(self._type == 1)then
attrValue = ((55000 + ( stage - 5 ) * 20000 ) * 0.25  / self._attrPre[index]) * 2
end
end
return attrValue
end
function TalentTip:getFight(stage)
local totalFight = 0
if(stage >= 1 and stage <= 5)then
totalFight = 10000 * stage
elseif(stage >= 6 and stage <= 10)then
totalFight = 55000 + (stage - 5)*20000
end
return totalFight
end
function TalentTip:dispose()
self._stage = nil
self._BaseTipDispose(self)
self._BaseTipDispose = nil
end
WingPanel = class("WingPanel",function(self,controller)
local temp = XiaofeiPanel:new(3,controller)
temp.xiaofeiDispose = temp.dispose
temp.xiaofeiInitEvent = temp.initEvent
temp.xiaofeiRemoveEvent = temp.removeEvent
temp.xiaofeiStageUpdate = temp.stageUpdate
temp._bgPath = globalManager.pathManager:getUISource("outPic/xiaofei_bg.png")
temp._equipValueList = {0,0,0,0,0}
temp._character = nil
temp._character1 = nil
temp.count = 21
temp.opacityValue = 255
temp.scaleValue = 1
temp.count1 = 0
temp.scaleValue1 = 1
return temp
end)
function WingPanel:ctor()
globalManager.sourceCacheManager:setImage(self._bgImage,self._bgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
self:setInfo(globalData.wingItemInfo)
self._nameLabels[1]:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel31"))
self._nameLabels[2]:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel32"))
self._nameLabels[3]:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel33"))
self._nameLabels[4]:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel38"))
self._nameLabels[5]:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel39"))
self._nameLabels[6]:setText(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel52"))
self:getJingLianInfo()
end
function WingPanel:initEvent()
self:xiaofeiInitEvent()
self._info:addEventListener(globalData.globalEventType.playerInfo_wingTemplate,self.stageUpdate,self)
self._info:addEventListener(globalData.globalEventType.playerInfo_wingInfo,self.update,self)
self._info:addEventListener(globalData.globalEventType.playerInfo_wingHuanhua,self.huanhuaUpdate,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.newly_wingAutoUpdate,self.autoUpdateStage,self)
end
function WingPanel:removeEvent()
self:xiaofeiRemoveEvent()
self._info:removeEventListener(globalData.globalEventType.playerInfo_wingTemplate,self.stageUpdate,self)
self._info:removeEventListener(globalData.globalEventType.playerInfo_wingInfo,self.update,self)
self._info:removeEventListener(globalData.globalEventType.playerInfo_wingHuanhua,self.huanhuaUpdate,self)
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.newly_wingAutoUpdate,self.autoUpdateStage,self)
end
function WingPanel:stageUpdate()
self:xiaofeiStageUpdate()
end
function WingPanel:update(evt)
self:infoUpdate(evt.data)
self:autoCheckUpAndJump()
end
function WingPanel:showCharacter(stage,info)
if(self._character ~= nil)then
self._character:dispose()
end
self._character = globalManager.effectCreator:create(tonumber(info:getShowPath()),nil,nil,false)
if(self._character ~= nil) then
local posX, posY = info:getEffPosition()
self._character:move2(self._showPanel,posX,posY)
self._showPanel:addNode(self._character,10)
self._character:play()
end
globalManager.tickManager:addTick(self.fadeOutTick,self)
end
function WingPanel:fadeOutTick(delta,count)
self.count1 = self.count1 + 1
if(self.count1 > 0 and self.count1 <= 20)then
self.scaleValue1 = self.scaleValue1 + 0.03
self._character:setScale(self.scaleValue1)
elseif(self.count1 >= 21 and self.count1 <= 41)then
self.scaleValue1 = self.scaleValue1 - 0.03
self._character:setScale(self.scaleValue1)
else
self.count1 = 0
self.scaleValue1 = 1
globalManager.tickManager:removeTick(self.fadeOutTick,self)
end
end
function WingPanel:fadeOut(stage,info)
if(self._character1 ~= nil)then
self._character1:dispose()
end
self._character1 = globalManager.effectCreator:create(tonumber(info:getShowPath()),nil,nil,false)
if(self._character1 ~= nil) then
local posX, posY = info:getEffPosition()
self._character1:move2(self._showPanel,posX,posY)
self._character1:setLocalZOrder(5)
self._showPanel:addNode(self._character1)
self._character1:play()
end
globalManager.tickManager:addTick(self.tick,self)
end
function WingPanel:tick(delta,count)
self.count = self.count - 1
self.scaleValue = self.scaleValue + 0.03
self.opacityValue = self.opacityValue - 12
if(self.count > 0)then
self._character1:setScale(self.scaleValue)
self._character1:setAlpha(self.opacityValue)
else
self.opacityValue = 255
self.count = 21
self.scaleValue = 1
if(self._character1 ~= nil)then
self._character1:dispose()
self._character1 = nil
end
globalManager.tickManager:removeTick(self.tick,self)
end
end
function WingPanel:dispose()
globalManager.tickManager:removeTick(self.fadeOutTick,self)
globalManager.sourceCacheManager:removeQuote(self._bgPath)
self._bgPath = nil
if(self._character ~= nil)then
self._character:dispose()
self._character = nil
end
if(self._character1 ~= nil)then
self._character1:dispose()
self._character1 = nil
end
self:xiaofeiDispose()
self.xiaofeiDispose = nil
self.xiaofeiInitEvent = nil
self.xiaofeiRemoveEvent = nil
self.xiaofeiStageUpdate = nil
end
--七大模块基类
XiaofeiPanel = class("XiaofeiPanel",function(self,panelType,controller)
local temp = BasePanel:new()
temp.BasePanelDispose = temp.dispose
temp._controller = controller
temp._panelType = panelType
temp._widget = globalManager.ccCreator:newJsonWidget("xiaofeiPanel")
temp:addChild(temp._widget)
temp.MAXSTAGE = globalData.allStaticTypes.petXiaofeiType.XIAOFEI_MAXLEVEL
temp.ATIVENUM = 0
temp._panelCloseBtn = temp._widget:getChildByName("panelClose_btn")
temp._bgImage = temp._widget:getChildByName("bg_image")
temp._cailiaoPanel = temp._widget:getChildByName("cialiao_panel")
temp._levelLabels = {}
temp._idList = {8, 1, 2, 3, 4}  --遍历服务端属性所用到的协议id
temp._differentList = {5, 9, 12, 6, 11, 10}  --每个系统会返回5个id固定的值，但有一个值的id系统间都不相同，遍历此表，找出此表id对应的值存在的属性付给第六个
for i = 1,globalData.allTemplates.xiaofeiTemplateList.STAGE_PRE_STAR,1 do
table.insert(temp._levelLabels,temp._widget:getChildByName("level_label"..i))
end
temp._activitionIcon = temp._widget:getChildByName("activition_icon")
temp._activitionIcon:setEnabled(false)
temp._rightIcon = temp._widget:getChildByName("right_icon")
temp._leftIcon = temp._widget:getChildByName("left_icon")
temp._showPanel = temp._widget:getChildByName("show_panel")
temp._fightLabel = temp._widget:getChildByName("fight_label")
temp._stageLabel = temp._widget:getChildByName("stage_label")
temp.stage_iconbg = temp._widget:getChildByName("stage_iconbg")
temp.stage_iconbg2 = temp._widget:getChildByName("stage_iconbg2")
temp.stage_label2 = temp._widget:getChildByName("stage_label2")
temp.stage_label3 = temp._widget:getChildByName("stage_label3")
temp._suitIcon = temp._widget:getChildByName("suit_icon")
temp._suitIcon:setEnabled(false)
temp._huaXingIcon = temp._widget:getChildByName("ImageView_707034")
temp._huaXingTip  = temp._widget:getChildByName("upTipImg")
temp._talentBtn   = temp._widget:getChildByName("talentBtn")
temp._talentBtnLabel = temp._talentBtn:getChildByName("btnLabel")
temp._talentBtn:setVisible(false)
temp._talentBtn:setTouchEnabled(false)
temp._act_img = temp._widget:getChildByName("ImageView_931907")
temp._time_label = temp._widget:getChildByName("time_label")
temp._widget:getChildByName("ImageView_61634"):setVisible(false)
if(temp._panelType == globalData.allStaticTypes.petXiaofeiType.ZUOQI)then
temp._talentBtnLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("XiaofeiPanel.text1"))
elseif(temp._panelType == globalData.allStaticTypes.petXiaofeiType.CHONGWU)then
temp._talentBtnLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("XiaofeiPanel.text2"))
end
if(temp._panelType == globalData.allStaticTypes.petXiaofeiType.ZUOQI or temp._panelType == globalData.allStaticTypes.petXiaofeiType.CHONGWU or temp._panelType == globalData.allStaticTypes.petXiaofeiType.CHIBANG )then
temp._huaXingIcon:setVisible(true)
--temp._talentBtn:setVisible(true)
temp._huaXingIcon:setTouchEnabled(true)
--temp._talentBtn:setTouchEnabled(true)
else
temp._huaXingIcon:setVisible(false)
--temp._talentBtn:setVisible(false)
temp._huaXingIcon:setTouchEnabled(false)
--temp._talentBtn:setTouchEnabled(false)
end
temp._showHideBtn = temp._widget:getChildByName("show_btn")
temp._skillCells = {}
temp._equipCells = {}
temp._bgCells = {}
temp.skillList = {}
--temp._itemIdList = {}--进阶丹ID,潜能丹ID,悟性丹ID,祝福卡ID,飞升丹ID
temp._itemTypeList = {}--成长丹Type,潜能丹Type,悟性丹Type,技能书Type,飞升丹Type
temp._templateList = nil
local cellNameList
if(temp._panelType == globalData.allStaticTypes.petXiaofeiType.CHONGWU) then
temp.actDiscountType = 34
cellNameList = {globalManager.yuyanbaoManager:getYuyanbao("XiaofeiPanel.text3"),
globalManager.yuyanbaoManager:getYuyanbao("XiaofeiPanel.text4"),
globalManager.yuyanbaoManager:getYuyanbao("XiaofeiPanel.text5"),
globalManager.yuyanbaoManager:getYuyanbao("XiaofeiPanel.text6")}
temp.skillList = {3211,3212,3213,3214,3215,3216}
--temp._itemIdList = {101005,101006,101007,160238,160584}
temp._itemTypeList = {212,214,213,250,215,292}
temp._templateList = globalData.allTemplates.petTemplateList
temp._showHideBtn:setVisible(false)
temp._showHideBtn:setTouchEnabled(false)
elseif(temp._panelType == globalData.allStaticTypes.petXiaofeiType.ZUOQI) then
temp.actDiscountType = 31
cellNameList = {globalManager.yuyanbaoManager:getYuyanbao("XiaofeiPanel.text7"),
globalManager.yuyanbaoManager:getYuyanbao("XiaofeiPanel.text8"),
globalManager.yuyanbaoManager:getYuyanbao("XiaofeiPanel.text9"),
globalManager.yuyanbaoManager:getYuyanbao("XiaofeiPanel.text10")}
temp.skillList = {3311,3312,3313,3314,3315,3316}
--temp._itemIdList = {101010,101011,101012,160230,160583}
temp._itemTypeList = {216,218,217,250,219,291}
temp._templateList = globalData.allTemplates.xiaofeiTemplateList:getTemplateList(temp._panelType)
temp._showHideBtn:setVisible(false)
temp._showHideBtn:setTouchEnabled(false)
elseif(temp._panelType == globalData.allStaticTypes.petXiaofeiType.CHIBANG) then
temp.actDiscountType = 33
cellNameList = {globalManager.yuyanbaoManager:getYuyanbao("XiaofeiPanel.text11"),
globalManager.yuyanbaoManager:getYuyanbao("XiaofeiPanel.text12"),
globalManager.yuyanbaoManager:getYuyanbao("XiaofeiPanel.text13"),
globalManager.yuyanbaoManager:getYuyanbao("XiaofeiPanel.text14")}
temp.skillList = {3511,3512,3513,3514,3515,3516}
--temp._itemIdList = {101020,101021,101022,160246,160585}
temp._itemTypeList = {226,228,227,250,229,293}
temp._templateList = globalData.allTemplates.xiaofeiTemplateList:getTemplateList(temp._panelType)
temp._showHideBtn:setVisible(false)
temp._showHideBtn:setTouchEnabled(false)
elseif(temp._panelType == globalData.allStaticTypes.petXiaofeiType.SHENBING) then
temp.actDiscountType = 32
cellNameList = {globalManager.yuyanbaoManager:getYuyanbao("XiaofeiPanel.text15"),
globalManager.yuyanbaoManager:getYuyanbao("XiaofeiPanel.text16"),
globalManager.yuyanbaoManager:getYuyanbao("XiaofeiPanel.text17"),
globalManager.yuyanbaoManager:getYuyanbao("XiaofeiPanel.text18")}
temp.skillList = {3411,3412,3413,3414,3415,3416}
--temp._itemIdList = {101015,101016,101017,160254,160586}
temp._itemTypeList = {222,224,223,250,225,294}
temp._templateList = globalData.allTemplates.xiaofeiTemplateList:getTemplateList(temp._panelType)
temp._showHideBtn:setVisible(false)
temp._showHideBtn:setTouchEnabled(false)
elseif(temp._panelType == globalData.allStaticTypes.petXiaofeiType.JINGLING) then
temp.actDiscountType = 35
cellNameList = {globalManager.yuyanbaoManager:getYuyanbao("XiaofeiPanel.text19"),
globalManager.yuyanbaoManager:getYuyanbao("XiaofeiPanel.text20"),
globalManager.yuyanbaoManager:getYuyanbao("XiaofeiPanel.text21"),
globalManager.yuyanbaoManager:getYuyanbao("XiaofeiPanel.text22")}
temp.skillList = {3611,3612,3613,3614,3615,3616}
--temp._itemIdList = {101025,101026,101027,160262,160587}
temp._itemTypeList = {230,232,231,250,233,295}
temp._templateList = globalData.allTemplates.xiaofeiTemplateList:getTemplateList(temp._panelType)
temp._showHideBtn:setVisible(false)
temp._showHideBtn:setTouchEnabled(false)
elseif(temp._panelType == globalData.allStaticTypes.petXiaofeiType.FAZHEN) then
temp.actDiscountType = 37
cellNameList = {globalManager.yuyanbaoManager:getYuyanbao("XiaofeiPanel.text23"),
globalManager.yuyanbaoManager:getYuyanbao("XiaofeiPanel.text24"),
globalManager.yuyanbaoManager:getYuyanbao("XiaofeiPanel.text25"),
globalManager.yuyanbaoManager:getYuyanbao("XiaofeiPanel.text26")}
temp.skillList = {7121,7122,7123,7124,7125,7126}
--temp._itemIdList = {101135,101136,101137,160270,160588}
temp._itemTypeList = {280,282,281,250,283,296}
temp._templateList = globalData.allTemplates.xiaofeiTemplateList:getTemplateList(temp._panelType)
elseif(temp._panelType == globalData.allStaticTypes.petXiaofeiType.LONGHUN) then
temp.actDiscountType = 36
cellNameList = {globalManager.yuyanbaoManager:getYuyanbao("XiaofeiPanel.text27"),
globalManager.yuyanbaoManager:getYuyanbao("XiaofeiPanel.text28"),
globalManager.yuyanbaoManager:getYuyanbao("XiaofeiPanel.text29"),
globalManager.yuyanbaoManager:getYuyanbao("XiaofeiPanel.text30")}
temp.skillList = {7111,7112,7113,7114,7115,7116}
--temp._itemIdList = {101140,101141,101142,160278,160589}
temp._itemTypeList = {284,286,285,250,287,297}
temp._templateList = globalData.allTemplates.xiaofeiTemplateList:getTemplateList(temp._panelType)
end
local skillLen = #temp.skillList
for i = 1,6,1 do
if(skillLen > 0) then
local bg = temp._widget:getChildByName("skill_bg"..i)
local cell = SkillInfoGrid:new(temp._panelType)
cell:setGoodsTempInfo(globalData.allTemplates.skillTemplateList:getSkillTemplate(temp.skillList[i]))
bg:addChild(cell)
table.insert(temp._skillCells,cell)
end
if(i <= 4) then
local bg2 = temp._widget:getChildByName("animaEquip"..i)
local cell2 = FiveEquipInfoGrid:new(1,temp._panelType)
cell2:setPosition(globalManager.ccCreator:newPoint(2,-1))
bg2:addChild(cell2,3)
table.insert(temp._equipCells,cell2)
--	        bg2:setVisible(false)
table.insert(temp._bgCells,bg2)
local nameLabel = bg2:getChildByName("label")
nameLabel:setText(cellNameList[i])
end
end
temp._infoTipPanel = nil
temp._nameLabels = {}
temp._infoLabels = {}
temp._plusLabels = {}
temp._upIcons = {}
for i = 1,6,1 do
table.insert(temp._nameLabels,temp._widget:getChildByName("proName_label"..i))
table.insert(temp._infoLabels,temp._widget:getChildByName("info_label"..i))
table.insert(temp._plusLabels,temp._widget:getChildByName("plus_label"..i))
table.insert(temp._upIcons,temp._widget:getChildByName("up_icon"..i))
end
temp._nameLabel = temp._widget:getChildByName("name_label")
local cellBg = temp._cailiaoPanel:getChildByName("item_panel")
temp._itemCell = BaseGrid:new()
cellBg:addChild(temp._itemCell)
temp._itemNumLabel = temp._cailiaoPanel:getChildByName("itemNum_label")
local cellBg1 = temp._cailiaoPanel:getChildByName("wishCardItem")
temp._itemCell1 = BaseGrid:new()
cellBg1:addChild(temp._itemCell1)
temp._wishCardNumLabel = temp._cailiaoPanel:getChildByName("wishCardNum")
temp.wishBtn = temp._cailiaoPanel:getChildByName("wish_btn")
temp.wishBtnLabel = temp.wishBtn:getChildByName("btnLabel")
temp._autoBuyCheck = temp._cailiaoPanel:getChildByName("autoBuy_check")
temp._zhufuBar = temp._widget:getChildByName("zhufu_bar")
temp._zhufuLabel = temp._widget:getChildByName("zhufu_label")
temp._autoBtn = temp._widget:getChildByName("start_btn")
temp._speedUp_img = temp._widget:getChildByName("speedUp_img")
temp._discount_label = temp._speedUp_img:getChildByName("discount_label")
temp._moneyIcon = temp._autoBtn:getChildByName("moneyIcon")
temp._moneyLabel = temp._autoBtn:getChildByName("moneyLabel")
-- if(panelType == globalData.allStaticTypes.petXiaofeiType.ZUOQI or panelType == globalData.allStaticTypes.petXiaofeiType.CHONGWU or panelType == globalData.allStaticTypes.petXiaofeiType.CHIBANG)then
temp._autoBtn:setPositionX(822)
-- else
--    temp._autoBtn:setPositionX(762)
-- end
temp._btnLabel = temp._autoBtn:getChildByName("btnLabel")
local level = 0
if(panelType == globalData.allStaticTypes.petXiaofeiType.CHONGWU) then
level = globalData.newModuleLevelConfig.petLevel
elseif(panelType == globalData.allStaticTypes.petXiaofeiType.ZUOQI) then
level = globalData.newModuleLevelConfig.riderLevel
elseif(panelType == globalData.allStaticTypes.petXiaofeiType.CHIBANG) then
level = globalData.newModuleLevelConfig.wingLevel
elseif(panelType == globalData.allStaticTypes.petXiaofeiType.SHENBING) then
level = globalData.newModuleLevelConfig.weaponLevel
elseif(panelType == globalData.allStaticTypes.petXiaofeiType.JINGLING) then
level = globalData.newModuleLevelConfig.spriteLevel
elseif(panelType == globalData.allStaticTypes.petXiaofeiType.FAZHEN) then
level = globalData.newModuleLevelConfig.fazhenLevel
elseif(panelType == globalData.allStaticTypes.petXiaofeiType.LONGHUN) then
level = globalData.newModuleLevelConfig.longhunLevel
end
if(level > globalData.selfPlayerInfo.level) then
temp._autoBtn:setTouchEnabled(false)
temp._autoBtn:loadTextureNormal("btn/ui_tabBtn1_5.png",1)
temp._widget:getChildByName("levelTipLabel"):setText(string.format(globalManager.yuyanbaoManager:getYuyanbao("XiaofeiPanel.text48"),level))
--temp._widget:getChildByName("Label_61597_Copy9"):setEnabled(false)
else
temp._widget:getChildByName("levelTipLabel"):setEnabled(false)
end
--三打屏蔽祝福
temp._widget:getChildByName("Label_61597_Copy9"):setEnabled(false)
temp._widget:getChildByName("Label_61597_Copy9"):setVisible(false)
temp._item1Icon = temp._widget:getChildByName("item1_icon")
temp._item1Icon:loadTexture("icon/ui_xiaofei"..panelType.."1.png",1)
temp._num1Label = temp._item1Icon:getChildByName("num_label")
temp._num1Bg = temp._item1Icon:getChildByName("num_bg")
temp._up1Icon = temp._item1Icon:getChildByName("up_icon")
temp._item1Label = temp._item1Icon:getChildByName("item_label")
temp._item2Icon = temp._widget:getChildByName("item2_icon")
temp._item2Icon:loadTexture("icon/ui_xiaofei"..panelType.."2.png",1)
temp._num2Label = temp._item2Icon:getChildByName("num_label")
temp._num2Bg = temp._item2Icon:getChildByName("num_bg")
temp._up2Icon = temp._item2Icon:getChildByName("up_icon")
temp._item2Label = temp._item2Icon:getChildByName("item_label")
temp._item3Icon = temp._widget:getChildByName("item3_icon")
temp._item3Icon:loadTexture("icon/ui_xiaofei"..panelType.."3.png",1)
temp._num3Label = temp._item3Icon:getChildByName("num_label")
temp._num3Bg = temp._item3Icon:getChildByName("num_bg")
temp._up3Icon = temp._item3Icon:getChildByName("up_icon")
temp._item3Label = temp._item3Icon:getChildByName("item_label")
temp._rateLabel = temp._item3Icon:getChildByName("rate_label")
temp._item1Icon:setVisible(false)
temp._item2Icon:setVisible(false)
temp._item3Icon:setVisible(false)
temp._item1Icon:setEnabled(false)
temp._item2Icon:setEnabled(false)
temp._item3Icon:setEnabled(false)
temp._huanhuaBtn = temp._widget:getChildByName("huanhua_btn")
temp._newTip = temp._widget:getChildByName("new_tip")
temp._newTip:setVisible(false)
temp._autoBtn:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("XiaofeiPanel.text40"))
temp._newTip:getChildByName("Label_445801"):setText(globalManager.yuyanbaoManager:getYuyanbao("XiaofeiPanel.text46"))
temp._huanhuaBtn:getChildByName("btnLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("XiaofeiPanel.text47"))
temp._autoBuyCheck:getChildByName("Label_61632"):setText(globalManager.yuyanbaoManager:getYuyanbao("EquipStrengthView.text6"))
temp._speedUp_img:getChildByName("speedUpLabel"):setText(globalManager.yuyanbaoManager:getYuyanbao("XiaofeiPanel.text55"))
temp._widget:getChildByName( "Label_931905"):setText(globalManager.yuyanbaoManager:getYuyanbao("XiaofeiPanel.text57"))
temp.needNum = 0
temp.itemNum = 0
temp.wishNumCount = 0
temp.success = 0
temp.currentStage = -1
temp.qiannengCount = 0
temp.chengzhangCount = 0
temp.feiShengCount = 0
temp.currentInfo = nil
temp._info = nil
temp.nextInfo = nil
temp.expInfo = nil
temp._oldZhuFu = 0
temp._itemPrice1 = nil
temp._itemPrice2 = nil
temp._isAuto = false
temp.time = 0
temp._oldStage = 0
temp._suitStage = 0
temp._bookCount = 0
temp.qiannengNum = 0
temp.chengzhangNum = 0
temp.feishengNum = 0
temp.huaxingPanel = nil
temp._countDownLabel = nil
temp.flag = 0
temp._skillLevel = nil
temp._upSkillTemplate = nil
temp.huaxingEffect = nil
return temp
end)
function XiaofeiPanel:getJingLianInfo()
self._controller.module.message:sendGetJingLianInfo(self._panelType)
end
function XiaofeiPanel:setInfo(info)
self._info = info
--self._huaXingIcon:setVisible(false)        --- 屏蔽坐骑幻化
--self._huaXingIcon:setTouchEnabled(false)   --- 屏蔽坐骑幻化
if(self._info == nil) then return end
self._oldStage = self._info.stage
self:stageUpdate(self._info)
self:infoUpdate(self._info)
self:equipUpdate()
self:setStage(self._info.stage)
self:initEvent()
self:updateItemNum()
if(self.huaxingEffect ~= nil)then
self.huaxingEffect:dispose()
self.huaxingEffect = nil
end
if(self:checkHuaxingTip())then
if(self.huaxingEffect == nil) then
self.huaxingEffect = globalManager.effectCreator:create(38)
self.huaxingEffect:play()
self._huaXingIcon:addNode(self.huaxingEffect,102)
end
self._huaXingTip:setVisible(true)
else
self._huaXingTip:setVisible(false)
end
if(globalManager.commonUtils:getIndexOfTable(globalData.allTemplates.openTemplateList.typeList,self.actDiscountType) ~= -1)then
self._act_img:setVisible(true)
if(self._countDownLabel == nil)then
self._countDownLabel = CountDownLabel:new(self._time_label,4,nil,nil,0)
local function endCallBack()
if(self._countDownLabel ~= nil)then
self._countDownLabel:dispose()
self._countDownLabel = nil
end
self._act_img:setVisible(false)
self._time_label = nil
self._speedUp_img:setVisible(false)
self._discount_label:setStringValue("")
end
local todaySystemTime = globalData.systemDateInfo:getZeroPassTime()
self._countDownLabel:start(3600 * 24 - todaySystemTime,endCallBack,self)
end
else
self._act_img:setVisible(false)
end
end
function XiaofeiPanel:checkHuaxingTip()
local infoList   = {}
local jinHuaList = {}
local huaXingList= {}
if(self._panelType == globalData.allStaticTypes.petXiaofeiType.ZUOQI)then
infoList = globalData.allTemplates.huaxingTemplateList.riderList
jinHuaList  = globalData.riderItemInfo.jinHuaList
huaXingList = globalData.riderItemInfo.huaXing
elseif(self._panelType == globalData.allStaticTypes.petXiaofeiType.CHONGWU)then
infoList = globalData.allTemplates.huaxingTemplateList.petList
jinHuaList  = globalData.petItemInfo.jinHuaList
huaXingList = globalData.petItemInfo.huaXing
elseif(self._panelType == globalData.allStaticTypes.petXiaofeiType.CHIBANG)then
infoList = globalData.allTemplates.huaxingTemplateList.wingList
jinHuaList  = globalData.wingItemInfo.jinHuaList
huaXingList = globalData.wingItemInfo.huaXing
end
for id,info in pairs(infoList) do
local index = globalManager.commonUtils:getIndexOfTable(huaXingList,info.id)
if(index == -1)then
local goodsNum     = globalData.goodsInfoList:getGoodsCount(info.itemList[1][1],1)
local templateInfo = globalData.allTemplates.huaxingTemplateList:getInfoByTypeAndId(self._panelType,info.id)
if(goodsNum >= info.itemList[1][2])then
return true
end
else
local tempList = globalData.allTemplates.huaXingStarTemplateList:getTemplateByidAndType(info.id,self._panelType)
local tempInfo = nil
if(jinHuaList[info.id] == nil or jinHuaList[info.id] == 0)then
for __,info in pairs(tempList) do
if(info.level == 1)then
tempInfo = info
end
end
local goodsNum     = globalData.goodsInfoList:getGoodsCount(tempInfo.amountList[1][1],1)
local templateInfo = globalData.allTemplates.huaxingTemplateList:getInfoByTypeAndId(self._panelType,info.id)
if(goodsNum >= tempInfo.amountList[1][2])then
return true
end
else
for __,info in pairs(tempList) do
if(info.level == jinHuaList[info.templateId] + 1)then
tempInfo = info
end
end
if(jinHuaList[info.id] < 5)then
local goodsNum = globalData.goodsInfoList:getGoodsCount(tempInfo.amountList[1][1],1)
if(goodsNum >= tempInfo.amountList[1][2])then
return true
end
end
end
end
end
return false
end
function XiaofeiPanel:initEvent()
local showPanelTouchHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED or eventType == TOUCH_EVENT_CANCELED) then
local offsetX = sender:getTouchEndPos().x - sender:getTouchStartPos().x
local level = self._info.stage
level = math.ceil(level/10) * 10
local curPage = math.ceil(self.currentStage/10) * 10
if(offsetX > 50 and curPage > 10) then
if(level == curPage - 10)then
self:setStage(self._info.stage)
else
if(level > curPage - 10)then
self:setStage(curPage - 10)
else
self:setStage(curPage - 19)
end
end
elseif(offsetX < -50 and curPage < self.MAXSTAGE) then
if(level == curPage + 10)then
self:setStage(self._info.stage)
else
if(level > curPage + 10)then
self:setStage(curPage + 10)
else
self:setStage(curPage + 1)
end
end
end
end
end
local pageBtnClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED)then
local level = self._info.stage
level = math.ceil(level/10) * 10
local curPage = math.ceil(self.currentStage/10) * 10
if(sender == self._leftIcon and curPage > 10)then
if(level == curPage - 10)then
self:setStage(self._info.stage)
else
if(level > curPage - 10)then
self:setStage(curPage - 10)
else
self:setStage(curPage - 19)
end
end
elseif(sender == self._rightIcon and curPage < self.MAXSTAGE)then
if(level == curPage + 10)then
self:setStage(self._info.stage)
else
if(level > curPage + 10)then
self:setStage(curPage + 10)
else
self:setStage(curPage + 1)
end
end
end
end
end
local qiannengClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(self._info.qianneng < self.currentInfo.maxQianNeng) then
self._controller.module.message:sendCzQnFs(2,self._panelType,self.qiannengNum)
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("XiaofeiPanel.text31"))
end
end
end
local chengzhangClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(self._info.chengzhang < self.currentInfo.maxChengZhang) then
self._controller.module.message:sendCzQnFs(1,self._panelType,self.chengzhangNum)
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("XiaofeiPanel.text32"))
end
end
end
local feishengClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(self._info.feisheng < self.currentInfo.maxFeiSheng) then
self._controller.module.message:sendCzQnFs(3,self._panelType,self.feishengNum)
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("XiaofeiPanel.text52"))
end
end
end
local panelCloseHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
local parent = self:getParent()
if(parent ~= nil) then
parent:close()
end
end
end
local item1ClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
if(not sender:isVisible()) then return end
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
globalManager.tipsManager:showGoodsTemplate(globalData.allTemplates.goodsTemplateList:getTemplate(self._itemIdList[2]))
end
end
local item2ClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
if(not sender:isVisible()) then return end
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
globalManager.tipsManager:showGoodsTemplate(globalData.allTemplates.goodsTemplateList:getTemplate(self._itemIdList[3]))
end
end
local item3ClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
if(not sender:isVisible()) then return end
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
globalManager.tipsManager:showGoodsTemplate(globalData.allTemplates.goodsTemplateList:getTemplate(self._itemIdList[5]))
end
end
local suitIconClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalManager.tipsManager:showFiveEquipSuitTip(self._suitStage,self._panelType)
end
end
local huanhuaClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
globalData.messageAdder:changeHuanhua(self._panelType,self.currentStage)
end
end
local huaXingClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
if(self._panelType == globalData.allStaticTypes.petXiaofeiType.ZUOQI)then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.huaXingTab,globalData.allStaticTypes.panelTabType.riderHuaXing)
elseif(self._panelType == globalData.allStaticTypes.petXiaofeiType.CHONGWU)then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.huaXingTab,globalData.allStaticTypes.panelTabType.petHuaXing)
elseif(self._panelType == globalData.allStaticTypes.petXiaofeiType.CHIBANG)then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.huaXingTab,globalData.allStaticTypes.panelTabType.wingHuaXing)
end
end
end
local talentBtnClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
if(self._panelType == globalData.allStaticTypes.petXiaofeiType.ZUOQI)then
--globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab7)
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab7,globalData.allStaticTypes.panelTabType.riderTalent)
elseif(self._panelType == globalData.allStaticTypes.petXiaofeiType.CHONGWU)then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab7,globalData.allStaticTypes.panelTabType.petTanlent)
end
end
end
local wishBtnClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
if(self.flag == 1)then
if(globalData.selfPlayerInfo.level >= globalData.newModuleLevelConfig.openLevel)then
globalData.uiPanelContainer:initTabs({globalData.allStaticTypes.panelTabType.open},globalData.allStaticTypes.panelTabType.open)
if(globalData.uiPanelContainer:getCurrentPanel() ~= nil)then
globalData.uiPanelContainer:getCurrentPanel():jumpToTab(25)
end
end
elseif(self.flag == 2)then
if(self._info.stage >= self.MAXSTAGE) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("XiaofeiPanel.text33"))
elseif(self._info.stage < 7)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("XiaofeiPanel.text49"))
else
globalData.messageAdder:useBless(self._panelType)
end
end
end
end
local autoClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
self:autoUpdateStage()
end
end
for __,cell in pairs(self._skillCells) do
cell:setClickHandler(self,self.showSkillTip)
end
self._leftIcon:addTouchEventListener(pageBtnClickHandler)
self._rightIcon:addTouchEventListener(pageBtnClickHandler)
self._showPanel:addTouchEventListener(showPanelTouchHandler)
self._up1Icon:addTouchEventListener(qiannengClickHandler)
self._up2Icon:addTouchEventListener(chengzhangClickHandler)
self._up3Icon:addTouchEventListener(feishengClickHandler)
self._autoBtn:addTouchEventListener(autoClickHandler)
self._panelCloseBtn:addTouchEventListener(panelCloseHandler)
self._item1Icon:addTouchEventListener(item1ClickHandler)
self._item2Icon:addTouchEventListener(item2ClickHandler)
self._item3Icon:addTouchEventListener(item3ClickHandler)
--self._suitIcon:addTouchEventListener(suitIconClickHandler)
self._huanhuaBtn:addTouchEventListener(huanhuaClickHandler)
self._huaXingIcon:addTouchEventListener(huaXingClickHandler)
self._talentBtn:addTouchEventListener(talentBtnClickHandler)
self.wishBtn:addTouchEventListener(wishBtnClickHandler)
globalData.goodsInfoList:addEventListener(globalData.globalEventType.playerInfo_itemUpdate,self.updateItemNum,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.openRiderHuaXingPanel,self.showRiderHuaXingPanelHandler,self)
end
function XiaofeiPanel:removeEvent()
globalData.goodsInfoList:removeEventListener(globalData.globalEventType.playerInfo_itemUpdate,self.updateItemNum,self)
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.openRiderHuaXingPanel,self.showRiderHuaXingPanelHandler,self)
end
function XiaofeiPanel:autoCheckUpAndJump()
if(globalManager.playerInfoTester:checkRiderUpTime())then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab4,globalData.allStaticTypes.panelTabType.rider)
return
elseif(globalManager.playerInfoTester:checkPetUpTime())then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab4,globalData.allStaticTypes.panelTabType.pet)
return
elseif(globalManager.playerInfoTester:checkWingUpTime())then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab4,globalData.allStaticTypes.panelTabType.wing)
return
elseif(globalManager.playerInfoTester:checkGodUpTime())then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab4,globalData.allStaticTypes.panelTabType.god)
return
elseif(globalManager.playerInfoTester:checkSpriteUpTime())then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab4,globalData.allStaticTypes.panelTabType.sprite)
return
elseif(globalManager.playerInfoTester:checkFazhenUpTime())then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab4,globalData.allStaticTypes.panelTabType.fazhen)
return
elseif(globalManager.playerInfoTester:checkLonghunUpTime())then
globalData.uiPanelContainer:initTabs(globalData.allStaticTypes.panelTabType.tab4,globalData.allStaticTypes.panelTabType.longhun)
return
end
end
function XiaofeiPanel:autoUpdateStage()
local payHandler = function()
self._controller.module.message:sendAdvance(self._panelType,true)
end
globalManager.soundManager:playSound(globalManager.soundManager.BTN)
if(self.currentInfo == nil) then
if(self._panelType == globalData.allStaticTypes.petXiaofeiType.FAZHEN) then
globalData.messageAdder:sendActiveFazhen()
elseif(self._panelType == globalData.allStaticTypes.petXiaofeiType.LONGHUN) then
globalData.messageAdder:sendActiveLonghun()
end
else
if(self._info.stage >= self.MAXSTAGE) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("XiaofeiPanel.text33"))
return
end
local systemTime = math.floor(globalData.systemDateInfo:getSystemTime()*0.001)
local time = self._info.wishDate
local upStarTime = self.currentInfo.upStarTime
local surplus = upStarTime + time - systemTime
if(surplus > 0) then
local moneyCount = math.ceil(surplus/globalData.allStaticTypes.petXiaofeiType.XIAOFEI_PRICE_TIME)--时间价格
if(globalManager.commonUtils:getIndexOfTable(globalData.allTemplates.openTemplateList.typeList,self.actDiscountType) ~= -1)then
moneyCount = math.ceil(moneyCount * self.currentInfo.discount)
end
if(globalData.selfPlayerInfo.moneyInfo.gold < moneyCount) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("common.btnlabel11"))
return
end
local content = string.format(globalManager.yuyanbaoManager:getYuyanbao("XiaofeiPanel.text34"),moneyCount)
Alert:new():show(2,content,globalManager.noAlertUtils.XIAOFEI_SEHNGXING,0,self,payHandler)
else
self._controller.module.message:sendAdvance(self._panelType,false)
end
end
end
function XiaofeiPanel:showRiderHuaXingPanelHandler()
if(self.huaxingPanel == nil)then
self.huaxingPanel = HuaXingPanel:new(self,self._panelType)
end
end
function XiaofeiPanel:showSkillTip(grid)
local panelClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
if(self._infoTipPanel ~= nil) then
self._infoTipPanel:dispose()
self._infoTipPanel = nil
end
end
end
local upClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
--发送升级协议
if(self._infoTipPanel ~= nil) then
if(self._skillLevel > 0 and self._skillLevel <= 5) then
if(self._panelType == globalData.allStaticTypes.petXiaofeiType.CHONGWU) then
globalData.messageAdder:updatePetSkill(self._upSkillTemplate.templateId,self._skillLevel + 1)
elseif(self._panelType == globalData.allStaticTypes.petXiaofeiType.ZUOQI) then
globalData.messageAdder:updateXiaofeiSkill(self._panelType,self._upSkillTemplate.templateId,self._skillLevel + 1)
elseif(self._panelType == globalData.allStaticTypes.petXiaofeiType.CHIBANG) then
globalData.messageAdder:updateXiaofeiSkill(self._panelType,self._upSkillTemplate.templateId,self._skillLevel + 1)
elseif(self._panelType == globalData.allStaticTypes.petXiaofeiType.SHENBING) then
globalData.messageAdder:updateXiaofeiSkill(self._panelType,self._upSkillTemplate.templateId,self._skillLevel + 1)
elseif(self._panelType == globalData.allStaticTypes.petXiaofeiType.JINGLING) then
globalData.messageAdder:updateXiaofeiSkill(self._panelType,self._upSkillTemplate.templateId,self._skillLevel + 1)
elseif(self._panelType == globalData.allStaticTypes.petXiaofeiType.FAZHEN) then
globalData.messageAdder:updateXiaofeiSkill(self._panelType,self._upSkillTemplate.templateId,self._skillLevel + 1)
elseif(self._panelType == globalData.allStaticTypes.petXiaofeiType.LONGHUN) then
globalData.messageAdder:updateXiaofeiSkill(self._panelType,self._upSkillTemplate.templateId,self._skillLevel + 1)
end
end
self._infoTipPanel:dispose()
self._infoTipPanel = nil
end
end
end
self._skillLevel = grid:getLevel()
self._upSkillTemplate = grid:getGoodsTempInfo()
self._infoTipPanel = XiaofeiSkillTipPanel:new()
self._infoTipPanel:setSkillInfo(grid:getGoodsTempInfo(),globalManager.commonUtils:getIndexOfTable(self._skillCells,grid)*globalData.allTemplates.xiaofeiTemplateList.STAGE_PRE_STAR + 1,self._panelType,nil,grid:getLevel())
self:addChild(self._infoTipPanel)
self._infoTipPanel:addTouchEventListener(panelClickHandler)
if(grid:getIsCanLevelUp())then
self._infoTipPanel.upBtn:addTouchEventListener(upClickHandler)
self._infoTipPanel.upBtn:setEnabled(true)
end
end
function XiaofeiPanel:timeCallBack()
globalManager.tickManager:removeTick(self.infoTick,self)
self._zhufuBar:setPercent(100)
self._moneyIcon:setVisible(false)
if(self.currentInfo.templateId < self.MAXSTAGE) then
self._zhufuLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("XiaofeiPanel.text53"))
self._btnLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("XiaofeiPanel.text54"))
else
self._zhufuLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("XiaofeiPanel.text33"))
self._btnLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("XiaofeiPanel.text33"))
end
self._moneyLabel:setText("")
self._btnLabel:setPositionX(0)
self._speedUp_img:setVisible(false)
self._discount_label:setStringValue("")
end
function XiaofeiPanel:infoTick()
if(self.currentInfo ~= nil and self.currentInfo.templateId < self.MAXSTAGE) then
local systemTime = math.floor(globalData.systemDateInfo:getSystemTime()*0.001)
local time = self._info.wishDate
local upStarTime = self.currentInfo.upStarTime
local surplus = upStarTime + time - systemTime
if(surplus > 0) then
if self.time == surplus then return end
self.time = surplus
self._zhufuLabel:setText(globalData.systemDateInfo:secondsToDateString(self.time))
self._moneyIcon:setVisible(true)
local moneyCount = math.ceil(surplus/globalData.allStaticTypes.petXiaofeiType.XIAOFEI_PRICE_TIME)--时间价格
if(globalManager.commonUtils:getIndexOfTable(globalData.allTemplates.openTemplateList.typeList,self.actDiscountType) ~= -1)then
moneyCount = math.ceil(moneyCount * self.currentInfo.discount)
self._speedUp_img:setVisible(true)
self._discount_label:setStringValue(self.currentInfo.discount*10)
self._btnLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("XiaofeiPanel.text56"))
else
self._btnLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("XiaofeiPanel.text41"))
self._speedUp_img:setVisible(false)
self._discount_label:setStringValue("")
end
self._moneyLabel:setText(moneyCount)
self._btnLabel:setPositionX(-50)
self._zhufuBar:setPercent(math.max(0, math.min(100,math.floor((upStarTime-surplus) * 100 / upStarTime))))
else
self:timeCallBack()
end
else
self:timeCallBack()
end
end
--信息更新
function XiaofeiPanel:infoUpdate(infor)
if(self.currentInfo == nil) then return end
--战力更新
self._fightLabel:setStringValue(self._info.fight)
self:setProperty(infor)
globalManager.tickManager:addTick(self.infoTick,self)
self:skillUpdate()
end
--技能更新
function XiaofeiPanel:skillUpdate()
if(#self.skillList > 0 and self._info.skillList ~= nil) then
for i = 1,6,1 do
local skillLevel = self._info.skillList[self.skillList[i]]
self._skillCells[i]:setLevel(skillLevel)
end
end
end
--品阶更新
function XiaofeiPanel:stageUpdate(infor)
self.currentInfo = self._templateList:getTemplate(self._info.stage)
-- if(( self._panelType == globalData.allStaticTypes.petXiaofeiType.ZUOQI or self._panelType == globalData.allStaticTypes.petXiaofeiType.CHONGWU ) and self._info.stage >= 4) then
-- 	self._talentBtn:setEnabled(true)
-- 	self._autoBtn:setPositionX(853)
-- else
-- 	self._talentBtn:setEnabled(false)
-- 	self._autoBtn:setPositionX(765)
-- end
--self._talentBtn:setEnabled(false) --屏蔽天赋
--self._autoBtn:setPositionX(765)
self.nextInfo = nil
if(self.currentInfo ~= nil and self.currentInfo.templateId < self.MAXSTAGE) then
local len = #self.currentInfo.baseAttrs
self.nextInfo = self._templateList:getTemplate(self._info.stage + 1)
for i = 1,len,1 do
self._plusLabels[i]:setText(self.nextInfo.baseAttrs[i].propertyValue - self.currentInfo.baseAttrs[i].propertyValue)
end
self.needNum = self.currentInfo.needItemCount
else
for i = 1,6,1 do
self._plusLabels[i]:setEnabled(false)
self._upIcons[i]:setEnabled(false)
end
if(self.currentInfo == nil) then
self.needNum = self.ATIVENUM
else
self.needNum = 0
end
end
self:setProperty(infor)
if(self.currentStage == self._info.stage) then
self._activitionIcon:setEnabled(false)
else
self:setStage(self._info.stage)
end
if(#self._skillCells > 0) then
--   for j = 1,6,1 do
-- self._skillCells[j]:setGray(self._info.stage < j*globalData.allTemplates.xiaofeiTemplateList.STAGE_PRE_STAR + 1)
--   end
self:skillUpdate()
end
--    if(self._info.stage > 2) then
--        self._item1Icon:setVisible(true)
--        self._item2Icon:setVisible(true)
--        self._newTip:setVisible(false)
--        for i = 1,4,1 do
--        	self._bgCells[i]:setVisible(true)
--        end
--    end
if(self._info.stage > self._oldStage) then
local updateEffect = globalManager.effectCreator:create(35)
updateEffect:move2(self._widget,220,-450)
updateEffect:play()
self._widget:addNode(updateEffect,100)
self._oldStage = self._info.stage
end
self:huanhuaUpdate()
end
function XiaofeiPanel:setProperty(infor)
if(self.currentInfo == nil) then
local nextInfo = self._templateList:getTemplate(self._info.stage + 1)
local len = #nextInfo.baseAttrs
local fight = 0
for i = 1,len,1 do
self._infoLabels[i]:setText(tostring(nextInfo.baseAttrs[i].propertyValue))
fight = fight + globalData.allStaticTypes.propertyType:fightCalculate(nextInfo.baseAttrs[i].propertyId,nextInfo.baseAttrs[i].propertyValue)
end
self._fightLabel:setStringValue(tostring(math.floor(fight)))
return
end
--从两个表中取前5个值，最后一个取第二个表中对应ID存在的值
local len = #self.currentInfo.baseAttrs
if infor ~= nil then
for i = 1,len do
self._infoLabels[i]:setText(tostring(infor.valueList[self._idList[i]]))
end
for k, v in pairs(self._differentList) do
if infor.valueList[v] then
self._infoLabels[6]:setText(tostring(infor.valueList[v]))
end
end
end
end
function XiaofeiPanel:updateItemNum()
self.itemNum = 0
self.qiannengCount = 0
self.chengzhangCount = 0
self.feiShengCount = 0
self.wishNumCount = 0
self._bookCount = 0
local itemList = globalData.goodsInfoList:getGoodsList(1)
for __,value in pairs(itemList) do
local tempInfo = value:getTemplate()
if(value ~= nil and not value:outOfDate()) then
if(value:getTemplateId() == 150020) then
self._bookCount = self._bookCount + value.count
end
end
end
self:skillUpdate()
end
function XiaofeiPanel:checkQianNengAndChengZhang()
--潜能丹进阶
if(self.currentInfo ~= nil and self._info.qianneng < self.currentInfo.maxQianNeng and self.qiannengCount > 0) then
self.qiannengNum = math.min((self.currentInfo.maxQianNeng - self._info.qianneng),self.qiannengCount)
self._num1Label:setText(tostring(self.qiannengNum))
self._num1Label:setEnabled(true)
self._num1Bg:setEnabled(true)
self._up1Icon:setEnabled(true)
else
self._num1Label:setEnabled(false)
self._num1Bg:setEnabled(false)
self._up1Icon:setEnabled(false)
end
--悟性丹进阶
if(self.currentInfo ~= nil and self._info.chengzhang < self.currentInfo.maxChengZhang and self.chengzhangCount > 0) then
self.chengzhangNum = math.min((self.currentInfo.maxChengZhang - self._info.chengzhang),self.chengzhangCount)
self._num2Label:setText(tostring(self.chengzhangNum))
self._num2Label:setEnabled(true)
self._num2Bg:setEnabled(true)
self._up2Icon:setEnabled(true)
else
self._num2Label:setEnabled(false)
self._num2Bg:setEnabled(false)
self._up2Icon:setEnabled(false)
end
--飞升丹进阶
if(self.currentInfo ~= nil and self._info.feisheng < self.currentInfo.maxFeiSheng and self.feiShengCount > 0) then
self.feishengNum = math.min((self.currentInfo.maxFeiSheng - self._info.feisheng),self.feiShengCount)
self._num3Label:setText(tostring(self.feishengNum))
self._num3Label:setEnabled(true)
self._num3Bg:setEnabled(true)
self._up3Icon:setEnabled(true)
else
self._num3Label:setEnabled(false)
self._num3Bg:setEnabled(false)
self._up3Icon:setEnabled(false)
end
if(self._info.feisheng > 0)then
self._rateLabel:setText(globalManager.yuyanbaoManager:getYuyanbao("PanelTabGroupType.text2") .. "+" .. self._info.feisheng * 0.1 .."%")
self._rateLabel:setVisible(true)
else
self._rateLabel:setVisible(false)
end
end
--设置预览品阶
function XiaofeiPanel:setStage(stage)
local isHas = true
if(stage == 0) then
stage = 1
isHas = false
end
if(self.currentStage == stage) then return end
if( math.ceil(stage) > math.ceil(self._info.stage) + globalData.allTemplates.xiaofeiTemplateList.STAGE_PRE_STAR * 2) then return end
if(math.floor(stage) == math.floor(self._info.stage) + globalData.allTemplates.xiaofeiTemplateList.STAGE_PRE_STAR * 2) then
globalManager.commonUtils:setImgColorGrey(self._rightIcon)
else
globalManager.commonUtils:setImgColorNormal(self._rightIcon)
end
self.currentStage = stage
self._leftIcon:setEnabled(stage > 10)
self._rightIcon:setEnabled(stage <= self.MAXSTAGE - 10)
local showStage = math.ceil(stage / globalData.allTemplates.xiaofeiTemplateList.STAGE_PRE_STAR)
if(showStage > 10) then
self.stage_iconbg:setVisible(false)
self.stage_iconbg2:setVisible(true)
self.stage_label2:setVisible(true)
self.stage_label3:setVisible(true)
self._stageLabel:setVisible(false)
self.stage_label2:setStringValue(showStage - 11)
else
self.stage_iconbg:setVisible(true)
self.stage_iconbg2:setVisible(false)
self.stage_label2:setVisible(false)
self.stage_label3:setVisible(false)
self._stageLabel:setVisible(true)
self._stageLabel:setStringValue(showStage - 1)
end
local tempInfo = self._templateList:getTemplate(stage)
self._nameLabel:setText(tempInfo.name)
self._nameLabel:setColor(globalData.allStaticTypes.colorType:getColorByQuality(tempInfo.quality))
local level = ((stage - 1) % globalData.allTemplates.xiaofeiTemplateList.STAGE_PRE_STAR) + 1
for i = 1,globalData.allTemplates.xiaofeiTemplateList.STAGE_PRE_STAR,1 do
if(i <= level) then
self._levelLabels[i]:setColor(globalData.allStaticTypes.colorType:getColorByQuality(tempInfo.quality))
else
self._levelLabels[i]:setColor(globalData.allStaticTypes.colorType.COLORGRAY)
end
end
self:showCharacter(stage,tempInfo)
-- if(self._panelType ~= 4)then
--     self:fadeOut(stage,tempInfo)
-- end
self._activitionIcon:setEnabled(isHas and stage > self._info.stage)
self:huanhuaUpdate()
end
function XiaofeiPanel:huanhuaUpdate()
if(self.currentStage == self._info.huanhua or self.currentStage > self._info.stage or (self._info.huanhua == 0 and self.currentStage == self._info.stage)) then
self._huanhuaBtn:setVisible(false)
self._huanhuaBtn:setTouchEnabled(false)
else
self._huanhuaBtn:setVisible(true)
self._huanhuaBtn:setTouchEnabled(true)
end
end
function XiaofeiPanel:showCharacter(stage,info)
end
--装备更新
function XiaofeiPanel:equipUpdate()
if(self.currentInfo == nil) then
--		globalManager.commonUtils:setImgColorGrey(self._suitIcon)
return
end
self._suitStage = 999
local levelInfo
local list = globalData.fiveEquipList:getEquipList(self._panelType)
self._equipValueList = {}
for i = 1,4,1 do
if(list[i] ~= nil) then
self._equipCells[i]:setInfo(list[i])
if(self._suitStage > list[i].stage) then
self._suitStage = list[i].stage
end
else
self._equipCells[i]:setInfo(nil)
self._suitStage = 0
end
end
--	if(self._suitStage == 0) then
--		globalManager.commonUtils:setImgColorGrey(self._suitIcon)
--	end
end
function XiaofeiPanel:hideHuaXingPanel()
if(self.huaxingPanel ~= nil)then
self.huaxingPanel:dispose()
self.huaxingPanel = nil
end
end
function XiaofeiPanel:dispose()
globalManager.tickManager:removeTick(self.infoTick,self)
if(self._countDownLabel ~= nil)then
self._countDownLabel:dispose()
self._countDownLabel = nil
end
self:removeEvent()
self:hideHuaXingPanel()
self._controller = nil
self._panelType  = nil
self._cailiaoPanel = nil
self._info = nil
self.skillList = nil
self._panelCloseBtn = nil
self._bgImage = nil
self._levelLabels = nil
self._activitionIcon = nil
self._rightIcon = nil
self._leftIcon = nil
self._showPanel = nil
self._fightLabel = nil
self._stageLabel = nil
self.stage_iconbg = nil
self.stage_iconbg2 = nil
self.stage_label2 = nil
self.stage_label3 = nil
if(self._infoTipPanel ~= nil) then
self._infoTipPanel:dispose()
self._infoTipPanel = nil
end
self._nameLabels = nil
self._infoLabels = nil
self._plusLabels = nil
self._upIcons = nil
self._nameLabel = nil
if(self._itemCell ~= nil) then
self._itemCell:dispose()
self._itemCell = nil
end
self._itemNumLabel = nil
if(self._itemCell1 ~= nil) then
self._itemCell1:dispose()
self._itemCell1 = nil
end
self._wishCardNumLabel = nil
self.wishBtn = nil
self.wishBtnLabel = nil
self._autoBuyCheck = nil
self._zhufuBar = nil
self._zhufuLabel = nil
self._autoBtn = nil
self._btnLabel = nil
if(self._skillCells ~= nil) then
for __,cell in pairs(self._skillCells) do
cell:dispose()
cell = nil
end
self._skillCells = nil
end
if(self._equipCells ~= nil) then
for __,cell in pairs(self._equipCells) do
cell:dispose()
end
self._equipCells = nil
end
self.actDiscountType = nil
self._templateList = nil
self._item1Icon = nil
self._num1Label = nil
self._num1Bg = nil
self._up1Icon = nil
self._item1Label = nil
self._item2Icon = nil
self._num2Label = nil
self._num2Bg = nil
self._up2Icon = nil
self._item2Label = nil
self._item3Icon = nil
self._num3Label = nil
self._num3Bg = nil
self._up3Icon = nil
self._item3Label = nil
self._rateLabel = nil
self._huanhuaBtn = nil
self._newTip = nil
self._showHideBtn = nil
self.time = nil
self._bookCount = nil
self._itemIdList = nil
self._itemTypeList = nil
self._bgCells = nil
self._suitIcon = nil
self.currentInfo = nil
self.nextInfo = nil
self.expInfo = nil
self._itemPrice1 = nil
self._itemPrice2 = nil
self._huaXingIcon = nil
self._huaXingTip = nil
self._talentBtn   = nil
self._act_img = nil
self._time_label = nil
self._speedUp_img = nil
self._discount_label = nil
self._skillLevel = nil
self._upSkillTemplate = nil
globalManager.ccCreator:release(self._widget)
self._widget = nil
self:BasePanelDispose()
self.BasePanelDispose = nil
end
XiaofeiController = class("XiaofeiController",function(self,module)
local temp = {}
temp.module = module
return temp
end)
function XiaofeiController:showPetPanel()
if(self.module.petPanel == nil) then
self.module.petPanel = PetPanel:new(self)
self.module.petPanel.eventDis:addEventListener(globalData.globalEventType.trigger_panelDispose,self.petPanelCloseHandler,self)
end
globalData.uiPanelContainer:addPanel(globalData.allStaticTypes.panelTabType.pet,self.module.petPanel)
end
function XiaofeiController:petPanelCloseHandler(evt)
self.module.petPanel.eventDis:removeEventListener(globalData.globalEventType.trigger_panelDispose,self.petPanelCloseHandler,self)
self.module.petPanel = nil
end
function XiaofeiController:showRiderPanel()
if(self.module.riderPanel == nil) then
self.module.riderPanel = RiderPanel:new(self)
self.module.riderPanel.eventDis:addEventListener(globalData.globalEventType.trigger_panelDispose,self.riderPanelCloseHandler,self)
end
globalData.uiPanelContainer:addPanel(globalData.allStaticTypes.panelTabType.rider,self.module.riderPanel)
end
function XiaofeiController:riderPanelCloseHandler(evt)
self.module.riderPanel.eventDis:removeEventListener(globalData.globalEventType.trigger_panelDispose,self.riderPanelCloseHandler,self)
self.module.riderPanel = nil
end
function XiaofeiController:showWingPanel()
if(self.module.wingPanel == nil) then
self.module.wingPanel = WingPanel:new(self)
self.module.wingPanel.eventDis:addEventListener(globalData.globalEventType.trigger_panelDispose,self.wingPanelCloseHandler,self)
end
globalData.uiPanelContainer:addPanel(globalData.allStaticTypes.panelTabType.wing,self.module.wingPanel)
end
function XiaofeiController:wingPanelCloseHandler(evt)
self.module.wingPanel.eventDis:removeEventListener(globalData.globalEventType.trigger_panelDispose,self.wingPanelCloseHandler,self)
self.module.wingPanel = nil
end
function XiaofeiController:showGodPanel()
if(self.module.godPanel == nil) then
self.module.godPanel = GodPanel:new(self)
self.module.godPanel.eventDis:addEventListener(globalData.globalEventType.trigger_panelDispose,self.godPanelCloseHandler,self)
end
globalData.uiPanelContainer:addPanel(globalData.allStaticTypes.panelTabType.god,self.module.godPanel)
end
function XiaofeiController:godPanelCloseHandler(evt)
self.module.godPanel.eventDis:removeEventListener(globalData.globalEventType.trigger_panelDispose,self.godPanelCloseHandler,self)
self.module.godPanel = nil
end
function XiaofeiController:showSpritePanel()
if(self.module.spritePanel == nil) then
self.module.spritePanel = SpritePanel:new(self)
self.module.spritePanel.eventDis:addEventListener(globalData.globalEventType.trigger_panelDispose,self.spritePanelCloseHandler,self)
end
globalData.uiPanelContainer:addPanel(globalData.allStaticTypes.panelTabType.sprite,self.module.spritePanel)
end
function XiaofeiController:spritePanelCloseHandler(evt)
self.module.spritePanel.eventDis:removeEventListener(globalData.globalEventType.trigger_panelDispose,self.spritePanelCloseHandler,self)
self.module.spritePanel = nil
end
function XiaofeiController:showFazhenPanel()
if(self.module.fazhenPanel == nil) then
self.module.fazhenPanel = FazhenPanel:new(self)
self.module.fazhenPanel.eventDis:addEventListener(globalData.globalEventType.trigger_panelDispose,self.fazhenPanelCloseHandler,self)
end
globalData.uiPanelContainer:addPanel(globalData.allStaticTypes.panelTabType.fazhen,self.module.fazhenPanel)
end
function XiaofeiController:fazhenPanelCloseHandler(evt)
self.module.fazhenPanel.eventDis:removeEventListener(globalData.globalEventType.trigger_panelDispose,self.fazhenPanelCloseHandler,self)
self.module.fazhenPanel = nil
end
function XiaofeiController:showLonghunPanel()
if(self.module.longhunPanel == nil) then
self.module.longhunPanel = LonghunPanel:new(self)
self.module.longhunPanel.eventDis:addEventListener(globalData.globalEventType.trigger_panelDispose,self.longhunPanelCloseHandler,self)
end
globalData.uiPanelContainer:addPanel(globalData.allStaticTypes.panelTabType.longhun,self.module.longhunPanel)
end
function XiaofeiController:longhunPanelCloseHandler(evt)
self.module.longhunPanel.eventDis:removeEventListener(globalData.globalEventType.trigger_panelDispose,self.longhunPanelCloseHandler,self)
self.module.longhunPanel = nil
end
function XiaofeiController:showRiderTalentPanel()
if(self.module.riderTalentPanel == nil) then
self.module.riderTalentPanel = RiderTalentPanel:new(self)
self.module.riderTalentPanel.eventDis:addEventListener(globalData.globalEventType.trigger_panelDispose,self.riderTalentPanelCloseHandler,self)
end
globalData.uiPanelContainer:addPanel(globalData.allStaticTypes.panelTabType.riderTalent,self.module.riderTalentPanel)
end
function XiaofeiController:riderTalentPanelCloseHandler(evt)
self.module.riderTalentPanel.eventDis:removeEventListener(globalData.globalEventType.trigger_panelDispose,self.riderTalentPanelCloseHandler,self)
self.module.riderTalentPanel = nil
end
function XiaofeiController:showPetTalentPanel()
if(self.module.petTanlentPanel == nil) then
self.module.petTanlentPanel = PetTalentPanel:new(self)
self.module.petTanlentPanel.eventDis:addEventListener(globalData.globalEventType.trigger_panelDispose,self.petTalentPanelCloseHandler,self)
end
globalData.uiPanelContainer:addPanel(globalData.allStaticTypes.panelTabType.petTanlent,self.module.petTanlentPanel)
end
function XiaofeiController:petTalentPanelCloseHandler(evt)
self.module.petTanlentPanel.eventDis:removeEventListener(globalData.globalEventType.trigger_panelDispose,self.petTalentPanelCloseHandler,self)
self.module.petTanlentPanel = nil
end
function XiaofeiController:showRiderHuaXingPanel()
if(self.module.riderHuaXingPanel == nil) then
self.module.riderHuaXingPanel = HuaXingPanel:new(self,12)
self.module.riderHuaXingPanel.eventDis:addEventListener(globalData.globalEventType.trigger_panelDispose,self.riderHuaXingPanelCloseHandler,self)
end
globalData.uiPanelContainer:addPanel(globalData.allStaticTypes.panelTabType.riderHuaXing,self.module.riderHuaXingPanel)
end
function XiaofeiController:riderHuaXingPanelCloseHandler()
self.module.riderHuaXingPanel.eventDis:removeEventListener(globalData.globalEventType.trigger_panelDispose,self.riderHuaXingPanelCloseHandler,self)
self.module.riderHuaXingPanel = nil
end
function XiaofeiController:showSpriteHuaXingPanel()
if(self.module.spriteHuaXingPanel == nil) then
self.module.spriteHuaXingPanel = HuaXingPanel:new(self,11)
self.module.spriteHuaXingPanel.eventDis:addEventListener(globalData.globalEventType.trigger_panelDispose,self.spriteHuaXingPanelCloseHandler,self)
end
globalData.uiPanelContainer:addPanel(globalData.allStaticTypes.panelTabType.petHuaXing,self.module.spriteHuaXingPanel)
end
function XiaofeiController:spriteHuaXingPanelCloseHandler()
self.module.spriteHuaXingPanel.eventDis:removeEventListener(globalData.globalEventType.trigger_panelDispose,self.spriteHuaXingPanelCloseHandler,self)
self.module.spriteHuaXingPanel = nil
end
function XiaofeiController:showWingHuaXingPanel()
if(self.module.wingHuaXingPanel == nil) then
self.module.wingHuaXingPanel = HuaXingPanel:new(self,13)
self.module.wingHuaXingPanel.eventDis:addEventListener(globalData.globalEventType.trigger_panelDispose,self.wingHuaXingPanelCloseHandler,self)
end
globalData.uiPanelContainer:addPanel(globalData.allStaticTypes.panelTabType.wingHuaXing,self.module.wingHuaXingPanel)
end
function XiaofeiController:wingHuaXingPanelCloseHandler()
self.module.wingHuaXingPanel.eventDis:removeEventListener(globalData.globalEventType.trigger_panelDispose,self.wingHuaXingPanelCloseHandler,self)
self.module.wingHuaXingPanel = nil
end
XiaofeiAdvanceMessageHandler = class("XiaofeiAdvanceMessageHandler",function(self,module)
local temp= {}
temp.module = module
local petMessageReturn = function(mess)
local bytes = tolua.cast(mess,"MessageIn")
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("XiaofeiAdvanceMessageHandler.text1"))
end
local jingLianMessageReturn = function(data)
local bytes = tolua.cast(data,"MessageIn")
local equipInfo = {}
equipInfo.type = bytes:readByte()
equipInfo.list = {}
local len = bytes:readShort()
for i = 1,len,1 do
local templateId = bytes:readInt() --pos
local level = bytes:readByte()
local grow = bytes:readInt()
table.insert(equipInfo.list,{templateId,level,grow})
end
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.xiaofei_jingLianInfo,globalManager.gameDispatcher,equipInfo))
end
local xiaofeiMessageReturn = function(data)
local bytes = tolua.cast(data,"MessageIn")
local type = bytes:readByte()
if type == globalData.allStaticTypes.petXiaofeiType.CHONGWU then
elseif type == globalData.allStaticTypes.petXiaofeiType.ZUOQI then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("XiaofeiAdvanceMessageHandler.text2"))
elseif type == globalData.allStaticTypes.petXiaofeiType.CHIBANG then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("XiaofeiAdvanceMessageHandler.text3"))
elseif type == globalData.allStaticTypes.petXiaofeiType.SHENBING then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("XiaofeiAdvanceMessageHandler.text4"))
elseif type == globalData.allStaticTypes.petXiaofeiType.JINGLING then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("XiaofeiAdvanceMessageHandler.text5"))
elseif type == globalData.allStaticTypes.petXiaofeiType.FAZHEN then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("XiaofeiAdvanceMessageHandler.text6"))
elseif type == globalData.allStaticTypes.petXiaofeiType.LONGHUN then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("XiaofeiAdvanceMessageHandler.text7"))
end
end
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.SPECIAL_JINGLIAN_INFO,jingLianMessageReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.PET_ADVANCE,petMessageReturn)
globalManager.messageManager:addSocketHandler(globalData.allStaticTypes.messageType.XIAOFEI_ADVANCE,xiaofeiMessageReturn)
return temp
end)
XiaofeiMessageSender = class("XiaofeiMessageSender",function(self,module)
local temp = {}
temp.module = module
return temp
end)
function XiaofeiMessageSender:add()
self.advance = XiaofeiAdvanceMessageHandler:new(self.module)
end
--type:1妖精2坐骑3翅膀4足迹5仙灵6法阵7龙魂
function XiaofeiMessageSender:sendAdvance(type,isBuy)
local messOut
if(type  == globalData.allStaticTypes.petXiaofeiType.CHONGWU)then
messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.PET_ADVANCE)
messOut:writeBoolean(isBuy)
else
messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.XIAOFEI_JINJIE)
messOut:writeByte(type)
messOut:writeBoolean(isBuy)
end
globalManager.messageManager:send(messOut)
end
function XiaofeiMessageSender:sendCzQnFs(type1,type2,count)
if(type2 == globalData.allStaticTypes.petXiaofeiType.CHONGWU) then
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.PET_QIANGNENG)
messOut:writeByte(type1)
messOut:writeShort(count)
globalManager.messageManager:send(messOut)
else
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.XIAOFEI_QN_CZ_FS)
messOut:writeByte(type1)
messOut:writeByte(type2)
messOut:writeShort(count)
globalManager.messageManager:send(messOut)
end
end
function XiaofeiMessageSender:sendShow(type,isShow)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.XIAOFEI_SHOW)
messOut:writeByte(type)
messOut:writeBoolean(isShow)
globalManager.messageManager:send(messOut)
end
--获取装备精炼进度信息
function XiaofeiMessageSender:sendGetJingLianInfo(type)
local messOut = globalManager.messageManager:getMessageOut(globalData.allStaticTypes.messageType.SPECIAL_JINGLIAN_INFO)
messOut:writeByte(type)
globalManager.messageManager:send(messOut)
end
XiaofeiModule = class("XiaofeiModule",function(self)
local temp = BaseModule:new()
temp.controller = nil
temp.petPanel = nil
temp.message = nil
return temp
end)
--override
function XiaofeiModule:getModuleType()
return globalData.allStaticTypes.moduleType.xiaofei
end
--override
function XiaofeiModule:setup(data)
self.message = XiaofeiMessageSender:new(self)
self.message:add()
self.controller = XiaofeiController:new(self)
if(data == 1) then
self.controller:showPetPanel()
elseif(data == 2) then
self.controller:showRiderPanel()
elseif(data == 3) then
self.controller:showWingPanel()
elseif(data == 4) then
self.controller:showGodPanel()
elseif(data == 5) then
self.controller:showSpritePanel()
elseif(data == 6) then
self.controller:showFazhenPanel()
elseif(data == 7) then
self.controller:showLonghunPanel()
elseif(data == 8)then
self.controller:showRiderTalentPanel()
elseif(data == 9)then
self.controller:showPetTalentPanel()
elseif(data == 11)then
self.controller:showSpriteHuaXingPanel()
elseif(data == 12)then
self.controller:showRiderHuaXingPanel()
elseif(data == 13)then
self.controller:showWingHuaXingPanel()
end
end
--override
function XiaofeiModule:configure(data)
if(data == 1) then
self.controller:showPetPanel()
elseif(data == 2) then
self.controller:showRiderPanel()
elseif(data == 3) then
self.controller:showWingPanel()
elseif(data == 4) then
self.controller:showGodPanel()
elseif(data == 5) then
self.controller:showSpritePanel()
elseif(data == 6) then
self.controller:showFazhenPanel()
elseif(data == 7) then
self.controller:showLonghunPanel()
elseif(data == 8)then
self.controller:showRiderTalentPanel()
elseif(data == 9)then
self.controller:showPetTalentPanel()
elseif(data == 11)then
self.controller:showSpriteHuaXingPanel()
elseif(data == 12)then
self.controller:showRiderHuaXingPanel()
elseif(data == 13)then
self.controller:showWingHuaXingPanel()
end
end
GameStart = class("CCScene", function()
local start = {}
return start
end)
function GameStart:setup(gameLayer) --, config, platformSDK, platForm
require 'src/GamePlatFormConfig'
globalManager = GlobalManager:new(gameLayer)
globalData.config = gameLayer.config
if(gameLayer.config == nil or gameLayer.config.trunkType == nil) then
globalData.trunkType = ""
else
globalData.trunkType = gameLayer.config.trunkType
end
if gameLayer.config.plusList ~= nil then
globalData.packString = gameLayer.config.plusList
end
print("#globalData.packString", unpack(globalData.packString))
globalData.sources = gameLayer.config.sources
globalManager.kyPlatformSDK = gameLayer.sdkInterface
local bi = globalManager.kyPlatformSDK
--funcType lua调用java参数
bi.chgHostToIP = 1
bi.showSDKLoginPage = 2
bi.enterSNSCenter = 3
bi.showTip = 4
bi.showPayPage = 5
bi.initSdk = 6
bi.sendData = 7--发送数据
bi.showConfirm = 8  --确定框
bi.pressBack = 9--按下返回键
bi.exit = 10--退出游戏
bi.loginOut = 11 --退出账号
bi.hasUserCenter = 12 --是否有用户中心(默认true)
bi.getBigVersion = 13 --获取大版本号
bi.getChildChannel = 14 --获取子频道
-- 后面的接口都写在GameStart.lua里面，下次把所有配置都转移到GameScene外
bi.hasLoginOut = 15 --是否有切换账号
bi.confirmUserName = 16 --用户名转换
bi.getNetworkState = 17 --获取网络状态(0:获取失败，1：无连接，2：wifi，3：3G网络)
bi.getDeviceInfo = 18 --获取设备信息，以,隔开（MODEL,BRAND,DEVICE）
bi.getAnnouncementInfo = 19   -- 显示公告信息
bi.getIOSDeviceInfo = 20   -- 获取IOS设备信息(正版用到)
-- * @param title 标题
-- * @param data 自定义数据，追踪邀请来源，在被邀请者登入后会受到包含此参数的回调
-- * @param message fb game activity消息
bi.inviteFacebook = 21        -- Facebook好友邀请
-- * @param name 游戏中分享的名字
-- * @param caption 分享的标题
-- * @param link  分享的链接
-- * @param description  分享内容简介
-- * @param picture 分享图片地址
bi.shareFacebook = 22        -- Facebook分享接口
-- <CONTENT TYPE> "text" or "image"
-- <CONTENT KEY> anything
bi.inviteLine = 23        -- Line好友邀请
bi.oneKeyReg = 24      --一键注册
bi.normalReg = 25      --普通注册
bi.regNotify = 26       --注册{ "account" }
bi.unregNotify = 27     --反注册
bi.notifyToken = 28     --设备token
bi.setNotify = 29       --添加本地通知{ "title", "content", "date(20160216)", "HH", "mm", count }
bi.cleanNotify = 30     --清除所有的本地通知
bi.setTag = 31          --设置标签 { "tag" }
bi.delTag = 32          --删除标签 { "tag" }
bi.setRestartTime = 33  --设置安卓的重启时间
-- 回调 java回调lua参数
bi.resume_call = 101
bi.destroy_call = 102
bi.pause_call = 103
bi.startLeaving_call = 104
bi.dialogOk_call = 105
bi.dialogCancel_call = 106
bi.initComplete_call = 107
bi.sdkLoginSuccess = 108--sdk登陆成功
bi.sdkLoginError = 109--sdk登陆失败
bi.sdkLoginCancel = 110--sdk取消登陆
bi.sdkPaySuccess = 111--sdk付款成功
bi.sdkPayCancel = 112--sdk付款取消
bi.logout = 113--帐号退出
-- 后面的接口都写在GameStart.lua里面，下次把所有配置都转移到GameScene外
bi.useSpeed = 117 --是否使用加速器
bi.cpLogin_call = 118 --CP登录成功之后的回调（已经包括服务器信息）
bi.saveKeyValue_call = 119 --底层保存信息的调用
bi.shareFacebook_call = 120  --Facebook分享接口回调 (return boolean success, boolean error)
--  facebook 分享返回，被邀请的人收到
--  String data, String recipientID, String recipientName, String senderID, String senderName
bi.inviteFacebook_call = 121
--一键注册回调
bi.oneKeyReg_call = 122
--普通注册回调
bi.normalReg_call = 123
local platFormConfig = GamePlatFormConfig:new(gameLayer.config)
local sdkId = gameLayer.config.sdkId
local serverUrl = "http://login.sdbgj.m.37.com"
if(sdkId == 100) then
-- 三打白骨精 IOS正版
elseif(sdkId == 101) then
-- 三打白骨精 IOS越狱
elseif(sdkId == 102)then
-- 三打白骨精 安卓
elseif(sdkId == 200) then
globalData.sources = "xyfyp"--西游伏妖篇
elseif(sdkId == 202) then
globalData.sources = "swksdbgj"--孙悟空三打白骨精
elseif(sdkId == 203) then
globalData.sources = "xybp"--小妖别跑
elseif(sdkId == 204) then
globalData.sources = "ahxy"--暗黑西游
elseif(sdkId == 205) then
-- 三打白骨精2 安卓
elseif(sdkId == 206) then
globalData.sources = "xyfyp"--西游伏妖篇
elseif(sdkId == 207) then
globalData.sources = "ahxy"--西游伏妖篇 1004
elseif(sdkId == 208) then
globalData.sources = "xybp"--西游伏妖篇 1005
elseif(sdkId == 209) then
globalData.sources = "xybp"--西游伏妖篇 1006
end
if serverUrl ~= nil and serverUrl ~= "" then
gameLayer.config.recordUrl = serverUrl.."/game/api/last_login_server.php"
gameLayer.config.serverUrl = serverUrl.."/game/login_"
gameLayer.config.payUrl = serverUrl.."/game/api/pay_"
gameLayer.config.billUrl = serverUrl.."/game/api/o.php"
end
local bigVersion = globalManager.kyPlatformSDK:luaCall({globalManager.kyPlatformSDK.getBigVersion})
if bigVersion == "" or bigVersion == nil then
bigVersion = "0.1"
end
globalData.bigVersion = bigVersion
globalData:init()
globalManager:init()
globalManager.containerManager.debugText:setText("gameStart setup")
print("enter start lib")
globalManager.moduleManager:addModule(globalData.allStaticTypes.moduleType.startLib,ToCommonModuleData:new(1),false)
-- local managerTick = function(delta)
-- globalManager.tickManager:enterFrame(delta,math.floor(delta / globalData.FRAME_INTERVAL + 0.5))
--     globalManager.tickManager:enterFrame()
-- end
-- cc.Director:getInstance():getScheduler():scheduleScriptFunc(managerTick, 0, false)
-- local ip = globalManager.commonUtils:chgHostToIP("www.baidu.com")
-- print("#host2ip", ip)
-- print("#host2ip", ip.name)
-- print("#host2ip", tostring(ip))
end
local UIWidgetDeprecated = { }
UIWidgetDeprecated.___addNode = ccui.Widget.addNode
function UIWidgetDeprecated.addNode(self,child,zorderIndex)
-- deprecatedTip("ccui.ListView:addEventListenerListView","ccui.ListView:addEventListener")
if(child:getParent() ~= nil)then return end
if(zorderIndex == nil)then
if(UIWidgetDeprecated.___addNode ~= nil)then
return UIWidgetDeprecated.___addNode(self,child)
else
return self:addChild(child)
end
end
if(UIWidgetDeprecated.___addNode ~= nil)then
return UIWidgetDeprecated.___addNode(self,child,zorderIndex)
end
return self:addChild(child,zorderIndex)
end
rawset(ccui.Widget,"addNode", UIWidgetDeprecated.addNode)
-- -- for CCLuaEngine traceback
-- function __G__TRACKBACK__(msg)
--     print("----------------------------------------")
--     print(msg)
--     local level = 1
--       while true do
--         local info = debug.getinfo(level, "Sl")
--         if not info then break end
--         if info.what ~= "C" then
--           print(string.format("[%s]:%d",info.source, info.currentline))
--         end
--         level = level + 1
--       end
--     print("----------------------------------------")
-- end
-- local function main()
--     collectgarbage("setpause", 100)
--     collectgarbage("setstepmul", 5000)
--     collectgarbage("collect")
--     print("#httpRequest")
--     cc.FileUtils:getInstance():addSearchPath("src")
--     cc.FileUtils:getInstance():addSearchPath("res")
--         cc.FileUtils:getInstance():addSearchResolutionsOrder("src")
-- 	cc.FileUtils:getInstance():addSearchResolutionsOrder("res")
--     local gameStart = GameStart:new()
--     -- gameStart:setup()
--     -- cc.Director:getInstance():runWithScene(gameStart)
--     cc.Director:getInstance():setDisplayStats(false)
-- end
-- xpcall(main, __G__TRACKBACK__)
