AnimaController = class("AnimaController",function(self,character)
local ac = {}
ac.character = character
ac._currentAnima = nil
ac._currentFrame = 1
ac._hadCallComplete = false
ac._dirFrameCount = 0
ac._dir = 0
ac._frameCount = 1
return ac
end)
--anima:CharacterAnimaInfo,doForce = false
function AnimaController:doAnima(anima,doForce)
if(anima == nil or anima == self._currentAnima)then return end
if(self._currentAnima ~= nil)then
if(doForce == nil) then doForce = false end
if(doForce == false and (self._currentAnima:canReplace(anima) == false))then
return
end
end
self._currentFrame = 1
self._currentAnima = anima
self._hadCallComplete = false
self._dirFrameCount = self._currentAnima.dirFrameCount
end
function AnimaController:startTick()
globalManager.tickManager:addTick(self.tick,self)
end
function AnimaController:stopTick()
globalManager.tickManager:removeTick(self.tick,self)
end
function AnimaController:tick(delta,tickCount)
self._frameCount = self._frameCount - 1
if(self._frameCount > 0)then return end
if(self._currentAnima == nil)then
self._frameCount = 8
return
end
self._frameCount = self._currentAnima.timePerFrame
if(self._currentFrame > self._dirFrameCount)then
if(self._currentAnima.doRepeat)then
--重复动作
self._currentFrame = 1
else
self._currentFrame = self._dirFrameCount
--非重复动作才执行回调
if(self._hadCallComplete == false)then
self.character:animaComplete(true)
self._hadCallComplete = true
end
return
end
end
self.character:setFrame(self._currentAnima:getFrameByIndex(self._currentFrame,self._dir))
self._currentFrame = self._currentFrame + tickCount
end
function AnimaController:setDir(dir)
self._dir = dir
end
function AnimaController:dispose()
self:stopTick()
self.character = nil
self._currentAnima = nil
end
--info:CharacterInfo
BaseCharacter = class("BaseCharacter",function(self,info)
local bc = globalManager.ccCreator:newNode()
-- local bc = globalManager.ccCreator:newWidget()
bc._dir = 0
bc._currentFrame = 0
bc._characterInfo = info
bc._currentAnima = nil
bc._animaController = nil
bc._totalLoad = 0
bc._currentLoad = 0
bc._loadingPath = {}
bc._picPaths = {}
bc._contents = {}
bc._saveLayer = {}
bc._animaCallback = nil
bc._callbackCaller = nil
bc._opacity = 255
return bc
end)
function BaseCharacter:ctor()
self._animaController = AnimaController:new(self)
self._characterInfo:addEventListener(globalData.globalEventType.playerInfo_style,self.styleUpdateHandler,self)
end
--evt:BaseEvent
function BaseCharacter:styleUpdateHandler(evt)
self._animaController:stopTick()
self:startLoad()
end
function BaseCharacter:show(dir)
self:updateDir(dir)
self:doAnima(self._characterInfo:getDefaultAnima(), true)
end
function BaseCharacter:setAnimaCompleteCallback(callback,caller)
self._animaCallback = callback
self._callbackCaller = caller
end
function BaseCharacter:animaComplete(force)
if(self._animaCallback ~= nil)then
self._animaCallback(self._callbackCaller,force)
end
end
function BaseCharacter:setAlpha(value)
if(value == self._opacity)then return end
self._opacity = value
if(self._contents ~= nil)then
local len = table.getn(self._loadingPath)
for i = 1,len,1 do
if self._contents[i] ~= nil then
self._contents[i]:setOpacity(value)
end
end
end
end
function BaseCharacter:setFrame(frames)
if(self._characterInfo == nil or self._currentAnima == nil)then return end
local pathLen = table.getn(self._loadingPath)
for j = 1,pathLen,1 do
if(self._loadingPath[j] ~= "")then
local frameName = self._characterInfo:getSourceTypeValue(self._picPaths[j],self._currentAnima.sourceValue)..frames[j]
local frame = globalManager.ccCreator.sharedSpriteFrameCache:getSpriteFrame(frameName)
local layer = self._contents[j]
if(frame ~= nil)then
layer:setSpriteFrame(frame)
if(globalData.allStaticTypes.directType:isLeft(self._dir))then
layer:setScaleX(-1)
else
layer:setScaleX(1)
end
end
end
end
end
function BaseCharacter:updateDir(dir)
if(self._dir == dir)then return end
self._dir = dir
if self._dir == 0 or self._dir == 7 then self._dir = 8 end
self._animaController:setDir(dir)
self:setOrderIndex()
end
--切换动作
function BaseCharacter:doAnima(anima,doFoce)
if(self._characterInfo == nil)then return end
if(self._currentAnima == anima)then return end
if(self._currentAnima ~= nil)then
if(doFoce == false and (not self._currentAnima:canReplace(anima)))then return end
end
self._currentAnima = anima
self:startLoad()
end
function BaseCharacter:startLoad()
local callback = function()
if(self._currentLoad == nil)then return end
self._currentLoad = self._currentLoad + 1
if(self._currentLoad == self._totalLoad)then
self._animaController:doAnima(self._currentAnima)
self._animaController:startTick()
self:setOrderIndex()
end
end
-- self._layers = clone(self._currentAnima.careerLayers)
self:removePathQuote()
self._loadingPath,self._picPaths = self._characterInfo:getPaths()
local pathLen = table.getn(self._loadingPath)
self._totalLoad = 0
self._currentLoad = 0
for i = 1,pathLen,1 do
local layer = self._contents[i]
if(self._loadingPath[i] ~= "")then
self._totalLoad = self._totalLoad + 1
globalManager.sourceCacheManager:addPlist(self._loadingPath[i]..".png",callback,globalData.allStaticTypes.sourceStaticType.clearOneM)
if layer == nil then
if #self._saveLayer > 0 then
layer = table.remove(self._saveLayer, 1)
end
if layer == nil then
layer = globalManager.ccCreator:newSprite()
end
layer:setOpacity(self._opacity)
self._contents[i] = layer
self:addChild(layer)
end
else
if layer ~= nil then
if layer:getParent() ~= nil then
layer:removeFromParent(false)
end
table.insert(self._saveLayer, layer)
end
self._contents[i] = nil
end
end
-- self:setOrderIndex()
end
function BaseCharacter:setOrderIndex()
if self._currentAnima ~= nil then
local idx = self._currentAnima.careerLayers[self._dir]
-- assert(idx, string.format("#nil idx dir:%d, layers:%s, idx:%s ", self._dir, #self._currentAnima.careerLayers, idx) )
for i = 1, #idx do
if self._contents[idx[i]] ~= nil then
self._contents[idx[i]]:setLocalZOrder(i)
end
end
end
end
function BaseCharacter:removePathQuote()
if(self._loadingPath ~= nil)then
local pathLen = table.getn(self._loadingPath)
for i = 1,pathLen,1 do
if(self._loadingPath[i] ~= "")then
globalManager.sourceCacheManager:removeQuote(self._loadingPath[i]..".png")
end
end
end
end
function BaseCharacter:dispose()
self:removePathQuote()
self._characterInfo:removeEventListener(globalData.globalEventType.playerInfo_style,self.styleUpdateHandler,self)
if(self._animaController ~= nil)then
self._animaController:dispose()
self._animaController = nil
end
self._characterInfo = nil
self._currentAnima = nil
if(self._contents ~= nil)then
local len = table.getn(self._loadingPath)
for i = 1,len,1 do
if(self._contents[i] ~= nil)then
globalManager.ccCreator:release(self._contents[i])
end
end
self._contents = nil
end
self._loadingPath = nil
if self._saveLayer ~= nil then
for i = 1, #self._saveLayer do
globalManager.ccCreator:release(self._saveLayer[i])
end
self._saveLayer = nil
end
self._picPaths = nil
self._animaCallback = nil
self._callbackCaller = nil
self._currentLoad = nil
globalManager.ccCreator:release(self)
end
BaseEffect = class("BaseEffect",function(self,info, autoDispose, stopAtEnd)
local be = globalManager.ccCreator:newNode()
be._info = info
--自动清除
if(autoDispose == nil) then
be.autoDispose = true
else
be.autoDispose = autoDispose
end
be._stopAtEnd = stopAtEnd or false
--当前帧，_info里的帧值
be._currentFrame = 1
--当前帧索引
be._currentIndex = -1
be._sceneX = 0
be._sceneY = 0
be._startTime = 0
be._isPlaying = false
be.sp = nil
be._currentColor = nil
be._frameCount = -1
be._scaleX = 1
be._playCallBack = nil
be._effectPath = nil
be._sourceCallback = nil
return be
end)
function BaseEffect:play()
self._isPlaying = true
self._startTime = globalData.systemDateInfo:getSystemTime()
self._currentFrame = 1
self._sourceCallback = function()
self:doPlay()
end
self._effectPath = globalManager.pathManager:getEffectPath(self._info.picPath)..".png"
globalManager.sourceCacheManager:addPlist(self._effectPath,self._sourceCallback, globalData.allStaticTypes.sourceStaticType.clearOneM)
end
function BaseEffect:stop()
self._isPlaying = false
globalManager.tickManager:removeTick(self.tick, self)
end
function BaseEffect:doPlay()
globalManager.tickManager:addTick(self.tick,self)
end
function BaseEffect:tick(delta,tickCount)
if(self._info == nil)then
-- self:doEnd()
if(self.autoDispose == true) then
self:dispose()
end
return
end
self._frameCount = self._frameCount + 1
if(self._frameCount % 2 ~= 0)then return end
if(self._info.time ~= -1)then
if(self._info.time < 800000000 and globalData.systemDateInfo:getSystemTime() - self._startTime >= self._info.time)then
-- self:doEnd()
if self._stopAtEnd == true then
self:stop()
elseif(self.autoDispose == true) then
self:dispose()
else
self:doEnd()
end
return
end
end
local tmp = tonumber(self._info.frames[self._currentFrame])
if(self._currentIndex ~= tmp and tmp ~= nil)then
self._currentIndex = tmp
if(self.sp == nil)then
-- self._effectPath = globalManager.pathManager:getEffectPath(self._info.picPath)..".png"
-- globalManager.sourceCacheManager:addPlist(self._effectPath,globalData.allStaticTypes.sourceStaticType.neverClear)
self.sp = globalManager.ccCreator:newSprite()
self.sp:setScaleX(self._scaleX)
self:addChild(self.sp)
if(self._currentColor ~= nil) then
self.sp:setColor(self._currentColor)
end
end
local frame = globalManager.ccCreator.sharedSpriteFrameCache:getSpriteFrame(globalManager.pathManager:getEffectPicPath(self._info.picPath,self._currentIndex)..".png")
if(frame ~= nil)then
self.sp:setSpriteFrame(frame)
-- self.sp:setScale(self._scale)
end
end
self._currentFrame = self._currentFrame + tickCount
if(self._currentFrame > self._info.frameCount)then
if(self._info.time == -1)then
-- self:doEnd()
if self._stopAtEnd == true then
self:stop()
elseif(self.autoDispose == true) then
self:dispose()
else
self:doEnd()
end
return
else
self._currentFrame = 1
end
end
self:setToPos()
end
function BaseEffect:setAlpha(value)
if(self.sp ~= nil)then
self.sp:setOpacity(value)
end
end
function BaseEffect:setStopAtEnd(stopAtEnd)
self._stopAtEnd = stopAtEnd
end
function BaseEffect:move(x,y)
self._sceneX = x
self._sceneY = y
self:setToPos()
end
function BaseEffect:move2(parent,x,y)
-- self:move(parent:getAnchorPointInPoints().x + x, -parent:getAnchorPointInPoints().y + y)
self:move(x,y)
end
function BaseEffect:setToPos()
local tmpOffsetY = globalData.GAME_HEIGHT - 640
tmpOffsetY = 0
local p = globalManager.ccCreator:newPoint(self._info.xoffset + self._sceneX,-(self._info.yoffset + self._sceneY) + tmpOffsetY)
-- local p = globalManager.ccCreator:newPoint(self._sceneX,-(-640 + self._sceneY))
self:setPosition(p)
end
function BaseEffect:getSceneX()
return self._sceneX
end
function BaseEffect:getSceneY()
return self._sceneY
end
function BaseEffect:setColor(color)
if(color == self._currentColor) then return end
self._currentColor = color
if(self.sp ~= nil) then
if(self._currentColor ~= nil) then
self.sp:setColor(self._currentColor)
else
self.sp:setColor(globalData.allStaticTypes.colorType.COLORWHITE)
end
end
end
function BaseEffect:setCallback(callback,target)
self._playCallBack = callback
self._target = target
end
function BaseEffect:setScaleDir(scale)
self._scaleX = scale
end
function BaseEffect:doEnd()
--dispatch
if(self.stop ~= nil)then
self:stop()
end
if(self.getParent ~= nil and self:getParent() ~= nil)then
self:getParent():removeChild(self,true)
end
if(self._playCallBack ~= nil) then
self._playCallBack(self._target)
self._playCallBack = nil
end
end
function BaseEffect:dispose()
globalManager.sourceCacheManager:removeQuote(self._effectPath,self._sourceCallback)
self._sourceCallback = nil
self:doEnd()
self._playCallBack = nil
self._target = nil
self._info = nil
if(self.sp ~= nil)then
globalManager.ccCreator:release(self.sp)
self.sp = nil
end
globalManager.ccCreator:release(self)
end
BaseLoadEffect = class("BaseLoadEffect",function(self,info, autoDispose)
local bl = BaseEffect:new(info, autoDispose)
bl.__baseEffectPlay = bl.play
return bl
end)
function BaseLoadEffect:play()
self:__baseEffectPlay()
-- local picComplete = function(data)
--     self:__baseEffectPlay()
-- end
-- globalManager.loaderManager:getPic(globalManager.pathManager:getEffectPath(self._info.picPath)..".png",picComplete,nil)
end
BaseSpEffect = class("BaseSpEffect",function(self,effect)
local s = globalManager.ccCreator:newNode()
--EffectTemplateInfo
s._info = effect
s._effects = {}
s._callBack = nil
return s
end)
function BaseSpEffect:move(x, y)
self:setPosition(globalManager.ccCreator:newPoint(x, -y))
end
function BaseSpEffect:start()
globalManager.tickManager:addTick(self.tick, self)
end
function BaseSpEffect:play()
self:start()
end
function BaseSpEffect:createEffect(x,y,info)
if(info == nil) then info = self._info end
if(info == nil) then return nil end
local effect = BaseLoadEffect:new(info, false)
self:addControllers(effect)
self:addChild(effect)
local offy = globalData.UI_HEIGHT / 2 + ( globalData.GAME_HEIGHT - globalData.UI_HEIGHT )
effect:move(x, y - offy )
local sx , sy = self:getPosition()
effect:play()
table.insert(self._effects, effect)
return effect
end
function BaseSpEffect:setAlpha(value)
if(self._effects ~= nil)then
local len = #self._effects
for i = 1,len,1 do
self._effects[i]:setOpacity(value)
end
end
end
function BaseSpEffect:addControllers(effect)
end
function BaseSpEffect:tick(delta, tickCount)
end
function BaseSpEffect:setCallback(callback)
self._callBack = callback
end
function BaseSpEffect:dispose()
if(self._callBack ~= nil) then
self:_callBack()
self._callBack = nil
end
globalManager.tickManager:removeTick(self.tick, self)
-- if(self:getParent() ~= nil) then
-- 	self:getParent():removeChild(self, true)
-- end
self._info = nil
if(self._effects ~= nil)then
local len = table.getn(self._effects)
for i = 1,len,1 do
if(self._effects[i] ~= nil) then
self._effects[i]:dispose()
end
end
end
self._effects = nil
globalManager.ccCreator:release(self)
end
BulletSpEffect = class("BulletSpEffect", function(self, effect, speed, stopDistance)
local a = BaseSpEffect:new(effect)
if(speed == nil) then speed = 20 end
if(stopDistance == nil or stopDistance < speed) then stopDistance = speed end
a._stopDistance = stopDistance
a._speed = speed
a._target = globalManager.ccCreator:newPoint(0, 0)
a._currentPoint = globalManager.ccCreator:newPoint(0, 0)
a._eff = a:createEffect(0, 0)
a._moveController = EffectController:new(a, 4, 1)
a.__baseSpEffectDispose = a.dispose
return a
end)
function BulletSpEffect:setTarget(x, y, callback)
self._target.x = x
self._target.y = -y
--self._callBack = callback
self:setCallback(callback)
self._moveController:start(self._target, self._speed, nil)
self:start()
local tx, ty = self:getPosition()
if(self._eff ~= nil) then
self._eff:setRotation( math.atan2(self._target.x - tx, self._target.y - ty) * 180 / math.pi - 90)
end
end
function BulletSpEffect:tick(delta, tickCount)
-- self.count = self.count + 3
-- self._eff:setRotation( self.count )
self._moveController:tick(delta, tickCount)
self._currentPoint.x = self:getPositionX()
self._currentPoint.y = self:getPositionY()
if(globalManager.commonUtils:getPointDistance(self._target, self._currentPoint) < self._stopDistance)then
self:moveEnd()
self:dispose()
end
end
function BulletSpEffect:moveEnd()
if(self._info.completeEffect > 0) then
local effect, info = globalManager.effectCreator:setEffect(self._info.completeEffect, nil,
globalManager.ccCreator:newPoint(self:getPositionX(), -self:getPositionY()), self:getParent())
local tx, ty = self:getPosition()
if(effect ~= nil and info ~= nil and info.bound == 1) then
effect:setRotation( math.atan2(self._target.x - tx, self._target.y - ty) * 180 / math.pi - 90)
end
end
end
function BulletSpEffect:dispose()
if(self._moveController ~= nil) then
self._moveController:dispose()
self._moveController = nil
end
self._target = nil
self._eff = nil
self._currentPoint = nil
self.__baseSpEffectDispose(self)
self.__baseSpEffectDispose = nil
end
EffectController = class("EffectController",function(self,target,propertyType,changeType)
local ec = {}
--1:播放一次（结束发事件或回调）,2:播完从头再播，3：播完回播
if(changeType == nil) then changeType = 1 end
ec.changeType = changeType
ec._target = target
--1:x,2:y,3:alpha,4:move,5:move_effect, 6:rotation, 7:scaleX, 8:scaleY
ec.propertyType = propertyType
ec._startValue = 0
ec._currentValue = 0
ec._playing = false
ec._endValue = 0
ec.speed = 0
ec._speedX = 0
ec._speedY = 0
ec._endPoint = nil
ec._startPoint = nil
ec._currentPoint = nil
--function
ec._setValue = nil
ec._callback = nil
local tmpX, tmpY = ec._target:getPosition()
if(ec.propertyType == 4 or ec.propertyType == 5)then
ec._startPoint = globalManager.ccCreator:newPoint(tmpX,tmpY)
ec._currentPoint = globalManager.ccCreator:newPoint(tmpX,tmpY)
elseif(ec.propertyType == 1)then
ec._startValue = tmpX
ec._currentValue = ec._startValue
elseif(ec.propertyType == 2)then
ec._startValue = tmpY
ec._currentValue = ec._startValue
end
return ec
end)
function EffectController:start(endValue,speed,callback)
self._playing = true
self._callback = callback
if(self.propertyType == 4 or self.propertyType == 5)then
self:setSpeed(endValue,speed)
self._endPoint = endValue
if(self.propertyType == 4)then
self._setValue = self.setMoveValue
elseif(self.propertyType == 5)then
self._setValue = self.setMoveEffectValue
end
else
self._endValue = endValue
if(self.propertyType == 1)then
self._setValue = self.setXValue
elseif(self.propertyType == 2)then
self._setValue = self.setYValue
else
self._setValue = self.setNoneValue
end
end
self.speed = speed
end
function EffectController:setSpeed(endPoint,speed)
if(self.propertyType == 5)then
self._currentPoint.x = self._target:getSceneX()
self._currentPoint.y = self._target:getSceneY()
else
self._currentPoint.x = self._target:getPositionX()
self._currentPoint.y = self._target:getPositionY()
end
local angle = globalData.allStaticTypes.directType:getRadian(self._currentPoint,endPoint)
self._speedX = math.cos(angle) * speed
self._speedY = math.sin(angle) * speed
end
function EffectController:setXValue(x)
end
function EffectController:setYValue(y)
end
function EffectController:setMoveValue(x,y)
self._target:setPosition(globalManager.ccCreator:newPoint(x, y))
end
function EffectController:setMoveEffectValue(x,y)
self._target:move(x, y)
end
function EffectController:setNoneValue()
end
function EffectController:tick(delta,tickCount)
if(self._playing == false)then return end
if(self.propertyType == 4 or self.propertyType == 5)then
self:moveHandler(tickCount)
else
if(math.abs(self._currentValue - self._endValue) <= math.abs(self.speed * tickCount))then
self._currentValue = self._endValue
if(self.changeType == 1)then
self._setValue(self, self._currentValue)
if(self._callback ~= nil)then
self._callback()
self._playing = false
return
end
elseif(self.changeType == 2)then
self._currentValue = self._startValue
elseif(self.changeType == 3)then
self._endValue = self._startValue
self._startValue = self._currentValue
self.speed = self.speed * -1
end
else
self._currentValue = self._currentValue + self.speed * tickCount
end
self._setValue(self, self._currentValue)
end
end
function EffectController:moveHandler(counts)
if(self.propertyType == 5) then
self._currentPoint.x = self._target:getSceneX()
self._currentPoint.y = self._target:getSceneY()
else
self._currentPoint.x = self._target:getPositionX()
self._currentPoint.y = self._target:getPositionY()
end
if(globalManager.commonUtils:getPointDistance(self._currentPoint, self._endPoint) <= self.speed * counts) then
self._currentPoint.x = self._endPoint.x
self._currentPoint.y = self._endPoint.y
if(self.changeType == 1) then
self._setValue(self, self._currentPoint.x, self._currentPoint.y)
if(self._callback ~= nil) then
self._callback()
end
self._playing = false
return
elseif(self.changeType == 2) then
self._currentPoint.x = self._startPoint.x
self._currentPoint.y = self._startPoint.y
elseif(self.changeType == 3) then
self._speedX = self._speedX * -1
self._speedY = self._speedY * -1
self._endPoint.x = self._startPoint.x
self._endPoint.y = self._startPoint.y
self._startPoint.x = self._target:getPositionX()
self._startPoint.y = self._target:getPositionY()
end
else
self._currentPoint.x = self._currentPoint.x + self._speedX * counts
self._currentPoint.y = self._currentPoint.y + self._speedY * counts
end
self._setValue(self, self._currentPoint.x, self._currentPoint.y)
end
function EffectController:dispose()
self._setValue = nil
self._callback = nil
self._target = nil
self._endPoint = nil
self._startPoint = nil
self._currentPoint = nil
end
LineSpEffect = class("LineSpEffect", function(self, effect, targetPoint, speedCount)
local a = BaseSpEffect:new(effect)
if(speedCount == nil) then speedCount = 3 end
a._speedCount = speedCount
a._count = a._info.count
a._frameCount = 0
a._completeCount = 0
local speed = globalManager.commonUtils:getPointDistance(globalManager.ccCreator:newPoint(0, 0), targetPoint) / a._count
a._currentAngle = globalData.allStaticTypes.directType:getRadian(globalManager.ccCreator:newPoint(0, 0), targetPoint)
a._speedX = math.cos(a._currentAngle) * speed;
a._speedY = math.sin(a._currentAngle) * speed;
return a
end)
function LineSpEffect:ctor()
self:start()
end
function LineSpEffect:tick(delta, tickCount)
if(self._count <= 0) then
globalManager.tickManager:removeTick((self.tick), self)
return
end
self._frameCount = self._frameCount + 1
if(self._frameCount >= self._speedCount) then
self._frameCount = 0
self._count = self._count - 1
local idx = self._info.count - self._count
local function onComplete()
self._completeCount = self._completeCount + 1
if(self._completeCount == self._info.count) then
self:dispose()
end
end
self:createEffect(self._speedX * idx, self._speedY * idx):setCallback(onComplete)
end
end
RangeSpEffect = class("RangeSpEffect", function(self, effect, rect, speedCount,autoRelease)
local a = BaseSpEffect:new(effect)
--每多少帧产生一个
if(speedCount == nil) then speedCount = 3 end
a._speedCount = speedCount
a._count = a._info.count
a._rect = rect
a._autoRelease = true
if(autoRelease ~= nil)then
a._autoRelease = autoRelease
end
a.__BaseSpEffectDispose = a.dispose
a._completeCount = 0
a._frameCount = 0
return a
end)
function RangeSpEffect:ctor()
self:start()
self:move(self._rect.x, self._rect.y)
end
function RangeSpEffect:tick(delta, tickCount)
if(self._count <= 0) then
globalManager.tickManager:removeTick((self.tick), self)
return
end
self._frameCount = self._frameCount + 1
if(self._frameCount > self._speedCount) then
self._frameCount = 0
self._count = self._count - 1
local function randLength(length)
return math.random(length) - length / 2
end
local function onComplete()
self._completeCount = self._completeCount + 1
--判断_info不为空，防止提前调用dispose
if(self._info ~= nil and self._completeCount == self._info.count) then
if(self._autoRelease == true)then
self:dispose()
end
end
end
self:createEffect(randLength(self._rect.width), randLength(self._rect.height)):setCallback(onComplete)
end
end
function RangeSpEffect:dispose()
self._rect = nil
self.__BaseSpEffectDispose(self)
self.__BaseSpEffectDispose = nil
end
RichLabel2 = class("RichLabel2",function(self,totalWidth)
local rl = globalManager.ccCreator:newWidget()
rl.triggerPattern = '%b{}'     --%b表示匹配前后两个标签  '{*}'  格式  "{type1$type2$group$describe$p1$p2$...}"
rl.fontFPattern = '%[0x%x%x%x%x%x%x%]' --颜色前标签 '[0x00ff00]'
rl.fontBPattern = '%[%-%]' --颜色后标签 '[-]'
rl.facePattern = '#%x%x' --表情标签  '#01'
rl._content = nil
rl.infoList = nil
rl.itemList = nil
rl._textHeight = 0
rl._color = globalData.allStaticTypes.colorType.DEFAULT_COLOR
rl._totalWidth = 100
rl._currentWidth = 0
if(totalWidth ~= nil) then
rl._totalWidth = totalWidth
end
return rl
end)
function RichLabel2:setTextColor(color)
self._color = color
end
function RichLabel2:setText(content)
if(self._content ~= nil) then
print("RichLabel不支持重设")
return
end
if(not globalManager.utf8:check(content)) then return end
--1普通文件，2链接，3颜色，4表情
local function sortHandler(a,b)
return a[1] < b[1]
end
self._content = content
self.infoList = {}
local index = 1
while true do
local startIndex,endIndex = string.find(content,self.triggerPattern,index)
if(startIndex == nil) then break end
index = endIndex + 1
table.insert(self.infoList,{startIndex,endIndex,2})
end
index = 1
while true do
local startIndex1,endIndex1 = string.find(content,self.fontFPattern,index)
local startIndex2,endIndex2 = string.find(content,self.fontBPattern,index)
if(startIndex1 == nil) then break end
index = endIndex2 + 1
table.insert(self.infoList,{startIndex1,endIndex2,3})
end
index = 1
while true do
local startIndex,endIndex = string.find(content,self.facePattern,index)
if(startIndex == nil) then break end
index = endIndex + 1
table.insert(self.infoList,{startIndex,endIndex,4})
end
index = 1
while true do
local startIndex,endIndex = string.find(content,"\n",index)
if(startIndex == nil) then break end
index = endIndex + 1
table.insert(self.infoList,{startIndex,endIndex,5})
end
table.sort(self.infoList,sortHandler)
self.itemList = {}
--    local currentWidth = 0
local leftWidth = self._totalWidth
index = 1
for __,info in pairs(self.infoList) do
if(info[1] > index) then
leftWidth = self:createItem(self.itemList,1,string.sub(content,index,info[1]-1),leftWidth)
--    		currentWidth = self.itemList[#self.itemList]:getItemWidth()
index = info[2] + 1
end
leftWidth = self:createItem(self.itemList,info[3],string.sub(content,info[1],info[2]),leftWidth)
--    	currentWidth = self.itemList[#self.itemList]:getItemWidth()
index = info[2] + 1
end
local len = string.len(content)
if(index <= len) then
leftWidth = self:createItem(self.itemList,1,string.sub(content,index,len),leftWidth)
end
self:reSize()
end
function RichLabel2:setCharInfo(chatInfo)
local element = ""
--非私聊频道，添加频道
if(chatInfo.channel ~= globalData.allStaticTypes.channelType.PRIVATE)then
local str = globalData.allStaticTypes.channelType:getChannelName(chatInfo.channel)
if(str ~= "")then
element = element .. globalData.allStaticTypes.channelType:getChannelColor(chatInfo.channel)..str.."[-]"
end
end
--名字显示
if(chatInfo.playerInfo ~= nil)then
element = element .. self:getPlayerText(chatInfo.playerInfo)..":"
end
--私聊增加时间显示，且换行
if(chatInfo.channel == globalData.allStaticTypes.channelType.PRIVATE)then
element = element .. chatInfo.time .. "\n"
end
--内容
if(chatInfo.channel == globalData.allStaticTypes.channelType.SYSTEM_NOTICE)then
self:setTextColor(globalData.allStaticTypes.colorType.ITEMCOLOR7)
end
element = element .. chatInfo.message
self:setText(element)
end
function RichLabel2:setClubInfo(chatInfo)
local element = ""
--职位信息先不加
if chatInfo.channel ~= globalData.allStaticTypes.channelType.CLUB_NOTICE then
local job = "[0x00FF00]【"..globalManager.yuyanbaoManager:getYuyanbao("FigurePlayerInfo.text3")
if chatInfo.uniteJobId == 1 then
job = "[0xF47920]【"..globalManager.yuyanbaoManager:getYuyanbao("FigurePlayerInfo.text1")
elseif chatInfo.uniteJobId == 2 then
job = "[0x00FFFF]【"..globalManager.yuyanbaoManager:getYuyanbao("FigurePlayerInfo.text2")
end
element = element .. job .."】[-]"
--名字显示
if(chatInfo.playerInfo ~= nil)then
element = element .. self:getPlayerText(chatInfo.playerInfo)..":"
end
--且换行
if chatInfo.time ~= "" then
element = element .. chatInfo.time .. "\n"
end
end
--内容
element = element .. chatInfo.message
self:setText(element)
end
function RichLabel2:getPlayerText(playerInfo)
local element = ""
--VIP
if(playerInfo.gm == 1) then
element = element .. "{9$902$0$ $0$0$0$0}"
elseif(playerInfo.gm == 2) then
element = element .. "{9$903$0$ $0$0$0$0}"
else
if(playerInfo.vipLevel >= 2)then
element = element .. "{9$901$0$ $"..playerInfo.vipLevel.."$0$0$0}"
end
end
--姓名
if(playerInfo.userId ~= globalData.selfPlayerInfo.userId)then
element = element .. globalManager.commonUtils:getPlayerTriggerStr(playerInfo)
else
element = element .. "[0x2FECDC]"..playerInfo.nick.."[-]"
end
return element
end
function RichLabel2:reSize()
if(self.itemList == nil or #self.itemList == 0) then return end
local currentX = 0
local currentY = 0
for __,item in pairs(self.itemList) do
self:addChild(item)
if(currentX + item:getItemWidth() > self._totalWidth)then
currentY = currentY - 30
item:setPosition(globalManager.ccCreator:newPoint(0,currentY))
currentX = item:getItemWidth()
self._currentWidth = self._totalWidth
else
item:setPosition(globalManager.ccCreator:newPoint(currentX,currentY))
currentX = currentX + item:getItemWidth()
if(currentX > self._currentWidth) then self._currentWidth = currentX end
end
end
self._textHeight = 0 - currentY + 30
end
function RichLabel2:createItem(list,type,content,leftWidth)
local leftResult = 0
if(type == 5)then
local item = RichLabelItem2:new(type,"")
item:create()
item:setItemWidth(leftWidth)
leftResult = 0
table.insert(list,item)
elseif(type == 4)then
local faceId = string.sub(content,2,3)
-- return RichLabelItem2:new(type,faceId)
local item = RichLabelItem2:new(type,faceId)
item:create()
if(item:getItemWidth() > leftWidth)then
--换行
leftResult = self._totalWidth - item:getItemWidth()
else
leftResult = leftWidth - item:getItemWidth()
end
table.insert(list,item)
else
local showContent = ""
local fontColor = self._color
local triggerInfo = nil
local isImage = false
if(type == 3)then
fontColor = globalData.allStaticTypes.colorType:intToColor3b(tonumber(string.sub(content,2,9)))
showContent = string.sub(content,11,-4)
elseif(type == 2)then
triggerInfo = TriggerInfo:new()
triggerInfo:parseString(string.sub(content,2,-2))
if(triggerInfo.type == 9) then
isImage = true;
else
showContent = triggerInfo.describe;
end
else
showContent = content
end
if(isImage) then
local item = RichLabelItem2:new(type,"",0,triggerInfo)
item:create()
table.insert(list,item)
leftResult = leftWidth - item:getItemWidth();
if(leftResult < 0) then
leftResult = self._totalWidth - item.getItemWidth();
end
return leftResult
end
local showContentLen = globalManager.utf8:utf8len(showContent)
local startIndex = 1
local endIndex = 1
local currentWidth = 0
local tmpLeftWidth = leftWidth
local tmpStr = ""
for i = 1,showContentLen,1 do
local tmpChar = globalManager.utf8:utf8sub(showContent,i,i)
globalManager.testRichText:setText(tmpChar)
local strWidth = globalManager.testRichText:getContentSize().width
if(strWidth < 12) then strWidth = 12 end
local tmpWidth = currentWidth + strWidth
if(tmpWidth <= tmpLeftWidth)then
--长度足以放入时，没换行
tmpStr = tmpStr..tmpChar
currentWidth = tmpWidth
if(i == showContentLen) then
--全部判断结束时创建
local item = RichLabelItem2:new(type,tmpStr,currentWidth,triggerInfo)
item:setColor(fontColor)
item:create()
table.insert(list,item)
leftResult = tmpLeftWidth - item:getItemWidth()
break
end
else
----长度不足以放入时创建,换行
local item = RichLabelItem2:new(type,tmpStr,currentWidth,triggerInfo)
item:setColor(fontColor)
item:create()
table.insert(list,item)
if(i == showContentLen)then
local item = RichLabelItem2:new(type,tmpChar,strWidth,triggerInfo)
item:setColor(fontColor)
item:create()
table.insert(list,item)
leftResult = self._totalWidth - item:getItemWidth()
else
--重置
tmpStr = tmpChar
tmpLeftWidth = self._totalWidth - strWidth
--					tmpLeftWidth = self._totalWidth
currentWidth = strWidth
end
end
end
end
return leftResult
end
function RichLabel2:getTextWidth()
return self._currentWidth
end
function RichLabel2:getHeight()
return self._textHeight
end
function RichLabel2:dispose()
self.triggerPattern = nil
self.fontFPattern = nil
self.fontBPattern = nil
self.facePattern = nil
self._content = nil
if(self.itemList ~= nil)then
local len = #self.itemList
for i = 1,len,1 do
self.itemList[i]:dispose()
end
self.itemList = nil
end
self.infoList = nil
globalManager.ccCreator:release(self)
end
RichLabelItem2 = class("RichLabelItem2",function(self,type,content,textWidth,triggerInfo)
local rl = globalManager.ccCreator:newWidget()
--1普通文件，2链接，3颜色，4表情
rl._type = type
rl._content = content
rl._textWidth = textWidth
rl._face = nil
rl._vipIcon = nil
rl._gmIcon = nil
rl._triggerInfo = triggerInfo
if(type == 4)then
rl._textWidth = 30
end
rl._label = nil
rl._color = nil
if(triggerInfo ~= nil) then
rl._color = globalData.allStaticTypes.colorType.TRIGGER_COLOR
if(triggerInfo.type == 7) then
if(triggerInfo.actionType == 20011) then
rl._color = globalData.allStaticTypes.colorType.NICK_COLOR
elseif(triggerInfo.actionType == 2002) then
local goodsTemplate = globalData.allTemplates.goodsTemplateList:getTemplate(triggerInfo.params[3])
if(globalData.allStaticTypes.categoryType:IsFiveEquip(goodsTemplate.categoryId)) then
rl._color = globalData.allStaticTypes.colorType:getColorByQuality(goodsTemplate:getQuality())
else
rl._color = globalData.allStaticTypes.colorType:getColorByQuality(goodsTemplate:getQuality() + triggerInfo.params[4])
end
end
end
if(triggerInfo.type == 9) then
if(triggerInfo.actionType == 901) then--VIP
--判断部署为VIP等级时，显示VIP图标，部署内容为VIP等级
rl._vipIcon = ChatVipIcon:new(tonumber(triggerInfo.params[1]))
rl:addChild(rl._vipIcon)
rl._textWidth = rl._vipIcon.selfWidth
elseif(triggerInfo.actionType == 902) then--指导员
rl._gmIcon = globalManager.ccCreator:newImageView()
rl._gmIcon:loadTexture("flag/ui_gnFlag.png",1)
rl._gmIcon:setPosition(22,12)
rl:addChild(rl._gmIcon)
rl._textWidth = 50
elseif(triggerInfo.actionType == 903) then--GM
rl._gmIcon = globalManager.ccCreator:newImageView()
rl._gmIcon:loadTexture("flag/ui_gmFlag.png",1)
rl._gmIcon:setPosition(6,12)
rl:addChild(rl._gmIcon)
rl._textWidth = 20
end
end
end
return rl
end)
function RichLabelItem2:setColor(color)
if(self._color == nil) then self._color = color end
end
function RichLabelItem2:create(fontSize)
local labelClickHandler = function(sender,eventType)
if(eventType == TOUCH_EVENT_ENDED) then
if(self._triggerInfo ~= nil)then
local tmp = {}
table.insert(tmp,self._triggerInfo)
globalManager.triggerManager:handlerList(tmp)
end
end
end
if(self._type == 5)then
--换行
elseif(self._type == 4)then
--表情
local num = tonumber(self._content)
if(num <= 35 and num > 0) then
self._face = FaceItem:new()
self._face:setFaceData(globalData.allTemplates.effectTemplateList.faceInfo.FACES[num])
self._face:setScale(1.2)
self:addChild(self._face)
end
else
if(self._content ~= nil)then
self._label = globalManager.ccCreator:newLabel()
self._label:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[7])
if(fontSize ~= nil)then
self._label:setFontSize(fontSize)
end
self._label:setColor(self._color)
self._label:setText(self._content)
if(self._type == 2)then
self._label:setTouchEnabled(true)
self._label:addTouchEventListener(labelClickHandler)
end
self:addChild(self._label)
end
end
end
function RichLabelItem2:getItemWidth()
return self._textWidth
end
function RichLabelItem2:setItemWidth(value)
self._textWidth = value
end
function RichLabelItem2:dispose()
if(self._label ~= nil)then
globalManager.ccCreator:release(self._label)
self._label = nil
end
self._triggerInfo = nil
if(self._face ~= nil)then
self._face:dispose()
self._face = nil
end
if(self._vipIcon ~= nil)then
self._vipIcon:dispose()
self._vipIcon = nil
end
if(self._gmIcon ~= nil)then
globalManager.ccCreator:release(self._gmIcon)
self._gmIcon = nil
end
globalManager.ccCreator:release(self)
end
ScrollLabel = class("ScrollLabel", function(self,richLabel,size,callback,executor)
local temp = globalManager.ccCreator:newScrollView()
temp._size = size
temp:setSize(size)
temp._richLabel = richLabel
temp:addChild(temp._richLabel)
temp.propController = PropController:new()
temp.totalTime = 0
temp._callback = callback
temp._executor = executor
return temp
end)
function ScrollLabel:ctor()
self:scroll()
end
function ScrollLabel:scroll()
local function removeThis()
self:dispose()
end
if(self._richLabel:getTextWidth() < self._size.width)then
self.totalTime = 300
self.propController:setInfo({PropInfo:new(nil,4,300,0,0,0,0)})
else
local flyDistance = self._richLabel:getTextWidth() - self._size.width
self.totalTime = math.ceil(flyDistance / 2)
self.propController:setInfo({PropInfo:new(self._richLabel,1,0,0,-flyDistance,-2,0),PropInfo:new(nil,4,60,0,0,0,0)})
end
self.propController:setCallBack(self,removeThis)
self.propController:pStart()
end
function ScrollLabel:dispose()
if(self._callback ~= nil and self._executor ~= nil) then
self._callback(self._executor)
end
self._executor = nil
self._callback = nil
if(self.propController ~= nil) then
self.propController:dispose()
end
self.propController = nil
self._size = nil
if(self._richLabel ~= nil) then
self._richLabel:dispose()
self._richLabel = nil
end
globalManager.ccCreator:release(self)
end
DoubleClickManager = class("DoubleClickManager", function(self)
local temp = {}
temp.receiver = nil
temp.lastClickObj = nil
temp.lastClickTime = 0
temp.doubleClickDelay = 300 --双击时间间隔 300毫秒
return temp
end)
function DoubleClickManager:ctor()
end
function DoubleClickManager:addClick(clickObj,receiver)
if(self.lastClickObj ~= nil)then
if(self.lastClickObj == clickObj)then
if(self:checkIsDoubleClick())then
return
end
else
--单击前一个物体
self.receiver:singleClick(self.lastClickObj)
end
end
self.receiver = receiver
self.lastClickObj = clickObj
self.lastClickTime = globalData.systemDateInfo:getSystemTime()
globalManager.tickManager:addTick(self.tick,self)
end
function DoubleClickManager:tick(delta,tickCount)
if(self.lastClickObj == nil)then return end
self:checkIsSingleClick()
end
function DoubleClickManager:checkIsSingleClick()
local nowTime = globalData.systemDateInfo:getSystemTime()
if(nowTime - self.lastClickTime >= 300)then
globalManager.tickManager:removeTick(self.tick,self)
self.receiver:singleClick(self.lastClickObj)
self.receiver = nil
self.lastClickObj = nil
return true
end
return false
end
function DoubleClickManager:checkIsDoubleClick()
local nowTime = globalData.systemDateInfo:getSystemTime()
if(nowTime - self.lastClickTime < 300)then
globalManager.tickManager:removeTick(self.tick,self)
self.receiver:doubleClick(self.lastClickObj)
self.receiver = nil
self.lastClickObj = nil
return true
end
return false
end
function DoubleClickManager:clear()
globalManager.tickManager:removeTick(self.tick,self)
self.receiver = nil
self.lastClickObj = nil
end
--##globalManager.soundManager
SoundManager = class("SoundManager", function(self)
local this = {}
--engine
this._en           = nil
this._soundDict    = {}
this._PreDict      = {}
this._musicDict    = {}
this._isSoundMute  = false
this._isMusicMute  = false
this._currentMusic = 0
--普通按钮
this.BTN            = "Sound1001"
--倒计时
this.COUNTDOWN      = "Sound1003"
--消息提示
this.MESSAGE        = "Sound1007"
--升级
this.UPLEVEL        = "Sound1008"
--铸造成功
this.FURNACESUCCESS = "Sound2005"
--获取铜币
this.GETGOLD        = "Sound5006"
return this;
end)
function SoundManager:ctor()
self._en = cc.SimpleAudioEngine:getInstance()
self:setMusicVolumn(0.2)
end
function SoundManager:preLoadSound(id)
if id == 0 then return end
local effectPath = globalManager.pathManager:getMusicPath(id)
self._en:preloadEffect(effectPath)
end
--播放音效
function SoundManager:playSound(id, loops, stopOther)
if id == 0 or globalData:isWin() then
return
end
--do return end
if self._isSoundMute == true then return end
if loops == nil then loops = 0 end
if stopOther == nil then stopOther = false end
if stopOther == true then self:stopAllSound() end
local effectPath = globalManager.pathManager:getMusicPath(id)
-- if self._PreDict[effectPath] == nil then
-- 	self._en:preloadEffect(effectPath)
-- 	self._PreDict[effectPath] = true
-- end
self._soundDict[id] = self._en:playEffect(effectPath)
end
--停止所有音效
function SoundManager:stopAllSound()
-- print("#SoundManager:stopAllSound")
for _,v in pairs(self._soundDict) do
self._en:stopEffect(v)
end
self._soundDict = {}
end
--设置音效音量
function SoundManager:setSoundVolumn(value)
self._en:setEffectsVolume(value)
end
--设置音效锁
function SoundManager:setSoundMute(value)
if self._isSoundMute ~= value then
self._isSoundMute = value
if value == true then
self:stopAllSound()
end
end
end
--播放背景音乐
function SoundManager:playMusic(id, force)
if globalData:isWin() then
return
end
if(self._currentMusic == id)then return end
self:stopMusic()
self._currentMusic = id
if self._isMusicMute == true then return end
local effectPath = globalManager.pathManager:getMusicPath(id)
self._en:playMusic(effectPath, true)
-- if(force ~= true and self._currentMusic == id)then return end
-- if(self._currentMusic ~= 0 and self._currentMusic ~= id)then self:stopMusic() end
end
function SoundManager:stopMusic()
if self._currentMusic ~= 0 then
self._en:stopMusic(false)
end
self._currentMusic = 0
end
--背景音乐音量
function SoundManager:setMusicVolumn(value)
self._en:setMusicVolume(value)
end
--背景音乐锁
function SoundManager:setMusicMute(value)
if self._isMusicMute == value then return end
self._isMusicMute = value
if self._isMusicMute == true then
self:stopMusic()
else
-- if self._currentMusic ~= 0 then
-- 	self:playMusic(self._currentMusic, true)
-- end
self:updateAndPlayCurrentMusic()
end
end
function SoundManager:updateAndPlayCurrentMusic()
local music = tonumber(globalData.allTemplates.mapTemplateList:getMap(globalData.currentMapId).music)
if(music <= 0)then
if(math.random() > 0.5)then
music = 1001
else
music = 1002
end
end
-- music = 1001
-- print("#music", music)
self:playMusic(music)
end
SourceCacheInfo = class("SourceCacheInfo",function(self,path,usePlist,clearType)
local sc = {}
sc.path = path
--是否有path同路径plist，添加和清除时处理
sc.usePlist = usePlist
--对应SourceStaticType里的clearType
sc.clearType = clearType
--引用计数
sc.quoteCount = 0
--计数为0时间
sc.startClearTime = 0
--回调，不作计数
sc._callbacks = {}
--0初始，1，等待，2已完成
sc.state = 0
return sc
end)
function SourceCacheInfo:doLoad()
local function callback(texture)
if(self.usePlist)then
local pathWithBack = string.sub(self.path,1,-5)
globalManager.ccCreator.sharedSpriteFrameCache:addSpriteFrames(pathWithBack..".plist")
end
self:complete()
end
globalManager.loaderManager:getPic(self.path, callback)
end
function SourceCacheInfo:complete()
self.state = 2
self:doCallback()
end
function SourceCacheInfo:addCallback(callback)
if(callback == nil)then return end
local len = table.getn(self._callbacks)
local add = true
for i = 1,len,1 do
if(self._callbacks[i] == callback)then
add = false
break
end
end
if(add)then
table.insert(self._callbacks,callback)
end
end
function SourceCacheInfo:doCallback()
local len = table.getn(self._callbacks)
for i = 1,len,1 do
if(self._callbacks[i] ~= nil)then
self._callbacks[i]()
end
end
self._callbacks = {}
end
function SourceCacheInfo:getPlistPath()
if(self.usePlist)then
return string.sub(self.path,1,-5)..".plist"
end
return nil
end
function SourceCacheInfo:addQuote()
self.quoteCount = self.quoteCount + 1
self.startClearTime = 100000000000000
end
function SourceCacheInfo:removeQuote(callback)
self.quoteCount = self.quoteCount - 1
if(self.quoteCount < 0)then
self.quoteCount = 0
end
if(self.quoteCount == 0 and self.clearType ~= globalData.allStaticTypes.sourceStaticType.changeSceneAndFiveM)then
self.startClearTime = globalData.systemDateInfo:getSystemTime()
end
if(callback ~= nil)then
local len = table.getn(self._callbacks)
for i = 1,len,1 do
if(callback == self._callbacks[i])then
table.remove(self._callbacks,i)
break
end
end
end
end
function SourceCacheInfo:shouldDelete()
if(self.clearType == globalData.allStaticTypes.sourceStaticType.neverClear)then
return false
elseif(self.quoteCount > 0)then
return false
elseif(self.clearType == globalData.allStaticTypes.sourceStaticType.clearImmediately)then
return true
elseif(self.clearType == globalData.allStaticTypes.sourceStaticType.clearFiveM)then
return globalData.systemDateInfo:getSystemTime() - self.startClearTime > 180000
else
return globalData.systemDateInfo:getSystemTime() - self.startClearTime > 180000
end
return false
end
function SourceCacheInfo:changeScene()
if(self.clearType == globalData.allStaticTypes.sourceStaticType.changeSceneAndFiveM)then
if(quoteCount == 0)then
self.startClearTime = globalData.systemDateInfo:getSystemTime()
end
end
end
function SourceCacheInfo:dispose()
globalManager.ccCreator:releaseTexture(self.path)
local plistPath = self:getPlistPath()
if(plistPath ~= nil)then
globalManager.ccCreator:releasePlist(plistPath)
end
self._callbacks = {}
end
--##globalManager.sourceCacheManager
SourceCacheManager = class("SourceCacheManager",function()
local sc = {}
--map<string,SourceCacheInfo>图片地址做索引
sc.pathList = {}
--vector<SourceCacheInfo>等待列表
sc.waitingList = {}
sc._selfTick = 0
return sc
end)
function SourceCacheManager:setup()
globalManager.tickManager:addTick(self.tick,self)
end
function SourceCacheManager:addQuote(path,usePlist,callback,clearType,toFront)
if(clearType == nil)then
clearType = globalData.allStaticTypes.sourceStaticType.neverClear
end
if(self.pathList[path] == nil)then
self.pathList[path] = SourceCacheInfo:new(path,usePlist,clearType)
end
local info = self.pathList[path]
info:addQuote()
if(info.state == 0)then
info.state = 1
info:addCallback(callback)
if(toFront ~= nil and toFront == true)then
table.insert(self.waitingList,1,info)
else
table.insert(self.waitingList,info)
end
elseif(info.state == 1)then
info:addCallback(callback)
elseif(info.state == 2)then
if(callback ~= nil)then
callback()
end
end
end
function SourceCacheManager:removeQuote(path,callback)
if(self.pathList[path] ~= nil)then
self.pathList[path]:removeQuote(callback)
end
end
function SourceCacheManager:addPlist(path,callback,clearType)
self:addQuote(path,true,callback,clearType)
end
--外部图片加载设置，不使用plist,image为ImageView或sprite
function SourceCacheManager:setImage(image,path,clearType,imageCallback,toFront)
clearType = clearType or globalData.allStaticTypes.sourceStaticType.clearFiveM
local callback = function()
--被回收时tmp为空
local tmp = tolua.cast(image,globalData.allStaticTypes.castType.Node)
if(tmp ~= nil and image ~= nil)then
local imageType = tolua.type(image)
local callImageCallback = false
if(imageType == globalData.allStaticTypes.castType.ImageView)then
callImageCallback = true
image:loadTexture(path)
elseif(imageType == globalData.allStaticTypes.castType.Sprite)then
callImageCallback = true
image:setTexture(path)
elseif(imageType == globalData.allStaticTypes.castType.Button)then
callImageCallback = true
image:loadTextureNormal(path)
end
if(callImageCallback and imageCallback ~= nil)then
imageCallback()
end
end
end
self:addQuote(path,false,callback,clearType,toFront)
end
function SourceCacheManager:tick(delta,tickCount)
self._selfTick = self._selfTick + 1
if(self._selfTick % 2 ~= 0)then return end
local len = table.getn(self.waitingList)
if(len > 0)then
local info = self.waitingList[1]
table.remove(self.waitingList,1)
info:doLoad()
-- info.state = 2
-- info:doCallback()
end
for k,v in pairs(self.pathList) do
if(v ~= nil)then
if(v:shouldDelete())then
v:dispose()
self.pathList[k] = nil
end
end
end
end
function SourceCacheManager:changeScene()
for k,v in pairs(self.pathList) do
if(v ~= nil)then
v:changeScene()
end
end
end
--##globalManager.tickManager
TickManager = class("TickManager",function()
local tm = {}
tm.ticks = {}
tm.currentTime = 0
-- tm.countmen = 120
tm._addSpeedCount = 0
tm._count = 0
tm._last = 0
return tm
end)
function TickManager:init(messageManager)
local function cTick(time)
self:enterFrame(time)
end
if(globalData:isAndroid())then
--安卓设置这个值是关闭游戏
messageManager:setTickFunc(cTick,99999999999)
else
messageManager:setTickFunc(cTick,1800000)
end
end
--param func
function TickManager:containTick(callback,target)
local len = table.getn(self.ticks)
for i = 1,len,1 do
if(self.ticks[i].func == callback and self.ticks[i].target == target) then
return i
end
end
return -1
end
function TickManager:getTickCount()
return table.getn(self.ticks)
end
--param func外部添加
function TickManager:addTick(callback,target)
local index = self:containTick(callback,target)
if(index == -1) then
table.insert(self.ticks,FunctionData:new(callback,target))
else
self.ticks[index].removeFlag = false
end
end
--param func外部删除
function TickManager:removeTick(callback,target)
local index = self:containTick(callback,target)
if(index > -1)then
self.ticks[index].removeFlag = true
end
end
--param float内部使用
function TickManager:enterFrame(tmpTime)
self._count = self._count + 1
-- if(self._count >= 60)then
-- self._count = 0
-- local dd = tmpTime - self._last
-- -- print(dd);
-- globalManager.containerManager:setDebugText(dd);
-- self._last = tmpTime
-- end
-- self.countmen = self.countmen - 1
-- if self.countmen < 0 then
--     print("当前内存："..collectgarbage("count"))
--     self.countmen = 120
-- end
-- print(socket.gettime())
-- local tmpTime = globalManager.messageManager:getTime()
-- local tmpTime = os.clock() * 1000
-- local tmpTime = socket.gettime() * 1000
local delta = (tmpTime - self.currentTime) / 1000
-- if(delta > 0.023)then
--     self._addSpeedCount = self._addSpeedCount + 1
-- else
--     self._addSpeedCount = 0
-- end
-- if(self._addSpeedCount > 10)then
--     self._addSpeedCount = 0
--     globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.global_clearAllData,globalManager.gameDispatcher,nil))
--     globalManager.containerManager:setCheckDisconnect(false)
--     globalManager.messageManager:close()
--     globalManager.moduleManager:addModule(globalData.allStaticTypes.moduleType.startLib,ToCommonModuleData:new(1),false)
-- end
-- delta = 0.016
local tickCount = math.floor(delta / globalData.FRAME_INTERVAL + 0.5)
-- print(delta,tickCount)
-- delta = 0.016667
-- tickCount = 1
-- self.currentTime = tmpTime
self.currentTime = self.currentTime + delta * 1000
local len = table.getn(self.ticks)
for i = len,1,-1 do
local fd = self.ticks[i]
if(fd ~= nil)then
if(fd.removeFlag == true)then
table.remove(self.ticks,i)
else
fd.func(fd.target,delta,tickCount)
end
end
end
end
TriggerManager = class("TriggerManager", function()
local tm = {}
--map<index,vector>
tm._waitingList = {}
tm._waitingIndex = 0
tm._waitingType = -1
--map<int,handler>
tm._triggerList = {}
return tm
end)
function TriggerManager:addTrigger(triggerHandler)
self._triggerList[triggerHandler:getType()] = triggerHandler
end
function TriggerManager:setup()
self:addTrigger(FlyTriggerHandler:new())
self:addTrigger(GuideTriggerHandler:new())
self:addTrigger(ModuleEventTriggerHandler:new())
self:addTrigger(PopupTriggerHandler:new())
self:addTrigger(TipsTriggerHandler:new())
self:addTrigger(WalkTriggerHandler:new())
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.trigger_next,self.gotoNextTriggerHandker,self)
end
function TriggerManager:setWaitingActionType(type)
self._waitingType = type
end
function TriggerManager:gotoNextTriggerHandker(evt)
if(evt.data ~= self._waitingType)then return end
self._waitingType = -1
self._waitingIndex = self._waitingIndex + 1
self:doHandlerList(self._waitingIndex)
end
function TriggerManager:doHandlerList(index)
local list = self._waitingList[index]
if(list ~= nil)then
local len = table.getn(list)
for i = len,1,-1 do
if(list[i] ~= nil) then
self:handler(list[i])
end
end
end
if(self._waitingList[index + 1] == nil)then
self._waitingList = {}
self._waitingIndex = 0
self._waitingType = -1
end
end
function TriggerManager:handler(info,param)
if(info.actionType == globalData.allStaticTypes.triggerEventType.waitToNext) then
self:setWaitingActionType(info.params[1])
return
end
local trigger = self._triggerList[info.type]
if(trigger ~= nil)then
trigger:handler(info,param)
end
end
--配置执行入口 list:vector<TriggerInfo>
function TriggerManager:handlerList(list)
local t = {}
local len = table.getn(list)
for i = 1,len,1 do
local info = list[i]
local group = info.group
if(t[group] == nil)then
t[group] = {}
end
if(info.actionType == globalData.allStaticTypes.triggerEventType.waitToNext)then
table.insert(t[group], 1, info)
else
table.insert(t[group], info)
end
end
self._waitingList = t
self._waitingIndex = 0
self:doHandlerList(self._waitingIndex)
end
ArenaFightBehavior = class("ArenaFightBehavior", function(self,sceneModule)
local temp = BaseFightBehavior:new(sceneModule)
temp._fightResult = nil
temp._bgPath = globalManager.pathManager:getUISource("outPic/arena_fightBg.png")
temp.type = 0
return temp
end)
--sign 0:胜利 1：失败 2:排名变化
function ArenaFightBehavior:init(fightResult,type)
self._isSelfWin = fightResult.sign == 0
self.type = type
self._fightResult = fightResult
self._selfInfoClone = self:cloneFigurePlayerInfo(globalData.selfPlayerInfo)
self._selfInfoClone.userId = -111
for __,rankItem in pairs(globalData.arena1Info.rankData) do
if(rankItem.rank == self._fightResult.rank)then
self._enemyInfoClone = self:cloneFigurePlayerInfo(rankItem.playerInfo)
self._enemyInfoClone.userId = -222
break
end
end
self:startFight()
end
--override 战斗结束：显示结果
function ArenaFightBehavior:showResult()
globalManager.tickManager:removeTick(self.tick, self)
self.sceneModule.controllerList.sceneController:showArenaResultPanel(self._fightResult,self.type)
end
--attackableRole:SceneAttackableRole,controller:sceneController
AttackBehaviorList = class("AttackBehaviorList",function(self,attackableRole,controller)
local ab = {}
ab._role = attackableRole
ab._controller = controller
ab._attack = nil
ab._behit = nil
ab._jump = nil
ab._roleShake = nil
return ab
end)
function AttackBehaviorList:getAttack()
if(self._attack == nil)then
self._attack = RoleAttackBehavior:new(self._role,self._controller)
end
return self._attack
end
function AttackBehaviorList:getBehit()
if(self._behit == nil)then
self._behit = RoleBehitBehavior:new(self._role,self._controller)
end
return self._behit
end
function AttackBehaviorList:getJump()
if(self._jump == nil)then
self._jump = RoleJumpBehavior:new(self._role)
end
return self._jump
end
function AttackBehaviorList:getShake()
if(self._roleShake == nil)then
self._roleShake = RoleShakeBehavior:new(self._role)
end
return self._roleShake
end
--info:BehaviorInfo
function AttackBehaviorList:doBehavior(info)
if(info == nil)then return end
if(info.type == globalData.allStaticTypes.behaviorType.attack)then
self:getAttack():init(info)
elseif(info.type == globalData.allStaticTypes.behaviorType.behit)then
self:getBehit():init(info)
end
end
function AttackBehaviorList:doJump(target,type)
self._role:getObjInfo():setPath(nil)
self:getJump():init(target,type)
end
function AttackBehaviorList:stopJump()
if(self._jump ~= nil)then
self._jump:doComplete()
end
end
function AttackBehaviorList:doRoleShake()
self:getShake():init()
end
function AttackBehaviorList:dispose()
self._role = nil
self._controller = nil
if(self._attack ~= nil)then
self._attack:dispose()
self._attack = nil
end
if(self._behit ~= nil)then
self._behit:dispose()
self._behit = nil
end
if(self._jump ~= nil)then
self._jump:dispose()
self._jump = nil
end
if(self._roleShake ~= nil)then
self._roleShake:dispose()
self._roleShake = nil
end
end
--需要重载的方法，1：传入2个角色的playerInfo， 2:战斗结束处理操作
BaseFightBehavior = class("BaseFightBehavior", function(self,sceneModule)
local temp = {}
temp.sceneModule = sceneModule
temp._uiWidget = nil
temp._background0 = nil
temp._background = nil
temp._bgPath = nil
temp._tickCount = 0
temp._players = {}
temp._fightOver = false
temp.PLAYER_SPEED = 4
temp.PLAYER1_X = 380
temp.PLAYER2_X = 580
temp.PLAYER_Y = 395
temp.RUN_OFFSET = 300
temp.FIGHT_COUNT = 10
temp.fightDamage = 100
temp._countDownLabel = nil
temp._selfInfoClone = nil --自己信息克隆
temp._enemyInfoClone = nil --地方信息克隆
temp._isSelfWin = true --己方是否胜利
temp._count = 0
temp._time = 0
return temp
end)
function BaseFightBehavior:ctor()
self.PLAYER1_X = self.PLAYER1_X + (globalData.GAME_WIDTH - 960) / 2
self.PLAYER2_X = self.PLAYER2_X + (globalData.GAME_WIDTH - 960) / 2
self.PLAYER_Y = self.PLAYER_Y + (globalData.GAME_HEIGHT - 640) / 2
end
function BaseFightBehavior:startFight()
self:initEvent()
if(self._selfInfoClone == nil
or self._enemyInfoClone == nil)then
self:showResult()
return
end
self.sceneModule.controllerList.sceneController:updateArenaMovie(true)
--停止挂机、走路
self.sceneModule.attackTester:stopAFK()
self.sceneModule.clearPathTester:stopMoving()
self._tickCount = 0
self._fightOver = false
self:createBg()
if(self._isSelfWin)then
self._selfInfoClone.totalHp = self.fightDamage * 10
self._enemyInfoClone.totalHp = self.fightDamage * 7
else
self._selfInfoClone.totalHp = self.fightDamage * 7
self._enemyInfoClone.totalHp = self.fightDamage * 10
end
self:createRole(self._selfInfoClone,true)
self:createRole(self._enemyInfoClone,false)
self:showCountDown()
end
function BaseFightBehavior:initEvent()
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.global_reconnect,self.stop,self)
end
function BaseFightBehavior:removeEvent()
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.global_reconnect,self.stop,self)
end
function BaseFightBehavior:showCountDown()
self._count = 3
self._time = 60
self._countDownLabel = globalManager.ccCreator:newBMFont()
self._countDownLabel:setColor(globalData.allStaticTypes.colorType.COLORORANGE)
globalManager.containerManager.tipContainer:addChild(self._countDownLabel)
self._countDownLabel:setPosition(cc.p(globalData.GAME_WIDTH / 2,globalData.GAME_HEIGHT / 2))
self._countDownLabel:setText("3")
globalManager.tickManager:addTick(self.timeTick,self)
end
function BaseFightBehavior:timeTick(delta,count)
if(self._fightOver)then
self:showResult()
return
end
self._time = self._time - 1
if(self._time <= 0) then
self._time = 60
self._count = self._count - 1
if(self._count == 0) then
globalManager.tickManager:removeTick(self.timeTick,self)
self._countDownLabel:setText("")
globalManager.tickManager:addTick(self.tick, self)
else
self._countDownLabel:setText(self._count)
end
end
self._countDownLabel:setScale(self._time / 15)
end
function BaseFightBehavior:cloneFigurePlayerInfo(playerInfo)
local info = FigurePlayerInfo:new()
local styleList = playerInfo.characterInfo:getStyleBin()
for k,v in pairs(styleList) do
info.characterInfo:setStyleBin(k,v)
end
info.serverId = playerInfo.serverId
info.userId = -playerInfo.userId
info.combat = playerInfo.combat
info:setCareer(playerInfo.characterInfo.career)
info.nick = playerInfo.nick
info.level = playerInfo.level
return info
end
function BaseFightBehavior:stop()
self:removeEvent()
self.sceneModule.controllerList.sceneController:updateArenaMovie(false)
globalManager.tickManager:removeTick(self.timeTick, self)
globalManager.tickManager:removeTick(self.tick, self)
globalManager.sourceCacheManager:removeQuote(self._bgPath)
for __,player in pairs(self._players) do
self.sceneModule.sceneInfo.scenePlayerList:removePlayer(player:getObjId())
end
self._players = {}
self._selfInfoClone = nil
self._enemyInfoClone = nil
if(self._uiWidget ~= nil)then
globalManager.ccCreator:release(self._uiWidget)
self._uiWidget = nil
end
if(self._background0 ~= nil)then
globalManager.ccCreator:release(self._background0)
self._background0 = nil
end
if(self._background ~= nil)then
globalManager.ccCreator:release(self._background)
self._background = nil
end
if(self._countDownLabel ~= nil)then
globalManager.ccCreator:release(self._countDownLabel)
self._countDownLabel = nil
end
end
function BaseFightBehavior:showResult()
print("=============BaseFightBehavior:showResult()没有被重载，请检查==================")
end
function BaseFightBehavior:createBg()
local function btnSkipHandler(sender, eventType)
if eventType == TOUCH_EVENT_ENDED then
self._fightOver = true
end
end
self._uiWidget = globalManager.ccCreator:newJsonWidget("FightUI")
globalManager.containerManager.tipContainer:addChild(self._uiWidget)
self._uiWidget:setPositionX((globalData.GAME_WIDTH - 960) / 2)
self._uiWidget:getChildByName("headView1"):getChildByName("levelLabel"):setText(self._selfInfoClone.level)
self._uiWidget:getChildByName("headView2"):getChildByName("levelLabel"):setText(self._enemyInfoClone.level)
self._uiWidget:getChildByName("headView1"):getChildByName("nameLabel"):setText(self._selfInfoClone.nick)
self._uiWidget:getChildByName("headView2"):getChildByName("nameLabel"):setText(self._enemyInfoClone.nick)
self._uiWidget:getChildByName("headView1"):getChildByName("headIcon"):loadTexture(globalData.allStaticTypes.careerType:getHeadPath(self._selfInfoClone.characterInfo.career),1)
self._uiWidget:getChildByName("headView2"):getChildByName("headIcon"):loadTexture(globalData.allStaticTypes.careerType:getHeadPath(self._enemyInfoClone.characterInfo.career),1)
local btnSkip = self._uiWidget:getChildByName("btnSkip")
if(globalData.selfPlayerInfo.level >= globalData.newModuleLevelConfig.arenaJumpLevel) then
btnSkip:addTouchEventListener(btnSkipHandler)
else
btnSkip:setEnabled(false)
end
self._background0 = globalManager.ccCreator:newImageView("board/ui_board19.png",1)
self._background0:setColor(globalData.allStaticTypes.colorType.COLORBLACK)
self._background0:setTouchEnabled(true)
self._background0:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[7])
self._background0:setScale9Enabled(true)
self._background0:setCapInsets(cc.rect(4,4,1,1))
self._background0:setSize(globalManager.ccCreator:newSize(globalData.GAME_WIDTH,globalData.GAME_HEIGHT))
globalManager.containerManager.mapMiddleContainer:addChild(self._background0)
self._background = globalManager.ccCreator:newImageView()
self._background:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[7])
self._background:setPosition(cc.p((globalData.GAME_WIDTH - 1200) / 2,(globalData.GAME_HEIGHT - 640) / 2))
globalManager.containerManager.mapMiddleContainer:addChild(self._background)
globalManager.sourceCacheManager:setImage(self._background,self._bgPath,globalData.allStaticTypes.sourceStaticType.clearFiveM)
end
function BaseFightBehavior:createRole(playerInfo,isLeft)
local player = ScenePlayerInfo:new(self.sceneModule,playerInfo)
player.isVirsual = true
player:setObjId(playerInfo.userId)
player:setTotalHp(playerInfo.totalHp)
player:setCurrentHp(playerInfo.totalHp)
player.stateInfo:setServerState(1)
local playerX = 0
local playerY = 0
local pathList = nil
if(isLeft)then
playerX = self.PLAYER1_X - self.RUN_OFFSET - globalManager.containerManager.mapContainer:getPositionX()
playerY = self.PLAYER_Y + globalManager.containerManager.mapContainer:getPositionY()
pathList = {cc.p(playerX,playerY),cc.p(playerX + self.RUN_OFFSET,playerY)}
else
playerX = self.PLAYER2_X + self.RUN_OFFSET - globalManager.containerManager.mapContainer:getPositionX()
playerY = self.PLAYER_Y + globalManager.containerManager.mapContainer:getPositionY()
pathList = {cc.p(playerX,playerY),cc.p(playerX - self.RUN_OFFSET,playerY)}
end
player:setScenePos(cc.p(playerX,playerY))
player:setPath(pathList,nil,0)
player.speed = self.PLAYER_SPEED
self.sceneModule.sceneInfo.scenePlayerList:addPlayer(player)
table.insert(self._players,player)
end
function BaseFightBehavior:tick(delta, count)
if(self._fightOver)then
self:showResult()
return
end
if(self._tickCount % 50 == 0)then
self:createSkill(true)
self:createSkill(false)
self:updateHpBar()
end
self._tickCount = self._tickCount + 1
end
--随机获取职业技能
function BaseFightBehavior:getRndSkill(career)
local skills = nil
if(career == 1)then
skills = {4113}
elseif(career == 2)then
skills = {4131,4132,4133}
end
local index = math.random(1,#skills)
return skills[index]
end
--血条更新
function BaseFightBehavior:updateHpBar()
if(self._uiWidget == nil)then return end
local myInfo = self.sceneModule.sceneInfo:getAttackableRoleInfo(globalData.allStaticTypes.sceneObjType.player,self._selfInfoClone.userId)
local enemyInfo = self.sceneModule.sceneInfo:getAttackableRoleInfo(globalData.allStaticTypes.sceneObjType.player,self._enemyInfoClone.userId)
self._uiWidget:getChildByName("headView1"):getChildByName("hpBar"):setPercent(math.floor(myInfo:getCurrentHp() / myInfo:getTotalHp() * 100))
self._uiWidget:getChildByName("headView2"):getChildByName("hpBar"):setPercent(math.floor(enemyInfo:getCurrentHp() / enemyInfo:getTotalHp() * 100))
end
function BaseFightBehavior:createSkill(isLeft)
local attackPlayer = nil
local defendPlayer = nil
if(isLeft)then
attackPlayer = self._players[1].figureInfo
defendPlayer = self._players[2].figureInfo
else
attackPlayer = self._players[2].figureInfo
defendPlayer = self._players[1].figureInfo
end
local attackType = globalData.allStaticTypes.sceneObjType.player
local attackId = attackPlayer.userId
local skillId = self:getRndSkill(globalData.allStaticTypes.careerType:getCareer(attackPlayer.characterInfo.career))
local skillLevel = 1
local skillX = 0
if(isLeft)then
skillX = self.PLAYER1_X - globalManager.containerManager.mapContainer:getPositionX()
else
skillX = self.PLAYER2_X - globalManager.containerManager.mapContainer:getPositionX()
end
local skillY = self.PLAYER_Y + globalManager.containerManager.mapContainer:getPositionY()
local attackState = 1
local attackRoleInfo = self.sceneModule.sceneInfo:getAttackableRoleInfo(attackType,attackId)
local behaviorInfo = BehaviorInfo:new()
behaviorInfo.type = globalData.allStaticTypes.behaviorType.behit
behaviorInfo.attackId = attackId
behaviorInfo.skillX = skillX
behaviorInfo.skillY = skillY
behaviorInfo.attackType = attackType
behaviorInfo.skillTemplateId = skillId
behaviorInfo.skillLevel = skillLevel
behaviorInfo.behitId = defendPlayer.userId
behaviorInfo.behitType = globalData.allStaticTypes.sceneObjType.player
--受击者
local roleInfo = self.sceneModule.sceneInfo:getAttackableRoleInfo(behaviorInfo.behitType,behaviorInfo.behitId)
local bloodLen = 1
local tmpHp = nil
if(roleInfo ~= nil) then
tmpHp = roleInfo:getCurrentHp()
end
for j = 1,bloodLen,1 do
behaviorInfo.currentHp = roleInfo:getCurrentHp() - math.random(1,self.fightDamage * 0.2) - self.fightDamage
if(behaviorInfo.currentHp < 0)then
self._fightOver = true
end
if(roleInfo ~= nil)then
table.insert(behaviorInfo.dHps, behaviorInfo.currentHp - tmpHp)
tmpHp = behaviorInfo.currentHp
end
table.insert(behaviorInfo.attackResultTypes, 1)
end
local targetState = 1
if(roleInfo ~= nil)then
roleInfo:setServerState(targetState)
local sceneObj = self.sceneModule.controllerList:getAttackableRole(behaviorInfo.behitType,behaviorInfo.behitId)
if(sceneObj ~= nil)then
sceneObj:doBehavior(behaviorInfo)
end
if(roleInfo.stateInfo:getIsDead() and self.sceneModule.sceneInfo:getCurrentSelectObjInfo() == roleInfo)then
self.sceneModule.sceneInfo:setCurrentSelectObjInfo(nil)
end
--血量最后写入，防止怪物死了。
roleInfo:setCurrentHp(behaviorInfo.currentHp)
end
local attackBehavior = BehaviorInfo:new()
attackBehavior.type = globalData.allStaticTypes.behaviorType.attack
attackBehavior.attackId = attackId
attackBehavior.attackType = attackType
attackBehavior.skillX = -1
attackBehavior.skillY = -1
attackBehavior.behitId = defendPlayer.userId
attackBehavior.behitType = globalData.allStaticTypes.sceneObjType.player
attackBehavior.skillTemplateId = skillId
attackBehavior.skillLevel = skillLevel
if(attackRoleInfo ~= nil)then
attackRoleInfo:setServerState(attackState)
local attackSceneRole = self.sceneModule.controllerList:getAttackableRole(attackBehavior.attackType,attackBehavior.attackId)
if(attackSceneRole ~= nil)then
attackSceneRole:doBehavior(attackBehavior)
end
end
end
BehaviorInfo = class("BehaviorInfo",function()
local bh = {}
--类型，behaviorType
bh.type = 0
--攻击结果,behaviorType
bh.attackResultTypes = {}
--攻击者
bh.attackId = 0
bh.attackType = 0
bh.attackName = ""
bh.skillTemplateId = 0
bh.skillLevel = 0
--被击者
bh.behitId = 0
bh.behitType = 0
bh.behitName = ""
--群攻技能位置
bh.skillX = -1
bh.skillY = -1
--当前HP
bh.currentHp = 0
--hp差值vector<int>
bh.dHps = {}
bh.isHitBack = 0
bh.hitBackPos = nil
return bh
end)
function BehaviorInfo:attackIsSelf()
return ((globalData.allStaticTypes.sceneObjType:isPlayer(self.attackType) or globalData.allStaticTypes.sceneObjType:isPet(self.attackType) or globalData.allStaticTypes.sceneObjType:isPartner(self.attackType)) and (self.attackId == globalData.selfPlayerInfo.userId))
end
function BehaviorInfo:behitIsSelf()
return ((globalData.allStaticTypes.sceneObjType:isPlayer(self.behitType) or globalData.allStaticTypes.sceneObjType:isPet(self.behitType) or globalData.allStaticTypes.sceneObjType:isPartner(self.behitType)) and (self.behitId == globalData.selfPlayerInfo.userId))
end
function BehaviorInfo:attackIsPet()
return globalData.allStaticTypes.sceneObjType:isPet(self.attackType)
end
function BehaviorInfo:attackIsPartner()
return globalData.allStaticTypes.sceneObjType:isPartner(self.attackType)
end
FireworkBehavior = class("FireworkBehavior",function(self,controller)
local fb = {}
fb._controller = controller
fb._createTick = 0
fb._createCount = 0
fb._count = 0
fb._time = 0
fb._type = 0
fb._colorList = {cc.c3b(220,20,60),cc.c3b(255,53,154),cc.c3b(255,0,255),cc.c3b(0,202,202),cc.c3b(40,255,40),cc.c3b(255,215,0),cc.c3b(238,130,238),
cc.c3b(0,255,255),cc.c3b(154,255,2),cc.c3b(249,249,0),cc.c3b(255,88,9),cc.c3b(255,0,128),cc.c3b(124,252,0),cc.c3b(0,250,154)}
return fb
end)
function FireworkBehavior:init(type)
if(self._count > 0 and self._type > type) then return end
self._type = type
if(self._type == 97) then
self._createTick = 30
self._createCount = 3
elseif(self._type == 98) then
self._createTick = 30
self._createCount = 9
elseif(self._type == 99) then
self._createTick = 15
self._createCount = 20
else
return
end
self:clear()
self._time = self._createTick
self._count = 0
globalManager.tickManager:addTick(self.tick,self)
end
function FireworkBehavior:tick(delta,count)
self._time = self._time + 1
if(self._time > self._createTick) then
self._time = 0
local random = math.floor(math.random(#self._colorList))
local point = globalManager.ccCreator:newPoint(150 + math.random(globalData.GAME_WIDTH - 300),150 + math.random(globalData.GAME_HEIGHT - 300))
local firework1 = FireworkItemView:new(self._colorList[random],120,16,0)
local firework2 = FireworkItemView:new(self._colorList[random],80,8,20)
firework1:setPosition(point)
firework2:setPosition(point)
globalManager.containerManager.tipContainer:addChild(firework1)
globalManager.containerManager.tipContainer:addChild(firework2)
self._count = self._count + 1
if(self._count >= self._createCount) then
self:clear()
end
end
end
function FireworkBehavior:clear()
globalManager.tickManager:removeTick(self.tick,self)
self._count = 0
end
function FireworkBehavior:dispose()
self:clear()
self._controller = nil
end
FireworkItemView = class("FireworkItemView",function(self,color,time,count,delta)
local fiv = globalManager.ccCreator:newWidget()
fiv._fireImageList = {}
fiv._layerList = {}
fiv._time = time--持续帧数
fiv._count = count--喷发数量
fiv._color = color
fiv._delta = delta
fiv._offsetSpeed = {}
fiv._offsetScale = {}
fiv._cooldownTime = math.floor(fiv._time / 2)
fiv._timeCount = 0
fiv._offsetX = 0
fiv._isDelta = false
fiv._path = globalManager.pathManager:getUISource("outPic/firework.png")
return fiv
end)
function FireworkItemView:ctor()
local half = math.floor(self._count / 2)
for i = 1,self._count,1 do
local fireImage = globalManager.ccCreator:newImageView()
globalManager.sourceCacheManager:setImage(fireImage,self._path,globalData.allStaticTypes.sourceStaticType.clearFiveM)
fireImage:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[5])
fireImage:setScaleX(0.01)
local color = cc.c3b(self._color.r + math.random(200)-100,self._color.g + math.random(200)-100,self._color.b + math.random(200)-100)
if(color.r > 255) then color.r = 255
elseif(color.r < 0) then color.r = 0
end
if(color.g > 255) then color.g = 255
elseif(color.g < 0) then color.g = 0
end
if(color.b > 255) then color.b = 255
elseif(color.b < 0) then color.b = 0
end
fireImage:setColor(color)
local layer = globalManager.ccCreator:newWidget()
layer:setRotation(360 / self._count * i + math.random(40)-20)
self:addChild(layer)
table.insert(self._layerList,layer)
layer:addChild(fireImage)
table.insert(self._fireImageList,fireImage)
if(i < half) then
local down = math.floor(half / 2)
local offset = math.abs(down - i) / down * 0.9
if(offset < 0.2) then offset = 0.2 end
table.insert(self._offsetSpeed,offset)
else
table.insert(self._offsetSpeed,1)
end
self._offsetScale[i] = math.random(5)*0.1 + 0.7
end
globalManager.tickManager:addTick(self.tick,self)
end
function FireworkItemView:tick(delta,count)
self._timeCount = self._timeCount + 1
if(not self._isDelta) then
if(self._timeCount > self._delta) then
self._isDelta = true
self._timeCount = 0
end
return
end
if(self._timeCount > self._time) then
self:dispose()
elseif(self._timeCount < self._cooldownTime) then
for i = 1,self._count,1 do
self._offsetX = self._offsetX + (self._cooldownTime - self._timeCount) / self._cooldownTime * 0.07 * self._offsetSpeed[i] + 0.03
self._fireImageList[i]:setPositionX(self._offsetX)
self._fireImageList[i]:setScaleX(self._timeCount*0.015 * self._offsetSpeed[i] * self._offsetScale[i])
end
else
for i = 1,self._count,1 do
self._offsetX = self._offsetX + 0.2*self._offsetSpeed[i]
self._fireImageList[i]:setPositionX(self._offsetX)
self._fireImageList[i]:setOpacity((self._time - self._timeCount) / (self._time - self._cooldownTime) * 255)
self._fireImageList[i]:setScaleX((self._time - self._timeCount)*0.015 * self._offsetSpeed[i] * self._offsetScale[i])
end
end
end
function FireworkItemView:dispose()
globalManager.tickManager:removeTick(self.tick,self)
for i = 1,self._count,1 do
globalManager.ccCreator:release(self._fireImageList[i])
globalManager.ccCreator:release(self._layerList[i])
end
self._fireImageList = nil
self._offsetSpeed = nil
self._offsetScale = nil
self._layerList = nil
self._color = nil
globalManager.sourceCacheManager:removeQuote(self._path)
self._path = nil
globalManager.ccCreator:release(self)
end
FlowerBehavior = class("FlowerBehavior",function(self,controller)
local fb = {}
fb._controller = controller
fb._followItems = {}
fb._followItemInfos = {}
fb._createTick = 100
fb._clearTick = 600
fb._type = 1
fb._followPath = {globalManager.pathManager:getUISource("outPic/flower1.png"),globalManager.pathManager:getUISource("outPic/flower2.png")}
fb._followPath2 = {globalManager.pathManager:getUISource("outPic/flower3.png"),globalManager.pathManager:getUISource("outPic/flower4.png")}
fb._followPath3 = {globalManager.pathManager:getUISource("outPic/flower5.png"),globalManager.pathManager:getUISource("outPic/flower6.png")}
return fb
end)
function FlowerBehavior:init(type)
self:clear()
self._type = type
self:doInitCreate()
self._createTick = 100
self._clearTick = 600
globalManager.tickManager:addTick(self.tick,self)
end
function FlowerBehavior:doInitCreate()
for i = 1,30,1 do
self:createRandomItem()
end
end
function FlowerBehavior:tick(deltaTime,tickCount)
self._createTick = self._createTick - 1
self._clearTick = self._clearTick - 1
if(self._createTick > 0)then
self:createRandomItem()
end
local len = #self._followItemInfos
if(len == 0 or self._clearTick <= 0) then
self:clear()
return
end
for i = len,1,-1 do
local info = self._followItemInfos[i]
local img = self._followItems[i]
info:tick()
if(info:isEnd())then
globalManager.ccCreator:release(img)
if(self._type == 1) then
globalManager.sourceCacheManager:removeQuote(self._followPath[self._followItemInfos[i].path])
elseif(self._type == 2) then
globalManager.sourceCacheManager:removeQuote(self._followPath2[self._followItemInfos[i].path])
else
globalManager.sourceCacheManager:removeQuote(self._followPath3[self._followItemInfos[i].path])
end
table.remove(self._followItemInfos,i)
table.remove(self._followItems,i)
else
img:setPosition(info.currentX,info.currentY)
img:setScale(info.scale)
img:setRotation(info.currentRotation)
end
end
end
function FlowerBehavior:createRandomItem()
local info = nil
if(self._type == 1) then
info = FollowItemInfo:new(globalData.GAME_WIDTH * math.random(),200 * math.random(),math.random() * 4 - 2,math.random() * 8,
math.random() * 0.5 + 0.3,math.random() * 0.01,math.random() * 360,math.random() * 2,math.random())
else
info = FollowItemInfo:new(globalData.GAME_WIDTH * math.random(),globalData.GAME_HEIGHT - 200 * math.random(),math.random() * 4 - 2,-math.random() * 8,
math.random() * 0.3 + 0.3,math.random() * 0.005,math.random() * 360,math.random() * 2,math.random())
end
table.insert(self._followItemInfos,info)
local img = globalManager.ccCreator:newImageView()
-- globalManager.containerManager.effectContainer:addChild(img)
globalManager.containerManager.tipContainer:addChild(img)
table.insert(self._followItems,img)
if(self._type == 1) then
globalManager.sourceCacheManager:setImage(img,self._followPath[info.path],globalData.allStaticTypes.sourceStaticType.clearFiveM)
elseif(self._type == 2) then
globalManager.sourceCacheManager:setImage(img,self._followPath2[info.path],globalData.allStaticTypes.sourceStaticType.clearFiveM)
else
globalManager.sourceCacheManager:setImage(img,self._followPath3[info.path],globalData.allStaticTypes.sourceStaticType.clearFiveM)
end
end
function FlowerBehavior:clear()
globalManager.tickManager:removeTick(self.tick,self)
local len = #self._followItems
for i = 1,len,1 do
if(self._type == 1) then
globalManager.sourceCacheManager:removeQuote(self._followPath[self._followItemInfos[i].path])
elseif(self._type == 2) then
globalManager.sourceCacheManager:removeQuote(self._followPath2[self._followItemInfos[i].path])
else
globalManager.sourceCacheManager:removeQuote(self._followPath3[self._followItemInfos[i].path])
end
globalManager.ccCreator:release(self._followItems[i])
end
self._followItems = {}
self._followItemInfos = {}
end
function FlowerBehavior:dispose()
self:clear()
self._followItems = nil
self._followItemInfos = nil
self._followPath = nil
self._followPath2 = nil
self._followPath3 = nil
self._controller = nil
end
RoleAttackBehavior = class("RoleAttackBehavior",function(self,attackRole,controller)
local ra = {}
ra._behaviorInfo = nil
--SceneAttackableRole
ra._role = attackRole
--ControllerList
ra._controller = controller
ra._tickCount = 0
ra._skillTemplate = nil
ra._maxTick = 0
ra.attackPoint = nil
ra.targetPoint = nil
ra.behiter = nil
return ra
end)
--data:BehaviorInfo
function RoleAttackBehavior:init(data)
self:clear()
self._behaviorInfo = data
self._skillTemplate = globalData.allTemplates.skillTemplateList:getSkillTemplate(self._behaviorInfo.skillTemplateId)
if(self._role ~= nil and self._role:getParent() ~= nil and self._skillTemplate ~= nil)then
if(self._maxTick > 0)then
globalManager.tickManager:addTick(self.tick,self)
else
self:tick(1,1)
end
end
end
function RoleAttackBehavior:tick(deltaTime,tickCount)
if(self._role == nil or self._role:getParent() == nil or self._behaviorInfo == nil or self._skillTemplate == nil or self._tickCount > self._maxTick)then
self:clear()
return
end
if(self._tickCount == 0)then
self.attackPoint = self._role:getScenePos()
if(self._behaviorInfo.skillX ~= -1 and self._behaviorInfo.skillY ~= -1)then
self.targetPoint = globalManager.ccCreator:newPoint(self._behaviorInfo.skillX,self._behaviorInfo.skillY)
elseif(self._behaviorInfo.behitId ~= -1)then
self.behiter = self._controller.sceneModule.controllerList:getAttackableRole(self._behaviorInfo.behitType,self._behaviorInfo.behitId)
if(self.behiter ~= nil)then
self.targetPoint = self.behiter:getBehitPos()
end
end
if(self.targetPoint ~= nil and globalManager.commonUtils:pointEquals(self.attackPoint,self.targetPoint) == false)then
self._role:getObjInfo():updateDir(globalData.allStaticTypes.directType:getDir(self.attackPoint,self.targetPoint))
end
if(self._skillTemplate ~= nil)then
if(self._skillTemplate.playAction)then
self._role:playAttack()
else
self._role:cancelAnima()
end
end
-- if(self._behaviorInfo:attackIsSelf())then
--     self:doSkillTip(self._behaviorInfo.skillTemplateId,self._behaviorInfo.attackName)
-- end
end
--攻击特效
if(self._tickCount == self._skillTemplate.hitEffectDelay)then
--
if(globalData.gameSetting.effectToggle and self._role:getFigureVisible())then
if(self.targetPoint ~= nil)then
--武器特效
if(self._skillTemplate.showWeaponEffect)then
-- if(globalData.allStaticTypes.sceneObjType:isPlayer(self._role:getObjInfo():getObjType())) then
--     local dir = self._role:getObjInfo():getDir()
--     local career = self._role:getObjInfo().figureInfo.characterInfo.career
--     local effectId, scale = globalData.allTemplates.effectTemplateList:getWeaponEffectAndScale(career, dir)
--     if(effectId > 0) then
--         local effect, eInfo = globalManager.effectCreator:create(effectId)
--         if(effect ~= nil) then
--             effect:setScaleDir(scale)
--             self._role:addChild(effect, 3)
--             effect:play()
--         end
--     end
-- end
end
--技能特效
local hitEffectTemplate = globalData.allTemplates.effectTemplateList:getTemplateInfo(self._skillTemplate.attackEffect)
if(hitEffectTemplate ~= nil)then
globalManager.effectCreator:setEffect(self._skillTemplate.attackEffect, self.attackPoint, self.targetPoint)
end
end
end
end
if(self._role:getObjId() == globalData.selfPlayerInfo.userId)then
--震屏
if(globalData.gameSetting.shakeToggle)then
if(self._tickCount == self._skillTemplate.shakeDelay)then
if(self._skillTemplate.isShake)then
self._controller.sceneModule.shakeBehavior:init()
end
end
end
end
self._tickCount = self._tickCount + 1
end
-- function RoleAttackBehavior:doSkillTip(skillId,attackName)
--     if(skillId == globalData.allTemplates.skillTemplateList.DATISKILL1)then
--         globalManager.tipsManager.quickTip:show("你把"..attackName.."击飞")
--     elseif(skillId == globalData.allTemplates.skillTemplateList.DATISKILL2)then
--         globalManager.tipsManager.quickTip:show("你把"..attackName.."迷乱")
--     end
-- end
function RoleAttackBehavior:clear()
globalManager.tickManager:removeTick(self.tick,self)
self._tickCount = 0
self._skillTemplate = nil
self._maxTick = 0
end
function RoleAttackBehavior:dispose()
self:clear()
self._behaviorInfo = nil
self._role = nil
self._controller = nil
self.attackPoint = nil
self.targetPoint = nil
self.behiter = nil
end
RoleBehitBehavior = class("RoleBehitBehavior",function(self,role,controller)
local rb = {}
rb._IMMEDIATE_COUNT = 100000
--SceneAttackableRole
rb._role = role
rb._roleInfo = role:getObjInfo()
rb._behaviorInfo = nil
--ControllerList
rb._controller = controller
rb._sceneInfo = controller.sceneInfo
rb._skillTemplate = nil
rb._maxCount = 0
rb._tickCount = 0
return rb
end)
--data:BehaviorInfo
function RoleBehitBehavior:init(data)
if(self._tickCount >= 0 and self._tickCount < self._maxCount)then
self._tickCount = self._IMMEDIATE_COUNT
self:tick(1,1)
end
self:clear()
self._behaviorInfo = data
self._skillTemplate = globalData.allTemplates.skillTemplateList:getSkillTemplate(self._behaviorInfo.skillTemplateId)
if(self._role ~= nil and self._role:getParent() ~= nil and self._skillTemplate ~= nil)then
self._maxCount = self._skillTemplate:getMaxBehitDelay()
if(self._maxCount == 0)then self._maxCount = 1 end
globalManager.tickManager:addTick(self.tick,self)
end
end
function RoleBehitBehavior:tick(deltaTime,tickCount)
if(self._role == nil or self._role:getParent() == nil or self._skillTemplate == nil or (self._tickCount > self._maxCount and self._tickCount ~= self._IMMEDIATE_COUNT))then
self:clear()
return
end
--死亡或被击
if(self._tickCount == self._skillTemplate.behitActionDelay or self._tickCount == self._IMMEDIATE_COUNT)then
if(self._roleInfo.stateInfo:getIsDead() or self._roleInfo:getCurrentHp() <= 0)then
--            self._role:playDead()
if(globalData.allStaticTypes.sceneObjType:isMonster(self._roleInfo:getObjType()) and self._behaviorInfo:attackIsSelf())then
local attacker = self._sceneInfo:getAttackableRoleInfo(self._behaviorInfo.attackType,self._behaviorInfo.attackId)
if(attacker ~= nil)then
local selfP = self._roleInfo:getPosition()
local angle = globalData.allStaticTypes.directType:getRadian(attacker:getPosition(), selfP)
-- self._roleInfo:updateDir(globalData.allStaticTypes.directType:getDir(selfP,attacker:getPosition()))
local p = globalManager.ccCreator:newPoint(math.cos(angle) * 200 + selfP.x, math.sin(angle) * 200 + selfP.y)
self._controller.sceneModule.jumpTester:otherDoJump(self._roleInfo:getObjId(),self._roleInfo:getObjType(),p,4)
end
end
else
if(self._skillTemplate:isAttack())then
self._role:playBehit()
self._role:doShake()
end
if(self._behaviorInfo:behitIsSelf())then
--自己受攻击，自动选中目标
if(self._sceneInfo:getCurrentSelectObjInfo() == nil)then
local attacker = self._sceneInfo:getAttackableRoleInfo(self._behaviorInfo.attackType,self._behaviorInfo.attackId)
if(attacker ~= nil)then
if(attacker:canBeSelect())then
self._sceneInfo:setCurrentSelectObjInfo(attacker)
end
end
self:doSkillBehitTip(self._behaviorInfo.skillTemplateId,self._behaviorInfo.attackName)
end
--受玩家攻击被打断采集
if(globalData.allTemplates.copyTemplateList:isCanStopColl(globalData.copyInfo.currentCopyId) and globalData.allStaticTypes.sceneObjType:isPlayer(self._behaviorInfo.attackType)) then
self._roleInfo:setCollectId(-1)
end
end
if(self._behaviorInfo:attackIsSelf())then
self:doSkillAttackTip(self._behaviorInfo.skillTemplateId,self._behaviorInfo.behitName)
end
end
end
--特效
if((self._tickCount == self._skillTemplate.behitEffectDelay or self._tickCount == self._IMMEDIATE_COUNT) and self._role:getFigureVisible())then
if(globalData.gameSetting.effectToggle)then
local attackPlayer = nil
if(globalData.allStaticTypes.sceneObjType:isPlayer(self._behaviorInfo.attackType))then
attackPlayer = self._controller.sceneModule.controllerList.playerController:getPlayer(self._behaviorInfo.attackId)
end
if(attackPlayer ~= nil and attackPlayer:getFigureVisible()) then
local hitEffectTemplate = globalData.allTemplates.effectTemplateList:getTemplateInfo(self._skillTemplate.behitEffect)
if(hitEffectTemplate ~= nil)then
local pos = self._role:getBehitPos()
globalManager.effectCreator:setEffect(self._skillTemplate.behitEffect, pos, pos)
end
end
end
end
--扣血
if((self._tickCount == self._skillTemplate.bloodDelay or self._tickCount == self._IMMEDIATE_COUNT) and self._role:getFigureVisible())then
if(self._behaviorInfo:attackIsSelf() or self._behaviorInfo:behitIsSelf())then
local bloodBehavior = RoleBloodBehavior:new(self._role)
if(self._behaviorInfo:attackIsSelf())then
if(self._behaviorInfo:attackIsPet())then
bloodBehavior:init(self._behaviorInfo,1)
elseif(self._behaviorInfo:attackIsPartner()) then
bloodBehavior:init(self._behaviorInfo,2)
else
bloodBehavior:init(self._behaviorInfo,0)
end
else
bloodBehavior:init(self._behaviorInfo,3)
end
end
end
--击退
if(self._tickCount == self._skillTemplate.hitBackDelay or self._tickCount == self._IMMEDIATE_COUNT)then
if(self._behaviorInfo.isHitBack > 0)then
self._controller.sceneModule.jumpTester:otherDoJump(self._roleInfo:getObjId(),self._roleInfo:getObjType(),self._behaviorInfo.hitBackPos,self._behaviorInfo.isHitBack)
end
end
--震屏
if(self._role:getObjId() == globalData.selfPlayerInfo.userId)then
if(self._tickCount == self._skillTemplate.shakeDelay or self._tickCount == self._IMMEDIATE_COUNT)then
if(globalData.gameSetting.shakeToggle)then
if(self._skillTemplate.isShake)then
self._controller.sceneModule.shakeBehavior:init()
end
end
end
end
self._tickCount = self._tickCount + 1
end
function RoleBehitBehavior:doSkillBehitTip(skillId,behitName)
if(skillId == globalData.allTemplates.skillTemplateList.DATISKILL1)then
globalManager.tipsManager.quickTip:show(string.format(globalManager.yuyanbaoManager:getYuyanbao("scene.attackTips1"),behitName))
elseif(skillId == globalData.allTemplates.skillTemplateList.DATISKILL2)then
globalManager.tipsManager.quickTip:show(string.format(globalManager.yuyanbaoManager:getYuyanbao("scene.attackTips2"),behitName))
end
end
function RoleBehitBehavior:doSkillAttackTip(skillId,attackName)
if(skillId == globalData.allTemplates.skillTemplateList.DATISKILL1)then
globalManager.tipsManager.quickTip:show(string.format(globalManager.yuyanbaoManager:getYuyanbao("scene.attackTips3"),attackName))
elseif(skillId == globalData.allTemplates.skillTemplateList.DATISKILL2)then
globalManager.tipsManager.quickTip:show(string.format(globalManager.yuyanbaoManager:getYuyanbao("scene.attackTips4"),attackName))
end
end
function RoleBehitBehavior:clear()
globalManager.tickManager:removeTick(self.tick,self)
self._skillTemplate = nil
-- self._maxCount = 0
self._tickCount = 0
end
function RoleBehitBehavior:dispose()
self:clear()
self._role = nil
self._roleInfo = nil
self._behaviorInfo = nil
self._controller = nil
self._sceneInfo = nil
end
--role:SceneAttackableRole
RoleBloodBehavior = class("RoleBloodBehavior",function(self,role)
local rb = {}
rb._role = role
--vector<SceneBloodView>
rb._bloodEffects = {}
rb._playTime = 0
rb._tickCount = 0
return rb
end)
function RoleBloodBehavior:init(behaviorInfo,colorType)
local len = table.getn(behaviorInfo.dHps)
local p = self._role:getScenePos()
for i = 1,len,1 do
local blood = SceneBloodView:new()
blood:setData(behaviorInfo.dHps[i],behaviorInfo.attackResultTypes[i],colorType)
blood:move(p.x,p.y - 80)
table.insert(self._bloodEffects, blood)
end
-- self._playTime = globalData.systemDateInfo:getSystemTime() + 20
self._tickCount = 1
globalManager.tickManager:addTick(self.tick,self)
end
function RoleBloodBehavior:tick(delta,tickCount)
if(self._role == nil)then
self:dispose()
return
end
local t = globalData.systemDateInfo:getSystemTime()
self._tickCount = self._tickCount - 1
-- if(t - self._playTime > 400)then
if(self._tickCount <= 0)then
local len = table.getn(self._bloodEffects)
if(len <= 0)then
self:dispose()
return
end
local blood = self._bloodEffects[1]
table.remove(self._bloodEffects, 1)
blood:play()
if(self._role ~= nil and self._role.getScenePos ~= nil)then
local p = self._role:getScenePos()
blood:move(p.x,p.y - 80)
end
globalManager.containerManager.effectContainer:addChild(blood)
-- self._playTime = t
self._tickCount = 6
end
end
function RoleBloodBehavior:dispose()
globalManager.tickManager:removeTick(self.tick,self)
self._role = nil
local len = table.getn(self._bloodEffects)
for i = 1,len,1 do
self._bloodEffects[i]:dispose()
end
self._bloodEffects = nil
end
RoleFareBehavior = class("RoleFareBehavior",function(self,selfPlayer,module)
local rf = {}
--selfScenePlayerINfo
rf._selfPlayer = selfPlayer
rf._sceneModule = module
rf._currentPos = nil
rf._currentTick = 0
return rf
end)
function RoleFareBehavior:start()
if(self._selfPlayer == nil)then return end
self._currentPos = self._selfPlayer:getPosition()
globalManager.tickManager:addTick(self.tick, self)
end
function RoleFareBehavior:stop()
globalManager.tickManager:removeTick(self.tick, self)
end
function RoleFareBehavior:tick(delta,tickCount)
if(self._selfPlayer == nil)then
self:dispose()
end
self._currentTick = self._currentTick + 1
if(self._currentTick % 20 == 0)then
local tmpP = globalManager.ccCreator:newPoint(self._currentPos.x - math.random() * 200 + 100, self._currentPos.y - math.random() * 200 + 100)
self._sceneModule.walkTester:doWalk(globalData.currentMapId,tmpP,0,nil,true)
end
end
function RoleFareBehavior:dispose()
self:stop()
self._scenePlayer = nil
self._sceneModule = nil
self._currentPos = nil
end
RoleJumpBehavior = class("RoleJumpBehavior",function(self,role)
local rj = {}
--sceneAttableRole
rj._role = role
rj._roleInfo = role:getObjInfo()
rj._target = nil
rj._totalFrame = 0
rj._currentFrame = 0
rj._startX = 0
rj._startY = 0
rj._dx = 0
rj._dy = 0
rj._jumpOffsetY = {90,60,40,15,8,4,2,0,0,-2,-4,-8,-15,-40,-60,-90}
rj._totalYOffset = 0
--1跳跃，2：冲刺，4:击退,5：拉人,6:打死
rj._jumpType = 0
return rj
end)
function RoleJumpBehavior:init(target,type)
self._target = target
self._jumpType = type
if(type == 2 or type == 6)then
self._totalFrame = 5
elseif(type == 1)then
self._totalFrame = 16
elseif(type == 4 or type == 5)then
self._totalFrame = 10
else
self._totalFrame = 20
end
-- self._totalFrame = 120
local p = self._roleInfo:getPosition()
self._startX = p.x
self._startY = p.y
self._dx = (target.x - p.x) / self._totalFrame
self._dy = (target.y - p.y) / self._totalFrame
if(self._jumpType == 4 or self._jumpType == 6)then
self._roleInfo:updateDir(globalData.allStaticTypes.directType:getDir(target,p))
else
self._roleInfo:updateDir(globalData.allStaticTypes.directType:getDir(p,target))
end
self._currentFrame = 0
self._roleInfo.stateInfo.isJumping = true
globalManager.tickManager:addTick(self.tick,self)
end
function RoleJumpBehavior:tick(delta,tickCount)
self._currentFrame = self._currentFrame + 1
self._startX = self._startX + self._dx
self._startY = self._startY + self._dy
self._roleInfo:setScenePos(globalManager.ccCreator:newPoint(self._startX, self._startY))
if(self._jumpType == 1)then
self._totalYOffset = self._totalYOffset + self._jumpOffsetY[self._currentFrame]
self._role:setCharacterYOffset(self._jumpOffsetY[self._currentFrame])
end
if(self._currentFrame >= self._totalFrame)then
-- self:stop()
-- self._roleInfo:setScenePos(self._target)
-- self._role:cancelAnima()
self:doComplete()
end
end
function RoleJumpBehavior:stop()
self._roleInfo.stateInfo.isJumping = false
globalManager.tickManager:removeTick(self.tick,self)
end
function RoleJumpBehavior:doComplete()
if(self._roleInfo.stateInfo.isJumping == false)then
return
end
self:stop()
self._roleInfo:setScenePos(self._target)
self._role:cancelAnima()
end
function RoleJumpBehavior:dispose()
self:stop()
self._role = nil
self._roleInfo = nil
self._target = nil
end
RoleReadyBehavior = class("RoleReadyBehavior",function()
local rr = {}
return rr
end)
function RoleReadyBehavior:start(time,roleInfo,skill)
globalManager.containerManager:showProgressBar(time,2,globalManager.yuyanbaoManager:getYuyanbao("scene.attackTips5"))
end
function RoleReadyBehavior:stop()
globalManager.containerManager:hideProgressBar(2)
end
function RoleReadyBehavior:dispose()
self:stop()
end
RoleShakeBehavior = class("RoleShakeBehavior",function(self,role)
local rs = {}
--SceneAttackableRole
rs._role = role
rs._tickCount = 0
rs._maxCount = 6
rs._offset = {-6,6,10,-10,6,-6}
rs._recordPos = nil
return rs
end)
function RoleShakeBehavior:init()
self:stop()
if(self._role == nil)then return end
local character = self._role:getCharacter()
if(character == nil)then return end
self._recordPos = globalManager.ccCreator:newPoint(character:getPositionX(), character:getPositionY())
self._tickCount = 0
globalManager.tickManager:addTick(self.tick, self)
end
function RoleShakeBehavior:stop()
if(self._role ~= nil and self._recordPos ~= nil)then
local character = self._role:getCharacter()
if(character ~= nil)then
character:setPosition(self._recordPos)
end
end
self._recordPos = nil
globalManager.tickManager:removeTick(self.tick, self)
end
function RoleShakeBehavior:tick(deltaTime,tickCount)
if(self._role == nil or self._role:getParent() == nil or self._recordPos == nil)then
self:stop()
return
end
local character = self._role:getCharacter()
if(character == nil)then
self:stop()
return
end
self._tickCount = self._tickCount + 1
if(self._tickCount > self._maxCount)then
self:stop()
return
end
local p = globalManager.ccCreator:newPoint(self._recordPos.x + self._offset[self._tickCount], self._recordPos.y)
character:setPosition(p)
end
function RoleShakeBehavior:dispose()
self:stop()
self._role = nil
self._recordPos = nil
self._offset = nil
end
--roleInfo:SceneWalkableInfo,walkComplete:function
RoleWalkBehavior = class("RoleWalkBehavior",function(self,roleInfo,walkComplete)
local rw = {}
rw._roleInfo = roleInfo
rw._walkComplete = walkComplete
rw._isself = nil
rw._path = {}
rw._pathLen = 0
rw._isComplete = false
rw._currentPos = nil
rw._nextPos = nil
rw._speedX = 0
rw._speedY = 0
rw._lastSendPos = 0
rw._currentSpeed = 0
rw._footEffectCount = 0
rw._messageSender = nil
return rw
end)
function RoleWalkBehavior:setMessage(messageSender)
self._messageSender = messageSender
end
--data:vector<CCPoint>
function RoleWalkBehavior:setPath(data)
self._isself = (self._roleInfo:getObjId() == globalData.selfPlayerInfo.userId and globalData.allStaticTypes.sceneObjType:isPlayer(self._roleInfo:getObjType()))
self._path = data
local len = table.getn(self._path)
local selfP = self._roleInfo:getPosition()
for i = 1,len,1 do
if(globalManager.commonUtils:pointEquals(selfP, self._path[1]))then
table.remove(self._path,1)
else
break
end
end
len = table.getn(self._path)
if(len == 0)then
self:complete()
return
end
self._pathLen = len - 1
self._isComplete = false
--    self._nextPos = self._roleInfo:getPosition()
local p = self._roleInfo:getPosition()
self._nextPos = globalManager.ccCreator:newPoint(p.x,p.y)
self._currentSpeed = self._roleInfo.speed
self:updateNextPos()
globalManager.tickManager:addTick(self.tick,self)
end
function RoleWalkBehavior:complete()
self:walkStop()
if(self._walkComplete ~= nil)then
self._walkComplete()
end
end
function RoleWalkBehavior:updateNextPos()
local len = table.getn(self._path)
if(len <= 0)then return end
--    self._currentPos = self._nextPos
self._currentPos = globalManager.ccCreator:newPoint(self._nextPos.x,self._nextPos.y)
self._nextPos = self._path[1]
table.remove(self._path,1)
if((self._currentPos.x ~= self._nextPos.x) or (self._currentPos.y ~= self._nextPos.y))then
self._roleInfo:updateDir(globalData.allStaticTypes.directType:getDir(self._currentPos,self._nextPos))
end
self._roleInfo.currentAngle = globalData.allStaticTypes.directType:getRadian(self._currentPos,self._nextPos)
self:updateSpeed()
if(self._isself)then
-- self._lastSendPos = self._lastSendPos + self._currentSpeed
-- if(self._lastSendPos >= globalData.GRID_SIZE)then
self._lastSendPos = 0
self._messageSender:sendWalkStep(self._currentPos.x,self._currentPos.y,self._pathLen - table.getn(self._path))
-- end
end
end
function RoleWalkBehavior:updateSpeed()
self._speedX = math.cos(self._roleInfo.currentAngle) * self._currentSpeed
self._speedY = math.sin(self._roleInfo.currentAngle) * self._currentSpeed
end
function RoleWalkBehavior:tick(delta,tickCount)
-- if(self._roleInfo:getObjType() == 4)then
--     print("------------------------")
-- end
if(self._roleInfo == nil)then return end
if(self._roleInfo.speed ~= self._currentSpeed)then
self._currentSpeed = self._roleInfo.speed
self:updateSpeed()
end
if(tickCount == 1)then
self:walkStep()
else
for i = 1,tickCount,1 do
self:walkStep()
if(self._isComplete)then
break
end
end
end
self._roleInfo:setScenePos(self._currentPos)
self._footEffectCount = self._footEffectCount + 1
if(self._footEffectCount > 10) then
self:createFootEffect(self._currentPos)
self._footEffectCount = 0
end
if(self._isComplete == true)then
self:complete()
end
end
function RoleWalkBehavior:createFootEffect(pos)
if(self._roleInfo:getObjType() ~= globalData.allStaticTypes.sceneObjType.player) then return end
if(self._roleInfo.buffInfo:getIshide() or self._roleInfo.buffInfo:getIsAlpha()) then return end
if(not globalData.allTemplates.copyTemplateList:showFoot(globalData.copyInfo.currentCopyId))then return end
if(self._roleInfo.figureInfo.characterInfo.buffChangeId > 0) then return end
local scenePlayer = self._roleInfo:getModule().controllerList.playerController:getPlayer(self._roleInfo:getObjId())
if(scenePlayer == nil or scenePlayer:getFigureVisible() == false) then return end
local footId = self._roleInfo.figureInfo.characterInfo:getFootId()
if(footId > 0)then
local effectId = tonumber(globalData.allTemplates.xiaofeiTemplateList:getTemplate(globalData.allStaticTypes.petXiaofeiType.SHENBING,footId):getPicPath())
local footEffect = globalManager.effectCreator:setEffect(effectId, nil, globalManager.ccCreator:newPoint(pos.x, pos.y),globalManager.containerManager.seContainer)
footEffect:setScale(2)
end
end
function RoleWalkBehavior:walkStep()
if(self._isComplete == true or self._currentPos == nil)then
return
end
if(globalManager.commonUtils:getPointDistance(self._currentPos,self._nextPos) < self._currentSpeed)then
self._currentPos.x = self._nextPos.x
self._currentPos.y = self._nextPos.y
if(table.getn(self._path) == 0)then
if(self._isself == true)then
self._lastSendPos = 0
self._messageSender:sendWalkStep(self._currentPos.x,self._currentPos.y,self._pathLen - table.getn(self._path))
end
self._isComplete = true
end
self:updateNextPos()
else
self._currentPos.x = self._currentPos.x + self._speedX
self._currentPos.y = self._currentPos.y + self._speedY
end
if(self._isself)then
self._lastSendPos = self._lastSendPos + self._currentSpeed
if(self._lastSendPos >= globalData.GRID_SIZE)then
self._lastSendPos = 0
self._messageSender:sendWalkStep(self._currentPos.x,self._currentPos.y,self._pathLen - table.getn(self._path))
end
end
end
function RoleWalkBehavior:walkStop()
self._isComplete = true
self._currentPos = nil
self._nextPos = nil
self._path = nil
globalManager.tickManager:removeTick(self.tick,self)
end
function RoleWalkBehavior:dispose()
self:walkStop()
self._roleInfo = nil
self._walkComplete = nil
self._path = nil
self._currentPos = nil
self._nextPos = nil
self._messageSender = nil
end
--selfScenePlayerInfo:SelfScenePlayerInfo,controller:SceneController
SelfAFKBehavior = class("SelfAFKBehavior",function(self,selfScenePlayerInfo,controller)
local sa = {}
sa._player = selfScenePlayerInfo
sa._controller = controller
sa._module = controller.sceneModule
sa._frameCount = 0
--是否正在寻路找怪，寻路找怪过程中不再寻找其他怪
sa._findingTarget = false
--走到掉落物过程，不再执行tick
sa._walkToDrop = false
--走到采集物过程，不再执行tick
sa._walkToCollect = false
sa._sceneInfo = controller.sceneInfo
sa._lastPos = globalManager.ccCreator:newPoint(0,0)
sa._standFrame = 0
sa._clearAttackWalkingCount = 0
return sa
end)
function SelfAFKBehavior:ctor()
self._player.stateInfo:addEventListener(globalData.globalEventType.playerInfo_clientState,self.clientStateUpdateHandler,self)
end
function SelfAFKBehavior:clientStateUpdateHandler(evt)
if(self._player.stateInfo:getAfk() or self._player.stateInfo:getAttack())then
globalManager.tickManager:addTick(self.tick,self)
else
self._findingTarget = false
self._walkToDrop = false
self._walkToCollect = false
globalManager.tickManager:removeTick(self.tick,self)
end
end
function SelfAFKBehavior:tick(delta,tickCount)
local findTargetWalkComplete = function()
self._findingTarget = false
end
local walkToDropComplete = function()
self._walkToDrop = false
end
local walkToCollectComplete = function()
self._walkToCollect = false
end
self._frameCount = self._frameCount + 1
if(self._frameCount % 2 ~= 0)then
return
end
if(self._player == nil)then
return
end
self._clearAttackWalkingCount = self._clearAttackWalkingCount + 1
if(self._clearAttackWalkingCount % 120 == nil)then
self._module.attackTester:clearAttackWalking()
end
if(self._findingTarget or self._walkToDrop or self._walkToCollect)then
local selfPos = self._player:getPosition()
if(self._lastPos.x == selfPos.x and self._lastPos.y == selfPos.y)then
self._standFrame = self._standFrame + 1
else
self._lastPos.x = selfPos.x
self._lastPos.y = selfPos.y
self._standFrame = 0
end
--站立三十帧继续
if(self._standFrame >= 30)then
self._findingTarget = false
self._walkToDrop = false
self._walkToCollect = false
else
return
end
end
self._standFrame = 0
if(self._player:getCollectId() > 0)then
return
end
if(self._player.stateInfo:doingAttack() == false)then
return
end
local selfPoint = self._player:getPosition()
local dropItem = self._sceneInfo.sceneDropList:getNearlyCanPickItem(selfPoint)
if(dropItem ~= nil)then
self._walkToDrop = true
self._module.walkTester:walkToDrop(dropItem,walkToDropComplete)
end
--是否有选中技能
local selectSkill = self._sceneInfo:getCurrentSkill()
--选中技能能否使用
local skillCanUse = false
if(selectSkill ~= nil and selectSkill:getCanUse())then skillCanUse = true end
--选中技能是否对自己使用
local skillToSelf = false
--选中目标
local selectTarget = self._sceneInfo:getCurrentSelectObjInfo()
if(selectTarget ~= nil and self._module.attackTester:targetCanBeAttack(selectTarget,false) == false)then
--挂机状态取消目标，另选目标
if(self._player.stateInfo:getAfk())then
self._sceneInfo:setCurrentSelectObjInfo(nil)
else
--提示并停止攻击
self._module.attackTester:targetCanBeAttack(selectTarget,true)
self._module.attackTester:stopAFK()
return
end
selectTarget = nil
end
if(skillCanUse)then
skillToSelf = selectSkill.template:isToSelf()
if(skillToSelf)then
--攻击
self._module.attackTester:doAttack(selectSkill)
return
else
--是否有选中目标
if(selectTarget ~= nil)then
self._module.attackTester:doAttack(selectSkill)
return
end
end
end
--选中技能不可放或没有选中技能,找可放技能
local skill = self:getASkillWithoutSelect()
--有选中目标
if(selectTarget ~= nil)then
if(skill ~= nil)then
--有可放技能，放技能
local n = self._module.attackTester:doAttack(skill)
end
return
else
--无选中目标
local inAFK = self._player.stateInfo:getAfk()
if(inAFK == false)then
--非挂机状态，无目标，直接跳出
return
else
--技能可使用,找怪
local target = self._sceneInfo.sceneMonsterList:getAFKMonsterNearPoint(selfPoint)
local currentAfkPoint = self._sceneInfo.afkInfo:getCurrentPathPoint()
if(target ~= nil)then
if(currentAfkPoint ~= nil)then
if(globalManager.commonUtils:getPointDistance(target:getPosition(),currentAfkPoint) > 500)then
target = nil
end
end
end
if(target ~= nil)then
--有怪,选中怪
self._sceneInfo:setCurrentSelectObjInfo(target)
if(skill ~= nil)then
--有技能攻击
self._module.attackTester:doAttack(skill)
end
return
end
-- do return end
--没有怪,或无可用技能，找采集物
-- local collectItem = self._sceneInfo.sceneCollectList:getAFKCollectNearPoint(selfPoint)
local collectItem = nil
if(collectItem ~= nil)then
--TODO有采集物，采集
self._walkToCollect = true
self._module.walkTester:walkToCollect(collectItem,walkToCollectComplete,true)
else
--无采集物，找挂机点
local afkPoint = self._sceneInfo.afkInfo:getNextPathPoint()
if(afkPoint ~= nil)then
--TODO走到挂机点开始挂机
if(globalManager.commonUtils:getPointDistance(selfPoint,afkPoint) < 3)then
else
self._findingTarget = true
self._module.walkTester:walkToNextPointAFK(findTargetWalkComplete)
end
end
end
end
end
end
--找一个可用的技能
function SelfAFKBehavior:getASkillWithoutSelect()
if(not globalData.allTemplates.copyTemplateList:canUseCommonOrDefaultSkill(globalData.copyInfo.currentCopyId))then
return globalData.skillList:getSkillCanUseInSpecilCopy()
end
local skill = nil
if(self._player.stateInfo:getAfk())then
skill = globalData.skillList:getAFKSkill()
end
if(skill == nil)then
skill = globalData.skillList.defaultSkill
if(skill:getCanUse() == false)then
skill = nil
end
end
return skill
end
function SelfAFKBehavior:dispose()
if(self._player ~= nil)then
self._player.stateInfo:removeEventListener(globalData.globalEventType.playerInfo_clientState,self.clientStateUpdateHandler,self)
end
globalManager.tickManager:removeTick(self.tick,self)
self._player = nil
self._controller = nil
self._module = nil
self._sceneInfo = nil
self._lastPos = nil
end
--roleInfo:SelfScenePlayerInfo,controller:SceneController
SelfCollectBehavior = class("SelfCollectBehavior", function(self,roleInfo,controller)
local sc = {}
sc._roleInfo = roleInfo
sc._controller = controller
sc._sceneInfo = controller.sceneInfo
sc._startTime = 0
sc._totalTime = 0
sc._collectId = -1
sc._collectTemplate = nil
sc._message = nil
return sc
end)
function SelfCollectBehavior:setMessage(message)
self._message = message
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.progress_complete,self.barComplete,self)
end
function SelfCollectBehavior:barComplete(evt)
if(evt.data == 1)then
local collect = self._sceneInfo.sceneCollectList:getCollect(self._collectId)
if(collect == nil)then
if(globalData.allTemplates.copyTemplateList:isTanBao(globalData.copyInfo.currentCopyId))then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("scene.attackTips6"))
end
else
self._message:sendPlayerCollect()
self._sceneInfo.sceneCollectList:setCollectClientFlag(self._collectId)
if(globalData.allTemplates.copyTemplateList:isTanBao(globalData.copyInfo.currentCopyId))then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("scene.attackTips7"))
end
end
self._roleInfo:setCollectId(-1)
--自动采集
if(self._collectTemplate ~= nil and self._collectTemplate.canAFK)then
if(self._controller.sceneInfo.scenePlayerList.selfPlayer ~= nil)then
local item = self._controller.sceneInfo.sceneCollectList:getNearlyCollectByTemplateId(self._collectTemplate.templateId,self._controller.sceneInfo.scenePlayerList.selfPlayer:getPosition())
if(item ~= nil)then
self._controller.sceneModule.walkTester:walkToCollect(item)
else
self._controller.sceneModule.walkTester:walkToCollectTemplate(self._collectTemplate.templateId)
end
end
end
end
end
function SelfCollectBehavior:init(id)
if(self._roleInfo == nil)then return end
self._collectId = id
if(self._collectId == -1)then
self:stop()
else
local collectItem = self._sceneInfo.sceneCollectList:getCollect(self._collectId)
if(collectItem ~= nil and (collectItem.warState == 0 or collectItem.warState ~= self._roleInfo.warState))then
self._collectTemplate = collectItem.template
self._totalTime = self._collectTemplate.collectTime
self._startTime = globalData.systemDateInfo:getSystemTime()
local str = self._collectTemplate.barDescript
if(str == nil or str == "") then str = globalManager.yuyanbaoManager:getYuyanbao("scene.attackTips8") end
globalManager.containerManager:showProgressBar(self._totalTime,1,str)
self._message:sendCollectStart(self._collectId,self._collectTemplate.templateId)
end
end
end
function SelfCollectBehavior:stop()
self._message:sendCollectStart(0,0)
self._collectId = -1
self._totalTime = 0
self._startTime = 0
globalManager.containerManager:hideProgressBar(1)
end
function SelfCollectBehavior:dispose()
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.progress_complete,self.barComplete,self)
self:stop()
self._roleInfo = nil
self._controller = nil
self._sceneInfo = nil
self._collectTemplate = nil
self._message = nil
end
SelfPartnerAFKBehavior = class("SelfPartnerAFKBehavior",function(self,selfPartnerInfo,sceneController,selfStateInfo)
local sp = {}
sp._selfPartnerInfo = selfPartnerInfo
sp._controller = sceneController
sp._stateInfo = selfStateInfo
sp._module = sceneController.sceneModule
sp._sceneInfo = sceneController.sceneInfo
return sp
end)
function SelfPartnerAFKBehavior:ctor()
self:initEvent()
self:check()
end
function SelfPartnerAFKBehavior:initEvent()
self._stateInfo:addEventListener(globalData.globalEventType.playerInfo_serverState,self.serverStateUpdate,self)
self._sceneInfo:addEventListener(globalData.globalEventType.scene_targetChange,self.selectObjChange,self)
end
function SelfPartnerAFKBehavior:removeEvent()
self._stateInfo:removeEventListener(globalData.globalEventType.playerInfo_serverState,self.serverStateUpdate,self)
self._sceneInfo:removeEventListener(globalData.globalEventType.scene_targetChange,self.selectObjChange,self)
end
function SelfPartnerAFKBehavior:serverStateUpdate(evt)
self:check()
end
function SelfPartnerAFKBehavior:selectObjChange(evt)
self:check()
end
function SelfPartnerAFKBehavior:check()
local roleInfo = self._sceneInfo:getCurrentSelectObjInfo()
if(self._stateInfo:getIsFight() and roleInfo ~= nil and self._module.attackTester:targetCanBeAttack(roleInfo,false))then
self:startAttack()
else
self:stopAttack()
end
end
function SelfPartnerAFKBehavior:startAttack()
globalManager.tickManager:addTick(self.tick,self)
end
function SelfPartnerAFKBehavior:stopAttack()
globalManager.tickManager:removeTick(self.tick, self)
end
function SelfPartnerAFKBehavior:tick(delta,tickCount)
local skill = globalData.partnerInfo:getPartnerAFKSkill()
if(skill == nil)then
skill = globalData.partnerInfo:getPartnerDefaultSkill()
if(skill ~= nil and skill:getCanAFKUse() == false)then
skill = nil
end
end
if(skill ~= nil)then
self._module.attackTester:partnerDoAttack(skill)
end
end
function SelfPartnerAFKBehavior:dispose()
self:removeEvent()
self:stopAttack()
self._selfPartnerInfo = nil
self._controller = nil
self._stateInfo = nil
self._module = nil
self._sceneInfo = nil
end
SelfPetAFKBehavior = class("SelfPetAFKBehavior",function(self,selfPetInfo,sceneController,selfStateInfo)
local sp = {}
sp._selfPetInfo = selfPetInfo
sp._controller = sceneController
sp._stateInfo = selfStateInfo
sp._module = sceneController.sceneModule
sp._sceneInfo = sceneController.sceneInfo
return sp
end)
function SelfPetAFKBehavior:ctor()
self._stateInfo:addEventListener(globalData.globalEventType.playerInfo_serverState,self.serverStateUpdate,self)
self._sceneInfo:addEventListener(globalData.globalEventType.scene_targetChange,self.selectObjChange,self)
end
function SelfPetAFKBehavior:removeEvent()
self._stateInfo:removeEventListener(globalData.globalEventType.playerInfo_serverState,self.serverStateUpdate,self)
self._sceneInfo:removeEventListener(globalData.globalEventType.scene_targetChange,self.selectObjChange,self)
end
function SelfPetAFKBehavior:serverStateUpdate(evt)
self:check()
end
function SelfPetAFKBehavior:selectObjChange(evt)
self:check()
end
function SelfPetAFKBehavior:check()
local roleInfo = self._sceneInfo:getCurrentSelectObjInfo()
if(self._stateInfo:getIsFight() and roleInfo ~= nil and self._module.attackTester:targetCanBeAttack(roleInfo,false))then
self:startAttack()
else
self:stopAttack()
end
end
function SelfPetAFKBehavior:startAttack()
globalManager.tickManager:addTick(self.tick,self)
end
function SelfPetAFKBehavior:stopAttack()
globalManager.tickManager:removeTick(self.tick, self)
end
function SelfPetAFKBehavior:tick(delta,tickCount)
local skill = globalData.petItemInfo:getPetAFKSkill()
if(skill == nil)then
skill = globalData.petItemInfo:getPetDefaultSkill()
if(skill ~= nil and skill:getCanAFKUse() == false)then
skill = nil
end
end
if(skill ~= nil)then
self._module.attackTester:petDoAttack(skill)
end
end
function SelfPetAFKBehavior:dispose()
self:removeEvent()
self:stopAttack()
self._selfPetInfo = nil
self._controller = nil
self._stateInfo = nil
self._module = nil
self._sceneInfo = nil
end
SelfGetDropBehavior = class("SelfGetDropBehavior",function(self,selfScenePlayerInfo,controller)
local sg = {}
sg._player = selfScenePlayerInfo
sg._controller = controller
sg._module = controller.sceneModule
sg._sceneInfo = sg._module.sceneInfo
sg._frameCount = 0
return sg
end)
function SelfGetDropBehavior:ctor()
globalManager.tickManager:addTick(self.tick, self)
end
function SelfGetDropBehavior:tick(delta,tickCount)
if(self._player.stateInfo == nil or self._player.stateInfo:getAfk())then return end
self._frameCount = self._frameCount + 1
if(self._frameCount % 20 == 0)then
local selfPoint = self._player:getPosition()
local dropItem = self._sceneInfo.sceneDropList:getNearlyCanPickItem(selfPoint)
if(dropItem ~= nil)then
self._module.walkTester:doDrop(dropItem)
end
end
end
function SelfGetDropBehavior:dispose()
globalManager.tickManager:removeTick(self.tick, self)
self._player = nil
self._controller = nil
self._module = nil
self._sceneInfo = nil
end
--role:SelfScenePlayer,controller:SceneController
SelfPlayerBehaviorList = class("SelfPlayerBehaviorList",function(self,role,controller)
local sp = {}
sp._selfPlayer = role
sp._sceneController = controller
sp._controllerList = controller.sceneModule.controllerList
sp._afkBehavior = nil
sp._collectBehavior = nil
sp._fareBehavior = nil
sp._roleReadyBehavior = nil
sp._selfGetDropBehavior = nil
return sp
end)
function SelfPlayerBehaviorList:ctor()
self._afkBehavior = SelfAFKBehavior:new(self._selfPlayer:getObjInfo(),self._sceneController)
self._collectBehavior = SelfCollectBehavior:new(self._selfPlayer:getObjInfo(),self._sceneController)
self._collectBehavior:setMessage(self._sceneController.sceneModule.message)
self._selfGetDropBehavior = SelfGetDropBehavior:new(self._selfPlayer:getObjInfo(),self._sceneController)
self:initEvent()
end
function SelfPlayerBehaviorList:initEvent()
self._selfPlayer:getObjInfo().stateInfo:addEventListener(globalData.globalEventType.playerInfo_clientState,self.clientStateUpdate,self)
self._selfPlayer:getObjInfo():addEventListener(globalData.globalEventType.sceneInfo_collect,self.collectUpdateHandler,self)
end
function SelfPlayerBehaviorList:removeEvent()
self._selfPlayer:getObjInfo().stateInfo:removeEventListener(globalData.globalEventType.playerInfo_clientState,self.clientStateUpdate,self)
self._selfPlayer:getObjInfo():removeEventListener(globalData.globalEventType.sceneInfo_collect,self.collectUpdateHandler,self)
end
function SelfPlayerBehaviorList:clientStateUpdate(evt)
if(self._selfPlayer:getObjInfo().stateInfo:getAfk())then
--挂机状态
end
end
function SelfPlayerBehaviorList:collectUpdateHandler(evt)
local collectId = self._selfPlayer:getObjInfo():getCollectId()
if(collectId == -1)then
self._collectBehavior:stop()
else
self._collectBehavior:init(collectId)
end
end
function SelfPlayerBehaviorList:doRoleReady(time,role,skill)
if(time > 0)then
if(self._roleReadyBehavior == nil)then
self._roleReadyBehavior = RoleReadyBehavior:new()
end
self._roleReadyBehavior:start(time,role,skill)
else
if(self._roleReadyBehavior)then
self._roleReadyBehavior:stop()
end
end
end
function SelfPlayerBehaviorList:startFare()
if(self._fareBehavior == nil)then
self._fareBehavior = RoleFareBehavior:new(self._selfPlayer:getObjInfo(),self._sceneController.sceneModule)
end
self._fareBehavior:start()
end
function SelfPlayerBehaviorList:stopFare()
if(self._fareBehavior ~= nil)then
self._fareBehavior:stop()
end
end
function SelfPlayerBehaviorList:dispose()
self:removeEvent()
self._selfPlayer = nil
self._sceneController = nil
self._controllerList = nil
if(self._afkBehavior ~= nil)then
self._afkBehavior:dispose()
self._afkBehavior = nil
end
if(self._collectBehavior ~= nil)then
self._collectBehavior:dispose()
self._collectBehavior = nil
end
if(self._roleReadyBehavior ~= nil)then
self._roleReadyBehavior:dispose()
self._roleReadyBehavior = nil
end
if(self._fareBehavior ~= nil)then
self._fareBehavior:dispose()
self._fareBehavior = nil
end
if(self._selfGetDropBehavior ~= nil)then
self._selfGetDropBehavior:dispose()
self._selfGetDropBehavior = nil
end
end
ShakeBehavior = class("ShakeBehavior",function()
local sb = {}
sb._dxs = {0,0,0,0,0,0,0}
sb._dys = {-10,10,0,-4,4,-4,4}
sb._currentIndex = 0
sb._currentDx = 0
sb._currentDy = 0
sb._shaking = false
return sb
end)
function ShakeBehavior:init()
if(self._shaking)then
self:stop()
end
self._shaking = true
globalManager.tickManager:addTick(self.tick,self)
end
function ShakeBehavior:stop()
self._shaking = false
self:setObjPos(-1 * self._currentDx,-1 * self._currentDy)
self._currentDx = 0
self._currentDy = 0
self._currentIndex = 0
globalManager.tickManager:removeTick(self.tick,self)
end
function ShakeBehavior:setObjPos(x,y)
local px = globalManager.containerManager.mapContainer:getPositionX()
local py = globalManager.containerManager.mapContainer:getPositionY()
local p1 = globalManager.ccCreator:newPoint(px + x, py + y)
globalManager.containerManager.mapContainer:setPosition(p1)
globalManager.containerManager.sceneObjContainer:setPosition(p1)
globalManager.containerManager.effectContainer:setPosition(p1)
end
function ShakeBehavior:tick(deltaTime,tickCount)
if(self._shaking == false or self._currentIndex > #self._dxs - 1)then
self:stop()
return
end
self._currentIndex = self._currentIndex + 1
self._currentDx = self._currentDx + self._dxs[self._currentIndex]
self._currentDy = self._currentDy + self._dys[self._currentIndex]
self:setObjPos(self._dxs[self._currentIndex],self._dys[self._currentIndex])
end
function ShakeBehavior:dispose()
self:stop()
end
SpriteFlyBehavior = class("SpriteFlyBehavior",function(self,selfView)
local sf = {}
sf._view = nil
sf._selfView = selfView
sf._speed = 3
sf._targetPos = nil
sf._currentPos = nil
sf._isflying = false
sf._tickCount = 0
return sf
end)
function SpriteFlyBehavior:init(spriteView)
self._view = spriteView
self._currentPos = globalManager.ccCreator:newPoint(self._view:getSceneX(),self._view:getSceneY())
globalManager.tickManager:addTick(self.tick, self)
self._tickCount = 0
end
function SpriteFlyBehavior:stop()
globalManager.tickManager:removeTick(self.tick, self)
end
function SpriteFlyBehavior:tick(delta,count)
self._tickCount = self._tickCount + 1
if(self._tickCount % 300 == 0)then
self._targetPos = globalManager.ccCreator:newPoint(math.random() * 260 - 100, math.random() * 80 - 150)
end
if(self._targetPos == nil)then return end
local dx = self._targetPos.x - self._currentPos.x
local addx = 0
if(dx > self._speed)then
addx = self._speed
elseif(dx > 0.1)then
addx = -dx
elseif(dx < -self._speed)then
addx = -self._speed
elseif(dx < 0.1)then
addx = dx
else
addx = 0
end
local dy = self._targetPos.y - self._currentPos.y
local addy = 0
if(dy > self._speed)then
addy = self._speed
elseif(dy > 0.1)then
addy = -dy
elseif(dy < -self._speed)then
addy = -self._speed
elseif(dy < 0.1)then
addy = dy
else
addy = 0
end
if(addx == 0 and addy == 0)then
return
end
if(math.abs(addx) < self._speed)then
self._currentPos.x = self._targetPos.x
else
self._currentPos.x = self._currentPos.x + addx
end
if(math.abs(addy) < self._speed)then
self._currentPos.y = self._targetPos.y
else
self._currentPos.y = self._currentPos.y + addy
end
self._view:move(self._currentPos.x,self._currentPos.y)
if(self._currentPos.y < -100)then
self._selfView:setEffectZOther(-1)
else
self._selfView:setEffectZOther(3)
end
end
function SpriteFlyBehavior:dispose()
self:stop()
self._view = nil
self._selfView = nil
end
BaseRole = class("BaseRole",function()
local br = BaseSceneObj:new()
br.character = nil
--阴影，带形象的需要。掉落物，传送门不需要
br._shadow = nil
br.__baseSceneObjInit = br.init
br.__baseSceneObjDirUpdateHandler = br.dirUpdateHandler
br.__baseSceneObjDispose = br.dispose
return br
end)
function BaseRole:init(info,controller)
self:__baseSceneObjInit(info,controller)
if(self:showShadow() and self._shadow == nil)then
self._shadow = globalManager.ccCreator:newImageView("sceneShadow.png", 1)
self:addChild(self._shadow)
end
self:cancelAnima()
end
function BaseRole:showShadow()
return true
end
function BaseRole:updateShadow()
local isShow = self:showShadow()
if(isShow and self._shadow == nil) then
self._shadow = globalManager.ccCreator:newImageView("sceneShadow.png", 1)
self:addChild(self._shadow)
elseif(not isShow and self._shadow ~= nil) then
globalManager.ccCreator:release(self._shadow)
self._shadow = nil
end
end
function BaseRole:dirUpdateHandler(evt)
if(self.character == nil)then return end
self.__baseSceneObjDirUpdateHandler(evt)
self.character:updateDir(self._info:getDir())
end
function BaseRole:getCharacter()
if(self.character ~= nil)then
return self.character
end
return nil
end
function BaseRole:doAnima(amina,force)
if(self.character ~= nil)then
self.character:doAnima(amina,force)
end
end
--force = false
function BaseRole:cancelAnima(force)
end
function BaseRole:dispose()
if(self.character ~= nil)then
self.character:dispose()
self.character = nil
end
if(self._shadow ~= nil)then
globalManager.ccCreator:release(self._shadow)
self._shadow = nil
end
self.__baseSceneObjDirUpdateHandler = nil
self.__baseSceneObjInit = nil
self:__baseSceneObjDispose()
self.__baseSceneObjDispose = nil
end
BaseSceneObj = class("BaseSceneObj",function()
local bs = globalManager.ccCreator:newNode()
--SceneObjInfo
bs.tmpId = nil
bs.tmpType = nil
bs._info = nil
--SceneController
bs._controller = nil
bs._controllerList = nil
bs._contentSize = nil
bs._soController = nil
bs._nameField = nil
bs._figureVisible = false
bs._selectView = nil
return bs
end)
function BaseSceneObj:getContentSize()
return self._contentSize
end
function BaseSceneObj:updateContentSize()
self._contentSize = globalManager.ccCreator:newSize(80,100)
end
--info:SceneObjInfo,controller:SceneController
function BaseSceneObj:init(info,controller)
self._info = info
self.tmpId = info:getObjId()
self.tmpType = info:getObjType()
self._controller = controller
self._controllerList = controller.sceneModule.controllerList
self._soController = self._controllerList.mapController:getSoController()
self:updateContentSize()
self:updateNameFieldVisible()
self:initEvent()
self:initCharacter()
end
function BaseSceneObj:updateNameFieldVisible()
if(not self:forceHideName() and (self:showName() or self._info:getIsSelect()) and self._info:getName() ~= "")then
if(self._nameField == nil)then
self._nameField = SceneNameLabel:new(self:getObjInfo(),self)
end
self._nameField:move(0,self:getNameHeight())
self._nameField:show()
else
if(self._nameField ~= nil)then
self._nameField:hide()
end
end
end
--强制隐藏名称
function BaseSceneObj:forceHideName()
return false
end
function BaseSceneObj:showName()
return true
end
function BaseSceneObj:setFigureVisible(value)
if(self._figureVisible == value)then return end
self._figureVisible = value
if(self._figureVisible)then
self:showFigure()
else
self:hideFigure()
end
end
function BaseSceneObj:showFigure()
self._soController:addSceneObj(self)
end
function BaseSceneObj:hideFigure()
self._soController:removeSceneObj(self)
end
function BaseSceneObj:getFigureVisible()
return self._figureVisible
end
function BaseSceneObj:getNameHeight()
return 150
end
function BaseSceneObj:initEvent()
self._info:addEventListener(globalData.globalEventType.sceneinfo_move,self.moveHandler,self)
self._info:addEventListener(globalData.globalEventType.sceneinfo_direct,self.dirUpdateHandler,self)
self._info:addEventListener(globalData.globalEventType.sceneinfo_target,self.selectChangeHandler,self)
end
function BaseSceneObj:removeEvent()
self._info:removeEventListener(globalData.globalEventType.sceneinfo_move,self.moveHandler,self)
self._info:removeEventListener(globalData.globalEventType.sceneinfo_direct,self.dirUpdateHandler,self)
self._info:removeEventListener(globalData.globalEventType.sceneinfo_target,self.selectChangeHandler,self)
end
function BaseSceneObj:initCharacter()
end
function BaseSceneObj:getObjInfo()
return self._info
end
--evt:baseEvent
function BaseSceneObj:moveHandler(evt)
self._soController:moveSceneObj(self)
end
function BaseSceneObj:dirUpdateHandler(evt)
end
function BaseSceneObj:selectChangeHandler(evt)
self:updateNameFieldVisible()
end
--p:CCPoint
function BaseSceneObj:setScenePos(p)
self._info:setScenePos(p,false)
self._soController:moveSceneObj(self)
end
function BaseSceneObj:getScenePos()
return self._info:getPosition()
end
function BaseSceneObj:isMouseOver()
return false
end
function BaseSceneObj:doMouseClick()
end
function BaseSceneObj:doMouseOut()
end
function BaseSceneObj:doMouseOver()
end
function BaseSceneObj:responseMouse()
return self._info:canBeSelect()
end
function BaseSceneObj:getObjId()
return self._info:getObjId()
end
function BaseSceneObj:dispose()
self:removeEvent()
if(self._controller.sceneInfo:getCurrentSelectObjInfo() == self._info)then
self._controller.sceneInfo:setCurrentSelectObjInfo(nil)
end
if(self._nameField ~= nil)then
self._nameField:dispose()
self._nameField = nil
end
if(self._selectView ~= nil)then
globalManager.ccCreator:release(self._selectView)
self._selectView = nil
end
-- self._soController:removeSceneObj(self)
self:hideFigure()
self._info = nil
self._controller = nil
self._controllerList = nil
self._contentSize = nil
self._soController = nil
globalManager.ccCreator:release(self)
end
SceneAttackableRole = class("SceneAttackableRole",function()
local sa = SceneWalkableRole:new()
sa.attackBehaviorList = nil
sa._bloodLabel = nil
sa.__sceneWalkableInit = sa.init
sa.__sceneWalkableInitEvent = sa.initEvent
sa.__sceneWalkableRemoveEvent = sa.removeEvent
sa.__updateAlpha = sa.updateAlpha
sa.__sceneWalkableDispose = sa.dispose
sa._effect = nil
sa._effectId = nil
sa._visible = nil
sa._scaleValue = 1
return sa
end)
function SceneAttackableRole:init(info,controller)
self:__sceneWalkableInit(info,controller)
self.attackBehaviorList = AttackBehaviorList:new(self,controller)
self:serverStataUpdateHandler(nil)
if(info:getObjId() ~= globalData.selfPlayerInfo.userId) then
self:updateBuffStateHandler(nil)
end
end
function SceneAttackableRole:initEvent()
self:__sceneWalkableInitEvent()
self._info.stateInfo:addEventListener(globalData.globalEventType.playerInfo_serverState,self.serverStataUpdateHandler,self)
self._info.buffInfo:addEventListener(globalData.globalEventType.playerInfo_updateBuff,self.updateBuffStateHandler,self)
end
function SceneAttackableRole:removeEvent()
self:__sceneWalkableRemoveEvent()
self._info.stateInfo:removeEventListener(globalData.globalEventType.playerInfo_serverState,self.serverStataUpdateHandler,self)
self._info.buffInfo:removeEventListener(globalData.globalEventType.playerInfo_updateBuff,self.updateBuffStateHandler,self)
end
function SceneAttackableRole:updateBuffStateHandler(evt)
if(self._info.buffInfo.effect ~= self._effectId) then
self._effectId = self._info.buffInfo.effect
if(self._effect ~= nil) then
self._effect:dispose()
end
self._effect = nil
self._effect = globalManager.effectCreator:create(self._effectId, nil, nil,false)
if(self._effect ~= nil) then
self:addChild(self._effect,3)
self._effect:play()
end
end
if(self._info.buffInfo.scale ~= self._scaleValue)then
self._scaleValue = self._info.buffInfo.scale
self:scaleValueUpdate()
end
self:updateVisible()
end
function SceneAttackableRole:scaleValueUpdate()
end
function SceneAttackableRole:updateVisible()
end
function SceneAttackableRole:updateAlpha()
if(self._info:isAlpha())then
self:setInMask(true)
else
self:__updateAlpha()
end
end
function SceneAttackableRole:serverStataUpdateHandler(evt)
if(self._info.stateInfo:getIsDead())then
self:playDead()
self._controller.sceneInfo:clearSelectObjWhenDead(self._info)
else
self:cancelAnima()
if(self._info.stateInfo:getIsFight())then
--TODO战斗状态
self:inFightState()
else
--TODO非战斗状态
self:outFightState()
end
end
self:updateVisible()
end
function SceneAttackableRole:setCharacterYOffset(yoffset)
if(self.character ~= nil)then
local y = self.character:getPositionY()
self.character:setPositionY(y + yoffset)
end
end
function SceneAttackableRole:inFightState()
if(self:showBloodLabel() and self._bloodLabel == nil)then
self._bloodLabel = SceneBloodLabel:new(self._info,self,self:getNameHeight() - 12)
end
if(self._bloodLabel ~= nil)then
self._bloodLabel:show()
end
end
function SceneAttackableRole:outFightState()
if(self._bloodLabel ~= nil)then
self._bloodLabel:hide()
end
end
function SceneAttackableRole:getBehitPos()
return self:getScenePos()
end
function SceneAttackableRole:showBloodLabel()
return true
end
function SceneAttackableRole:playDead()
self:cancelAnima()
end
function SceneAttackableRole:playAttack()
end
function SceneAttackableRole:playBehit()
end
function SceneAttackableRole:playHitDown()
self._info:walkStop()
end
function SceneAttackableRole:playEffect(effectID)
end
--behaviorInfo:BehaviorInfo
function SceneAttackableRole:doBehavior(behaviorInfo)
if(self.attackBehaviorList == nil)then return end
self.attackBehaviorList:doBehavior(behaviorInfo)
end
function SceneAttackableRole:doJump(target,type)
if(self.attackBehaviorList == nil)then return end
self.attackBehaviorList:doJump(target,type)
end
function SceneAttackableRole:stopJump()
if(self.attackBehaviorList == nil)then return end
self.attackBehaviorList:stopJump()
end
function SceneAttackableRole:doShake()
if(self.attackBehaviorList == nil)then return end
self.attackBehaviorList:doRoleShake()
end
function SceneAttackableRole:dispose()
if(self.attackBehaviorList ~= nil)then
self.attackBehaviorList:dispose()
self.attackBehaviorList = nil
end
if(self._effect ~= nil) then
self._effect:dispose()
end
self._effect = nil
if(self._bloodLabel ~= nil)then
self._bloodLabel:dispose()
end
self._bloodLabel = nil
self:__sceneWalkableDispose()
self.__sceneWalkableInit = nil
self.__sceneWalkableDispose = nil
self.__sceneWalkableInitEvent = nil
self.__sceneWalkableRemoveEvent = nil
end
SceneBloodLabel = class("SceneBloodLabel",function(self,objInfo,container,offsetY)
local sb = globalManager.ccCreator:newWidget()
sb._bg = globalManager.ccCreator:newImageView("bar/ui_sceneHpBg.png",1)
sb._bg:setPosition(globalManager.ccCreator:newPoint(40,5))
sb:addChild(sb._bg,0)
sb._bar = globalManager.ccCreator:newImageView("bar/ui_sceneHpBar.jpg",1)
sb._bar:setSize(globalManager.ccCreator:newSize(76,6))
sb._bar:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[5])
sb._bar:setPosition(globalManager.ccCreator:newPoint(2.5,5))
sb:addChild(sb._bar,1)
sb._container = container
sb._info = objInfo
sb._tmpX = 0
sb._tmpY = 0
sb._offsetY = offsetY
return sb
end)
function SceneBloodLabel:ctor()
self._info:addEventListener(globalData.globalEventType.sceneInfo_hpUpdate,self.hpUpdateHandler,self)
self:hpUpdateHandler(nil)
if(self._info:getObjType() ~= globalData.allStaticTypes.sceneObjType.player) then
self:setScaleX(0.8)
self:move(-32,self._offsetY)
else
self:move(-40,self._offsetY)
end
end
function SceneBloodLabel:removeEvent()
if self._info ~= nil then
self._info:removeEventListener(globalData.globalEventType.sceneInfo_hpUpdate,self.hpUpdateHandler,self)
end
end
function SceneBloodLabel:hpUpdateHandler(evt)
self._bar:setScaleX(self._info:getCurrentHp() / self._info:getTotalHp() * 4.41)
--	self._bar:setPercent(math.floor(self._info:getCurrentHp() / self._info:getTotalHp() * 100))
end
function SceneBloodLabel:move(x,y)
self._tmpX = x
self._tmpY = y
self:setPosition(self._tmpX,self._tmpY)
end
function SceneBloodLabel:show()
if(self:getParent() ~= self._container)then
self._container:addChild(self,3)
end
self:hpUpdateHandler(nil)
self:setPosition(self._tmpX + 1,self._tmpY)
self:setPosition(self._tmpX,self._tmpY)
end
function SceneBloodLabel:hide()
if(self:getParent() ~= nil)then
self:getParent():removeChild(self,false)
end
end
function SceneBloodLabel:dispose()
self:removeEvent()
self._container = nil
self._info = nil
if(self._bg ~= nil) then
globalManager.ccCreator:release(self._bg)
self._bg = nil
end
if(self._bar ~= nil) then
globalManager.ccCreator:release(self._bar)
self._bar = nil
end
globalManager.ccCreator:release(self)
end
SceneCollect = class("SceneCollect", function()
local sc = BaseRole:new()
sc.__baseRoleDoMouseClick = sc.doMouseClick
sc.__baseRoleDispose = sc.dispose
return sc
end)
function SceneCollect:initCharacter()
if(self._info.template.picPath ~= "")then
self.character = BaseCharacter:new(self._info.characterInfo)
self.character:setPosition(globalManager.ccCreator:newPoint(self._info.template.offsetX, self._info.template.offsetY))
self:addChild(self.character,1)
self.character:show(globalData.allStaticTypes.directType.bottom)
self.character:setScale(self._info.template.scale)
end
end
--override
function SceneCollect:updateContentSize()
self._contentSize = globalManager.ccCreator:newSize(self._info.template.width,self._info.template.height)
end
--override
function SceneCollect:getNameHeight()
return self._info.template.height + 12
end
function SceneCollect:showShadow()
if(self._info.template.picPath == "")then
return false
end
return true
end
function SceneCollect:updateContentSize()
if(self._info.template.picPath == "")then
self._contentSize = globalManager.ccCreator:newSize(0,0)
else
self._contentSize = globalManager.ccCreator:newSize(80,100)
end
end
function SceneCollect:doMouseClick()
self.__baseRoleDoMouseClick()
self._controllerList.collectController:collectClick(self)
end
function SceneCollect:dispose()
self.__baseRoleDoMouseClick = nil
self:__baseRoleDispose()
self.__baseRoleDispose = nil
end
SceneCollectController = class("SceneCollectController", function(self,controller)
local sc = {}
--map<int,SceneCollect>
sc.collectList = {}
sc._controller = controller
sc._sceneInfo = controller.sceneInfo
return sc
end)
function SceneCollectController:ctor()
self:initEvent()
end
function SceneCollectController:initEvent()
self._sceneInfo.sceneCollectList:addEventListener(globalData.globalEventType.sceneInfo_addCollect,self.addCollectHandler,self)
self._sceneInfo.sceneCollectList:addEventListener(globalData.globalEventType.sceneInfo_removeCollect,self.removeCollectHandler,self)
end
function SceneCollectController:addCollectHandler(evt)
local collectInfo = evt.data
local collect = SceneCollect:new()
collect:init(collectInfo,self._controller)
collect:setFigureVisible(self._controller.sceneModule.roleVisibleTester:checkCollectShow(collectInfo))
self.collectList[collect:getObjId()] = collect
end
function SceneCollectController:removeCollectHandler(evt)
--    d["id"] = id
--        d["playEffect"] = playEffect
--        d["sceneX"] = p.x
--        d["sceneY"] = p.y
local d = evt.data
local id = d["id"]
local collect = self.collectList[id]
if(collect ~= nil)then
if(d["playEffect"] == true)then
--TODO消失动画
end
collect:dispose()
self.collectList[id] = nil
end
end
function SceneCollectController:updateVisible()
local tester = self._controller.sceneModule.roleVisibleTester
if(tester == nil)then return end
for k,v in pairs(self.collectList) do
v:setFigureVisible(tester:checkCollectShow(v:getObjInfo()))
end
end
function SceneCollectController:collectClick(collect)
local info = collect:getObjInfo()
local selfPlayerInfo = self._sceneInfo.scenePlayerList.selfPlayer
if(selfPlayerInfo == nil)then return end
if(info:canCollect(selfPlayerInfo,true) == false)then
-- globalManager.tipsManager.quickTip:show("不能采集该物品")
return
end
self._controller.sceneModule.walkTester:walkToCollect(info)
end
function SceneCollectController:clear()
for k,v in pairs(self.collectList) do
if(v ~= nil)then
v:dispose()
end
end
self.collectList = {}
end
SceneDrop = class("SceneDrop",function()
local sd = BaseSceneObj:new()
sd._effect = nil
sd.__baseSceneObjInitCharacter = sd.initCharacter
sd.__baseSceneObjDoMouseClick = sd.doMouseClick
sd.__baseSceneObjDispose = sd.dispose
return sd
end)
function SceneDrop:initCharacter()
self:__baseSceneObjInitCharacter()
self._effect = DropEffect:new(self._info:getTemplate().categoryId,self)
end
function SceneDrop:doMouseClick()
self.__baseSceneObjDoMouseClick()
self._controllerList.dropController:dropClick(self)
end
function SceneDrop:dispose()
if(self._effect ~= nil)then
self._effect:dispose()
self._effect = nil
end
self.__baseSceneObjInitCharacter = nil
self.__baseSceneObjDoMouseClick = nil
self:__baseSceneObjDispose()
self.__baseSceneObjDispose = nil
end
SceneDropController = class("SceneDropController",function(self,controller)
local sd = EventDispatcher:new()
sd._controller = controller
sd._sceneInfo = controller.sceneInfo
--map
sd._dropList = {}
return sd
end)
function SceneDropController:ctor()
self._sceneInfo.sceneDropList:addEventListener(globalData.globalEventType.sceneInfo_addDrop,self.addDropHandler,self)
self._sceneInfo.sceneDropList:addEventListener(globalData.globalEventType.sceneInfo_removeDrop,self.removeDropHandler,self)
end
function SceneDropController:addDropHandler(evt)
local dropInfo = evt.data
local sceneDrop = SceneDrop:new()
sceneDrop:init(dropInfo,self._controller)
sceneDrop:setFigureVisible(self._controller.sceneModule.roleVisibleTester:checkDropShow(dropInfo))
self._dropList[dropInfo:getObjId()] = sceneDrop
end
function SceneDropController:removeDropHandler(evt)
local dropInfo = evt.data
local dropId = dropInfo:getObjId()
local drop = self._dropList[dropId]
if(drop ~= nil)then
drop:dispose()
drop = nil
end
self._dropList[dropId] = nil
end
function SceneDropController:updateVisible()
local tester = self._controller.sceneModule.roleVisibleTester
if(tester == nil)then return end
for k,v in pairs(self._dropList) do
v:setFigureVisible(tester:checkDropShow(v:getObjInfo()))
end
end
function SceneDropController:dropClick(drop)
self._controller.sceneModule.walkTester:walkToDrop(drop:getObjInfo())
end
function SceneDropController:clear()
for k,v in pairs(self._dropList) do
if(v ~= nil)then
v:dispose()
end
end
self._dropList = {}
end
SceneGate = class("SceneGate",function()
local sg = BaseSceneObj:new()
sg._nameFont = nil
sg.__baseRoleInitCharacter = sg.initCharacter
sg.__baseRoleDoMouseClick = sg.doMouseClick
sg.__baseRoleDispose = sg.dispose
sg.__effect = nil
return sg
end)
function SceneGate:initCharacter()
self:__baseRoleInitCharacter()
self.__effect = globalManager.effectCreator:create(globalData.allTemplates.effectTemplateList.gate)
self:addChild(self.__effect,2)
self.__effect:play()
self._nameFont = globalManager.ccCreator:newBMFont(self._info:getName())
self._nameFont:setColor(globalData.allStaticTypes.colorType.COLORYELLOW)
self._nameFont:setScale(0.85)
self._nameFont:setPosition(0,100)
self:addChild(self._nameFont,2)
end
function SceneGate:showFigure()
self._soController:addSceneObj(self)
end
function SceneGate:hideFigure()
self._soController:removeSceneObj(self)
end
function SceneGate:doMouseClick()
self.__baseRoleDoMouseClick()
self._controllerList.gateController:gateClick(self)
end
function SceneGate:showName()
return false
end
function SceneGate:dispose()
if(self.__effect ~= nil)then
self.__effect:dispose()
self.__effect = nil
end
if(self._nameFont ~= nil)then
globalManager.ccCreator:release(self._nameFont)
self._nameFont = nil
end
self.__baseRoleInitCharacter = nil
self.__baseRoleDoMouseClick = nil
self:__baseRoleDispose()
self.__baseRoleDispose = nil
end
SceneGateController = class("SceneGateController",function(self,controller)
local sg = {}
sg._controller = controller
sg._sceneInfo = controller.sceneInfo
--map<int,sceneGate>
sg._gateList = {}
return sg
end)
function SceneGateController:ctor()
self:initEvent()
end
function SceneGateController:initEvent()
self._sceneInfo.sceneGateList:addEventListener(globalData.globalEventType.sceneInfo_addGate,self.addGateHandler,self)
self._sceneInfo.sceneGateList:addEventListener(globalData.globalEventType.sceneInfo_removeGate,self.removeGateHandler,self)
end
function SceneGateController:addGateHandler(evt)
local gateInfo = evt.data
if(gateInfo:getTemplate().isHide)then return end
local sceneGate = SceneGate:new()
sceneGate:init(gateInfo,self._controller)
sceneGate:setFigureVisible(self._controller.sceneModule.roleVisibleTester:checkGateShow(gateInfo))
self._gateList[gateInfo:getObjId()] = sceneGate
end
function SceneGateController:removeGateHandler(evt)
local gateInfo = evt.data
local gateId = gateInfo:getObjId()
local gate = self._gateList[gateId]
if(gate ~= nil)then
gate:dispose()
end
self._gateList[gateId] = nil
end
function SceneGateController:updateVisible()
local tester = self._controller.sceneModule.roleVisibleTester
if(tester == nil)then return end
for k,v in pairs(self._gateList) do
v:setFigureVisible(tester:checkGateShow(v:getObjInfo()))
end
end
--gate:SceneGate
function SceneGateController:gateClick(gate)
self._controller.sceneModule.walkTester:walkToGate(gate:getObjId(),true)
end
function SceneGateController:updateGateVisibleByPos(targetPos)
for k,v in pairs(self._gateList) do
v:setFigureVisible(self._controller.sceneModule.roleVisibleTester:checkGateShow(v:getObjInfo(),targetPos))
end
end
function SceneGateController:clear()
if(globalData.preMapId == globalData.currentMapId)then return end
for k,v in pairs(self._gateList) do
if(v ~= nil)then
v:dispose()
end
end
self._gateList = {}
end
SceneMonster = class("SceneMonster",function()
local sm = SceneAttackableRole:new()
sm._effectCharacter = nil
sm._characterInfo = nil
-- sm._readyEffect = nil
sm.__sceneAttackableInitCharacter = sm.initCharacter
sm.__sceneAttackableGetCharacter = sm.getCharacter
sm.__sceneAttackableDoMouseClick = sm.doMouseClick
sm.__sceneAttackableWalkStart = sm.walkStartHandler
sm.__sceneAttackableWalkComplete = sm.walkCompleteHandler
sm.__sceneAttackablePlayAttack = sm.playAttack
sm.__sceneAtrackableCancelAmina = sm.cancelAnima
sm.__sceneAttackableInFightState = sm.inFightState
sm.__sceneAttackableServerStataUpdateHandler = sm.serverStataUpdateHandler
sm.__sceneAttackableDispose = sm.dispose
sm.__sceneAttackableSelectChangeHandler = sm.selectChangeHandler
sm.__sceneAttackableSetAlpha = sm.setAlpha
sm.__sceneAttackableInitEvent = sm.initEvent
sm.__sceneAttackableRemoveEvent = sm.removeEvent
return sm
end)
function SceneMonster:initEvent()
self:__sceneAttackableInitEvent()
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_monsterOwnerChange,self.ownerNameChangeHandler,self)
end
function SceneMonster:removeEvent()
self:__sceneAttackableRemoveEvent()
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.scene_monsterOwnerChange,self.ownerNameChangeHandler,self)
end
function SceneMonster:ownerNameChangeHandler(evt)
if(self._nameField ~= nil)then
self._nameField:updateOwnerName(true)
end
end
function SceneMonster:initCharacter()
self:__sceneAttackableInitCharacter()
if(self._info:getTemplate():getPicPath() ~= "0")then
local characterType = self._info:getTemplate().characterType
-- 形象类型int  0怪物形象，1伙伴形象，2特效形象,3宠物形象,4采集物模型
-- print(characterType,"##")
if(characterType == 0)then
self.character = BaseCharacter:new(self._info.characterInfo)
self.character:setPosition(globalManager.ccCreator:newPoint(self._info:getTemplate():getOffsetX(),self._info:getTemplate():getOffsetY()))
self:addChild(self.character,1)
local face = self._info:getTemplate().face
if(face == 1) then
self.character:show(globalData.allStaticTypes.directType.rightBottom)
elseif(face == 2) then
self.character:show(globalData.allStaticTypes.directType.leftBottom)
elseif(face == 3) then
self.character:show(globalData.allStaticTypes.directType.rightTop)
elseif(face == 4) then
self.character:show(globalData.allStaticTypes.directType.leftTop)
else
self.character:show(globalData.allStaticTypes.directType:getRandomDir())
end
self.character:setAnimaCompleteCallback(self.cancelAnima,self)
self.character:setScale(self._info:getTemplate():getScale())
if(self._info:getDir() > 0) then
self.character:updateDir(self._info:getDir())
end
elseif(characterType == 1) then
self._characterInfo = CharacterInfo:new(globalData.allStaticTypes.sourceStaticType.pet)
local tempInfo = globalData.allTemplates.partnerTemplateList:getTemplate(tonumber(self._info:getTemplate():getPicPath()))
self._characterInfo:setStyleBin(1,tempInfo:getPicPath())
self._characterInfo:setDefaultAnima(globalData.allStaticTypes.animaInfoList.petStand)
self.character = BaseCharacter:new(self._characterInfo)
self.character:setPosition(globalManager.ccCreator:newPoint(self._info:getTemplate():getOffsetX(), self._info:getTemplate():getOffsetY()))
self:addChild(self.character,1)
self.character:show(globalData.allStaticTypes.directType.bottom)
self.character:setAnimaCompleteCallback(self.cancelAnima,self)
self.character:setScale(tempInfo:getScale())
self.character:updateDir(self._info:getDir())
elseif(characterType == 2)then
self._effectCharacter = globalManager.effectCreator:create(tonumber(self._info:getTemplate():getPicPath()),nil,nil,false)
self:addChild(self._effectCharacter,1)
self._effectCharacter:play()
elseif(characterType == 3) then
self._characterInfo = CharacterInfo:new(globalData.allStaticTypes.sourceStaticType.pet)
local tempInfo = globalData.allTemplates.petTemplateList:getTemplate(tonumber(self._info:getTemplate():getPicPath()))
self._characterInfo:setStyleBin(1,tempInfo:getPicPath())
self._characterInfo:setDefaultAnima(globalData.allStaticTypes.animaInfoList.petStand)
self.character = BaseCharacter:new(self._characterInfo)
self.character:setPosition(globalManager.ccCreator:newPoint(self._info:getTemplate():getOffsetX(), self._info:getTemplate():getOffsetY()))
self:addChild(self.character,1)
self.character:show(globalData.allStaticTypes.directType.bottom)
self.character:setAnimaCompleteCallback(self.cancelAnima,self)
self.character:setScale(tempInfo:getScale())
self.character:updateDir(self._info:getDir())
elseif(characterType == 4) then
self._characterInfo = CharacterInfo:new(globalData.allStaticTypes.sourceStaticType.collect)
local tempInfo = globalData.allTemplates.collectTemplateList:getCollect(tonumber(self._info:getTemplate():getPicPath()))
self._characterInfo:setStyleBin(1,tempInfo.picPath)
self._characterInfo:setDefaultAnima(globalData.allStaticTypes.animaInfoList.collectStand)
self.character = BaseCharacter:new(self._characterInfo)
self.character:setPosition(globalManager.ccCreator:newPoint(tempInfo.offsetX,tempInfo.offsetY))
self:addChild(self.character,1)
self.character:show(globalData.allStaticTypes.directType.bottom)
self.character:setScale(tempInfo.scale)
end
end
--帮战怪物归属名
if(globalData.allTemplates.copyTemplateList:isBangZhan(globalData.copyInfo.currentCopyId))then
local list = globalData.copyInfo.copyBZInfo.clubRankInfos
for k,v in pairs(list) do
if(v.monster == self._info:getTemplate().monsterId)then
self._info:setOwnerName(v.name)
end
end
end
end
function SceneMonster:scaleValueUpdate()
if(self.character ~= nil)then
self.character:setScale(self._scaleValue)
end
end
function SceneMonster:getCharacter()
if(self._effectCharacter ~= nil)then
return self._effectCharacter
end
if(self.__sceneAttackableGetCharacter == nil)then
return nil
end
return self:__sceneAttackableGetCharacter()
end
function SceneMonster:setAlpha(value)
self:__sceneAttackableSetAlpha(value)
if(self.character ~= nil)then
self.character:setAlpha(value)
end
if(self._effectCharacter ~= nil)then
self._effectCharacter:setAlpha(value)
end
-- if(self._readyEffect ~= nil)then
--     self._readyEffect:setAlpha(value)
-- end
end
function SceneMonster:showBloodLabel()
if(globalData.allTemplates.copyTemplateList:isDefenes(globalData.copyInfo.currentCopyId))then
return false
end
--    return self._info:getTemplate().isBoss == true
return true
end
function SceneMonster:showName()
if(globalData.allTemplates.copyTemplateList:isBangZhan(globalData.copyInfo.currentCopyId))then
return true
end
return globalData.gameSetting.showMonsterTitle and self._info:getTemplate().showName
end
--override
function SceneMonster:serverStataUpdateHandler(evt)
self:__sceneAttackableServerStataUpdateHandler()
-- if(self._info.stateInfo:getIsReady())then
--     if(self._readyEffect == nil)then
--         self._readyEffect = globalManager.effectCreator:create(globalData.allTemplates.effectTemplateList.readyMovie)
--     end
--     self._readyEffect:play()
--     self:addChild(self._readyEffect,1)
--     self._readyEffect:setPosition(globalManager.ccCreator:newPoint(1,1))
--     self._readyEffect:setPosition(globalManager.ccCreator:newPoint(0,0))
-- else
--     if(self._readyEffect ~= nil)then
--         self._readyEffect:doEnd()
--     end
-- end
end
--override
function SceneMonster:inFightState()
if(self._info:getTemplate().canBeAttack)then
self:__sceneAttackableInFightState()
end
end
--override
function SceneMonster:updateContentSize()
self._contentSize = globalManager.ccCreator:newSize(self._info:getTemplate():getMonsterWidth(),self._info:getTemplate():getMonsterHeight())
end
--override
function SceneMonster:getNameHeight()
return self._info:getTemplate():getMonsterHeight() + 12
end
function SceneMonster:cancelAnima(force)
if(self.character == nil or self._info:getTemplate().characterType == 4)then return end
if(force == nil)then force = false end
self:__sceneAtrackableCancelAmina()
if(self._info:getTemplate().characterType == 0) then
self:doAnima(globalData.allStaticTypes.animaInfoList.monsterStand,force)
elseif(self._info:getTemplate().characterType == 1 or self._info:getTemplate().characterType == 3) then
self:doAnima(globalData.allStaticTypes.animaInfoList.petStand,force)
end
end
function SceneMonster:doMouseClick()
self:__sceneAttackableDoMouseClick()
self._controllerList.monsterController:monsterClick(self)
end
function SceneMonster:walkStartHandler(evt)
if(self.character == nil)then return end
self.__sceneAttackableWalkStart(self,evt)
if(self._info:getTemplate().characterType == 0) then
self:doAnima(globalData.allStaticTypes.animaInfoList.monsterWalk,true)
elseif(self._info:getTemplate().characterType == 1 or self._info:getTemplate().characterType == 3) then
self:doAnima(globalData.allStaticTypes.animaInfoList.petWalk,true)
end
end
function SceneMonster:walkCompleteHandler(evt)
if(self.character == nil)then return end
self.__sceneAttackableWalkComplete(self,evt)
if(self._info:getTemplate().characterType == 0) then
self:doAnima(globalData.allStaticTypes.animaInfoList.monsterStand,true)
elseif(self._info:getTemplate().characterType == 1 or self._info:getTemplate().characterType == 3) then
self:doAnima(globalData.allStaticTypes.animaInfoList.petStand,true)
end
end
function SceneMonster:playAttack()
if(self.character == nil)then return end
self:__sceneAttackablePlayAttack()
if(self._info:getTemplate().characterType == 0) then
self:doAnima(globalData.allStaticTypes.animaInfoList.monsterAttack)
elseif(self._info:getTemplate().characterType == 1 or self._info:getTemplate().characterType == 3) then
self:doAnima(globalData.allStaticTypes.animaInfoList.petAttack)
end
end
function SceneMonster:selectChangeHandler(evt)
if(self.__sceneAttackableSelectChangeHandler ~= nil)then
self:__sceneAttackableSelectChangeHandler(evt)
end
if(self:getObjInfo():getIsSelect())then
if(self._selectView == nil)then
self._selectView = globalManager.ccCreator:newImageView()
self._selectView:loadTexture("icon/selected3.png",1)
end
if(self._selectView:getParent() == nil)then
self:addChild(self._selectView,0)
self._selectView:setPosition(globalManager.ccCreator:newPoint(1,1))
self._selectView:setPosition(globalManager.ccCreator:newPoint(0,0))
end
else
if(self._selectView ~= nil)then
if(self._selectView:getParent())then
self._selectView:getParent():removeChild(self._selectView,false)
end
end
end
end
function SceneMonster:getBehitPos()
return globalManager.ccCreator:newPoint(self._info._position.x,self._info._position.y + self._info:getTemplate().hitPosY)
end
function SceneMonster:responseMouse()
if(self._info.warState == self._controller.sceneModule.sceneInfo.scenePlayerList.selfPlayer.warState) then return false end
return self:getObjInfo():getTemplate().canBeSelect
end
function SceneMonster:dispose()
if(self._effectCharacter ~= nil)then
self._effectCharacter:dispose()
self._effectCharacter = nil
end
if(self._characterInfo ~= nil) then
self._characterInfo:dispose()
self._characterInfo = nil
end
-- if(self._readyEffect ~= nil)then
--     self._readyEffect:dispose()
--     self._readyEffect = nil
-- end
self.__sceneAttackableInitCharacter = nil
self.__sceneAttackableGetCharacter = nil
self.__sceneAttackableDoMouseClick = nil
self.__sceneAttackableWalkStart = nil
self.__sceneAttackableWalkComplete = nil
self.__sceneAttackablePlayAttack = nil
self.__sceneAtrackableCancelAmina = nil
self.__sceneAttackableInFightState = nil
self.__sceneAttackableServerStataUpdateHandler = nil
self.__sceneAttackableSetAlpha = nil
self:__sceneAttackableDispose()
self.__sceneAttackableDispose = nil
self.__sceneAttackableSelectChangeHandler = nil
self.__sceneAttackableInitEvent = nil
self.__sceneAttackableRemoveEvent = nil
end
SceneMonsterController = class("SceneMonsterController",function(self,controller)
local sm = {}
--sceneController
sm._controller = controller
sm._sceneInfo = controller.sceneInfo
--vector<SceneMonster>
sm._monsterList = {}
return sm
end)
function SceneMonsterController:ctor()
self:initEvent()
end
function SceneMonsterController:initEvent()
self._sceneInfo.sceneMonsterList:addEventListener(globalData.globalEventType.sceneInfo_addMonster,self.addMonsterHandler,self)
self._sceneInfo.sceneMonsterList:addEventListener(globalData.globalEventType.sceneInfo_removeMonster,self.removeMonsterHandler,self)
globalData.gameSetting:addEventListener(globalData.globalEventType.setting_monsterTitle,self.titleVisibleUpdateHandler,self)
end
function SceneMonsterController:addMonsterHandler(evt)
local monsterInfo = evt.data
local sceneMonster = SceneMonster:new()
table.insert(self._monsterList, sceneMonster)
sceneMonster:init(monsterInfo,self._controller)
sceneMonster:setFigureVisible(self._controller.sceneModule.roleVisibleTester:checkMonsterShow(monsterInfo))
end
function SceneMonsterController:removeMonsterHandler(evt)
local monsterInfo = evt.data
local len = table.getn(self._monsterList)
for i = 1,len,1 do
if(self._monsterList[i]:getObjInfo() == monsterInfo)then
self._monsterList[i]:dispose()
table.remove(self._monsterList, i)
return
end
end
end
function SceneMonsterController:updateVisible()
local tester = self._controller.sceneModule.roleVisibleTester
if(tester == nil)then return end
for k,v in pairs(self._monsterList) do
v:setFigureVisible(tester:checkMonsterShow(v:getObjInfo()))
end
end
function SceneMonsterController:titleVisibleUpdateHandler(evt)
local len = table.getn(self._monsterList)
for i = 1,len,1 do
self._monsterList[i]:updateNameFieldVisible()
end
end
function SceneMonsterController:getMonster(id)
local len = table.getn(self._monsterList)
for i = 1,len,1 do
if(self._monsterList[i]:getObjId() == id)then
return self._monsterList[i]
end
end
return nil
end
--monster:SceneMonster
function SceneMonsterController:monsterClick(monster)
local selfPlayer = self._sceneInfo.scenePlayerList.selfPlayer
if(selfPlayer == nil)then return end
self._sceneInfo:setCurrentSelectObjInfo(monster:getObjInfo())
if(selfPlayer.stateInfo:getAfk())then
self._controller.sceneModule.attackTester:startAFK()
else
self._controller.sceneModule.attackTester:startAttack()
end
end
function SceneMonsterController:clear()
local len = table.getn(self._monsterList)
for i = len,1,-1 do
local monster = self._monsterList[i]
if(monster ~= nil)then
monster:dispose()
end
end
self._monsterList = {}
end
SceneNameLabel = class("SceneNameLabel",function(self,objInfo,container)
local sn = globalManager.ccCreator:newWidget()
sn._info = objInfo
sn._container = container
sn._titleItemView = nil
sn._fields = {}
sn._clubField = nil
sn._marryField = nil
sn._jieyiField = nil
sn._chaosIcon = nil
sn._nameBg = nil
sn._lastShenId = 0
sn._lastMoId = 0
sn._tmpX = 0
sn._tmpY = 0
sn._totalW = 0
sn._titleHeight = 40
return sn
end)
function SceneNameLabel:ctor()
self:updateName()
self:updateTitle()
end
function SceneNameLabel:updateName()
local len = table.getn(self._fields)
for i = 1,len,1 do
self._fields[i]:dispose()
end
if(self._nameBg == nil)then
-- self._nameBg = globalManager.ccCreator:newImageView("ui_name_bg.png", 1)
-- self._nameBg:setAnchorPoint(globalManager.ccCreator.ANCHOR_POINTS[7])
-- self:addChild(self._nameBg)
end
self._fields = {}
local field = nil
if(globalData.allStaticTypes.sceneObjType:isPlayer(self._info:getObjType()))then
-- if(self._info.figureInfo.camp ~= 0)then
-- 	field = globalManager.ccCreator:newShadowlabel(globalData.allStaticTypes.campType:getStr(self._info.figureInfo.camp).."·",
-- 	globalData.allStaticTypes.colorType:getCampColor(self._info.figureInfo.camp),
-- 	globalData.allStaticTypes.colorType.COLORGRAY_DEEP)
-- 	field:setAlignLeft()
-- 	table.insert(self._fields,field)
-- end
-- field = globalManager.ccCreator:newShadowlabel("["..tostring(self._info:getServerId()).."]",
-- 	self._info:getNameColor(),
-- 	globalData.allStaticTypes.colorType.COLORGRAY_DEEP)
-- field:setAlignLeft()
-- table.insert(self._fields,field)
if(self._info:getServerId() < 0 or self._info:getServerId() == globalData.selfPlayerInfo.serverId) then
field = globalManager.ccCreator:newShadowlabel(self._info:getName(),
self._info:getNameColor(),
globalData.allStaticTypes.colorType.COLORGRAY_DEEP)
else
-- field = globalManager.ccCreator:newShadowlabel("["..tostring(self._info:getServerId()).."]"..self._info:getName(),
field = globalManager.ccCreator:newShadowlabel(self._info:getName(),
self._info:getNameColor(),
globalData.allStaticTypes.colorType.COLORGRAY_DEEP)
end
field:setAlignLeft()
table.insert(self._fields,field)
self:addChild(field)
self:updateClubName()
self:updateMarryName()
self:updateJieyiName()
self:update3V3Flag()
else
if(globalData.allStaticTypes.sceneObjType:isCollect(self._info:getObjType()))then
self:update3V3Flag()
end
field = globalManager.ccCreator:newShadowlabel(self._info:getName(),self._info:getNameColor(),globalData.allStaticTypes.colorType.COLORGRAY_DEEP)
field:setAlignLeft()
table.insert(self._fields,field)
self:updateOwnerName()
self:addChild(field)
end
self:updatePos()
end
function SceneNameLabel:move(x,y)
self._tmpX = x - self._totalW / 2
self._tmpY = y
self:setPosition(self._tmpX,self._tmpY)
end
function SceneNameLabel:updateClubName(updatePos)
if(globalData.allTemplates.copyTemplateList:showClubName(globalData.copyInfo.currentCopyId) and self._info.figureInfo.uniteId > 0 and self._info.figureInfo.uniteName ~= nil and self._info.figureInfo.uniteName ~= "")then
if(self._clubField == nil)then
local clubName = globalManager.yuyanbaoManager:getYuyanbao("scene.nameWord1")..self._info.figureInfo.uniteName.."_"..self._info.figureInfo:getClubJobName()
self._clubField = globalManager.ccCreator:newShadowlabel(clubName,globalData.allStaticTypes.colorType.COLORGREEN,globalData.allStaticTypes.colorType.COLORGRAY_DEEP)
self._clubField:setAlignLeft()
self:addChild(self._clubField)
end
if(updatePos == true)then
self:updatePos()
end
else
if(self._clubField ~= nil)then
self._clubField:dispose()
self._clubField = nil
if(updatePos == true)then
self:updatePos()
end
end
end
end
function SceneNameLabel:updateMarryName(updatePos)
if(self._info.figureInfo.marryName ~= nil and self._info.figureInfo.marryName ~= "")then
if(self._marryField ~= nil) then
self._marryField:dispose()
end
local marryName = string.format(globalManager.yuyanbaoManager:getYuyanbao("scene.nameWord2"),self._info.figureInfo.marryName)
self._marryField = globalManager.ccCreator:newShadowlabel(marryName,globalData.allStaticTypes.colorType.COLORPURPLE,globalData.allStaticTypes.colorType.COLORGRAY_DEEP)
self._marryField:setAlignLeft()
self:addChild(self._marryField)
if(updatePos == true)then
self:updatePos()
end
else
if(self._marryField ~= nil)then
self._marryField:dispose()
self._marryField = nil
if(updatePos == true)then
self:updatePos()
end
end
end
end
function SceneNameLabel:updateJieyiName(updatePos)
if(self._info.figureInfo.jieyiPos ~= 0)then
if(self._jieyiField ~= nil) then
self._jieyiField:dispose()
end
local posName = "";
if(self._info.figureInfo.jieyiPos == 1) then
if(self._info.figureInfo.sex == 1) then
posName = globalManager.yuyanbaoManager:getYuyanbao("OathAcceptPanel.text5")
else
posName = globalManager.yuyanbaoManager:getYuyanbao("OathAcceptPanel.text4")
end
elseif(self._info.figureInfo.jieyiPos == 2) then
if(self._info.figureInfo.sex == 1) then
posName = globalManager.yuyanbaoManager:getYuyanbao("OathAcceptPanel.text7")
else
posName = globalManager.yuyanbaoManager:getYuyanbao("OathAcceptPanel.text6")
end
elseif(self._info.figureInfo.jieyiPos == 3) then
if(self._info.figureInfo.sex == 1) then
posName = globalManager.yuyanbaoManager:getYuyanbao("OathAcceptPanel.text9")
else
posName = globalManager.yuyanbaoManager:getYuyanbao("OathAcceptPanel.text8")
end
end
local jieyiName = globalManager.yuyanbaoManager:getYuyanbao("scene.nameWord3")..self._info.figureInfo.jieyiName.."_"..posName
self._jieyiField = globalManager.ccCreator:newShadowlabel(jieyiName,globalData.allStaticTypes.colorType.COLORBLUE,globalData.allStaticTypes.colorType.COLORGRAY_DEEP)
self._jieyiField:setAlignLeft()
self:addChild(self._jieyiField)
if(updatePos == true)then
self:updatePos()
end
else
if(self._jieyiField ~= nil)then
self._jieyiField:dispose()
self._jieyiField = nil
if(updatePos == true)then
self:updatePos()
end
end
end
end
function SceneNameLabel:updateOwnerName(updatePos)
local isShow = false
if(globalData.allStaticTypes.sceneObjType:isMonster(self._info:getObjType()))then
if(self._info.ownerName ~= nil and self._info.ownerName ~= "")then
isShow = true
end
end
if(isShow)then
if(self._clubField == nil)then
self._clubField = globalManager.ccCreator:newShadowlabel(self._info.ownerName,globalData.allStaticTypes.colorType.COLORGREEN,globalData.allStaticTypes.colorType.COLORGRAY_DEEP)
self._clubField:setAlignLeft()
self:addChild(self._clubField)
end
if(updatePos == true)then
self:updatePos()
end
else
if(self._clubField ~= nil)then
self._clubField:dispose()
self._clubField = nil
if(updatePos == true)then
self:updatePos()
end
end
end
end
function SceneNameLabel:update3V3Flag()
if(globalData.allTemplates.copyTemplateList:isChaos(globalData.copyInfo.currentCopyId) and self._info.warState ~= 0)then
if(self._chaosIcon == nil)then
self._chaosIcon = globalManager.ccCreator:newImageView()
self:addChild(self._chaosIcon)
end
if(self._info.warState == 1) then
self._chaosIcon:loadTexture("icon/copyBlueIcon.png", 1)
else
self._chaosIcon:loadTexture("icon/copyRedIcon.png", 1)
end
else
if(self._chaosIcon ~= nil) then
globalManager.ccCreator:release(self._chaosIcon)
self._chaosIcon = nil
end
end
end
function SceneNameLabel:updatePos()
self._totalW = 0
local len = table.getn(self._fields)
for i = 1,len,1 do
self._fields[i]:setPosition(self._totalW,0)
self._totalW = self._totalW + self._fields[i]:getWidth()
end
local h = 25;
if(self._clubField ~= nil)then
local dw = self._clubField:getWidth() - self._totalW
self._clubField:setPosition(-dw / 2,h)
h = h + 25;
end
if(self._jieyiField ~= nil)then
local dw = self._jieyiField:getWidth() - self._totalW
self._jieyiField:setPosition(-dw / 2,h)
h = h + 25;
end
if(self._marryField ~= nil)then
local dw = self._marryField:getWidth() - self._totalW
self._marryField:setPosition(-dw / 2,h)
h = h + 25;
end
if(self._chaosIcon ~= nil)then
self._chaosIcon:setPosition(-22,10)
end
if(self._nameBg ~= nil)then
-- self._nameBg:setPositionY()
self._nameBg:setScaleX((self._totalW + 30) / self._nameBg:getContentSize().width)
self._nameBg:setPosition(-15,0)
end
if(self._titleItemView ~= nil) then
self._titleHeight = 50
if(self._clubField ~= nil)then
self._titleHeight = self._titleHeight + 25
end
if(self._jieyiField ~= nil)then
self._titleHeight = self._titleHeight + 25
end
if(self._marryField ~= nil)then
self._titleHeight = self._titleHeight + 25
end
self._titleItemView:setPositionY(self._titleHeight)
end
end
function SceneNameLabel:show()
if(self:getParent() ~= self._container)then
self._container:addChild(self, 2)
end
self:setToPos()
end
function SceneNameLabel:setToPos()
self:setPosition(self._tmpX + 1,self._tmpY)
self:setPosition(self._tmpX,self._tmpY)
end
function SceneNameLabel:hide()
if(self:getParent() ~= nil)then
self:getParent():removeChild(self,false)
end
end
function SceneNameLabel:updateTitle()
if(globalData.allTemplates.copyTemplateList:hideTitle(globalData.copyInfo.currentCopyId))then
return
end
local titleId = self._info:getTitleId()
if(titleId == nil or titleId == 0 or titleId == -1 or (self._info:getServerId() ~= globalData.selfPlayerInfo.serverId and globalData.allTemplates.titleTemplateList:hideDiffServer(titleId))) then
if(self._titleItemView ~= nil) then
self._titleItemView:dispose()
self._titleItemView = nil
end
else
local titleTemplate = globalData.allTemplates.titleTemplateList:getTitle(titleId)
if(#titleTemplate.agentIdList == 0 or (globalManager.commonUtils:getIndexOfTable(titleTemplate.agentIdList,globalData.agentId.."_"..globalData.childChannel) > 0)) then
if(self._titleItemView == nil)then
self._titleItemView = TitleItemView:new()
self:addChild(self._titleItemView)
end
self._titleItemView:setPositionX(self._totalW / 2)
self._titleHeight = 50
if(self._clubField ~= nil)then
self._titleHeight = self._titleHeight + 25
end
if(self._marryField ~= nil)then
self._titleHeight = self._titleHeight + 25
end
self._titleItemView:setPositionY(self._titleHeight)
self._titleItemView:setTitleId(titleId)
end
end
end
function SceneNameLabel:dispose()
local len = table.getn(self._fields)
for i = 1,len,1 do
self._fields[i]:dispose()
end
if(self._clubField ~= nil)then
self._clubField:dispose()
self._clubField = nil
end
if(self._marryField ~= nil)then
self._marryField:dispose()
self._marryField = nil
end
if(self._jieyiField ~= nil)then
self._jieyiField:dispose()
self._jieyiField = nil
end
if(self._titleItemView ~= nil) then
self._titleItemView:dispose()
self._titleItemView = nil
end
self._fields = nil
self._container = nil
self._info = nil
if(self._chaosIcon ~= nil)then
globalManager.ccCreator:release(self._chaosIcon)
self._chaosIcon = nil
end
if(self._nameBg ~= nil)then
globalManager.ccCreator:release(self._nameBg)
self._nameBg = nil
end
globalManager.ccCreator:release(self)
end
SceneNpc = class("SceneNpc",function()
local sn = BaseRole:new()
sn._characterInfo = nil
sn._effectCharacter = nil
sn._stateImage = globalManager.ccCreator:newImageView()
sn.__baseRoleInitCharacter = sn.initCharacter
sn.__baseRoleDoMouseClick = sn.doMouseClick
sn.__baseRoleDispose = sn.dispose
sn.__baseRoleInitEvent = sn.initEvent
sn.__baseRoleRemoveEvent = sn.removeEvent
sn.__baseRoleShowFigure = sn.showFigure
sn.__baseRoleSelectChangeHandler = sn.selectChangeHandler
return sn
end)
function SceneNpc:initCharacter()
self:taskStateUpdate(nil)
self._stateImage:setPosition(globalManager.ccCreator:newPoint(0,self:getNameHeight() + 50))
end
--override
function SceneNpc:showFigure()
self:__baseRoleShowFigure()
if(self.character == nil)then
if(self._info:getTemplate():getPicPath() ~= "0")then
local characterType = self._info:getTemplate().characterType
-- 形象类型int  0怪物形象，1NPC形象，2特效形象,3宠物形象,4采集物模型
if(characterType == 0)then
self._characterInfo = CharacterInfo:new(globalData.allStaticTypes.sourceStaticType.monster)
self._characterInfo:setStyleBin(1,self._info:getTemplate():getPicPath())
self.character = BaseCharacter:new(self._characterInfo)
self.character:setPosition(globalManager.ccCreator:newPoint(self._info:getTemplate():getOffsetX(),self._info:getTemplate():getOffsetY()))
self:addChild(self.character,1)
local face = self._info:getTemplate().face
if(face == 1) then
self.character:show(globalData.allStaticTypes.directType.rightBottom)
elseif(face == 2) then
self.character:show(globalData.allStaticTypes.directType.leftBottom)
end
self.character:setAnimaCompleteCallback(self.cancelAnima,self)
self.character:setScale(self._info:getTemplate():getScale())
elseif(characterType == 1) then
self.character = BaseCharacter:new(self._info.characterInfo)
self.character:setPosition(globalManager.ccCreator:newPoint(self._info:getTemplate():getOffsetX(), self._info:getTemplate():getOffsetY()))
self:addChild(self.character,1)
self.character:show(globalData.allStaticTypes.directType.bottom)
self.character:setScale(self._info:getTemplate():getScale())
if(self._info:getTemplate().face == 2) then
self.character:setScaleX(self._info:getTemplate():getScale() * -1)
end
elseif(characterType == 2)then
self._effectCharacter = globalManager.effectCreator:create(tonumber(self._info:getTemplate():getPicPath()),nil,nil,false)
self:addChild(self._effectCharacter,1)
self._effectCharacter:play()
self._effectCharacter:setScale(self._info:getTemplate():getScale())
if(self._info:getTemplate().face == 2) then
self._effectCharacter:setScaleX(self._info:getTemplate():getScale() * -1)
end
elseif(characterType == 3) then
self._characterInfo = CharacterInfo:new(globalData.allStaticTypes.sourceStaticType.pet)
local tempInfo = globalData.allTemplates.petTemplateList:getTemplate(tonumber(self._info:getTemplate():getPicPath()))
self._characterInfo:setStyleBin(1,tempInfo:getPicPath())
self._characterInfo:setDefaultAnima(globalData.allStaticTypes.animaInfoList.petStand)
self.character = BaseCharacter:new(self._characterInfo)
self.character:setPosition(globalManager.ccCreator:newPoint(self._info:getTemplate():getOffsetX(), self._info:getTemplate():getOffsetY()))
self:addChild(self.character,1)
self.character:show(globalData.allStaticTypes.directType.bottom)
self.character:setAnimaCompleteCallback(self.cancelAnima,self)
self.character:setScale(tempInfo:getScale())
if(self._info:getTemplate().face == 2) then
self.character:setScaleX(self._info:getTemplate():getScale() * -1)
end
self.character:updateDir(self._info:getDir())
elseif(characterType == 4) then
self._characterInfo = CharacterInfo:new(globalData.allStaticTypes.sourceStaticType.collect)
local tempInfo = globalData.allTemplates.collectTemplateList:getCollect(tonumber(self._info:getTemplate():getPicPath()))
self._characterInfo:setStyleBin(1,tempInfo.picPath)
self._characterInfo:setDefaultAnima(globalData.allStaticTypes.animaInfoList.collectStand)
self.character = BaseCharacter:new(self._characterInfo)
self.character:setPosition(globalManager.ccCreator:newPoint(tempInfo.offsetX,tempInfo.offsetY))
self:addChild(self.character,1)
self.character:show(globalData.allStaticTypes.directType.bottom)
self.character:setScale(tempInfo.scale)
if(self._info:getTemplate().face == 2) then
self.character:setScaleX(self._info:getTemplate():getScale() * -1)
end
end
end
--帮战怪物归属名
if(globalData.allTemplates.copyTemplateList:isBangZhan(globalData.copyInfo.currentCopyId))then
local list = globalData.copyInfo.copyBZInfo.clubRankInfos
for k,v in pairs(list) do
if(v.monster == self._info:getTemplate().monsterId)then
self._info:setOwnerName(v.name)
end
end
end
end
end
--override
function SceneNpc:showName()
return globalData.gameSetting.showNpcTitle
end
--override
function SceneNpc:updateContentSize()
self._contentSize = globalManager.ccCreator:newSize(self._info:getTemplate():getPicWidth(),self._info:getTemplate():getPicHeight())
end
--override
function SceneNpc:getNameHeight()
return self._info:getTemplate():getPicHeight() + 12
end
function SceneNpc:initEvent()
self:__baseRoleInitEvent()
self._info:addEventListener(globalData.globalEventType.sceneInfo_npcState,self.taskStateUpdate,self)
end
function SceneNpc:removeEvent()
self:__baseRoleRemoveEvent()
self._info:removeEventListener(globalData.globalEventType.sceneInfo_npcState,self.taskStateUpdate,self)
end
function SceneNpc:selectChangeHandler(evt)
if(self.__baseRoleSelectChangeHandler ~= nil)then
self:__baseRoleSelectChangeHandler(evt)
end
if(self:getObjInfo():getIsSelect())then
if(self._selectView == nil)then
self._selectView = globalManager.ccCreator:newImageView()
self._selectView:loadTexture("icon/selected2.png",1)
end
if(self._selectView:getParent() == nil)then
self:addChild(self._selectView,0)
self._selectView:setPosition(globalManager.ccCreator:newPoint(1,1))
self._selectView:setPosition(globalManager.ccCreator:newPoint(0,0))
end
else
if(self._selectView ~= nil)then
if(self._selectView:getParent())then
self._selectView:getParent():removeChild(self._selectView,false)
end
end
end
end
function SceneNpc:taskStateUpdate(evt)
if(self._info.taskState == 0)then
if(self._stateImage:getParent() == self)then
self:removeChild(self._stateImage,false)
end
else
if(self._stateImage:getParent() == nil)then
self:addChild(self._stateImage,1)
end
if(self._info.taskState == 1)then
self._stateImage:loadTexture("icon/ui_npcTaskIcon3.png",1)
elseif(self._info.taskState == 2)then
self._stateImage:loadTexture("icon/ui_npcTaskIcon2.png",1)
else
self._stateImage:loadTexture("icon/ui_npcTaskIcon1.png",1)
end
end
end
function SceneNpc:doMouseClick()
self.__baseRoleDoMouseClick()
self._controllerList.npcController:npcClick(self)
end
function SceneNpc:dispose()
if(self._effectCharacter ~= nil)then
self._effectCharacter:dispose()
self._effectCharacter = nil
end
if(self._characterInfo ~= nil) then
self._characterInfo:dispose()
self._characterInfo = nil
end
if(self._stateImage ~= nil)then
globalManager.ccCreator:release(self._stateImage)
self._stateImage = nil
end
self.__baseRoleInitCharacter = nil
self.__baseRoleDoMouseClick = nil
self:__baseRoleDispose()
self.__baseRoleDispose = nil
self.__baseRoleInitEvent = nil
self.__baseRoleRemoveEvent = nil
self.__baseRoleSelectChangeHandler = nil
end
SceneNpcController = class("SceneNpcController",function(self,controller)
local sn = {}
sn._controller = controller
sn._sceneInfo = controller.sceneInfo
sn._npcList = {}
return sn
end)
function SceneNpcController:ctor()
self:initEvent()
end
function SceneNpcController:initEvent()
self._sceneInfo.sceneNpcList:addEventListener(globalData.globalEventType.sceneInfo_addNpc,self.addNpcHandler,self)
self._sceneInfo.sceneNpcList:addEventListener(globalData.globalEventType.sceneInfo_removeNpc,self.removeNpcHandler,self)
globalData.gameSetting:addEventListener(globalData.globalEventType.setting_npcTitle,self.titleVisibleUpdateHandler,self)
end
function SceneNpcController:titleVisibleUpdateHandler(evt)
for k,v in pairs(self._npcList) do
v:updateNameFieldVisible()
end
end
--baseevent
function SceneNpcController:addNpcHandler(evt)
local npcInfo = evt.data
local sceneNpc = SceneNpc:new()
sceneNpc:init(npcInfo,self._controller)
sceneNpc:setFigureVisible(self._controller.sceneModule.roleVisibleTester:checkNpcShow(npcInfo,self._controller.sceneInfo.scenePlayerList.selfPlayer:getPosition()))
self._npcList[npcInfo:getObjId()] = sceneNpc
end
--BaseEvent
function SceneNpcController:removeNpcHandler(evt)
local npcInfo = evt.data
local npcId = npcInfo:getObjId()
local npc = self._npcList[npcId]
if(npc ~= nil)then
npc:dipsose()
npc = nil
end
self._npcList[npcId] = nil
end
function SceneNpcController:updateVisible()
local tester = self._controller.sceneModule.roleVisibleTester
if(tester == nil)then return end
local targetPos = self._controller.sceneInfo.scenePlayerList.selfPlayer:getPosition()
for k,v in pairs(self._npcList) do
v:setFigureVisible(tester:checkNpcShow(v:getObjInfo(),targetPos))
end
end
--npc:SceneNpc
function SceneNpcController:npcClick(npc)
self._sceneInfo:setCurrentSelectObjInfo(npc:getObjInfo())
self._controller.sceneModule.walkTester:walkToNpc(npc:getObjInfo():getObjId(),true)
end
function SceneNpcController:updateNpcVisibleByPos(targetPos)
for k,v in pairs(self._npcList) do
v:setFigureVisible(self._controller.sceneModule.roleVisibleTester:checkNpcShow(v:getObjInfo(),targetPos))
end
end
--return vector<SceneNpcInfo>
function SceneNpcController:getNpcInfoCanVisible()
local list = {}
for k,v in pairs(self._npcList) do
if(v ~= nil and v:getFigureVisible())then
table.insert(list,v:getObjInfo())
end
end
return list
end
function SceneNpcController:clear()
if(globalData.preMapId == globalData.currentMapId)then return end
for k,v in pairs(self._npcList) do
if(v ~= nil)then
v:dispose()
end
end
self._npcList = {}
end
ScenePartner = class("ScenePartner",function()
local sp = SceneAttackableRole:new()
sp.__sceneAttackableInitCharacter = sp.initCharacter
sp.__sceneAttackableInitEvent = sp.initEvent
sp.__sceneAttackableRemoveEvent = sp.removeEvent
sp.__sceneAttackableWalkStart = sp.walkStartHandler
sp.__sceneAttackableWalkComplete = sp.walkCompleteHandler
sp.__sceneAttackablePlayAttack = sp.playAttack
sp.__sceneAtrackableCancelAmina = sp.cancelAnima
sp.__sceneWalkableSetAlpha = sp.setAlpha
sp.__sceneAttackableDispose = sp.dispose
sp._isHideFigure = not globalData.allTemplates.copyTemplateList:isShowPartner(globalData.copyInfo.currentCopyId) or not globalData.allTemplates.copyTemplateList:isShowPartnerCharacter(globalData.copyInfo.currentCopyId)
return sp
end)
function ScenePartner:initEvent()
self:__sceneAttackableInitEvent()
self._info.characterInfo:addEventListener(globalData.globalEventType.playerInfo_style,self.styleUpdateHandler,self)
end
function ScenePartner:removeEvent()
self:__sceneAttackableRemoveEvent()
self._info.characterInfo:removeEventListener(globalData.globalEventType.playerInfo_style,self.styleUpdateHandler,self)
end
function ScenePartner:setAlpha(value)
self:__sceneWalkableSetAlpha(value)
if(self.character ~= nil)then
self.character:setAlpha(value)
end
end
function ScenePartner:initCharacter()
if(self._isHideFigure) then return end
self.character = BaseCharacter:new(self._info.characterInfo)
self.character:setPosition(globalManager.ccCreator:newPoint(self._info.template:getOffsetX(), self._info.template:getOffsetY()))
self:addChild(self.character)
self.character:show(globalData.allStaticTypes.directType.bottom)
self.character:setAnimaCompleteCallback(self.cancelAnima,self)
self.character:setScale(self._info.template:getScale())
self.character:updateDir(self._info:getDir())
end
function ScenePartner:showShadow()
if(self._isHideFigure) then return false end
return true
end
function ScenePartner:showName()
if(self._isHideFigure) then return false end
return true
end
function ScenePartner:showBloodLabel()
return false
end
function ScenePartner:styleUpdateHandler(evt)
if(self.character ~= nil)then
self.character:setPosition(globalManager.ccCreator:newPoint(self._info.template:getOffsetX(), self._info.template:getOffsetY()))
end
if(self._nameField ~= nil)then
self._nameField:updateName()
self._nameField:move(0,self:getNameHeight())
end
end
--override
function ScenePartner:updateContentSize()
self._contentSize = globalManager.ccCreator:newSize(0,0)
end
--override
function ScenePartner:getNameHeight()
return self._info.template:getPicHeight() + self._info.template:getOffsetY() + 12
end
function ScenePartner:walkStartHandler(evt)
if(self.character == nil)then return end
self.__sceneAttackableWalkStart(self,evt)
self:doAnima(globalData.allStaticTypes.animaInfoList.petWalk,true)
end
function ScenePartner:walkCompleteHandler(evt)
if(self.character == nil)then return end
self.__sceneAttackableWalkComplete(self,evt)
self:doAnima(globalData.allStaticTypes.animaInfoList.petStand,true)
end
function ScenePartner:playAttack()
if(self.character == nil)then return end
self:__sceneAttackablePlayAttack()
self:doAnima(globalData.allStaticTypes.animaInfoList.petAttack)
end
function ScenePartner:cancelAnima(force)
if(self.character == nil)then return end
if(force == nil)then force = false end
self:__sceneAtrackableCancelAmina()
self:doAnima(globalData.allStaticTypes.animaInfoList.petStand,force)
end
function ScenePartner:responseMouse()
return false
end
function ScenePartner:getFigureVisible()
if(not globalData.gameSetting.showOtherPet and self._info.ownerId ~= globalData.selfPlayerInfo.userId) then return false end
return self._figureVisible
end
function ScenePartner:dispose()
self.__sceneAttackableInitCharacter = nil
self.__sceneAttackableWalkStart = nil
self.__sceneAttackableWalkComplete = nil
self.__sceneAttackablePlayAttack = nil
self.__sceneAtrackableCancelAmina = nil
self.__sceneWalkableSetAlpha = nil
self:__sceneAttackableDispose()
self.__sceneAttackableDispose = nil
self.__sceneAttackableInitEvent = nil
self.__sceneAttackableRemoveEvent = nil
end
ScenePartnerController = class("ScenePartnerController",function(self,controller)
local sp = {}
sp._controller = controller
sp._module = controller.sceneModule
sp._sceneInfo = controller.sceneInfo
sp.partnerList = {}
sp.selfPartner = nil
return sp
end)
function ScenePartnerController:ctor()
self._sceneInfo.scenePartnerList:addEventListener(globalData.globalEventType.sceneInfo_addPartner,self.addPartnerHandler,self)
self._sceneInfo.scenePartnerList:addEventListener(globalData.globalEventType.sceneInfo_removePartner,self.removePartnerHandler,self)
globalData.gameSetting:addEventListener(globalData.globalEventType.setting_otherPet,self.showOtherPartnerHandler,self)
end
function ScenePartnerController:addPartnerHandler(evt)
local partnerInfo = evt.data
local partner = nil
if(partnerInfo.ownerId == globalData.selfPlayerInfo.userId)then
self.selfPartner = SelfScenePartner:new()
partner = self.selfPartner
else
partner = ScenePartner:new()
end
self.partnerList[partnerInfo:getObjId()] = partner
partner:init(partnerInfo,self._controller)
local owner = self._module.controllerList.playerController:getPlayer(partnerInfo.ownerId)
if(owner ~= nil)then
partner:setFigureVisible(owner:getFigureVisible())
else
partner:setFigureVisible(true)
end
end
function ScenePartnerController:updateFigureList()
for k,v in pairs(self.partnerList) do
local owner = self._module.controllerList.playerController:getPlayer(v:getObjInfo().ownerId)
if(owner ~= nil)then
if(not globalData.gameSetting.showOtherPet and v:getObjInfo().ownerId ~= globalData.selfPlayerInfo.userId) then
v:setFigureVisible(false)
else
v:setFigureVisible(owner:getFigureVisible())
end
end
end
end
function ScenePartnerController:updateAPartnerFigure(owner)
for k,v in pairs(self.partnerList) do
if(v ~= nil)then
if(v:getObjInfo().ownerId == owner:getObjId())then
v:setFigureVisible(owner:getFigureVisible())
end
end
end
end
function ScenePartnerController:showOtherPartnerHandler(evt)
self:updateFigureList()
end
function ScenePartnerController:removePartnerHandler(evt)
local partnerInfo = evt.data
local id = partnerInfo:getObjId()
local ownerId = partnerInfo.ownerId
local partner = self.partnerList[id]
if(partner ~= nil)then
partner:dispose()
end
self.partnerList[id] = nil
if(ownerId == globalData.selfPlayerInfo.userId)then
self.selfPartner = nil
end
end
function ScenePartnerController:getPartner(id)
return self.partnerList[id]
end
function ScenePartnerController:clear()
for k,v in pairs(self.partnerList) do
if(v ~= nil)then
v:dispose()
end
end
self.partnerList = {}
self.selfPartner = nil
end
ScenePet = class("ScenePet",function()
local sp = SceneAttackableRole:new()
sp.__sceneAttackableInitCharacter = sp.initCharacter
sp.__sceneAttackableInitEvent = sp.initEvent
sp.__sceneAttackableRemoveEvent = sp.removeEvent
sp.__sceneAttackableWalkStart = sp.walkStartHandler
sp.__sceneAttackableWalkComplete = sp.walkCompleteHandler
sp.__sceneAttackablePlayAttack = sp.playAttack
sp.__sceneAtrackableCancelAmina = sp.cancelAnima
sp.__sceneWalkableSetAlpha = sp.setAlpha
sp.__sceneAttackableDispose = sp.dispose
sp._isHideFigure = not globalData.allTemplates.copyTemplateList:isShowPet(globalData.copyInfo.currentCopyId) or not globalData.allTemplates.copyTemplateList:isShowPetCharacter(globalData.copyInfo.currentCopyId)
return sp
end)
function ScenePet:initEvent()
self:__sceneAttackableInitEvent()
self._info.characterInfo:addEventListener(globalData.globalEventType.playerInfo_style,self.styleUpdateHandler,self)
end
function ScenePet:removeEvent()
self:__sceneAttackableRemoveEvent()
self._info.characterInfo:removeEventListener(globalData.globalEventType.playerInfo_style,self.styleUpdateHandler,self)
end
function ScenePet:setAlpha(value)
self:__sceneWalkableSetAlpha(value)
if(self.character ~= nil)then
self.character:setAlpha(value)
end
end
function ScenePet:initCharacter()
if(self._isHideFigure) then return end
self.character = BaseCharacter:new(self._info.characterInfo)
self.character:setPosition(globalManager.ccCreator:newPoint(self._info.template:getOffsetX(), self._info.template:getOffsetY()))
self:addChild(self.character)
self.character:show(globalData.allStaticTypes.directType.bottom)
self.character:setAnimaCompleteCallback(self.cancelAnima,self)
self.character:setScale(self._info.template:getScale())
self.character:updateDir(self._info:getDir())
end
function ScenePet:showShadow()
if(self._isHideFigure) then return false end
return true
end
function ScenePet:showName()
if(self._isHideFigure) then return false end
return true
end
function ScenePet:showBloodLabel()
return false
end
function ScenePet:styleUpdateHandler(evt)
if(self.character ~= nil)then
self.character:setPosition(globalManager.ccCreator:newPoint(self._info.template:getOffsetX(), self._info.template:getOffsetY()))
end
if(self._nameField ~= nil)then
self._nameField:updateName()
self._nameField:move(0,self:getNameHeight())
end
end
--override
function ScenePet:updateContentSize()
self._contentSize = globalManager.ccCreator:newSize(0,0)
end
--override
function ScenePet:getNameHeight()
return self._info.template:getPicHeight() + self._info.template:getOffsetY() + 12
end
function ScenePet:walkStartHandler(evt)
if(self.character == nil)then return end
self.__sceneAttackableWalkStart(self,evt)
self:doAnima(globalData.allStaticTypes.animaInfoList.petWalk,true)
end
function ScenePet:walkCompleteHandler(evt)
if(self.character == nil)then return end
self.__sceneAttackableWalkComplete(self,evt)
self:doAnima(globalData.allStaticTypes.animaInfoList.petStand,true)
end
function ScenePet:playAttack()
if(self.character == nil)then return end
self:__sceneAttackablePlayAttack()
self:doAnima(globalData.allStaticTypes.animaInfoList.petAttack)
end
function ScenePet:cancelAnima(force)
if(self.character == nil)then return end
if(force == nil)then force = false end
self:__sceneAtrackableCancelAmina()
self:doAnima(globalData.allStaticTypes.animaInfoList.petStand,force)
end
function ScenePet:responseMouse()
return false
end
function ScenePet:getFigureVisible()
if(not globalData.gameSetting.showOtherPet and self._info.ownerId ~= globalData.selfPlayerInfo.userId) then return false end
return self._figureVisible
end
function ScenePet:dispose()
self.__sceneAttackableInitCharacter = nil
self.__sceneAttackableWalkStart = nil
self.__sceneAttackableWalkComplete = nil
self.__sceneAttackablePlayAttack = nil
self.__sceneAtrackableCancelAmina = nil
self.__sceneWalkableSetAlpha = nil
self:__sceneAttackableDispose()
self.__sceneAttackableDispose = nil
self.__sceneAttackableInitEvent = nil
self.__sceneAttackableRemoveEvent = nil
end
ScenePetController = class("ScenePetController",function(self,controller)
local sp = {}
--_controller:SceneController
sp._controller = controller
sp._module = controller.sceneModule
sp._sceneInfo = controller.sceneInfo
--map<number,ScenePet>
sp.petList = {}
sp.selfPet = nil
return sp
end)
function ScenePetController:ctor()
self._sceneInfo.scenePetList:addEventListener(globalData.globalEventType.sceneInfo_addPet,self.addPetHandler,self)
self._sceneInfo.scenePetList:addEventListener(globalData.globalEventType.sceneInfo_removePet,self.removePetHandler,self)
globalData.gameSetting:addEventListener(globalData.globalEventType.setting_otherPet,self.showOtherPetHandler,self)
end
function ScenePetController:addPetHandler(evt)
local petInfo = evt.data
local pet = nil
if(petInfo.ownerId == globalData.selfPlayerInfo.userId)then
self.selfPet = SelfScenePet:new()
pet = self.selfPet
else
pet = ScenePet:new()
end
-- table.insert(self.petList,pet)
self.petList[petInfo:getObjId()] = pet
pet:init(petInfo,self._controller)
local owner = self._module.controllerList.playerController:getPlayer(petInfo.ownerId)
if(owner ~= nil)then
pet:setFigureVisible(owner:getFigureVisible())
else
pet:setFigureVisible(true)
end
end
function ScenePetController:updateFigureList()
for k,v in pairs(self.petList) do
local owner = self._module.controllerList.playerController:getPlayer(v:getObjInfo().ownerId)
if(owner ~= nil)then
if(not globalData.gameSetting.showOtherPet and v:getObjInfo().ownerId ~= globalData.selfPlayerInfo.userId) then
v:setFigureVisible(false)
else
v:setFigureVisible(owner:getFigureVisible())
end
end
end
end
function ScenePetController:updateAPetFigure(owner)
for k,v in pairs(self.petList) do
if(v ~= nil)then
if(v:getObjInfo().ownerId == owner:getObjId())then
v:setFigureVisible(owner:getFigureVisible())
end
end
end
end
function ScenePetController:showOtherPetHandler(evt)
self:updateFigureList()
end
function ScenePetController:removePetHandler(evt)
local petInfo = evt.data
local id = petInfo:getObjId()
local ownerId = petInfo.ownerId
local pet = self.petList[id]
if(pet ~= nil)then
pet:dispose()
end
self.petList[id] = nil
if(ownerId == globalData.selfPlayerInfo.userId)then
self.selfPet = nil
end
end
function ScenePetController:getPet(id)
return self.petList[id]
end
function ScenePetController:clear()
for k,v in pairs(self.petList) do
if(v ~= nil)then
v:dispose()
end
end
self.petList = {}
self.selfPet = nil
end
ScenePlayer = class("ScenePlayer",function()
local sp = SceneAttackableRole:new()
sp._campFlag = nil
sp._spriteEffect = nil
sp._lastSpriteId = 0
sp._fazhenEffectId = 0
sp._fazhenEffect = nil
sp._lastFazhenEffectId = 0
sp._lastFazhenEffectColor = nil
sp._bodyEffect = nil
sp._lastBodyEffectId = 0
sp._lastBodyEffectColor = nil
sp.mountOffset = 0
sp.buffChangeOffset = 0
sp._collectBar = nil
sp.__sceneAttackableInitEvent = sp.initEvent
sp.__sceneAttackableRemoveEvent = sp.removeEvent
sp.__sceneAttackableUpdateVisible = sp.updateVisible
sp.__sceneAttackableInitCharacter = sp.initCharacter
sp.__sceneAttackableDoMouseClick = sp.doMouseClick
sp.__sceneAtrackableCancelAmina = sp.cancelAnima
sp.__sceneAttackableWalkStart = sp.walkStartHandler
sp.__sceneAttackableWalkComplete = sp.walkCompleteHandler
sp.__sceneAttackablePlayAttack = sp.playAttack
sp.__sceneAttackableDispose = sp.dispose
sp.__sceneAttackableSelectChangeHandler = sp.selectChangeHandler
sp.__sceneWalkableSetAlpha = sp.setAlpha
sp.__sceneAttackableShowFigure = sp.showFigure
sp.__sceneAttackableHideFigure = sp.hideFigure
return sp
end)
function ScenePlayer:initEvent()
self:__sceneAttackableInitEvent()
self._info.figureInfo.titleInfo:addEventListener(globalData.globalEventType.playerInfo_changeTitle,self.titleChangeHandler,self)
self._info.figureInfo.characterInfo:addEventListener(globalData.globalEventType.playerInfo_style,self.styleUpdateHandler,self)
self._info.figureInfo:addEventListener(globalData.globalEventType.league_idOrJobUpdate,self.uniteUpdateHandler,self)
self._info.figureInfo:addEventListener(globalData.globalEventType.playerInfo_vip,self.vipUpdateHandler,self)
self._info.figureInfo:addEventListener(globalData.globalEventType.playerInfo_modeUpdate,self.modeUpdateHandler,self)
self._info.figureInfo:addEventListener(globalData.globalEventType.playerInfo_changeNick,self.nameUpdateHandler,self)
self._info:addEventListener(globalData.globalEventType.sceneInfo_otherCollect,self.otherCollectUpdateHandler,self)
self._info:addEventListener(globalData.globalEventType.sceneInfo_marryUpdate,self.nameUpdateHandler,self)
self._info:addEventListener(globalData.globalEventType.sceneInfo_jieyiUpdate,self.nameUpdateHandler,self)
end
function ScenePlayer:removeEvent()
self:__sceneAttackableRemoveEvent()
self._info.figureInfo.titleInfo:removeEventListener(globalData.globalEventType.playerInfo_changeTitle,self.titleChangeHandler,self)
self._info.figureInfo.characterInfo:removeEventListener(globalData.globalEventType.playerInfo_style,self.styleUpdateHandler,self)
self._info.figureInfo:removeEventListener(globalData.globalEventType.league_idOrJobUpdate,self.uniteUpdateHandler,self)
self._info.figureInfo:removeEventListener(globalData.globalEventType.playerInfo_vip,self.vipUpdateHandler,self)
self._info.figureInfo:removeEventListener(globalData.globalEventType.playerInfo_modeUpdate,self.modeUpdateHandler,self)
self._info.figureInfo:removeEventListener(globalData.globalEventType.playerInfo_changeNick,self.nameUpdateHandler,self)
self._info:removeEventListener(globalData.globalEventType.sceneInfo_otherCollect,self.otherCollectUpdateHandler,self)
self._info:removeEventListener(globalData.globalEventType.sceneInfo_marryUpdate,self.nameUpdateHandler,self)
self._info:removeEventListener(globalData.globalEventType.sceneInfo_jieyiUpdate,self.nameUpdateHandler,self)
end
function ScenePlayer:titleChangeHandler(evt)
if(self._nameField ~= nil)then
self._nameField:updateTitle()
end
end
function ScenePlayer:otherCollectUpdateHandler(evt)
if(self._info:getCollectTemplateId() == -1)then
self:hideCollectBar()
else
if(self._collectBar == nil)then
self._collectBar = BaseProgressBar:new(self,self.hideCollectBar)
self._collectBar:setScale(0.3)
self:addChild(self._collectBar,6)
self._collectBar:setPosition(-30,-10)
self._collectBar:setTime(globalData.allTemplates.collectTemplateList:getCollect(self._info:getCollectTemplateId()).collectTime)
end
end
end
function ScenePlayer:hideCollectBar()
if(self._collectBar ~= nil)then
self._collectBar:dispose()
self._collectBar = nil
end
end
function ScenePlayer:initCharacter()
if(not globalData.allTemplates.copyTemplateList:showWing(globalData.copyInfo.currentCopyId))then
self._info.figureInfo.characterInfo.hideWing = true
else
self._info.figureInfo.characterInfo.hideWing = false
end
self.mountOffset = self:getMountHeight()
self.character = BaseCharacter:new(self._info.figureInfo.characterInfo)
if(self._info.figureInfo.characterInfo.buffChangeId > 0)then
self.buffChangeOffset = globalData.allTemplates.monsterTemplateList:getMonster(self._info.figureInfo.characterInfo:getStyleBin()[7]):getOffsetY()
else
self.buffChangeOffset = 0
end
self:scaleValueUpdate()
self.character:setPosition(globalManager.ccCreator:newPoint(0, (self:getNameHeight() - 85 + self.mountOffset + self.buffChangeOffset) * self._scaleValue))
self:addChild(self.character,1)
self.character:show(globalData.allStaticTypes.directType:getRandomDir())
self.character:setAnimaCompleteCallback(self.cancelAnima,self)
self.character:updateDir(self._info:getDir())
self:initSprite()
if(self._nameField ~= nil)then
self._nameField:updateName()
self._nameField:move(0,self:getNameHeight() + self.mountOffset)
end
self:updateCampFlag()
self:updateFazhenEffect()
self:updateBodyEffect()
end
function ScenePlayer:initSprite()
if(not globalData.allTemplates.copyTemplateList:showSprite(globalData.copyInfo.currentCopyId))then
return
end
local tmpSpriteId = self._info.figureInfo.characterInfo:getSprite()
if(tmpSpriteId ~= self._lastSpriteId)then
self:clearSprite()
self._lastSpriteId = tmpSpriteId
if(self._lastSpriteId > 0)then
self:createSprite()
end
end
end
function ScenePlayer:clearSprite()
if(self._spriteEffect ~= nil)then
self._spriteEffect:dispose()
self._spriteEffect = nil
end
end
function ScenePlayer:createSprite()
self._spriteEffect = globalManager.effectCreator:create(self._lastSpriteId, nil, nil,false,0.8)
if(self._spriteEffect ~= nil)then
self:addChild(self._spriteEffect,3)
self._spriteEffect:play()
self._spriteEffect:move(100,-120)
end
end
function ScenePlayer:getMountHeight()
local mountOffset = 0
local styleBin = self._info.figureInfo.characterInfo:getStyleBin()
if(styleBin ~= nil and self._info.figureInfo:getIsHorse())then
local mount = styleBin[3]
if(mount ~= nil and mount > 0)then
mountOffset = globalData.allTemplates.xiaofeiTemplateList:getTemplate(globalData.allStaticTypes.petXiaofeiType.ZUOQI,mount):getYoffset()
-- mountOffset = 50
end
end
return mountOffset
end
function ScenePlayer:styleUpdateHandler(evt)
if(not globalData.allTemplates.copyTemplateList:showWing(globalData.copyInfo.currentCopyId))then
self._info.figureInfo.characterInfo.hideWing = true
else
self._info.figureInfo.characterInfo.hideWing = false
end
self.mountOffset = self:getMountHeight()
if(self.character ~= nil)then
if(self._info.figureInfo.characterInfo.buffChangeId > 0)then
self.buffChangeOffset = globalData.allTemplates.monsterTemplateList:getMonster(self._info.figureInfo.characterInfo:getStyleBin()[7]):getOffsetY()
else
self.buffChangeOffset = 0
end
self.character:setPosition(globalManager.ccCreator:newPoint(0, (self:getNameHeight() - 85 + self.mountOffset + self.buffChangeOffset) * self._scaleValue))
end
if(self._nameField ~= nil)then
self._nameField:updateName()
self._nameField:move(0,self:getNameHeight() + self.mountOffset)
end
self:scaleValueUpdate()
self:cancelAnima(true)
self:initSprite()
self:updateCampFlag()
self:updateFazhenEffect()
self:updateBodyEffect()
end
function ScenePlayer:scaleValueUpdate()
if(self.character ~= nil)then
self.character:setScale(self._scaleValue)
self.character:setPosition(globalManager.ccCreator:newPoint(0, (self:getNameHeight() - 85 + self.mountOffset + self.buffChangeOffset) * self._scaleValue))
end
end
function ScenePlayer:nameUpdateHandler(evt)
if(self._nameField ~= nil)then
self._nameField:updateName()
self._nameField:move(0,self:getNameHeight() + self.mountOffset)
end
end
function ScenePlayer:uniteUpdateHandler(evt)
if(self._nameField ~= nil)then
self._nameField:updateClubName(true)
end
end
function ScenePlayer:vipUpdateHandler(evt)
self:updateFazhenEffect()
end
function ScenePlayer:modeUpdateHandler(evt)
if(self._nameField ~= nil)then
self._nameField:updateName()
end
end
function ScenePlayer:updateFazhenEffect()
if(not globalData.allTemplates.copyTemplateList:showFazhen(globalData.copyInfo.currentCopyId))then
return
end
self._fazhenEffectId = 0
local fazhenEffectColor = nil
if(self._info.figureInfo.characterInfo.buffChangeId == 0) then
local fazhenId = self._info.figureInfo.characterInfo:getFazhenId()
if(fazhenId > 0)then
local fazhenTemplate = globalData.allTemplates.xiaofeiTemplateList:getTemplate(globalData.allStaticTypes.petXiaofeiType.FAZHEN,fazhenId)
self._fazhenEffectId = tonumber(fazhenTemplate:getPicPath())
fazhenEffectColor = globalData.allStaticTypes.colorType:getFazhenEffectColor(fazhenId)
end
if(self._fazhenEffectId == self._lastFazhenEffectId and self._lastFazhenEffectColor == fazhenEffectColor)then
return
end
end
self._lastFazhenEffectId = self._fazhenEffectId
self._lastFazhenEffectColor = fazhenEffectColor
if(self._fazhenEffect ~= nil)then
self._fazhenEffect:dispose()
self._fazhenEffect = nil
end
if(self._fazhenEffectId > 0)then
self._fazhenEffect = globalManager.effectCreator:create(self._fazhenEffectId, nil, nil,false)
self._fazhenEffect:setColor(fazhenEffectColor)
self._fazhenEffect:play()
self:addChild(self._fazhenEffect)
end
self:updateShadow()
end
function ScenePlayer:updateBodyEffect()
if(not globalData.allTemplates.copyTemplateList:showLonghun(globalData.copyInfo.currentCopyId))then
return
end
local bodyEffect = 0
local bodyEffectColor = nil
if(self._info.figureInfo.characterInfo.buffChangeId == 0) then
local longHunId = self._info.figureInfo.characterInfo:getLongHunId()
if(longHunId > 0)then
local longHunTemplate = globalData.allTemplates.xiaofeiTemplateList:getTemplate(globalData.allStaticTypes.petXiaofeiType.LONGHUN,longHunId)
bodyEffect = tonumber(longHunTemplate:getPicPath())
bodyEffectColor = globalData.allStaticTypes.colorType:getBodyEffectColor(longHunId)
end
if(self._bodyEffect ~= nil) then
self._bodyEffect:move(0,-self.mountOffset)
end
end
if(bodyEffect == self._lastBodyEffectId and self._lastBodyEffectColor == bodyEffectColor)then
return
end
if(bodyEffect ~= self._lastBodyEffectId) then
if(self._bodyEffect ~= nil)then
self._bodyEffect:dispose()
self._bodyEffect = nil
end
if(bodyEffect > 0)then
self._bodyEffect = globalManager.effectCreator:create(bodyEffect, nil, nil,false)
self._bodyEffect:setColor(bodyEffectColor)
self._bodyEffect:move(0,-self.mountOffset)
self._bodyEffect:play()
self:addChild(self._bodyEffect,1)
end
else
if(self._bodyEffect ~= nil) then
self._bodyEffect:setColor(bodyEffectColor)
end
end
self._lastBodyEffectId = bodyEffect
self._lastBodyEffectColor = bodyEffectColor
end
function ScenePlayer:updateCampFlag()
if(globalData.allTemplates.copyTemplateList:isYuanGu(globalData.copyInfo.currentCopyId))then
if(self._campFlag == nil)then
self._campFlag = globalManager.ccCreator:newImageView()
end
if(self._info.warState == 1)then
self._campFlag:loadTexture("icon/copyBlueIcon.png",1)
elseif(self._info.warState == 2)then
self._campFlag:loadTexture("icon/copyRedIcon.png",1)
else
self._campFlag:loadTexture("icon/copyGreenIcon.png",1)
end
--        self._campFlag:setScale(0.6)
self._campFlag:setPosition(globalManager.ccCreator:newPoint(self._nameField:getPositionX() - 15, self._nameField:getPositionY() + 15))
if(self._campFlag:getParent() == nil)then
self:addChild(self._campFlag)
end
else
if(self._campFlag ~= nil)then
if(self._campFlag:getParent() ~= nil)then
self._campFlag:getParent():removeChild(self._campFlag,false)
end
end
end
end
function ScenePlayer:forceHideName()
if(globalData.allTemplates.copyTemplateList:hideOtherName(globalData.copyInfo.currentCopyId))then
return true
end
return false
end
function ScenePlayer:showName()
return globalData.gameSetting.showOtherPlayerTitle
end
function ScenePlayer:doMouseClick()
if(self.character == nil)then return end
self:__sceneAttackableDoMouseClick()
self._controllerList.playerController:playerClick(self)
end
function ScenePlayer:cancelAnima(force)
if(self.character == nil)then return end
if(force == nil)then force = false end
if(self._info.stateInfo:getIsDead())then
if(self._info.figureInfo.characterInfo.buffChangeId > 0)then
if(self._info.figureInfo.characterInfo.buffChangeType == 0) then
self:doAnima(globalData.allStaticTypes.animaInfoList.monsterHitDown,force)
elseif(self._info.figureInfo.characterInfo.buffChangeType == 1) then
self:doAnima(globalData.allStaticTypes.animaInfoList.petStand,force)
end
else
self:doAnima(globalData.allStaticTypes.animaInfoList.hitDown,force)
end
elseif(self._info.isWalking)then
self:playWalk()
else
if(self._info.figureInfo.characterInfo.buffChangeId > 0)then
if(self._info.figureInfo.characterInfo.buffChangeType == 0) then
self:doAnima(globalData.allStaticTypes.animaInfoList.monsterStand,true)
elseif(self._info.figureInfo.characterInfo.buffChangeType == 1) then
self:doAnima(globalData.allStaticTypes.animaInfoList.petStand,true)
end
else
if(self._info.figureInfo:getIsHorse() and self._info.figureInfo:getHorseId() > 0)then
self:doAnima(globalData.allStaticTypes.animaInfoList.stand2,force)
else
self:doAnima(globalData.allStaticTypes.animaInfoList.stand1,force)
end
end
end
end
function ScenePlayer:playWalk()
if(self.character == nil)then return end
if(self._info.figureInfo.characterInfo.buffChangeId > 0)then
self:doAnima(globalData.allStaticTypes.animaInfoList.monsterWalk,true)
else
if(self._info.figureInfo:getIsHorse() == true and self._info.figureInfo:getHorseId() > 0)then
self:doAnima(globalData.allStaticTypes.animaInfoList.walk2,true)
else
self:doAnima(globalData.allStaticTypes.animaInfoList.walk1,true)
end
end
end
function ScenePlayer:walkStartHandler(evt)
if(self.character == nil)then return end
self:__sceneAttackableWalkStart(evt)
self:playWalk()
end
function ScenePlayer:walkCompleteHandler(evt)
if(self.character == nil)then return end
self:__sceneAttackableWalkComplete(evt)
self:cancelAnima(true)
end
function ScenePlayer:playAttack()
if(self.character == nil)then return end
self:__sceneAttackablePlayAttack()
if(self.character ~= nil)then
if(self._info.figureInfo.characterInfo.buffChangeId > 0)then
if(self._info.figureInfo.characterInfo.buffChangeType == 0) then
self:doAnima(globalData.allStaticTypes.animaInfoList.monsterAttack,true)
elseif(self._info.figureInfo.characterInfo.buffChangeType == 1) then
self:doAnima(globalData.allStaticTypes.animaInfoList.petAttack,true)
end
else
self:doAnima(globalData.allStaticTypes.animaInfoList.attack1,true)
end
end
end
function ScenePlayer:updateVisible()
-- self:setFigureVisible(self._controller.sceneModule.roleVisibleTester:checkPlayerShow(self._info))
self:__sceneAttackableUpdateVisible()
self:setFigureVisible(self._controller.sceneModule.roleVisibleTester:checkPlayerShow(self._info))
self._controller.sceneModule.controllerList.petController:updateAPetFigure(self)
self._controller.sceneModule.controllerList.partnerController:updateAPartnerFigure(self)
end
--override
function ScenePlayer:getNameHeight()
return self._info.figureInfo.characterInfo:getRiderHeight() - 25
-- return 150
-- return self._info.template.height + 12
end
function ScenePlayer:selectChangeHandler(evt)
if(self.__sceneAttackableSelectChangeHandler ~= nil)then
self:__sceneAttackableSelectChangeHandler(evt)
end
if(self:getObjInfo():getIsSelect())then
if(self._selectView == nil)then
self._selectView = globalManager.ccCreator:newImageView()
if(self._controller.sceneModule.attackTester:playerCanBeAttack(self:getObjInfo(),false))then
self._selectView:loadTexture("icon/selected3.png",1)
else
self._selectView:loadTexture("icon/selected2.png",1)
end
end
if(self._selectView:getParent() == nil)then
self:addChild(self._selectView,0)
self._selectView:setPosition(globalManager.ccCreator:newPoint(1,1))
self._selectView:setPosition(globalManager.ccCreator:newPoint(0,0))
end
else
if(self._selectView ~= nil)then
if(self._selectView:getParent())then
self._selectView:getParent():removeChild(self._selectView,false)
end
end
end
end
function ScenePlayer:responseMouse()
if(self._info._currentHp <= 0) then return false end
if(globalData.allTemplates.copyTemplateList:isDefenes(globalData.copyInfo.currentCopyId)) then
return false
elseif(globalData.allTemplates.copyTemplateList:isYuanGu(globalData.copyInfo.currentCopyId) and self._info.warState == self._controller.sceneModule.sceneInfo.scenePlayerList.selfPlayer.warState) then
return false
elseif(globalData.allTemplates.copyTemplateList:isBangZhan(globalData.copyInfo.currentCopyId) and self._info.figureInfo.uniteId == self._controller.sceneModule.sceneInfo.scenePlayerList.selfPlayer.figureInfo.uniteId) then
return false
end
return true
end
function ScenePlayer:showFigure()
self:__sceneAttackableShowFigure()
end
function ScenePlayer:hideFigure()
self:__sceneAttackableHideFigure()
end
function ScenePlayer:doShake()
end
function ScenePlayer:showShadow()
return self._fazhenEffectId == 0 or self._fazhenEffectId == globalData.allTemplates.effectTemplateList.selfEffect
end
function ScenePlayer:setAlpha(value)
self:__sceneWalkableSetAlpha(value)
if(self.character ~= nil)then
self.character:setAlpha(value)
end
if(self._spriteEffect ~= nil)then
self._spriteEffect:setAlpha(value)
end
if(self._campFlag ~= nil)then
self._campFlag:setOpacity(value)
end
end
function ScenePlayer:dispose()
if(self._campFlag ~= nil)then
globalManager.ccCreator:release(self._campFlag)
self._campFlag = nil
end
self:clearSprite()
if(self._fazhenEffect ~= nil)then
self._fazhenEffect:dispose()
self._fazhenEffect = nil
end
if(self._collectBar ~= nil)then
self._collectBar:dispose()
self._collectBar = nil
end
if(self._bodyEffect ~= nil)then
self._bodyEffect:dispose()
self._bodyEffect = nil
end
self._lastBodyEffectColor = nil
self.__sceneAttackableUpdateVisible = nil
self.__sceneAttackableInitCharacter = nil
self.__sceneAttackableDoMouseClick = nil
self.__sceneAtrackableCancelAmina = nil
self.__sceneAttackableWalkStart = nil
self.__sceneAttackableWalkComplete = nil
self.__sceneAttackablePlayAttack = nil
self.__sceneWalkableSetAlpha = nil
self:__sceneAttackableDispose()
self.__sceneAttackableDispose = nil
self.__sceneAttackableRemoveEvent = nil
self.__sceneAttackableSelectChangeHandler = nil
self.__sceneAttackableInitEvent = nil
self.__sceneAttackableRemoveEvent = nil
self.__sceneAttackableShowFigure = nil
self.__sceneAttackableHideFigure = nil
end
ScenePlayerController = class("ScenePlayerController",function(self,controller)
local sp = {}
sp._controller = controller
sp._module = controller.sceneModule
sp._sceneInfo = controller.sceneInfo
sp._playerList = {}
sp.selfPlayer = nil
return sp
end)
function ScenePlayerController:ctor()
self:initEvent()
end
function ScenePlayerController:initEvent()
self._sceneInfo.scenePlayerList:addEventListener(globalData.globalEventType.sceneInfo_addPlayer,self.addPlayerHandler,self)
self._sceneInfo.scenePlayerList:addEventListener(globalData.globalEventType.sceneInfo_removePlayer,self.removePlayerHandler,self)
globalData.gameSetting:addEventListener(globalData.globalEventType.setting_otherPlayerTitle,self.otherPlayerTitleChangeHandler,self)
globalData.gameSetting:addEventListener(globalData.globalEventType.setting_otherPlayer,self.showOtherChangeHandler,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_stopJump, self.stopJumpHandler,self)
end
function ScenePlayerController:getPlayer(id)
return self._playerList[id]
end
function ScenePlayerController:addPlayerHandler(evt)
local playerInfo = evt.data
local player = nil
if(playerInfo:getObjId() == globalData.selfPlayerInfo.userId)then
player = SelfScenePlayer:new()
self.selfPlayer = player
else
player = ScenePlayer:new()
end
self._playerList[playerInfo:getObjId()] = player
player:init(playerInfo,self._controller)
player:setFigureVisible(self._module.roleVisibleTester:checkPlayerShow(playerInfo))
end
function ScenePlayerController:removePlayerHandler(evt)
local playerInfo = evt.data
local id = playerInfo:getObjId()
local player = self._playerList[id]
if(player ~= nil)then
player:dispose()
player = nil
end
self._playerList[id] = nil
if(id == globalData.selfPlayerInfo.userId)then
self.selfPlayer = nil
end
end
function ScenePlayerController:showOtherChangeHandler(evt)
for k,v in pairs(self._playerList) do
v:setFigureVisible(self._module.roleVisibleTester:checkPlayerShow(v:getObjInfo()))
end
self._module.controllerList.petController:updateFigureList()
self._module.controllerList.partnerController:updateFigureList()
end
function ScenePlayerController:otherPlayerTitleChangeHandler(evt)
for k,v in pairs(self._playerList) do
v:updateNameFieldVisible()
end
end
--player:ScenePlayer
function ScenePlayerController:playerClick(player)
local info = player:getObjInfo()
if(self._sceneInfo:getCurrentSelectObjInfo() == info)then
self._module.attackTester:startAttack()
else
self._sceneInfo:setCurrentSelectObjInfo(info)
end
end
function ScenePlayerController:stopJumpHandler(evt)
if(self.selfPlayer ~= nil)then
self.selfPlayer:stopJump()
end
end
function ScenePlayerController:clear()
for k,v in pairs(self._playerList) do
if(v ~= nil)then
v:dispose()
end
end
self.selfPlayer = nil
self._playerList = {}
end
SceneWalkableRole = class("SceneWalkableRole",function()
local sw = BaseRole:new()
--是否在建筑后面，透明
sw._isInMask = false
sw.__baseRoleInitEvent = sw.initEvent
sw.__baseRoleRemoveEvent = sw.removeEvent
sw.__baseRoleMoveHandler = sw.moveHandler
sw.__baseRoleInit = sw.init
sw.__baseRoleDispose = sw.dispose
return sw
end)
function SceneWalkableRole:initEvent()
self:__baseRoleInitEvent()
self._info:addEventListener(globalData.globalEventType.sceneinfo_walkStart,self.walkStartHandler,self)
self._info:addEventListener(globalData.globalEventType.sceneInfo_walkComplete,self.walkCompleteHandler,self)
end
function SceneWalkableRole:removeEvent()
self:__baseRoleRemoveEvent()
self._info:removeEventListener(globalData.globalEventType.sceneinfo_walkStart,self.walkStartHandler,self)
self._info:removeEventListener(globalData.globalEventType.sceneInfo_walkComplete,self.walkCompleteHandler,self)
end
function SceneWalkableRole:init(info,controller)
self:__baseRoleInit(info,controller)
self:updateAlpha()
end
function SceneWalkableRole:moveHandler(evt)
self:__baseRoleMoveHandler(self)
self:updateAlpha()
end
function SceneWalkableRole:updateAlpha()
if(self._controller ~= nil and self._controller.sceneInfo.playArenaMovie == false)then
local p = self:getScenePos()
self:setInMask(self._controller.sceneInfo.sceneMapList:mapCellIsAlpha(p.x,p.y))
return
end
self:setInMask(false)
end
function SceneWalkableRole:setInMask(value)
if(value == self._isInMask)then return end
self._isInMask = value
if(self._isInMask)then
self:setAlpha(100)
else
self:setAlpha(255)
end
end
function SceneWalkableRole:setAlpha(value)
if(self._nameField ~= nil)then
self._nameField:setOpacity(value)
end
if(self._selectView ~= nil)then
self._selectView:setOpacity(value)
end
end
function SceneWalkableRole:walkStartHandler(evt)
end
function SceneWalkableRole:walkCompleteHandler(evt)
end
function SceneWalkableRole:dispose()
self:__baseRoleDispose()
self.__baseRoleInitEvent = nil
self.__baseRoleRemoveEvent = nil
self.__baseRoleMoveHandler = nil
self.__baseRoleInit = nil
self.__baseRoleDispose = nil
end
SelfScenePartner = class("SelfScenePartner",function()
local ss = ScenePartner:new()
ss._afkBehavior = nil
ss.__scenePartnerInit = ss.init
ss.__scenePartnterDispose = ss.dispose
return ss
end)
function SelfScenePartner:init(info,controller)
self.__scenePartnerInit(self,info,controller)
self._afkBehavior = SelfPartnerAFKBehavior:new(info,controller,controller.sceneInfo.scenePlayerList.selfPlayer.stateInfo)
end
function SelfScenePartner:dispose()
if(self._afkBehavior ~= nil)then
self._afkBehavior:dispose()
self._afkBehavior = nil
end
self:__scenePartnterDispose()
self.__scenePartnterDispose = nil
self.__scenePartnerInit = nil
end
SelfScenePet = class("SelfScenePet",function()
local ss = ScenePet:new()
ss._afkBehavior = nil
ss.__scenePetInit = ss.init
ss.__scenePetDispose = ss.dispose
return ss
end)
function SelfScenePet:init(info,controller)
self.__scenePetInit(self,info,controller)
self._afkBehavior = SelfPetAFKBehavior:new(info,controller,controller.sceneInfo.scenePlayerList.selfPlayer.stateInfo)
end
function SelfScenePet:dispose()
if(self._afkBehavior ~= nil)then
self._afkBehavior:dispose()
self._afkBehavior = nil
end
self:__scenePetDispose()
self.__scenePetDispose = nil
self.__scenePetInit = nil
end
SelfScenePlayer = class("SelfScenePlayer",function()
local ss = ScenePlayer:new()
ss._mapController = nil
ss.__ScenePlayerInit = ss.init
ss.__ScenePlayerMoveHandler = ss.moveHandler
ss.__ScenePlayerPlayDead = ss.playDead
ss._lastIsWalk = false
ss._frameCount = 0
ss._mapInfo = nil
ss._selfBehaviorList = nil
ss._hasUpgrade = false
ss._acceptTask = false
ss._submitTask = false
ss._hadSendChangeScene = false
ss._isFarawayGate = false
ss._lastFightState = false
ss._spriteFlyBehavior = nil
ss.__scenePlayerCancelAnima = ss.cancelAnima
ss.__scenePlayerInitEvent = ss.initEvent
ss.__scenePlayerRemoveEvent = ss.removeEvent
ss.__scenePlayerupdateBuffStateHandler = ss.updateBuffStateHandler
ss.__scenePlayerInFightState = ss.inFightState
ss.__scenePlayerOutFightState = ss.outFightState
ss.__styleUpdateHandler = ss.styleUpdateHandler
ss.__scenePlayerClearSprite = ss.clearSprite
ss.__scenePlayerCreateSprite = ss.createSprite
ss.__walkCompleteHandler = ss.walkCompleteHandler
ss.__scenePlayerDispose = ss.dispose
return ss
end)
function SelfScenePlayer:init(info,controller)
self.__ScenePlayerInit(self,info,controller)
self._mapController = controller.sceneModule.controllerList.mapController
self._selfBehaviorList = SelfPlayerBehaviorList:new(self,controller)
self._mapInfo = self._controller.sceneInfo.sceneMapList:getMap(globalData.currentMapId)
globalData.selfPlayerInfo.scenePos = self:getScenePos()
globalManager.tickManager:addTick(self.tick,self)
end
function SelfScenePlayer:initEvent()
self:__scenePlayerInitEvent()
self._info.stateInfo:addEventListener(globalData.globalEventType.playerInfo_clientState,self.clientStateUpdateHandler,self)
globalData.selfPlayerInfo:addEventListener(globalData.globalEventType.playerInfo_level,self.levelUpdateHandler,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.playerInfo_taskSubmit,self.taskSubmitHandler,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.playerInfo_taskAccept,self.taskAcceptHandler,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_controllPadReset,self.controllPadResetHandler,self)
end
function SelfScenePlayer:removeEvent()
self:__scenePlayerRemoveEvent()
self._info.stateInfo:removeEventListener(globalData.globalEventType.playerInfo_clientState,self.clientStateUpdateHandler,self)
globalData.selfPlayerInfo:removeEventListener(globalData.globalEventType.playerInfo_level,self.levelUpdateHandler,self)
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.playerInfo_taskSubmit,self.taskSubmitHandler,self)
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.playerInfo_taskAccept,self.taskAcceptHandler,self)
globalManager.gameDispatcher:removeEventListener(globalData.globalEventType.scene_controllPadReset,self.controllPadResetHandler,self)
end
function SelfScenePlayer:otherCollectUpdateHandler(evt)
end
function SelfScenePlayer:clearSprite()
self:__scenePlayerClearSprite()
if(self._spriteFlyBehavior ~= nil)then
self._spriteFlyBehavior:stop()
end
end
function SelfScenePlayer:createSprite()
self:__scenePlayerCreateSprite()
if(self._spriteFlyBehavior == nil and self._spriteEffect ~= nil)then
self._spriteFlyBehavior = SpriteFlyBehavior:new(self)
end
self._spriteFlyBehavior:init(self._spriteEffect)
end
function SelfScenePlayer:setEffectZOther(value)
if(self._spriteEffect ~= nil)then
self._spriteEffect:setLocalZOrder(value)
end
end
function SelfScenePlayer:updateBuffStateHandler(evt)
self:__scenePlayerupdateBuffStateHandler(evt)
if(self._info.buffInfo:getIsFear())then
self._selfBehaviorList:startFare()
else
self._selfBehaviorList:stopFare()
end
end
function SelfScenePlayer:styleUpdateHandler(evt)
self:__styleUpdateHandler(evt)
if(self._info.figureInfo.characterInfo.buffChangeId > 0)then
self._controller.sceneInfo.scenePlayerList:doRider(false)
end
end
function SelfScenePlayer:levelUpdateHandler(evt)
self._hasUpgrade = true
end
function SelfScenePlayer:taskSubmitHandler(evt)
self._submitTask = true
end
function SelfScenePlayer:taskAcceptHandler(evt)
self._acceptTask = true
end
function SelfScenePlayer:controllPadResetHandler(evt)
self:cancelAnima()
end
function SelfScenePlayer:inFightState()
self:__scenePlayerInFightState()
if(self._lastFightState == false)then
--        globalManager.tipsManager.quickTip:show("进入战斗状态")
end
self._lastFightState = true
end
function SelfScenePlayer:outFightState()
self:__scenePlayerOutFightState()
--避免每次创建人物就提示
if(self._lastFightState == true)then
--        globalManager.tipsManager.quickTip:show("退出战斗状态")
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.playerInfo_riderUpAndDown,globalManager.gameDispatcher,true))
end
self._lastFightState = false
end
function SelfScenePlayer:doRoleReady(time,role,skill)
self._selfBehaviorList:doRoleReady(time,role,skill)
end
function SelfScenePlayer:cancelAnima(force)
--摇杆走路不停止
if(globalData.touchWalkValue == 1000)then
self:__scenePlayerCancelAnima(force)
end
end
function SelfScenePlayer:showName()
return true
end
function SelfScenePlayer:clientStateUpdateHandler(evt)
self._mapController:getModule().controllerList.sceneController:setHangUpBtnState(self._info.stateInfo:getAfk())
end
function SelfScenePlayer:moveHandler(evt)
self.__ScenePlayerMoveHandler(self,evt)
self._mapController:setFocus()
globalData.selfPlayerInfo.scenePos = self:getScenePos()
--int(self:getScenePos().x,self:getScenePos().y)
end
function SelfScenePlayer:tick(delta,tickCount)
self._frameCount = self._frameCount + 1
if(self._hasUpgrade)then
globalManager.soundManager:playSound(globalManager.soundManager.UPLEVEL)
local effect = globalManager.effectCreator:create(globalData.allTemplates.effectTemplateList.upgrade)
self:addChild(effect,2)
effect:play()
self._hasUpgrade = false
end
if(self._acceptTask)then
local effect = globalManager.effectCreator:create(globalData.allTemplates.effectTemplateList.acceptTask,nil,nil,nil)
self:addChild(effect,2)
effect:play()
self._acceptTask = false
end
if(self._submitTask)then
local effect = globalManager.effectCreator:create(globalData.allTemplates.effectTemplateList.submitTask,nil,nil,nil)
self:addChild(effect,2)
effect:play()
self._submitTask = false
end
if(self._frameCount % 7 == 0)then
--摇杆走路
if(self._mapInfo ~= nil and globalData.touchWalkValue ~= 1000)then
if(self._controller.sceneModule.walkTester:canWalk())then
self._controller.sceneModule.attackTester:stopAFK()
local t = self:getScenePos()
local speed = self._info.speed * globalData.speedOffset
local speedX = math.cos(globalData.touchWalkValue) * speed
local speedY = math.sin(globalData.touchWalkValue) * speed
local p = globalManager.ccCreator:newPoint(t.x + speedX, t.y - speedY)
p = globalManager.astar:getAroundIndex2(p,self:getScenePos(),1,3)
if(p ~= nil)then
local path = {}
table.insert(path,globalManager.ccCreator:newPoint(t.x, t.y))
table.insert(path,globalManager.ccCreator:newPoint(p.x, p.y))
self._controller.sceneModule.message:sendWalk(path)
self._info:setPath(path)
self._info:setCollectId(-1)
end
end
end
--捡道具
if(globalData.allTemplates.copyTemplateList:autoDropWhenWalk(globalData.copyInfo.currentCopyId))then
local drop = self._controller.sceneInfo.sceneDropList:getNearlyCanPickItem(self:getScenePos())
if(drop ~= nil)then
local d = globalManager.commonUtils:getPointDistance(drop:getPosition(),self:getScenePos())
if(d < 50)then
--捡道具
local isFiveEquip = globalData.allStaticTypes.categoryType:IsFiveEquip(drop:getTemplate().categoryId)
if((not isFiveEquip and globalData.goodsInfoList:getHasPos(1,1)) or (isFiveEquip and globalData.goodsInfoList:getHasPos(1,2)))then
drop.localPickEnable = false
self._mapController:getModule().message:sendGetDrop(drop:getObjId())
end
end
end
end
end
if(self._frameCount % 15 == 0)then
--走近传送门
local gate = self._controller.sceneInfo.sceneGateList:getNearlyGate(self._info:getPosition())
if(gate ~= nil)then
if(self._isFarawayGate == true)then
--进入传送门
if(self._hadSendChangeScene == false)then
self._controller:gotoMap(gate:getObjId())
self._hadSendChangeScene = true
end
end
else
self._isFarawayGate = true
end
--走路状态或者挂机状态不选目标
if(self._info.isWalking or self._info.stateInfo:getAfk())then
return
end
self:selectAtarget()
end
end
function SelfScenePlayer:selectAtarget()
local selectObj = self._controller.sceneInfo:getCurrentSelectObjInfo()
if(selectObj ~= nil)then
--算距离，清除选中
local clearDistance = 300
--暂时不自动选NPC
-- if(selectObj:getObjType() == globalData.allStaticTypes.sceneObjType.npc)then
-- clearDistance = 200
-- else
if(selectObj:getObjType() == globalData.allStaticTypes.sceneObjType.monster)then
clearDistance = 300
elseif(selectObj:getObjType() == globalData.allStaticTypes.sceneObjType.player)then
if(not self._controller.sceneInfo.autoChangeSelect)then
clearDistance = 1500
end
end
if(globalManager.commonUtils:getPointDistance(self._info:getPosition(), selectObj:getPosition()) > clearDistance)then
self._controller.sceneInfo:setCurrentSelectObjInfo(nil)
end
end
if(globalData.allTemplates.copyTemplateList:walkCompleteSelectPlayer(globalData.copyInfo.currentCopyId))then
selectObj = self._controller.sceneInfo:getCurrentSelectObjInfo()
if(selectObj == nil or self._controller.sceneInfo.autoChangeSelect)then
local selectPlayer = nil
-- if(globalData.allTemplates.copyTemplateList:autoSelectAttackPlayer(globalData.copyInfo.currentCopyId))then
--     selectPlayer = self._controller.sceneInfo:getNearlySelectable(self._info:getPosition(),true,true,false,false)
-- else
--     selectPlayer = self._controller.sceneInfo:getNearlySelectable(self._info:getPosition(),true,true,true,true)
-- end
selectPlayer = self._controller.sceneInfo:getNearlySelectable(self._info:getPosition(),true,true,false,false)
self._controller.sceneInfo:setCurrentSelectObjInfo(selectPlayer)
--清除攻击状态
if(self._info.stateInfo:getAttack())then
self._mapController:getModule().attackTester:stopAFK()
end
end
end
end
function SelfScenePlayer:walkCompleteHandler(evt)
self:__walkCompleteHandler()
self:selectAtarget()
end
function SelfScenePlayer:playDead()
self:__ScenePlayerPlayDead()
self._controller:showRelivePanel()
self._controller.sceneModule.attackTester:stopAFK()
self._controller.sceneModule.clearPathTester:stopMoving()
self._info:setCollectId(-1)
end
function SelfScenePlayer:responseMouse()
return false
end
function SelfScenePlayer:dispose()
globalManager.tickManager:removeTick(self.tick,self)
self._mapController = nil
self.__ScenePlayerInit = nil
self.__ScenePlayerMoveHandler = nil
self.__ScenePlayerPlayDead = nil
if(self._selfBehaviorList ~= nil)then
self._selfBehaviorList:dispose()
self._selfBehaviorList = nil
end
if(self._spriteFlyBehavior ~= nil)then
self._spriteFlyBehavior:dispose()
self._spriteFlyBehavior = nil
end
self._mapInfo = nil
self:__scenePlayerDispose()
self.__scenePlayerInitEvent = nil
self.__scenePlayerRemoveEvent = nil
self.__scenePlayerInFightState = nil
self.__scenePlayerOutFightState = nil
self.__scenePlayerDispose = nil
self.__scenePlayerCancelAnima = nil
self.__styleUpdateHandler = nil
self.__scenePlayerupdateBuffStateHandler = nil
end
SceneAttackableInfo = class("SceneAttackableInfo",function(self,module)
local sa = SceneWalkableInfo:new(module)
sa.stateInfo = RoleStateInfo:new()
sa.buffInfo = RoleBuffInfo:new()
sa.warState = 0
sa._totalHp = 0
sa._currentHp = 0
sa.__sceneWalkableInfoDispose = sa.dispose
return sa
end)
function SceneAttackableInfo:getTotalHp()
return self._totalHp
end
function SceneAttackableInfo:setTotalHp(value)
if(self._totalHp == value) then return end
self._totalHp = value
if(self._currentHp > value)then self._currentHp = value end
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.sceneInfo_hpUpdate,self,nil))
end
function SceneAttackableInfo:getCurrentHp()
return self._currentHp
end
function SceneAttackableInfo:setCurrentHp(value)
if(self._currentHp == value)then return end
self._currentHp = value
if(self._currentHp > self:getTotalHp())then self._currentHp = self:getTotalHp() end
if(self._currentHp < 0) then self._currentHp = 0 end
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.sceneInfo_hpUpdate,self,nil))
end
function SceneAttackableInfo:isCanMove()
if((self.buffInfo:getCanMove() == true) and (self.stateInfo:getCanMove() == true))then return true end
return false
end
function SceneAttackableInfo:isCanDoAttack()
if((self.buffInfo:getCanDoAttack() == true) and (self.stateInfo:getCanDoAttack() == true))then return true end
return false
end
function SceneAttackableInfo:isCanBeAttack()
if((self.stateInfo:getCanBeAttack() == false) or self.buffInfo:getIsWudi() == true)then return false end
return true
end
function SceneAttackableInfo:isCanUseSkill()
if((self.buffInfo:getCanUseSkill() == true) and (self.stateInfo:getCanUseSkill() == true))then return true end
return false
end
function SceneAttackableInfo:isCanUseItem()
if((self.buffInfo:getCanUseItem() == true))then return true end
return false
end
function SceneAttackableInfo:isAlpha()
return self.buffInfo:getIsAlpha()
end
function SceneAttackableInfo:setServerState(value)
self.stateInfo:setServerState(value)
end
function SceneAttackableInfo:dispose()
if(self.stateInfo ~= nil)then
self.stateInfo:dispose()
self.stateInfo = nil
end
if(self.buffInfo ~= nil)then
self.buffInfo:dispose()
self.buffInfo = nil
end
self:__sceneWalkableInfoDispose()
self.__sceneWalkableInfoDispose = nil
end
SceneCollectInfo = class("SceneCollectInfo", function(self,module)
local sc = SceneObjInfo:new(module)
sc.templateId = 0
sc.template = nil
--0未采集，1已采集，服务器未通知删除
sc.clientFlag = 0
--采集物阵营（有些副本用到）
sc.warState = 0
sc.characterInfo = CharacterInfo:new(globalData.allStaticTypes.sourceStaticType.collect)
sc.__SceneObjInfoDispose = sc.dispose
return sc
end)
function SceneCollectInfo:setTemplateId(templateId)
self.templateId = templateId
self.template = globalData.allTemplates.collectTemplateList:getCollect(templateId)
self.characterInfo:setStyleBin(1,self.template.picPath)
self.characterInfo:setDefaultAnima(globalData.allStaticTypes.animaInfoList.collectStand)
end
function SceneCollectInfo:getQuality()
return self.template.quality
end
function SceneCollectInfo:getName()
return self.template.name
end
--override
function SceneCollectInfo:getNameColor()
return globalData.allStaticTypes.colorType.COLORGREEN
end
--player ScenePlayerInfo
-- function SceneCollectInfo:canCollect(warState)
function SceneCollectInfo:canCollect(playerInfo,showTip)
local flag = 0
if(globalData.allTemplates.copyTemplateList:isBangZhan(globalData.copyInfo.currentCopyId))then
--龙魂石
if(self.template.templateId == 1923)then
if(globalData.copyInfo.copyBZInfo.selfMonsterId == 0)then
flag = 4
elseif(globalData.copyInfo.copyBZInfo.stoneClubId == playerInfo.figureInfo.uniteId)then
flag = 5
end
end
end
if(self.clientFlag ~= 0)then flag = 2 end
if(playerInfo:getLevel() < self.template.minLevel or playerInfo:getLevel() > self.template.maxLevel)then
flag = 3
end
if(flag == 0)then
return true
end
if(showTip == true)then
if(flag == 1)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("scene.collectTips1"))
elseif(flag == 2)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("scene.collectTips2"))
elseif(flag == 3)then
globalManager.tipsManager.quickTip:show(string.format(globalManager.yuyanbaoManager:getYuyanbao("scene.collectTips3"),tostring(self.template.minLevel)))
elseif(flag == 4)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("scene.collectTips4"))
elseif(flag == 5)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("scene.collectTips5"))
end
end
return false
end
function SceneCollectInfo:getObjType()
return globalData.allStaticTypes.sceneObjType.collect
end
function SceneCollectInfo:dispose()
self.template = nil
if(self.characterInfo ~= nil)then
self.characterInfo:dispose()
self.characterInfo = nil
end
self:__SceneObjInfoDispose()
self.__SceneObjInfoDispose = nil
end
SceneCollectList = class("SceneCollectList", function(self,sceneInfo)
local sc = EventDispatcher:new()
--map<int,SceneCollectInfo>
sc.collectList = {}
--vector<SceneCollectInfo>
sc._waitList = {}
sc._frameCount = 0
sc._sceneInfo = sceneInfo
return sc
end)
function SceneCollectList:ctor()
globalManager.tickManager:addTick(self.update,self)
end
function SceneCollectList:update(delta,tickCount)
self._frameCount = self._frameCount + 1
if(self._frameCount == 2)then
self._frameCount = 0
local len = table.getn(self._waitList)
if(len > 0)then
local collect = self._waitList[1]
table.remove(self._waitList, 1)
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.sceneInfo_addCollect,self,collect))
end
end
end
function SceneCollectList:addCollect(item)
if(self.collectList[item:getObjId()] == nil)then
self.collectList[item:getObjId()] = item
table.insert(self._waitList, item)
end
end
function SceneCollectList:removeCollect(id,playEffect)
local collect = self.collectList[id]
if(collect ~= nil)then
local len = table.getn(self._waitList)
for i = 1,len,1 do
if(self._waitList[i]:getObjId() == id) then
table.remove(self._waitList, i)
break
end
end
self.collectList[id] = nil
local d = {}
local p = collect:getPosition()
d["id"] = id
d["playEffect"] = playEffect
d["sceneX"] = p.x
d["sceneY"] = p.y
if(self._sceneInfo:getCurrentSelectObjInfo() == collect)then
self._sceneInfo:setCurrentSelectObjInfo(nil)
end
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.sceneInfo_removeCollect,self,d))
collect:dispose()
end
end
--需要刷新的采集物，采完一次服务器未通知刷新之前做标记
function SceneCollectList:setCollectClientFlag(id)
local item = self:getCollect(id)
if(item ~= nil and item.template.resetTime > 0)then
item.clientFlag = 1
end
end
function SceneCollectList:setCollectClientFlagFalse(id)
local item = self:getCollect(id)
if(item ~= nil)then
item.clientFlag = 0
end
end
function SceneCollectList:getCollect(id)
return self.collectList[id]
end
function SceneCollectList:getAFKCollectNearPoint(targetPos)
local dis = 100000
local item = nil
local selfPlayerInfo = self._sceneInfo.scenePlayerList.selfPlayer
if(selfPlayerInfo == nil)then return nil end
for k,v in pairs(self.collectList) do
if(v ~= nil and v:canCollect(selfPlayerInfo,false) and v.template.canAFK and v.type ~= 2)then
local d = globalManager.commonUtils:getPointDistance(v:getPosition(),targetPos)
if(d < dis)then
dis = d
item = v
end
end
end
return item
end
--获取离targetPos最近的可选怪
function SceneCollectList:getSelectCollectNearPoint(targetPos)
local dis = 1000000
local result = nil
local selfPlayerInfo = self._sceneInfo.scenePlayerList.selfPlayer
if(selfPlayerInfo == nil)then return nil end
for k,v in pairs(self.collectList) do
if(v ~= nil and v:canCollect(selfPlayerInfo,false))then
local d = globalManager.commonUtils:getPointDistance(v:getPosition(),targetPos)
if(d < dis)then
dis = d
result = v
end
end
end
return result
end
--获取附近指定模板的采集物
function SceneCollectList:getNearlyCollectByTemplateId(templateId,targetPos)
local dis = 100000
local item = nil
local selfPlayerInfo = self._sceneInfo.scenePlayerList.selfPlayer
if(selfPlayerInfo == nil)then return nil end
for k,v in pairs(self.collectList) do
if(v ~= nil and v:canCollect(selfPlayerInfo,false) and v.templateId == templateId)then
local d = globalManager.commonUtils:getPointDistance(v:getPosition(),targetPos)
if(d < dis)then
dis = d
item = v
end
end
end
return item
end
function SceneCollectList:removeOutBrostCollect(startX,endX,startY,endY)
for k,v in pairs(self.collectList) do
if(v ~= nil)then
local p = v:getPosition()
local tmpx = math.floor(p.x / globalData.BROST_WIDTH)
local tmpy = math.floor(p.y / globalData.BROST_HEIGHT)
if(tmpx < startX or tmpx > endX or tmpy < startY or tmpy > endY)then
self:removeCollect(k,false)
end
end
end
end
function SceneCollectList:clear()
for k,v in pairs(self.collectList) do
if(v ~= nil)then
v:dispose()
end
end
self.collectList = {}
self._waitList = {}
end
SceneDropInfo = class("SceneDropInfo", function(self,module)
local sd = SceneObjInfo:new(module)
--1:指定人物可拾取,2:所有人可拾取,此状态到时后发删除命令
sd.stateType = 0
sd.type = 0--掉落类型：0普通掉落，1特殊掉落物，进入副本背包,2只能本人看见
sd.templateId = 0
sd.ownerId = 0
--是否可拾取(客户端判断),已捡过的不再捡
sd.localPickEnable = true
sd._goodsTemplate = nil
sd.__sceneObjInfoDispose = sd.dispose
return sd
end)
function SceneDropInfo:setTemplateId(templateId)
self.templateId = templateId
self._goodsTemplate = globalData.allTemplates.goodsTemplateList:getTemplate(templateId)
end
function SceneDropInfo:getTemplate()
return self._goodsTemplate
end
--vector<ScenePlayerInfo> players
function SceneDropInfo:canPick(list)
if(self.localPickEnable)then
if(self.stateType ~= 1)then return true end
if(self.type == 2)then return true end
if(list == nil or #list == 0)then
if(self.ownerId == globalData.selfPlayerInfo.userId)then
return true
end
else
for i = 1,#list,1 do
if(self.ownerId == list[i]:getObjId())then
return true
end
end
end
end
return false
end
function SceneDropInfo:dispose()
self._goodsTemplate = nil
self:__sceneObjInfoDispose()
self.__sceneObjInfoDispose = nil
end
SceneDropList = class("SceneDropList", function(self,sceneInfo)
local sd = EventDispatcher:new()
sd._sceneInfo = sceneInfo
sd._module = sceneInfo.sceneModule
--map
sd._dropList = {}
return sd
end)
function SceneDropList:addDrop(item)
if(self._dropList[item:getObjId()] == nil)then
self._dropList[item:getObjId()] = item
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.sceneInfo_addDrop,self,item))
end
end
function SceneDropList:removeDrop(id)
local item = self._dropList[id]
if(item ~= nil)then
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.sceneInfo_removeDrop,self,item))
self._dropList[id] = nil
item:dispose()
end
end
function SceneDropList:getNearlyCanPickItem(targetPos)
local dis = 100000
local item = nil
for k,v in pairs(self._dropList) do
if(v ~= nil and self._module.pickupTester:canPickup(v))then
local d = globalManager.commonUtils:getPointDistance(v:getPosition(),targetPos)
if(d < dis)then
dis = d
item = v
end
end
end
return item
end
function SceneDropList:getItem(id)
return self._dropList[id]
end
function SceneDropList:removeOutBrostItem(startX,endX,startY,endY)
for k,v in pairs(self._dropList) do
if(v ~= nil)then
local p = v:getPosition()
local tmpx = math.floor(p.x / globalData.BROST_WIDTH)
local tmpy = math.floor(p.y / globalData.BROST_HEIGHT)
if(tmpx < startX or tmpx > endX or tmpy < startY or tmpy > endY)then
self:removeDrop(k)
end
end
end
end
function SceneDropList:clear()
for k,v in pairs(self._dropList) do
if(v ~= nil)then
v:dispose()
end
end
self._dropList = {}
end
SceneGateInfo = class("SceneGateInfo",function(self,module,template)
local sg = SceneObjInfo:new(module)
sg._template = template
sg.__sceneObjInfoDispose = sg.dispose
return sg
end)
function SceneGateInfo:getName()
return self._template:getNextMapName()
end
function SceneGateInfo:getObjId()
return self._template.templateId
end
function SceneGateInfo:getObjType()
return globalData.allStaticTypes.sceneObjType.gate
end
function SceneGateInfo:getTemplate()
return self._template
end
function SceneGateInfo:dispose()
self._template = nil
self:__sceneObjInfoDispose()
self.__sceneObjInfoDispose = nil
end
SceneGateList = class("SceneGateList",function(self,sceneInfo)
local sg = EventDispatcher:new()
sg._sceneInfo = sceneInfo
--map<int,sceneGate>
sg._gateList = {}
sg._dataComplete = false
return sg
end)
function SceneGateList:ctor()
self:initEvent()
end
--evt:BaseEvent
function SceneGateList:mapDataComplete(evt)
local mapPath = evt.data
if(mapPath ~= globalData.currentMapPath)then return end
if(self._dataComplete == true) then return end
self._dataComplete = true
local tmpList = globalData.allTemplates.gateTemplateList:getGateByScene(globalData.currentMapId)
if(tmpList ~= nil) then
local len = table.getn(tmpList)
for i = 1,len,1 do
self:addGate(tmpList[i])
end
end
end
function SceneGateList:initEvent()
self._sceneInfo.sceneMapList:addEventListener(globalData.globalEventType.sceneInfo_mapData,self.mapDataComplete,self)
end
--gateTemplate:GateTemplateInfo
function SceneGateList:addGate(gateTemplate)
local gateInfo = SceneGateInfo:new(self._sceneInfo.sceneModule,gateTemplate)
gateInfo:setScenePos(gateTemplate.pos)
local p = gateInfo:getPosition()
self._gateList[gateInfo:getObjId()] = gateInfo
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.sceneInfo_addGate,self,gateInfo))
end
function SceneGateList:getNearlyGate(targetPos)
for k,v in pairs(self._gateList) do
local d = globalManager.commonUtils:getPointDistance(v:getPosition(),targetPos)
if(d < 150)then
return v
end
end
return nil
end
function SceneGateList:removeGate(id)
local gateInfo = self._gateList[id]
if(gateInfo) then
self._gateList[id] = nil
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.sceneInfo_removeGate,self,gateInfo))
gateInfo:dispose()
end
end
function SceneGateList:getGates()
return self._gateList
end
function SceneGateList:clear()
if(globalData.preMapId == globalData.currentMapId)then return end
self._dataComplete = false
for k,v in pairs(self._gateList) do
if(v ~= nil)then
v:dispose()
end
end
self._gateList = {}
end
SceneMapInfo = class("SceneMapInfo",function()
local sm = {}
sm.path = 0
sm.mapName = ""
sm.width = 0
sm.height = 0
sm.maxGridCountX = 0
sm.maxGridCountY = 0
sm.maxServerGridCountX = 0
sm.maxServerGridCountY = 0
sm.gridSource = nil
return sm
end)
--data:ByteArray
function SceneMapInfo:initData(data)
if(data == nil) then return end
self.path = data:readInt()
self.width = data:readInt()
self.height = data:readInt()
self.maxGridCountX = data:readShort()
self.maxGridCountY = data:readShort()
self.maxServerGridCountX = math.ceil(self.width / globalData.BROST_WIDTH)
self.maxServerGridCountY = math.ceil(self.height / globalData.BROST_HEIGHT)
self.gridSource = {}
for i = 1,self.maxGridCountY,1 do
local t = {}
table.insert(self.gridSource, t)
for j = 1,self.maxGridCountX,1 do
table.insert(t, data:readUByte())
end
end
end
--sceneX,sceneY 场景坐标
function SceneMapInfo:isCanWalk(sceneX,sceneY)
-- lua索引从1开始，所以使用ceil
local gridX = math.ceil(sceneX / globalData.GRID_SIZE)
local gridY = math.ceil(sceneY / globalData.GRID_SIZE)
if(gridY > table.getn(self.gridSource) or gridY < 1) then
return false
end
if(self.gridSource[gridY][gridX] == globalData.allStaticTypes.mapBlockType.empty) then
return false
end
return true
end
function SceneMapInfo:isAlpha(sceneX,sceneY)
local gridX = math.ceil(sceneX / globalData.GRID_SIZE)
local gridY = math.ceil(sceneY / globalData.GRID_SIZE)
if(gridY > table.getn(self.gridSource) or gridY < 1) then
return false
end
if(self.gridSource[gridY][gridX] == globalData.allStaticTypes.mapBlockType.alpha) then
return true
end
return false
end
SceneMapList = class("SceneMapList",function(self,sceneInfo)
local sm = EventDispatcher:new()
sm._sceneInfo = sceneInfo
--map<path:string,SceneMapInfo>
sm._mapList = {}
return sm
end)
--id:int
function SceneMapList:loadData(id)
local mapInfo = self:getMap(id)
local path = globalData.allTemplates.mapTemplateList:getMap(id).mapPath
--datas:LoaderResult
local loadComplete = function(datas)
self:loadConfigComoplete(datas,path)
globalManager.loaderManager:removeAQuote(globalManager.pathManager:getMapConfigPath(path))
end
if(mapInfo == nil)then
--加载
globalManager.loaderManager:getBinary(globalManager.pathManager:getMapConfigPath(path),loadComplete,nil,true)
else
-- globalManager.astar:switchMapId(tostring(path))
if(mapInfo.path == globalData.currentMapPath)then
globalManager.astar:setSource(mapInfo.gridSource)
end
self:loadMapComplete(path)
end
end
--datas:LoaderResult
function SceneMapList:loadConfigComoplete(datas,path)
if(self._mapList[path] ~= nil)then return end
local tmpData = tolua.cast(datas,"LoaderResult")
local bytes = tolua.cast(tmpData:getData(),"ByteArray")
local mapInfo = SceneMapInfo:new()
mapInfo:initData(bytes)
self._mapList[mapInfo.path] = mapInfo
bytes:setPosition(0)
if(mapInfo.path == globalData.currentMapPath)then
globalManager.astar:setSource(mapInfo.gridSource)
end
self:loadMapComplete(mapInfo.path)
end
function SceneMapList:getMap(id)
local path = globalData.allTemplates.mapTemplateList:getMap(id).mapPath
return self._mapList[path]
end
function SceneMapList:getMapWidth()
return self:getMap(globalData.currentMapId).width
end
function SceneMapList:getMapHeight()
return self:getMap(globalData.currentMapId).height
end
function SceneMapList:mapCellIsAlpha(sceneX,sceneY)
local mapInfo = self:getMap(globalData.currentMapId)
if(mapInfo ~= nil)then
return mapInfo:isAlpha(sceneX,sceneY)
end
return false
end
function SceneMapList:loadMapComplete(path)
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.sceneInfo_mapData,self,path))
end
SceneMonsterInfo = class("SceneMonsterInfo",function(self,module)
local sm = SceneAttackableInfo:new(module)
sm.__SceneAttackableInfoCanBeSelect = sm.canBeSelect
sm.__SceneAttackableInfoCanBeAttack = sm.isCanBeAttack
sm.__SceneAttackableInfoSetCurrentHp = sm.setCurrentHp
sm.templateId = 0
sm._template = nil
sm.characterInfo = CharacterInfo:new(globalData.allStaticTypes.sourceStaticType.monster)
sm.__sceneAttackableInfoDispose = sm.dispose
sm._deadTickCount = 0
sm.ownerName = ""
return sm
end)
function SceneMonsterInfo:setTemplate(templateId)
self.templateId = templateId
self._template = globalData.allTemplates.monsterTemplateList:getMonster(self.templateId)
self.characterInfo:setStyleBin(1,self._template:getPicPath())
self.characterInfo:setDefaultAnima(globalData.allStaticTypes.animaInfoList.monsterStand)
end
function SceneMonsterInfo:getTemplate()
return self._template
end
function SceneMonsterInfo:setOwnerName(owner)
if(self.ownerName == owner)then return end
self.ownerName = owner
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_monsterOwnerChange,globalManager.gameDispatcher,self:getObjId()))
end
function SceneMonsterInfo:getObjType()
return globalData.allStaticTypes.sceneObjType.monster
end
--return string
function SceneMonsterInfo:getName()
return self:getTemplate().name
end
--override
function SceneMonsterInfo:getNameColor()
if(self:getTemplate().isBoss)then
return globalData.allStaticTypes.colorType.COLORPURPLE
end
return globalData.allStaticTypes.colorType.COLORWHITE
end
function SceneMonsterInfo:getLevel()
return self:getTemplate().level
end
--override
function SceneMonsterInfo:getTitleId()
return self:getTemplate().titleId
end
--override
function SceneMonsterInfo:canBeSelect()
if(self:__SceneAttackableInfoCanBeSelect() == false)then return false end
return self:getTemplate().canBeSelect
end
--override
function SceneMonsterInfo:isCanBeAttack()
if(self:__SceneAttackableInfoCanBeAttack() == false)then return false end
return self:getTemplate().canBeAttack
end
function SceneMonsterInfo:setCurrentHp(value)
self:__SceneAttackableInfoSetCurrentHp(value)
if(self._currentHp <= 0)then
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_monsterHpZero,globalManager.gameDispatcher,self:getObjId()))
end
end
function SceneMonsterInfo:addDeadTickCount(count)
self._deadTickCount = self._deadTickCount + count
end
function SceneMonsterInfo:isDeadRemove()
return self._deadTickCount >= globalData.monsterDeadTickCount
end
function SceneMonsterInfo:dispose()
self._template = nil
if(self.characterInfo ~= nil)then
self.characterInfo:dispose()
self.characterInfo = nil
end
self.__SceneAttackableInfoCanBeSelect = nil
self.__SceneAttackableInfoCanBeAttack = nil
self.__SceneAttackableInfoSetCurrentHp = nil
self:__sceneAttackableInfoDispose()
self.__sceneAttackableInfoDispose = nil
end
SceneMonsterList = class("SceneMonsterList",function(self,sceneInfo)
local sm = EventDispatcher:new()
sm._sceneInfo = sceneInfo
sm._module = sceneInfo.sceneModule
--map<number,SceneMonsterInfo>
sm._monsterList = {}
--vector<SceneMonsterInfo>
sm._waitList = {}
--vector<SceneMonsterInfo>
sm._deadList = {}
sm._frameCount = 0
return sm
end)
function SceneMonsterList:ctor()
globalManager.tickManager:addTick(self.tick,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_monsterHpZero,self.monsterHpUnderZeroHandler,self)
end
function SceneMonsterList:monsterHpUnderZeroHandler(evt)
local objId = evt.data
if(objId > 0)then
self:addToDeadList(objId)
end
end
--delta :float
function SceneMonsterList:tick(delta,tickCount)
local len = table.getn(self._deadList)
for i = len,1,-1 do
local monster = self._deadList[i]
monster:addDeadTickCount(tickCount)
if(monster:isDeadRemove())then
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.sceneInfo_removeMonster,self,monster))
table.remove(self._deadList, i)
monster:dispose()
end
end
self._frameCount = self._frameCount + 1
if(self._frameCount >= 5) then
self._frameCount = 0
local len = table.getn(self._waitList)
if(len > 0) then
local monster = self._waitList[1]
table.remove(self._waitList, 1)
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.sceneInfo_addMonster,self,monster))
end
end
end
--info:SceneMonsterInfo
function SceneMonsterList:addMonster(info)
if(info:getCurrentHp() <= 0)then return end
self._monsterList[info:getObjId()] = info
info:setScenePos(info:getPosition())
table.insert(self._waitList, info)
end
--id:number
function SceneMonsterList:removeMonster(id)
local len = table.getn(self._waitList)
for i = 1,len,1 do
if(self._waitList[i]:getObjId() == id) then
table.remove(self._waitList, i)
break
end
end
local monsterInfo = self._monsterList[id]
if(monsterInfo ~= nil) then
if(self._sceneInfo:getCurrentSelectObjInfo() == monsterInfo)then
self._sceneInfo:setCurrentSelectObjInfo(nil)
end
self._monsterList[id] = nil
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.sceneInfo_removeMonster,self,monsterInfo))
monsterInfo:dispose()
end
end
--id:number
function SceneMonsterList:getMonster(id)
return self._monsterList[id]
end
function SceneMonsterList:getMonsters()
return self._monsterList
end
function SceneMonsterList:getAMonsterByTemplateId(id)
for k,v in pairs(self._monsterList) do
if(v:getTemplate().monsterId == id)then
return v
end
end
return nil
end
--获取离targetPos最近的可攻击怪
function SceneMonsterList:getAFKMonsterNearPoint(targetPos)
local dis = 1000000
local result = nil
--map<number,SceneMonsterInfo>
for k,v in pairs(self._monsterList) do
if(v:getTemplate().canBeAFKSelect and self._module.attackTester:monsterCanBeAttack(v))then
local d = globalManager.commonUtils:getPointDistance(v:getPosition(),targetPos)
if(d < dis)then
dis = d
result = v
end
end
end
return result
end
--获取离targetPos最近的可攻击怪
function SceneMonsterList:getCanAttackMonsterNearPoint(targetPos)
local dis = 1000000
local result = nil
for k,v in pairs(self._monsterList) do
if(v:getTemplate().canBeSelect and self._module.attackTester:monsterCanBeAttack(v))then
local d = globalManager.commonUtils:getPointDistance(v:getPosition(),targetPos)
if(d < dis)then
dis = d
result = v
end
end
end
return result
end
--获取离targetPos最近的可选怪
function SceneMonsterList:getSelectMonsterNearPoint(targetPos)
local dis = 1000000
local result = nil
for k,v in pairs(self._monsterList) do
if(v:getTemplate().canBeSelect)then
local d = globalManager.commonUtils:getPointDistance(v:getPosition(),targetPos)
if(d < dis)then
dis = d
result = v
end
end
end
return result
end
--添加到死亡列表
function SceneMonsterList:addToDeadList(id)
local t = self._monsterList[id]
if(t ~= nil)then
self._monsterList[id] = nil
globalManager.commonUtils:removeItemInTable(self._waitList,t)
t:setObjId(t:getObjId() * -1)
table.insert(self._deadList, t)
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.sceneInfo_addMonsterToDeadList,self,t))
end
end
function SceneMonsterList:getMonsterServerType(id)
for k,v in pairs(self._monsterList) do
if(k == id)then
return v:getTemplate().serverMonsterType
end
end
return 11
end
--删除九宫格外怪物
function SceneMonsterList:removeOutBrostMonster(startX,endX,startY,endY)
for k,v in pairs(self._monsterList) do
if(v ~= nil)then
local p = v:getPosition()
local tmpx = math.floor(p.x / globalData.BROST_WIDTH)
local tmpy = math.floor(p.y / globalData.BROST_HEIGHT)
if(tmpx < startX or tmpx > endX or tmpy < startY or tmpy > endY)then
self:removeMonster(k)
end
end
end
end
function SceneMonsterList:clear()
for k,v in pairs(self._monsterList) do
if(v ~= nil)then
v:dispose()
end
end
self._monsterList = {}
self._waitList = {}
local len = table.getn(self._deadList)
for i = len,1,-1 do
if(self._deadList[i] ~= nil)then
self._deadList[i]:dispose()
end
end
self._deadList = {}
end
SceneNpcInfo = class("SceneNpcInfo",function(self,module)
local sn = SceneObjInfo:new(module)
sn._template = nil
sn.characterInfo = CharacterInfo:new(globalData.allStaticTypes.sourceStaticType.npc)
--0:无状态 1:有可完成任务，2：有可接任务，3：有未完成任务
sn.taskState = 0
--更新任务状态时用到，更新完清除
sn._tmpSubmitTask = {}
sn._tmpnSubmitTask = {}
sn._tmpAcceptTask = {}
sn.__sceneObjInfoDispose = sn.dispose
return sn
end)
--template:NpcTemplateInfo
function SceneNpcInfo:setTemplate(template)
self._template = template
self.characterInfo:setStyleBin(1,template:getPicPath())
self.characterInfo:setDefaultAnima(globalData.allStaticTypes.animaInfoList.npcStand)
end
--return NpcTemplateInfo
function SceneNpcInfo:getTemplate()
return self._template
end
--return string
function SceneNpcInfo:getName()
return self._template.name
end
--override
function SceneNpcInfo:getNameColor()
return globalData.allStaticTypes.colorType.COLORGREEN
end
--return number
function SceneNpcInfo:getObjId()
return self._template.templateId
end
--return int
function SceneNpcInfo:getObjType()
return globalData.allStaticTypes.sceneObjType.npc
end
--override
function SceneNpcInfo:getTitleId()
return self._template.titleId
end
--刷新任务状态
function SceneNpcInfo:fleshState()
local tmpState = 0
if(table.getn(self._tmpSubmitTask) > 0)then
tmpState = 1
elseif(table.getn(self._tmpAcceptTask) > 0)then
tmpState = 2
elseif(table.getn(self._tmpnSubmitTask) > 0)then
tmpState = 3
end
self._tmpSubmitTask = {}
self._tmpnSubmitTask = {}
self._tmpAcceptTask = {}
if(tmpState ~= self.taskState)then
self.taskState = tmpState
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.sceneInfo_npcState,self,nil))
end
end
--记录任务,用于刷新状态,task:TaskItemInfo
function SceneNpcInfo:addSubmitTask(task)
table.insert(self._tmpSubmitTask,task)
end
function SceneNpcInfo:addnSubmitTask(task)
table.insert(self._tmpnSubmitTask,task)
end
--taskTemplateInfo
function SceneNpcInfo:addAcceptTask(task)
table.insert(self._tmpAcceptTask,task)
end
--任务达成目标，直接调用
function SceneNpcInfo:setToSubmitState()
if(self.taskState == 1)then return end
self.taskState = 1
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.sceneInfo_npcState,self,nil))
end
function SceneNpcInfo:dispose()
self._template = nil
if(self.characterInfo ~= nil)then
self.characterInfo:dispose()
self.characterInfo = nil
end
self._tmpSubmitTask = nil
self._tmpnSubmitTask = nil
self._tmpAcceptTask = nil
self:__sceneObjInfoDispose()
self.__sceneObjInfoDispose = nil
end
SceneNpcList = class("SceneNpcList",function(self,sceneInfo)
local sn = EventDispatcher:new()
sn._sceneInfo = sceneInfo
sn._frameCount = 0
--map[int,SceneNpcInfo]
sn._npcList = {}
--vector<SceneNpcInfo>
sn._waitList = {}
sn._dataComplete = false
return sn
end)
function SceneNpcList:ctor()
self:initEvent()
globalManager.tickManager:addTick(self.update,self)
end
function SceneNpcList:initEvent()
self._sceneInfo.sceneMapList:addEventListener(globalData.globalEventType.sceneInfo_mapData,self.mapDataComplete,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.playerInfo_taskSubmit,self.newTaskSubmitHandler,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.playerInfo_canSubmit,self.newTaskCanSubmitHandler,self)
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.playerInfo_taskAccept,self.newTaskAcceptHandler,self)
end
--evt:BaseEvent
function SceneNpcList:mapDataComplete(evt)
local mapPath = evt.data
if(mapPath ~= globalData.currentMapPath)then return end
if(self._dataComplete == true) then return end
self._dataComplete = true
local list = globalData.allTemplates.npcTemplateList:getNpcByScene(globalData.currentMapId)
if(list ~= nil)then
local len = table.getn(list)
for i = 1,len,1 do
self:addNpc(list[i])
end
end
self:fleshNpcState()
end
function SceneNpcList:newTaskSubmitHandler(evt)
self:fleshNpcState()
end
function SceneNpcList:newTaskCanSubmitHandler(evt)
self:setNpcToSubmitState(evt.data)
end
function SceneNpcList:newTaskAcceptHandler(evt)
self:updateANpcState(evt.data)
end
--delta:float
function SceneNpcList:update(delta,tickCount)
self._frameCount = self._frameCount + 1
if(self._frameCount >= 2) then
self._frameCount = 0
if(self._sceneInfo.scenePlayerList.selfPlayer == nil)then return end
local len = table.getn(self._waitList)
if(len > 0) then
local npcInfo = self._waitList[1]
table.remove(self._waitList, 1)
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.sceneInfo_addNpc,self,npcInfo))
end
end
end
--npcTemplate:
function SceneNpcList:addNpc(npcTemplate)
local npcInfo = SceneNpcInfo:new(self._sceneInfo.sceneModule)
npcInfo:setTemplate(npcTemplate)
npcInfo:setScenePos(globalManager.ccCreator:newPoint(npcTemplate.sceneX,npcTemplate.sceneY))
table.insert(self._waitList, npcInfo)
self._npcList[npcInfo:getObjId()] = npcInfo
end
function SceneNpcList:removeNpc(id)
local len = table.getn(self._waitList)
for i = 1,len,1 do
if(self._waitList[i]:getObjId() == id) then
table.remove(self._waitList, i)
break
end
end
local npcInfo = self._npcList[id]
if(npcInfo ~= nil) then
self._npcList[id] = nil
if(self._sceneInfo:getCurrentSelectObjInfo() == npcInfo)then
self._sceneInfo:setCurrentSelectObjInfo(nil)
end
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.sceneInfo_removeNpc,self,npcInfo))
npcInfo:dipose()
end
end
--获取最近的NPC
function SceneNpcList:getNearlyNpc(targetPos)
local dis = 10000000
local result = nil
for k,v in pairs(self._npcList) do
local d = globalManager.commonUtils:getPointDistance(v:getPosition(),targetPos)
if(d < dis)then
dis = d
result = v
end
end
return result
end
function SceneNpcList:getNpcs()
return self._npcList
end
--刷新NPC状态，进场景，升级，任务提交时调用,任务达成目标时刷新单独NPC，不需要刷新全部
function SceneNpcList:fleshNpcState()
local taskList = globalData.taskItemList:getTaskList()
for k,v in pairs(taskList) do
if(v:getCurrentMission().finishNpc ~= nil)then
local npc = self._npcList[v:getCurrentMission().finishNpc]
if(npc ~= nil)then
if(v:checkMissionComplete())then
npc:addSubmitTask(v)
else
npc:addnSubmitTask(v)
end
end
end
end
for k1,v1 in pairs(self._npcList) do
if(v1 ~= nil)then
local result = globalData.taskItemList:getCanAcceptByNpcId(v1:getObjId())
if(table.getn(result) > 0)then
--任取一个做标记
v1:addAcceptTask(result[1])
end
v1:fleshState()
end
end
end
--任务达成目标时调用
function SceneNpcList:setNpcToSubmitState(npcId)
local npc = self._npcList[npcId]
if(npc ~= nil)then
npc:setToSubmitState()
end
end
--刷新一个NPC状态
function SceneNpcList:updateANpcState(npcId)
local npc = self._npcList[npcId]
if(npc ~= nil)then
local result = globalData.taskItemList:getTaskNotSubmitByNpcId(npcId)
if(table.getn(result["canSubmit"]) > 0)then
npc:addSubmitTask(result["canSubmit"][1])
elseif(table.getn(result["cantSubmit"]) > 0)then
npc:addnSubmitTask(result["cantSubmit"][1])
end
result = globalData.taskItemList:getCanAcceptByNpcId(npcId)
if(table.getn(result) > 0)then
npc:addAcceptTask(result[1])
end
npc:fleshState()
end
end
function SceneNpcList:clear()
if(globalData.preMapId == globalData.currentMapId)then return end
self._dataComplete = false
for k,v in pairs(self._npcList) do
if(v ~= nil)then
v:dispose()
end
end
self._npcList = {}
self._waitList = {}
end
SceneObjInfo = class("SceneObjInfo",function(self,module)
local soi = EventDispatcher:new()
soi._objId = 0
soi._position = globalManager.ccCreator:newPoint(0,0)
soi._dir = 0
soi._isselect = false
soi._serverId = 0
soi.__eventDispose = soi.dispose
soi.isVirsual = false
soi._module = module
return soi
end)
--return ccpoint
function SceneObjInfo:getPosition()
return self._position
end
--value:CCPoint,dispatcher:bool
function SceneObjInfo:setScenePos(value,dispatcher)
if(globalManager.commonUtils:pointEquals(self._position,value))then return end
self._position.x = value.x
self._position.y = value.y
if(dispatcher ~= false) then
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.sceneinfo_move,self,nil))
end
end
function SceneObjInfo:getDir()
return self._dir
end
--value:int
function SceneObjInfo:updateDir(value)
if(self._dir == value) then return end
self._dir = value
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.sceneinfo_direct,self,nil))
end
function SceneObjInfo:getIsSelect()
return self._isselect
end
--value:bool
function SceneObjInfo:setIsSelect(value)
if(self._isselect == value)then return end
self._isselect = value
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.sceneinfo_target,self,nil))
end
function SceneObjInfo:getName()
return ""
end
function SceneObjInfo:getModule()
return self._module
end
function SceneObjInfo:getNameColor()
return globalData.allStaticTypes.colorType.COLORWHITE
end
function SceneObjInfo:getObjId()
return self._objId
end
--value number
function SceneObjInfo:setObjId(value)
self._objId = value
end
function SceneObjInfo:getObjType()
return 0
end
function SceneObjInfo:getLevel()
return 0
end
function SceneObjInfo:canBeSelect()
return true
end
function SceneObjInfo:getServerId()
return self._serverId
end
function SceneObjInfo:getTitleId()
return -1
end
function SceneObjInfo:dispose()
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.sceneinfo_dispose,self,nil))
self:__eventDispose()
self.__eventDispose = nil
self._position = nil
self._module = nil
end
ScenePartnerInfo = class("ScenePartnerInfo",function(self,module)
local sp = SceneAttackableInfo:new(module)
sp.template = nil
sp.templateId = 0
sp.ownerId = 0
sp._follower = nil
sp._walkTester = module.walkTester
sp._followMoveCount = 0
sp.characterInfo = CharacterInfo:new(globalData.allStaticTypes.sourceStaticType.pet)
sp.__sceneAttackableDispose = sp.dispose
return sp
end)
function ScenePartnerInfo:setTemplate(value)
if(self.templateId == value)then
return
end
self.templateId = value
self.template = globalData.allTemplates.partnerTemplateList:getTemplate(self.templateId)
self.characterInfo:setStyleBin(1,self.template:getPicPath())
self.characterInfo:setDefaultAnima(globalData.allStaticTypes.animaInfoList.petStand)
self.characterInfo:updateStyleBin()
end
function ScenePartnerInfo:getName()
return self.template.name
end
--override
function ScenePartnerInfo:getNameColor()
return globalData.allStaticTypes.colorType.COLORBLUE
end
function ScenePartnerInfo:getObjType()
return globalData.allStaticTypes.sceneObjType.partner
end
function ScenePartnerInfo:getLevel()
if(self._follower == nil)then return 0 end
return self._follower:getLevel()
end
function ScenePartnerInfo:setFollower(follower)
if(self._follower ~= nil)then
self._follower:removeEventListener(globalData.globalEventType.sceneinfo_move,self.followerMoveHandler,self)
self._follower:removeEventListener(globalData.globalEventType.sceneinfo_dispose,self.followerDisposeHandler,self)
end
self._follower = follower
if(self._follower ~= nil)then
self._follower:addEventListener(globalData.globalEventType.sceneinfo_move,self.followerMoveHandler,self)
self._follower:addEventListener(globalData.globalEventType.sceneinfo_dispose,self.followerDisposeHandler,self)
end
end
function ScenePartnerInfo:followerMoveHandler(evt)
self._followMoveCount = self._followMoveCount + 1
if(self._followMoveCount % 4 == 0)then
local dis = globalManager.commonUtils:getPointDistance(self:getPosition(),self._follower:getPosition())
if(dis > globalData.PARTNER_FOLLOW_MAXDISTANCE)then
local path = {}
table.insert(path,self:getPosition())
local t = self._follower:getPosition()
table.insert(path,globalManager.ccCreator:newPoint(t.x, t.y))
path = self._walkTester:cutPathEnd(path,globalData.PARTNER_FOLLOW_DISTANCE)
self:setPath(path,nil,0)
end
end
end
function ScenePartnerInfo:followerDisposeHandler(evt)
if(self._follower ~= nil)then
self._follower:removeEventListener(globalData.globalEventType.sceneinfo_move,self.followerMoveHandler,self)
self._follower:removeEventListener(globalData.globalEventType.sceneinfo_dispose,self.followerDisposeHandler,self)
self._follower = nil
end
end
function ScenePartnerInfo:dispose()
self.template = nil
self._walkTester = nil
if(self.characterInfo ~= nil)then
self.characterInfo:dispose()
self.characterInfo = nil
end
if(self._follower ~= nil)then
self._follower:removeEventListener(globalData.globalEventType.sceneinfo_move,self.followerMoveHandler,self)
self._follower:removeEventListener(globalData.globalEventType.sceneinfo_dispose,self.followerDisposeHandler,self)
self._follower = nil
end
self:__sceneAttackableDispose()
self.__sceneAttackableDispose = nil
end
ScenePartnerList = class("ScenePartnerList",function(self,sceneInfo)
local sp = EventDispatcher:new()
sp.sceneInfo = sceneInfo
sp.sceneModule = sceneInfo.sceneModule
sp.selfPartner = nil
--map<int,ScenePartnerInfo>
sp.partnerList = {}
--vector<scenePartnerInfo>
sp._waitList = {}
sp._frameCount = 0
return sp
end)
function ScenePartnerList:ctor()
globalManager.tickManager:addTick(self.tick,self)
end
function ScenePartnerList:tick(delta,tickCount)
self._frameCount = self._frameCount + 1
if(self._frameCount > 6)then
self._frameCount = 0
local partner = self:getSceneHasAdd()
if(partner ~= nil)then
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.sceneInfo_addPartner,self,partner))
end
end
end
function ScenePartnerList:getSceneHasAdd()
local len = #self._waitList
for i = 1,len,1 do
local partner = self._waitList[i]
local player = self.sceneInfo.scenePlayerList:getPlayer(partner:getObjId())
if(player ~= nil and not player.inWaiting)then
table.remove(self._waitList,i)
return partner
end
end
return nil
end
function ScenePartnerList:addPartner(partnerInfo)
if(not globalData.allTemplates.copyTemplateList:isShowPartner(globalData.copyInfo.currentCopyId))then
partnerInfo:dispose()
return
end
self.partnerList[partnerInfo:getObjId()] = partnerInfo
if(partnerInfo.ownerId == globalData.selfPlayerInfo.userId)then
self.selfPartner = partnerInfo
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.sceneInfo_addPartner,self,partnerInfo))
else
table.insert(self._waitList,partnerInfo)
end
end
function ScenePartnerList:removePartner(id)
local len = table.getn(self._waitList)
for i = 1,len,1 do
if(self._waitList[i]:getObjId() == id) then
table.remove(self._waitList, i)
break
end
end
local partner = self.partnerList[id]
if(partner ~= nil)then
self.partnerList[id] = nil
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.sceneInfo_removePartner,self,partner))
partner:dispose()
end
end
function ScenePartnerList:getPartner(id)
return self.partnerList[id]
end
function ScenePartnerList:clear()
for k,v in pairs(self.partnerList) do
if(v ~= nil)then
v:dispose()
end
end
self.partnerList = {}
self._waitList = {}
self.selfPartner = nil
end
ScenePetInfo = class("ScenePetInfo",function(self,module)
local sp = SceneAttackableInfo:new(module)
sp.template = nil
sp.templateId = 0 --品阶
sp.ownerId = 0
sp._follower = nil
sp._walkTester = module.walkTester
sp._followMoveCount = 0
sp.characterInfo = CharacterInfo:new(globalData.allStaticTypes.sourceStaticType.pet)
sp.__sceneAttackableDispose = sp.dispose
return sp
end)
function ScenePetInfo:setTemplate(value)
if(self.templateId == value)then
return
end
self.templateId = value
self.template = globalData.allTemplates.petTemplateList:getTemplate(self.templateId)
self.characterInfo:setStyleBin(1,self.template:getPicPath())
self.characterInfo:setDefaultAnima(globalData.allStaticTypes.animaInfoList.petStand)
self.characterInfo:updateStyleBin()
end
function ScenePetInfo:getName()
return self.template.name
end
--override
function ScenePetInfo:getNameColor()
return globalData.allStaticTypes.colorType.COLORBLUE
end
function ScenePetInfo:getObjType()
return globalData.allStaticTypes.sceneObjType.pet
end
function ScenePetInfo:getLevel()
if(self._follower == nil)then return 0 end
return self._follower:getLevel()
end
function ScenePetInfo:setFollower(follower)
if(self._follower ~= nil)then
self._follower:removeEventListener(globalData.globalEventType.sceneinfo_move,self.followerMoveHandler,self)
self._follower:removeEventListener(globalData.globalEventType.sceneinfo_dispose,self.followerDisposeHandler,self)
end
self._follower = follower
if(self._follower ~= nil)then
self._follower:addEventListener(globalData.globalEventType.sceneinfo_move,self.followerMoveHandler,self)
self._follower:addEventListener(globalData.globalEventType.sceneinfo_dispose,self.followerDisposeHandler,self)
end
end
function ScenePetInfo:followerMoveHandler(evt)
self._followMoveCount = self._followMoveCount + 1
if(self._followMoveCount % 4 == 0)then
local dis = globalManager.commonUtils:getPointDistance(self:getPosition(),self._follower:getPosition())
if(dis > globalData.PET_FOLLOW_MAXDISTANCE)then
local path = {}
table.insert(path,self:getPosition())
local t = self._follower:getPosition()
table.insert(path,globalManager.ccCreator:newPoint(t.x, t.y))
path = self._walkTester:cutPathEnd(path,globalData.PET_FOLLOW_DISTANCE)
self:setPath(path,nil,0)
end
end
end
function ScenePetInfo:followerDisposeHandler(evt)
if(self._follower ~= nil)then
self._follower:removeEventListener(globalData.globalEventType.sceneinfo_move,self.followerMoveHandler,self)
self._follower:removeEventListener(globalData.globalEventType.sceneinfo_dispose,self.followerDisposeHandler,self)
self._follower = nil
end
end
function ScenePetInfo:dispose()
self.template = nil
self._walkTester = nil
if(self.characterInfo ~= nil)then
self.characterInfo:dispose()
self.characterInfo = nil
end
if(self._follower ~= nil)then
self._follower:removeEventListener(globalData.globalEventType.sceneinfo_move,self.followerMoveHandler,self)
self._follower:removeEventListener(globalData.globalEventType.sceneinfo_dispose,self.followerDisposeHandler,self)
self._follower = nil
end
self:__sceneAttackableDispose()
self.__sceneAttackableDispose = nil
end
ScenePetList = class("ScenePetList",function(self,sceneInfo)
local sp = EventDispatcher:new()
sp.sceneInfo = sceneInfo
sp.sceneModule = sceneInfo.sceneModule
sp.selfPet = nil
--map<int,ScenePetInfo>
sp.petList = {}
--vector<scenePetInfo>
sp._waitList = {}
sp._frameCount = 0
return sp
end)
function ScenePetList:ctor()
globalManager.tickManager:addTick(self.tick,self)
end
function ScenePetList:tick(delta,tickCount)
self._frameCount = self._frameCount + 1
--数值需>=scenePlayerList的frameCount
if(self._frameCount > 6)then
self._frameCount = 0
-- if(table.getn(self._waitList) > 0)then
-- 	local pet = self._waitList[1]
-- 	table.remove(self._waitList,1)
-- 	self:dispatchEvent(BaseEvent:new(globalData.globalEventType.sceneInfo_addPet,self,pet))
-- end
local pet = self:getSceneHasAdd()
if(pet ~= nil)then
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.sceneInfo_addPet,self,pet))
end
end
end
function ScenePetList:getSceneHasAdd()
local len = #self._waitList
for i = 1,len,1 do
local pet = self._waitList[i]
local player = self.sceneInfo.scenePlayerList:getPlayer(pet:getObjId())
if(player ~= nil and not player.inWaiting)then
table.remove(self._waitList,i)
return pet
end
end
return nil
end
function ScenePetList:addPet(petInfo)
if(not globalData.allTemplates.copyTemplateList:isShowPet(globalData.copyInfo.currentCopyId))then
petInfo:dispose()
return
end
self.petList[petInfo:getObjId()] = petInfo
if(petInfo.ownerId == globalData.selfPlayerInfo.userId)then
self.selfPet = petInfo
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.sceneInfo_addPet,self,petInfo))
else
table.insert(self._waitList,petInfo)
end
end
function ScenePetList:removePet(id)
local len = table.getn(self._waitList)
for i = 1,len,1 do
if(self._waitList[i]:getObjId() == id) then
table.remove(self._waitList, i)
break
end
end
local pet = self.petList[id]
if(pet ~= nil)then
self.petList[id] = nil
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.sceneInfo_removePet,self,pet))
pet:dispose()
end
end
function ScenePetList:getPet(id)
return self.petList[id]
end
function ScenePetList:clear()
for k,v in pairs(self.petList) do
if(v ~= nil)then
v:dispose()
end
end
self.petList = {}
self._waitList = {}
self.selfPet = nil
end
ScenePlayerInfo = class("ScenePlayerInfo",function(self,module,figurePlayer,selfPlayer)
local sp = SceneAttackableInfo:new(module)
sp.figureInfo = figurePlayer
sp._selfPlayer = selfPlayer
sp.inWaiting = true
sp._collectTemplateId = -1
sp.collectTime = 0
sp.__sceneAttackableInfoDispose = sp.dispose
return sp
end)
function ScenePlayerInfo:setCollectTemplateId(id)
if(self._collectTemplateId == id)then return end
self._collectTemplateId = id
if(globalData.allTemplates.copyTemplateList:showOtherCollectState(globalData.copyInfo.currentCopyId))then
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.sceneInfo_otherCollect,self,nil))
end
end
function ScenePlayerInfo:getCollectTemplateId()
return self._collectTemplateId
end
function ScenePlayerInfo:getObjType()
return globalData.allStaticTypes.sceneObjType.player
end
function ScenePlayerInfo:getName()
return self.figureInfo.nick
end
function ScenePlayerInfo:updateMarry()
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.sceneInfo_marryUpdate,self,nil))
end
function ScenePlayerInfo:updateJieYi()
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.sceneInfo_jieyiUpdate,self,nil))
end
--override
function ScenePlayerInfo:getNameColor()
if(globalData.allTemplates.copyTemplateList:isBangZhan(globalData.copyInfo.currentCopyId))then
if(self._selfPlayer ~= nil)then
if(self._selfPlayer.figureInfo.uniteId ~= self.figureInfo.uniteId)then
return globalData.allStaticTypes.colorType.COLORRED
end
end
elseif(globalData.allTemplates.copyTemplateList:isWarState(globalData.copyInfo.currentCopyId))then
if(self._selfPlayer ~= nil)then
if(self._selfPlayer.warState ~= self.warState)then
return globalData.allStaticTypes.colorType.COLORRED
end
end
elseif(globalData.allTemplates.copyTemplateList:isStarCraft(globalData.copyInfo.currentCopyId))then
if(self._selfPlayer ~= nil)then
if(self._selfPlayer:getObjId() ~= self:getObjId())then
return globalData.allStaticTypes.colorType.COLORRED
end
end
else
if(self.figureInfo.pvpMode > 0)then
if(self._selfPlayer ~= nil)then
if(self._selfPlayer.figureInfo.uniteId == 0 or self._selfPlayer.figureInfo.uniteId ~= self.figureInfo.uniteId)then
return globalData.allStaticTypes.colorType.COLORRED
end
end
end
end
return globalData.allStaticTypes.colorType.COLORWHITE
end
function ScenePlayerInfo:getLevel()
return self.figureInfo.level
end
function ScenePlayerInfo:getObjId()
return self.figureInfo.userId
end
function ScenePlayerInfo:getServerId()
return self.figureInfo.serverId
end
function ScenePlayerInfo:getCareer()
return self.figureInfo.characterInfo.career
end
function ScenePlayerInfo:getTitleId()
if(globalData.allTemplates.copyTemplateList:isYuanGu(globalData.copyInfo.currentCopyId))then
return self.figureInfo.titleInfo:getTempTitleId()
end
return self.figureInfo.titleInfo:getCurrentTitleId()
end
--玩家升级
function ScenePlayerInfo:playerUpgrade(level,totalHp,currentHp)
self.figureInfo:setLevel(level)
self.totalHp = totalHp
self:setCurrentHp(currentHp)
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.sceneInfo_levelUp))
end
function ScenePlayerInfo:clearFigureInfo()
if(self.figureInfo ~= nil)then
self.figureInfo:dispose()
self.figureInfo = nil
end
end
function ScenePlayerInfo:dispose()
self:clearFigureInfo()
self._selfPlayer = nil
self:__sceneAttackableInfoDispose()
self.__sceneAttackableInfoDispose = nil
end
ScenePlayerList = class("ScenePlayerList",function(self,sceneInfo)
local sp = EventDispatcher:new()
sp._sceneInfo = sceneInfo
sp._module = sceneInfo.sceneModule
--map<number,ScenePlayerInfo>
sp._playerList = {}
--vector<ScenePlayerInfo>
sp._waitList = {}
sp._frameCount = 0
--self
sp.selfPlayer = nil
--总人数
sp._showCount = 0
sp._totalShowCount = 10
--虚拟人物
sp._virsualCount = 0
globalManager.tickManager:addTick(self.tick,sp)
return sp
end)
function ScenePlayerList:ctor()
self:initEvent()
end
function ScenePlayerList:initEvent()
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.playerInfo_riderUpAndDown,self.riderUpDownHandler,self)
globalData.selfPlayerInfo:addEventListener(globalData.globalEventType.playerInfo_property,self.propertyUpdateHandler,self)
end
-- function ScenePlayerList:setTotalShowCount(totalShowCount)
--     self._totalShowCount = totalShowCount
-- end
function ScenePlayerList:updateTotalShowCount()
if(globalData.allTemplates.copyTemplateList:isYuanGu(globalData.copyInfo.currentCopyId))then
--远古战场
self._totalShowCount = 15
elseif(globalData.allTemplates.copyTemplateList:isDaTi(globalData.copyInfo.currentCopyId))then
--答题
self._totalShowCount = 30
elseif(globalData.allTemplates.mapTemplateList:isWorldBossMap(globalData.currentMapId) or
globalData.allTemplates.mapTemplateList:isJingyinBossMap(globalData.currentMapId))then
self._totalShowCount = 8
else
--野外
self._totalShowCount = 10
end
end
function ScenePlayerList:propertyUpdateHandler(evt)
if(self.selfPlayer ~= nil)then
local tmpM = globalData.selfPlayerInfo.maxHP
local tmpC = globalData.selfPlayerInfo.currentHP
globalData.selfPlayerInfo.maxHP = 0
globalData.selfPlayerInfo.currentHP = 0
self.selfPlayer:setTotalHp(tmpM)
self.selfPlayer:setCurrentHp(tmpC)
end
end
--delta :float
function ScenePlayerList:tick(delta,tickCount)
self._frameCount = self._frameCount + 1
if(self._frameCount >= 20) then
self._frameCount = 0
--      local len = table.getn(self._waitList)
--      if(len > 0) then
-- local index = self:getVirsualIndex()
-- if(index == -1)then index = 1 end
-- local player = self._waitList[index]
--          if(player ~= nil)then
--          	local isAdd = false
--          	if(globalData.copyInfo.currentCopyId <= 0 and (self._playerCount - len) > 10)then
--          	else
--          		isAdd = true
--          	end
--          	if(player.isVirsual == true)then
--          		isAdd = true
--          	end
--          	if(isAdd)then
--          		table.remove(self._waitList, index)
--                  player.inWaiting = false
--                  self:dispatchEvent(BaseEvent:new(globalData.globalEventType.sceneInfo_addPlayer,self,player))
--          	end
--          end
--      end
if(self._virsualCount > 0)then
local player = self:getVirsualPlayer()
if(player ~= nil)then
self._showCount = self._showCount + 1
player.inWaiting = false
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.sceneInfo_addPlayer,self,player))
end
else
if(self.selfPlayer ~= nil)then
if(self._showCount > self._totalShowCount)then
else
local player = self:getAPlayerShowInWaiting()
if(player ~= nil)then
player.inWaiting = false
self._showCount = self._showCount + 1
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.sceneInfo_addPlayer,self,player))
end
end
end
end
end
end
function ScenePlayerList:getAPlayerShowInWaiting()
local len = table.getn(self._waitList)
local result = nil
local index = -1
local selfServerId = self.selfPlayer:getServerId()
for i = 1,len,1 do
if(self._module.roleVisibleTester:checkPlayerShow(self._waitList[i]))then
result = self._waitList[i]
index = i
-- table.remove(self._waitList, i)
if(result:getServerId() == selfServerId)then
break
end
end
end
if(index ~= -1)then
table.remove(self._waitList,index)
end
return result
end
function ScenePlayerList:getVirsualPlayer()
local len = table.getn(self._waitList)
local result = nil
for i = 1,len,1 do
if(self._waitList[i].isVirsual == true)then
result = self._waitList[i]
table.remove(self._waitList, i)
break
end
end
if(result == nil)then
self._virsualCount = 0
else
self._virsualCount = self._virsualCount - 1
end
return result
end
function ScenePlayerList:isInWaiting(id)
local len = #self._waitList
for i = 1,len,1 do
if(self._waitList[i].getObjId() == id)then
return true
end
end
return false
end
--id:number,return ScenePlayerInfo
function ScenePlayerList:getPlayer(id)
return self._playerList[id]
end
--serverId:int,nick:string
function ScenePlayerList:getPlayerByNick(serverId,nick)
for k,v in pairs(self._playerList) do
if(v:getName() == nick and v:getServerId() == serverId)then
return v
end
end
return nil
end
--player:ScenePlayerInfo
function ScenePlayerList:addPlayer(player)
self._playerList[player:getObjId()] = player
if(player:getObjId() == globalData.selfPlayerInfo.userId) then
self.selfPlayer = player
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.sceneInfo_addPlayer,self,player))
self:setSelf(player)
self._showCount = self._showCount + 1
else
if(player.isVirsual == true)then
self._virsualCount = self._virsualCount + 1
end
table.insert(self._waitList, player)
end
end
--player:SelfScenePlayerInfo
function ScenePlayerList:setSelf(player)
self.selfPlayer = player
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.sceneInfo_selfInfo,self,nil))
end
--id number
function ScenePlayerList:removePlayer(id)
local len = table.getn(self._waitList)
local inWaiting = false
for i = 1,len,1 do
if(self._waitList[i]:getObjId() == id) then
if(self._waitList[i].isVirsual)then
self._virsualCount = self._virsualCount - 1
end
inWaiting = true
table.remove(self._waitList, i)
break
end
end
local playerInfo = self._playerList[id]
if(playerInfo ~= nil) then
if(not inWaiting)then
self._showCount = self._showCount - 1
end
self._playerList[id] = nil
if(self._sceneInfo:getCurrentSelectObjInfo() == playerInfo)then
self._sceneInfo:setCurrentSelectObjInfo(nil)
end
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.sceneInfo_removePlayer,self,playerInfo))
playerInfo:dispose()
end
if(id == globalData.selfPlayerInfo.userId)then
self.selfPlayer = nil
end
end
--获取最近能攻击的玩家
function ScenePlayerList:getNearlyCanattackPlayer(targetPos)
local dis = 1000000
local result = nil
for k,v in pairs(self._playerList) do
if(v ~= self.selfPlayer and self._module.attackTester:playerCanBeAttack(v))then
local d = globalManager.commonUtils:getPointDistance(v:getPosition(),targetPos)
if(d < dis)then
dis = d
result = v
end
end
end
return result
end
--获取附近玩家列表
function ScenePlayerList:getNearlyPlayerList()
return self._playerList
end
function ScenePlayerList:riderUpDownHandler(evt)
self:doRider(evt.data,false)
end
function ScenePlayerList:doRider(value,isTip)
-- local current =
if(self.selfPlayer == nil)then return end
local current = self.selfPlayer.figureInfo:getIsHorse()
if(current == value)then return end
if(isTip == nil) then isTip = true end
if(value) then
if(self.selfPlayer.stateInfo:getIsFight())then
if(isTip) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("scene.riderTips1"))
end
return
elseif(not globalData.allTemplates.copyTemplateList:canRider(globalData.copyInfo.currentCopyId))then
if(globalData.copyInfo.currentCopyId ~= globalData.allTemplates.copyTemplateList.DATI) then
if(isTip) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("scene.riderTips2"))
end
end
return
elseif(self.selfPlayer.figureInfo.characterInfo.buffChangeId > 0)then
if(isTip) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("scene.riderTips3"))
end
return
end
end
self.selfPlayer.figureInfo:setIsHorse(value)
self.selfPlayer.figureInfo.characterInfo:updateStyleBin()
self._module.message:sendRiderUpDown(value)
end
function ScenePlayerList:clear()
for k,v in pairs(self._playerList) do
if(v ~= nil)then
v:dispose()
end
end
self._playerList = {}
self._showCount = 0
self._virsualCount = 0
self._waitList = {}
self.selfPlayer = nil
end
SceneWalkableInfo = class("SceneWalkableInfo",function(self,module)
local sw = SceneObjInfo:new(module)
--function
sw._walkComplete = nil
sw._stopAtDistance = 0
sw._walkBehavior = nil
sw.speed = 0
sw.isWalking = false
sw.pathTarget = globalManager.ccCreator:newPoint(0,0)
sw.currentAngle = 0--当前人物角色
sw.__sceneObjInfoDispose = sw.dispose
return sw
end)
function SceneWalkableInfo:ctor()
local tmpComplete = function()
self:walkPathComplete()
end
self._walkBehavior = RoleWalkBehavior:new(self,tmpComplete)
end
--path:vector<CCPoint>,walkComplete:function,stopAtDistance:float
function SceneWalkableInfo:setPath(path,walkComplete,stopAtDistance)
if(path == nil)then
self:walkStop()
return
end
self._stopAtDistance = stopAtDistance
self._walkComplete = walkComplete
local len = table.getn(path)
local doEnd = false
if(len == 0)then
doEnd = true
else
local pp = path[len]
if(globalManager.commonUtils:pointEquals(self:getPosition(), pp))then
doEnd = true
end
end
if(doEnd)then
self:walkPathComplete()
else
local p = path[len]
self.pathTarget.x = p.x
self.pathTarget.y = p.y
--开始走路
self.isWalking = true
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.sceneinfo_walkStart,self,nil))
self._walkBehavior:setPath(path)
end
end
function SceneWalkableInfo:walkPathComplete()
local tmpComplete = self._walkComplete
self.isWalking = false
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.sceneInfo_walkComplete,self,nil))
self._walkComplete = nil
self._stopAtDistance = 0
--先清空，再回调
if(tmpComplete ~= nil)then
tmpComplete()
end
tmpComplete = nil
end
function SceneWalkableInfo:walkStop()
self.isWalking = false
self._walkComplete = nil
self._stopAtDistance = 0
self.pathTarget.x = -1
self.pathTarget.y = -1
if(self._walkBehavior ~= nil)then
self._walkBehavior:walkStop()
end
end
function SceneWalkableInfo:dispose()
self._walkComplete = nil
if(self._walkBehavior ~= nil)then
self._walkBehavior:dispose()
self._walkBehavior = nil
end
self.pathTarget = nil
self:__sceneObjInfoDispose()
self.__sceneObjInfoDispose = nil
end
SelfScenePartnerInfo = class("SelfScenePartnerInfo",function(self,module)
local ss = ScenePartnerInfo:new(module)
return ss
end)
SelfScenePetInfo = class("SelfScenePetInfo",function(self,module)
local ss = ScenePetInfo:new(module)
return ss
end)
SelfScenePlayerInfo = class("SelfScenePlayerInfo",function(self,module,selfPlayerInfo)
local ss = ScenePlayerInfo:new(module,selfPlayerInfo)
ss._collectId = -1
ss._walkBehavior:setMessage(module.message)
ss.__scenePlayerInfoDispose = ss.dispose
ss.__scenePlayerInfoSetPath = ss.setPath
globalData.selfStateInfo = ss.stateInfo
return ss
end)
function SelfScenePlayerInfo:getTotalHp()
return self.figureInfo.maxHP
end
function SelfScenePlayerInfo:setTotalHp(value)
if(self.figureInfo.maxHP == value) then return end
self.figureInfo.maxHP = value
if(self.figureInfo.currentHP > value)then self.figureInfo.currentHP = value end
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.sceneInfo_hpUpdate,self,nil))
end
function SelfScenePlayerInfo:getCurrentHp()
return self.figureInfo.currentHP
end
function SelfScenePlayerInfo:setCurrentHp(value)
if(self.figureInfo.currentHP == value)then return end
self.figureInfo.currentHP = value
if(self.figureInfo.currentHP > self:getTotalHp())then self.figureInfo.currentHP = self:getTotalHp() end
if(self.figureInfo.currentHP < 0) then self.figureInfo.currentHP = 0 end
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.sceneInfo_hpUpdate,self,nil))
end
function SelfScenePlayerInfo:setCollectId(id)
if(self._collectId == id)then return end
self._collectId = id
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.sceneInfo_collect,self,nil))
end
function SelfScenePlayerInfo:getCollectId()
return self._collectId
end
--override
function SelfScenePlayerInfo:getNameColor()
if(self.figureInfo.pvpMode > 0)then
return globalData.allStaticTypes.colorType.COLORRED
end
return globalData.allStaticTypes.colorType.COLORYELLOW
end
--override自己不执行figureInfo:dispose
function SelfScenePlayerInfo:clearFigureInfo()
self.figureInfo = nil
end
function SelfScenePlayerInfo:setPath(path,walkComplete,stopAtDistance)
globalManager.gameDispatcher:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_pathChange,globalManager.gameDispatcher,path))
self:__scenePlayerInfoSetPath(path,walkComplete,stopAtDistance)
end
function SelfScenePlayerInfo:findPointForeword(dis)
local p = self:getPosition()
local sceneMapInfo = self._module.sceneInfo.sceneMapList:getMap(globalData.currentMapId)
if(sceneMapInfo == nil)then
return p
end
local tmpx = math.cos(self.currentAngle)
local tmpy = math.sin(self.currentAngle)
local mostX = tmpx * dis + p.x
local mostY = tmpy * dis + p.y
local dx = tmpx * globalData.GRID_SIZE
local dy = tmpy * globalData.GRID_SIZE
-- local lastx = p.x
-- local lasty = p.y
-- for i = 0,dis,globalData.GRID_SIZE do
--     local ttx = lastx + dx
--     local tty = lasty + dy
--     if(not sceneMapInfo:isCanWalk(ttx,tty))then
--         break
--     end
--     lastx = ttx
--     lasty = tty
-- end
local lastx = mostX
local lasty = mostY
for i = 0,dis,globalData.GRID_SIZE do
if(sceneMapInfo:isCanWalk(lastx,lasty))then
break
end
lastx = lastx - dx
lasty = lasty - dy
end
return globalManager.ccCreator:newPoint(lastx, lasty)
end
function SelfScenePlayerInfo:dispose()
globalData.selfStateInfo = nil
self:__scenePlayerInfoDispose()
self.__scenePlayerInfoDispose = nil
end
AFKInfo = class("AFKInfo",function()
local ai = {}
ai.autoPickup = true
ai.autoPickupGoods = true
ai.autoPickupEquip = true
--挂机路线
ai.afkPath = {}
ai.afkPathIndex = 1
--挂机技能列表
ai.afkSkillList = {}
return ai
end)
function AFKInfo:setDefault()
self.autoPickup = true
self.autoPickupGoods = true
self.autoPickupEquip = true
self.afkSkillList = {}
--vector<SkillItemInfo>
local skillList = globalData.skillList:getSkills()
local len = table.getn(skillList)
for i = 1,len,1 do
local skill = skillList[i]
if(skill ~= nil)then
if(skill.template.isAFKUse == true)then
table.insert(self.afkSkillList, skill)
end
end
end
end
function AFKInfo:initAfkPath()
self.afkPath = globalData.allTemplates.mapTemplateList:getMap(globalData.currentMapId).afkPath
self.afkPathIndex = 1
end
function AFKInfo:clearAfkPath()
self.afkPath = {}
self.afkPathIndex = 1
end
function AFKInfo:getCurrentPathPoint()
return self.afkPath[self.afkPathIndex]
end
function AFKInfo:getNextPathPoint()
local len = table.getn(self.afkPath)
if(len > 0)then
local tmp = self.afkPathIndex + 1
if(tmp > len)then tmp = len end
return self.afkPath[tmp]
end
return nil
end
function AFKInfo:setIndexAdd()
self.afkPathIndex = self.afkPathIndex + 1
local len = table.getn(self.afkPath)
if(self.afkPathIndex > len)then
self.afkPathIndex = len
end
end
--取一个可用的挂机技能
function AFKInfo:getAfkSkill()
local len = table.getn(self.afkSkillList)
for i = 1,len,1 do
local skill = self.afkSkillList[i]
if(skill ~= nil and skill:getCanAFKUse())then
return skill
end
end
return nil
end
FollowItemInfo = class("FollowItemInfo",function(self,startX,startY,xspeed,yspeed,scale,scaleSpeed,rotationStart,rotationSpeed,pathType)
local fi = {}
fi.currentX = startX
fi.currentY = startY
fi.xspeed = xspeed
fi.yspeed = yspeed
fi.scale = scale
fi.scaleSpeed = scaleSpeed
fi.currentRotation = rotationStart
fi.rotationSpeed = rotationSpeed
fi.path = math.ceil(pathType + 0.5)
return fi
end)
function FollowItemInfo:tick()
self.currentX = self.currentX + self.xspeed
self.currentY = self.currentY + self.yspeed
self.currentRotation = self.currentRotation + self.rotationSpeed
self.scale = self.scale + self.scaleSpeed
end
function FollowItemInfo:isEnd()
if(self.currentX < 0 or self.currentX > globalData.GAME_WIDTH or self.currentY > globalData.GAME_HEIGHT)then
return true
end
return false
end
SceneInfo = class("SceneInfo",function(self,module)
local sc = EventDispatcher:new()
--SceneObjInfo
sc._selectObj = nil
--是否自动改变选择对象
sc.autoChangeSelect = false
--当前选中技能
sc._currentSelectSkill = nil
--是否正在播放擂台动画
sc.playArenaMovie = false
sc.sceneModule = module
sc.sceneMapList = SceneMapList:new(sc)
sc.sceneMonsterList = SceneMonsterList:new(sc)
sc.sceneNpcList = SceneNpcList:new(sc)
sc.scenePlayerList = ScenePlayerList:new(sc)
sc.sceneGateList = SceneGateList:new(sc)
sc.sceneDropList = SceneDropList:new(sc)
sc.sceneCollectList = SceneCollectList:new(sc)
sc.scenePetList = ScenePetList:new(sc)
sc.scenePartnerList = ScenePartnerList:new(sc)
sc.sceneWorldBossInfo = SceneWorldBossInfo:new()
sc.afkInfo = AFKInfo:new()
return sc
end)
function SceneInfo:ctor()
globalManager.gameDispatcher:addEventListener(globalData.globalEventType.scene_monsterHpZero,self.monsterHpUnderZeroHandler,self)
end
function SceneInfo:monsterHpUnderZeroHandler(evt)
local monsterObjId = evt.data
if(self._selectObj ~= nil and math.abs(self._selectObj:getObjId()) == monsterObjId and self._selectObj:getObjType() == globalData.allStaticTypes.sceneObjType.monster)then
self:setCurrentSelectObjInfo(nil)
end
end
--return SceneObjInfo
function SceneInfo:getCurrentSelectObjInfo()
return self._selectObj
end
--value:SceneObjInfo
function SceneInfo:setCurrentSelectObjInfo(value,autoChange)
if(self._selectObj == value)then return end
if(value ~= nil and value:getObjId() == globalData.selfPlayerInfo.userId and globalData.allStaticTypes.sceneObjType:isPlayer(value:getObjType()))then return end
if(autoChange == nil)then autoChange = false end
self.autoChangeSelect = autoChange
if(self._selectObj ~= nil)then
self._selectObj:setIsSelect(false)
end
self._selectObj = value
if(self._selectObj ~= nil)then
self._selectObj:setIsSelect(true)
end
self.sceneModule.controllerList.sceneController:changeTargetInfo()
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_targetChange,self,nil))
end
function SceneInfo:clearSelectObjWhenDead(sceneObjInfo)
if(self._selectObj ~= nil and self._selectObj == sceneObjInfo)then
self:setCurrentSelectObjInfo(nil)
end
end
--当前选中技能
function SceneInfo:getCurrentSkill()
return self._currentSelectSkill
end
--value:skillItemInfo
function SceneInfo:setCurrentSkill(value)
if(self._currentSelectSkill == value)then return end
self._currentSelectSkill = value
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_skillChange,self,nil))
end
function SceneInfo:clearCurrentSkill()
self._currentSelectSkill = nil
end
--获取指定的一个目标
function SceneInfo:getAttackableRoleInfo(type,id)
local role = nil
if(globalData.allStaticTypes.sceneObjType:isPlayer(type))then
role = self.scenePlayerList:getPlayer(id)
elseif(globalData.allStaticTypes.sceneObjType:isMonster(type))then
role = self.sceneMonsterList:getMonster(id)
elseif(globalData.allStaticTypes.sceneObjType:isPet(type))then
role = self.scenePetList:getPet(id)
elseif(globalData.allStaticTypes.sceneObjType:isPartner(type))then
role = self.scenePartnerList:getPartner(id)
end
return role
end
--获取一个可被攻击的目标，需根据当前地图或副本
function SceneInfo:getNearlyAttackableRoleInfo(p)
if(globalData.allTemplates.copyTemplateList:autoSelectAttackPlayer(globalData.copyInfo.currentCopyId))then
return self:getNearlySelectable(p,true,true,false,false)
end
return self:getNearlySelectable(p,false,true,false,false)
end
--sceneObjInfo,selectPlayer:是否选人
function SceneInfo:getNearlySelectable(p,selectPlayer,selectMonster,selectNpc,selectCollect)
local dis = 600
local result = nil
local playerResult = nil
local monsterResult = nil
local npcResult = nil
local collectResult = nil
if(selectPlayer == true)then
playerResult = self.scenePlayerList:getNearlyCanattackPlayer(p)
end
if(selectMonster == true)then
monsterResult = self.sceneMonsterList:getCanAttackMonsterNearPoint(p)
end
if(selectNpc == true)then
npcResult = self.sceneNpcList:getNearlyNpc(p)
end
if(selectCollect == true)then
collectResult = self.sceneCollectList:getSelectCollectNearPoint(p)
end
local d = 0
if(playerResult ~= nil)then
d = globalManager.commonUtils:getPointDistance(playerResult:getPosition(),p)
if(d < dis)then
dis = d
result = playerResult
end
end
if(monsterResult ~= nil)then
d = globalManager.commonUtils:getPointDistance(monsterResult:getPosition(),p)
if(d < dis)then
dis = d
result = monsterResult
end
end
if(npcResult ~= nil)then
d = globalManager.commonUtils:getPointDistance(npcResult:getPosition(),p)
if(d < dis)then
dis = d
result = npcResult
end
end
if(collectResult ~= nil)then
d = globalManager.commonUtils:getPointDistance(collectResult:getPosition(),p)
if(d < dis)then
dis = d
result = collectResult
end
end
return result
end
function SceneInfo:clear()
self:dispatchEvent(BaseEvent:new(globalData.globalEventType.scene_beforeClearData,self,nil))
self:setCurrentSelectObjInfo(nil)
self.sceneMonsterList:clear()
self.sceneNpcList:clear()
self.scenePlayerList:clear()
self.sceneGateList:clear()
self.sceneDropList:clear()
self.sceneCollectList:clear()
self.scenePetList:clear()
self.scenePartnerList:clear()
self.sceneWorldBossInfo:clear()
end
--mapList:LibMapList,mapViewPort:LibMapViewport
LibMapController = class("LibMapController",function(self,mapList,mapViewport)
local lc = {}
lc._mapContainer = globalManager.containerManager.mapContainer
lc._seContainer = globalManager.containerManager.seContainer
lc._soContainer = globalManager.containerManager.sceneObjContainer
lc._effectContainer = globalManager.containerManager.effectContainer
lc._mapList = mapList
lc._viewport = mapViewport
return lc
end)
function LibMapController:update()
self._mapList:updateMaps(self._viewport:getMaxRect(),self._viewport:getViewRect())
local tmpx = math.floor(-self._viewport:getViewRect().x + 0.5)
local tmpy = math.floor(self._viewport:getViewRect().y + 0.5)
local p = globalManager.ccCreator:newPoint(tmpx,tmpy)
self._mapContainer:setPosition(p.x,p.y)
self._seContainer:setPosition(p.x,p.y)
self._soContainer:setPosition(p.x,p.y)
self._effectContainer:setPosition(p.x,p.y)
end
--container:ccnode
LibMapList = class("LibMapList",function(self,container,mapController)
local lm = {}
lm._container = container
lm._mapController = mapController
lm._preFillRect = globalManager.ccCreator:newRect(0,0,0,0)
--map<string,LibMapPieceData>
lm._pieces = {}
--vector<LibMapPieceData>
lm._loadList = {}
lm._lastMapPath = ""
lm._mapWidth = 0
lm._mapHeight = 0
lm._mapTileX = 0
lm._mapTileY = 0
lm._tickFrame = -1
lm._shouldCallback = false
return lm
end)
function LibMapList:init()
globalManager.tickManager:addTick(self.tick,self)
end
function LibMapList:tick(delta,tickCount)
-- if(self._tickFrame < 310)then
--     local len = table.getn(self._loadList)
--     if(len > 0)then
--         local piece = self._loadList[1]
--         piece:load()
--         table.remove(self._loadList, 1)
--     end
-- end
-- if(self._tickFrame == 0)then
--     globalManager.containerManager:hideSourceLoadPanel()
--     self._mapController:mapLoadComplete()
-- elseif(self._tickFrame > 0)then
--     if(self._tickFrame % 4 == 0)then
--         globalManager.containerManager:addSourceProgress(1)
--     end
-- end
local len = table.getn(self._loadList)
if(len > 0)then
local piece = self._loadList[1]
piece:load()
table.remove(self._loadList, 1)
end
self._tickFrame = self._tickFrame - 1
if(self._tickFrame < 0)then
if(self._shouldCallback)then
self._shouldCallback = false
globalManager.containerManager:hideSourceLoadPanel()
self._mapController:mapLoadComplete()
end
return
end
if(self._tickFrame == 0)then
self._shouldCallback = false
globalManager.containerManager:hideSourceLoadPanel()
self._mapController:mapLoadComplete()
elseif(self._tickFrame > 0)then
globalManager.containerManager:addSourceProgress(self._tickFrame * 4)
end
end
--maxRect:CCRect,viewRect:CCRect
function LibMapList:updateMaps(maxRect,viewRect)
if(self._preFillRect ~= nil)then
if((cc.rectGetMinX(self._preFillRect) <= cc.rectGetMinX(viewRect)) and (cc.rectGetMaxX(self._preFillRect) >= cc.rectGetMaxX(viewRect)) and (cc.rectGetMinY(self._preFillRect) <= cc.rectGetMinY(viewRect)) and (cc.rectGetMaxY(self._preFillRect) >= cc.rectGetMaxY(viewRect)))then return end
local startRow = math.floor((viewRect.y - maxRect.y) / globalData.MAP_TILE_SIZE)
local startCol = math.floor((viewRect.x - maxRect.x) / globalData.MAP_TILE_SIZE)
if(startRow < 0)then startRow = 0 end
if(startCol < 0)then startCol = 0 end
local endRow = math.ceil((viewRect.y + viewRect.height - maxRect.y) / globalData.MAP_TILE_SIZE)
local endCol = math.ceil((viewRect.x + viewRect.width - maxRect.x) / globalData.MAP_TILE_SIZE)
self._preFillRect.x = startCol * globalData.MAP_TILE_SIZE
self._preFillRect.y = startRow * globalData.MAP_TILE_SIZE
self._preFillRect.width = (endCol - startCol) * globalData.MAP_TILE_SIZE
self._preFillRect.height = (endRow - startRow) * globalData.MAP_TILE_SIZE
for k,v in pairs(self._pieces) do
v.isCurrentShow = false
end
for i = startRow,endRow - 1,1 do
for j = startCol,endCol - 1,1 do
if(i >= 0 and j >= 0)then
local rc = i.."_"..j
local pieceData = self:getPieceByPath(rc)
if(pieceData == nil)then
pieceData = LibMapPieceData:new(i,j,self._container)
self._pieces[rc] = pieceData
table.insert(self._loadList, pieceData)
end
pieceData.isCurrentShow = true
end
end
end
for k,v in pairs(self._pieces) do
v:flesh()
end
end
end
--优先添加人物周边的资源
function LibMapList:loadAllMaps(w,h)
-- self._mapWidth = w
-- self._mapHeight = h
-- self._mapTileX = math.ceil(w / globalData.MAP_TILE_SIZE)
-- self._mapTileY = math.ceil(h / globalData.MAP_TILE_SIZE)
-- for i = 0,self._mapTileY - 1,1 do
--     for j = 0,self._mapTileX - 1,1 do
--         local rc = i .. "_"..j
--         local pieceData = self:getPieceByPath(rc)
--         if(pieceData == nil)then
--             pieceData = LibMapPieceData:new(i,j,self._container)
--             self._pieces[rc] = pieceData
--         end
--     end
-- end
-- for i = 0,self._mapTileY - 1,1 do
--     for j = 0,self._mapTileX - 1,1 do
--         local rc = i .. "_"..j
--         local pieceData = self:getPieceByPath(rc)
--         if(pieceData ~= nil)then
--             pieceData:load()
--         end
--     end
-- end
self._shouldCallback = true
self._tickFrame = 30
end
-- --慢几帧再加载，防止地图块多时其他加载的内容出现太慢
-- function LibMapList:startLoad()
--     for i = 0,self._mapTileY - 1,1 do
--         for j = 0,self._mapTileX - 1,1 do
--             local rc = i .. "_"..j
--             local pieceData = self:getPieceByPath(rc)
--             if(pieceData ~= nil)then
--                 pieceData:load()
--             end
--         end
--     end
-- end
--path:string
function LibMapList:getPieceByPath(path)
for k,v in pairs(self._pieces) do
if(k == path)then
return v
end
end
return nil
end
function LibMapList:clear(forceClearMap)
if(forceClearMap ~= true and globalData.preMapPath == globalData.currentMapPath)then return end
for k,v in pairs(self._pieces) do
if(v ~= nil)then
v:dispose()
end
end
self._pieces = {}
self._preFillRect = globalManager.ccCreator:newRect(0,0,0,0)
self._loadList = {}
end
--arow:int,acol:int,acontainer:CCNode
LibMapPieceData = class("LibMapPieceData",function(self,arow,acol,acontainer)
local lm = {}
lm.row = arow
lm.col = acol
lm.container = acontainer
lm.x = globalData.MAP_TILE_SIZE * acol
lm.y = globalData.MAP_TILE_SIZE * arow
lm.path = arow.."_"..acol
lm.sprite = globalManager.ccCreator:newImageView()
lm.sprite:setAnchorPoint(globalManager.ccCreator:newPoint(0,1))
lm.sprite:setPosition(lm.x,-lm.y + globalData.GAME_HEIGHT)
lm.sprite:ignoreContentAdaptWithSize(false)
lm.sprite:setSize(globalManager.ccCreator:newSize(globalData.MAP_TILE_SIZE,globalData.MAP_TILE_SIZE))
lm.isCurrentShow = false
lm.textPath = nil
lm.startLoad = false
lm.hasDispose = false
return lm
end)
function LibMapPieceData:load()
if(self.startLoad)then return end
self.startLoad = true
self.textPath = globalManager.pathManager:getMapPiecePath(globalData.currentMapPath,self.row,self.col)
globalManager.sourceCacheManager:setImage(self.sprite,self.textPath,globalData.allStaticTypes.sourceStaticType.clearImmediately)
end
function LibMapPieceData:flesh()
if(self.isCurrentShow == true)then
if(self.sprite:getParent() ~= self.container)then
self.container:addChild(self.sprite,0)
end
else
if(self.sprite:getParent() == self.container)then
self.container:removeChild(self.sprite,false)
end
end
end
function LibMapPieceData:dispose()
self.hasDispose = true
self.container = nil
self.path = nil
if(self.sprite ~= nil)then
globalManager.ccCreator:release(self.sprite)
self.sprite = nil
end
globalManager.sourceCacheManager:removeQuote(self.textPath)
self.textPath = nil
end
--mapSize:CCPoint,focusPoint:CCPoint,movPoint:CCPoint,viewSize:CCPoint
LibMapViewport = class("LibMapViewport",function(self,mapSize,focusPoint,movPoint,viewSize)
local lv = {}
lv._maxRect = globalManager.ccCreator:newRect(0,0,mapSize.x,mapSize.y)
lv._movableRect = globalManager.ccCreator:newRect(0,0,movPoint.x,movPoint.y)
lv._viewRect = globalManager.ccCreator:newRect(0,0,viewSize.x,viewSize.y)
lv._focusPoint = focusPoint
return lv
end)
--w,h:int
function LibMapViewport:setMapSize(w,h)
self._maxRect.width = w
self._maxRect.height = h
end
--return ccrect
function LibMapViewport:getViewRect()
return self._viewRect
end
--rect:CCRect
function LibMapViewport:setViewRect(rect)
self._viewRect.width = rect.width
self._viewRect.height = rect.height
self._viewRect.x = math.max(rect.x,self._maxRect.x)
self._viewRect.x = math.min(rect.x,self._maxRect.x + self._maxRect.width - rect.width)
self._viewRect.y = math.max(rect.y,self._maxRect.y)
self._viewRect.y = math.min(rect.y,self._maxRect.y + self._maxRect.height - rect.height)
self._movableRect.x = self._viewRect.x + (self._viewRect.width - self._movableRect.width) * 0.5
self._movableRect.y = self._viewRect.y + (self._viewRect.height - self._movableRect.height) * 0.5
end
--return ccrect
function LibMapViewport:getMaxRect()
return self._maxRect
end
--rect CCRect
function LibMapViewport:setMaxRect(rect)
self._maxRect = rect
end
function LibMapViewport:getMovableRect()
return self._movableRect
end
--rect CCRect
function LibMapViewport:setMovableRect(rect)
self._movableRect.width = rect.width
self._movableRect.height = rect.height
self._movableRect.x = math.floor(self._viewRect.x + (self._viewRect.width - self._movableRect.width) * 0.5 + 0.5)
self._movableRect.y = math.floor(self._viewRect.y + (self._viewRect.height - self._movableRect.height) * 0.5 + 0.5)
end
function LibMapViewport:getFocusPoint()
return self._focusPoint
end
--p:CCPoint
function LibMapViewport:setFocusPoint(p)
self._focusPoint = p
local ldx = self._focusPoint.x - self._movableRect.x
if(ldx < 0) then
self._viewRect.x = self._viewRect.x + ldx
end
local rdx = self._focusPoint.x - (self._movableRect.x + self._movableRect.width)
if(rdx > 0) then
self._viewRect.x = self._viewRect.x + rdx
end
local udy = self._focusPoint.y - self._movableRect.y
if(udy < 0) then
self._viewRect.y = self._viewRect.y + udy
end
local ddy = self._focusPoint.y - (self._movableRect.y + self._movableRect.height)
if(ddy > 0) then
self._viewRect.y = self._viewRect.y + ddy
end
self:setViewRect(self._viewRect)
end
--container:ccnode
LibSceneObjController = class("LibSceneObjController",function(self,container)
local lo = {}
lo._container = container
lo._frameCount = 0
lo._moveList = {}
lo._zList = {} --子对象，Z轴从小到大排序
lo._doSort = false
return lo
end)
function LibSceneObjController:ctor()
globalManager.tickManager:addTick(self.tick,self)
end
--每帧调用
function LibSceneObjController:tick(delta,tickCount)
for so,v in pairs(self._moveList) do
if(v == true and so ~= nil)then
so:setPosition(globalManager.ccCreator.sharedDirector:convertToGL(so:getObjInfo():getPosition()))
end
end
self._moveList = {}
self:update()
end
--mapController有变动才调用
function LibSceneObjController:update()
self._frameCount = self._frameCount + 1
if(self._frameCount >= 10)then
self._frameCount = 0
if(self._doSort == false)then
return
end
self:doSort()
end
end
--so:BaseSceneObj
function LibSceneObjController:addSceneObj(so)
self:moveSceneObj(so);
end
--so:BaseSceneObj
function LibSceneObjController:removeSceneObj(so)
if(so:getParent() ~= nil)then
so:getParent():removeChild(so)
end
if(self._moveList[so] == true)then
self._moveList[so] = nil
end
local len = table.getn(self._zList)
for i = 1,len,1 do
if(self._zList[i] == so)then
table.remove(self._zList,i)
break
end
end
end
--so:BaseSceneObj
function LibSceneObjController:moveSceneObj(so)
if(so:getParent() ~= self._container and so:getFigureVisible() == true)then
self._container:addChild(so)
table.insert(self._zList,so)
end
self._moveList[so] = true
self._doSort = true
end
function LibSceneObjController:getOverSo()
end
function LibSceneObjController:clear()
end
function LibSceneObjController:doSort()
--    self._zList = self._container:getChildren()
local len = table.getn(self._zList)
if (len < 2) then return end
--    for i = 1,len,1 do
--        for j = 1,len - 1 - i,1 do
--            local so = self._zList[j]
--            local so2 = self._zList[j + 1]
--            if(so ~= nil and so2 ~= nil)then
--                local soy = so:getScenePos().y
--                local so2y = so2:getScenePos().y
--                if(soy > so2y or (soy == so2y and so:getObjInfo():getObjId() > so2:getObjInfo():getObjId())) then
--                    -- self._zList:exchangeObjectAtIndex(j,j+1)
--                    local temp = self._zList[j]
--                    self._zList[j] = self._zList[j + 1]
--                    self._zList[j + 1] = temp
--                end
--            end
--        end
--    end
local sortFunc = function(info1,info2)
if(info1:getScenePos().y ~= info2:getScenePos().y) then
return info1:getScenePos().y < info2:getScenePos().y
end
return info1:getObjId() > info2:getObjId()
end
self._zList = globalManager.commonUtils:tableSort(self._zList,sortFunc)
for k = 1,len,1 do
self._zList[k]:setLocalZOrder(k)
end
self._doSort = false
end
function LibSceneObjController:getSelectObj(pos)
if(self._zList == nil)then
return nil
end
local len = table.getn(self._zList)
for i = len,1,-1 do
local childObj = self._zList[i]
if(childObj ~= nil and childObj:responseMouse())then
local size = childObj:getContentSize()
local tempPos = childObj:getScenePos()
local rect = globalManager.ccCreator:newRect(
tempPos.x - size.width / 2,tempPos.y - size.height,
size.width,size.height
)
if(cc.rectContainsPoint(rect,pos)) then
return childObj
end
end
end
return nil
end
AttackTester = class("AttackTester",function(self,module)
local at = {}
at._controller = module.controllerList.sceneController
at._sceneInfo = module.sceneInfo
at._module = module
--走去怪物身边，走路过程不执行攻击动作
at._attackWalking = false
-- at._defaultSkillSound = ""
-- at._skillSound = ""
at._tmptmp = 0
return at
end)
function AttackTester:steup()
end
--自己能否攻击
function AttackTester:selfCanDoAttack()
local selfPlayer = self._sceneInfo.scenePlayerList.selfPlayer
if(selfPlayer == nil)then return false end
if(globalData.allTemplates.mapTemplateList:getMap(globalData.currentMapId):isInSafeArea(selfPlayer:getPosition()))then
return false
end
return selfPlayer:isCanDoAttack()
end
--目标能否被击
function AttackTester:targetCanBeAttack(target,showTip)
local sceneMapInfo = self._sceneInfo.sceneMapList:getMap(globalData.currentMapId)
if(sceneMapInfo == nil)then
return false
end
local p = target:getPosition()
if(globalData.allTemplates.mapTemplateList:getMap(globalData.currentMapId):isInSafeArea(p))then
if(showTip) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("scene.attackTips16"))
end
return false
end
if(globalData.allStaticTypes.sceneObjType:isPlayer(target:getObjType()))then
return self:playerCanBeAttack(target,showTip)
elseif(globalData.allStaticTypes.sceneObjType:isMonster(target:getObjType())) then
return self:monsterCanBeAttack(target,showTip)
end
return false
end
--人物能否受击
function AttackTester:playerCanBeAttack(player,showTip,stopAttack)
local selfPlayer = self._sceneInfo.scenePlayerList.selfPlayer
if(selfPlayer == nil)then return false end
--辅助技能，自己打自己
if(player == selfPlayer)then return true end
if(stopAttack == nil)then stopAttack = false end
if(player:isCanBeAttack() == false)then return false end
local result = ""
if(globalData.allTemplates.mapTemplateList:canAttack(globalData.currentMapId) == false)then
--        result = "当前场景不能攻击"
return false
elseif(globalData.allTemplates.mapTemplateList:canPK(globalData.currentMapId) == false)then
--        result = "当前场景不能PK"
return false
elseif(globalData.allTemplates.copyTemplateList:canAttack(globalData.copyInfo.currentCopyId) == false)then
result = ""
--    elseif(globalData.selfPlayerInfo.level < 30 or player.figureInfo.level < 30)then
--        result = "30级以下玩家不能攻击和被攻击"
elseif(not globalData.allTemplates.copyTemplateList:canAttackLeague(globalData.copyInfo.currentCopyId))then
if(selfPlayer.figureInfo.uniteId == player.figureInfo.uniteId)then
result = globalManager.yuyanbaoManager:getYuyanbao("scene.attackTips9")
end
--    elseif(globalData.allTemplates.copyTemplateList:isGodGhild(globalData.copyInfo.currentCopyId))then
--        local selfT = math.floor(selfPlayer.warState / 10)
--        local otherT = math.floor(player.warState / 10)
--        if(selfT == otherT)then
--            result = "同阵营不能攻击"
--        else
--            local selfO = selfPlayer.warState % 10
--            local otherO = player.warState % 10
--            if(selfO == 2 or selfO == 3)then
--                --恶魔可以攻击任何人,天兵可以攻击任何人
--                result = ""
--            else
--                if(selfO == 1)then
--                    result = "花仙不能攻击"
--                -- else
--                --     if(otherO == 1)then
--                --         result = "天兵只能攻击鬼巫或天兵"
--                --     end
--                end
--            end
--        end
elseif(globalData.allTemplates.copyTemplateList:isWarState(globalData.copyInfo.currentCopyId))then
if(selfPlayer.warState == player.warState)then
result = globalManager.yuyanbaoManager:getYuyanbao("scene.attackTips10")
else
result = ""
end
elseif(globalData.allTemplates.copyTemplateList:isYiChui(globalData.copyInfo.currentCopyId) or globalData.allTemplates.copyTemplateList:isDefenes(globalData.copyInfo.currentCopyId))then
result = globalManager.yuyanbaoManager:getYuyanbao("scene.attackTips11")
elseif(globalData.copyInfo.currentCopyId > 0)then
--副本不判断模式
result = ""
else
local selfPkMode = selfPlayer.figureInfo.pvpMode
local playerPkMode = player.figureInfo.pvpMode
if(selfPkMode == globalData.allStaticTypes.pKmodeType.PEACE or playerPkMode == globalData.allStaticTypes.pKmodeType.PEACE)then
--和平模式
result = globalManager.yuyanbaoManager:getYuyanbao("scene.attackTips12")
elseif(selfPkMode == globalData.allStaticTypes.pKmodeType.CLUB and selfPlayer.figureInfo.uniteId > 0 and selfPlayer.figureInfo.uniteId == player.figureInfo.uniteId)then
--帮会模式，并且同帮
result = globalManager.yuyanbaoManager:getYuyanbao("scene.attackTips9")
end
end
if(result ~= "")then
if(stopAttack == true)then
self:stopAFK()
end
if(showTip == true)then
--TODO提示
globalManager.tipsManager.quickTip:show(result)
end
return false
end
return true
end
function AttackTester:monsterCanBeAttack(monster,showTip)
local selfPlayer = self._sceneInfo.scenePlayerList.selfPlayer
if(selfPlayer == nil)then return false end
local template = monster:getTemplate()
local result = ""
if(monster:isCanBeAttack() == false)then
result = globalManager.yuyanbaoManager:getYuyanbao("scene.attackTips14")
elseif(globalData.allTemplates.copyTemplateList:isYuanGu(globalData.copyInfo.currentCopyId) or globalData.allTemplates.copyTemplateList:isDefenes(globalData.copyInfo.currentCopyId))then
if(selfPlayer.warState == monster.warState)then
result = globalManager.yuyanbaoManager:getYuyanbao("scene.attackTips10")
else
result = ""
end
elseif(globalData.allTemplates.copyTemplateList:isBangZhan(globalData.copyInfo.currentCopyId))then
if(template.monsterId == globalData.copyInfo.copyBZInfo.selfMonsterId)then
result = globalManager.yuyanbaoManager:getYuyanbao("scene.attackTips15")
end
end
if(result ~= "")then
if(showTip == true)then
--TODO提示
globalManager.tipsManager.quickTip:show(result)
end
return false
end
return true
end
function AttackTester:clearAttackWalking()
self._attackWalking = false
end
--skill:SkillItemInfo,targetPos:CCPoint
function AttackTester:doAttack(skill,targetPos)
local selfPlayer = self._sceneInfo.scenePlayerList.selfPlayer
if(selfPlayer == nil or skill == nil)then return 2 end
if(selfPlayer.isWalking == false)then self._attackWalking = false end
if(self._attackWalking)then return 1 end
local template = skill:getTemplate()
local isToSelf = template:isToSelf()
if(self:selfCanDoAttack() == false and not globalData.allTemplates.skillTemplateList:isCanUseInSelfCantAttack(template.templateId))then return 3 end
-- if(self:selfCanDoAttack() == false and not isToSelf)then return 3 end
-- if(self:selfCanDoAttack() == false and not template:isAssist())then return 3 end
if(selfPlayer.buffInfo:getCanUseSkill() == false and template.isDefault == false)then return 4 end
local targetId = -1
local targetType = 0
local tmpPos = nil
local target = nil
local hitPosY = 0
if(targetPos ~= nil)then
tmpPos = targetPos
else
if(isToSelf == true)then
target = selfPlayer
else
target = self._sceneInfo:getCurrentSelectObjInfo()
end
if(target == nil)then return 5 end
if(target ~= selfPlayer and self:targetCanBeAttack(target, true) == false)then return 6 end
targetId = target:getObjId()
targetType = target:getObjType()
if(template:isForeword())then
tmpPos = target:findPointForeword(template.distance - 40)
else
tmpPos = target:getPosition()
end
if(target:getObjType() == globalData.allStaticTypes.sceneObjType.monster) then
hitPosY = hitPosY + target:getTemplate():getHitPosY()
end
end
--攻击距离
local distance = template.distance - 25
if(distance < 75) then distance = 75 end
local walkComplete = function()
self._attackWalking = false
if(target ~= selfPlayer and globalManager.commonUtils:getPointDistance(selfPlayer:getPosition(),tmpPos) > template.distance + 40)then
self:doAttack(skill, targetPos)
return
end
if(isToSelf == false)then skill.isInCommon = false end
skill:setLastUseTime(globalData.systemDateInfo:getSystemTime())
--清除当前主动选中的技能
if(self._sceneInfo:getCurrentSkill() ~= nil and skill.templateId == self._sceneInfo:getCurrentSkill().templateId)then
self._sceneInfo:clearCurrentSkill()
end
if(not skill.template.isDefault)then
local skillList = globalData.skillList:getSkills()
local len = table.getn(skillList)
for i = 1,len,1 do
local tmpS = skillList[i]
if(tmpS.template:isToSelf() == false)then
if(tmpS ~= skill and tmpS:isInCooling() == false)then
tmpS.isInCommon = true
end
end
if(not tmpS.template.isDefault)then
tmpS:setCommonCD()
end
end
end
if(isToSelf == false)then
if(not skill.template.isDefault)then
local skillList = globalData.skillList:getSkills()
local len = table.getn(skillList)
for i = 1,len,1 do
local tmpS = skillList[i]
if(tmpS.template:isToSelf() == false)then
if(tmpS ~= skill and tmpS:isInCooling() == false)then
tmpS.isInCommon = true
end
end
if(not tmpS.template.isDefault)then
tmpS:setCommonCD()
end
end
end
self._module.clearPathTester:stopMoving()
end
if(not skill.template.isDefault and not skill.template.isCopySkill and not self._sceneInfo.playArenaMovie)then
SceneSkillView:new(skill.templateId,globalManager.ccCreator:newPoint(selfPlayer:getPosition().x, selfPlayer:getPosition().y))
end
--下马
self._sceneInfo.scenePlayerList:doRider(false)
--音效
-- if(skill.template.isDefault)then
--     globalManager.soundManager:playSound(self._defaultSkillSound)
-- else
--     globalManager.soundManager:playSound(self._skillSound)
-- end
globalManager.soundManager:playSound(skill.template.sound)
local selfScenePlayer = self._module.controllerList.playerController.selfPlayer
if(selfScenePlayer ~= nil)then
--开始攻击动作(自己先播动作)
self._controller.sceneInfo.autoChangeSelect = false
local behaviorInfo = BehaviorInfo:new()
behaviorInfo.type = globalData.allStaticTypes.behaviorType.attack
behaviorInfo.attackId = globalData.selfPlayerInfo.userId
behaviorInfo.skillX = tmpPos.x
behaviorInfo.skillY = tmpPos.y + hitPosY
behaviorInfo.attackType = globalData.allStaticTypes.sceneObjType.player
behaviorInfo.skillTemplateId = skill.templateId
behaviorInfo.skillLevel = skill.level
selfScenePlayer:doBehavior(behaviorInfo)
end
if(targetType == globalData.allStaticTypes.sceneObjType.monster and targetId > 0)then
targetType = self._sceneInfo.sceneMonsterList:getMonsterServerType(targetId)
end
globalData.skillList:setAFKSkillToBack(skill)
if(globalData.allTemplates.skillTemplateList:isDatiSkill(skill.templateId) == true or
globalData.allTemplates.skillTemplateList:isYiChui(skill.templateId) == true or
globalData.allTemplates.skillTemplateList:isTanBao(skill.templateId) == true or
globalData.allTemplates.skillTemplateList:isBangZhan(skill.templateId) == true)then
--技能特殊技能
self._module.message:sendDatiPlayerAttack(targetId,targetType,skill.templateId,tmpPos.x,tmpPos.y)
else
self._module.message:sendPlayerAttack(targetId,targetType,skill.templateId,tmpPos.x,tmpPos.y)
end
if(skill == self._sceneInfo:getCurrentSkill())then
self._sceneInfo:setCurrentSkill(nil)
end
end
--template.distance + 5最大距离再大一点。防止无限循环
if(isToSelf or globalManager.commonUtils:getPointDistance(tmpPos,selfPlayer:getPosition()) <= template.distance + 40)then
selfPlayer:walkStop()
walkComplete()
else
local sceneMapInfo = self._sceneInfo.sceneMapList:getMap(globalData.currentMapId)
if(not sceneMapInfo:isCanWalk(tmpPos.x,tmpPos.y))then
return
end
self._attackWalking = true
self._module.walkTester:doWalk(globalData.currentMapId,tmpPos,distance - 8,walkComplete)
end
end
--宠物攻击
function AttackTester:petDoAttack(skill)
local selfPlayer = self._sceneInfo.scenePlayerList.selfPlayer
if(selfPlayer == nil)then return end
local selfPet = self._module.controllerList.petController.selfPet
if(selfPet == nil)then return end
if(self:selfCanDoAttack() == false)then return end
local target = self._sceneInfo:getCurrentSelectObjInfo()
if(target == nil)then return end
if(target ~= selfPlayer and self:targetCanBeAttack(target, true) == false)then return end
local tmpPos = target:getPosition()
if(globalManager.commonUtils:getPointDistance(selfPlayer:getPosition(), target:getPosition()) <= skill:getTemplate().distance)then
self._controller.sceneInfo.autoChangeSelect = false
local behaviorInfo = BehaviorInfo:new()
behaviorInfo.type = globalData.allStaticTypes.behaviorType.attack
behaviorInfo.attackId = globalData.selfPlayerInfo.userId
behaviorInfo.skillX = tmpPos.x
behaviorInfo.skillY = tmpPos.y
behaviorInfo.attackType = globalData.allStaticTypes.sceneObjType.pet
behaviorInfo.skillTemplateId = skill.templateId
behaviorInfo.skillLevel = skill.level
selfPet:doBehavior(behaviorInfo)
globalData.petItemInfo:setAFKSkillToBack(skill)
skill:setLastUseTime(globalData.systemDateInfo:getSystemTime())
--宠物技能不提示
--        if(not skill:getTemplate().isDefault and not self._sceneInfo.playArenaMovie)then
--            SceneSkillView:new(skill.templateId,globalManager.ccCreator:newPoint(selfPlayer:getPosition().x, selfPlayer:getPosition().y),1)
--        end
if(not skill:getTemplate().isDefault)then
local skillList = globalData.petItemInfo:getAfkSkills()
if(skillList ~= nil)then
local len = table.getn(skillList)
for i = 1,len,1 do
local tmpS = skillList[i]
if(tmpS:getTemplate():isToSelf() == false)then
if(tmpS ~= skill and tmpS:isInCooling() == false)then
tmpS.isInCommon = true
end
end
if(not tmpS:getTemplate().isDefault)then
tmpS:setCommonCD()
end
end
end
end
local targetId = target:getObjId()
local targetType = target:getObjType()
if(targetType == globalData.allStaticTypes.sceneObjType.monster and targetId > 0)then
targetType = self._sceneInfo.sceneMonsterList:getMonsterServerType(targetId)
end
self._module.message:sendPetAttack(targetId,targetType,skill.templateId,tmpPos.x,tmpPos.y)
end
end
--伙伴攻击
function AttackTester:partnerDoAttack(skill)
local selfPlayer = self._sceneInfo.scenePlayerList.selfPlayer
if(selfPlayer == nil)then return end
local selfPartner = self._module.controllerList.partnerController.selfPartner
if(selfPartner == nil)then return end
if(self:selfCanDoAttack() == false)then return end
local target = self._sceneInfo:getCurrentSelectObjInfo()
if(target == nil)then return end
if(target ~= selfPlayer and self:targetCanBeAttack(target, true) == false)then return end
local tmpPos = target:getPosition()
if(globalManager.commonUtils:getPointDistance(selfPlayer:getPosition(), target:getPosition()) <= skill:getTemplate().distance)then
self._controller.sceneInfo.autoChangeSelect = false
local behaviorInfo = BehaviorInfo:new()
behaviorInfo.type = globalData.allStaticTypes.behaviorType.attack
behaviorInfo.attackId = globalData.selfPlayerInfo.userId
behaviorInfo.skillX = tmpPos.x
behaviorInfo.skillY = tmpPos.y
behaviorInfo.attackType = globalData.allStaticTypes.sceneObjType.partner
behaviorInfo.skillTemplateId = skill.templateId
behaviorInfo.skillLevel = skill.level
selfPartner:doBehavior(behaviorInfo)
globalData.partnerInfo:setAFKSkillToBack(skill)
skill:setLastUseTime(globalData.systemDateInfo:getSystemTime())
if(not skill:getTemplate().isDefault and not self._sceneInfo.playArenaMovie)then
SceneSkillView:new(skill.templateId,globalManager.ccCreator:newPoint(selfPlayer:getPosition().x, selfPlayer:getPosition().y),2)
end
if(not skill:getTemplate().isDefault)then
local skillList = globalData.partnerInfo:getAfkSkills()
if(skillList ~= nil)then
local len = table.getn(skillList)
for i = 1,len,1 do
local tmpS = skillList[i]
if(tmpS:getTemplate():isToSelf() == false)then
if(tmpS ~= skill and tmpS:isInCooling() == false)then
tmpS.isInCommon = true
end
end
if(not tmpS:getTemplate().isDefault)then
tmpS:setCommonCD()
end
end
end
end
local targetId = target:getObjId()
local targetType = target:getObjType()
if(targetType == globalData.allStaticTypes.sceneObjType.monster and targetId > 0)then
targetType = self._sceneInfo.sceneMonsterList:getMonsterServerType(targetId)
end
self._module.message:sendPartnerAttack(targetId,targetType,skill.templateId,tmpPos.x,tmpPos.y)
end
end
--开始挂机状态
function AttackTester:startAFK()
local selfPlayer = self._sceneInfo.scenePlayerList.selfPlayer
if(selfPlayer == nil)then return end
--挂机判断
local result = -1
if(globalData.allTemplates.mapTemplateList:canAFK(globalData.currentMapId) == false)then
result = 2
end
if(result ~= -1)then
--TODO提示
return
end
self._attackWalking = false
-- self._sceneInfo.afkInfo:initAfkPath()
selfPlayer.stateInfo:setAfk()
end
--结束挂机
function AttackTester:stopAFK()
local selfPlayer = self._sceneInfo.scenePlayerList.selfPlayer
if(selfPlayer == nil)then return false end
selfPlayer.stateInfo:setComomon()
self._attackWalking = false
end
--开始攻击状态
function AttackTester:startAttack()
local selfPlayer = self._sceneInfo.scenePlayerList.selfPlayer
if(selfPlayer == nil)then return false end
selfPlayer.stateInfo:setAttack()
self._attackWalking = false
end
ClearPathTester = class("ClearPathTester",function(self,controller)
local cp = {}
cp._controller = controller
return cp
end)
--p停止同步点
function ClearPathTester:stopMoving(p)
local selfPlayer = self._controller.sceneInfo.scenePlayerList.selfPlayer
if(selfPlayer == nil)then
return
end
self:clearPath()
selfPlayer:setCollectId(-1)
if(p ~= nil)then
self._controller.sceneModule.message:sendWalkStep(p.x,p.y,10000)
else
local pos = selfPlayer:getPosition()
local list = {}
table.insert(list,pos)
self._controller.sceneModule.message:sendWalk(list)
self._controller.sceneModule.message:sendWalkStep(pos.x,pos.y,10000)
end
end
function ClearPathTester:clearPath()
local selfPlayer = self._controller.sceneInfo.scenePlayerList.selfPlayer
if(selfPlayer == nil)then
return
end
selfPlayer:setPath(nil)
globalData.selfPlayerInfo:setScenePath(nil,nil,nil,0)
end
CopyTester = class("CopyTester",function(self,module)
local ct = {}
ct.sceneModule = module
ct.sceneInfo = module.sceneInfo
return ct
end)
--missionIndex关卡索引
function CopyTester:enterCopy(copyId,missionIndex)
if(globalData.copyInfo:isInCopy() or (globalData.allTemplates.mapTemplateList:canToCopy(globalData.currentMapId) == false) )then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("scene.copyTips1"))
return
end
local copyTemplate = globalData.allTemplates.copyTemplateList:getCopy(copyId)
--渡劫副本和宝藏秘境进入不判断次数
if(copyId ~= globalData.allTemplates.copyTemplateList.TREASURE and globalData.copyInfo:getCopyLeftCount(copyId) <= 0)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("scene.copyTips2"))
return
end
if(globalData.selfPlayerInfo.level < copyTemplate.minLevel)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("scene.copyTips3"))
return
end
if(globalData.selfPlayerInfo.level > copyTemplate.maxLevel)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("scene.copyTips4"))
return
end
if(globalData.leagueInfo.level < copyTemplate.leagueLevel)then
if(globalData.leagueInfo.level == 0) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("scene.copyTips5"))
else
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("scene.copyTips6"))
end
return
end
self.sceneModule.clearPathTester:stopMoving()
self.sceneModule.message:sendEnterCopy(copyId,missionIndex)
end
function CopyTester:exitCopy()
self.sceneModule.message:sendQuitCopy()
end
FlyTester = class("FlyTester",function(self,module)
local ft = {}
ft.sceneModule = module
ft.sceneInfo = module.sceneInfo
return ft
end)
function FlyTester:doFly(mapId,target,checkItem,callback)
local selfPlayer = self.sceneInfo.scenePlayerList.selfPlayer
if(selfPlayer == nil)then return end
if(mapId == globalData.currentMapId and globalManager.commonUtils:getPointDistance(target,selfPlayer:getPosition()) < 600)then
globalData.selfPlayerInfo.flyCallback = nil
self.sceneModule.walkTester:doWalk(mapId,target,0,callback)
return
end
-- if(checkItem)then
-- 	if(self:canFly(mapId,target,checkItem,true) == false)then
-- 		return
-- 	end
-- end
if(self:canFly(mapId,target,false,true) == false)then
return
end
globalData.selfPlayerInfo.flyCallback = callback
self.sceneModule.attackTester:stopAFK()
self.sceneModule.clearPathTester:stopMoving()
self.sceneModule.message:sendFly(mapId,target.x,target.y)
end
function FlyTester:canFly(mapId,target,checkItem,showTip)
local selfPlayer = self.sceneInfo.scenePlayerList.selfPlayer
if(selfPlayer == nil)then return false end
local result = -1
if(globalData.copyInfo:isInCopy() or globalData.allTemplates.mapTemplateList:canFly(globalData.currentMapId) == false)then
result = 2
-- elseif(selfPlayer.stateInfo:getIsFight() and true)then
-- 	--TODO判断PVPInfo
-- 	result = 3
end
if(result ~= -1)then
local sceneMapInfo = self.sceneInfo.sceneMapList:getMap(mapId)
if(sceneMapInfo ~= nil and sceneMapInfo:isCanWalk(target.x,target.y) == false)then
result = 4
end
end
if(result > -1)then
if(showTip)then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("scene.flyTips1"))
return false
end
end
-- if(checkItem)then
-- 	local flyCount = globalData.goodsInfoList:getGoodsCount(globalData.allStaticTypes.categoryType.flyShoe,1)
-- 	if(globalData.selfPlayerInfo.vipInfo.flyShoeCount > 0)then
-- 		flyCount = globalData.selfPlayerInfo.vipInfo.flyShoeCount
-- 	end
-- 	if(flyCount <= 0)then
-- 		--TODO判断VIP次数
-- 		--TODO快速购买
-- 		globalManager.containerManager:getQuickBuyPanel():show(globalData.allStaticTypes.categoryType.flyShoe,1,false)
-- 		return false
-- 	end
-- end
return true
end
--传送到npc
function FlyTester:flyToNpc(npcId)
local showNpcPanel = function()
globalManager.containerManager:showNpcPanel(npcId)
end
local template = globalData.allTemplates.npcTemplateList:getNpc(npcId)
if(template == nil)then return end
self:doFly(template.mapId,template.rndPoints,true,showNpcPanel)
end
function FlyTester:flyToGate(gateId)
local gate = globalData.allTemplates.gateTemplateList:getGate(gateId)
self:doFly(gate.mapId,gate.pos,true,nil)
end
function FlyTester:flyToMonster(monsterTemplateId)
local setAFK = function()
self.sceneModule.attackTester:startAFK()
end
local monster = globalData.allTemplates.monsterTemplateList:getMonster(monsterTemplateId)
self:doFly(monster.sceneId,monster.rndPoints,true,setAFK)
end
function FlyTester:flyToCollect(collectId)
local doCollect = function()
local selfPlayer = self.sceneInfo.scenePlayerList.selfPlayer
if(selfPlayer ~= nil)then
local collect = self.sceneInfo.sceneCollectList:getNearlyCollectByTemplateId(collectId,selfPlayer:getPosition())
if(collect ~= nil)then
self.sceneModule.walkTester:walkToCollect(collect)
end
end
end
local collect = globalData.allTemplates.collectTemplateList:getCollect(collectId)
self:doFly(collect.mapId,collect.randomPoint,true,doCollect)
end
function FlyTester:doJumpMap(mapId,checkItem,callback,stopMoving,isEnforce)
local selfPlayer = self.sceneInfo.scenePlayerList.selfPlayer
if(selfPlayer == nil)then return end
if(isEnforce == nil and mapId == globalData.currentMapId)then return end
if(checkItem)then
if(self:canJumpMap(mapId) == false)then
return
end
end
globalData.selfPlayerInfo.flyCallback = callback
self.sceneModule.attackTester:stopAFK()
if(stopMoving ~= nil and stopMoving == true)then
self.sceneModule.clearPathTester:stopMoving()
end
self.sceneModule.message:sendJumpMap(mapId)
end
function FlyTester:canJumpMap(mapId,checkItem)
local selfPlayer = self.sceneInfo.scenePlayerList.selfPlayer
if(selfPlayer == nil)then return false end
if(globalData.copyInfo:isInCopy())then
globalManager.tipsManager.quickTip:show(globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("scene.flyTips2")))
return false
elseif(globalData.allTemplates.mapTemplateList:canFly(globalData.currentMapId) == false) then
globalManager.tipsManager.quickTip:show(globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("scene.flyTips3")))
return false
--	elseif(globalData.selfPlayerInfo.pvpMode > 0 and selfPlayer.stateInfo:getIsFight())then
--	 	globalManager.tipsManager.quickTip:show(globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("scene.flyTips4")))
--	 	return false
end
return true
end
JumpTester = class("JumpTester",function(self,module)
local jt = {}
jt.sceneModule = module
jt.sceneInfo = module.sceneInfo
return jt
end)
--target:Point
function JumpTester:doJump(target)
if(target == nil)then
return
end
if(globalData.allTemplates.mapTemplateList:canJump(globalData.currentMapId) == false)then
return
end
local selfPlayer = self.sceneInfo.scenePlayerList.selfPlayer
if(selfPlayer == nil)then
return
end
if(selfPlayer.stateInfo.isJumping or selfPlayer:isCanMove() == false)then
return
end
selfPlayer:setCollectId(-1)
self.sceneModule.clearPathTester:stopMoving()
self.sceneModule.attackTester:stopAFK()
--发送跳跃 协议（没有主动跳跃）
end
--玩家位移
function JumpTester:otherDoJump(id,roleType,target,jumpType)
local player = self.sceneModule.controllerList:getAttackableRole(roleType,id)
if(player ~= nil and player:getObjInfo().stateInfo.isJumping == false)then
player:getObjInfo():setPath(nil)
player:doJump(target,jumpType)
else
local playerInfo = self.sceneInfo:getAttackableRoleInfo(id)
if(playerInfo ~= nil)then
playerInfo:setPath(nil)
playerInfo:setScenePos(target)
end
end
end
PickupTester = class("PickupTester", function(self,controller)
local pt = {}
pt._controller = controller
return pt
end)
function PickupTester:canPickup(dropInfo,isShowTip)
local isFiveEquip = globalData.allStaticTypes.categoryType:IsFiveEquip(dropInfo:getTemplate().categoryId)
if((not isFiveEquip and not globalData.goodsInfoList:getHasPos(1,1)) or (isFiveEquip and not globalData.goodsInfoList:getHasPos(1,2)))then
if(isShowTip) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("scene.pickTips1"))
end
return false
end
if(not dropInfo.localPickEnable)then
return false
end
if(not dropInfo:canPick())then
if(isShowTip) then
globalManager.tipsManager.quickTip:show(globalManager.yuyanbaoManager:getYuyanbao("scene.pickTips2"))
end
return false
end
return true
end
RoleVisibleTester = class("RoleVisibleTester",function(self,module)
local rv = {}
rv.sceneModule = module
rv.sceneInfo = module.sceneInfo
return rv
end)
--检测玩家是否可见
function RoleVisibleTester:checkPlayerShow(info)
if(self.sceneInfo.playArenaMovie)then
if(info.isVirsual)then return true end
return false
end
if(self.sceneInfo.scenePlayerList.selfPlayer == nil)then
return false
end
if(info:getObjId() == globalData.selfPlayerInfo.userId)then
if(globalData.currentMapId == globalData.allTemplates.mapTemplateList.NEWLY_MAPID) then
return false
else
return true
end
end
if(info.buffInfo:getIshide())then
return false
end
if(not globalData.allTemplates.copyTemplateList:isDaTi(globalData.copyInfo.currentCopyId)
and not globalData.allTemplates.copyTemplateList:isCrossBoss(globalData.copyInfo.currentCopyId))then
if(self.sceneModule.attackTester:playerCanBeAttack(info,false))then
return true
end
end
return globalData.gameSetting.showOtherPlayer
end
--检测采集物是否可见
function RoleVisibleTester:checkCollectShow(info)
return self.sceneInfo.playArenaMovie == false
end
--检测掉落物是否可见
function RoleVisibleTester:checkDropShow(info)
return self.sceneInfo.playArenaMovie == false
end
--检测传送门是否可见
function RoleVisibleTester:checkGateShow(info,targetPos)
if(self.sceneInfo.playArenaMovie)then return false end
if(targetPos ~= nil)then
local d = globalManager.commonUtils:getPointDistance(info:getPosition(),targetPos)
if(d > 600)then
return false
end
end
return true
end
--检测怪物是否可见
function RoleVisibleTester:checkMonsterShow(info)
return self.sceneInfo.playArenaMovie == false
end
--检测NPC是否可见
function RoleVisibleTester:checkNpcShow(info,targetPos)
if(self.sceneInfo.playArenaMovie)then return false end
if(targetPos ~= nil)then
local d = globalManager.commonUtils:getPointDistance(info:getPosition(),targetPos)
if(d > 500)then
return false
end
end
return true
end
WalkTester = class("WalkTester",function(self,controller)
local wt = {}
wt._controller = controller
wt._module = controller.sceneModule
wt._sceneInfo = controller.sceneInfo
wt._tmpPath = {}
wt.doubleClickCancel = false
wt.clickCount = 0
return wt
end)
function WalkTester:getAStarPath(p1,p2,stopAtDistance)
local result = {}
-- table.insert(result,p1)
-- table.insert(result,p2)
-- do return result end
if(stopAtDistance == nil)then stopAtDistance = 0 end
if(stopAtDistance > 0)then
if(globalManager.commonUtils:getPointDistance(p1, p2) <= stopAtDistance)then
table.insert(result,p1)
return result
end
end
local start = globalManager.ccCreator:newPoint(p1.x, p1.y)
local endp = globalManager.ccCreator:newPoint(p2.x, p2.y)
result = globalManager.astar:findPath(start, endp)
if(result ~= nil and table.getn(result) > 0)then
if(stopAtDistance > 0)then
result = self:cutPathEnd(result,stopAtDistance)
end
return result
end
-- print("path fail")
-- print("startPos:" .. p1.x .. "," .. p1.y .. "  endPos:" .. p2.x .. "," .. p2.y)
return {}
end
function WalkTester:cutPathEnd(path,distance)
local len = table.getn(path)
if(distance > 0 and len >= 2)then
if(globalManager.commonUtils:getPointDistance(path[len - 1], path[len]) > distance)then
local mapInfo = self._sceneInfo.sceneMapList:getMap(globalData.currentMapId)
if(mapInfo ~= nil)then
local angle = globalData.allStaticTypes.directType:getRadian(path[len - 1], path[len])
local dx = math.cos(angle) * distance
local dy = math.sin(angle) * distance
local target = path[len]
local tmpx = target.x - dx
local tmpy = target.y - dy
if(mapInfo:isCanWalk(tmpx,tmpy))then
target.x = tmpx
target.y = tmpy
else
end
end
else
table.remove(path,len)
end
end
return path
end
function WalkTester:canWalk()
local selfPlayer = self._sceneInfo.scenePlayerList.selfPlayer
if(selfPlayer == nil or not selfPlayer:isCanMove() or selfPlayer.stateInfo.isJumping)then
return false
end
return true
end
--mapId:int,targetP:CCPoint,stopAtDistance:int,callback:function
function WalkTester:doWalk(mapId,targetP,stopAtDistance,callback,forceMove)
if(forceMove == nil)then forceMove = false end
local selfPlayer = self._sceneInfo.scenePlayerList.selfPlayer
if(selfPlayer == nil or (selfPlayer:isCanMove() == false and forceMove == false))then
return
end
if(selfPlayer.stateInfo.isJumping ~= false)then
return
end
--TODO取消打坐
local gateId = 0
local tmpCallback = callback
local selfPos = selfPlayer:getPosition()
local path = {}
selfPlayer:setCollectId(-1)
local gotoScene = function()
if(gateId ~= 0)then
self._controller:gotoMap(gateId)
end
gateId = 0
end
if(mapId ~= globalData.currentMapId)then
--跨图寻路
-- local gatePath = globalData.allTemplates.gateTemplateList:find(globalData.currentMapId,mapId)
-- if(gatePath == nil or table.getn(gatePath) == 0)then return end
-- globalData.selfPlayerInfo:setScenePath(gatePath,targetP,tmpCallback,stopAtDistance)
-- local gate = globalData.allTemplates.gateTemplateList:getGate(gatePath[1])
-- gateId = gate.templateId
-- path = self:getAStarPath(selfPos,gate.pos,0)
-- tmpCallback = gotoScene
if(globalData.allTemplates.mapTemplateList:canFly(mapId))then
globalData.selfPlayerInfo:setScenePath({0},targetP,tmpCallback,stopAtDistance)
self._module.flyTester:doJumpMap(mapId,true,nil,false)
end
else
if(targetP == nil or globalManager.commonUtils:getPointDistance(selfPos,targetP) < 2)then
local tmpP = {}
table.insert(tmpP, selfPos)
selfPlayer:setPath(tmpP,tmpCallback)
else
--寻路
path = self:getAStarPath(selfPos,targetP,stopAtDistance)
end
end
local pathLen = table.getn(path)
if(pathLen > 0)then
local dis = globalManager.commonUtils:getPointDistance(selfPos,path[pathLen])
if(dis < 2)then
local tmpPP = {}
table.insert(tmpPP, selfPos)
selfPlayer:setPath(tmpPP,tmpCallback)
else
local oldTarget = selfPlayer.pathTarget
if(globalManager.commonUtils:getPointDistance(oldTarget,path[pathLen]) >= 2)then
if(dis > 600)then
--上坐骑
self._sceneInfo.scenePlayerList:doRider(true)
end
self._module.message:sendWalk(path)
selfPlayer:setPath(path,tmpCallback)
end
end
end
end
function WalkTester:setDoubleClickCancel(value)
if(value == true)then
self.doubleClickCancel = true
self.clickCount = 0
else
self.doubleClickCancel = false
self.clickCount = 0
end
end
--mapId:int,p:CCPoint,callback:function
function WalkTester:walkToPoint(mapId,p,callback,doubleClickCancel)
self._module.attackTester:stopAFK()
self:setDoubleClickCancel(doubleClickCancel)
self:doWalk(mapId,p, 0, callback)
end
--npcId,isAuto:是否自动寻路状态
function WalkTester:walkToNpc(npcId,isAuto,doubleClickCancel)
local showNpcPanel = function()
globalManager.containerManager:showNpcPanel(npcId)
-- if(npcId == 100103)then
-- self._module.message:sendEnterCopy(10001);
--     --self._module.flyTester:doFly(1001,globalManager.ccCreator:newPoint(1000,1000))
-- self._module.copyTester:enterCopy(10001);
-- end
-- if(npcId == 300101)then
--     self._module.message:sendQuitCopy();
-- end
end
local npc = globalData.allTemplates.npcTemplateList:getNpc(npcId)
if(npc == nil)then
return
end
self._module.attackTester:stopAFK()
self:setDoubleClickCancel(doubleClickCancel)
--TODO自动寻路状态
self:doWalk(npc.mapId, globalManager.ccCreator:newPoint(npc.sceneX,npc.sceneY), 100, showNpcPanel)
end
function WalkTester:walkToGate(gateId,isAuto,doubleClickCancel)
local gotoScene = function()
self._controller:gotoMap(gateId)
end
local gate = globalData.allTemplates.gateTemplateList:getGate(gateId)
if(gate == nil)then return end
self._module.attackTester:stopAFK()
self:setDoubleClickCancel(doubleClickCancel)
--TODO自动寻路状态
self:doWalk(gate.mapId, gate.pos, 0, gotoScene)
end
function WalkTester:walkToCollect(collectInfo,walkComplete,isAfk,doubleClickCancel)
local collectId = collectInfo:getObjId()
local selfPlayer = self._sceneInfo.scenePlayerList.selfPlayer
if(selfPlayer ~= nil)then
if(not collectInfo:canCollect(selfPlayer,true))then
-- globalManager.tipsManager.quickTip:show("不能采集该物品")
return
end
end
if(isAfk ~= true)then
self._module.attackTester:stopAFK()
end
local doCollect = function()
if(walkComplete ~= nil)then
walkComplete()
end
--开始采集
local selfPlayer = self._sceneInfo.scenePlayerList.selfPlayer
if(selfPlayer ~= nil)then
selfPlayer:setCollectId(collectId)
end
end
self:setDoubleClickCancel(doubleClickCancel)
self:doWalk(globalData.currentMapId, collectInfo:getPosition(), 60, doCollect)
end
--走到采集物录点周围并采集
function WalkTester:walkToCollectTemplate(collectTemplateId,doubleClickCancel)
local doCollect = function()
local selfPlayer = self._sceneInfo.scenePlayerList.selfPlayer
if(selfPlayer ~= nil)then
local collect = self._sceneInfo.sceneCollectList:getNearlyCollectByTemplateId(collectTemplateId,selfPlayer:getPosition())
if(collect ~= nil)then
self:walkToCollect(collect)
end
end
end
local collectTemplate = globalData.allTemplates.collectTemplateList:getCollect(collectTemplateId)
self:setDoubleClickCancel(doubleClickCancel)
self:doWalk(collectTemplate.mapId,collectTemplate.randomPoint,0,doCollect)
end
--walkComplete:function
function WalkTester:walkToNextPointAFK(walkComplete,doubleClickCancel)
local doAfk = function()
if(walkComplete ~= nil)then
walkComplete()
end
self._sceneInfo.afkInfo:setIndexAdd()
end
local p = self._sceneInfo.afkInfo:getNextPathPoint()
if(p ~= nil)then
self:setDoubleClickCancel(doubleClickCancel)
self:doWalk(globalData.currentMapId,p, 10, doAfk)
end
end
--走到怪物录点并开始挂机打怪
function WalkTester:walkToMonsterTemplate(monsterTemplateId,doubleClickCancel)
local doAFK = function()
self._module.attackTester:startAFK()
end
self._module.attackTester:stopAFK()
local monsterTemplate = globalData.allTemplates.monsterTemplateList:getMonster(monsterTemplateId)
self:setDoubleClickCancel(doubleClickCancel)
self:doWalk(monsterTemplate.sceneId,monsterTemplate.rndPoints,0,doAFK)
end
function WalkTester:doDrop(dropInfo)
if(dropInfo == nil or dropInfo:getTemplate() == nil) then return end
local isFiveEquip = globalData.allStaticTypes.categoryType:IsFiveEquip(dropInfo:getTemplate().categoryId)
if((not isFiveEquip and globalData.goodsInfoList:getHasPos(1,1)) or (isFiveEquip and globalData.goodsInfoList:getHasPos(1,2)))then
dropInfo.localPickEnable = false
self._module.message:sendGetDrop(dropInfo:getObjId())
end
end
function WalkTester:walkToDrop(dropInfo,walkComplete,doubleClickCancel)
local selfPlayer = self._sceneInfo.scenePlayerList.selfPlayer
local doPickup = function()
self:doDrop(dropInfo)
if(walkComplete ~= nil)then
walkComplete()
end
end
if(selfPlayer ~= nil)then
local p2 = dropInfo:getPosition()
local p1 = selfPlayer:getPosition()
if(not self._module.pickupTester:canPickup(dropInfo,true))then return end
if(globalManager.commonUtils:getPointDistance(p1,p2) <= globalData.pickupRadius)then
doPickup()
else
self:setDoubleClickCancel(doubleClickCancel)
self:doWalk(globalData.currentMapId, p2, globalData.pickupRadius, doPickup)
end
end
end
AStarInfo = class("AStarInfo", function(self, parent, g, h, f, openIndex)
local this = {}
this.parent = parent
this.g = g
this.h = h
this.f = f
this.openIndex = openIndex
return this
end)
function AStarInfo:reset()
self.parent = nil
self.g = 0
self.h = 0
self.f = 0
self.openIndex = 0
end
function AStarInfo:init(parent, g, h, f, openIndex)
self.parent = parent
self.g = g
self.h = h
self.f = f
self.openIndex = openIndex
end
AStar = class("AStar", function(self)
local this = {}
this.MAX_COUNT = 50000
this.G_COST = 10
this.H_COST = 10
this._infoList = {}
this._data = {}
--vector<vector<AStarInfo>>
this._mapStatus = {}
--vector<Point>
this._openList = {}
this._checkCount = 0
this._rlen = 0
this._clen = 0
this._startPos = nil
this._endPos = nil
this.endIndex = nil
return this
end)
function AStar:getAStarInfo(parent, g, h, f, openIndex)
if(table.getn(self._infoList) > 0) then
local info = table.remove(self._infoList, 1)
info:init(parent, g, h, f, openIndex)
return info
else
return AStarInfo:new(parent, g, h, f, openIndex)
end
end
function AStar:removeAStarInfo(info)
if(info ~= nil) then
info:reset()
table.insert(self._infoList, info)
end
end
function AStar:isEmpty(row, col)
--self._data[0]-->self._data[1]
-- print(row,col,table.getn(self._data),table.getn(self._data[1]),self._data[row + 1][col + 1])
if(row < 0 or row >= table.getn(self._data) or col >= table.getn(self._data[1])  or col < 0) then
--		return false
return true
else
--_data[row][col] --> _data[row + 1][col + 1]
return self._data[row + 1][col + 1] == globalData.allStaticTypes.mapBlockType.empty
end
end
function AStar:init()
for _,v in pairs(self._mapStatus) do
for _,k in pairs(v) do
self:removeAStarInfo(k)
end
end
self._mapStatus = {}
self._openList = nil
self._openList = {}
self._startPos = nil
self._endPos = nil
self.endIndex = nil
end
function AStar:getInfo(row, col)
--self._mapStatus[row][col] --> self._mapStatus[row + 1][col + 1]
return self._mapStatus[row + 1][col + 1]
end
--当放入openlist中时就进行排序(二分法)
function AStar:sortOpenList(index)
local middle = 0
local firstP, middleP
local firstInfo
local middleInfo
while(index > 1) do
middle = math.floor( index * 0.5 )
--self._openList[index - 1]-->self._openList[index]
firstP = self._openList[index]
--middleP = self._openList[middle - 1]-->middleP = self._openList[middle]
middleP = self._openList[middle]
firstInfo = self:getInfo(firstP.y, firstP.x)
middleInfo = self:getInfo(middleP.y, middleP.x)
if(firstInfo.f < middleInfo.f) then
--开放列表交换位置
--self._openList[index - 1]-->self._openList[index]
self._openList[index] = middleP
--self._openList[middle - 1]-->self._openList[middle]
self._openList[middle] = firstP
middleInfo.openIndex = index - 1
firstInfo.openIndex = middle - 1
index = middle
else
break
end
end
end
function AStar:setSource(data)
self._data = data
self._rlen = table.getn(data)
--table.getn(data[0])-->table.getn(data[1])
self._clen = table.getn(data[1])
end
function AStar:isOpen(row, col)
--self._mapStatus[row]-->self._mapStatus[row + 1]
local t = self._mapStatus[row + 1]
if(t ~= nil) then
--t[col]-->t[col + 1]
local info = t[col + 1]
return (info ~= nil and info.openIndex ~= -1)
end
return false;
end
function AStar:isClose(row, col)
--self._mapStatus[row] --> self._mapStatus[row + 1]
local t = self._mapStatus[row + 1]
if(t ~= nil) then
--t[col] --> t[col + 1]
local info = t[col + 1]
return (info ~= nil and info.openIndex == -1)
end
return false
end
--二叉树排序
function AStar:shiftOpenList()
if(table.getn(self._openList) == 1) then
self._openList = nil
self._openList = {}
return
end
--self._openList[0]-->self._openList[1]
-- self:removePoint(self._openList[1])
self._openList[1] = table.remove(self._openList, table.getn(self._openList))
--self._mapStatus[self._openList[0].y][self._openList[0].x] -->self._mapStatus[self._openList[1].y + 1][self._openList[1].x + 1]
self._mapStatus[self._openList[1].y + 1][self._openList[1].x + 1].openIndex = 0
local first = 1
local tFirst = 0
local middle = 0
while (true) do
tFirst = first
middle = first * 2
if (middle <= table.getn(self._openList)) then
--self._mapStatus[self._openList[first - 1].y][self._openList[first - 1].x].f > self._mapStatus[self._openList[middle - 1].y][self._openList[middle - 1].x].f-->self._mapStatus[self._openList[first].y + 1][self._openList[first].x + 1].f > self._mapStatus[self._openList[middle].y + 1][self._openList[middle].x + 1].f
if (self._mapStatus[self._openList[first].y + 1][self._openList[first].x + 1].f > self._mapStatus[self._openList[middle].y + 1][self._openList[middle].x + 1].f) then
first = middle
end
--middle + 1 <= table.getn(self._openList) && self._mapStatus[self._openList[first - 1].y][self._openList[first - 1].x].f > self._mapStatus[self._openList[middle].y][self._openList[middle].x].f-->middle + 1 <= table.getn(self._openList) && self._mapStatus[self._openList[first].y + 1][self._openList[first].x + 1].f > self._mapStatus[self._openList[middle + 1].y + 1][self._openList[middle + 1].x + 1].f
if (middle + 1 <= table.getn(self._openList) and self._mapStatus[self._openList[first].y + 1][self._openList[first].x + 1].f > self._mapStatus[self._openList[middle + 1].y + 1][self._openList[middle + 1].x + 1].f) then
first = middle + 1
end
end
if (tFirst == first) then
break
end
--self._openList[tFirst - 1]-->self._openList[tFirst]
local t = self._openList[tFirst]
--self._openList[tFirst - 1] = self._openList[first - 1]-->self._openList[tFirst] = self._openList[first]
self._openList[tFirst] = self._openList[first]
--self._openList[first - 1]-->self._openList[first]
self._openList[first] = t
--self._mapStatus[self._openList[tFirst - 1].y][self._openList[tFirst - 1].x]-->self._mapStatus[self._openList[tFirst].y + 1][self._openList[tFirst].x + 1]
self._mapStatus[self._openList[tFirst].y + 1][self._openList[tFirst].x + 1].openIndex = tFirst - 1
--self._mapStatus[self._openList[first - 1].y][self._openList[first - 1].x]-->self._mapStatus[self._openList[first].y + 1][self._openList[first].x + 1]
self._mapStatus[self._openList[first].y + 1][self._openList[first].x + 1].openIndex = first - 1
end
end
function AStar:trans(data)
local len = table.getn(data)
local a = nil
for i = 1, len, 1 do
a = data[i]
a.x = globalData.GRID_SIZE * (a.x + 0.5)
a.y = globalData.GRID_SIZE * (a.y + 0.5)
end
end
function AStar:posToIndex(pos)
pos.x = math.floor(pos.x / globalData.GRID_SIZE)
pos.y = math.floor(pos.y / globalData.GRID_SIZE)
return pos
end
function AStar:indexToPos(index)
index.x = (index.x + 0.5) * globalData.GRID_SIZE
index.y = (index.y + 0.5) * globalData.GRID_SIZE
return index
end
function AStar:findPath(start, endp, stopAtDispatch, maxCount)
if(stopAtDispatch == nil) then stopAtDispatch = 0 end
if(maxCount == nil) then maxCount = 8000 end
if(stopAtDispatch > 0) then
if(globalManager.commonUtils:getPointDistance(start, endp) <= stopAtDispatch) then
local tmp = {}
table.insert(tmp,start)
return tmp
end
end
self._startPos = globalManager.ccCreator:newPoint(start.x, start.y)
self._endPos = globalManager.ccCreator:newPoint(endp.x, endp.y)
start = globalManager.ccCreator:newPoint(start.x, start.y)
start = self:posToIndex(start)
self.endIndex = self:posToIndex(endp)
if(self:isEmpty(self.endIndex.y , self.endIndex.x)) then
stopAtDispatch = 0
self.endIndex = self:getAroundIndex()
self._endPos = self:indexToPos(globalManager.ccCreator:newPoint(self.endIndex.x, self.endIndex.y))
end
-- self:init()
local row = 0
local col = 0
local tg = 0
local th = 0
local len = 0
table.insert(self._openList, start)
--self._mapStatus[start.y]-->self._mapStatus[start.y + 1]
self._mapStatus[start.y + 1] = {}
--self._mapStatus[start.y][start.x]-->self._mapStatus[start.y + 1][start.x + 1]
self._mapStatus[start.y + 1][start.x + 1] = self:getAStarInfo(nil, 0, 0, 0, 0)
-- AStarInfo:new(null, 0, 0, 0, 0)
self._checkCount = 1
local current = nil
local minRow = 0
local maxRow = 0
local minCol = 0
local maxCol = 0
while( table.getn(self._openList) > 0 and (not self:isClose(self.endIndex.y, self.endIndex.x)) ) do
--self._openList[0]-->self._openList[1]
current = self._openList[1]
--self._mapStatus[current.y][current.x].openIndex-->self._mapStatus[current.y + 1][current.x + 1].openIndex
self._mapStatus[current.y + 1][current.x + 1].openIndex = -1
self:shiftOpenList()
minRow = math.max(0, current.y - 1)
maxRow = math.min(current.y + 1, self._rlen - 1)
--row = minRow
minCol = math.max(0, current.x - 1)
maxCol = math.min(current.x + 1, self._clen - 1)
row = minRow
while(row <= maxRow) do
col = minCol
while(col <= maxCol) do
if(  not ( row == current.y and col == current.x ) and ( row == current.y or col == current.x or not(self:isEmpty(row, current.x)) and not(self:isEmpty(current.y, col)) ) ) then
if(not self:isEmpty(row, col) and not(self:isClose(row, col)) ) then
--self._mapStatus[current.y][current.x]-->self._mapStatus[current.y + 1][current.x + 1]
tg = self._mapStatus[current.y + 1][current.x + 1].g + self.G_COST
if(self:isOpen(row, col)) then
--self._mapStatus[row][col]-->self._mapStatus[row + 1][col + 1]
if(tg < self._mapStatus[row + 1][col + 1].g) then
--self._mapStatus[row][col]-->self._mapStatus[row + 1][col + 1]
self._mapStatus[row + 1][col + 1].parent = current
--self._mapStatus[row][col].f = tg + self._mapStatus[row][col].h-->self._mapStatus[row + 1][col + 1].f = tg + self._mapStatus[row + 1][col + 1].h
self._mapStatus[row + 1][col + 1].f = tg + self._mapStatus[row + 1][col + 1].h
--self._mapStatus[row][col]-->self._mapStatus[row + 1][col + 1]
self:sortOpenList(self._mapStatus[row + 1][col + 1].openIndex + 1)
end
else
th = (math.abs(row - self.endIndex.y) + math.abs(col - self.endIndex.x)) * self.H_COST
--table.insert(self._openList, globalManager.ccCreator:newPoint(col, row))
table.insert(self._openList, globalManager.ccCreator:newPoint(col, row))
--self._mapStatus[row]-->self._mapStatus[row + 1]
if(self._mapStatus[row + 1] == nil) then
--_mapStatus[row]-->_mapStatus[row + 1]
self._mapStatus[row + 1] = {}
end
--self._mapStatus[row][col]-->self._mapStatus[row + 1][col + 1]
if(self._mapStatus[row + 1][col + 1] ~= nil) then
self._mapStatus[row + 1][col + 1]:init(current, tg, th, tg+th, table.getn(self._openList) - 1)
else
self._mapStatus[row + 1][col + 1] = self:getAStarInfo(current, tg, th, tg+th, table.getn(self._openList) - 1)
end
--AStarInfo:new(current, tg, th, tg+th, table.getn(self._openList) - 1 )
self:sortOpenList(table.getn(self._openList))
end
end
end
col = col + 1
end
row = row + 1
end
self._checkCount = self._checkCount + 1
if(self._checkCount > maxCount) then
break
end
end
-- print(self._checkCount,"+++++++++")
if(self:isClose(self.endIndex.y, self.endIndex.x)) then
local result = {}
local tp = self.endIndex
while( not(tp.y == start.y) or not(tp.x == start.x) ) do
table.insert(result, tp)
--_mapStatus[tp.y][tp.x]-->_mapStatus[tp.y + 1][tp.x + 1]
tp = self._mapStatus[tp.y + 1][tp.x + 1].parent
end
tp.x = start.x
tp.y = start.y
table.insert(result, tp)
--翻转result
len = table.getn(result)
if(len > 1) then
local reverse = {}
for idx = len, 1, -1 do
table.insert(reverse, result[idx])
end
result = reverse
end
--优化result
result = self:optimizePath(result)
--去掉相同点
len = table.getn(result)
for idx = len, 2, -1 do
if(result[idx] == result[idx - 1]) then
table.remove(result, idx)
end
end
self:trans(result)
--result[0]-->result[1]
result[1] = self._startPos
-- --如果停止距离大于0，那么最后一点和结束点的距离如果小于停止距离，就直接忽略结束点，否则添加结束点再切线
-- if(table.getn(result) > 0) then
-- 	result[table.getn(result)] = self._endPos
-- else
-- 	table.insert(result, self._endPos)
-- end
-- return self.module.walkTester:cutPathEnd(result, stopAtDispatch)
self:init()
return result
end
self:init()
return nil
end
function AStar:getAroundIndex2(target,selfPos,i,max)
local tmp = globalManager.ccCreator:newPoint(target.x, target.y)
local p = self:posToIndex(globalManager.ccCreator:newPoint(target.x, target.y))
if(self:isEmpty(p.y, p.x) == false)then return tmp end
local tmp2 = globalManager.ccCreator:newPoint(selfPos.x, selfPos.y)
local p2 = self:posToIndex(globalManager.ccCreator:newPoint(selfPos.x, selfPos.y))
local dirType = 0
if(p.x == p2.x and p.y == p2.y)then return tmp end
if(p.x < p2.x and p.y == p2.y)then
dirType = 1--左
elseif(p.x < p2.x and p.y > p2.y)then
dirType = 2--左下
elseif(p.x == p2.x and p.y > p2.y)then
dirType = 3--下
elseif(p.x > p2.x and p.y > p2.y)then
dirType = 4--右下
elseif(p.x > p2.x and p.y == p2.y)then
dirType = 5--右
elseif(p.x > p2.x and p.y < p2.y)then
dirType = 6--右上
elseif(p.x == p2.x and p.y < p2.y)then
dirType = 7--上
elseif(p.x < p2.x and p.y < p2.y)then
dirType = 8--左上
end
p = self:doGetAroundIndex3(dirType,globalManager.ccCreator:newPoint(p.x, p.y),i,max)
if(p ~= nil)then
p = self:indexToPos(p)
end
return p
end
function AStar:isScenePosEmpty(scenePos)
local p = self:posToIndex(globalManager.ccCreator:newPoint(scenePos.x, scenePos.y))
return self:isEmpty(p.y,p.x)
end
function AStar:doGetAroundIndex3(dirType,target,i,max)
if(i == nil)then i = 1 end
if(max == nil)then max = 5 end
if(i > max)then
print("#0")
return nil
end
local result = nil
local startY = 0
local endY = 0
local startX = 0
local endX = 0
if(dirType == 1)then
--左
startY = math.max(target.y - i,0)
endY = math.min(target.y + i,self._rlen - 1)
startX = target.x
endX = math.min(target.x + i,self._clen - 1)
for j = startY, endY, 1 do
if(self:isEmpty(j, endX) == false) then
result = globalManager.ccCreator:newPoint(endX, j)
if(result.x > 100)then
print("#1")
end
return result
end
end
for j = startX, endX, 1 do
if(self:isEmpty(startY, j) == false) then
result = globalManager.ccCreator:newPoint(j, startY)
if(result.x > 100)then
print("#2")
end
return result
end
if(self:isEmpty(endY, j) == false) then
result = globalManager.ccCreator:newPoint(j, endY)
if(result.x > 100)then
print("#3")
end
return result
end
end
elseif(dirType == 2)then
--左下
startY = math.max(target.y - i,0)
endY = math.min(target.y + i,self._rlen - 1)
startX = math.max(target.x - i,0)
endX = math.min(target.x + i,self._clen - 1)
for j = startY, endY, 1 do
if(self:isEmpty(j, endX) == false) then
result = globalManager.ccCreator:newPoint(endX, j)
if(result.x > 100)then
print("#4")
end
return result
end
end
for j = startX, endX, 1 do
if(self:isEmpty(startY, j) == false) then
result = globalManager.ccCreator:newPoint(j, startY)
if(result.x > 100)then
print("#5")
end
return result
end
end
elseif(dirType == 3)then
--下
startY = math.max(target.y - i,0)
endY = target.y
startX = math.max(target.x - i,0)
endX = math.min(target.x + i,self._clen - 1)
for j = startX, endX, 1 do
if(self:isEmpty(startY, j) == false) then
result = globalManager.ccCreator:newPoint(j, startY)
if(result.x > 100)then
print("#6")
end
return result
end
end
for j = startY, endY, 1 do
if(self:isEmpty(j, startX) == false) then
result = globalManager.ccCreator:newPoint(startX, j)
if(result.x > 100)then
print("#7")
end
return result
end
if(self:isEmpty(j, endX) == false) then
result = globalManager.ccCreator:newPoint(endX, j)
if(result.x > 100)then
print("#8")
end
return result
end
end
elseif(dirType == 4)then
--右下
startY = math.max(target.y - i,0)
endY = math.min(target.y + i,self._rlen - 1)
startX = math.max(target.x - i,0)
endX = math.min(target.x + i,self._clen - 1)
for j = startY, endY, 1 do
if(self:isEmpty(j, startX) == false) then
result = globalManager.ccCreator:newPoint(startX, j)
if(result.x > 100)then
print("#9")
end
return result
end
end
for j = startX, endX, 1 do
if(self:isEmpty(startY, j) == false) then
result = globalManager.ccCreator:newPoint(j, startY)
if(result.x > 100)then
print("#10")
end
return result
end
end
elseif(dirType == 5)then
--右
startY = math.max(target.y - i,0)
endY = math.min(target.y + i,self._rlen - 1)
startX = math.max(target.x - i,0)
endX = target.x
for j = startY, endY, 1 do
if(self:isEmpty(j, startX) == false) then
result = globalManager.ccCreator:newPoint(startX, j)
if(result.x > 100)then
print("#11")
end
return result
end
end
for j = startX, endX, 1 do
if(self:isEmpty(startY, j) == false) then
result = globalManager.ccCreator:newPoint(j, startY)
if(result.x > 100)then
print("#12")
end
return result
end
if(self:isEmpty(endY, j) == false) then
result = globalManager.ccCreator:newPoint(j, endY)
if(result.x > 100)then
print("#13")
end
return result
end
end
elseif(dirType == 6)then
--右上
startY = math.max(target.y - i,0)
endY = math.min(target.y + i,self._rlen - 1)
startX = math.max(target.x - i,0)
endX = math.min(target.x + i,self._clen - 1)
for j = startY, endY, 1 do
if(self:isEmpty(j, startX) == false) then
result = globalManager.ccCreator:newPoint(startX, j)
if(result.x > 100)then
print("#14")
end
return result
end
end
for j = startX, endX, 1 do
if(self:isEmpty(endY, j) == false) then
result = globalManager.ccCreator:newPoint(j, endY)
if(result.x > 100)then
print("#15")
end
return result
end
end
elseif(dirType == 7)then
--上
startY = target.y
endY = math.min(target.y + i,self._rlen - 1)
startX = math.max(target.x - i,0)
endX = math.min(target.x + i,self._clen - 1)
for j = startX, endX, 1 do
if(self:isEmpty(endY, j) == false) then
result = globalManager.ccCreator:newPoint(j, endY)
if(result.x > 100)then
print("#16")
end
return result
end
end
for j = startY, endY, 1 do
if(self:isEmpty(j, startX) == false) then
result = globalManager.ccCreator:newPoint(startX, j)
if(result.x > 100)then
print("#17")
end
return result
end
if(self:isEmpty(j, endX) == false) then
result = globalManager.ccCreator:newPoint(endX, j)
if(result.x > 100)then
print("#18")
end
return result
end
end
else
--左上
startY = math.max(target.y - i,0)
endY = math.min(target.y + i,self._rlen - 1)
startX = math.max(target.x - i,0)
endX = math.min(target.x + i,self._clen - 1)
for j = startY, endY, 1 do
if(self:isEmpty(j, endX) == false) then
result = globalManager.ccCreator:newPoint(endX, j)
if(result.x > 100)then
print("#19")
end
return result
end
end
for j = startX, endX, 1 do
if(self:isEmpty(endY, j) == false) then
result = globalManager.ccCreator:newPoint(j, endY)
if(result.x > 100)then
print("#20")
end
return result
end
end
end
-- if(dirType == 1)then
-- 	--左
-- 	startY = math.max(target.y - i,0)
-- 	endY = math.min(target.y + i,self._rlen - 1)
-- 	startX = math.max(target.x - i,0)
-- 	endX = target.x
-- 	for j = startY, endY, 1 do
-- 		if(self:isEmpty(j, startX) == false) then
-- 			result = globalManager.ccCreator:newPoint(startX, j)
-- 			return result
-- 		end
-- 	end
-- 	for j = startX, endX, 1 do
-- 		if(self:isEmpty(startY, j) == false) then
-- 			result = globalManager.ccCreator:newPoint(j, startY)
-- 			return result
-- 		end
-- 		if(self:isEmpty(endY, j) == false) then
-- 			result = globalManager.ccCreator:newPoint(j, endY)
-- 			return result
-- 		end
-- 	end
-- elseif(dirType == 2)then
-- 	--左下
-- 	startY = math.max(target.y - i,0)
-- 	endY = math.min(target.y + i,self._rlen - 1)
-- 	startX = math.max(target.x - i,0)
-- 	endX = math.min(target.x + i,self._clen - 1)
-- 	for j = startY, endY, 1 do
-- 		if(self:isEmpty(j, startX) == false) then
-- 			result = globalManager.ccCreator:newPoint(startX, j)
-- 			return result
-- 		end
-- 	end
-- 	for j = startX, endX, 1 do
-- 		if(self:isEmpty(endY, j) == false) then
-- 			result = globalManager.ccCreator:newPoint(j, endY)
-- 			return result
-- 		end
-- 	end
-- elseif(dirType == 3)then
-- 	--下
-- 	startY = target.y
-- 	endY = math.min(target.y + i,self._rlen - 1)
-- 	startX = math.max(target.x - i,0)
-- 	endX = math.min(target.x + i,self._clen - 1)
-- 	for j = startX, endX, 1 do
-- 		if(self:isEmpty(endY, j) == false) then
-- 			result = globalManager.ccCreator:newPoint(j, endY)
-- 			return result
-- 		end
-- 	end
-- 	for j = startY, endY, 1 do
-- 		if(self:isEmpty(j, startX) == false) then
-- 			result = globalManager.ccCreator:newPoint(startX, j)
-- 			return result
-- 		end
-- 		if(self:isEmpty(j, endX) == false) then
-- 			result = globalManager.ccCreator:newPoint(endX, j)
-- 			return result
-- 		end
-- 	end
-- elseif(dirType == 4)then
-- 	--右下
-- 	startY = math.max(target.y - i,0)
-- 	endY = math.min(target.y + i,self._rlen - 1)
-- 	startX = math.max(target.x - i,0)
-- 	endX = math.min(target.x + i,self._clen - 1)
-- 	for j = startY, endY, 1 do
-- 		if(self:isEmpty(j, endX) == false) then
-- 			result = globalManager.ccCreator:newPoint(endX, j)
-- 			return result
-- 		end
-- 	end
-- 	for j = startX, endX, 1 do
-- 		if(self:isEmpty(endY, j) == false) then
-- 			result = globalManager.ccCreator:newPoint(j, endY)
-- 			return result
-- 		end
-- 	end
-- elseif(dirType == 5)then
-- 	--右
-- 	startY = math.max(target.y - i,0)
-- 	endY = math.min(target.y + i,self._rlen - 1)
-- 	startX = target.x
-- 	endX = math.min(target.x + i,self._clen - 1)
-- 	for j = startY, endY, 1 do
-- 		if(self:isEmpty(j, endX) == false) then
-- 			result = globalManager.ccCreator:newPoint(endX, j)
-- 			return result
-- 		end
-- 	end
-- 	for j = startX, endX, 1 do
-- 		if(self:isEmpty(startY, j) == false) then
-- 			result = globalManager.ccCreator:newPoint(j, startY)
-- 			return result
-- 		end
-- 		if(self:isEmpty(endY, j) == false) then
-- 			result = globalManager.ccCreator:newPoint(j, endY)
-- 			return result
-- 		end
-- 	end
-- elseif(dirType == 6)then
-- 	--右上
-- 	startY = math.max(target.y - i,0)
-- 	endY = math.min(target.y + i,self._rlen - 1)
-- 	startX = math.max(target.x - i,0)
-- 	endX = math.min(target.x + i,self._clen - 1)
-- 	for j = startY, endY, 1 do
-- 		if(self:isEmpty(j, endX) == false) then
-- 			result = globalManager.ccCreator:newPoint(endX, j)
-- 			return result
-- 		end
-- 	end
-- 	for j = startX, endX, 1 do
-- 		if(self:isEmpty(startY, j) == false) then
-- 			result = globalManager.ccCreator:newPoint(j, startY)
-- 			return result
-- 		end
-- 	end
-- elseif(dirType == 7)then
-- 	--上
-- 	startY = math.max(target.y - i,0)
-- 	endY = target.y
-- 	startX = math.max(target.x - i,0)
-- 	endX = math.min(target.x + i,self._clen - 1)
-- 	for j = startX, endX, 1 do
-- 		if(self:isEmpty(startY, j) == false) then
-- 			result = globalManager.ccCreator:newPoint(j, startY)
-- 			return result
-- 		end
-- 	end
-- 	for j = startY, endY, 1 do
-- 		if(self:isEmpty(j, startX) == false) then
-- 			result = globalManager.ccCreator:newPoint(startX, j)
-- 			return result
-- 		end
-- 		if(self:isEmpty(j, endX) == false) then
-- 			result = globalManager.ccCreator:newPoint(endX, j)
-- 			return result
-- 		end
-- 	end
-- else
-- 	--左上
-- 	startY = math.max(target.y - i,0)
-- 	endY = math.min(target.y + i,self._rlen - 1)
-- 	startX = math.max(target.x - i,0)
-- 	endX = math.min(target.x + i,self._clen - 1)
-- 	for j = startY, endY, 1 do
-- 		if(self:isEmpty(j, startX) == false) then
-- 			result = globalManager.ccCreator:newPoint(startX, j)
-- 			return result
-- 		end
-- 	end
-- 	for j = startX, endX, 1 do
-- 		if(self:isEmpty(startY, j) == false) then
-- 			result = globalManager.ccCreator:newPoint(j, startY)
-- 			return result
-- 		end
-- 	end
-- end
if(result == nil) then
return self:doGetAroundIndex3(dirType,target,i + 1,max)
end
print("#21",result.x,result.y)
return result
end
function AStar:doGetAroundIndex2(target,i,max)
if(i == nil)then i = 1 end
if(max == nil)then max = 5 end
if(i > max)then return nil end
local startRow = math.max(target.y - i,0)
local endRow = math.min(target.y + i,self._rlen - 1)
local startCol = math.max(target.x - i,0)
local endCol = math.min(target.x + i,self._clen - 1)
local result = nil
for j = startCol, endCol, 1 do
if(self:isEmpty(startRow, j) == false) then
result = globalManager.ccCreator:newPoint(j, startRow)
return result
end
end
for j = startCol, endCol, 1 do
if(self:isEmpty(endRow, j) == false) then
result = globalManager.ccCreator:newPoint(j, endRow)
return result
end
end
for j = startRow, endRow, 1 do
if(self:isEmpty(j, startCol) == false) then
result = globalManager.ccCreator:newPoint(startCol, j)
return result
end
end
for j = startRow, endRow, 1 do
if(self:isEmpty(j, endCol) == false) then
result = globalManager.ccCreator:newPoint(endCol, j)
return result
end
end
if(result == nil) then
return self:doGetAroundIndex2(target,i + 1,max)
end
return result
end
--递归找到非可行点的最近的可行点
--@param i 目标点的前后i个网格范围
--* @return 最近的点
function AStar:getAroundIndex(i)
if(i == nil) then i = 1 end
local startRow = math.max(self.endIndex.y - i, 0)
local endRow = math.min(self.endIndex.y + i, self._rlen - 1)
local startCol = math.max(self.endIndex.x - i, 0)
local endCol = math.min(self.endIndex.x + i, self._clen - 1)
local result = nil
for j = startCol, endCol, 1 do
if(self:isEmpty(startRow, j) == false) then
result = globalManager.ccCreator:newPoint(j, startRow)
return result
end
end
for j = startCol, endCol, 1 do
if(self:isEmpty(endRow, j) == false) then
result = globalManager.ccCreator:newPoint(j, endRow)
return result
end
end
for j = startRow, endRow, 1 do
if(self:isEmpty(j, startCol) == false) then
result = globalManager.ccCreator:newPoint(startCol, j)
return result
end
end
for j = startRow, endRow, 1 do
if(self:isEmpty(j, endCol) == false) then
result = globalManager.ccCreator:newPoint(endCol, j)
return result
end
end
if(result == nil) then
return self:getAroundIndex(i + 1)
end
return result
end
function AStar:optimizePath(path)
if(table.getn(path) == 0) then
return path
end
local __len = table.getn(path)
local __path = {}
local _diagonal = {}
local __dLen
local __cross = true
--path[0]-->path[1]
local __currentNode = path[1]
--path[0]-->path[1]
table.insert(__path, path[1])
for i = 1, __len - 1, 1 do
--path[i]-->path[i + 1]
_diagonal = self:diagonalFind(__currentNode, path[i + 1])
__dLen = table.getn(_diagonal)
__cross = true
for j = 0, __dLen - 1,1 do
--_data[_diagonal[j].y][_diagonal[j].x]-->_data[_diagonal[j + 1].y + 1][_diagonal[j + 1].x + 1]
if(self._data[_diagonal[j + 1].y + 1][_diagonal[j + 1].x + 1] == 0) then
__cross = false
break
end
end
if(not __cross) then
if(i > 1) then
--path[(i-1)] --> path[i]
__currentNode = path[i]
--path[(i-1)]-->path[i]
table.insert(__path, path[i])
end
end
end
_diagonal = nil
--path[(__len-1)]-->path[__len]
table.insert(__path, path[__len])
path = __path;
return path;
end
function AStar:diagonalFind( start_point, end_point )
local w = 0
local h = 0
local __ox = 0
local __oy = 0
local __value = {}
local __r = 0
local __n1 = 0
local __n2 = 0
local __b1 = false
local __b2 = false
local __m = 0
local __n = 0
local __d = (start_point.x < end_point.x)==(start_point.y < end_point.y)
local function three(v1, v2)
if(__d) then
table.insert(__value, v1)
else
table.insert(__value, v2)
end
end
local function cpp(x, y)
return globalManager.ccCreator:newPoint(x, y)
end
if (start_point.x < end_point.x) then
__ox = start_point.x
__oy = start_point.y
w = end_point.x - __ox
h = math.abs(end_point.y - __oy)
else
__ox = end_point.x
__oy = end_point.y
w = start_point.x - __ox
h = math.abs(start_point.y - __oy)
end
if (w == h) then
for __m = 0, w, 1 do 	--#? for (__m=0; __m<=w; __m++) {
three(cpp(__ox + __m, __oy + __m), cpp(__ox + __m, __oy - __m))
if(__m > 0) then
three(cpp(__ox + __m - 1, __oy + __m), cpp(__ox + __m - 1, __oy - __m))
end
if(__m < w) then
three(cpp(__ox + __m + 1, __oy + __m), cpp(__ox + __m + 1, __oy - __m))
end
end
elseif (w > h) then
__r = h / w
table.insert(__value, cpp(__ox, __oy))
for __m = 1, w, 1 do 	--#? for (__m=1; __m<=w; __m++) {
__n1 = (__m - 0.5) * __r
__n2 = (__m + 0.5) * __r
__b1 = __n1 > __n - 0.5 and __n1 < __n + 0.5
__b2 = __n2 > __n - 0.5 and __n2 < __n + 0.5
if(__b1 or __b2) then
three(cpp(__ox + __m, __oy + __n), cpp(__ox + __m, __oy - __n))
if ( not __b2 ) then
__n = __n + 1
three(cpp(__ox + __m, __oy + __n), cpp(__ox + __m, __oy - __n))
end
end
end
elseif (w < h) then
__r = w / h
table.insert(__value, cpp(__ox, __oy))
for __m = 1, h, 1 do 	-- for (__m=1; __m<=h; __m++) {
__n1 = (__m - 0.5) * __r
__n2 = (__m + 0.5) * __r
__b1 = __n1 > __n - 0.5 and __n1 < __n + 0.5
__b2 = __n2 > __n - 0.5 and __n2 < __n + 0.5
if(__b1 or __b2) then
three(cpp(__ox + __n, __oy + __m), cpp(__ox + __n, __oy - __m))
if (not __b2) then
__n = __n + 1
three(cpp(__ox + __n, __oy + __m), cpp(__ox + __n, __oy - __m))
end
end
end
end
return __value
end
-- -- for CCLuaEngine traceback
-- function __G__TRACKBACK__(msg)
--     print("----------------------------------------")
--     print(msg)
--     local level = 1
--       while true do
--         local info = debug.getinfo(level, "Sl")
--         if not info then break end
--         if info.what ~= "C" then
--           print(string.format("[%s]:%d",info.source, info.currentline))
--         end
--         level = level + 1
--       end
--     print("----------------------------------------")
-- end
-- local function main()
--     collectgarbage("setpause", 100)
--     collectgarbage("setstepmul", 5000)
--     collectgarbage("collect")
--     print("#httpRequest")
--     cc.FileUtils:getInstance():addSearchPath("src")
--     cc.FileUtils:getInstance():addSearchPath("res")
--         cc.FileUtils:getInstance():addSearchResolutionsOrder("src")
-- 	cc.FileUtils:getInstance():addSearchResolutionsOrder("res")
--     local gameStart = GameStart:new()
--     -- gameStart:setup()
--     -- cc.Director:getInstance():runWithScene(gameStart)
--     cc.Director:getInstance():setDisplayStats(false)
-- end
-- xpcall(main, __G__TRACKBACK__)
